import {ionicBootstrap, Platform} from 'ionic-angular';
import {Component} from '@angular/core';
import {StatusBar} from 'ionic-native';
import {MainPage} from './pages/main/main';

@Component({
  template: '<ion-nav [root]="rootPage"></ion-nav>'
})
export class MyApp {
  rootPage: any = MainPage;

  constructor(platform: Platform) {
    if (this.isMac())
		window["baseurl"] = "//js.syncfusion.com/ejServices/";
	else
		window["baseurl"] = window["baseurl"];
	
    platform.ready().then(() => {
      // Okay, so the platform is ready and our plugins are available.
      // Here you can do any higher level native things you might need.
      StatusBar.styleDefault();
    });
  }
  isMac() {
		return (/(ipad|iphone|ipod touch)/i).test(navigator.userAgent.toLowerCase()) && !(/trident|windows phone/i.test(navigator.userAgent.toLowerCase()));
	}
}
ionicBootstrap(MyApp, [], {
  tabbarPlacement: 'top',
  platforms: {
    ios: {
      tabbarPlacement: 'top',
    }
  }
}); // http://ionicframework.com/docs/v2/api/config/Config/