System.register(['@angular/core', 'ionic-angular', '@angular/common', 'ej/chart.component'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var core_1, ionic_angular_1, common_1, chart_component_1;
    var ChartZoomingPage;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (ionic_angular_1_1) {
                ionic_angular_1 = ionic_angular_1_1;
            },
            function (common_1_1) {
                common_1 = common_1_1;
            },
            function (chart_component_1_1) {
                chart_component_1 = chart_component_1_1;
            }],
        execute: function() {
            ChartZoomingPage = (function () {
                function ChartZoomingPage(nav) {
                    this.nav = nav;
                    this.enableTabScroll = true;
                    this.commonSeriesOptions = { enableAnimation: true, name: 'Server', type: 'line' };
                    this.title = { text: 'Server CPU Load' };
                    this.legend = { visible: false };
                    this.zooming = { enable: true, type: 'x, y', enableMouseWheel: true };
                    this.primaryXAxis = { valueType: 'datetime', labelFormat: 'yyyy', range: { interval: 4 } };
                    this.primaryYAxis = { labelFormat: '{value}%' };
                }
                ChartZoomingPage.prototype.onchartload = function (sender) {
                    var data = this.GetData();
                    sender.model.series[0].dataSource = data.Open;
                    sender.model.series[0].xName = "XValue";
                    sender.model.series[0].yName = "YValue";
                    if (!ej.util.isNullOrUndefined(window.orientation) && sender) {
                        var model = sender.model, seriesLength = model.series.length;
                        model.title.enableTrim = true;
                        model.elementSpacing = 5;
                        model.legend.visible = false;
                        model.size.height = null;
                        model.size.width = null;
                        for (var i = 0; i < seriesLength; i++) {
                            if (!model.series[i].marker)
                                model.series[i].marker = {};
                            if (!model.series[i].marker.size)
                                model.series[i].marker.size = {};
                            model.series[i].marker.size.width = 6;
                            model.series[i].marker.size.height = 6;
                        }
                        model.primaryXAxis.labelIntersectAction = "rotate45";
                        if (model.primaryXAxis.title)
                            model.primaryXAxis.title.text = "";
                        model.primaryXAxis.edgeLabelPlacement = "hide";
                        model.primaryYAxis.labelIntersectAction = "rotate45";
                        if (model.primaryYAxis.title)
                            model.primaryYAxis.title.text = "";
                        model.primaryYAxis.edgeLabelPlacement = "hide";
                        if (model.axes) {
                            for (var j = 0; j < model.axes.length; j++) {
                                model.axes[j].labelIntersectAction = "rotate45";
                                if (model.axes[j].title)
                                    model.axes[j].title.text = "";
                                model.axes[j].edgeLabelPlacement = "hide";
                            }
                        }
                    }
                };
                ChartZoomingPage.prototype.GetData = function () {
                    var series1 = [];
                    var value = 100;
                    for (var i = 1; i < 250; i++) {
                        if (Math.random() > .5) {
                            value += Math.random();
                        }
                        else {
                            value -= Math.random();
                        }
                        var point = { XValue: new Date(1996, i + 2, i), YValue: value };
                        series1.push(point);
                    }
                    var data = { Open: series1 };
                    return data;
                };
                ChartZoomingPage = __decorate([
                    core_1.Component({
                        template: "<!--   Generated template for the DatepickerPage page.    See http://ionicframework.com/docs/v2/components/#navigation for more info on   Ionic pages and navigation. --> <ion-header>    <ion-navbar>     <button menuToggle>       <ion-icon name=\"menu\"></ion-icon>     </button>     <ion-title>Chart</ion-title>   </ion-navbar>  </ion-header>  <ion-content>   <ej-chart id=\"default_chart_sample_9\" style=\"display:block;\" [legend]=\"legend\" [isResponsive]=\"true\" [zooming]=\"zooming\" [title]=\"title\" [commonSeriesOptions] = \"commonSeriesOptions\" (load)=\"onchartload($event)\" [primaryXAxis]=\"primaryXAxis\" [primaryYAxis]=\"primaryYAxis\">                 <e-seriescollection>             <e-series name=\"Website\"></e-series>      </e-seriescollection>         </ej-chart> </ion-content>",
                        directives: [chart_component_1.EJ_CHART_COMPONENTS, common_1.CORE_DIRECTIVES]
                    }), 
                    __metadata('design:paramtypes', [ionic_angular_1.NavController])
                ], ChartZoomingPage);
                return ChartZoomingPage;
            }());
            exports_1("ChartZoomingPage", ChartZoomingPage);
        }
    }
});
