System.register(['@angular/core', 'ionic-angular', '@angular/common', 'ej/pivotchart.component', 'ej/dropdownlist.component', '../../providers/pivotdata-service/pivotdata-service'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var core_1, ionic_angular_1, common_1, pivotchart_component_1, dropdownlist_component_1, pivotdata_service_1;
    var PivotChartLocalizationPage;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (ionic_angular_1_1) {
                ionic_angular_1 = ionic_angular_1_1;
            },
            function (common_1_1) {
                common_1 = common_1_1;
            },
            function (pivotchart_component_1_1) {
                pivotchart_component_1 = pivotchart_component_1_1;
            },
            function (dropdownlist_component_1_1) {
                dropdownlist_component_1 = dropdownlist_component_1_1;
            },
            function (pivotdata_service_1_1) {
                pivotdata_service_1 = pivotdata_service_1_1;
            }],
        execute: function() {
            PivotChartLocalizationPage = (function () {
                function PivotChartLocalizationPage(nav, pivotDataService) {
                    this.nav = nav;
                    this.pivotDataService = pivotDataService;
                    this.data = pivotDataService.pivot_datacube();
                    this.cube = pivotDataService.pivot_cube();
                    this.catelog = pivotDataService.pivot_catelog();
                    this.rows = pivotDataService.pivot_Olaprows();
                    this.columns = pivotDataService.pivot_Olapcolumns();
                    this.values = pivotDataService.pivot_Olapvalues();
                    this.size = pivotDataService.size();
                    this.legend = pivotDataService.legend();
                    this.load = "loadTheme";
                    this.commonSeriesOptions = pivotDataService.commonSeriesOptions();
                    this.primaryYAxis = pivotDataService.primaryYAxisOlap();
                    this.primaryXAxis = pivotDataService.primaryXAxis();
                    this.type = "column";
                    this.localeType = ["en-US", "fr-FR", "es-ES"];
                    this.locale = "en-US";
                }
                PivotChartLocalizationPage.prototype.onchange = function (args) {
                    var chartTarget = $('#localePivotChart').data("ejPivotChart");
                    var languageID = args.value == "fr-FR" ? "1036" : args.value == "es-ES" ? "1034" : "1033";
                    var xAxisTitle, yAxisTitle;
                    switch (args.value) {
                        case "fr-FR":
                            xAxisTitle = "Fecha - Fiscal";
                            yAxisTitle = "Cantidad de Ventas por Internet";
                            break;
                        case "es-ES":
                            xAxisTitle = "Date - Fiscal";
                            yAxisTitle = "Montant des Ventes (Internet)";
                            break;
                        case "en-US":
                            xAxisTitle = "Date - Fiscal";
                            yAxisTitle = "Internet Sales Amount";
                            break;
                    }
                    var olapDataSource = {
                        data: "http://bi.syncfusion.com/olap/msmdpump.dll;Locale Identifier= " + languageID + ";",
                        catalog: "Adventure Works DW 2008 SE",
                        cube: "Adventure Works",
                        rows: [{ fieldName: "[Date].[Fiscal]" }],
                        columns: [{ fieldName: "[Customer].[Customer Geography]" }],
                        filters: [],
                        values: [{ measures: [{ fieldName: "[Measures].[Internet Sales Amount]" }], axis: "columns" }]
                    };
                    $(".e-pivotchart").remove();
                    var chartPanel = ej.buildTag("div#localePivotChart", "", { height: 500, width: "100%", "float": "left" })[0].outerHTML;
                    $(chartPanel).appendTo(".control");
                    $("#localePivotChart")["ejPivotChart"]({
                        dataSource: olapDataSource, locale: args.value,
                        isResponsive: true,
                        type: ej.PivotChart.ChartTypes.Column,
                        commonSeriesOptions: {
                            enableAnimation: true,
                            type: ej.PivotChart.ChartTypes.Column, tooltip: { visible: true }
                        },
                        size: { height: "460px", width: "95%" },
                        primaryXAxis: { title: { text: xAxisTitle }, labelRotation: 0 },
                        primaryYAxis: { title: { text: yAxisTitle } },
                        legend: { visible: true, rowCount: 2 },
                        load: "loadTheme"
                    });
                };
                PivotChartLocalizationPage = __decorate([
                    core_1.Component({
                        selector: 'sd-home',
                        template: "<!--   Generated template for the DatepickerPage page.    See http://ionicframework.com/docs/v2/components/#navigation for more info on   Ionic pages and navigation. --> <ion-header>    <ion-navbar>     <button menuToggle>       <ion-icon name=\"menu\"></ion-icon>     </button>     <ion-title>PivotChart</ion-title>   </ion-navbar>  </ion-header>  <ion-content>   <div class=\"control\" style=\"float:left; width: 70%\">     <ej-pivotchart id=\"localePivotChart\" [locale]=\"locale\" [dataSource.data]=\"data\" [dataSource.catalog]=\"catelog\" [dataSource.cube]=\"cube\" [dataSource.rows]=\"rows\" [dataSource.columns]=\"columns\" [dataSource.values]=\"values\" [type]=\"type\" [commonSeriesOptions]=\"commonSeriesOptions\" [size]=\"size\" [primaryXAxis]=\"primaryXAxis\" [primaryYAxis]=\"primaryYAxis\" [legend]=\"legend\" [load]=\"load\">   </ej-pivotchart>   </div>   <div style=\"margin: 40px 0 0 16px; float: left\">Localization Types</div>   <input id=\"type\" ej-dropdownlist [dataSource]=\"localeType\" width=\"100%\" [(value)]=\"locale\" (change)=\"onchange($event)\" /> </ion-content>",
                        directives: [pivotchart_component_1.EJ_PIVOTCHART_COMPONENTS, dropdownlist_component_1.EJ_DROPDOWNLIST_COMPONENTS, common_1.CORE_DIRECTIVES],
                        providers: [pivotdata_service_1.PivotDataService]
                    }), 
                    __metadata('design:paramtypes', [ionic_angular_1.NavController, pivotdata_service_1.PivotDataService])
                ], PivotChartLocalizationPage);
                return PivotChartLocalizationPage;
            }());
            exports_1("PivotChartLocalizationPage", PivotChartLocalizationPage);
            ej.PivotChart.Locale["fr-FR"] = {
                Measure: "Mesure",
                Row: "Rangée",
                Column: "Colonne",
                Value: "Valeur",
                Expand: "Développer",
                Collapse: "Effondrement",
                Exit: "Quitter"
            };
            ej.PivotChart.Locale["es-ES"] = {
                Measure: "medida",
                Row: "hilera",
                Column: "columna",
                Value: "Valor",
                Expand: "expandir",
                Collapse: "colapso",
                Exit: "Salida"
            };
        }
    }
});
