import { Component, HostListener, ChangeDetectorRef  } from '@angular/core';
import { NavController} from 'ionic-angular';
import {CORE_DIRECTIVES, FORM_DIRECTIVES} from '@angular/common';
import {AutocompleteDefaultPage } from '../../pages/autocomplete/default';
import {AutocompleteMultipleValuePage} from "../../pages/autocomplete/multiple-value";
import {AutocompleteGroupingPage} from "../../pages/autocomplete/grouping";
import {AutocompleteTemplatePage} from "../../pages/autocomplete/template";
import {AutocompleteAutoFillPage} from "../../pages/autocomplete/auto-fill";
import {AutocompleteRTLPage} from "../../pages/autocomplete/rtl";
import {AutocompleteMultiColumnPage} from "../../pages/autocomplete/multi-column";

import {SwipeTab} from "../../providers/swipe-tab/swipe-tab"
import {EjTabScroll} from "../../components/ej-tab-scroll/ej-tab-scroll";
import {TabSwipe} from "../../components/tab-swipe/tab-swipe";
/*
  Generated class for the AutocompletePage page.

  See http://ionicframework.com/docs/v2/components/#navigation for more info on
  Ionic pages and navigation.
*/
@Component({
  templateUrl: './autocomplete.html',
  directives: [TabSwipe,EjTabScroll],
  providers:[SwipeTab,]
})
export class AutocompletePage {
  tab1Root: any = AutocompleteDefaultPage;
  tab2Root: any = AutocompleteMultipleValuePage;
  tab3Root: any = AutocompleteGroupingPage;
  tab4Root: any = AutocompleteTemplatePage;
  tab5Root: any = AutocompleteAutoFillPage;
  tab6Root: any = AutocompleteRTLPage;
  tab7Root: any = AutocompleteMultiColumnPage;
  constructor(private nav: NavController,public tab:SwipeTab) {
    //Common to all control
  }
  ionViewLoaded(e) {
    this.tab.swipe(false);
  }
}
