import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import {CORE_DIRECTIVES, FORM_DIRECTIVES} from '@angular/common';
import {EJ_AUTOCOMPLETE_COMPONENTS} from 'ej/autocomplete.component';
import {NorthwindService} from "../../providers/northwind-service/northwind-service"
/*
  Generated class for the AutocompletePage page.

  See http://ionicframework.com/docs/v2/components/#navigation for more info on
  Ionic pages and navigation.
*/
@Component({
  templateUrl: './multi-column.html',
  directives: [EJ_AUTOCOMPLETE_COMPONENTS, CORE_DIRECTIVES],
  providers: [NorthwindService]
})
export class AutocompleteMultiColumnPage {
  flowers: Array<string>;
  isFill: boolean;
  fieldData: any;
  OrderData: any;
  isHighLight: boolean;
  isPopUp: boolean;
  multiSetting: any;
  constructor(private nav: NavController, public northwindService: NorthwindService) {
    this.isFill = true;
    this.fieldData = { key: "OrderID", text: "ShipCity" };
    this.isHighLight = true;
    this.isPopUp = true;
    this.multiSetting = {
      stringFormat: "{0}  ({3}) ({1})",
      enable: true,
      showHeader: true,
      columns: [{
        field: "CustomerID",
        headerText: "CustomerID",
      },
        {
          field: "OrderID",
          headerText: "OrderID"
        },
        {
          field: "EmployeeID",
          headerText: "EmployeeID"
        },
        {
          field: "ShipCity",
          headerText: "ShipCity"
        }
      ]
    }
    this.OrderData = northwindService.getOrders()
  }

}
