import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import {CORE_DIRECTIVES, FORM_DIRECTIVES} from '@angular/common';
import {EJ_AUTOCOMPLETE_COMPONENTS} from 'ej/autocomplete.component';
/*
  Generated class for the AutocompletePage page.

  See http://ionicframework.com/docs/v2/components/#navigation for more info on
  Ionic pages and navigation.
*/
@Component({
  templateUrl: './template.html',
  directives: [EJ_AUTOCOMPLETE_COMPONENTS, CORE_DIRECTIVES]
})
export class AutocompleteTemplatePage {
  countries: Array<{ text: string, sprite: string }>;
  templateContent: string;

  constructor(private nav: NavController) {
    this.countries = [
      { text: "Algeria", sprite: "flag-dz" }, { text: "Argentina", sprite: "flag-ar" },
      { text: "Armenia", sprite: "flag-am" }, { text: "Brazil", sprite: "flag-br" },
      { text: "Bangladesh", sprite: "flag-bd" }, { text: "Canada", sprite: "flag-ca" },
      { text: "Cuba", sprite: "flag-cu" }, { text: "China", sprite: "flag-cn" },
      { text: "Denmark", sprite: "flag-dk" }, { text: "Estonia", sprite: "flag-ee" },
      { text: "Egypt", sprite: "flag-eg" }, { text: "France", sprite: "flag-fr" },
      { text: "Finland", sprite: "flag-fi" }, { text: "Greenland", sprite: "flag-gl" },
      { text: "India", sprite: "flag-in" }, { text: "Indonesia", sprite: "flag-id" },
      { text: "Malaysia", sprite: "flag-my" }, { text: "Mexico", sprite: "flag-mx" },
      { text: "New Zealand", sprite: "flag-nz" }, { text: "Netherlands", sprite: "flag-nl" },
      { text: "Norway", sprite: "flag-no" }, { text: "Portugal", sprite: "flag-pt" },
      { text: "Poland", sprite: "flag-pl" }, { text: "Qatar", sprite: "flag-qa" },
      { text: "Romania", sprite: "flag-ro" }, { text: "Spain", sprite: "flag-es" },
      { text: "Singapore", sprite: "flag-sg" }, { text: "Saudi Arabia", sprite: "flag-sa" },
      { text: "Thailand", sprite: "flag-th" }, { text: "Turkey", sprite: "flag-tr" },
      { text: "Ukraine", sprite: "flag-ua" }, { text: "United States", sprite: "flag-us" },
      { text: "Uruguay", sprite: "flag-uy" }, { text: "Viet Nam", sprite: "flag-vn" },
      { text: "Yemen", sprite: "flag-ye" }
    ];
    this.templateContent = '<div class="flag ${sprite}"> </div>' +
      '<div class="txt"> ${text} </div>'
  }

}
