import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import {CORE_DIRECTIVES, FORM_DIRECTIVES} from '@angular/common';
import {EJ_CHART_COMPONENTS} from 'ej/chart.component';

declare var ej: any;
@Component({
  templateUrl: './3dcolumn.html',
  directives: [EJ_CHART_COMPONENTS, CORE_DIRECTIVES]
})
export class Chart3DColumnPage {
  FruitsList: any;
  commonSeriesOptions: any;
  enableTabScroll : any;
  title: any;
  legend: any;
  primaryXAxis: any;
  primaryYAxis: any;
  constructor(private nav: NavController) {
    this.enableTabScroll = true;
    this.FruitsList = [{ xName: 'Calcium', yName: 11, yName1: 6 }, { xName: 'Iron', yName: 20, yName1: 26 }, { xName: 'Sodium', yName: 8, yName1: 7 }];
    this.commonSeriesOptions = { tooltip: { visible: true, format: '#point.x# :  #point.y#mg' }, type: 'column' };
    this.title = { text: 'Fruit Nutrients', enableTrim: true };
    this.primaryXAxis = { valueType: 'category', labelFormat: 'MMM', majorGridLines: { visible: true, color: '#a9a9a9', opacity: 0.12 } };
    this.primaryYAxis = { majorGridLines: { visible: true, color: '#a9a9a9', opacity: 0.12 } };
    this.legend = { visible: true,position:'top' };
  }

onchartload(sender) {
        if (!ej.util.isNullOrUndefined(window.orientation) && sender) {   	//to modify chart properties for mobile view
		var model = sender.model,
		seriesLength = model.series.length;
		model.title.enableTrim = true;
		model.elementSpacing = 5;
		model.legend.visible = false;
		model.size.height = null;
		model.size.width = null;
		for (var i=0; i< seriesLength; i++){
			if (!model.series[i].marker)
				model.series[i].marker = {};
            if (!model.series[i].marker.size)
				model.series[i].marker.size = {};							
			model.series[i].marker.size.width = 6;
			model.series[i].marker.size.height = 6;
		}
		model.primaryXAxis.labelIntersectAction = "rotate45";
		if (model.primaryXAxis.title)
			model.primaryXAxis.title.text = "";
		model.primaryXAxis.edgeLabelPlacement = "hide";
		model.primaryYAxis.labelIntersectAction = "rotate45";
		if (model.primaryYAxis.title)
			model.primaryYAxis.title.text = "";
		model.primaryYAxis.edgeLabelPlacement = "hide";			
		if (model.axes) {
			for (var j=0; j< model.axes.length; j++){
				model.axes[j].labelIntersectAction = "rotate45";
				if (model.axes[j].title)
					model.axes[j].title.text = "";
				model.axes[j].edgeLabelPlacement = "hide";
			}
		}
	}
  }
  
}

