import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import {CORE_DIRECTIVES, FORM_DIRECTIVES} from '@angular/common';
import {EJ_CHART_COMPONENTS} from 'ej/chart.component';

declare var ej: any;
@Component({
  templateUrl: './3dpie.html',
  directives: [EJ_CHART_COMPONENTS, CORE_DIRECTIVES]
})
export class Chart3DPiePage {
  enableTabScroll : any;
  Expenditure : any;
  commonSeriesOptions : any;
  title : any;
  seriesborder : any;
  legend : any;
  depth: any;
  tilt: any;
  rotation: any;
  perspectiveAngle: any;
  constructor(private nav: NavController) {
  this.enableTabScroll = true;
   this.Expenditure = [{ xName: 'Housing', data: 'Housing', yName: 31 },
    { xName: 'Food', data: 'Food', yName: 16 },
     { xName: 'Transportation', data: 'Transportation', yName: 14 },
      { xName: 'Clothing', data: 'Clothing', yName: 6 },
       { xName: 'Health care', data: 'Health care', yName: 8 }, 
       { xName: 'Education', data: 'Education', yName: 17 }, 
       { xName: 'Miscellaneous', data: 'Miscellaneous', yName: 8 }];
    this.commonSeriesOptions = { labelPosition: 'outside', tooltip: { visible: true, format: '#point.x# :  #point.y#%' } };
    this.title = { text: 'Expenditure shares on a child', enableTrim: true };
    this.legend = { visible: false };
    this.depth=30;
    this.tilt=-30;
    this.rotation=-30;
    this.perspectiveAngle=90;
  
  }

onchartload(sender) {
    if (!ej.util.isNullOrUndefined(window.orientation) && sender) {   	//to modify chart properties for mobile view
		var model = sender.model,
		seriesLength = model.series.length;
		model.title.enableTrim = true;
		model.elementSpacing = 5;
		model.legend.visible = false;
		model.size.height = null;
		model.size.width = null;
		for (var i=0; i< seriesLength; i++){
			if (!model.series[i].marker)
				model.series[i].marker = {};
            if (!model.series[i].marker.size)
				model.series[i].marker.size = {};							
			model.series[i].marker.size.width = 6;
			model.series[i].marker.size.height = 6;
		}
		model.primaryXAxis.labelIntersectAction = "rotate45";
		if (model.primaryXAxis.title)
			model.primaryXAxis.title.text = "";
		model.primaryXAxis.edgeLabelPlacement = "hide";
		model.primaryYAxis.labelIntersectAction = "rotate45";
		if (model.primaryYAxis.title)
			model.primaryYAxis.title.text = "";
		model.primaryYAxis.edgeLabelPlacement = "hide";			
		if (model.axes) {
			for (var j=0; j< model.axes.length; j++){
				model.axes[j].labelIntersectAction = "rotate45";
				if (model.axes[j].title)
					model.axes[j].title.text = "";
				model.axes[j].edgeLabelPlacement = "hide";
			}
		}
	}
  }
  
}

