import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import {CORE_DIRECTIVES, FORM_DIRECTIVES} from '@angular/common';
import {EJ_CHART_COMPONENTS} from 'ej/chart.component';
import {ChartDataService} from '../../providers/chartdata-service/chartdata-service';

declare var ej: any;
@Component({
  templateUrl: './column.html',
  directives: [EJ_CHART_COMPONENTS, CORE_DIRECTIVES],
  providers: [ChartDataService]
})
export class ChartColumnPage {
  CountriesList: any;
  commonSeriesOptions: any;
  enableTabScroll : any;
  title: any;
  legend: any;
  primaryXAxis: any;
  primaryYAxis: any;
  constructor(private nav: NavController, public chartDataService: ChartDataService) {
     this.enableTabScroll = true;
    this.CountriesList = [
                 {xName: 'USA', yName: 50, yName1: 70, yName2: 45},
                 {xName: 'China', yName: 40, yName1: 60, yName2: 55},
                  {xName: 'Japan', yName: 70, yName1: 60, yName2: 50}
    ];
    this.commonSeriesOptions = {type: 'column', enableAnimation: true, tooltip: {visible: true, format: '#point.x# :  #point.y#'}};
    this.title = {text: 'Olympic Medals'};
    this.legend = {visible: true, position: 'top'};
    this.primaryXAxis = {axisLine:{visible:true}};
    this.primaryYAxis = {range: {min: 0, max: 80, interval: 20}};
  }

onchartload(sender) {
        if (!ej.util.isNullOrUndefined(window.orientation) && sender) {   	//to modify chart properties for mobile view
		var model = sender.model,
		seriesLength = model.series.length;
		model.title.enableTrim = true;
		model.elementSpacing = 5;
		model.legend.visible = false;
		model.size.height = null;
		model.size.width = null;
		for (var i=0; i< seriesLength; i++){
			if (!model.series[i].marker)
				model.series[i].marker = {};
            if (!model.series[i].marker.size)
				model.series[i].marker.size = {};							
			model.series[i].marker.size.width = 6;
			model.series[i].marker.size.height = 6;
		}
		model.primaryXAxis.labelIntersectAction = "rotate45";
		if (model.primaryXAxis.title)
			model.primaryXAxis.title.text = "";
		model.primaryXAxis.edgeLabelPlacement = "hide";
		model.primaryYAxis.labelIntersectAction = "rotate45";
		if (model.primaryYAxis.title)
			model.primaryYAxis.title.text = "";
		model.primaryYAxis.edgeLabelPlacement = "hide";			
		if (model.axes) {
			for (var j=0; j< model.axes.length; j++){
				model.axes[j].labelIntersectAction = "rotate45";
				if (model.axes[j].title)
					model.axes[j].title.text = "";
				model.axes[j].edgeLabelPlacement = "hide";
			}
		}
	}
  }
  
}

