import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import {CORE_DIRECTIVES, FORM_DIRECTIVES} from '@angular/common';
import {EJ_CHART_COMPONENTS} from 'ej/chart.component';
import {TimerWrapper} from '@angular/core/src/facade/async';

declare var ej: any;
@Component({
  templateUrl: './live.html',
  directives: [EJ_CHART_COMPONENTS, CORE_DIRECTIVES]
})
export class ChartLivePage {
  enableTabScroll : any;
  primaryXAxis:any;
  primaryYAxis:any;
  legend:any;
  constructor(private nav: NavController) {
  
   this.primaryXAxis = { majorGridLines: { visible: false } };
    this.primaryYAxis = {range: { min: 0, max: 50, interval: 10 } };
    this.legend = { visible: false };
  
  }
    
    
    onchartload(sender) {
        
        if (!ej.util.isNullOrUndefined(window.orientation) && sender) {   	//to modify chart properties for mobile view
		var model = sender.model,
		seriesLength = model.series.length;
		model.title.enableTrim = true;
		model.elementSpacing = 5;
		model.legend.visible = false;
		model.size.height = null;
		model.size.width = null;
		for (let k=0; k< seriesLength; k++){
			if (!model.series[k].marker)
				model.series[k].marker = {};
            if (!model.series[k].marker.size)
				model.series[k].marker.size = {};							
			model.series[k].marker.size.width = 6;
			model.series[k].marker.size.height = 6;
		}
		model.primaryXAxis.labelIntersectAction = "rotate45";
		if (model.primaryXAxis.title)
			model.primaryXAxis.title.text = "";
		model.primaryXAxis.edgeLabelPlacement = "hide";
		model.primaryYAxis.labelIntersectAction = "rotate45";
		if (model.primaryYAxis.title)
			model.primaryYAxis.title.text = "";
		model.primaryYAxis.edgeLabelPlacement = "hide";			
		if (model.axes) {
			for (var j=0; j< model.axes.length; j++){
				model.axes[j].labelIntersectAction = "rotate45";
				if (model.axes[j].title)
					model.axes[j].title.text = "";
				model.axes[j].edgeLabelPlacement = "hide";
			}
		}
	}
    
    
        let chartobj = this;
        let num = 100, data = [], data1 = [];
        let i;
        let value = 10;
        let chartData=null;
        let chartData1 = null
        let value1 = 15;
        for (i = 0; i < num; i++) {
            if (Math.random() > .5) {
                if (value < 45)
                    value += Math.random() * 2.0;
                else
                    value -= 2.0;


                if (value1 < 40)
                    value1 += Math.random() * 1.8;
                else
                    value1 -= 2.0;
            }
            else {
                if (value > 5)
                    value -= Math.random() * 2.0;
                else
                    value += 2.0;

                if (value1 > 5)
                    value1 -= Math.random() * 1.8;
                else
                    value1 += 2.0;
            }
            data[i] = {
                x: i.toString(), y: value
            };
            data1[i] = {
                x: i.toString(), y: value1+10
            };
        }
        chartData = data;
        chartData1 = data1; 
        sender.model.series[0].points = chartData;
        sender.model.series[1].points = chartData1;
        
     
        let interval   = setInterval((count) => {
            
        let chartobj = jQuery("#default_chart_sample_12").data("ejChart");
        if (Math.random() > .5) {
                if (value < 45)
                    value += Math.random() * 2.0;
                else
                    value -= 2.0;


                if (value1 < 40)
                    value1 += Math.random() * 1.8;
                else
                    value1 -= 2.0;
            }
            else {
                if (value > 5)
                    value -= Math.random() * 2.0;
                else
                    value += 2.0;

                if (value1 > 5)
                    value1 -= Math.random() * 1.8;
                else
                    value1 += 2.0;
            }
            chartData.push({ x: i.toString(), y: value });
            chartData1.push({ x: i.toString(), y: value1+10 });
            i++;
            chartData.shift();
            chartData1.shift();
            if(chartobj && chartobj.model){
                     chartobj.model.series[0].points = chartData;
                     chartobj.model.series[1].points = chartData1;
             }
           chartobj.redraw();
      
      }, 200);
       
  }
}
