import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import {CORE_DIRECTIVES, FORM_DIRECTIVES} from '@angular/common';
import {EJ_CHART_COMPONENTS} from 'ej/chart.component';

declare var ej: any;
@Component({
  templateUrl: './polar.html',
  directives: [EJ_CHART_COMPONENTS, CORE_DIRECTIVES]
})
export class ChartPolarPage {
  enableTabScroll : any;
  dataList : any;
  commonSeriesOptions : any;
  legend:any;
  marker:any;
  primaryYAxis:any;
  constructor(private nav: NavController) {
    this.enableTabScroll = true;
    this.marker = {visible:true};
    this.dataList = [
        { xName: 'N', yName: 42, yName1: 63, yName2: 80 },
        { xName: 'NE', yName: 28, yName1: 73, yName2: 88 },
        { xName: 'E', yName: 40, yName1: 58, yName2: 79 },
        { xName: 'SE', yName: 45, yName1: 65, yName2: 83 },
        { xName: 'S', yName: 20, yName1: 47, yName2: 78 },
        { xName: 'SW', yName: 40, yName1: 70, yName2: 90 },
        { xName: 'W', yName: 25, yName1: 45, yName2: 78 },
        { xName: 'NW', yName: 40, yName1: 70, yName2: 85 }];
    this.commonSeriesOptions = { type: 'polar', enableAnimation: true, tooltip: { visible: true } };
    this.legend = { visible: true };
    this.primaryYAxis = { range: { min: 15, max: 90, interval: 15 } };
  }

onchartload(sender) {
         if (!ej.util.isNullOrUndefined(window.orientation) && sender) {   	//to modify chart properties for mobile view
		var model = sender.model,
		seriesLength = model.series.length;
		model.title.enableTrim = true;
		model.elementSpacing = 5;
		model.legend.visible = false;
		model.size.height = null;
		model.size.width = null;
		for (var i=0; i< seriesLength; i++){
			if (!model.series[i].marker)
				model.series[i].marker = {};
            if (!model.series[i].marker.size)
				model.series[i].marker.size = {};							
			model.series[i].marker.size.width = 6;
			model.series[i].marker.size.height = 6;
		}
		model.primaryXAxis.labelIntersectAction = "rotate45";
		if (model.primaryXAxis.title)
			model.primaryXAxis.title.text = "";
		model.primaryXAxis.edgeLabelPlacement = "hide";
		model.primaryYAxis.labelIntersectAction = "rotate45";
		if (model.primaryYAxis.title)
			model.primaryYAxis.title.text = "";
		model.primaryYAxis.edgeLabelPlacement = "hide";			
		if (model.axes) {
			for (var j=0; j< model.axes.length; j++){
				model.axes[j].labelIntersectAction = "rotate45";
				if (model.axes[j].title)
					model.axes[j].title.text = "";
				model.axes[j].edgeLabelPlacement = "hide";
			}
		}
	}
  }
  
}

