import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import {CORE_DIRECTIVES, FORM_DIRECTIVES} from '@angular/common';
import {EJ_CHART_COMPONENTS} from 'ej/chart.component';

declare var ej: any;
@Component({
  templateUrl: './pyramid.html',
  directives: [EJ_CHART_COMPONENTS, CORE_DIRECTIVES]
})
export class ChartPyramidPage {
  enableTabScroll : any;
  WebSiteVisitor : any;
  commonSeriesOptions : any;
  title : any;
  legend : any;
  constructor(private nav: NavController) {
  
  
    this.enableTabScroll = true;
    this.WebSiteVisitor = [{ xName: 'Renewed', yName: 18.2 }, { xName: 'Subscribe', yName: 27.3 }, { xName: 'Downloaded', yName: 76.8 }, { xName: 'Visited', yName: 100 }];
    this.commonSeriesOptions = { type: 'pyramid', enableAnimation: true, tooltip: { visible: true }, marker: { dataLabel: { visible: true, shape: 'none', font: { color: 'black', size: '12px', fontWeight: 'lighter' } } } };
    this.title = { text: 'Web Site Visitor' };
    this.legend = { visible: true };
  }

onchartload(sender) {
    if (!ej.util.isNullOrUndefined(window.orientation) && sender) {   	//to modify chart properties for mobile view
		var model = sender.model,
		seriesLength = model.series.length;
		model.title.enableTrim = true;
		model.elementSpacing = 5;
		model.legend.visible = false;
		model.size.height = null;
		model.size.width = null;
		for (var i=0; i< seriesLength; i++){
			if (!model.series[i].marker)
				model.series[i].marker = {};
            if (!model.series[i].marker.size)
				model.series[i].marker.size = {};							
			model.series[i].marker.size.width = 6;
			model.series[i].marker.size.height = 6;
		}
		model.primaryXAxis.labelIntersectAction = "rotate45";
		if (model.primaryXAxis.title)
			model.primaryXAxis.title.text = "";
		model.primaryXAxis.edgeLabelPlacement = "hide";
		model.primaryYAxis.labelIntersectAction = "rotate45";
		if (model.primaryYAxis.title)
			model.primaryYAxis.title.text = "";
		model.primaryYAxis.edgeLabelPlacement = "hide";			
		if (model.axes) {
			for (var j=0; j< model.axes.length; j++){
				model.axes[j].labelIntersectAction = "rotate45";
				if (model.axes[j].title)
					model.axes[j].title.text = "";
				model.axes[j].edgeLabelPlacement = "hide";
			}
		}
	}
  }
  
}

