import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import {CORE_DIRECTIVES, FORM_DIRECTIVES} from '@angular/common';
import {EJ_CHART_COMPONENTS} from 'ej/chart.component';

declare var ej: any;
@Component({
  templateUrl: './zooming.html',
  directives: [EJ_CHART_COMPONENTS, CORE_DIRECTIVES]
})
export class ChartZoomingPage {
  enableTabScroll : any;
  commonSeriesOptions : any;
  title : any;
  legend : any;
  zooming : any;
  primaryXAxis : any;
  primaryYAxis : any;
  constructor(private nav: NavController) {
  
  this.enableTabScroll = true;
  this.commonSeriesOptions = { enableAnimation: true, name: 'Server', type: 'line' };
    this.title = { text: 'Server CPU Load' };
    this.legend = { visible: false };
    this.zooming = { enable: true, type: 'x, y', enableMouseWheel: true };
    this.primaryXAxis = { valueType: 'datetime', labelFormat:'yyyy',range:{interval:4} };
    this.primaryYAxis = { labelFormat: '{value}%'};
   
  
  }
  
   onchartload(sender) {
        let data = this.GetData();
        sender.model.series[0].dataSource = data.Open;
        sender.model.series[0].xName = "XValue";
        sender.model.series[0].yName = "YValue";
        
       if (!ej.util.isNullOrUndefined(window.orientation) && sender) {   	//to modify chart properties for mobile view
		var model = sender.model,
		seriesLength = model.series.length;
		model.title.enableTrim = true;
		model.elementSpacing = 5;
		model.legend.visible = false;
		model.size.height = null;
		model.size.width = null;
		for (var i=0; i< seriesLength; i++){
			if (!model.series[i].marker)
				model.series[i].marker = {};
            if (!model.series[i].marker.size)
				model.series[i].marker.size = {};							
			model.series[i].marker.size.width = 6;
			model.series[i].marker.size.height = 6;
		}
		model.primaryXAxis.labelIntersectAction = "rotate45";
		if (model.primaryXAxis.title)
			model.primaryXAxis.title.text = "";
		model.primaryXAxis.edgeLabelPlacement = "hide";
		model.primaryYAxis.labelIntersectAction = "rotate45";
		if (model.primaryYAxis.title)
			model.primaryYAxis.title.text = "";
		model.primaryYAxis.edgeLabelPlacement = "hide";			
		if (model.axes) {
			for (var j=0; j< model.axes.length; j++){
				model.axes[j].labelIntersectAction = "rotate45";
				if (model.axes[j].title)
					model.axes[j].title.text = "";
				model.axes[j].edgeLabelPlacement = "hide";
			}
		}
	}
        
  }
   
  
   GetData() {
        let series1 = [];
        let value = 100;
        for (let i = 1; i < 250; i++) {
            if (Math.random() > .5) {
                value += Math.random();
            } else {
                value -= Math.random();
            }
            let point = { XValue: new Date(1996, i + 2, i), YValue: value };
            series1.push(point);
        }
        let data = { Open: series1 };
        return data;
    }

}
