import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import {CORE_DIRECTIVES, FORM_DIRECTIVES} from '@angular/common';
import {EJ_DIAGRAM_COMPONENTS, EJ_BUTTON_COMPONENTS} from 'ej/web.all';
/*
  Generated class for the DiagramPage page.

  See http://ionicframework.com/docs/v2/components/#navigation for more info on
  Ionic pages and navigation.
*/
//declare var $:JQuery;
@Component({
    templateUrl: './default.html',
    directives: [EJ_DIAGRAM_COMPONENTS, EJ_BUTTON_COMPONENTS, CORE_DIRECTIVES]
})
export class DiagramDefaultPage {

    def_nodes: any;
    def_connectors: any;
    def_pageSettings:any;
    def_snapSettings:any;
    def_defaultSettings: any;
    constructor(private nav: NavController) {
        this.def_nodes = [
            { name: "NewIdea", width: 150, height: 60, offsetX: 300, offsetY: 60, labels: [{ "text": "New idea identified" }], type: "flow", shape: "terminator" },
            { name: "Meeting", width: 150, height: 60, offsetX: 300, offsetY: 155, labels: [{ "text": "Meeting with board" }], type: "flow", shape: "process" },
            { name: "BoardDecision", width: 150, height: 110, offsetX: 300, offsetY: 280, labels: [{ text: "Board decides \nwhether \nto proceed", wrapText: "true", "margin": { "left": 20, "top": 0, "right": 20, "bottom": 0 } }], type: "flow", shape: "decision" },
            { name: "Project", width: 150, height: 100, offsetX: 300, offsetY: 430, labels: [{ "text": "Find Project \nmanager" }], type: "flow", shape: "decision" },
            { name: "End", width: 150, height: 60, offsetX: 300, offsetY: 555, labels: [{ "text": "Implement and Deliver" }], type: "flow", shape: "process" },
            { name: "Decision", width: 250, height: 60, offsetX: 550, offsetY: 60, labels: [{ "text": "Decision Process for new software ideas" }], type: "flow", shape: "card", fillColor: "#858585", borderColor: "#858585" },
            { name: "Reject", width: 150, height: 60, offsetX: 550, offsetY: 285, labels: [{ "text": "Reject and write report" }], type: "flow", shape: "process" },
            { name: "Resources", width: 150, height: 60, offsetX: 550, offsetY: 430, labels: [{ "text": "Hire new resources" }], type: "flow", shape: "process" }
        ];
        this.def_connectors = [
            { name: "connector1", sourceNode: "NewIdea", targetNode: "Meeting" },
            { name: "connector2", sourceNode: "Meeting", targetNode: "BoardDecision" },
            { name: "connector3", sourceNode: "BoardDecision", targetNode: "Project", labels: [{ "text": "Yes" }] },
            { name: "connector4", sourceNode: "Project", targetNode: "End", labels: [{ "text": "Yes" }] },
            { name: "connector5", sourceNode: "BoardDecision", targetNode: "Reject", labels: [{ "text": "No" }] },
            { name: "connector6", sourceNode: "Project", targetNode: "Resources", labels: [{ "text": "No" }] }
        ];
        this.def_pageSettings = { scrollLimit: "diagram" };
        this.def_snapSettings = { snapConstraints: "none" };
        this.def_defaultSettings = {
            node: { borderColor: "#1BA0E2", fillColor: "#1BA0E2", labels: [{ "fontColor": "white" }] },
            connector: { targetDecorator: { shape: "arrow", borderColor: "#606060", width: "10", height: "10" }, lineColor: "#606060", labels: [{ "fillColor": "white" }] }
        };
    }
    def_create(args) { 
        let diagram = jQuery("#diagramDefault").data("ejDiagram") 
        diagram.updateViewPort();
        diagram.layout();
        if ($(window).width() < 700)
            diagram.fitToPage("width", "content");
    };
}
