import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import {CORE_DIRECTIVES, FORM_DIRECTIVES} from '@angular/common';
import {EJ_DIAGRAM_COMPONENTS, EJ_BUTTON_COMPONENTS} from 'ej/web.all';
/*
  Generated class for the DiagramPage page.

  See http://ionicframework.com/docs/v2/components/#navigation for more info on
  Ionic pages and navigation.
*/
//declare var $:JQuery;
@Component({
    templateUrl: './hierarchicaltree.html',
    directives: [EJ_DIAGRAM_COMPONENTS, EJ_BUTTON_COMPONENTS, CORE_DIRECTIVES]
})
export class HierarchicalTreePage {

    hiera_tool: any;
    hiera_layout: any;
    hiera_defaultSettings: any;
    hiera_selectedItems: any;
    hiera_dataSourceSettings: any;
    hiera_pageSettings: any;
    hiera_snapSettings: any;
    hiera_nodeTemplate: any;


    constructor(private nav: NavController) {
        var data = [
            { "Name": "Diagram", "fillColor": "#916DAF" },
            { "Name": "Layout", "Category": "Diagram" },
            { "Name": "Tree Layout", "Category": "Layout" },
            { "Name": "Organizational Chart", "Category": "Layout" },
            { "Name": "Hierarchical Tree", "Category": "Tree Layout" },
            { "Name": "Radial Tree", "Category": "Tree Layout" },
            { "Name": "Mind Map", "Category": "Hierarchical Tree" },
            { "Name": "Family Tree", "Category": "Hierarchical Tree" },
            { "Name": "Management", "Category": "Organizational Chart" },
            { "Name": "Human Resource", "Category": "Management" },
            { "Name": "University", "Category": "Management" },
            { "Name": "Business", "Category": "Management" },
        ];
        this.hiera_tool = "singleSelect";
        this.hiera_layout = { type: "hierarchicaltree", horizontalSpacing: 25, verticalSpacing: 35, marginX: 3, marginY: 3 };
        this.hiera_defaultSettings = {
            node: {
                fillColor: "#88C65C", width: 100,
                height: 40, borderColor: "black", borderWidth: 1, labels: [{ name: "label1", fontColor: "white", fontSize: 12, margin: { left: 10, right: 10 } }]
            },
            connector: {
                lineColor: "#000000",
                segments: [{ type: "orthogonal" }]
            }
        },
        this.hiera_dataSourceSettings = { id: "Name", parent: "Category", dataSource: data },
        this.hiera_pageSettings = { scrollLimit: "diagram" },
        this.hiera_snapSettings = { snapConstraints: "none" }
        this.hiera_nodeTemplate = hiera_nodeTemplate;
     
    }
    hiera_create(args) {
        let diagram = jQuery("#hierarchicaltree").data("ejDiagram")  
        diagram.updateViewPort();
        diagram.layout();
        if ($(window).width() < 700)
            diagram.fitToPage("width", "content");
    }
}
function hiera_nodeTemplate(diagram, node) {
    node.labels[0].text = node.Name;
}
