import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import {CORE_DIRECTIVES, FORM_DIRECTIVES} from '@angular/common';
import {EJ_DIAGRAM_COMPONENTS, EJ_BUTTON_COMPONENTS} from 'ej/web.all';
/*
  Generated class for the DiagramPage page.

  See http://ionicframework.com/docs/v2/components/#navigation for more info on
  Ionic pages and navigation.
*/
//declare var $:JQuery;
@Component({
    templateUrl: './localdata.html',
    directives: [EJ_DIAGRAM_COMPONENTS, EJ_BUTTON_COMPONENTS, CORE_DIRECTIVES]
})
export class LocalDataPage {

    local_layout: any;
    local_defaultSettings: any;
    local_nodeTemplate: any;
    local_pageSettings: any;
    local_snapSettings: any;
    local_tool: any;
    local_dataSourceSettings: any;
    constructor(private nav: NavController) {
        var local_data = [
            { "Id": "parent", "Role": "Marketing Director", "Color": "#f79663" },
            { "Id": "1", "Role": "Manager", "TeamLead": "parent", "Color": "#f79663" },
            { "Id": 3, "Role": "Fundraiser", "TeamLead": "1", "Color": "#5cc3b5" },
            { "Id": 4, "Role": "Programmer", "TeamLead": "1", "Color": "#5cc3b5" },
            { "Id": 6, "Role": "Communicator", "TeamLead": 3, "Color": "#67a961" },
            { "Id": 7, "Role": "Advertisor", "TeamLead": 3, "Color": "#67a961" },
            { "Id": 8, "Role": "Funding Officer", "TeamLead": 3, "Color": "#67a961" },
            { "Id": 9, "Role": "Inter", "TeamLead": 6, "Color": "#67a961" },
            { "Id": 10, "Role": " Officer", "TeamLead": 7, "Color": "#67a961" },
            { "Id": 11, "Role": " Officer", "TeamLead": 7, "Color": "#67a961" },
            { "Id": 12, "Role": " Asst.Director", "TeamLead": 4, "Color": "#e9b833" },
            { "Id": 13, "Role": " Asst.Director", "TeamLead": 4, "Color": "#e9b833" },
            { "Id": 14, "Role": " Asst.Director", "TeamLead": 4, "Color": "#e9b833" }
        ];
        this.local_layout = {
            type: "hierarchicaltree", marginY: 50, horizontalSpacing: 30, verticalSpacing: 40
        };
        this.local_defaultSettings = {
            //set the default properties of the nodes.
            node: {
                width: 110, height: 40, shape: "rectangle", borderColor: "transparent", fillColor: "#253737",

                labels: [{ name: "label1", fontColor: "#ffffff", margin: { left: 5, right: 5 } }]
            },
            //set the default properties of the connectors.
            connector: {
                segments: [{ "type": "orthogonal" }],
                targetDecorator: { fillColor: "#4F4F4F", borderColor: "#4F4F4F" }
            }
        };
        this.local_nodeTemplate = local_nodeTemplate;
        this.local_pageSettings = { scrollLimit: "diagram" };
        this.local_snapSettings = { snapConstraints: "none" };
        this.local_tool = "zoomPan";
        this.local_dataSourceSettings = {
            id: "Id", parent: "TeamLead",
            dataSource: local_data
        };
    }
    local_create(args) { 
        let diagram = jQuery("#diagramLocal").data("ejDiagram")        
        if ($(window).width() < 700) {
            diagram.fitToPage("width", "content");
        }
    };
}
function local_nodeTemplate(diagram, node) {
    node.labels[0].text = node.Role;
    node.fillColor = node.Color;
};