import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import {CORE_DIRECTIVES, FORM_DIRECTIVES} from '@angular/common';
import {EJ_DIAGRAM_COMPONENTS, EJ_BUTTON_COMPONENTS} from 'ej/web.all';
/*
  Generated class for the DiagramPage page.

  See http://ionicframework.com/docs/v2/components/#navigation for more info on
  Ionic pages and navigation.
*/
//declare var $:JQuery;
@Component({
    templateUrl: './organizationalchart.html',
    directives: [EJ_DIAGRAM_COMPONENTS, EJ_BUTTON_COMPONENTS, CORE_DIRECTIVES]
})
export class OrganizationalChartPage {

    layout: any;
    defaultSettings: any;
    tool: any;
    dataSourceSettings: any;
    backgroundColor: any;
    nodeTemplate: any;
    pageSettings:any;
    
    
    
   
    constructor(private nav: NavController) {
        var data = [
            { "Id": "parent", "Function": "Project Management" },
            { "Id": "1", "Function": "R&D Team", "Phase": "parent" },
            { "Id": "2", "Function": "HR Team", "Phase": "parent" },
            { "Id": "3", "Function": "Sales Team", "Phase": "parent" },
            { "Id": "4", "Function": "Philosophy", "Phase": "1" },
            { "Id": "5", "Function": " Organization", "Phase": "1" },
            { "Id": "6", "Function": "Technology", "Phase": "1" },
            { "Id": "7", "Function": " Funding", "Phase": "1" },
            { "Id": "10", "Function": "Evaluation", "Phase": "1" },
            { "Id": "11", "Function": "Recruitment", "Phase": "2" },
            { "Id": "12", "Function": "Relation", "Phase": "2" },
            { "Id": "13", "Function": "Design", "Phase": "3" },
            { "Id": "14", "Function": "Operation", "Phase": "3" },
            { "Id": "15", "Function": "Support", "Phase": "3" },
            { "Id": "16", "Function": "Quality", "Phase": "3" },
            { "Id": "19", "Function": "Coordination", "Phase": "3" }
        ];
        this.layout = {
            type: "organizationalchart", orientation: "toptobottom",
            marginY: 50, horizontalSpacing: 30, verticalSpacing: 30,
        };
        this.defaultSettings = {
            node: {
                width: 100, height: 40, shape: "rectangle", borderColor: "transparent",
                labels: [
                    {
                        name: "label1", fontColor: "#ffffff"
                    }
                ]
            },
            connector: { segments: [{ "type": "orthogonal" }], targetDecorator: { shape: "none" }, lineColor: "#003D3D" }
        };
        this.tool = "zoomPan";
        this.dataSourceSettings = {
            id: "Id", parent: "Phase",
            //specifies the dataSource
            dataSource: data,
            root: "Project Management"
        },
        this.backgroundColor = "whitesmoke";
        this.nodeTemplate = function (diagram, node) {
            node.labels[0].text = node.Function;
            node.fillColor = node.Color;
            if (node.Id == "parent") { node.fillColor = "#3484bb"; }
            if (node.Phase == "parent") { node.fillColor = "#9ace7f"; }
            if (node.Phase == "1") { node.fillColor = "#9264aa"; }
            if (node.Phase == "2") { node.fillColor = "#9264aa"; }
            if (node.Phase == "3") { node.fillColor = "#9264aa"; }
        }
        this.pageSettings = {
            scrollLimit: "diagram"
        };  
    }
    create(args) { 
        let diagram = jQuery("#defaultBinding").data("ejDiagram")        
        diagram.updateViewPort();
        diagram.layout();
        if ($(window).width() < 700)
            diagram.fitToPage("width", "content");
    }
}
