import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import {CORE_DIRECTIVES, FORM_DIRECTIVES} from '@angular/common';
import {EJ_DIAGRAM_COMPONENTS, EJ_BUTTON_COMPONENTS} from 'ej/web.all';
/*
  Generated class for the DiagramPage page.

  See http://ionicframework.com/docs/v2/components/#navigation for more info on
  Ionic pages and navigation.
*/
//declare var $:JQuery;
@Component({
    templateUrl: './swimlane.html',
    directives: [EJ_DIAGRAM_COMPONENTS, EJ_BUTTON_COMPONENTS, CORE_DIRECTIVES]
})
export class SwimlanePage {

    swim_nodes: any;
    swim_connectors: any;
    swim_defaultSettings: any;
    swim_pageSettings: any;

    constructor(private nav: NavController) {
        var swim_pathData = "M 120 24.9999 C 120 38.8072 109.642 50 96.8653 50 L 23.135" +
            " 50 C 10.3578 50 0 38.8072 0 24.9999 L 0 24.9999 C" +
            "0 11.1928 10.3578 0 23.135 0 L 96.8653 0 C 109.642 0 120 11.1928 120 24.9999 Z";
        var swim_darkColor = "#C7D4DF";
        var swim_lightColor = "#f5f5f5";
        this.swim_nodes = [
            {
                //creating the swimlane and set its type as swimlane
                type: "swimlane", name: "swimlane",
                //initialize swimlane header
                header: {
                    text: "ONLINE PURCHASE STATUS", height: 50,
                    fillColor: swim_darkColor, fontSize: 11
                },
                fillColor: swim_lightColor, orientation: "horizontal",
                offsetX: 350, offsetY: 290,
                height: 100, width: 650,
                lanes: [
                    //initialize the lanes
                    {
                        name: "stackCanvas1",
                        //set the header properties
                        header: {
                            text: "CUSTOMER", width: 50,
                            fillColor: swim_darkColor, fontSize: 11
                        },
                        fillColor: swim_lightColor, height: 120,
                        //initialize the lane children
                        children: [
                            {
                                shape: "path", pathData: swim_pathData, name: "Order",
                                labels: [{ text: "ORDER", fontSize: 11 }],
                                marginLeft: 70, marginTop: 1,
                            }, ],
                    },
                    {
                        name: "stackCanvas2", header: {
                            text: "ONLINE", width: 50,
                            fillColor: swim_darkColor, fontSize: 11
                        },
                        fillColor: swim_lightColor, height: 120,
                        children: [
                            {
                                name: "selectItemaddcart",
                                labels: [{ text: "Select item\nAdd cart" }],
                                marginLeft: 190, marginTop: 20,
                            },
                            {
                                name: "paymentondebitcreditcard",
                                labels: [{ text: "Payment on\nDebit/Credit Card" }],
                                marginLeft: 350, marginTop: 20,
                            }],
                    },
                    {
                        name: "stackCanvas3", header: {
                            text: "SHOP", width: 50,
                            fillColor: swim_darkColor, fontSize: 11
                        },
                        fillColor: swim_lightColor, height: 120,
                        children: [
                            {
                                name: "getmaildetailaboutorder",
                                labels: [{ text: "Get mail detail\nabout order" }, ],
                                marginLeft: 190, marginTop: 20,
                            },
                            {
                                name: "pakingitem", labels: [{ text: "Paking item" }, ],
                                marginLeft: 350, marginTop: 20,
                            }],
                    },
                    {
                        name: "stackCanvas4",
                        header: {
                            text: "DELIVERY", width: 50,
                            fillColor: swim_darkColor, fontSize: 11
                        },
                        fillColor: swim_lightColor, height: 120,
                        children: [
                            {
                                name: "sendcourieraboutaddress",
                                labels: [{ text: "Send Courier\n about Address" }],
                                marginLeft: 190, marginTop: 20,
                            },
                            {
                                name: "deliveryonthataddress",
                                labels: [{ text: "Delivery on that\n Address" }],
                                marginLeft: 350, marginTop: 20,
                            },
                            {
                                name: "getitItem", shape: "path", pathData: swim_pathData,
                                labels: [{ text: "GET IT ITEM", fontSize: 11 }],
                                marginLeft: 500, marginTop: 20,
                            }],
                    },
                ],
                //creating the phases of the swimlane
                phases: [
                    //set the properties of the phase 
                    {
                        name: "phase1", offset: 200,
                        lineWidth: 1, lineDashArray: "3,3", lineColor: "#606060",
                        label: { text: "Phase" }
                    },
                    {
                        name: "phase2", offset: 500,
                        lineWidth: 1, lineDashArray: "3,3", lineColor: "#606060",
                        label: { text: "Phase" }
                    },
                ],
                phaseSize: 20,

            },
        ];
        this.swim_connectors = [
            //add the connector properties
            {
                name: "connector1", sourceNode: "Order",
                targetNode: "selectItemaddcart"
            },
            {
                name: "connector2", sourceNode: "selectItemaddcart",
                targetNode: "paymentondebitcreditcard"
            },
            {
                name: "connector3", sourceNode: "paymentondebitcreditcard",
                targetNode: "getmaildetailaboutorder"
            },
            {
                name: "connector4", sourceNode: "getmaildetailaboutorder",
                targetNode: "pakingitem"
            },
            {
                name: "connector5", sourceNode: "pakingitem",
                targetNode: "sendcourieraboutaddress"
            },
            {
                name: "connector6", sourceNode: "sendcourieraboutaddress",
                targetNode: "deliveryonthataddress"
            },
            {
                name: "connector7", sourceNode: "deliveryonthataddress",
                targetNode: "getitItem"
            },
        ];
        this.swim_defaultSettings = {
            //set the default properties of the nodes.
            node: {
                width: 100, height: 40, fillColor: "white",
                labels: [{ fontSize: 11 }]
            },
            //set the default properties of the connectors.
            connector: {
                targetDecorator: {
                    shape: "arrow",
                    borderColor: "#606060", width: "10", height: "10"
                },
                lineColor: "#606060",
                segments: [{ type: "orthogonal", length: null }]
            }
        };
        this.swim_pageSettings = { pageHeight: 1020, pageWidth: 1020, scrollLimit: "diagram" };
    }
 swim_create(args) { 
       var id = "diagramSwimlane";
        if (id && window) {
            if ($(window).width() < 700) {
                var diagram =  jQuery("#"+ id ).data("ejDiagram")      
                diagram.fitToPage("width", "content");
            }
       } 
    };
}
