import { Component, HostListener, ChangeDetectorRef } from '@angular/core';
import { NavController } from 'ionic-angular';
import {DialogDefaultPage } from '../../pages/dialog/default';
import {DialogRTLPage } from '../../pages/dialog/rtl';
import {DialogModelDialogPage } from '../../pages/dialog/model-dialog';
import {DialogActionButtonPage } from '../../pages/dialog/action-button';
import {TabSwipe} from "../../components/tab-swipe/tab-swipe";
import {EjTabScroll} from "../../components/ej-tab-scroll/ej-tab-scroll";
import {SwipeTab} from "../../providers/swipe-tab/swipe-tab"
/*
  Generated class for the DialogPage page.
,
  See http://ionicframework.com/docs/v2/components/#navigation for more info on
  Ionic pages and navigation.
*/
@Component({
  templateUrl: './dialog.html',
  directives: [TabSwipe, EjTabScroll],
  providers: [SwipeTab]
})
export class DialogPage {
  tab1Root: any = DialogDefaultPage;
  tab2Root: any = DialogActionButtonPage;
  tab3Root: any = DialogModelDialogPage;
  tab4Root: any = DialogRTLPage;
  constructor(private nav: NavController, private ref: ChangeDetectorRef, public tab: SwipeTab) {
    //Common to all control
  }

  ionViewLoaded(e) {
    this.tab.swipe(false);
  }
}
