import { Component} from '@angular/core';
import { NavController } from 'ionic-angular';
import {CORE_DIRECTIVES, FORM_DIRECTIVES, FormBuilder, ControlGroup, Validators, AbstractControl} from '@angular/common';
import {EJ_DIALOG_COMPONENTS, EJ_BUTTON_COMPONENTS, EJ_CHECKBOX_COMPONENTS} from 'ej/web.all';
import {CustomValidators} from '../../pages/validators/validators';
/*
  Generated class for the DialogPage page.

  See http://ionicframework.com/docs/v2/components/#navigation for more info on
  Ionic pages and navigation.
*/
@Component({
    templateUrl: './model-dialog.html',
    directives: [EJ_DIALOG_COMPONENTS, EJ_CHECKBOX_COMPONENTS, EJ_BUTTON_COMPONENTS, CORE_DIRECTIVES, FORM_DIRECTIVES]
})
export class DialogModelDialogPage {
    authForm: ControlGroup;
    username: AbstractControl;
    password: AbstractControl;

    enableModal: boolean;
    enableResize: boolean;
    allowDraggable: boolean;
    isResponsive: boolean;
    constructor(private nav: NavController, private fb: FormBuilder) {
        this.enableModal = true;
        this.allowDraggable = false;
        this.enableResize = false;
        this.isResponsive = true;

        this.authForm = fb.group({
            'username': ['', Validators.compose([Validators.required, CustomValidators.checkFirstCharacterValidator])],
            'password': ['', Validators.compose([Validators.required, CustomValidators.checkFirstCharacterValidator])]
        });

        this.username = this.authForm.controls['username'];
        this.password = this.authForm.controls['password'];
    }
    onSubmit(value: string): void {
        if (this.authForm.valid) {
            console.log('Submitted value: ', value);
        }
    }
    onDialogClose(e) {
        jQuery("#modelbtnOpen").show();
    }
    onOpen(e) {
        jQuery("#modelbtnOpen").hide();
        let ejDialog = jQuery("#lognForm").data("ejDialog")
        ejDialog.open();
    }

}
