import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import {CORE_DIRECTIVES, FORM_DIRECTIVES} from '@angular/common';
import {EJ_GRID_COMPONENTS} from 'ej/grid.component';
import {NorthwindService} from "../../providers/northwind-service/northwind-service"
/*
  Generated class for the MenuPage page.

  See http://ionicframework.com/docs/v2/components/#navigation for more info on
  Ionic pages and navigation.
*/
declare var ej:any;
@Component({
  templateUrl: './caption-summary.html',
  directives: [EJ_GRID_COMPONENTS, CORE_DIRECTIVES],
  providers: [NorthwindService]
})
export class GridCaptionSummaryPage {
  public gridData;
  groupSetting:any;
  summaryRows:any;
  pageSetting:any;
  scrollSetting:any;
  constructor(private nav: NavController, public northwindService: NorthwindService) {
   this.groupSetting ={
    groupedColumns:["ShipCity"],
   }
   this.pageSetting ={
    pageSize:20,
	pageCount:2
    }
   this.scrollSetting ={
      height :"100%"
    }
    this.summaryRows= [{
          showCaptionSummary: true,
          summaryColumns: [{
              summaryType:"sum",
              displayColumn: "Freight",
              dataMember: "Freight",
              format: "{0:C2}",
              prefix: "Sum = "
          }]
      }],
    this.gridData = northwindService.getOrders();
  }

}

