import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import {CORE_DIRECTIVES, FORM_DIRECTIVES} from '@angular/common';
import {EJ_GRID_COMPONENTS} from 'ej/grid.component';
import {NorthwindService} from "../../providers/northwind-service/northwind-service"
/*
  Generated class for the MenuPage page.

  See http://ionicframework.com/docs/v2/components/#navigation for more info on
  Ionic pages and navigation.
*/
@Component({
  templateUrl: './cell-edit-type.html',
  directives: [EJ_GRID_COMPONENTS, CORE_DIRECTIVES],
  providers: [NorthwindService]
})
export class GridCellEditTypePage {
  public gridData;
  pageSetting:any;
  editSetting:any;
  scrollSetting:any;
  toolbarSetting:any;
  showToolbar:boolean;
  toolbarItems:Array<string>;
  constructor(private nav: NavController, public northwindService: NorthwindService) {
     this.editSetting={
	 allowAdding: true,
	 allowEditing: true,
	 allowDeleting:true,
	}
	this.toolbarSetting={
	  toolbarItems:["add","edit","delete","update","cancel"],
      showToolbar:true,
	}
	this.pageSetting ={
    pageSize:20,
	pageCount:2
    }
   this.scrollSetting ={
      height :"100%"
    }
    this.gridData = northwindService.getOrders();
  }

}
