import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import {CORE_DIRECTIVES, FORM_DIRECTIVES} from '@angular/common';
import {EJ_HEATMAP_COMPONENTS, EJ_HEATMAPLEGEND_COMPONENTS, EJ_BUTTON_COMPONENTS} from 'ej/web.all';
/*
  Generated class for the DiagramPage page.

  See http://ionicframework.com/docs/v2/components/#navigation for more info on
  Ionic pages and navigation.
*/
//declare var $:JQuery;
@Component({
    templateUrl: './default.html',
    directives: [EJ_HEATMAP_COMPONENTS, EJ_HEATMAPLEGEND_COMPONENTS, EJ_BUTTON_COMPONENTS, CORE_DIRECTIVES]
})
export class HeatMapDefaultPage {

    itemsSource: any;
    itemsMapping: any;
    celllegendCollection: any;
    colormappingcollection: any;
    constructor(private nav: NavController) {

        var cellMapColumns = ["Vegie-spread", "Tofuaa", "Alice Mutton", "Konbu", "Flytemysost"];
        var cellMapItemSource = [];
         
        for (var i = 0; i < cellMapColumns.length; i++) {
            for (var j = 0; j < 6; j++) {
                var value = Math.floor((Math.random() * 100) + 1);
                cellMapItemSource.push({ ProductName: cellMapColumns[i], Year: "Y" + (2011 + j), Value: value })
            }
        }

        this.itemsSource = cellMapItemSource;
        this.itemsMapping = {
            column: { "propertyName": "ProductName", "displayName": "Product Name" },
            row: { "propertyName": "Year", "displayName": "Year", },
            value: { "propertyName": "Value" },
            columnMapping: [
                { "propertyName": cellMapColumns[0], "displayName": cellMapColumns[0] },
                { "propertyName": cellMapColumns[1], "displayName": cellMapColumns[1] },
                { "propertyName": cellMapColumns[2], "displayName": cellMapColumns[2] },
                { "propertyName": cellMapColumns[3], "displayName": cellMapColumns[3] },
                { "propertyName": cellMapColumns[4], "displayName": cellMapColumns[4] },
            ],
            headerMapping: { "propertyName": "Year", "displayName": "Year", width: 70 },
        };
        this.celllegendCollection = ["heatmap_legend"];
        this.colormappingcollection = [
            { value: 0, color: "#8ec8f8", label: { text: "0" } },
            { value: 100, color: "#0d47a1", label: { text: "100" } }
        ];
    } 
}
