import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import {CORE_DIRECTIVES, FORM_DIRECTIVES} from '@angular/common';
import {EJ_HEATMAP_COMPONENTS, EJ_HEATMAPLEGEND_COMPONENTS, EJ_BUTTON_COMPONENTS} from 'ej/web.all';
/*
  Generated class for the DiagramPage page.

  See http://ionicframework.com/docs/v2/components/#navigation for more info on
  Ionic pages and navigation.
*/
//declare var $:JQuery;
@Component({
    templateUrl: './tablebinding.html',
    directives: [EJ_HEATMAP_COMPONENTS, EJ_HEATMAPLEGEND_COMPONENTS, EJ_BUTTON_COMPONENTS, CORE_DIRECTIVES]
})
export class TableBindingPage {

    tableItemsSource: any;
    tableItemsMapping: any;
    tablebinding_legend: any;
    tablecolormappingcollection: any;
    constructor(private nav: NavController) {

        var tableItemsSource = [];
        var table_rows = ["Vegie spreat", "Toufic", "Alise Mutton", "Konbu", "Flytemusost", "Perth Tasties", "Brab Veat", "Corda vault"];
        for (var i = 0; i < 8; i++) {
            tableItemsSource.push({
                ProductName: table_rows[i], y2010: getTableValue(), y2011: getTableValue(), y2012: getTableValue(), y2013: getTableValue(),
                y2014: getTableValue(), y2015: getTableValue(), y2016: getTableValue(), y2017: getTableValue(), y2018: getTableValue()
            });
        };
        this.tableItemsSource = tableItemsSource;
        this.tablebinding_legend = ["tablebinding_legend"];
        this.tableItemsMapping = {
            headerMapping: { "propertyName": "ProductName", "displayName": "Product Name", columnStyle: { width: 100, textAlign: "right" } },
            columnMapping: [
                { "propertyName": "y2010", "displayName": "Y2010" },
                { "propertyName": "y2011", "displayName": "Y2011" },
                { "propertyName": "y2012", "displayName": "Y2012" },
                { "propertyName": "y2013", "displayName": "Y2013" },
                { "propertyName": "y2014", "displayName": "Y2014" },
                { "propertyName": "y2015", "displayName": "Y2015" },
                { "propertyName": "y2016", "displayName": "Y2016" },
                { "propertyName": "y2017", "displayName": "Y2017" },
                { "propertyName": "y2018", "displayName": "Y2018" }
            ],
        };

        this.tablecolormappingcollection = [
            { value: 0, color: "#8ec8f8", label: { text: "0" } },
            { value: 100, color: "#0d47a1", label: { text: "100" } }
        ];
    }
}
function getTableValue() {
    return Math.floor((Math.random() * 100) + 1);
};