import {Component} from '@angular/core';
import { NavController } from 'ionic-angular';
import {CORE_DIRECTIVES, FORM_DIRECTIVES} from '@angular/common';
import {EJ_KANBAN_COMPONENTS} from 'ej/kanban.component';
import {NorthwindService} from "../../providers/northwind-service/northwind-service"

/*
  Generated class for the RibbonPage page.

  See http://ionicframework.com/docs/v2/components/#navigation for more info on
  Ionic pages and navigation.
*/
@Component({
  templateUrl: './contextmenu.html',
  directives: [EJ_KANBAN_COMPONENTS, CORE_DIRECTIVES],
  providers: [NorthwindService]
})

export class KanbanContextmenuPage {
  public kanbanData;public editingData;
  constructor(private nav: NavController, public northwindService: NorthwindService) {
    this.kanbanData = northwindService.getTasks();
    this.editingData =[{ field: "Id", editType:"stringedit",validationRules: { required: true, number: true }},{ field: "Status", editType: "dropdownedit" },
                            { field: "Assignee", editType: "dropdownedit" },
                            { field: "Summary", editType: "textarea",validationRules: { required: true}}
    ];
  }

}
