import { Component, ViewChild } from '@angular/core';

import { CORE_DIRECTIVES } from '@angular/common';


import { App, ionicBootstrap, Platform, Nav, MenuController  } from 'ionic-angular';
import { StatusBar } from 'ionic-native';
import {ButtonPage } from '../../pages/button/button';
import {AccordionPage } from '../../pages/accordion/accordion';
import {AutocompletePage } from '../../pages/autocomplete/autocomplete';
import {EJ_AUTOCOMPLETE_COMPONENTS } from 'ej/web.all';

@Component({
    templateUrl: './main.html',
    directives: [EJ_AUTOCOMPLETE_COMPONENTS, CORE_DIRECTIVES]
})
export class MainPage {
    @ViewChild(Nav) nav: Nav;
    rootPage: any = AccordionPage;
    controlName: any;
    pages: Array<{ controls: string, title: string, component: any, icon: string }>
    autoField: any;
    constructor(private platform: Platform, public sidemenu: MenuController) {
        this.autoField = { text: "title" };
        this.initializeApp();
        // used for an example of ngFor and navigation
        this.pages = [
            { controls: "accordion", title: 'Accordion', component: AccordionPage, icon: "ion-sync-accordion" },
            { controls: "autocomplete", title: 'AutoComplete', component: AutocompletePage, icon: "ion-sync-autocomplete" },            
            { controls: "button", title: 'Button', component: ButtonPage, icon: "ion-sync-button" },
          
            // { controls: "waitingpopup", title: "WaitingPopUp", component: WaitingpopupPage, icon: "ion-sync-waitingpopup" },
        ];
        if (window.location.hash == "") {
            history.replaceState(null, null, "#/accordion");
            this.rootPage = AccordionPage;
        }
        else {
            window["controlName"] = window.location.hash.replace("#/", "");
            let page = this.pages.filter(this.filterPage);
            this.rootPage = page[0].component;
        }
    }
    filterPage(args) {
        if (args.controls == window["controlName"])
            return args.controls
        else return;
    }
    initializeApp() {
        this.platform.ready().then(() => {
            // Okay, so the platform is ready and our plugins are available.
            // Here you can do any higher level native things you might need.
            StatusBar.styleDefault();
        });
    }

    openPage(page) {
        // Reset the content nav to have just this page
        // we wouldn't want the back button to show in this scenario
        this.nav.setRoot(page.component);
        history.replaceState(null, null, "#/" + page.controls);
    }
    openProfile() {
        this.nav.setRoot(AccordionPage);
    }
    onSelectControl(event) {
        this.sidemenu.close();
        let instance = $("#controlsearch").data("ejAutocomplete");
        instance.clearText();
        if (event.item) {
            this.nav.setRoot(event.item.component)
            history.replaceState(null, null,  "#/" + event.item.controls);
        }

    }
}


