import { Component, HostListener, ViewChild} from '@angular/core';
import { NavController } from 'ionic-angular';
import {CORE_DIRECTIVES, FORM_DIRECTIVES} from '@angular/common';
import {EJ_TILE_COMPONENTS} from 'ej/tile.component';
/*
  Generated class for the TilePage page.

  See http://ionicframework.com/docs/v2/components/#navigation for more info on
  Ionic pages and navigation.
*/
@Component({
  templateUrl: './livetile.html',
  directives: [EJ_TILE_COMPONENTS, CORE_DIRECTIVES],
})
export class TileLiveTilePage {
  liveTile1: any;
  liveTile2: any;
  liveTile3: any;
  liveTile4: any;
  liveTile5: any;
  caption5: any;
  caption4: any;
  caption3: any;
  caption1: any;
  tileBadge: any;
  constructor(private nav: NavController) {
    this.tileBadge = { enabled: true, value: 10 }
    this.caption1 = { text: "Game" };
    this.caption5 = { text: "Weather" };
    this.caption4 = { text: "Photo" };
    this.caption3 = { text: "People" };
    this.liveTile1 = {
      updateInterval: 3000,
      enabled: true,
      type: "flip",
      imageUrl: ['ejAngular/images/tile/windows/alerts.png', 'ejAngular/images/tile/windows/bing.png', 'ejAngular/images/tile/windows/camera.png']

    }
    this.liveTile2 = {
      updateInterval: 3500,
      enabled: true,
      type: "flip",
      imageUrl: ['ejAngular/images/tile/windows/alerts.png', 'ejAngular/images/tile/windows/bing.png', 'ejAngular/images/tile/windows/camera.png']

    }
    this.liveTile3 = {
      updateInterval: 5000,
      enabled: true,
      type: "slide",
      imageUrl: ['ejAngular/images/tile/windows/people_1.png', 'ejAngular/images/tile/windows/people_2.png', 'ejAngular/images/tile/windows/people_3.png']

    }
    this.liveTile4 = {
      updateInterval: 4000,
      enabled: true,
      type: "slide",
      imageUrl: ['ejAngular/images/tile/windows/pictures.png', 'ejAngular/images/tile/windows/photo_1.png', 'ejAngular/images/tile/windows/photo_2.png', 'ejAngular/images/tile/windows/pictures.png', 'ejAngular/images/tile/windows/photo_1.png']

    }
    this.liveTile5 = {
      enabled: true,
      type: "carousel",
      imageUrl: ['ejAngular/images/tile/windows/weather.png', 'ejAngular/images/tile/windows/weather_1.png', 'ejAngular/images/tile/windows/weather_2.png']

    }

  }
  ngAfterViewChecked() {
    this.resizeContent();
  }
  @HostListener('window:resize', ['$event'])
  onResize(e) {
    this.resizeContent();
  }
  resizeContent() {
    if ($("#liveTileTabContent").css("display") != "none") {
      var x = ($("#liveTileTabContent").outerWidth() - $("#groupLiveTile").outerWidth()) / 2;
      $("#groupLiveTile").css("left", x);
    }
  }
}
