System.register(['@angular/core', 'ionic-angular', '@angular/common', 'ej/map.component'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var core_1, ionic_angular_1, common_1, map_component_1;
    var MapDrillPage;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (ionic_angular_1_1) {
                ionic_angular_1 = ionic_angular_1_1;
            },
            function (common_1_1) {
                common_1 = common_1_1;
            },
            function (map_component_1_1) {
                map_component_1 = map_component_1_1;
            }],
        execute: function() {
            /*
              Generated class for the DatepickerPage page.
            
              See http://ionicframework.com/docs/v2/components/#navigation for more info on
              Ionic pages and navigation.
            */
            MapDrillPage = (function () {
                function MapDrillPage(nav) {
                    this.nav = nav;
                    this.enableTabScroll = true;
                    this.world_map = window['world_map'];
                    this.cont_countriesdata = window['cont_countriesdata'];
                    this.randomcountriesData = window['randomcountriesData'];
                    this.mapSalesData2 = window['mapSalesData2'];
                    this.Africa = window['Africa'];
                    this.Asia = window['Asia'];
                    this.Europe = window['Europe'];
                    this.NorthAmerica = window['NorthAmerica'];
                    this.Oceania = window['Oceania'];
                    this.SouthAmerica = window['SouthAmerica'];
                    this.mapZoomSettings = {
                        level: 1,
                        maxValue: 30,
                        factor: 1,
                        enableZoom: false
                    };
                    this.mapLayers = [
                        {
                            layerType: "geometry",
                            enableSelection: true,
                            shapeDataPath: "name",
                            enableMouseHover: true,
                            shapePropertyPath: "name",
                            showMapItems: false,
                            dataSource: this.cont_countriesdata,
                            shapeSettings: {
                                fill: "#C3E6ED",
                                strokeThickness: "0.5",
                                stroke: "white",
                                highlightColor: "#63B7B7",
                                highlightStroke: "white",
                                valuePath: "name"
                            },
                            shapeData: this.world_map,
                            subLayers: [
                                {
                                    shapeDataPath: "country",
                                    shapePropertyPath: "name",
                                    showMapItems: true,
                                    mapItemsTemplate: 'labeltemplate',
                                    enableMouseHover: true,
                                    dataSource: this.randomcountriesData,
                                    shapeSettings: {
                                        fill: "#9FD0D3",
                                        strokeThickness: "0.2",
                                        stroke: "white",
                                        highlightColor: "#63B7B7",
                                    },
                                    bubbleSettings: {
                                        showBubble: true,
                                        valuePath: "Sales",
                                        minValue: 20,
                                        maxValue: 30,
                                        color: "#379F64",
                                    },
                                    shapeData: this.mapSalesData2
                                }
                            ]
                        },
                        { layerType: "geometry", enableMouseHover: true, shapeSettings: { stroke: "black", fill: "#C3E6ED", highlightColor: "#63B7B7", selectionColor: "#207BB2", strokeThickness: "0.5" }, shapeData: this.Africa },
                        { layerType: "geometry", enableMouseHover: true, shapeSettings: { stroke: "black", fill: "#C3E6ED", highlightColor: "#63B7B7", selectionColor: "#207BB2", strokeThickness: "0.5" }, shapeData: this.Asia },
                        { layerType: "geometry", enableMouseHover: true, shapeSettings: { stroke: "black", fill: "#C3E6ED", highlightColor: "#63B7B7", selectionColor: "#207BB2", strokeThickness: "0.5" }, shapeData: this.Europe },
                        { layerType: "geometry", enableMouseHover: true, shapeSettings: { stroke: "black", fill: "#C3E6ED", highlightColor: "#63B7B7", selectionColor: "#207BB2", strokeThickness: "0.5" }, shapeData: this.NorthAmerica },
                        { layerType: "geometry", enableMouseHover: true, shapeSettings: { stroke: "black", fill: "#C3E6ED", highlightColor: "#63B7B7", selectionColor: "#207BB2", strokeThickness: "0.5" }, shapeData: this.Oceania },
                        { layerType: "geometry", enableMouseHover: true, shapeSettings: { stroke: "black", fill: "#C3E6ED", highlightColor: "#63B7B7", selectionColor: "#207BB2", strokeThickness: "0.5" }, shapeData: this.SouthAmerica }
                    ];
                }
                MapDrillPage.prototype.OnDrilled = function (event) {
                    var mapObj = $("#drillmapcontrol").data("ejMap");
                    $("#maps").css('margin-top', '0px');
                    mapObj.model.enableAnimation = true;
                    mapObj.model.layers[0].selectedItems = [];
                    mapObj.model.layers[0].subLayers[0].selectedItems = [];
                    if (event.originalEvent[0].data.continent == "Africa") {
                        mapObj.option("baseMapIndex", 1);
                    }
                    else if (event.originalEvent[0].data.continent == "Asia") {
                        mapObj.option("baseMapIndex", 2);
                    }
                    else if (event.originalEvent[0].data.continent == "Europe") {
                        mapObj.option("baseMapIndex", 3);
                    }
                    else if (event.originalEvent[0].data.continent == "North America") {
                        mapObj.option("baseMapIndex", 4);
                    }
                    else if (event.originalEvent[0].data.continent == "Oceania") {
                        mapObj.option("baseMapIndex", 5);
                    }
                    else if (event.originalEvent[0].data.continent == "South America") {
                        mapObj.option("baseMapIndex", 6);
                    }
                    var button = document.getElementById("button");
                    $(button).css('background-color', '#0F77B7');
                    var title = document.getElementById("title");
                    $(title).css("display", "none");
                    $(button).css("display", "block");
                    $(button).fadeIn(500);
                };
                MapDrillPage = __decorate([
                    core_1.Component({
                        template: "<!--   Generated template for the DatepickerPage page.    See http://ionicframework.com/docs/v2/components/#navigation for more info on   Ionic pages and navigation. --> <ion-header>    <ion-navbar>     <button menuToggle>       <ion-icon name=\"menu\"></ion-icon>     </button>     <ion-title>Map</ion-title>   </ion-navbar>  </ion-header>  <ion-content padding>    <script>                                 </script>     <div class=\"content-container-fluid\">                  <div class=\"row\">                                 <div class=\"cols-sample-area\">      \t\t\t\t <div id=\"title\" style=\" background-color: #FAFAF9;border-color: lightgray;margin-left:0px;border-width: 2px;opacity: 0.7;height: 60px;width:150px\" > \t\t\t\t\t<label style=\"color:Black;font-size:22px;margin:15px;margin-top:7px;margin-left:20px;margin-right:20px;height:25px;font-weight:Normal;\">Sales Data</label>                     </div>                  <div id=\"button\" class=\"backLabel\" onclick=\"mapClickFunction()\" style=\"display:none;left:50px;top:50px;width:85px;height:28px;border-radius: 16px;background-color:#0F77B7;\">\t\t\t\t \t\t\t\t\t<img style=\"margin-left:15px;margin-top:6px;\" src=\"ejAngular/images/gauge/backtext.png\"/> \t\t\t\t </div> \t\t\t\t <div style=\"min-height:465px\">\t \t\t\t\t\t<div id=\"maps\" style=\"height: inherit;min-height:465px;\"  style=\"height: inherit; height:100%; width:100%;min-height:350px;margin-top:-15px;\">                         <ej-map id=\"drillmapcontrol\"  [zoomSettings]=\"mapZoomSettings\" (shapeSelected)=\"OnDrilled($event)\" [layers]=\"mapLayers\">                                         </ej-map>                     </div> \t \t\t\t\t </div>                                    </div>\t\t\t\t             </div>     </div>\t        </ion-content>",
                        directives: [map_component_1.EJ_MAP_COMPONENTS, common_1.CORE_DIRECTIVES],
                    }), 
                    __metadata('design:paramtypes', [ionic_angular_1.NavController])
                ], MapDrillPage);
                return MapDrillPage;
            }());
            exports_1("MapDrillPage", MapDrillPage);
        }
    }
});
