System.register(['@angular/core', 'ionic-angular', '@angular/common', 'ej/pivotchart.component', 'ej/dropdownlist.component', '../../providers/pivotdata-service/pivotdata-service'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var core_1, ionic_angular_1, common_1, pivotchart_component_1, dropdownlist_component_1, pivotdata_service_1;
    var PivotChartTypesPage;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (ionic_angular_1_1) {
                ionic_angular_1 = ionic_angular_1_1;
            },
            function (common_1_1) {
                common_1 = common_1_1;
            },
            function (pivotchart_component_1_1) {
                pivotchart_component_1 = pivotchart_component_1_1;
            },
            function (dropdownlist_component_1_1) {
                dropdownlist_component_1 = dropdownlist_component_1_1;
            },
            function (pivotdata_service_1_1) {
                pivotdata_service_1 = pivotdata_service_1_1;
            }],
        execute: function() {
            PivotChartTypesPage = (function () {
                function PivotChartTypesPage(nav, pivotDataService) {
                    this.nav = nav;
                    this.pivotDataService = pivotDataService;
                    this.data = pivotDataService.pivot_data();
                    this.rows = pivotDataService.pivot_rows();
                    this.columns = pivotDataService.pivot_columns();
                    this.values = pivotDataService.pivot_chartvalues();
                    this.size = pivotDataService.size();
                    this.legend = pivotDataService.legend();
                    this.load = "loadTheme";
                    this.commonSeriesOptions = pivotDataService.commonSeriesOptions();
                    this.primaryYAxis = pivotDataService.primaryYAxis();
                    this.type = "column";
                    this.charttype = ["Line", "Spline", "Column", "Area", "SplineArea", "StepLine", "StepArea", "Pie", "Bar", "StackingArea", "StackingColumn", "StackingBar", "Pyramid", "Funnel", "Doughnut", "Scatter", "Bubble"];
                    this.chartTypeName = "Column";
                }
                PivotChartTypesPage.prototype.onchange = function (args) {
                    var chartTarget = $('#chartTypes').data("ejPivotChart");
                    chartTarget.model.type = args.text.toLowerCase();
                    chartTarget.model.commonSeriesOptions.type = args.text.toLowerCase();
                    if (jQuery.inArray(chartTarget.model.type, ["line", "spline", "area", "splinearea", "stepline", "steparea", "stackingarea", "scatter"]) > -1)
                        chartTarget.model.commonSeriesOptions.marker = {
                            shape: "Circle",
                            size: { height: 12, width: 12 },
                            visible: true, connectorLine: { height: 30, type: "line" },
                            border: { width: 3, color: 'white' }
                        };
                    else if (jQuery.inArray(chartTarget.model.type, ["funnel"]) > -1) {
                        chartTarget.model.commonSeriesOptions.marker = {
                            dataLabel: {
                                visible: true,
                                shape: 'none',
                                font: { color: 'white', size: '12px', fontWeight: 'lighter' }
                            }
                        };
                    }
                    else
                        chartTarget.model.commonSeriesOptions.marker = { visible: false };
                    if (chartTarget.model.type == "pyramid" || chartTarget.model.type == "funnel")
                        chartTarget.model.legend.rowCount = 1;
                    else
                        chartTarget.model.legend.rowCount = 2;
                    if (jQuery.inArray(chartTarget.model.type, ["pie", "doughnut"]) > -1)
                        chartTarget.model.commonSeriesOptions.explode = true;
                    else
                        chartTarget.model.commonSeriesOptions.explode = false;
                    chartTarget.renderControlSuccess({ "JsonRecords": JSON.stringify(chartTarget.getJSONRecords()), "OlapReport": chartTarget.getOlapReport() });
                };
                PivotChartTypesPage = __decorate([
                    core_1.Component({
                        selector: 'sd-home',
                        template: "<!--   Generated template for the DatepickerPage page.    See http://ionicframework.com/docs/v2/components/#navigation for more info on   Ionic pages and navigation. --> <ion-header>    <ion-navbar>     <button menuToggle>       <ion-icon name=\"menu\"></ion-icon>     </button>     <ion-title>PivotChart</ion-title>   </ion-navbar>  </ion-header>  <ion-content>   <div style=\"float:left; width: 70%\">     <ej-pivotchart id=\"chartTypes\" [dataSource.data]=\"data\" [dataSource.rows]=\"rows\" [dataSource.columns]=\"columns\" [dataSource.values]=\"values\" [type]=\"type\" [commonSeriesOptions]=\"commonSeriesOptions\" [size]=\"size\" [primaryYAxis]=\"primaryYAxis\" [legend]=\"legend\" [load]=\"load\">     </ej-pivotchart>   </div>   <div style=\"margin: 40px 0 0 16px; float: left\">Types</div>   <input id=\"type\" ej-dropdownlist [dataSource]=\"charttype\" width=\"100%\" [(value)]=\"chartTypeName\" (change)=\"onchange($event)\" /> </ion-content>",
                        directives: [pivotchart_component_1.EJ_PIVOTCHART_COMPONENTS, dropdownlist_component_1.EJ_DROPDOWNLIST_COMPONENTS, common_1.CORE_DIRECTIVES],
                        providers: [pivotdata_service_1.PivotDataService]
                    }), 
                    __metadata('design:paramtypes', [ionic_angular_1.NavController, pivotdata_service_1.PivotDataService])
                ], PivotChartTypesPage);
                return PivotChartTypesPage;
            }());
            exports_1("PivotChartTypesPage", PivotChartTypesPage);
        }
    }
});
