System.register(['@angular/core', 'ionic-angular', '@angular/common', 'ej/pivotgauge.component', '../../providers/pivotdata-service/pivotdata-service'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var core_1, ionic_angular_1, common_1, pivotgauge_component_1, pivotdata_service_1;
    var PivotGaugeLocalizationPage;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (ionic_angular_1_1) {
                ionic_angular_1 = ionic_angular_1_1;
            },
            function (common_1_1) {
                common_1 = common_1_1;
            },
            function (pivotgauge_component_1_1) {
                pivotgauge_component_1 = pivotgauge_component_1_1;
            },
            function (pivotdata_service_1_1) {
                pivotdata_service_1 = pivotdata_service_1_1;
            }],
        execute: function() {
            PivotGaugeLocalizationPage = (function () {
                function PivotGaugeLocalizationPage(nav, pivotDataService) {
                    this.nav = nav;
                    this.pivotDataService = pivotDataService;
                    this.data = pivotDataService.pivot_datacube();
                    this.cube = pivotDataService.pivot_cube();
                    this.catelog = pivotDataService.pivot_catelog();
                    this.rows = pivotDataService.pivot_gaugerows();
                    this.columns = pivotDataService.pivot_Olapcolumns();
                    this.values = pivotDataService.pivot_gaugevalues();
                    this.scales = pivotDataService.scales();
                    this.rowsCount = 2;
                    this.columnsCount = 3;
                    this.rowcountvalue = ["1", "2", "3"];
                }
                PivotGaugeLocalizationPage.prototype.onchange = function (args) {
                    var pivotGauge = $("#pivotGaugeLocal").data("e-circulargauge");
                    var languageID = args.value == "fr-FR" ? "1036" : args.value == "es-ES" ? "1034" : "1033";
                    var olapdatasource = {
                        data: "http://bi.syncfusion.com/olap/msmdpump.dll;Locale Identifier= " + languageID + ";",
                        catalog: "Adventure Works DW 2008 SE",
                        cube: "Adventure Works",
                        rows: [
                            {
                                fieldName: "[Date].[Fiscal]",
                                filterItems: { filterType: "include", values: ["[Date].[Fiscal].[Fiscal Year].&amp;[2004]"] }
                            },
                        ],
                        columns: [
                            {
                                fieldName: "[Customer].[Customer Geography]"
                            }
                        ],
                        values: [
                            {
                                measures: [
                                    {
                                        fieldName: "[Measures].[Internet Sales Amount]"
                                    },
                                    {
                                        fieldName: "[Measures].[Internet Revenue Status]"
                                    },
                                    {
                                        fieldName: "[Measures].[Internet Revenue Trend]"
                                    },
                                    {
                                        fieldName: "[Measures].[Internet Revenue Goal]"
                                    },
                                ],
                                axis: ej.PivotGauge.AxisName.Columns
                            }
                        ]
                    };
                    $(pivotGauge.element).html("");
                    pivotGauge.model.dataSource = olapdatasource;
                    pivotGauge.model.locale = args.value;
                    pivotGauge._load();
                };
                PivotGaugeLocalizationPage = __decorate([
                    core_1.Component({
                        selector: 'sd-home',
                        template: "<!--   Generated template for the DatepickerPage page.    See http://ionicframework.com/docs/v2/components/#navigation for more info on   Ionic pages and navigation. --> <ion-header>    <ion-navbar>     <button menuToggle>       <ion-icon name=\"menu\"></ion-icon>     </button>     <ion-title>PivotGauge</ion-title>   </ion-navbar>  </ion-header>  <ion-content>   <div class=\"control\" style=\"width: 68%\">     <ej-pivotgauge id=\"pivotGaugeLocal\" [dataSource.data]=\"data\" [dataSource.catalog]=\"catelog\" [dataSource.cube]=\"cube\" [dataSource.rows]=\"rows\" [dataSource.columns]=\"columns\" [dataSource.values]=\"values\" [isResponsive]=\"true\" [enableTooltip]=\"true\" [backgroundColor]=\"transparent\" [scales]=\"scales\" [load]=\"loadGaugeTheme\" [rowCount]=\"rowsCount\" [columnsCount]=\"columnsCount\">     </ej-pivotgauge>   </div>   <div class=\"col-md-3\" style=\"width: 120px\">Edit Row Count</div>   <input id=\"type\" ej-dropdownlist [dataSource]=\"rowcountvalue\" width=\"100%\" [(value)]=\"rowscount\" (change)=\"onchange($event)\" /> </ion-content>",
                        directives: [pivotgauge_component_1.EJ_PIVOTGAUGE_COMPONENTS, common_1.CORE_DIRECTIVES],
                        providers: [pivotdata_service_1.PivotDataService]
                    }), 
                    __metadata('design:paramtypes', [ionic_angular_1.NavController, pivotdata_service_1.PivotDataService])
                ], PivotGaugeLocalizationPage);
                return PivotGaugeLocalizationPage;
            }());
            exports_1("PivotGaugeLocalizationPage", PivotGaugeLocalizationPage);
        }
    }
});
