System.register(['@angular/core', 'ionic-angular', '@angular/common', 'ej/pivotgrid.component', 'ej/dropdownlist.component', '../../providers/pivotdata-service/pivotdata-service'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var core_1, ionic_angular_1, common_1, pivotgrid_component_1, dropdownlist_component_1, pivotdata_service_1;
    var PivotGridLocalizationPage;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (ionic_angular_1_1) {
                ionic_angular_1 = ionic_angular_1_1;
            },
            function (common_1_1) {
                common_1 = common_1_1;
            },
            function (pivotgrid_component_1_1) {
                pivotgrid_component_1 = pivotgrid_component_1_1;
            },
            function (dropdownlist_component_1_1) {
                dropdownlist_component_1 = dropdownlist_component_1_1;
            },
            function (pivotdata_service_1_1) {
                pivotdata_service_1 = pivotdata_service_1_1;
            }],
        execute: function() {
            PivotGridLocalizationPage = (function () {
                function PivotGridLocalizationPage(nav, pivotDataService) {
                    this.nav = nav;
                    this.pivotDataService = pivotDataService;
                    this.data = pivotDataService.pivot_datacube();
                    this.datacube = pivotDataService.pivot_cube();
                    this.datacatelog = pivotDataService.pivot_catelog();
                    this.rows = pivotDataService.pivot_Olaprows();
                    this.columns = pivotDataService.pivot_Olapcolumns();
                    this.values = pivotDataService.pivot_Olapvalues();
                    this.filters = pivotDataService.pivot_Olapfilters();
                    this.dropdata = ["en-US", "fr-FR", "es-ES"];
                    this.localValue = "en-US";
                }
                PivotGridLocalizationPage.prototype.onchange = function (args) {
                    var pivotGrid = $("#PivotGrid").data("ejPivotGrid");
                    var languageID = args.value == "fr-FR" ? "1036" : args.value == "es-ES" ? "1034" : "1033";
                    var olapDataSource = {
                        data: "http://bi.syncfusion.com/olap/msmdpump.dll;Locale Identifier= " + languageID + ";",
                        catalog: "Adventure Works DW 2008 SE",
                        cube: "Adventure Works",
                        rows: [{ fieldName: "[Date].[Fiscal]" }],
                        columns: [{ fieldName: "[Customer].[Customer Geography]" }],
                        filters: [],
                        values: [{ measures: [{ fieldName: "[Measures].[Internet Sales Amount]" }], axis: "columns" }]
                    };
                    $(pivotGrid.element).html("");
                    pivotGrid.model.dataSource = olapDataSource;
                    pivotGrid.model.locale = args.value;
                    pivotGrid._load();
                };
                PivotGridLocalizationPage = __decorate([
                    core_1.Component({
                        selector: 'sd-home',
                        template: "<!--   Generated template for the DatepickerPage page.    See http://ionicframework.com/docs/v2/components/#navigation for more info on   Ionic pages and navigation. --> <ion-header>    <ion-navbar>     <button menuToggle>       <ion-icon name=\"menu\"></ion-icon>     </button>     <ion-title>PivotGrid</ion-title>   </ion-navbar>  </ion-header>  <ion-content>   <div style=\"float:left; width: 70%\">     <ej-pivotgrid id=\"PivotGrid\" [enableToolTip]=\"false\" [locale]=\"localValue\" [dataSource.data]=\"data\" [dataSource.catalog]=\"datacatelog\" [dataSource.cube]=\"datacube\" [dataSource.rows]=\"rows\" [dataSource.columns]=\"columns\" [dataSource.values]=\"values\">     </ej-pivotgrid>   </div>   <div style=\"margin: 40px 0 0 16px; float: left\">Localization</div>   <input id=\"Amount\" ej-dropdownlist [dataSource]=\"dropdata\" width=\"100%\" [(value)]=\"localValue\" (change)=\"onchange($event)\" /> </ion-content>",
                        directives: [pivotgrid_component_1.EJ_PIVOTGRID_COMPONENTS, dropdownlist_component_1.EJ_DROPDOWNLIST_COMPONENTS, common_1.CORE_DIRECTIVES],
                        providers: [pivotdata_service_1.PivotDataService]
                    }), 
                    __metadata('design:paramtypes', [ionic_angular_1.NavController, pivotdata_service_1.PivotDataService])
                ], PivotGridLocalizationPage);
                return PivotGridLocalizationPage;
            }());
            exports_1("PivotGridLocalizationPage", PivotGridLocalizationPage);
            ej.PivotGrid.Locale['fr-FR'] = {
                ToolTipRow: 'Rangée',
                ToolTipColumn: 'Colonne',
                ToolTipValue: 'Valeur',
                DragFieldHere: "champ de glisser ici",
                ColumnArea: "Déposez la colonne ici",
                RowArea: "Déposez ligne ici",
                ValueArea: "Les valeurs Drop ici",
                Measures: "Les mesures",
                NoValue: "Aucune valeur",
                Expand: "Développer",
                Collapse: "Effondrement",
                AddToFilter: "Ajouter au filtre",
                AddToRow: "Ajouter à la rangée",
                AddToColumn: "Ajouter à la colonne",
                AddToValues: "Ajouter à la valeur",
                CalculatedField: "Champ Calculé"
            };
            ej.PivotGrid.Locale['es-ES'] = {
                ToolTipRow: 'Herramienta Sugerencia Fila',
                ToolTipColumn: 'Columna sobre herramientas',
                ToolTipValue: 'Herramienta Sugerencia Valor',
                DragFieldHere: "campo de arrastre aquí",
                ColumnArea: "Caída de la columna aquí",
                RowArea: "Caída de fila aquí",
                ValueArea: "valores de caída de aquí",
                Measures: "medidas",
                NoValue: "Aucune valeur",
                Expand: "Développer",
                Collapse: "Effondrement",
                AddToFilter: "Agregar al filtro",
                AddToRow: "Añadir a la fila",
                AddToColumn: "Añadir a la columna",
                AddToValues: "Añadir a los valores",
                CalculatedField: "Campo Calculado"
            };
        }
    }
});
