System.registerDynamic("ionic-angular/decorators/page.js", ["@angular/core"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var _reflect = Reflect;
  function Page(config) {
    return function(cls) {
      void 0;
      config.selector = 'ion-page';
      config.host = config.host || {};
      config.host['[hidden]'] = '_hidden';
      config.host['[class.tab-subpage]'] = '_tabSubPage';
      var annotations = _reflect.getMetadata('annotations', cls) || [];
      annotations.push(new core_1.Component(config));
      _reflect.defineMetadata('annotations', annotations, cls);
      return cls;
    };
  }
  exports.Page = Page;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/menu/menu-types.js", ["../../animations/animation", "./menu-controller"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var animation_1 = $__require('../../animations/animation');
  var menu_controller_1 = $__require('./menu-controller');
  var MenuType = (function() {
    function MenuType() {
      this.ani = new animation_1.Animation();
    }
    MenuType.prototype.setOpen = function(shouldOpen, animated, done) {
      var ani = this.ani.onFinish(done, true).reverse(!shouldOpen);
      if (animated) {
        ani.play();
      } else {
        ani.play({duration: 0});
      }
    };
    MenuType.prototype.setProgressStart = function(isOpen) {
      this.isOpening = !isOpen;
      this.ani.reverse(isOpen).progressStart();
    };
    MenuType.prototype.setProgessStep = function(stepValue) {
      this.ani.progressStep(stepValue);
    };
    MenuType.prototype.setProgressEnd = function(shouldComplete, currentStepValue, done) {
      var _this = this;
      var isOpen = (this.isOpening && shouldComplete);
      if (!this.isOpening && !shouldComplete) {
        isOpen = true;
      }
      this.ani.onFinish(function() {
        _this.isOpening = false;
        done(isOpen);
      }, true);
      this.ani.progressEnd(shouldComplete, currentStepValue);
    };
    MenuType.prototype.destroy = function() {
      this.ani && this.ani.destroy();
    };
    return MenuType;
  }());
  exports.MenuType = MenuType;
  var MenuRevealType = (function(_super) {
    __extends(MenuRevealType, _super);
    function MenuRevealType(menu, platform) {
      _super.call(this);
      var openedX = (menu.width() * (menu.side === 'right' ? -1 : 1)) + 'px';
      this.ani.easing('ease').duration(250);
      var contentOpen = new animation_1.Animation(menu.getContentElement());
      contentOpen.fromTo('translateX', '0px', openedX);
      this.ani.add(contentOpen);
    }
    return MenuRevealType;
  }(MenuType));
  menu_controller_1.MenuController.registerType('reveal', MenuRevealType);
  var MenuPushType = (function(_super) {
    __extends(MenuPushType, _super);
    function MenuPushType(menu, platform) {
      _super.call(this);
      this.ani.easing('ease').duration(250);
      var contentOpenedX,
          menuClosedX,
          menuOpenedX;
      if (menu.side === 'right') {
        contentOpenedX = -menu.width() + 'px';
        menuClosedX = menu.width() + 'px';
        menuOpenedX = '0px';
      } else {
        contentOpenedX = menu.width() + 'px';
        menuOpenedX = '0px';
        menuClosedX = -menu.width() + 'px';
      }
      var menuAni = new animation_1.Animation(menu.getMenuElement());
      menuAni.fromTo('translateX', menuClosedX, menuOpenedX);
      this.ani.add(menuAni);
      var contentApi = new animation_1.Animation(menu.getContentElement());
      contentApi.fromTo('translateX', '0px', contentOpenedX);
      this.ani.add(contentApi);
    }
    return MenuPushType;
  }(MenuType));
  menu_controller_1.MenuController.registerType('push', MenuPushType);
  var MenuOverlayType = (function(_super) {
    __extends(MenuOverlayType, _super);
    function MenuOverlayType(menu, platform) {
      _super.call(this);
      this.ani.easing('ease').duration(250);
      var closedX,
          openedX;
      if (menu.side === 'right') {
        closedX = 8 + menu.width() + 'px';
        openedX = '0px';
      } else {
        closedX = -(8 + menu.width()) + 'px';
        openedX = '0px';
      }
      var menuAni = new animation_1.Animation(menu.getMenuElement());
      menuAni.fromTo('translateX', closedX, openedX);
      this.ani.add(menuAni);
      var backdropApi = new animation_1.Animation(menu.getBackdropElement());
      backdropApi.fromTo('opacity', 0.01, 0.35);
      this.ani.add(backdropApi);
    }
    return MenuOverlayType;
  }(MenuType));
  menu_controller_1.MenuController.registerType('overlay', MenuOverlayType);
  return module.exports;
});

System.registerDynamic("ionic-angular/components.js", ["./components/action-sheet/action-sheet", "./components/alert/alert", "./components/app/app", "./components/backdrop/backdrop", "./components/badge/badge", "./components/button/button", "./components/checkbox/checkbox", "./components/content/content", "./components/datetime/datetime", "./components/icon/icon", "./components/img/img", "./components/infinite-scroll/infinite-scroll", "./components/infinite-scroll/infinite-scroll-content", "./components/input/input", "./components/item/item", "./components/item/item-reorder", "./components/item/item-sliding", "./components/label/label", "./components/list/list", "./components/loading/loading", "./components/menu/menu", "./components/menu/menu-close", "./components/menu/menu-controller", "./components/menu/menu-toggle", "./components/menu/menu-types", "./components/modal/modal", "./components/nav/nav", "./components/nav/nav-controller", "./components/nav/nav-params", "./components/nav/nav-pop", "./components/nav/nav-push", "./components/nav/view-controller", "./components/navbar/navbar", "./components/option/option", "./components/picker/picker", "./components/popover/popover", "./components/radio/radio-button", "./components/radio/radio-group", "./components/range/range", "./components/refresher/refresher", "./components/refresher/refresher-content", "./components/scroll/scroll", "./components/searchbar/searchbar", "./components/segment/segment", "./components/select/select", "./components/show-hide-when/show-hide-when", "./components/slides/slides", "./components/spinner/spinner", "./components/tabs/tab", "./components/tabs/tabs", "./components/tap-click/tap-click", "./components/toast/toast", "./components/toggle/toggle", "./components/toolbar/toolbar", "./components/virtual-scroll/virtual-scroll"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var action_sheet_1 = $__require('./components/action-sheet/action-sheet');
  exports.ActionSheet = action_sheet_1.ActionSheet;
  exports.ActionSheetController = action_sheet_1.ActionSheetController;
  var alert_1 = $__require('./components/alert/alert');
  exports.Alert = alert_1.Alert;
  exports.AlertController = alert_1.AlertController;
  var app_1 = $__require('./components/app/app');
  exports.App = app_1.App;
  var backdrop_1 = $__require('./components/backdrop/backdrop');
  exports.Backdrop = backdrop_1.Backdrop;
  var badge_1 = $__require('./components/badge/badge');
  exports.Badge = badge_1.Badge;
  var button_1 = $__require('./components/button/button');
  exports.Button = button_1.Button;
  var checkbox_1 = $__require('./components/checkbox/checkbox');
  exports.Checkbox = checkbox_1.Checkbox;
  var content_1 = $__require('./components/content/content');
  exports.Content = content_1.Content;
  var datetime_1 = $__require('./components/datetime/datetime');
  exports.DateTime = datetime_1.DateTime;
  var icon_1 = $__require('./components/icon/icon');
  exports.Icon = icon_1.Icon;
  var img_1 = $__require('./components/img/img');
  exports.Img = img_1.Img;
  var infinite_scroll_1 = $__require('./components/infinite-scroll/infinite-scroll');
  exports.InfiniteScroll = infinite_scroll_1.InfiniteScroll;
  var infinite_scroll_content_1 = $__require('./components/infinite-scroll/infinite-scroll-content');
  exports.InfiniteScrollContent = infinite_scroll_content_1.InfiniteScrollContent;
  var input_1 = $__require('./components/input/input');
  exports.TextArea = input_1.TextArea;
  exports.TextInput = input_1.TextInput;
  var item_1 = $__require('./components/item/item');
  exports.Item = item_1.Item;
  var item_reorder_1 = $__require('./components/item/item-reorder');
  exports.ItemReorder = item_reorder_1.ItemReorder;
  var item_sliding_1 = $__require('./components/item/item-sliding');
  exports.ItemSliding = item_sliding_1.ItemSliding;
  exports.ItemOptions = item_sliding_1.ItemOptions;
  var label_1 = $__require('./components/label/label');
  exports.Label = label_1.Label;
  var list_1 = $__require('./components/list/list');
  exports.List = list_1.List;
  exports.ListHeader = list_1.ListHeader;
  var loading_1 = $__require('./components/loading/loading');
  exports.Loading = loading_1.Loading;
  exports.LoadingController = loading_1.LoadingController;
  var menu_1 = $__require('./components/menu/menu');
  exports.Menu = menu_1.Menu;
  var menu_close_1 = $__require('./components/menu/menu-close');
  exports.MenuClose = menu_close_1.MenuClose;
  var menu_controller_1 = $__require('./components/menu/menu-controller');
  exports.MenuController = menu_controller_1.MenuController;
  var menu_toggle_1 = $__require('./components/menu/menu-toggle');
  exports.MenuToggle = menu_toggle_1.MenuToggle;
  var menu_types_1 = $__require('./components/menu/menu-types');
  exports.MenuType = menu_types_1.MenuType;
  var modal_1 = $__require('./components/modal/modal');
  exports.Modal = modal_1.Modal;
  exports.ModalController = modal_1.ModalController;
  var nav_1 = $__require('./components/nav/nav');
  exports.Nav = nav_1.Nav;
  var nav_controller_1 = $__require('./components/nav/nav-controller');
  exports.NavController = nav_controller_1.NavController;
  var nav_params_1 = $__require('./components/nav/nav-params');
  exports.NavParams = nav_params_1.NavParams;
  var nav_pop_1 = $__require('./components/nav/nav-pop');
  exports.NavPop = nav_pop_1.NavPop;
  var nav_push_1 = $__require('./components/nav/nav-push');
  exports.NavPush = nav_push_1.NavPush;
  var view_controller_1 = $__require('./components/nav/view-controller');
  exports.ViewController = view_controller_1.ViewController;
  var navbar_1 = $__require('./components/navbar/navbar');
  exports.Navbar = navbar_1.Navbar;
  exports.NavbarTemplate = navbar_1.NavbarTemplate;
  var option_1 = $__require('./components/option/option');
  exports.Option = option_1.Option;
  var picker_1 = $__require('./components/picker/picker');
  exports.Picker = picker_1.Picker;
  exports.PickerController = picker_1.PickerController;
  var popover_1 = $__require('./components/popover/popover');
  exports.Popover = popover_1.Popover;
  exports.PopoverController = popover_1.PopoverController;
  var radio_button_1 = $__require('./components/radio/radio-button');
  exports.RadioButton = radio_button_1.RadioButton;
  var radio_group_1 = $__require('./components/radio/radio-group');
  exports.RadioGroup = radio_group_1.RadioGroup;
  var range_1 = $__require('./components/range/range');
  exports.Range = range_1.Range;
  exports.RangeKnob = range_1.RangeKnob;
  var refresher_1 = $__require('./components/refresher/refresher');
  exports.Refresher = refresher_1.Refresher;
  var refresher_content_1 = $__require('./components/refresher/refresher-content');
  exports.RefresherContent = refresher_content_1.RefresherContent;
  var scroll_1 = $__require('./components/scroll/scroll');
  exports.Scroll = scroll_1.Scroll;
  var searchbar_1 = $__require('./components/searchbar/searchbar');
  exports.Searchbar = searchbar_1.Searchbar;
  var segment_1 = $__require('./components/segment/segment');
  exports.Segment = segment_1.Segment;
  exports.SegmentButton = segment_1.SegmentButton;
  var select_1 = $__require('./components/select/select');
  exports.Select = select_1.Select;
  var show_hide_when_1 = $__require('./components/show-hide-when/show-hide-when');
  exports.ShowWhen = show_hide_when_1.ShowWhen;
  exports.HideWhen = show_hide_when_1.HideWhen;
  exports.DisplayWhen = show_hide_when_1.DisplayWhen;
  var slides_1 = $__require('./components/slides/slides');
  exports.Slides = slides_1.Slides;
  exports.Slide = slides_1.Slide;
  exports.SlideLazy = slides_1.SlideLazy;
  var spinner_1 = $__require('./components/spinner/spinner');
  exports.Spinner = spinner_1.Spinner;
  var tab_1 = $__require('./components/tabs/tab');
  exports.Tab = tab_1.Tab;
  var tabs_1 = $__require('./components/tabs/tabs');
  exports.Tabs = tabs_1.Tabs;
  var tap_click_1 = $__require('./components/tap-click/tap-click');
  exports.TapClick = tap_click_1.TapClick;
  exports.isActivatable = tap_click_1.isActivatable;
  var toast_1 = $__require('./components/toast/toast');
  exports.Toast = toast_1.Toast;
  exports.ToastController = toast_1.ToastController;
  var toggle_1 = $__require('./components/toggle/toggle');
  exports.Toggle = toggle_1.Toggle;
  var toolbar_1 = $__require('./components/toolbar/toolbar');
  exports.Toolbar = toolbar_1.Toolbar;
  exports.ToolbarBase = toolbar_1.ToolbarBase;
  exports.Header = toolbar_1.Header;
  exports.Footer = toolbar_1.Footer;
  var virtual_scroll_1 = $__require('./components/virtual-scroll/virtual-scroll');
  exports.VirtualScroll = virtual_scroll_1.VirtualScroll;
  return module.exports;
});

System.registerDynamic("ionic-angular/platform/storage/local-storage.js", ["./storage"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var storage_1 = $__require('./storage');
  var LocalStorage = (function(_super) {
    __extends(LocalStorage, _super);
    function LocalStorage(options) {
      if (options === void 0) {
        options = {};
      }
      _super.call(this);
    }
    LocalStorage.prototype.get = function(key) {
      return new Promise(function(resolve, reject) {
        try {
          var value = window.localStorage.getItem(key);
          resolve(value);
        } catch (e) {
          reject(e);
        }
      });
    };
    LocalStorage.prototype.set = function(key, value) {
      return new Promise(function(resolve, reject) {
        try {
          window.localStorage.setItem(key, value);
          resolve();
        } catch (e) {
          reject(e);
        }
      });
    };
    LocalStorage.prototype.remove = function(key) {
      return new Promise(function(resolve, reject) {
        try {
          window.localStorage.removeItem(key);
          resolve();
        } catch (e) {
          reject(e);
        }
      });
    };
    LocalStorage.prototype.clear = function() {
      return new Promise(function(resolve, reject) {
        try {
          window.localStorage.clear();
          resolve();
        } catch (e) {
          reject(e);
        }
      });
    };
    return LocalStorage;
  }(storage_1.StorageEngine));
  exports.LocalStorage = LocalStorage;
  return module.exports;
});

System.registerDynamic("ionic-angular/platform/storage/storage.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var Storage = (function() {
    function Storage(strategyCls, options) {
      this._strategy = new strategyCls(options);
    }
    Storage.prototype.get = function(key) {
      return this._strategy.get(key);
    };
    Storage.prototype.getJson = function(key) {
      return this.get(key).then(function(value) {
        try {
          return JSON.parse(value);
        } catch (e) {
          void 0;
          throw e;
        }
      });
    };
    Storage.prototype.setJson = function(key, value) {
      try {
        return this.set(key, JSON.stringify(value));
      } catch (e) {
        return Promise.reject(e);
      }
    };
    Storage.prototype.set = function(key, value) {
      return this._strategy.set(key, value);
    };
    Storage.prototype.remove = function(key) {
      return this._strategy.remove(key);
    };
    Storage.prototype.query = function(query, params) {
      return this._strategy.query(query, params);
    };
    Storage.prototype.clear = function() {
      return this._strategy.clear();
    };
    return Storage;
  }());
  exports.Storage = Storage;
  var StorageEngine = (function() {
    function StorageEngine(options) {
      if (options === void 0) {
        options = {};
      }
    }
    StorageEngine.prototype.get = function(key) {
      throw Error('get() not implemented for this storage engine');
    };
    StorageEngine.prototype.set = function(key, value) {
      throw Error('set() not implemented for this storage engine');
    };
    StorageEngine.prototype.remove = function(key) {
      throw Error('remove() not implemented for this storage engine');
    };
    StorageEngine.prototype.query = function(query, params) {
      throw Error('query() not implemented for this storage engine');
    };
    StorageEngine.prototype.clear = function() {
      throw Error('clear() not implemented for this storage engine');
    };
    return StorageEngine;
  }());
  exports.StorageEngine = StorageEngine;
  return module.exports;
});

System.registerDynamic("ionic-angular/platform/storage/sql.js", ["./storage", "../../util/util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var storage_1 = $__require('./storage');
  var util_1 = $__require('../../util/util');
  var DB_NAME = '__ionicstorage';
  var win = window;
  var SqlStorage = (function(_super) {
    __extends(SqlStorage, _super);
    function SqlStorage(options) {
      if (options === void 0) {
        options = {};
      }
      _super.call(this);
      var dbOptions = util_1.defaults(options, {
        name: DB_NAME,
        backupFlag: SqlStorage.BACKUP_LOCAL,
        existingDatabase: false
      });
      if (win.sqlitePlugin) {
        var location_1 = this._getBackupLocation(dbOptions.backupFlag);
        this._db = win.sqlitePlugin.openDatabase(util_1.assign({
          name: dbOptions.name,
          location: location_1,
          createFromLocation: dbOptions.existingDatabase ? 1 : 0
        }, dbOptions));
      } else {
        void 0;
        this._db = win.openDatabase(dbOptions.name, '1.0', 'database', 5 * 1024 * 1024);
      }
      this._tryInit();
    }
    SqlStorage.prototype._getBackupLocation = function(dbFlag) {
      switch (dbFlag) {
        case SqlStorage.BACKUP_LOCAL:
          return 2;
        case SqlStorage.BACKUP_LIBRARY:
          return 1;
        case SqlStorage.BACKUP_DOCUMENTS:
          return 0;
        default:
          throw Error('Invalid backup flag: ' + dbFlag);
      }
    };
    SqlStorage.prototype._tryInit = function() {
      this.query('CREATE TABLE IF NOT EXISTS kv (key text primary key, value text)').catch(function(err) {
        void 0;
      });
    };
    SqlStorage.prototype.query = function(query, params) {
      var _this = this;
      if (params === void 0) {
        params = [];
      }
      return new Promise(function(resolve, reject) {
        try {
          _this._db.transaction(function(tx) {
            tx.executeSql(query, params, function(tx, res) {
              return resolve({
                tx: tx,
                res: res
              });
            }, function(tx, err) {
              return reject({
                tx: tx,
                err: err
              });
            });
          }, function(err) {
            return reject({err: err});
          });
        } catch (err) {
          reject({err: err});
        }
      });
    };
    SqlStorage.prototype.get = function(key) {
      return this.query('select key, value from kv where key = ? limit 1', [key]).then(function(data) {
        if (data.res.rows.length > 0) {
          return data.res.rows.item(0).value;
        }
      });
    };
    SqlStorage.prototype.set = function(key, value) {
      return this.query('insert or replace into kv(key, value) values (?, ?)', [key, value]);
    };
    SqlStorage.prototype.remove = function(key) {
      return this.query('delete from kv where key = ?', [key]);
    };
    SqlStorage.prototype.clear = function() {
      return this.query('delete from kv');
    };
    SqlStorage.BACKUP_LOCAL = 2;
    SqlStorage.BACKUP_LIBRARY = 1;
    SqlStorage.BACKUP_DOCUMENTS = 0;
    return SqlStorage;
  }(storage_1.StorageEngine));
  exports.SqlStorage = SqlStorage;
  return module.exports;
});

System.registerDynamic("ionic-angular/platform/storage.js", ["./storage/storage", "./storage/local-storage", "./storage/sql"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  function __export(m) {
    for (var p in m)
      if (!exports.hasOwnProperty(p))
        exports[p] = m[p];
  }
  __export($__require('./storage/storage'));
  __export($__require('./storage/local-storage'));
  __export($__require('./storage/sql'));
  return module.exports;
});

System.registerDynamic("ionic-angular/translation/translate_pipe.js", ["@angular/core", "./translate"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var translate_1 = $__require('./translate');
  var TranslatePipe = (function() {
    function TranslatePipe(translate) {
      this.translate = {};
      this.translate = translate;
    }
    TranslatePipe.prototype.transform = function(value, args) {
      var lang;
      if (args.length > 0) {
        lang = args[0];
      }
      return this.translate.translate(value, lang);
    };
    TranslatePipe.prototype.supports = function(obj) {
      return true;
    };
    TranslatePipe = __decorate([core_1.Pipe({name: 'translate'}), core_1.Injectable(), __metadata('design:paramtypes', [translate_1.Translate])], TranslatePipe);
    return TranslatePipe;
  }());
  exports.TranslatePipe = TranslatePipe;
  return module.exports;
});

System.registerDynamic("ionic-angular/config/modes.js", ["./config"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var config_1 = $__require('./config');
  config_1.Config.setModeConfig('ios', {
    activator: 'highlight',
    actionSheetEnter: 'action-sheet-slide-in',
    actionSheetLeave: 'action-sheet-slide-out',
    alertEnter: 'alert-pop-in',
    alertLeave: 'alert-pop-out',
    backButtonText: 'Back',
    backButtonIcon: 'ios-arrow-back',
    iconMode: 'ios',
    loadingEnter: 'loading-pop-in',
    loadingLeave: 'loading-pop-out',
    menuType: 'reveal',
    modalEnter: 'modal-slide-in',
    modalLeave: 'modal-slide-out',
    pageTransition: 'ios-transition',
    pageTransitionDelay: 16,
    pickerEnter: 'picker-slide-in',
    pickerLeave: 'picker-slide-out',
    pickerRotateFactor: -0.46,
    popoverEnter: 'popover-pop-in',
    popoverLeave: 'popover-pop-out',
    spinner: 'ios',
    tabsHighlight: false,
    tabsPlacement: 'bottom',
    tabsHideOnSubPages: false,
    toastEnter: 'toast-slide-in',
    toastLeave: 'toast-slide-out'
  });
  config_1.Config.setModeConfig('md', {
    activator: 'ripple',
    actionSheetEnter: 'action-sheet-md-slide-in',
    actionSheetLeave: 'action-sheet-md-slide-out',
    alertEnter: 'alert-md-pop-in',
    alertLeave: 'alert-md-pop-out',
    backButtonText: '',
    backButtonIcon: 'md-arrow-back',
    iconMode: 'md',
    loadingEnter: 'loading-md-pop-in',
    loadingLeave: 'loading-md-pop-out',
    menuType: 'overlay',
    modalEnter: 'modal-md-slide-in',
    modalLeave: 'modal-md-slide-out',
    pageTransition: 'md-transition',
    pageTransitionDelay: 64,
    pickerEnter: 'picker-slide-in',
    pickerLeave: 'picker-slide-out',
    pickerRotateFactor: 0,
    popoverEnter: 'popover-md-pop-in',
    popoverLeave: 'popover-md-pop-out',
    spinner: 'crescent',
    tabsHighlight: false,
    tabsPlacement: 'bottom',
    tabsHideOnSubPages: false,
    toastEnter: 'toast-md-slide-in',
    toastLeave: 'toast-md-slide-out'
  });
  config_1.Config.setModeConfig('wp', {
    activator: 'highlight',
    actionSheetEnter: 'action-sheet-wp-slide-in',
    actionSheetLeave: 'action-sheet-wp-slide-out',
    alertEnter: 'alert-wp-pop-in',
    alertLeave: 'alert-wp-pop-out',
    backButtonText: '',
    backButtonIcon: 'ios-arrow-back',
    iconMode: 'ios',
    loadingEnter: 'loading-wp-pop-in',
    loadingLeave: 'loading-wp-pop-out',
    menuType: 'overlay',
    modalEnter: 'modal-md-slide-in',
    modalLeave: 'modal-md-slide-out',
    pageTransition: 'wp-transition',
    pageTransitionDelay: 96,
    pickerEnter: 'picker-slide-in',
    pickerLeave: 'picker-slide-out',
    pickerRotateFactor: 0,
    popoverEnter: 'popover-md-pop-in',
    popoverLeave: 'popover-md-pop-out',
    spinner: 'circles',
    tabsHighlight: false,
    tabsPlacement: 'top',
    tabsHideOnSubPages: true,
    toastEnter: 'toast-wp-slide-in',
    toastLeave: 'toast-wp-slide-out'
  });
  return module.exports;
});

System.registerDynamic("ionic-angular/platform/registry.js", ["./platform", "../util/dom"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var platform_1 = $__require('./platform');
  var dom_1 = $__require('../util/dom');
  var win = window;
  var doc = document;
  platform_1.Platform.register({
    name: 'core',
    settings: {
      mode: 'md',
      keyboardHeight: 290
    }
  });
  platform_1.Platform.setDefault('core');
  platform_1.Platform.register({name: 'mobile'});
  platform_1.Platform.register({
    name: 'phablet',
    isMatch: function(p) {
      var smallest = Math.min(p.width(), p.height());
      var largest = Math.max(p.width(), p.height());
      return (smallest > 390 && smallest < 520) && (largest > 620 && largest < 800);
    }
  });
  platform_1.Platform.register({
    name: 'tablet',
    isMatch: function(p) {
      var smallest = Math.min(p.width(), p.height());
      var largest = Math.max(p.width(), p.height());
      return (smallest > 460 && smallest < 820) && (largest > 780 && largest < 1400);
    }
  });
  platform_1.Platform.register({
    name: 'android',
    superset: 'mobile',
    subsets: ['phablet', 'tablet'],
    settings: {
      activator: function(p) {
        if (p.testNavigatorPlatform('linux')) {
          var chromeVersion = p.matchUserAgentVersion(/Chrome\/(\d+).(\d+)?/);
          if (chromeVersion) {
            return (parseInt(chromeVersion.major, 10) < 36 ? 'none' : 'ripple');
          }
          if (p.version().major < 5) {
            return 'none';
          }
        }
        return 'ripple';
      },
      autoFocusAssist: 'immediate',
      hoverCSS: false,
      keyboardHeight: 300,
      mode: 'md'
    },
    isMatch: function(p) {
      return p.isPlatformMatch('android', ['android', 'silk'], ['windows phone']);
    },
    versionParser: function(p) {
      return p.matchUserAgentVersion(/Android (\d+).(\d+)?/);
    }
  });
  platform_1.Platform.register({
    name: 'ios',
    superset: 'mobile',
    subsets: ['ipad', 'iphone'],
    settings: {
      autoFocusAssist: 'delay',
      hoverCSS: false,
      inputBlurring: isIOSDevice,
      inputCloning: isIOSDevice,
      keyboardHeight: 300,
      mode: 'ios',
      scrollAssist: isIOSDevice,
      statusbarPadding: !!(win.cordova),
      swipeBackEnabled: isIOSDevice,
      swipeBackThreshold: 40,
      tapPolyfill: isIOSDevice,
      virtualScrollEventAssist: !(win.indexedDB),
      canDisableScroll: !!(win.indexedDB)
    },
    isMatch: function(p) {
      return p.isPlatformMatch('ios', ['iphone', 'ipad', 'ipod'], ['windows phone']);
    },
    versionParser: function(p) {
      return p.matchUserAgentVersion(/OS (\d+)_(\d+)?/);
    }
  });
  platform_1.Platform.register({
    name: 'ipad',
    superset: 'tablet',
    settings: {keyboardHeight: 500},
    isMatch: function(p) {
      return p.isPlatformMatch('ipad');
    }
  });
  platform_1.Platform.register({
    name: 'iphone',
    subsets: ['phablet'],
    isMatch: function(p) {
      return p.isPlatformMatch('iphone');
    }
  });
  platform_1.Platform.register({
    name: 'windows',
    superset: 'mobile',
    subsets: ['phablet', 'tablet'],
    settings: {
      mode: 'wp',
      autoFocusAssist: 'immediate',
      hoverCSS: false
    },
    isMatch: function(p) {
      return p.isPlatformMatch('windows', ['windows phone']);
    },
    versionParser: function(p) {
      return p.matchUserAgentVersion(/Windows Phone (\d+).(\d+)?/);
    }
  });
  platform_1.Platform.register({
    name: 'cordova',
    isEngine: true,
    initialize: function(p) {
      p.prepareReady = function() {
        dom_1.windowLoad(function() {
          doc.addEventListener('deviceready', function() {
            doc.addEventListener('backbutton', function(ev) {
              p.zone.run(function() {
                p.backButton.emit(ev);
              });
            });
            doc.addEventListener('pause', function(ev) {
              p.zone.run(function() {
                p.pause.emit(ev);
              });
            });
            doc.addEventListener('resume', function(ev) {
              p.zone.run(function() {
                p.resume.emit(ev);
              });
            });
            p.exitApp = function() {
              win.navigator.app.exitApp();
            };
            p.triggerReady('cordova');
          });
        });
      };
    },
    isMatch: function() {
      return !!(win.cordova || win.PhoneGap || win.phonegap);
    }
  });
  function isIOSDevice(p) {
    return p.testNavigatorPlatform('iphone|ipad|ipod');
  }
  return module.exports;
});

System.registerDynamic("ionic-angular/animations/builtins.js", ["./animation"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var animation_1 = $__require('./animation');
  var SlideIn = (function(_super) {
    __extends(SlideIn, _super);
    function SlideIn(element) {
      _super.call(this, element);
      this.easing('cubic-bezier(0.1,0.7,0.1,1)').duration(400).fromTo('translateY', '100%', '0%');
    }
    return SlideIn;
  }(animation_1.Animation));
  animation_1.Animation.register('slide-in', SlideIn);
  var SlideOut = (function(_super) {
    __extends(SlideOut, _super);
    function SlideOut(element) {
      _super.call(this, element);
      this.easing('ease-out').duration(250).fromTo('translateY', '0%', '100%');
    }
    return SlideOut;
  }(animation_1.Animation));
  animation_1.Animation.register('slide-out', SlideOut);
  var FadeIn = (function(_super) {
    __extends(FadeIn, _super);
    function FadeIn(element) {
      _super.call(this, element);
      this.easing('ease-in').duration(400).fromTo('opacity', 0.001, 1, true);
    }
    return FadeIn;
  }(animation_1.Animation));
  animation_1.Animation.register('fade-in', FadeIn);
  var FadeOut = (function(_super) {
    __extends(FadeOut, _super);
    function FadeOut(element) {
      _super.call(this, element);
      this.easing('ease-out').duration(250).fromTo('opacity', 0.999, 0);
    }
    return FadeOut;
  }(animation_1.Animation));
  animation_1.Animation.register('fade-out', FadeOut);
  return module.exports;
});

System.registerDynamic("ionic-angular/transitions/transition-ios.js", ["../animations/animation", "./page-transition"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var animation_1 = $__require('../animations/animation');
  var page_transition_1 = $__require('./page-transition');
  var DURATION = 500;
  var EASING = 'cubic-bezier(0.36,0.66,0.04,1)';
  var OPACITY = 'opacity';
  var TRANSLATEX = 'translateX';
  var OFF_RIGHT = '99.5%';
  var OFF_LEFT = '-33%';
  var CENTER = '0%';
  var OFF_OPACITY = 0.8;
  var SHOW_BACK_BTN_CSS = 'show-back-button';
  var IOSTransition = (function(_super) {
    __extends(IOSTransition, _super);
    function IOSTransition(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      this.duration(opts.duration || DURATION);
      this.easing(opts.easing || EASING);
      var backDirection = (opts.direction === 'back');
      var enteringHasNavbar = enteringView.hasNavbar();
      var leavingHasNavbar = leavingView && leavingView.hasNavbar();
      var enteringContent = new animation_1.Animation(enteringView.contentRef());
      enteringContent.element(enteringView.toolbarRefs());
      this.add(enteringContent);
      if (backDirection) {
        enteringContent.fromTo(TRANSLATEX, OFF_LEFT, CENTER, true).fromTo(OPACITY, OFF_OPACITY, 1, true);
      } else {
        enteringContent.before.clearStyles([OPACITY]).fromTo(TRANSLATEX, OFF_RIGHT, CENTER, true);
      }
      if (enteringHasNavbar) {
        var enteringNavBar = new animation_1.Animation(enteringView.navbarRef());
        enteringNavBar.before.addClass('show-navbar');
        this.add(enteringNavBar);
        var enteringTitle = new animation_1.Animation(enteringView.titleRef());
        var enteringNavbarItems = new animation_1.Animation(enteringView.navbarItemRefs());
        var enteringNavbarBg = new animation_1.Animation(enteringView.navbarBgRef());
        var enteringBackButton = new animation_1.Animation(enteringView.backBtnRef());
        enteringNavBar.add(enteringTitle).add(enteringNavbarItems).add(enteringNavbarBg).add(enteringBackButton);
        enteringTitle.fromTo(OPACITY, 0.01, 1, true);
        enteringNavbarItems.fromTo(OPACITY, 0.01, 1, true);
        if (backDirection) {
          enteringTitle.fromTo(TRANSLATEX, OFF_LEFT, CENTER, true);
          if (enteringView.enableBack()) {
            enteringBackButton.before.addClass(SHOW_BACK_BTN_CSS).fromTo(OPACITY, 0.01, 1, true);
          }
        } else {
          enteringTitle.fromTo(TRANSLATEX, OFF_RIGHT, CENTER, true);
          if (leavingHasNavbar) {
            enteringNavbarBg.before.clearStyles([TRANSLATEX]).fromTo(OPACITY, 0.01, 1, true);
          } else {
            enteringNavbarBg.before.clearStyles([OPACITY]).fromTo(TRANSLATEX, OFF_RIGHT, CENTER, true);
          }
          if (enteringView.enableBack()) {
            enteringBackButton.before.addClass(SHOW_BACK_BTN_CSS).fromTo(OPACITY, 0.01, 1, true);
            var enteringBackBtnText = new animation_1.Animation(enteringView.backBtnTextRef());
            enteringBackBtnText.fromTo(TRANSLATEX, '100px', '0px');
            enteringNavBar.add(enteringBackBtnText);
          } else {
            enteringBackButton.before.removeClass(SHOW_BACK_BTN_CSS);
          }
        }
      }
      if (leavingView) {
        var leavingContent = new animation_1.Animation(leavingView.contentRef());
        leavingContent.element(leavingView.toolbarRefs());
        this.add(leavingContent);
        if (backDirection) {
          leavingContent.before.clearStyles([OPACITY]).fromTo(TRANSLATEX, CENTER, '100%');
        } else {
          leavingContent.fromTo(TRANSLATEX, CENTER, OFF_LEFT).fromTo(OPACITY, 1, OFF_OPACITY);
        }
        if (leavingHasNavbar) {
          var leavingNavBar = new animation_1.Animation(leavingView.navbarRef());
          var leavingBackButton = new animation_1.Animation(leavingView.backBtnRef());
          var leavingTitle = new animation_1.Animation(leavingView.titleRef());
          var leavingNavbarItems = new animation_1.Animation(leavingView.navbarItemRefs());
          var leavingNavbarBg = new animation_1.Animation(leavingView.navbarBgRef());
          leavingNavBar.add(leavingBackButton).add(leavingTitle).add(leavingNavbarItems).add(leavingNavbarBg);
          this.add(leavingNavBar);
          leavingBackButton.fromTo(OPACITY, 0.99, 0);
          leavingTitle.fromTo(OPACITY, 0.99, 0);
          leavingNavbarItems.fromTo(OPACITY, 0.99, 0);
          if (backDirection) {
            leavingTitle.fromTo(TRANSLATEX, CENTER, '100%');
            if (enteringHasNavbar) {
              leavingNavbarBg.before.clearStyles([TRANSLATEX]).fromTo('opacity', 0.99, 0);
            } else {
              leavingNavbarBg.before.clearStyles([OPACITY]).fromTo(TRANSLATEX, CENTER, '100%');
            }
            var leavingBackBtnText = new animation_1.Animation(leavingView.backBtnTextRef());
            leavingBackBtnText.fromTo(TRANSLATEX, CENTER, (300) + 'px');
            leavingNavBar.add(leavingBackBtnText);
          } else {
            leavingTitle.fromTo(TRANSLATEX, CENTER, OFF_LEFT);
          }
        }
      }
    }
    return IOSTransition;
  }(page_transition_1.PageTransition));
  page_transition_1.PageTransition.register('ios-transition', IOSTransition);
  return module.exports;
});

System.registerDynamic("ionic-angular/transitions/transition-md.js", ["../animations/animation", "./page-transition"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var animation_1 = $__require('../animations/animation');
  var page_transition_1 = $__require('./page-transition');
  var TRANSLATEY = 'translateY';
  var OFF_BOTTOM = '40px';
  var CENTER = '0px';
  var SHOW_BACK_BTN_CSS = 'show-back-button';
  var MDTransition = (function(_super) {
    __extends(MDTransition, _super);
    function MDTransition(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var backDirection = (opts.direction === 'back');
      var enteringHasNavbar = enteringView.hasNavbar();
      var leavingHasNavbar = leavingView && leavingView.hasNavbar();
      if (backDirection) {
        this.duration(opts.duration || 200).easing('cubic-bezier(0.47,0,0.745,0.715)');
        this.enteringPage.before.clearStyles([TRANSLATEY]);
      } else {
        this.duration(opts.duration || 280).easing('cubic-bezier(0.36,0.66,0.04,1)');
        this.enteringPage.fromTo(TRANSLATEY, OFF_BOTTOM, CENTER, true).fromTo('opacity', 0.01, 1, true);
      }
      if (enteringHasNavbar) {
        var enteringNavBar = new animation_1.Animation(enteringView.navbarRef());
        enteringNavBar.before.addClass('show-navbar');
        this.add(enteringNavBar);
        var enteringBackButton = new animation_1.Animation(enteringView.backBtnRef());
        this.add(enteringBackButton);
        if (enteringView.enableBack()) {
          enteringBackButton.before.addClass(SHOW_BACK_BTN_CSS);
        } else {
          enteringBackButton.before.removeClass(SHOW_BACK_BTN_CSS);
        }
      }
      if (leavingView && backDirection) {
        this.duration(opts.duration || 200).easing('cubic-bezier(0.47,0,0.745,0.715)');
        var leavingPage = new animation_1.Animation(leavingView.pageRef());
        this.add(leavingPage.fromTo(TRANSLATEY, CENTER, OFF_BOTTOM).fromTo('opacity', 0.99, 0));
      }
    }
    return MDTransition;
  }(page_transition_1.PageTransition));
  page_transition_1.PageTransition.register('md-transition', MDTransition);
  return module.exports;
});

System.registerDynamic("@angular/platform-browser-dynamic/core_private.js", ["@angular/core"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  exports.ReflectionCapabilities = core_1.__core_private__.ReflectionCapabilities;
  exports.reflector = core_1.__core_private__.reflector;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser-dynamic/src/facade/async.js", ["rxjs/Subject", "rxjs/observable/PromiseObservable", "rxjs/operator/toPromise", "./lang", "rxjs/Observable", "./promise"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var Subject_1 = $__require('rxjs/Subject');
  var PromiseObservable_1 = $__require('rxjs/observable/PromiseObservable');
  var toPromise_1 = $__require('rxjs/operator/toPromise');
  var lang_1 = $__require('./lang');
  var Observable_1 = $__require('rxjs/Observable');
  exports.Observable = Observable_1.Observable;
  var Subject_2 = $__require('rxjs/Subject');
  exports.Subject = Subject_2.Subject;
  var promise_1 = $__require('./promise');
  exports.PromiseCompleter = promise_1.PromiseCompleter;
  exports.PromiseWrapper = promise_1.PromiseWrapper;
  var TimerWrapper = (function() {
    function TimerWrapper() {}
    TimerWrapper.setTimeout = function(fn, millis) {
      return lang_1.global.setTimeout(fn, millis);
    };
    TimerWrapper.clearTimeout = function(id) {
      lang_1.global.clearTimeout(id);
    };
    TimerWrapper.setInterval = function(fn, millis) {
      return lang_1.global.setInterval(fn, millis);
    };
    TimerWrapper.clearInterval = function(id) {
      lang_1.global.clearInterval(id);
    };
    return TimerWrapper;
  }());
  exports.TimerWrapper = TimerWrapper;
  var ObservableWrapper = (function() {
    function ObservableWrapper() {}
    ObservableWrapper.subscribe = function(emitter, onNext, onError, onComplete) {
      if (onComplete === void 0) {
        onComplete = function() {};
      }
      onError = (typeof onError === 'function') && onError || lang_1.noop;
      onComplete = (typeof onComplete === 'function') && onComplete || lang_1.noop;
      return emitter.subscribe({
        next: onNext,
        error: onError,
        complete: onComplete
      });
    };
    ObservableWrapper.isObservable = function(obs) {
      return !!obs.subscribe;
    };
    ObservableWrapper.hasSubscribers = function(obs) {
      return obs.observers.length > 0;
    };
    ObservableWrapper.dispose = function(subscription) {
      subscription.unsubscribe();
    };
    ObservableWrapper.callNext = function(emitter, value) {
      emitter.emit(value);
    };
    ObservableWrapper.callEmit = function(emitter, value) {
      emitter.emit(value);
    };
    ObservableWrapper.callError = function(emitter, error) {
      emitter.error(error);
    };
    ObservableWrapper.callComplete = function(emitter) {
      emitter.complete();
    };
    ObservableWrapper.fromPromise = function(promise) {
      return PromiseObservable_1.PromiseObservable.create(promise);
    };
    ObservableWrapper.toPromise = function(obj) {
      return toPromise_1.toPromise.call(obj);
    };
    return ObservableWrapper;
  }());
  exports.ObservableWrapper = ObservableWrapper;
  var EventEmitter = (function(_super) {
    __extends(EventEmitter, _super);
    function EventEmitter(isAsync) {
      if (isAsync === void 0) {
        isAsync = false;
      }
      _super.call(this);
      this.__isAsync = isAsync;
    }
    EventEmitter.prototype.emit = function(value) {
      _super.prototype.next.call(this, value);
    };
    EventEmitter.prototype.next = function(value) {
      _super.prototype.next.call(this, value);
    };
    EventEmitter.prototype.subscribe = function(generatorOrNext, error, complete) {
      var schedulerFn;
      var errorFn = function(err) {
        return null;
      };
      var completeFn = function() {
        return null;
      };
      if (generatorOrNext && typeof generatorOrNext === 'object') {
        schedulerFn = this.__isAsync ? function(value) {
          setTimeout(function() {
            return generatorOrNext.next(value);
          });
        } : function(value) {
          generatorOrNext.next(value);
        };
        if (generatorOrNext.error) {
          errorFn = this.__isAsync ? function(err) {
            setTimeout(function() {
              return generatorOrNext.error(err);
            });
          } : function(err) {
            generatorOrNext.error(err);
          };
        }
        if (generatorOrNext.complete) {
          completeFn = this.__isAsync ? function() {
            setTimeout(function() {
              return generatorOrNext.complete();
            });
          } : function() {
            generatorOrNext.complete();
          };
        }
      } else {
        schedulerFn = this.__isAsync ? function(value) {
          setTimeout(function() {
            return generatorOrNext(value);
          });
        } : function(value) {
          generatorOrNext(value);
        };
        if (error) {
          errorFn = this.__isAsync ? function(err) {
            setTimeout(function() {
              return error(err);
            });
          } : function(err) {
            error(err);
          };
        }
        if (complete) {
          completeFn = this.__isAsync ? function() {
            setTimeout(function() {
              return complete();
            });
          } : function() {
            complete();
          };
        }
      }
      return _super.prototype.subscribe.call(this, schedulerFn, errorFn, completeFn);
    };
    return EventEmitter;
  }(Subject_1.Subject));
  exports.EventEmitter = EventEmitter;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser-dynamic/src/facade/base_wrapped_exception.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var BaseWrappedException = (function(_super) {
    __extends(BaseWrappedException, _super);
    function BaseWrappedException(message) {
      _super.call(this, message);
    }
    Object.defineProperty(BaseWrappedException.prototype, "wrapperMessage", {
      get: function() {
        return '';
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "wrapperStack", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "originalException", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "originalStack", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "context", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "message", {
      get: function() {
        return '';
      },
      enumerable: true,
      configurable: true
    });
    return BaseWrappedException;
  }(Error));
  exports.BaseWrappedException = BaseWrappedException;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser-dynamic/src/facade/collection.js", ["./lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('./lang');
  exports.Map = lang_1.global.Map;
  exports.Set = lang_1.global.Set;
  var createMapFromPairs = (function() {
    try {
      if (new exports.Map([[1, 2]]).size === 1) {
        return function createMapFromPairs(pairs) {
          return new exports.Map(pairs);
        };
      }
    } catch (e) {}
    return function createMapAndPopulateFromPairs(pairs) {
      var map = new exports.Map();
      for (var i = 0; i < pairs.length; i++) {
        var pair = pairs[i];
        map.set(pair[0], pair[1]);
      }
      return map;
    };
  })();
  var createMapFromMap = (function() {
    try {
      if (new exports.Map(new exports.Map())) {
        return function createMapFromMap(m) {
          return new exports.Map(m);
        };
      }
    } catch (e) {}
    return function createMapAndPopulateFromMap(m) {
      var map = new exports.Map();
      m.forEach(function(v, k) {
        map.set(k, v);
      });
      return map;
    };
  })();
  var _clearValues = (function() {
    if ((new exports.Map()).keys().next) {
      return function _clearValues(m) {
        var keyIterator = m.keys();
        var k;
        while (!((k = keyIterator.next()).done)) {
          m.set(k.value, null);
        }
      };
    } else {
      return function _clearValuesWithForeEach(m) {
        m.forEach(function(v, k) {
          m.set(k, null);
        });
      };
    }
  })();
  var _arrayFromMap = (function() {
    try {
      if ((new exports.Map()).values().next) {
        return function createArrayFromMap(m, getValues) {
          return getValues ? Array.from(m.values()) : Array.from(m.keys());
        };
      }
    } catch (e) {}
    return function createArrayFromMapWithForeach(m, getValues) {
      var res = ListWrapper.createFixedSize(m.size),
          i = 0;
      m.forEach(function(v, k) {
        res[i] = getValues ? v : k;
        i++;
      });
      return res;
    };
  })();
  var MapWrapper = (function() {
    function MapWrapper() {}
    MapWrapper.clone = function(m) {
      return createMapFromMap(m);
    };
    MapWrapper.createFromStringMap = function(stringMap) {
      var result = new exports.Map();
      for (var prop in stringMap) {
        result.set(prop, stringMap[prop]);
      }
      return result;
    };
    MapWrapper.toStringMap = function(m) {
      var r = {};
      m.forEach(function(v, k) {
        return r[k] = v;
      });
      return r;
    };
    MapWrapper.createFromPairs = function(pairs) {
      return createMapFromPairs(pairs);
    };
    MapWrapper.clearValues = function(m) {
      _clearValues(m);
    };
    MapWrapper.iterable = function(m) {
      return m;
    };
    MapWrapper.keys = function(m) {
      return _arrayFromMap(m, false);
    };
    MapWrapper.values = function(m) {
      return _arrayFromMap(m, true);
    };
    return MapWrapper;
  }());
  exports.MapWrapper = MapWrapper;
  var StringMapWrapper = (function() {
    function StringMapWrapper() {}
    StringMapWrapper.create = function() {
      return {};
    };
    StringMapWrapper.contains = function(map, key) {
      return map.hasOwnProperty(key);
    };
    StringMapWrapper.get = function(map, key) {
      return map.hasOwnProperty(key) ? map[key] : undefined;
    };
    StringMapWrapper.set = function(map, key, value) {
      map[key] = value;
    };
    StringMapWrapper.keys = function(map) {
      return Object.keys(map);
    };
    StringMapWrapper.values = function(map) {
      return Object.keys(map).reduce(function(r, a) {
        r.push(map[a]);
        return r;
      }, []);
    };
    StringMapWrapper.isEmpty = function(map) {
      for (var prop in map) {
        return false;
      }
      return true;
    };
    StringMapWrapper.delete = function(map, key) {
      delete map[key];
    };
    StringMapWrapper.forEach = function(map, callback) {
      for (var prop in map) {
        if (map.hasOwnProperty(prop)) {
          callback(map[prop], prop);
        }
      }
    };
    StringMapWrapper.merge = function(m1, m2) {
      var m = {};
      for (var attr in m1) {
        if (m1.hasOwnProperty(attr)) {
          m[attr] = m1[attr];
        }
      }
      for (var attr in m2) {
        if (m2.hasOwnProperty(attr)) {
          m[attr] = m2[attr];
        }
      }
      return m;
    };
    StringMapWrapper.equals = function(m1, m2) {
      var k1 = Object.keys(m1);
      var k2 = Object.keys(m2);
      if (k1.length != k2.length) {
        return false;
      }
      var key;
      for (var i = 0; i < k1.length; i++) {
        key = k1[i];
        if (m1[key] !== m2[key]) {
          return false;
        }
      }
      return true;
    };
    return StringMapWrapper;
  }());
  exports.StringMapWrapper = StringMapWrapper;
  var ListWrapper = (function() {
    function ListWrapper() {}
    ListWrapper.createFixedSize = function(size) {
      return new Array(size);
    };
    ListWrapper.createGrowableSize = function(size) {
      return new Array(size);
    };
    ListWrapper.clone = function(array) {
      return array.slice(0);
    };
    ListWrapper.forEachWithIndex = function(array, fn) {
      for (var i = 0; i < array.length; i++) {
        fn(array[i], i);
      }
    };
    ListWrapper.first = function(array) {
      if (!array)
        return null;
      return array[0];
    };
    ListWrapper.last = function(array) {
      if (!array || array.length == 0)
        return null;
      return array[array.length - 1];
    };
    ListWrapper.indexOf = function(array, value, startIndex) {
      if (startIndex === void 0) {
        startIndex = 0;
      }
      return array.indexOf(value, startIndex);
    };
    ListWrapper.contains = function(list, el) {
      return list.indexOf(el) !== -1;
    };
    ListWrapper.reversed = function(array) {
      var a = ListWrapper.clone(array);
      return a.reverse();
    };
    ListWrapper.concat = function(a, b) {
      return a.concat(b);
    };
    ListWrapper.insert = function(list, index, value) {
      list.splice(index, 0, value);
    };
    ListWrapper.removeAt = function(list, index) {
      var res = list[index];
      list.splice(index, 1);
      return res;
    };
    ListWrapper.removeAll = function(list, items) {
      for (var i = 0; i < items.length; ++i) {
        var index = list.indexOf(items[i]);
        list.splice(index, 1);
      }
    };
    ListWrapper.remove = function(list, el) {
      var index = list.indexOf(el);
      if (index > -1) {
        list.splice(index, 1);
        return true;
      }
      return false;
    };
    ListWrapper.clear = function(list) {
      list.length = 0;
    };
    ListWrapper.isEmpty = function(list) {
      return list.length == 0;
    };
    ListWrapper.fill = function(list, value, start, end) {
      if (start === void 0) {
        start = 0;
      }
      if (end === void 0) {
        end = null;
      }
      list.fill(value, start, end === null ? list.length : end);
    };
    ListWrapper.equals = function(a, b) {
      if (a.length != b.length)
        return false;
      for (var i = 0; i < a.length; ++i) {
        if (a[i] !== b[i])
          return false;
      }
      return true;
    };
    ListWrapper.slice = function(l, from, to) {
      if (from === void 0) {
        from = 0;
      }
      if (to === void 0) {
        to = null;
      }
      return l.slice(from, to === null ? undefined : to);
    };
    ListWrapper.splice = function(l, from, length) {
      return l.splice(from, length);
    };
    ListWrapper.sort = function(l, compareFn) {
      if (lang_1.isPresent(compareFn)) {
        l.sort(compareFn);
      } else {
        l.sort();
      }
    };
    ListWrapper.toString = function(l) {
      return l.toString();
    };
    ListWrapper.toJSON = function(l) {
      return JSON.stringify(l);
    };
    ListWrapper.maximum = function(list, predicate) {
      if (list.length == 0) {
        return null;
      }
      var solution = null;
      var maxValue = -Infinity;
      for (var index = 0; index < list.length; index++) {
        var candidate = list[index];
        if (lang_1.isBlank(candidate)) {
          continue;
        }
        var candidateValue = predicate(candidate);
        if (candidateValue > maxValue) {
          solution = candidate;
          maxValue = candidateValue;
        }
      }
      return solution;
    };
    ListWrapper.flatten = function(list) {
      var target = [];
      _flattenArray(list, target);
      return target;
    };
    ListWrapper.addAll = function(list, source) {
      for (var i = 0; i < source.length; i++) {
        list.push(source[i]);
      }
    };
    return ListWrapper;
  }());
  exports.ListWrapper = ListWrapper;
  function _flattenArray(source, target) {
    if (lang_1.isPresent(source)) {
      for (var i = 0; i < source.length; i++) {
        var item = source[i];
        if (lang_1.isArray(item)) {
          _flattenArray(item, target);
        } else {
          target.push(item);
        }
      }
    }
    return target;
  }
  function isListLikeIterable(obj) {
    if (!lang_1.isJsObject(obj))
      return false;
    return lang_1.isArray(obj) || (!(obj instanceof exports.Map) && lang_1.getSymbolIterator() in obj);
  }
  exports.isListLikeIterable = isListLikeIterable;
  function areIterablesEqual(a, b, comparator) {
    var iterator1 = a[lang_1.getSymbolIterator()]();
    var iterator2 = b[lang_1.getSymbolIterator()]();
    while (true) {
      var item1 = iterator1.next();
      var item2 = iterator2.next();
      if (item1.done && item2.done)
        return true;
      if (item1.done || item2.done)
        return false;
      if (!comparator(item1.value, item2.value))
        return false;
    }
  }
  exports.areIterablesEqual = areIterablesEqual;
  function iterateListLike(obj, fn) {
    if (lang_1.isArray(obj)) {
      for (var i = 0; i < obj.length; i++) {
        fn(obj[i]);
      }
    } else {
      var iterator = obj[lang_1.getSymbolIterator()]();
      var item;
      while (!((item = iterator.next()).done)) {
        fn(item.value);
      }
    }
  }
  exports.iterateListLike = iterateListLike;
  var createSetFromList = (function() {
    var test = new exports.Set([1, 2, 3]);
    if (test.size === 3) {
      return function createSetFromList(lst) {
        return new exports.Set(lst);
      };
    } else {
      return function createSetAndPopulateFromList(lst) {
        var res = new exports.Set(lst);
        if (res.size !== lst.length) {
          for (var i = 0; i < lst.length; i++) {
            res.add(lst[i]);
          }
        }
        return res;
      };
    }
  })();
  var SetWrapper = (function() {
    function SetWrapper() {}
    SetWrapper.createFromList = function(lst) {
      return createSetFromList(lst);
    };
    SetWrapper.has = function(s, key) {
      return s.has(key);
    };
    SetWrapper.delete = function(m, k) {
      m.delete(k);
    };
    return SetWrapper;
  }());
  exports.SetWrapper = SetWrapper;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser-dynamic/src/facade/exception_handler.js", ["./base_wrapped_exception", "./collection", "./lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var base_wrapped_exception_1 = $__require('./base_wrapped_exception');
  var collection_1 = $__require('./collection');
  var lang_1 = $__require('./lang');
  var _ArrayLogger = (function() {
    function _ArrayLogger() {
      this.res = [];
    }
    _ArrayLogger.prototype.log = function(s) {
      this.res.push(s);
    };
    _ArrayLogger.prototype.logError = function(s) {
      this.res.push(s);
    };
    _ArrayLogger.prototype.logGroup = function(s) {
      this.res.push(s);
    };
    _ArrayLogger.prototype.logGroupEnd = function() {};
    ;
    return _ArrayLogger;
  }());
  var ExceptionHandler = (function() {
    function ExceptionHandler(_logger, _rethrowException) {
      if (_rethrowException === void 0) {
        _rethrowException = true;
      }
      this._logger = _logger;
      this._rethrowException = _rethrowException;
    }
    ExceptionHandler.exceptionToString = function(exception, stackTrace, reason) {
      if (stackTrace === void 0) {
        stackTrace = null;
      }
      if (reason === void 0) {
        reason = null;
      }
      var l = new _ArrayLogger();
      var e = new ExceptionHandler(l, false);
      e.call(exception, stackTrace, reason);
      return l.res.join('\n');
    };
    ExceptionHandler.prototype.call = function(exception, stackTrace, reason) {
      if (stackTrace === void 0) {
        stackTrace = null;
      }
      if (reason === void 0) {
        reason = null;
      }
      var originalException = this._findOriginalException(exception);
      var originalStack = this._findOriginalStack(exception);
      var context = this._findContext(exception);
      this._logger.logGroup("EXCEPTION: " + this._extractMessage(exception));
      if (lang_1.isPresent(stackTrace) && lang_1.isBlank(originalStack)) {
        this._logger.logError('STACKTRACE:');
        this._logger.logError(this._longStackTrace(stackTrace));
      }
      if (lang_1.isPresent(reason)) {
        this._logger.logError("REASON: " + reason);
      }
      if (lang_1.isPresent(originalException)) {
        this._logger.logError("ORIGINAL EXCEPTION: " + this._extractMessage(originalException));
      }
      if (lang_1.isPresent(originalStack)) {
        this._logger.logError('ORIGINAL STACKTRACE:');
        this._logger.logError(this._longStackTrace(originalStack));
      }
      if (lang_1.isPresent(context)) {
        this._logger.logError('ERROR CONTEXT:');
        this._logger.logError(context);
      }
      this._logger.logGroupEnd();
      if (this._rethrowException)
        throw exception;
    };
    ExceptionHandler.prototype._extractMessage = function(exception) {
      return exception instanceof base_wrapped_exception_1.BaseWrappedException ? exception.wrapperMessage : exception.toString();
    };
    ExceptionHandler.prototype._longStackTrace = function(stackTrace) {
      return collection_1.isListLikeIterable(stackTrace) ? stackTrace.join('\n\n-----async gap-----\n') : stackTrace.toString();
    };
    ExceptionHandler.prototype._findContext = function(exception) {
      try {
        if (!(exception instanceof base_wrapped_exception_1.BaseWrappedException))
          return null;
        return lang_1.isPresent(exception.context) ? exception.context : this._findContext(exception.originalException);
      } catch (e) {
        return null;
      }
    };
    ExceptionHandler.prototype._findOriginalException = function(exception) {
      if (!(exception instanceof base_wrapped_exception_1.BaseWrappedException))
        return null;
      var e = exception.originalException;
      while (e instanceof base_wrapped_exception_1.BaseWrappedException && lang_1.isPresent(e.originalException)) {
        e = e.originalException;
      }
      return e;
    };
    ExceptionHandler.prototype._findOriginalStack = function(exception) {
      if (!(exception instanceof base_wrapped_exception_1.BaseWrappedException))
        return null;
      var e = exception;
      var stack = exception.originalStack;
      while (e instanceof base_wrapped_exception_1.BaseWrappedException && lang_1.isPresent(e.originalException)) {
        e = e.originalException;
        if (e instanceof base_wrapped_exception_1.BaseWrappedException && lang_1.isPresent(e.originalException)) {
          stack = e.originalStack;
        }
      }
      return stack;
    };
    return ExceptionHandler;
  }());
  exports.ExceptionHandler = ExceptionHandler;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser-dynamic/src/facade/exceptions.js", ["./base_wrapped_exception", "./exception_handler"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var base_wrapped_exception_1 = $__require('./base_wrapped_exception');
  var exception_handler_1 = $__require('./exception_handler');
  var exception_handler_2 = $__require('./exception_handler');
  exports.ExceptionHandler = exception_handler_2.ExceptionHandler;
  var BaseException = (function(_super) {
    __extends(BaseException, _super);
    function BaseException(message) {
      if (message === void 0) {
        message = '--';
      }
      _super.call(this, message);
      this.message = message;
      this.stack = (new Error(message)).stack;
    }
    BaseException.prototype.toString = function() {
      return this.message;
    };
    return BaseException;
  }(Error));
  exports.BaseException = BaseException;
  var WrappedException = (function(_super) {
    __extends(WrappedException, _super);
    function WrappedException(_wrapperMessage, _originalException, _originalStack, _context) {
      _super.call(this, _wrapperMessage);
      this._wrapperMessage = _wrapperMessage;
      this._originalException = _originalException;
      this._originalStack = _originalStack;
      this._context = _context;
      this._wrapperStack = (new Error(_wrapperMessage)).stack;
    }
    Object.defineProperty(WrappedException.prototype, "wrapperMessage", {
      get: function() {
        return this._wrapperMessage;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "wrapperStack", {
      get: function() {
        return this._wrapperStack;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "originalException", {
      get: function() {
        return this._originalException;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "originalStack", {
      get: function() {
        return this._originalStack;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "context", {
      get: function() {
        return this._context;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "message", {
      get: function() {
        return exception_handler_1.ExceptionHandler.exceptionToString(this);
      },
      enumerable: true,
      configurable: true
    });
    WrappedException.prototype.toString = function() {
      return this.message;
    };
    return WrappedException;
  }(base_wrapped_exception_1.BaseWrappedException));
  exports.WrappedException = WrappedException;
  function makeTypeError(message) {
    return new TypeError(message);
  }
  exports.makeTypeError = makeTypeError;
  function unimplemented() {
    throw new BaseException('unimplemented');
  }
  exports.unimplemented = unimplemented;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser-dynamic/src/xhr/xhr_cache.js", ["@angular/compiler", "../facade/exceptions", "../facade/lang", "../facade/promise"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var compiler_1 = $__require('@angular/compiler');
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var promise_1 = $__require('../facade/promise');
  var CachedXHR = (function(_super) {
    __extends(CachedXHR, _super);
    function CachedXHR() {
      _super.call(this);
      this._cache = lang_1.global.$templateCache;
      if (this._cache == null) {
        throw new exceptions_1.BaseException('CachedXHR: Template cache was not found in $templateCache.');
      }
    }
    CachedXHR.prototype.get = function(url) {
      if (this._cache.hasOwnProperty(url)) {
        return promise_1.PromiseWrapper.resolve(this._cache[url]);
      } else {
        return promise_1.PromiseWrapper.reject('CachedXHR: Did not find cached template for ' + url, null);
      }
    };
    return CachedXHR;
  }(compiler_1.XHR));
  exports.CachedXHR = CachedXHR;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser-dynamic/src/facade/lang.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var globalScope;
  if (typeof window === 'undefined') {
    if (typeof WorkerGlobalScope !== 'undefined' && self instanceof WorkerGlobalScope) {
      globalScope = self;
    } else {
      globalScope = global;
    }
  } else {
    globalScope = window;
  }
  function scheduleMicroTask(fn) {
    Zone.current.scheduleMicroTask('scheduleMicrotask', fn);
  }
  exports.scheduleMicroTask = scheduleMicroTask;
  exports.IS_DART = false;
  var _global = globalScope;
  exports.global = _global;
  exports.Type = Function;
  function getTypeNameForDebugging(type) {
    if (type['name']) {
      return type['name'];
    }
    return typeof type;
  }
  exports.getTypeNameForDebugging = getTypeNameForDebugging;
  exports.Math = _global.Math;
  exports.Date = _global.Date;
  _global.assert = function assert(condition) {};
  function isPresent(obj) {
    return obj !== undefined && obj !== null;
  }
  exports.isPresent = isPresent;
  function isBlank(obj) {
    return obj === undefined || obj === null;
  }
  exports.isBlank = isBlank;
  function isBoolean(obj) {
    return typeof obj === 'boolean';
  }
  exports.isBoolean = isBoolean;
  function isNumber(obj) {
    return typeof obj === 'number';
  }
  exports.isNumber = isNumber;
  function isString(obj) {
    return typeof obj === 'string';
  }
  exports.isString = isString;
  function isFunction(obj) {
    return typeof obj === 'function';
  }
  exports.isFunction = isFunction;
  function isType(obj) {
    return isFunction(obj);
  }
  exports.isType = isType;
  function isStringMap(obj) {
    return typeof obj === 'object' && obj !== null;
  }
  exports.isStringMap = isStringMap;
  var STRING_MAP_PROTO = Object.getPrototypeOf({});
  function isStrictStringMap(obj) {
    return isStringMap(obj) && Object.getPrototypeOf(obj) === STRING_MAP_PROTO;
  }
  exports.isStrictStringMap = isStrictStringMap;
  function isPromise(obj) {
    return obj instanceof _global.Promise;
  }
  exports.isPromise = isPromise;
  function isArray(obj) {
    return Array.isArray(obj);
  }
  exports.isArray = isArray;
  function isDate(obj) {
    return obj instanceof exports.Date && !isNaN(obj.valueOf());
  }
  exports.isDate = isDate;
  function noop() {}
  exports.noop = noop;
  function stringify(token) {
    if (typeof token === 'string') {
      return token;
    }
    if (token === undefined || token === null) {
      return '' + token;
    }
    if (token.name) {
      return token.name;
    }
    if (token.overriddenName) {
      return token.overriddenName;
    }
    var res = token.toString();
    var newLineIndex = res.indexOf('\n');
    return (newLineIndex === -1) ? res : res.substring(0, newLineIndex);
  }
  exports.stringify = stringify;
  function serializeEnum(val) {
    return val;
  }
  exports.serializeEnum = serializeEnum;
  function deserializeEnum(val, values) {
    return val;
  }
  exports.deserializeEnum = deserializeEnum;
  function resolveEnumToken(enumValue, val) {
    return enumValue[val];
  }
  exports.resolveEnumToken = resolveEnumToken;
  var StringWrapper = (function() {
    function StringWrapper() {}
    StringWrapper.fromCharCode = function(code) {
      return String.fromCharCode(code);
    };
    StringWrapper.charCodeAt = function(s, index) {
      return s.charCodeAt(index);
    };
    StringWrapper.split = function(s, regExp) {
      return s.split(regExp);
    };
    StringWrapper.equals = function(s, s2) {
      return s === s2;
    };
    StringWrapper.stripLeft = function(s, charVal) {
      if (s && s.length) {
        var pos = 0;
        for (var i = 0; i < s.length; i++) {
          if (s[i] != charVal)
            break;
          pos++;
        }
        s = s.substring(pos);
      }
      return s;
    };
    StringWrapper.stripRight = function(s, charVal) {
      if (s && s.length) {
        var pos = s.length;
        for (var i = s.length - 1; i >= 0; i--) {
          if (s[i] != charVal)
            break;
          pos--;
        }
        s = s.substring(0, pos);
      }
      return s;
    };
    StringWrapper.replace = function(s, from, replace) {
      return s.replace(from, replace);
    };
    StringWrapper.replaceAll = function(s, from, replace) {
      return s.replace(from, replace);
    };
    StringWrapper.slice = function(s, from, to) {
      if (from === void 0) {
        from = 0;
      }
      if (to === void 0) {
        to = null;
      }
      return s.slice(from, to === null ? undefined : to);
    };
    StringWrapper.replaceAllMapped = function(s, from, cb) {
      return s.replace(from, function() {
        var matches = [];
        for (var _i = 0; _i < arguments.length; _i++) {
          matches[_i - 0] = arguments[_i];
        }
        matches.splice(-2, 2);
        return cb(matches);
      });
    };
    StringWrapper.contains = function(s, substr) {
      return s.indexOf(substr) != -1;
    };
    StringWrapper.compare = function(a, b) {
      if (a < b) {
        return -1;
      } else if (a > b) {
        return 1;
      } else {
        return 0;
      }
    };
    return StringWrapper;
  }());
  exports.StringWrapper = StringWrapper;
  var StringJoiner = (function() {
    function StringJoiner(parts) {
      if (parts === void 0) {
        parts = [];
      }
      this.parts = parts;
    }
    StringJoiner.prototype.add = function(part) {
      this.parts.push(part);
    };
    StringJoiner.prototype.toString = function() {
      return this.parts.join('');
    };
    return StringJoiner;
  }());
  exports.StringJoiner = StringJoiner;
  var NumberParseError = (function(_super) {
    __extends(NumberParseError, _super);
    function NumberParseError(message) {
      _super.call(this);
      this.message = message;
    }
    NumberParseError.prototype.toString = function() {
      return this.message;
    };
    return NumberParseError;
  }(Error));
  exports.NumberParseError = NumberParseError;
  var NumberWrapper = (function() {
    function NumberWrapper() {}
    NumberWrapper.toFixed = function(n, fractionDigits) {
      return n.toFixed(fractionDigits);
    };
    NumberWrapper.equal = function(a, b) {
      return a === b;
    };
    NumberWrapper.parseIntAutoRadix = function(text) {
      var result = parseInt(text);
      if (isNaN(result)) {
        throw new NumberParseError('Invalid integer literal when parsing ' + text);
      }
      return result;
    };
    NumberWrapper.parseInt = function(text, radix) {
      if (radix == 10) {
        if (/^(\-|\+)?[0-9]+$/.test(text)) {
          return parseInt(text, radix);
        }
      } else if (radix == 16) {
        if (/^(\-|\+)?[0-9ABCDEFabcdef]+$/.test(text)) {
          return parseInt(text, radix);
        }
      } else {
        var result = parseInt(text, radix);
        if (!isNaN(result)) {
          return result;
        }
      }
      throw new NumberParseError('Invalid integer literal when parsing ' + text + ' in base ' + radix);
    };
    NumberWrapper.parseFloat = function(text) {
      return parseFloat(text);
    };
    Object.defineProperty(NumberWrapper, "NaN", {
      get: function() {
        return NaN;
      },
      enumerable: true,
      configurable: true
    });
    NumberWrapper.isNumeric = function(value) {
      return !isNaN(value - parseFloat(value));
    };
    NumberWrapper.isNaN = function(value) {
      return isNaN(value);
    };
    NumberWrapper.isInteger = function(value) {
      return Number.isInteger(value);
    };
    return NumberWrapper;
  }());
  exports.NumberWrapper = NumberWrapper;
  exports.RegExp = _global.RegExp;
  var RegExpWrapper = (function() {
    function RegExpWrapper() {}
    RegExpWrapper.create = function(regExpStr, flags) {
      if (flags === void 0) {
        flags = '';
      }
      flags = flags.replace(/g/g, '');
      return new _global.RegExp(regExpStr, flags + 'g');
    };
    RegExpWrapper.firstMatch = function(regExp, input) {
      regExp.lastIndex = 0;
      return regExp.exec(input);
    };
    RegExpWrapper.test = function(regExp, input) {
      regExp.lastIndex = 0;
      return regExp.test(input);
    };
    RegExpWrapper.matcher = function(regExp, input) {
      regExp.lastIndex = 0;
      return {
        re: regExp,
        input: input
      };
    };
    RegExpWrapper.replaceAll = function(regExp, input, replace) {
      var c = regExp.exec(input);
      var res = '';
      regExp.lastIndex = 0;
      var prev = 0;
      while (c) {
        res += input.substring(prev, c.index);
        res += replace(c);
        prev = c.index + c[0].length;
        regExp.lastIndex = prev;
        c = regExp.exec(input);
      }
      res += input.substring(prev);
      return res;
    };
    return RegExpWrapper;
  }());
  exports.RegExpWrapper = RegExpWrapper;
  var RegExpMatcherWrapper = (function() {
    function RegExpMatcherWrapper() {}
    RegExpMatcherWrapper.next = function(matcher) {
      return matcher.re.exec(matcher.input);
    };
    return RegExpMatcherWrapper;
  }());
  exports.RegExpMatcherWrapper = RegExpMatcherWrapper;
  var FunctionWrapper = (function() {
    function FunctionWrapper() {}
    FunctionWrapper.apply = function(fn, posArgs) {
      return fn.apply(null, posArgs);
    };
    FunctionWrapper.bind = function(fn, scope) {
      return fn.bind(scope);
    };
    return FunctionWrapper;
  }());
  exports.FunctionWrapper = FunctionWrapper;
  function looseIdentical(a, b) {
    return a === b || typeof a === 'number' && typeof b === 'number' && isNaN(a) && isNaN(b);
  }
  exports.looseIdentical = looseIdentical;
  function getMapKey(value) {
    return value;
  }
  exports.getMapKey = getMapKey;
  function normalizeBlank(obj) {
    return isBlank(obj) ? null : obj;
  }
  exports.normalizeBlank = normalizeBlank;
  function normalizeBool(obj) {
    return isBlank(obj) ? false : obj;
  }
  exports.normalizeBool = normalizeBool;
  function isJsObject(o) {
    return o !== null && (typeof o === 'function' || typeof o === 'object');
  }
  exports.isJsObject = isJsObject;
  function print(obj) {
    console.log(obj);
  }
  exports.print = print;
  function warn(obj) {
    console.warn(obj);
  }
  exports.warn = warn;
  var Json = (function() {
    function Json() {}
    Json.parse = function(s) {
      return _global.JSON.parse(s);
    };
    Json.stringify = function(data) {
      return _global.JSON.stringify(data, null, 2);
    };
    return Json;
  }());
  exports.Json = Json;
  var DateWrapper = (function() {
    function DateWrapper() {}
    DateWrapper.create = function(year, month, day, hour, minutes, seconds, milliseconds) {
      if (month === void 0) {
        month = 1;
      }
      if (day === void 0) {
        day = 1;
      }
      if (hour === void 0) {
        hour = 0;
      }
      if (minutes === void 0) {
        minutes = 0;
      }
      if (seconds === void 0) {
        seconds = 0;
      }
      if (milliseconds === void 0) {
        milliseconds = 0;
      }
      return new exports.Date(year, month - 1, day, hour, minutes, seconds, milliseconds);
    };
    DateWrapper.fromISOString = function(str) {
      return new exports.Date(str);
    };
    DateWrapper.fromMillis = function(ms) {
      return new exports.Date(ms);
    };
    DateWrapper.toMillis = function(date) {
      return date.getTime();
    };
    DateWrapper.now = function() {
      return new exports.Date();
    };
    DateWrapper.toJson = function(date) {
      return date.toJSON();
    };
    return DateWrapper;
  }());
  exports.DateWrapper = DateWrapper;
  function setValueOnPath(global, path, value) {
    var parts = path.split('.');
    var obj = global;
    while (parts.length > 1) {
      var name = parts.shift();
      if (obj.hasOwnProperty(name) && isPresent(obj[name])) {
        obj = obj[name];
      } else {
        obj = obj[name] = {};
      }
    }
    if (obj === undefined || obj === null) {
      obj = {};
    }
    obj[parts.shift()] = value;
  }
  exports.setValueOnPath = setValueOnPath;
  var _symbolIterator = null;
  function getSymbolIterator() {
    if (isBlank(_symbolIterator)) {
      if (isPresent(globalScope.Symbol) && isPresent(Symbol.iterator)) {
        _symbolIterator = Symbol.iterator;
      } else {
        var keys = Object.getOwnPropertyNames(Map.prototype);
        for (var i = 0; i < keys.length; ++i) {
          var key = keys[i];
          if (key !== 'entries' && key !== 'size' && Map.prototype[key] === Map.prototype['entries']) {
            _symbolIterator = key;
          }
        }
      }
    }
    return _symbolIterator;
  }
  exports.getSymbolIterator = getSymbolIterator;
  function evalExpression(sourceUrl, expr, declarations, vars) {
    var fnBody = declarations + "\nreturn " + expr + "\n//# sourceURL=" + sourceUrl;
    var fnArgNames = [];
    var fnArgValues = [];
    for (var argName in vars) {
      fnArgNames.push(argName);
      fnArgValues.push(vars[argName]);
    }
    return new (Function.bind.apply(Function, [void 0].concat(fnArgNames.concat(fnBody))))().apply(void 0, fnArgValues);
  }
  exports.evalExpression = evalExpression;
  function isPrimitive(obj) {
    return !isJsObject(obj);
  }
  exports.isPrimitive = isPrimitive;
  function hasConstructor(value, type) {
    return value.constructor === type;
  }
  exports.hasConstructor = hasConstructor;
  function escape(s) {
    return _global.encodeURI(s);
  }
  exports.escape = escape;
  function escapeRegExp(s) {
    return s.replace(/([.*+?^=!:${}()|[\]\/\\])/g, '\\$1');
  }
  exports.escapeRegExp = escapeRegExp;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser-dynamic/src/facade/promise.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var PromiseCompleter = (function() {
    function PromiseCompleter() {
      var _this = this;
      this.promise = new Promise(function(res, rej) {
        _this.resolve = res;
        _this.reject = rej;
      });
    }
    return PromiseCompleter;
  }());
  exports.PromiseCompleter = PromiseCompleter;
  var PromiseWrapper = (function() {
    function PromiseWrapper() {}
    PromiseWrapper.resolve = function(obj) {
      return Promise.resolve(obj);
    };
    PromiseWrapper.reject = function(obj, _) {
      return Promise.reject(obj);
    };
    PromiseWrapper.catchError = function(promise, onError) {
      return promise.catch(onError);
    };
    PromiseWrapper.all = function(promises) {
      if (promises.length == 0)
        return Promise.resolve([]);
      return Promise.all(promises);
    };
    PromiseWrapper.then = function(promise, success, rejection) {
      return promise.then(success, rejection);
    };
    PromiseWrapper.wrap = function(computation) {
      return new Promise(function(res, rej) {
        try {
          res(computation());
        } catch (e) {
          rej(e);
        }
      });
    };
    PromiseWrapper.scheduleMicrotask = function(computation) {
      PromiseWrapper.then(PromiseWrapper.resolve(null), computation, function(_) {});
    };
    PromiseWrapper.completer = function() {
      return new PromiseCompleter();
    };
    return PromiseWrapper;
  }());
  exports.PromiseWrapper = PromiseWrapper;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser-dynamic/src/xhr/xhr_impl.js", ["@angular/compiler", "../facade/lang", "../facade/promise"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var compiler_1 = $__require('@angular/compiler');
  var lang_1 = $__require('../facade/lang');
  var promise_1 = $__require('../facade/promise');
  var XHRImpl = (function(_super) {
    __extends(XHRImpl, _super);
    function XHRImpl() {
      _super.apply(this, arguments);
    }
    XHRImpl.prototype.get = function(url) {
      var completer = promise_1.PromiseWrapper.completer();
      var xhr = new XMLHttpRequest();
      xhr.open('GET', url, true);
      xhr.responseType = 'text';
      xhr.onload = function() {
        var response = lang_1.isPresent(xhr.response) ? xhr.response : xhr.responseText;
        var status = xhr.status === 1223 ? 204 : xhr.status;
        if (status === 0) {
          status = response ? 200 : 0;
        }
        if (200 <= status && status <= 300) {
          completer.resolve(response);
        } else {
          completer.reject("Failed to load " + url, null);
        }
      };
      xhr.onerror = function() {
        completer.reject("Failed to load " + url, null);
      };
      xhr.send();
      return completer.promise;
    };
    return XHRImpl;
  }(compiler_1.XHR));
  exports.XHRImpl = XHRImpl;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser-dynamic", ["@angular/common", "@angular/compiler", "@angular/core", "@angular/platform-browser", "./core_private", "./src/facade/async", "./src/facade/lang", "./src/xhr/xhr_cache", "./src/xhr/xhr_impl"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var common_1 = $__require('@angular/common');
  var compiler_1 = $__require('@angular/compiler');
  var core_1 = $__require('@angular/core');
  var platform_browser_1 = $__require('@angular/platform-browser');
  var core_private_1 = $__require('./core_private');
  var async_1 = $__require('./src/facade/async');
  var lang_1 = $__require('./src/facade/lang');
  var xhr_cache_1 = $__require('./src/xhr/xhr_cache');
  var xhr_impl_1 = $__require('./src/xhr/xhr_impl');
  exports.BROWSER_APP_COMPILER_PROVIDERS = [compiler_1.COMPILER_PROVIDERS, {
    provide: compiler_1.CompilerConfig,
    useFactory: function(platformDirectives, platformPipes) {
      return new compiler_1.CompilerConfig({
        platformDirectives: platformDirectives,
        platformPipes: platformPipes
      });
    },
    deps: [core_1.PLATFORM_DIRECTIVES, core_1.PLATFORM_PIPES]
  }, {
    provide: compiler_1.XHR,
    useClass: xhr_impl_1.XHRImpl
  }, {
    provide: core_1.PLATFORM_DIRECTIVES,
    useValue: common_1.COMMON_DIRECTIVES,
    multi: true
  }, {
    provide: core_1.PLATFORM_PIPES,
    useValue: common_1.COMMON_PIPES,
    multi: true
  }];
  exports.CACHED_TEMPLATE_PROVIDER = [{
    provide: compiler_1.XHR,
    useClass: xhr_cache_1.CachedXHR
  }];
  function bootstrap(appComponentType, customProviders) {
    core_private_1.reflector.reflectionCapabilities = new core_private_1.ReflectionCapabilities();
    var providers = [platform_browser_1.BROWSER_APP_PROVIDERS, exports.BROWSER_APP_COMPILER_PROVIDERS, lang_1.isPresent(customProviders) ? customProviders : []];
    var appInjector = core_1.ReflectiveInjector.resolveAndCreate(providers, platform_browser_1.browserPlatform().injector);
    return core_1.coreLoadAndBootstrap(appComponentType, appInjector);
  }
  exports.bootstrap = bootstrap;
  function bootstrapWorkerUi(workerScriptUri, customProviders) {
    var app = core_1.ReflectiveInjector.resolveAndCreate([platform_browser_1.WORKER_UI_APPLICATION_PROVIDERS, exports.BROWSER_APP_COMPILER_PROVIDERS, {
      provide: platform_browser_1.WORKER_SCRIPT,
      useValue: workerScriptUri
    }, lang_1.isPresent(customProviders) ? customProviders : []], platform_browser_1.workerUiPlatform().injector);
    return async_1.PromiseWrapper.resolve(app.get(core_1.ApplicationRef));
  }
  exports.bootstrapWorkerUi = bootstrapWorkerUi;
  var WORKER_APP_COMPILER_PROVIDERS = [compiler_1.COMPILER_PROVIDERS, {
    provide: compiler_1.CompilerConfig,
    useFactory: function(platformDirectives, platformPipes) {
      return new compiler_1.CompilerConfig({
        platformDirectives: platformDirectives,
        platformPipes: platformPipes
      });
    },
    deps: [core_1.PLATFORM_DIRECTIVES, core_1.PLATFORM_PIPES]
  }, {
    provide: compiler_1.XHR,
    useClass: xhr_impl_1.XHRImpl
  }, {
    provide: core_1.PLATFORM_DIRECTIVES,
    useValue: common_1.COMMON_DIRECTIVES,
    multi: true
  }, {
    provide: core_1.PLATFORM_PIPES,
    useValue: common_1.COMMON_PIPES,
    multi: true
  }];
  function bootstrapWorkerApp(appComponentType, customProviders) {
    var appInjector = core_1.ReflectiveInjector.resolveAndCreate([platform_browser_1.WORKER_APP_APPLICATION_PROVIDERS, WORKER_APP_COMPILER_PROVIDERS, lang_1.isPresent(customProviders) ? customProviders : []], platform_browser_1.workerAppPlatform().injector);
    return core_1.coreLoadAndBootstrap(appComponentType, appInjector);
  }
  exports.bootstrapWorkerApp = bootstrapWorkerApp;
  return module.exports;
});

System.registerDynamic("@angular/http/src/backends/browser_jsonp.js", ["@angular/core", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var lang_1 = $__require('../facade/lang');
  var _nextRequestId = 0;
  exports.JSONP_HOME = '__ng_jsonp__';
  var _jsonpConnections = null;
  function _getJsonpConnections() {
    if (_jsonpConnections === null) {
      _jsonpConnections = lang_1.global[exports.JSONP_HOME] = {};
    }
    return _jsonpConnections;
  }
  var BrowserJsonp = (function() {
    function BrowserJsonp() {}
    BrowserJsonp.prototype.build = function(url) {
      var node = document.createElement('script');
      node.src = url;
      return node;
    };
    BrowserJsonp.prototype.nextRequestID = function() {
      return "__req" + _nextRequestId++;
    };
    BrowserJsonp.prototype.requestCallback = function(id) {
      return exports.JSONP_HOME + "." + id + ".finished";
    };
    BrowserJsonp.prototype.exposeConnection = function(id, connection) {
      var connections = _getJsonpConnections();
      connections[id] = connection;
    };
    BrowserJsonp.prototype.removeConnection = function(id) {
      var connections = _getJsonpConnections();
      connections[id] = null;
    };
    BrowserJsonp.prototype.send = function(node) {
      document.body.appendChild((node));
    };
    BrowserJsonp.prototype.cleanup = function(node) {
      if (node.parentNode) {
        node.parentNode.removeChild((node));
      }
    };
    BrowserJsonp.decorators = [{type: core_1.Injectable}];
    return BrowserJsonp;
  }());
  exports.BrowserJsonp = BrowserJsonp;
  return module.exports;
});

System.registerDynamic("@angular/http/src/backends/jsonp_backend.js", ["@angular/core", "rxjs/Observable", "../base_response_options", "../enums", "../facade/exceptions", "../facade/lang", "../interfaces", "../static_response", "./browser_jsonp"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var Observable_1 = $__require('rxjs/Observable');
  var base_response_options_1 = $__require('../base_response_options');
  var enums_1 = $__require('../enums');
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var interfaces_1 = $__require('../interfaces');
  var static_response_1 = $__require('../static_response');
  var browser_jsonp_1 = $__require('./browser_jsonp');
  var JSONP_ERR_NO_CALLBACK = 'JSONP injected script did not invoke callback.';
  var JSONP_ERR_WRONG_METHOD = 'JSONP requests must use GET request method.';
  var JSONPConnection = (function() {
    function JSONPConnection() {}
    return JSONPConnection;
  }());
  exports.JSONPConnection = JSONPConnection;
  var JSONPConnection_ = (function(_super) {
    __extends(JSONPConnection_, _super);
    function JSONPConnection_(req, _dom, baseResponseOptions) {
      var _this = this;
      _super.call(this);
      this._dom = _dom;
      this.baseResponseOptions = baseResponseOptions;
      this._finished = false;
      if (req.method !== enums_1.RequestMethod.Get) {
        throw exceptions_1.makeTypeError(JSONP_ERR_WRONG_METHOD);
      }
      this.request = req;
      this.response = new Observable_1.Observable(function(responseObserver) {
        _this.readyState = enums_1.ReadyState.Loading;
        var id = _this._id = _dom.nextRequestID();
        _dom.exposeConnection(id, _this);
        var callback = _dom.requestCallback(_this._id);
        var url = req.url;
        if (url.indexOf('=JSONP_CALLBACK&') > -1) {
          url = lang_1.StringWrapper.replace(url, '=JSONP_CALLBACK&', "=" + callback + "&");
        } else if (url.lastIndexOf('=JSONP_CALLBACK') === url.length - '=JSONP_CALLBACK'.length) {
          url = url.substring(0, url.length - '=JSONP_CALLBACK'.length) + ("=" + callback);
        }
        var script = _this._script = _dom.build(url);
        var onLoad = function(event) {
          if (_this.readyState === enums_1.ReadyState.Cancelled)
            return;
          _this.readyState = enums_1.ReadyState.Done;
          _dom.cleanup(script);
          if (!_this._finished) {
            var responseOptions_1 = new base_response_options_1.ResponseOptions({
              body: JSONP_ERR_NO_CALLBACK,
              type: enums_1.ResponseType.Error,
              url: url
            });
            if (lang_1.isPresent(baseResponseOptions)) {
              responseOptions_1 = baseResponseOptions.merge(responseOptions_1);
            }
            responseObserver.error(new static_response_1.Response(responseOptions_1));
            return;
          }
          var responseOptions = new base_response_options_1.ResponseOptions({
            body: _this._responseData,
            url: url
          });
          if (lang_1.isPresent(_this.baseResponseOptions)) {
            responseOptions = _this.baseResponseOptions.merge(responseOptions);
          }
          responseObserver.next(new static_response_1.Response(responseOptions));
          responseObserver.complete();
        };
        var onError = function(error) {
          if (_this.readyState === enums_1.ReadyState.Cancelled)
            return;
          _this.readyState = enums_1.ReadyState.Done;
          _dom.cleanup(script);
          var responseOptions = new base_response_options_1.ResponseOptions({
            body: error.message,
            type: enums_1.ResponseType.Error
          });
          if (lang_1.isPresent(baseResponseOptions)) {
            responseOptions = baseResponseOptions.merge(responseOptions);
          }
          responseObserver.error(new static_response_1.Response(responseOptions));
        };
        script.addEventListener('load', onLoad);
        script.addEventListener('error', onError);
        _dom.send(script);
        return function() {
          _this.readyState = enums_1.ReadyState.Cancelled;
          script.removeEventListener('load', onLoad);
          script.removeEventListener('error', onError);
          if (lang_1.isPresent(script)) {
            _this._dom.cleanup(script);
          }
        };
      });
    }
    JSONPConnection_.prototype.finished = function(data) {
      this._finished = true;
      this._dom.removeConnection(this._id);
      if (this.readyState === enums_1.ReadyState.Cancelled)
        return;
      this._responseData = data;
    };
    return JSONPConnection_;
  }(JSONPConnection));
  exports.JSONPConnection_ = JSONPConnection_;
  var JSONPBackend = (function(_super) {
    __extends(JSONPBackend, _super);
    function JSONPBackend() {
      _super.apply(this, arguments);
    }
    return JSONPBackend;
  }(interfaces_1.ConnectionBackend));
  exports.JSONPBackend = JSONPBackend;
  var JSONPBackend_ = (function(_super) {
    __extends(JSONPBackend_, _super);
    function JSONPBackend_(_browserJSONP, _baseResponseOptions) {
      _super.call(this);
      this._browserJSONP = _browserJSONP;
      this._baseResponseOptions = _baseResponseOptions;
    }
    JSONPBackend_.prototype.createConnection = function(request) {
      return new JSONPConnection_(request, this._browserJSONP, this._baseResponseOptions);
    };
    JSONPBackend_.decorators = [{type: core_1.Injectable}];
    JSONPBackend_.ctorParameters = [{type: browser_jsonp_1.BrowserJsonp}, {type: base_response_options_1.ResponseOptions}];
    return JSONPBackend_;
  }(JSONPBackend));
  exports.JSONPBackend_ = JSONPBackend_;
  return module.exports;
});

System.registerDynamic("@angular/http/src/backends/browser_xhr.js", ["@angular/core"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var BrowserXhr = (function() {
    function BrowserXhr() {}
    BrowserXhr.prototype.build = function() {
      return (new XMLHttpRequest());
    };
    BrowserXhr.decorators = [{type: core_1.Injectable}];
    BrowserXhr.ctorParameters = [];
    return BrowserXhr;
  }());
  exports.BrowserXhr = BrowserXhr;
  return module.exports;
});

System.registerDynamic("@angular/http/src/backends/xhr_backend.js", ["@angular/core", "@angular/platform-browser", "rxjs/Observable", "../base_response_options", "../enums", "../facade/lang", "../headers", "../http_utils", "../interfaces", "../static_response", "./browser_xhr"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var platform_browser_1 = $__require('@angular/platform-browser');
  var Observable_1 = $__require('rxjs/Observable');
  var base_response_options_1 = $__require('../base_response_options');
  var enums_1 = $__require('../enums');
  var lang_1 = $__require('../facade/lang');
  var headers_1 = $__require('../headers');
  var http_utils_1 = $__require('../http_utils');
  var interfaces_1 = $__require('../interfaces');
  var static_response_1 = $__require('../static_response');
  var browser_xhr_1 = $__require('./browser_xhr');
  var XSSI_PREFIX = /^\)\]\}',?\n/;
  var XHRConnection = (function() {
    function XHRConnection(req, browserXHR, baseResponseOptions) {
      var _this = this;
      this.request = req;
      this.response = new Observable_1.Observable(function(responseObserver) {
        var _xhr = browserXHR.build();
        _xhr.open(enums_1.RequestMethod[req.method].toUpperCase(), req.url);
        if (lang_1.isPresent(req.withCredentials)) {
          _xhr.withCredentials = req.withCredentials;
        }
        var onLoad = function() {
          var body = lang_1.isPresent(_xhr.response) ? _xhr.response : _xhr.responseText;
          if (lang_1.isString(body))
            body = body.replace(XSSI_PREFIX, '');
          var headers = headers_1.Headers.fromResponseHeaderString(_xhr.getAllResponseHeaders());
          var url = http_utils_1.getResponseURL(_xhr);
          var status = _xhr.status === 1223 ? 204 : _xhr.status;
          if (status === 0) {
            status = body ? 200 : 0;
          }
          var statusText = _xhr.statusText || 'OK';
          var responseOptions = new base_response_options_1.ResponseOptions({
            body: body,
            status: status,
            headers: headers,
            statusText: statusText,
            url: url
          });
          if (lang_1.isPresent(baseResponseOptions)) {
            responseOptions = baseResponseOptions.merge(responseOptions);
          }
          var response = new static_response_1.Response(responseOptions);
          response.ok = http_utils_1.isSuccess(status);
          if (response.ok) {
            responseObserver.next(response);
            responseObserver.complete();
            return;
          }
          responseObserver.error(response);
        };
        var onError = function(err) {
          var responseOptions = new base_response_options_1.ResponseOptions({
            body: err,
            type: enums_1.ResponseType.Error,
            status: _xhr.status,
            statusText: _xhr.statusText
          });
          if (lang_1.isPresent(baseResponseOptions)) {
            responseOptions = baseResponseOptions.merge(responseOptions);
          }
          responseObserver.error(new static_response_1.Response(responseOptions));
        };
        _this.setDetectedContentType(req, _xhr);
        if (lang_1.isPresent(req.headers)) {
          req.headers.forEach(function(values, name) {
            return _xhr.setRequestHeader(name, values.join(','));
          });
        }
        _xhr.addEventListener('load', onLoad);
        _xhr.addEventListener('error', onError);
        _xhr.send(_this.request.getBody());
        return function() {
          _xhr.removeEventListener('load', onLoad);
          _xhr.removeEventListener('error', onError);
          _xhr.abort();
        };
      });
    }
    XHRConnection.prototype.setDetectedContentType = function(req, _xhr) {
      if (lang_1.isPresent(req.headers) && lang_1.isPresent(req.headers.get('Content-Type'))) {
        return;
      }
      switch (req.contentType) {
        case enums_1.ContentType.NONE:
          break;
        case enums_1.ContentType.JSON:
          _xhr.setRequestHeader('Content-Type', 'application/json');
          break;
        case enums_1.ContentType.FORM:
          _xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded;charset=UTF-8');
          break;
        case enums_1.ContentType.TEXT:
          _xhr.setRequestHeader('Content-Type', 'text/plain');
          break;
        case enums_1.ContentType.BLOB:
          var blob = req.blob();
          if (blob.type) {
            _xhr.setRequestHeader('Content-Type', blob.type);
          }
          break;
      }
    };
    return XHRConnection;
  }());
  exports.XHRConnection = XHRConnection;
  var CookieXSRFStrategy = (function() {
    function CookieXSRFStrategy(_cookieName, _headerName) {
      if (_cookieName === void 0) {
        _cookieName = 'XSRF-TOKEN';
      }
      if (_headerName === void 0) {
        _headerName = 'X-XSRF-TOKEN';
      }
      this._cookieName = _cookieName;
      this._headerName = _headerName;
    }
    CookieXSRFStrategy.prototype.configureRequest = function(req) {
      var xsrfToken = platform_browser_1.__platform_browser_private__.getDOM().getCookie(this._cookieName);
      if (xsrfToken && !req.headers.has(this._headerName)) {
        req.headers.set(this._headerName, xsrfToken);
      }
    };
    return CookieXSRFStrategy;
  }());
  exports.CookieXSRFStrategy = CookieXSRFStrategy;
  var XHRBackend = (function() {
    function XHRBackend(_browserXHR, _baseResponseOptions, _xsrfStrategy) {
      this._browserXHR = _browserXHR;
      this._baseResponseOptions = _baseResponseOptions;
      this._xsrfStrategy = _xsrfStrategy;
    }
    XHRBackend.prototype.createConnection = function(request) {
      this._xsrfStrategy.configureRequest(request);
      return new XHRConnection(request, this._browserXHR, this._baseResponseOptions);
    };
    XHRBackend.decorators = [{type: core_1.Injectable}];
    XHRBackend.ctorParameters = [{type: browser_xhr_1.BrowserXhr}, {type: base_response_options_1.ResponseOptions}, {type: interfaces_1.XSRFStrategy}];
    return XHRBackend;
  }());
  exports.XHRBackend = XHRBackend;
  return module.exports;
});

System.registerDynamic("@angular/http/src/base_response_options.js", ["@angular/core", "../src/facade/lang", "./enums", "./headers"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var lang_1 = $__require('../src/facade/lang');
  var enums_1 = $__require('./enums');
  var headers_1 = $__require('./headers');
  var ResponseOptions = (function() {
    function ResponseOptions(_a) {
      var _b = _a === void 0 ? {} : _a,
          body = _b.body,
          status = _b.status,
          headers = _b.headers,
          statusText = _b.statusText,
          type = _b.type,
          url = _b.url;
      this.body = lang_1.isPresent(body) ? body : null;
      this.status = lang_1.isPresent(status) ? status : null;
      this.headers = lang_1.isPresent(headers) ? headers : null;
      this.statusText = lang_1.isPresent(statusText) ? statusText : null;
      this.type = lang_1.isPresent(type) ? type : null;
      this.url = lang_1.isPresent(url) ? url : null;
    }
    ResponseOptions.prototype.merge = function(options) {
      return new ResponseOptions({
        body: lang_1.isPresent(options) && lang_1.isPresent(options.body) ? options.body : this.body,
        status: lang_1.isPresent(options) && lang_1.isPresent(options.status) ? options.status : this.status,
        headers: lang_1.isPresent(options) && lang_1.isPresent(options.headers) ? options.headers : this.headers,
        statusText: lang_1.isPresent(options) && lang_1.isPresent(options.statusText) ? options.statusText : this.statusText,
        type: lang_1.isPresent(options) && lang_1.isPresent(options.type) ? options.type : this.type,
        url: lang_1.isPresent(options) && lang_1.isPresent(options.url) ? options.url : this.url
      });
    };
    return ResponseOptions;
  }());
  exports.ResponseOptions = ResponseOptions;
  var BaseResponseOptions = (function(_super) {
    __extends(BaseResponseOptions, _super);
    function BaseResponseOptions() {
      _super.call(this, {
        status: 200,
        statusText: 'Ok',
        type: enums_1.ResponseType.Default,
        headers: new headers_1.Headers()
      });
    }
    BaseResponseOptions.decorators = [{type: core_1.Injectable}];
    BaseResponseOptions.ctorParameters = [];
    return BaseResponseOptions;
  }(ResponseOptions));
  exports.BaseResponseOptions = BaseResponseOptions;
  return module.exports;
});

System.registerDynamic("@angular/http/src/base_request_options.js", ["@angular/core", "../src/facade/lang", "./enums", "./headers", "./http_utils", "./url_search_params"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var lang_1 = $__require('../src/facade/lang');
  var enums_1 = $__require('./enums');
  var headers_1 = $__require('./headers');
  var http_utils_1 = $__require('./http_utils');
  var url_search_params_1 = $__require('./url_search_params');
  var RequestOptions = (function() {
    function RequestOptions(_a) {
      var _b = _a === void 0 ? {} : _a,
          method = _b.method,
          headers = _b.headers,
          body = _b.body,
          url = _b.url,
          search = _b.search,
          withCredentials = _b.withCredentials;
      this.method = lang_1.isPresent(method) ? http_utils_1.normalizeMethodName(method) : null;
      this.headers = lang_1.isPresent(headers) ? headers : null;
      this.body = lang_1.isPresent(body) ? body : null;
      this.url = lang_1.isPresent(url) ? url : null;
      this.search = lang_1.isPresent(search) ? (lang_1.isString(search) ? new url_search_params_1.URLSearchParams((search)) : (search)) : null;
      this.withCredentials = lang_1.isPresent(withCredentials) ? withCredentials : null;
    }
    RequestOptions.prototype.merge = function(options) {
      return new RequestOptions({
        method: lang_1.isPresent(options) && lang_1.isPresent(options.method) ? options.method : this.method,
        headers: lang_1.isPresent(options) && lang_1.isPresent(options.headers) ? options.headers : this.headers,
        body: lang_1.isPresent(options) && lang_1.isPresent(options.body) ? options.body : this.body,
        url: lang_1.isPresent(options) && lang_1.isPresent(options.url) ? options.url : this.url,
        search: lang_1.isPresent(options) && lang_1.isPresent(options.search) ? (lang_1.isString(options.search) ? new url_search_params_1.URLSearchParams((options.search)) : (options.search).clone()) : this.search,
        withCredentials: lang_1.isPresent(options) && lang_1.isPresent(options.withCredentials) ? options.withCredentials : this.withCredentials
      });
    };
    return RequestOptions;
  }());
  exports.RequestOptions = RequestOptions;
  var BaseRequestOptions = (function(_super) {
    __extends(BaseRequestOptions, _super);
    function BaseRequestOptions() {
      _super.call(this, {
        method: enums_1.RequestMethod.Get,
        headers: new headers_1.Headers()
      });
    }
    BaseRequestOptions.decorators = [{type: core_1.Injectable}];
    BaseRequestOptions.ctorParameters = [];
    return BaseRequestOptions;
  }(RequestOptions));
  exports.BaseRequestOptions = BaseRequestOptions;
  return module.exports;
});

System.registerDynamic("@angular/http/src/http.js", ["@angular/core", "../src/facade/exceptions", "../src/facade/lang", "./base_request_options", "./enums", "./interfaces", "./static_request"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var exceptions_1 = $__require('../src/facade/exceptions');
  var lang_1 = $__require('../src/facade/lang');
  var base_request_options_1 = $__require('./base_request_options');
  var enums_1 = $__require('./enums');
  var interfaces_1 = $__require('./interfaces');
  var static_request_1 = $__require('./static_request');
  function httpRequest(backend, request) {
    return backend.createConnection(request).response;
  }
  function mergeOptions(defaultOpts, providedOpts, method, url) {
    var newOptions = defaultOpts;
    if (lang_1.isPresent(providedOpts)) {
      return newOptions.merge(new base_request_options_1.RequestOptions({
        method: providedOpts.method || method,
        url: providedOpts.url || url,
        search: providedOpts.search,
        headers: providedOpts.headers,
        body: providedOpts.body,
        withCredentials: providedOpts.withCredentials
      }));
    }
    if (lang_1.isPresent(method)) {
      return newOptions.merge(new base_request_options_1.RequestOptions({
        method: method,
        url: url
      }));
    } else {
      return newOptions.merge(new base_request_options_1.RequestOptions({url: url}));
    }
  }
  var Http = (function() {
    function Http(_backend, _defaultOptions) {
      this._backend = _backend;
      this._defaultOptions = _defaultOptions;
    }
    Http.prototype.request = function(url, options) {
      var responseObservable;
      if (lang_1.isString(url)) {
        responseObservable = httpRequest(this._backend, new static_request_1.Request(mergeOptions(this._defaultOptions, options, enums_1.RequestMethod.Get, url)));
      } else if (url instanceof static_request_1.Request) {
        responseObservable = httpRequest(this._backend, url);
      } else {
        throw exceptions_1.makeTypeError('First argument must be a url string or Request instance.');
      }
      return responseObservable;
    };
    Http.prototype.get = function(url, options) {
      return httpRequest(this._backend, new static_request_1.Request(mergeOptions(this._defaultOptions, options, enums_1.RequestMethod.Get, url)));
    };
    Http.prototype.post = function(url, body, options) {
      return httpRequest(this._backend, new static_request_1.Request(mergeOptions(this._defaultOptions.merge(new base_request_options_1.RequestOptions({body: body})), options, enums_1.RequestMethod.Post, url)));
    };
    Http.prototype.put = function(url, body, options) {
      return httpRequest(this._backend, new static_request_1.Request(mergeOptions(this._defaultOptions.merge(new base_request_options_1.RequestOptions({body: body})), options, enums_1.RequestMethod.Put, url)));
    };
    Http.prototype.delete = function(url, options) {
      return httpRequest(this._backend, new static_request_1.Request(mergeOptions(this._defaultOptions, options, enums_1.RequestMethod.Delete, url)));
    };
    Http.prototype.patch = function(url, body, options) {
      return httpRequest(this._backend, new static_request_1.Request(mergeOptions(this._defaultOptions.merge(new base_request_options_1.RequestOptions({body: body})), options, enums_1.RequestMethod.Patch, url)));
    };
    Http.prototype.head = function(url, options) {
      return httpRequest(this._backend, new static_request_1.Request(mergeOptions(this._defaultOptions, options, enums_1.RequestMethod.Head, url)));
    };
    Http.decorators = [{type: core_1.Injectable}];
    Http.ctorParameters = [{type: interfaces_1.ConnectionBackend}, {type: base_request_options_1.RequestOptions}];
    return Http;
  }());
  exports.Http = Http;
  var Jsonp = (function(_super) {
    __extends(Jsonp, _super);
    function Jsonp(backend, defaultOptions) {
      _super.call(this, backend, defaultOptions);
    }
    Jsonp.prototype.request = function(url, options) {
      var responseObservable;
      if (lang_1.isString(url)) {
        url = new static_request_1.Request(mergeOptions(this._defaultOptions, options, enums_1.RequestMethod.Get, url));
      }
      if (url instanceof static_request_1.Request) {
        if (url.method !== enums_1.RequestMethod.Get) {
          exceptions_1.makeTypeError('JSONP requests must use GET request method.');
        }
        responseObservable = httpRequest(this._backend, url);
      } else {
        throw exceptions_1.makeTypeError('First argument must be a url string or Request instance.');
      }
      return responseObservable;
    };
    Jsonp.decorators = [{type: core_1.Injectable}];
    Jsonp.ctorParameters = [{type: interfaces_1.ConnectionBackend}, {type: base_request_options_1.RequestOptions}];
    return Jsonp;
  }(Http));
  exports.Jsonp = Jsonp;
  return module.exports;
});

System.registerDynamic("@angular/http/src/interfaces.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var ConnectionBackend = (function() {
    function ConnectionBackend() {}
    return ConnectionBackend;
  }());
  exports.ConnectionBackend = ConnectionBackend;
  var Connection = (function() {
    function Connection() {}
    return Connection;
  }());
  exports.Connection = Connection;
  var XSRFStrategy = (function() {
    function XSRFStrategy() {}
    return XSRFStrategy;
  }());
  exports.XSRFStrategy = XSRFStrategy;
  return module.exports;
});

System.registerDynamic("@angular/http/src/headers.js", ["../src/facade/exceptions", "../src/facade/lang", "../src/facade/collection"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var exceptions_1 = $__require('../src/facade/exceptions');
  var lang_1 = $__require('../src/facade/lang');
  var collection_1 = $__require('../src/facade/collection');
  var Headers = (function() {
    function Headers(headers) {
      var _this = this;
      if (headers instanceof Headers) {
        this._headersMap = headers._headersMap;
        return;
      }
      this._headersMap = new collection_1.Map();
      if (lang_1.isBlank(headers)) {
        return;
      }
      collection_1.StringMapWrapper.forEach(headers, function(v, k) {
        _this._headersMap.set(k, collection_1.isListLikeIterable(v) ? v : [v]);
      });
    }
    Headers.fromResponseHeaderString = function(headersString) {
      return headersString.trim().split('\n').map(function(val) {
        return val.split(':');
      }).map(function(_a) {
        var key = _a[0],
            parts = _a.slice(1);
        return ([key.trim(), parts.join(':').trim()]);
      }).reduce(function(headers, _a) {
        var key = _a[0],
            value = _a[1];
        return !headers.set(key, value) && headers;
      }, new Headers());
    };
    Headers.prototype.append = function(name, value) {
      var mapName = this._headersMap.get(name);
      var list = collection_1.isListLikeIterable(mapName) ? mapName : [];
      list.push(value);
      this._headersMap.set(name, list);
    };
    Headers.prototype.delete = function(name) {
      this._headersMap.delete(name);
    };
    Headers.prototype.forEach = function(fn) {
      this._headersMap.forEach(fn);
    };
    Headers.prototype.get = function(header) {
      return collection_1.ListWrapper.first(this._headersMap.get(header));
    };
    Headers.prototype.has = function(header) {
      return this._headersMap.has(header);
    };
    Headers.prototype.keys = function() {
      return collection_1.MapWrapper.keys(this._headersMap);
    };
    Headers.prototype.set = function(header, value) {
      var list = [];
      if (collection_1.isListLikeIterable(value)) {
        var pushValue = value.join(',');
        list.push(pushValue);
      } else {
        list.push(value);
      }
      this._headersMap.set(header, list);
    };
    Headers.prototype.values = function() {
      return collection_1.MapWrapper.values(this._headersMap);
    };
    Headers.prototype.toJSON = function() {
      var serializableHeaders = {};
      this._headersMap.forEach(function(values, name) {
        var list = [];
        collection_1.iterateListLike(values, function(val) {
          return list = collection_1.ListWrapper.concat(list, val.split(','));
        });
        serializableHeaders[name] = list;
      });
      return serializableHeaders;
    };
    Headers.prototype.getAll = function(header) {
      var headers = this._headersMap.get(header);
      return collection_1.isListLikeIterable(headers) ? headers : [];
    };
    Headers.prototype.entries = function() {
      throw new exceptions_1.BaseException('"entries" method is not implemented on Headers class');
    };
    return Headers;
  }());
  exports.Headers = Headers;
  return module.exports;
});

System.registerDynamic("@angular/http/src/static_request.js", ["../src/facade/lang", "./enums", "./headers", "./http_utils", "./url_search_params"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('../src/facade/lang');
  var enums_1 = $__require('./enums');
  var headers_1 = $__require('./headers');
  var http_utils_1 = $__require('./http_utils');
  var url_search_params_1 = $__require('./url_search_params');
  var Request = (function() {
    function Request(requestOptions) {
      var url = requestOptions.url;
      this.url = requestOptions.url;
      if (lang_1.isPresent(requestOptions.search)) {
        var search = requestOptions.search.toString();
        if (search.length > 0) {
          var prefix = '?';
          if (lang_1.StringWrapper.contains(this.url, '?')) {
            prefix = (this.url[this.url.length - 1] == '&') ? '' : '&';
          }
          this.url = url + prefix + search;
        }
      }
      this._body = requestOptions.body;
      this.contentType = this.detectContentType();
      this.method = http_utils_1.normalizeMethodName(requestOptions.method);
      this.headers = new headers_1.Headers(requestOptions.headers);
      this.withCredentials = requestOptions.withCredentials;
    }
    Request.prototype.text = function() {
      return lang_1.isPresent(this._body) ? this._body.toString() : '';
    };
    Request.prototype.json = function() {
      return lang_1.isPresent(this._body) ? JSON.stringify(this._body) : '';
    };
    Request.prototype.arrayBuffer = function() {
      if (this._body instanceof ArrayBuffer)
        return this._body;
      throw 'The request body isn\'t an array buffer';
    };
    Request.prototype.blob = function() {
      if (this._body instanceof Blob)
        return this._body;
      if (this._body instanceof ArrayBuffer)
        return new Blob([this._body]);
      throw 'The request body isn\'t either a blob or an array buffer';
    };
    Request.prototype.detectContentType = function() {
      if (this._body == null) {
        return enums_1.ContentType.NONE;
      } else if (this._body instanceof url_search_params_1.URLSearchParams) {
        return enums_1.ContentType.FORM;
      } else if (this._body instanceof FormData) {
        return enums_1.ContentType.FORM_DATA;
      } else if (this._body instanceof Blob) {
        return enums_1.ContentType.BLOB;
      } else if (this._body instanceof ArrayBuffer) {
        return enums_1.ContentType.ARRAY_BUFFER;
      } else if (this._body && typeof this._body == 'object') {
        return enums_1.ContentType.JSON;
      } else {
        return enums_1.ContentType.TEXT;
      }
    };
    Request.prototype.getBody = function() {
      switch (this.contentType) {
        case enums_1.ContentType.JSON:
          return this.json();
        case enums_1.ContentType.FORM:
          return this.text();
        case enums_1.ContentType.FORM_DATA:
          return this._body;
        case enums_1.ContentType.TEXT:
          return this.text();
        case enums_1.ContentType.BLOB:
          return this.blob();
        case enums_1.ContentType.ARRAY_BUFFER:
          return this.arrayBuffer();
        default:
          return null;
      }
    };
    return Request;
  }());
  exports.Request = Request;
  var noop = function() {};
  var w = typeof window == 'object' ? window : noop;
  var FormData = w['FormData'] || noop;
  var Blob = w['Blob'] || noop;
  var ArrayBuffer = w['ArrayBuffer'] || noop;
  return module.exports;
});

System.registerDynamic("@angular/http/src/facade/base_wrapped_exception.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var BaseWrappedException = (function(_super) {
    __extends(BaseWrappedException, _super);
    function BaseWrappedException(message) {
      _super.call(this, message);
    }
    Object.defineProperty(BaseWrappedException.prototype, "wrapperMessage", {
      get: function() {
        return '';
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "wrapperStack", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "originalException", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "originalStack", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "context", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "message", {
      get: function() {
        return '';
      },
      enumerable: true,
      configurable: true
    });
    return BaseWrappedException;
  }(Error));
  exports.BaseWrappedException = BaseWrappedException;
  return module.exports;
});

System.registerDynamic("@angular/http/src/facade/exception_handler.js", ["./base_wrapped_exception", "./collection", "./lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var base_wrapped_exception_1 = $__require('./base_wrapped_exception');
  var collection_1 = $__require('./collection');
  var lang_1 = $__require('./lang');
  var _ArrayLogger = (function() {
    function _ArrayLogger() {
      this.res = [];
    }
    _ArrayLogger.prototype.log = function(s) {
      this.res.push(s);
    };
    _ArrayLogger.prototype.logError = function(s) {
      this.res.push(s);
    };
    _ArrayLogger.prototype.logGroup = function(s) {
      this.res.push(s);
    };
    _ArrayLogger.prototype.logGroupEnd = function() {};
    ;
    return _ArrayLogger;
  }());
  var ExceptionHandler = (function() {
    function ExceptionHandler(_logger, _rethrowException) {
      if (_rethrowException === void 0) {
        _rethrowException = true;
      }
      this._logger = _logger;
      this._rethrowException = _rethrowException;
    }
    ExceptionHandler.exceptionToString = function(exception, stackTrace, reason) {
      if (stackTrace === void 0) {
        stackTrace = null;
      }
      if (reason === void 0) {
        reason = null;
      }
      var l = new _ArrayLogger();
      var e = new ExceptionHandler(l, false);
      e.call(exception, stackTrace, reason);
      return l.res.join('\n');
    };
    ExceptionHandler.prototype.call = function(exception, stackTrace, reason) {
      if (stackTrace === void 0) {
        stackTrace = null;
      }
      if (reason === void 0) {
        reason = null;
      }
      var originalException = this._findOriginalException(exception);
      var originalStack = this._findOriginalStack(exception);
      var context = this._findContext(exception);
      this._logger.logGroup("EXCEPTION: " + this._extractMessage(exception));
      if (lang_1.isPresent(stackTrace) && lang_1.isBlank(originalStack)) {
        this._logger.logError('STACKTRACE:');
        this._logger.logError(this._longStackTrace(stackTrace));
      }
      if (lang_1.isPresent(reason)) {
        this._logger.logError("REASON: " + reason);
      }
      if (lang_1.isPresent(originalException)) {
        this._logger.logError("ORIGINAL EXCEPTION: " + this._extractMessage(originalException));
      }
      if (lang_1.isPresent(originalStack)) {
        this._logger.logError('ORIGINAL STACKTRACE:');
        this._logger.logError(this._longStackTrace(originalStack));
      }
      if (lang_1.isPresent(context)) {
        this._logger.logError('ERROR CONTEXT:');
        this._logger.logError(context);
      }
      this._logger.logGroupEnd();
      if (this._rethrowException)
        throw exception;
    };
    ExceptionHandler.prototype._extractMessage = function(exception) {
      return exception instanceof base_wrapped_exception_1.BaseWrappedException ? exception.wrapperMessage : exception.toString();
    };
    ExceptionHandler.prototype._longStackTrace = function(stackTrace) {
      return collection_1.isListLikeIterable(stackTrace) ? stackTrace.join('\n\n-----async gap-----\n') : stackTrace.toString();
    };
    ExceptionHandler.prototype._findContext = function(exception) {
      try {
        if (!(exception instanceof base_wrapped_exception_1.BaseWrappedException))
          return null;
        return lang_1.isPresent(exception.context) ? exception.context : this._findContext(exception.originalException);
      } catch (e) {
        return null;
      }
    };
    ExceptionHandler.prototype._findOriginalException = function(exception) {
      if (!(exception instanceof base_wrapped_exception_1.BaseWrappedException))
        return null;
      var e = exception.originalException;
      while (e instanceof base_wrapped_exception_1.BaseWrappedException && lang_1.isPresent(e.originalException)) {
        e = e.originalException;
      }
      return e;
    };
    ExceptionHandler.prototype._findOriginalStack = function(exception) {
      if (!(exception instanceof base_wrapped_exception_1.BaseWrappedException))
        return null;
      var e = exception;
      var stack = exception.originalStack;
      while (e instanceof base_wrapped_exception_1.BaseWrappedException && lang_1.isPresent(e.originalException)) {
        e = e.originalException;
        if (e instanceof base_wrapped_exception_1.BaseWrappedException && lang_1.isPresent(e.originalException)) {
          stack = e.originalStack;
        }
      }
      return stack;
    };
    return ExceptionHandler;
  }());
  exports.ExceptionHandler = ExceptionHandler;
  return module.exports;
});

System.registerDynamic("@angular/http/src/facade/exceptions.js", ["./base_wrapped_exception", "./exception_handler"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var base_wrapped_exception_1 = $__require('./base_wrapped_exception');
  var exception_handler_1 = $__require('./exception_handler');
  var exception_handler_2 = $__require('./exception_handler');
  exports.ExceptionHandler = exception_handler_2.ExceptionHandler;
  var BaseException = (function(_super) {
    __extends(BaseException, _super);
    function BaseException(message) {
      if (message === void 0) {
        message = '--';
      }
      _super.call(this, message);
      this.message = message;
      this.stack = (new Error(message)).stack;
    }
    BaseException.prototype.toString = function() {
      return this.message;
    };
    return BaseException;
  }(Error));
  exports.BaseException = BaseException;
  var WrappedException = (function(_super) {
    __extends(WrappedException, _super);
    function WrappedException(_wrapperMessage, _originalException, _originalStack, _context) {
      _super.call(this, _wrapperMessage);
      this._wrapperMessage = _wrapperMessage;
      this._originalException = _originalException;
      this._originalStack = _originalStack;
      this._context = _context;
      this._wrapperStack = (new Error(_wrapperMessage)).stack;
    }
    Object.defineProperty(WrappedException.prototype, "wrapperMessage", {
      get: function() {
        return this._wrapperMessage;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "wrapperStack", {
      get: function() {
        return this._wrapperStack;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "originalException", {
      get: function() {
        return this._originalException;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "originalStack", {
      get: function() {
        return this._originalStack;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "context", {
      get: function() {
        return this._context;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "message", {
      get: function() {
        return exception_handler_1.ExceptionHandler.exceptionToString(this);
      },
      enumerable: true,
      configurable: true
    });
    WrappedException.prototype.toString = function() {
      return this.message;
    };
    return WrappedException;
  }(base_wrapped_exception_1.BaseWrappedException));
  exports.WrappedException = WrappedException;
  function makeTypeError(message) {
    return new TypeError(message);
  }
  exports.makeTypeError = makeTypeError;
  function unimplemented() {
    throw new BaseException('unimplemented');
  }
  exports.unimplemented = unimplemented;
  return module.exports;
});

System.registerDynamic("@angular/http/src/enums.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  (function(RequestMethod) {
    RequestMethod[RequestMethod["Get"] = 0] = "Get";
    RequestMethod[RequestMethod["Post"] = 1] = "Post";
    RequestMethod[RequestMethod["Put"] = 2] = "Put";
    RequestMethod[RequestMethod["Delete"] = 3] = "Delete";
    RequestMethod[RequestMethod["Options"] = 4] = "Options";
    RequestMethod[RequestMethod["Head"] = 5] = "Head";
    RequestMethod[RequestMethod["Patch"] = 6] = "Patch";
  })(exports.RequestMethod || (exports.RequestMethod = {}));
  var RequestMethod = exports.RequestMethod;
  (function(ReadyState) {
    ReadyState[ReadyState["Unsent"] = 0] = "Unsent";
    ReadyState[ReadyState["Open"] = 1] = "Open";
    ReadyState[ReadyState["HeadersReceived"] = 2] = "HeadersReceived";
    ReadyState[ReadyState["Loading"] = 3] = "Loading";
    ReadyState[ReadyState["Done"] = 4] = "Done";
    ReadyState[ReadyState["Cancelled"] = 5] = "Cancelled";
  })(exports.ReadyState || (exports.ReadyState = {}));
  var ReadyState = exports.ReadyState;
  (function(ResponseType) {
    ResponseType[ResponseType["Basic"] = 0] = "Basic";
    ResponseType[ResponseType["Cors"] = 1] = "Cors";
    ResponseType[ResponseType["Default"] = 2] = "Default";
    ResponseType[ResponseType["Error"] = 3] = "Error";
    ResponseType[ResponseType["Opaque"] = 4] = "Opaque";
  })(exports.ResponseType || (exports.ResponseType = {}));
  var ResponseType = exports.ResponseType;
  (function(ContentType) {
    ContentType[ContentType["NONE"] = 0] = "NONE";
    ContentType[ContentType["JSON"] = 1] = "JSON";
    ContentType[ContentType["FORM"] = 2] = "FORM";
    ContentType[ContentType["FORM_DATA"] = 3] = "FORM_DATA";
    ContentType[ContentType["TEXT"] = 4] = "TEXT";
    ContentType[ContentType["BLOB"] = 5] = "BLOB";
    ContentType[ContentType["ARRAY_BUFFER"] = 6] = "ARRAY_BUFFER";
  })(exports.ContentType || (exports.ContentType = {}));
  var ContentType = exports.ContentType;
  return module.exports;
});

System.registerDynamic("@angular/http/src/http_utils.js", ["../src/facade/exceptions", "../src/facade/lang", "./enums"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var exceptions_1 = $__require('../src/facade/exceptions');
  var lang_1 = $__require('../src/facade/lang');
  var enums_1 = $__require('./enums');
  function normalizeMethodName(method) {
    if (lang_1.isString(method)) {
      var originalMethod = method;
      method = method.replace(/(\w)(\w*)/g, function(g0, g1, g2) {
        return g1.toUpperCase() + g2.toLowerCase();
      });
      method = enums_1.RequestMethod[method];
      if (typeof method !== 'number')
        throw exceptions_1.makeTypeError("Invalid request method. The method \"" + originalMethod + "\" is not supported.");
    }
    return method;
  }
  exports.normalizeMethodName = normalizeMethodName;
  exports.isSuccess = function(status) {
    return (status >= 200 && status < 300);
  };
  function getResponseURL(xhr) {
    if ('responseURL' in xhr) {
      return xhr.responseURL;
    }
    if (/^X-Request-URL:/m.test(xhr.getAllResponseHeaders())) {
      return xhr.getResponseHeader('X-Request-URL');
    }
    return;
  }
  exports.getResponseURL = getResponseURL;
  var lang_2 = $__require('../src/facade/lang');
  exports.isJsObject = lang_2.isJsObject;
  return module.exports;
});

System.registerDynamic("@angular/http/src/static_response.js", ["../src/facade/exceptions", "../src/facade/lang", "./http_utils"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var exceptions_1 = $__require('../src/facade/exceptions');
  var lang_1 = $__require('../src/facade/lang');
  var http_utils_1 = $__require('./http_utils');
  var Response = (function() {
    function Response(responseOptions) {
      this._body = responseOptions.body;
      this.status = responseOptions.status;
      this.ok = (this.status >= 200 && this.status <= 299);
      this.statusText = responseOptions.statusText;
      this.headers = responseOptions.headers;
      this.type = responseOptions.type;
      this.url = responseOptions.url;
    }
    Response.prototype.blob = function() {
      throw new exceptions_1.BaseException('"blob()" method not implemented on Response superclass');
    };
    Response.prototype.json = function() {
      var jsonResponse;
      if (http_utils_1.isJsObject(this._body)) {
        jsonResponse = this._body;
      } else if (lang_1.isString(this._body)) {
        jsonResponse = lang_1.Json.parse(this._body);
      }
      return jsonResponse;
    };
    Response.prototype.text = function() {
      return this._body.toString();
    };
    Response.prototype.arrayBuffer = function() {
      throw new exceptions_1.BaseException('"arrayBuffer()" method not implemented on Response superclass');
    };
    Response.prototype.toString = function() {
      return "Response with status: " + this.status + " " + this.statusText + " for URL: " + this.url;
    };
    return Response;
  }());
  exports.Response = Response;
  return module.exports;
});

System.registerDynamic("@angular/http/src/facade/collection.js", ["./lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('./lang');
  exports.Map = lang_1.global.Map;
  exports.Set = lang_1.global.Set;
  var createMapFromPairs = (function() {
    try {
      if (new exports.Map([[1, 2]]).size === 1) {
        return function createMapFromPairs(pairs) {
          return new exports.Map(pairs);
        };
      }
    } catch (e) {}
    return function createMapAndPopulateFromPairs(pairs) {
      var map = new exports.Map();
      for (var i = 0; i < pairs.length; i++) {
        var pair = pairs[i];
        map.set(pair[0], pair[1]);
      }
      return map;
    };
  })();
  var createMapFromMap = (function() {
    try {
      if (new exports.Map(new exports.Map())) {
        return function createMapFromMap(m) {
          return new exports.Map(m);
        };
      }
    } catch (e) {}
    return function createMapAndPopulateFromMap(m) {
      var map = new exports.Map();
      m.forEach(function(v, k) {
        map.set(k, v);
      });
      return map;
    };
  })();
  var _clearValues = (function() {
    if ((new exports.Map()).keys().next) {
      return function _clearValues(m) {
        var keyIterator = m.keys();
        var k;
        while (!((k = keyIterator.next()).done)) {
          m.set(k.value, null);
        }
      };
    } else {
      return function _clearValuesWithForeEach(m) {
        m.forEach(function(v, k) {
          m.set(k, null);
        });
      };
    }
  })();
  var _arrayFromMap = (function() {
    try {
      if ((new exports.Map()).values().next) {
        return function createArrayFromMap(m, getValues) {
          return getValues ? Array.from(m.values()) : Array.from(m.keys());
        };
      }
    } catch (e) {}
    return function createArrayFromMapWithForeach(m, getValues) {
      var res = ListWrapper.createFixedSize(m.size),
          i = 0;
      m.forEach(function(v, k) {
        res[i] = getValues ? v : k;
        i++;
      });
      return res;
    };
  })();
  var MapWrapper = (function() {
    function MapWrapper() {}
    MapWrapper.clone = function(m) {
      return createMapFromMap(m);
    };
    MapWrapper.createFromStringMap = function(stringMap) {
      var result = new exports.Map();
      for (var prop in stringMap) {
        result.set(prop, stringMap[prop]);
      }
      return result;
    };
    MapWrapper.toStringMap = function(m) {
      var r = {};
      m.forEach(function(v, k) {
        return r[k] = v;
      });
      return r;
    };
    MapWrapper.createFromPairs = function(pairs) {
      return createMapFromPairs(pairs);
    };
    MapWrapper.clearValues = function(m) {
      _clearValues(m);
    };
    MapWrapper.iterable = function(m) {
      return m;
    };
    MapWrapper.keys = function(m) {
      return _arrayFromMap(m, false);
    };
    MapWrapper.values = function(m) {
      return _arrayFromMap(m, true);
    };
    return MapWrapper;
  }());
  exports.MapWrapper = MapWrapper;
  var StringMapWrapper = (function() {
    function StringMapWrapper() {}
    StringMapWrapper.create = function() {
      return {};
    };
    StringMapWrapper.contains = function(map, key) {
      return map.hasOwnProperty(key);
    };
    StringMapWrapper.get = function(map, key) {
      return map.hasOwnProperty(key) ? map[key] : undefined;
    };
    StringMapWrapper.set = function(map, key, value) {
      map[key] = value;
    };
    StringMapWrapper.keys = function(map) {
      return Object.keys(map);
    };
    StringMapWrapper.values = function(map) {
      return Object.keys(map).reduce(function(r, a) {
        r.push(map[a]);
        return r;
      }, []);
    };
    StringMapWrapper.isEmpty = function(map) {
      for (var prop in map) {
        return false;
      }
      return true;
    };
    StringMapWrapper.delete = function(map, key) {
      delete map[key];
    };
    StringMapWrapper.forEach = function(map, callback) {
      for (var prop in map) {
        if (map.hasOwnProperty(prop)) {
          callback(map[prop], prop);
        }
      }
    };
    StringMapWrapper.merge = function(m1, m2) {
      var m = {};
      for (var attr in m1) {
        if (m1.hasOwnProperty(attr)) {
          m[attr] = m1[attr];
        }
      }
      for (var attr in m2) {
        if (m2.hasOwnProperty(attr)) {
          m[attr] = m2[attr];
        }
      }
      return m;
    };
    StringMapWrapper.equals = function(m1, m2) {
      var k1 = Object.keys(m1);
      var k2 = Object.keys(m2);
      if (k1.length != k2.length) {
        return false;
      }
      var key;
      for (var i = 0; i < k1.length; i++) {
        key = k1[i];
        if (m1[key] !== m2[key]) {
          return false;
        }
      }
      return true;
    };
    return StringMapWrapper;
  }());
  exports.StringMapWrapper = StringMapWrapper;
  var ListWrapper = (function() {
    function ListWrapper() {}
    ListWrapper.createFixedSize = function(size) {
      return new Array(size);
    };
    ListWrapper.createGrowableSize = function(size) {
      return new Array(size);
    };
    ListWrapper.clone = function(array) {
      return array.slice(0);
    };
    ListWrapper.forEachWithIndex = function(array, fn) {
      for (var i = 0; i < array.length; i++) {
        fn(array[i], i);
      }
    };
    ListWrapper.first = function(array) {
      if (!array)
        return null;
      return array[0];
    };
    ListWrapper.last = function(array) {
      if (!array || array.length == 0)
        return null;
      return array[array.length - 1];
    };
    ListWrapper.indexOf = function(array, value, startIndex) {
      if (startIndex === void 0) {
        startIndex = 0;
      }
      return array.indexOf(value, startIndex);
    };
    ListWrapper.contains = function(list, el) {
      return list.indexOf(el) !== -1;
    };
    ListWrapper.reversed = function(array) {
      var a = ListWrapper.clone(array);
      return a.reverse();
    };
    ListWrapper.concat = function(a, b) {
      return a.concat(b);
    };
    ListWrapper.insert = function(list, index, value) {
      list.splice(index, 0, value);
    };
    ListWrapper.removeAt = function(list, index) {
      var res = list[index];
      list.splice(index, 1);
      return res;
    };
    ListWrapper.removeAll = function(list, items) {
      for (var i = 0; i < items.length; ++i) {
        var index = list.indexOf(items[i]);
        list.splice(index, 1);
      }
    };
    ListWrapper.remove = function(list, el) {
      var index = list.indexOf(el);
      if (index > -1) {
        list.splice(index, 1);
        return true;
      }
      return false;
    };
    ListWrapper.clear = function(list) {
      list.length = 0;
    };
    ListWrapper.isEmpty = function(list) {
      return list.length == 0;
    };
    ListWrapper.fill = function(list, value, start, end) {
      if (start === void 0) {
        start = 0;
      }
      if (end === void 0) {
        end = null;
      }
      list.fill(value, start, end === null ? list.length : end);
    };
    ListWrapper.equals = function(a, b) {
      if (a.length != b.length)
        return false;
      for (var i = 0; i < a.length; ++i) {
        if (a[i] !== b[i])
          return false;
      }
      return true;
    };
    ListWrapper.slice = function(l, from, to) {
      if (from === void 0) {
        from = 0;
      }
      if (to === void 0) {
        to = null;
      }
      return l.slice(from, to === null ? undefined : to);
    };
    ListWrapper.splice = function(l, from, length) {
      return l.splice(from, length);
    };
    ListWrapper.sort = function(l, compareFn) {
      if (lang_1.isPresent(compareFn)) {
        l.sort(compareFn);
      } else {
        l.sort();
      }
    };
    ListWrapper.toString = function(l) {
      return l.toString();
    };
    ListWrapper.toJSON = function(l) {
      return JSON.stringify(l);
    };
    ListWrapper.maximum = function(list, predicate) {
      if (list.length == 0) {
        return null;
      }
      var solution = null;
      var maxValue = -Infinity;
      for (var index = 0; index < list.length; index++) {
        var candidate = list[index];
        if (lang_1.isBlank(candidate)) {
          continue;
        }
        var candidateValue = predicate(candidate);
        if (candidateValue > maxValue) {
          solution = candidate;
          maxValue = candidateValue;
        }
      }
      return solution;
    };
    ListWrapper.flatten = function(list) {
      var target = [];
      _flattenArray(list, target);
      return target;
    };
    ListWrapper.addAll = function(list, source) {
      for (var i = 0; i < source.length; i++) {
        list.push(source[i]);
      }
    };
    return ListWrapper;
  }());
  exports.ListWrapper = ListWrapper;
  function _flattenArray(source, target) {
    if (lang_1.isPresent(source)) {
      for (var i = 0; i < source.length; i++) {
        var item = source[i];
        if (lang_1.isArray(item)) {
          _flattenArray(item, target);
        } else {
          target.push(item);
        }
      }
    }
    return target;
  }
  function isListLikeIterable(obj) {
    if (!lang_1.isJsObject(obj))
      return false;
    return lang_1.isArray(obj) || (!(obj instanceof exports.Map) && lang_1.getSymbolIterator() in obj);
  }
  exports.isListLikeIterable = isListLikeIterable;
  function areIterablesEqual(a, b, comparator) {
    var iterator1 = a[lang_1.getSymbolIterator()]();
    var iterator2 = b[lang_1.getSymbolIterator()]();
    while (true) {
      var item1 = iterator1.next();
      var item2 = iterator2.next();
      if (item1.done && item2.done)
        return true;
      if (item1.done || item2.done)
        return false;
      if (!comparator(item1.value, item2.value))
        return false;
    }
  }
  exports.areIterablesEqual = areIterablesEqual;
  function iterateListLike(obj, fn) {
    if (lang_1.isArray(obj)) {
      for (var i = 0; i < obj.length; i++) {
        fn(obj[i]);
      }
    } else {
      var iterator = obj[lang_1.getSymbolIterator()]();
      var item;
      while (!((item = iterator.next()).done)) {
        fn(item.value);
      }
    }
  }
  exports.iterateListLike = iterateListLike;
  var createSetFromList = (function() {
    var test = new exports.Set([1, 2, 3]);
    if (test.size === 3) {
      return function createSetFromList(lst) {
        return new exports.Set(lst);
      };
    } else {
      return function createSetAndPopulateFromList(lst) {
        var res = new exports.Set(lst);
        if (res.size !== lst.length) {
          for (var i = 0; i < lst.length; i++) {
            res.add(lst[i]);
          }
        }
        return res;
      };
    }
  })();
  var SetWrapper = (function() {
    function SetWrapper() {}
    SetWrapper.createFromList = function(lst) {
      return createSetFromList(lst);
    };
    SetWrapper.has = function(s, key) {
      return s.has(key);
    };
    SetWrapper.delete = function(m, k) {
      m.delete(k);
    };
    return SetWrapper;
  }());
  exports.SetWrapper = SetWrapper;
  return module.exports;
});

System.registerDynamic("@angular/http/src/facade/lang.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var globalScope;
  if (typeof window === 'undefined') {
    if (typeof WorkerGlobalScope !== 'undefined' && self instanceof WorkerGlobalScope) {
      globalScope = self;
    } else {
      globalScope = global;
    }
  } else {
    globalScope = window;
  }
  function scheduleMicroTask(fn) {
    Zone.current.scheduleMicroTask('scheduleMicrotask', fn);
  }
  exports.scheduleMicroTask = scheduleMicroTask;
  exports.IS_DART = false;
  var _global = globalScope;
  exports.global = _global;
  exports.Type = Function;
  function getTypeNameForDebugging(type) {
    if (type['name']) {
      return type['name'];
    }
    return typeof type;
  }
  exports.getTypeNameForDebugging = getTypeNameForDebugging;
  exports.Math = _global.Math;
  exports.Date = _global.Date;
  _global.assert = function assert(condition) {};
  function isPresent(obj) {
    return obj !== undefined && obj !== null;
  }
  exports.isPresent = isPresent;
  function isBlank(obj) {
    return obj === undefined || obj === null;
  }
  exports.isBlank = isBlank;
  function isBoolean(obj) {
    return typeof obj === 'boolean';
  }
  exports.isBoolean = isBoolean;
  function isNumber(obj) {
    return typeof obj === 'number';
  }
  exports.isNumber = isNumber;
  function isString(obj) {
    return typeof obj === 'string';
  }
  exports.isString = isString;
  function isFunction(obj) {
    return typeof obj === 'function';
  }
  exports.isFunction = isFunction;
  function isType(obj) {
    return isFunction(obj);
  }
  exports.isType = isType;
  function isStringMap(obj) {
    return typeof obj === 'object' && obj !== null;
  }
  exports.isStringMap = isStringMap;
  var STRING_MAP_PROTO = Object.getPrototypeOf({});
  function isStrictStringMap(obj) {
    return isStringMap(obj) && Object.getPrototypeOf(obj) === STRING_MAP_PROTO;
  }
  exports.isStrictStringMap = isStrictStringMap;
  function isPromise(obj) {
    return obj instanceof _global.Promise;
  }
  exports.isPromise = isPromise;
  function isArray(obj) {
    return Array.isArray(obj);
  }
  exports.isArray = isArray;
  function isDate(obj) {
    return obj instanceof exports.Date && !isNaN(obj.valueOf());
  }
  exports.isDate = isDate;
  function noop() {}
  exports.noop = noop;
  function stringify(token) {
    if (typeof token === 'string') {
      return token;
    }
    if (token === undefined || token === null) {
      return '' + token;
    }
    if (token.name) {
      return token.name;
    }
    if (token.overriddenName) {
      return token.overriddenName;
    }
    var res = token.toString();
    var newLineIndex = res.indexOf('\n');
    return (newLineIndex === -1) ? res : res.substring(0, newLineIndex);
  }
  exports.stringify = stringify;
  function serializeEnum(val) {
    return val;
  }
  exports.serializeEnum = serializeEnum;
  function deserializeEnum(val, values) {
    return val;
  }
  exports.deserializeEnum = deserializeEnum;
  function resolveEnumToken(enumValue, val) {
    return enumValue[val];
  }
  exports.resolveEnumToken = resolveEnumToken;
  var StringWrapper = (function() {
    function StringWrapper() {}
    StringWrapper.fromCharCode = function(code) {
      return String.fromCharCode(code);
    };
    StringWrapper.charCodeAt = function(s, index) {
      return s.charCodeAt(index);
    };
    StringWrapper.split = function(s, regExp) {
      return s.split(regExp);
    };
    StringWrapper.equals = function(s, s2) {
      return s === s2;
    };
    StringWrapper.stripLeft = function(s, charVal) {
      if (s && s.length) {
        var pos = 0;
        for (var i = 0; i < s.length; i++) {
          if (s[i] != charVal)
            break;
          pos++;
        }
        s = s.substring(pos);
      }
      return s;
    };
    StringWrapper.stripRight = function(s, charVal) {
      if (s && s.length) {
        var pos = s.length;
        for (var i = s.length - 1; i >= 0; i--) {
          if (s[i] != charVal)
            break;
          pos--;
        }
        s = s.substring(0, pos);
      }
      return s;
    };
    StringWrapper.replace = function(s, from, replace) {
      return s.replace(from, replace);
    };
    StringWrapper.replaceAll = function(s, from, replace) {
      return s.replace(from, replace);
    };
    StringWrapper.slice = function(s, from, to) {
      if (from === void 0) {
        from = 0;
      }
      if (to === void 0) {
        to = null;
      }
      return s.slice(from, to === null ? undefined : to);
    };
    StringWrapper.replaceAllMapped = function(s, from, cb) {
      return s.replace(from, function() {
        var matches = [];
        for (var _i = 0; _i < arguments.length; _i++) {
          matches[_i - 0] = arguments[_i];
        }
        matches.splice(-2, 2);
        return cb(matches);
      });
    };
    StringWrapper.contains = function(s, substr) {
      return s.indexOf(substr) != -1;
    };
    StringWrapper.compare = function(a, b) {
      if (a < b) {
        return -1;
      } else if (a > b) {
        return 1;
      } else {
        return 0;
      }
    };
    return StringWrapper;
  }());
  exports.StringWrapper = StringWrapper;
  var StringJoiner = (function() {
    function StringJoiner(parts) {
      if (parts === void 0) {
        parts = [];
      }
      this.parts = parts;
    }
    StringJoiner.prototype.add = function(part) {
      this.parts.push(part);
    };
    StringJoiner.prototype.toString = function() {
      return this.parts.join('');
    };
    return StringJoiner;
  }());
  exports.StringJoiner = StringJoiner;
  var NumberParseError = (function(_super) {
    __extends(NumberParseError, _super);
    function NumberParseError(message) {
      _super.call(this);
      this.message = message;
    }
    NumberParseError.prototype.toString = function() {
      return this.message;
    };
    return NumberParseError;
  }(Error));
  exports.NumberParseError = NumberParseError;
  var NumberWrapper = (function() {
    function NumberWrapper() {}
    NumberWrapper.toFixed = function(n, fractionDigits) {
      return n.toFixed(fractionDigits);
    };
    NumberWrapper.equal = function(a, b) {
      return a === b;
    };
    NumberWrapper.parseIntAutoRadix = function(text) {
      var result = parseInt(text);
      if (isNaN(result)) {
        throw new NumberParseError('Invalid integer literal when parsing ' + text);
      }
      return result;
    };
    NumberWrapper.parseInt = function(text, radix) {
      if (radix == 10) {
        if (/^(\-|\+)?[0-9]+$/.test(text)) {
          return parseInt(text, radix);
        }
      } else if (radix == 16) {
        if (/^(\-|\+)?[0-9ABCDEFabcdef]+$/.test(text)) {
          return parseInt(text, radix);
        }
      } else {
        var result = parseInt(text, radix);
        if (!isNaN(result)) {
          return result;
        }
      }
      throw new NumberParseError('Invalid integer literal when parsing ' + text + ' in base ' + radix);
    };
    NumberWrapper.parseFloat = function(text) {
      return parseFloat(text);
    };
    Object.defineProperty(NumberWrapper, "NaN", {
      get: function() {
        return NaN;
      },
      enumerable: true,
      configurable: true
    });
    NumberWrapper.isNumeric = function(value) {
      return !isNaN(value - parseFloat(value));
    };
    NumberWrapper.isNaN = function(value) {
      return isNaN(value);
    };
    NumberWrapper.isInteger = function(value) {
      return Number.isInteger(value);
    };
    return NumberWrapper;
  }());
  exports.NumberWrapper = NumberWrapper;
  exports.RegExp = _global.RegExp;
  var RegExpWrapper = (function() {
    function RegExpWrapper() {}
    RegExpWrapper.create = function(regExpStr, flags) {
      if (flags === void 0) {
        flags = '';
      }
      flags = flags.replace(/g/g, '');
      return new _global.RegExp(regExpStr, flags + 'g');
    };
    RegExpWrapper.firstMatch = function(regExp, input) {
      regExp.lastIndex = 0;
      return regExp.exec(input);
    };
    RegExpWrapper.test = function(regExp, input) {
      regExp.lastIndex = 0;
      return regExp.test(input);
    };
    RegExpWrapper.matcher = function(regExp, input) {
      regExp.lastIndex = 0;
      return {
        re: regExp,
        input: input
      };
    };
    RegExpWrapper.replaceAll = function(regExp, input, replace) {
      var c = regExp.exec(input);
      var res = '';
      regExp.lastIndex = 0;
      var prev = 0;
      while (c) {
        res += input.substring(prev, c.index);
        res += replace(c);
        prev = c.index + c[0].length;
        regExp.lastIndex = prev;
        c = regExp.exec(input);
      }
      res += input.substring(prev);
      return res;
    };
    return RegExpWrapper;
  }());
  exports.RegExpWrapper = RegExpWrapper;
  var RegExpMatcherWrapper = (function() {
    function RegExpMatcherWrapper() {}
    RegExpMatcherWrapper.next = function(matcher) {
      return matcher.re.exec(matcher.input);
    };
    return RegExpMatcherWrapper;
  }());
  exports.RegExpMatcherWrapper = RegExpMatcherWrapper;
  var FunctionWrapper = (function() {
    function FunctionWrapper() {}
    FunctionWrapper.apply = function(fn, posArgs) {
      return fn.apply(null, posArgs);
    };
    FunctionWrapper.bind = function(fn, scope) {
      return fn.bind(scope);
    };
    return FunctionWrapper;
  }());
  exports.FunctionWrapper = FunctionWrapper;
  function looseIdentical(a, b) {
    return a === b || typeof a === 'number' && typeof b === 'number' && isNaN(a) && isNaN(b);
  }
  exports.looseIdentical = looseIdentical;
  function getMapKey(value) {
    return value;
  }
  exports.getMapKey = getMapKey;
  function normalizeBlank(obj) {
    return isBlank(obj) ? null : obj;
  }
  exports.normalizeBlank = normalizeBlank;
  function normalizeBool(obj) {
    return isBlank(obj) ? false : obj;
  }
  exports.normalizeBool = normalizeBool;
  function isJsObject(o) {
    return o !== null && (typeof o === 'function' || typeof o === 'object');
  }
  exports.isJsObject = isJsObject;
  function print(obj) {
    console.log(obj);
  }
  exports.print = print;
  function warn(obj) {
    console.warn(obj);
  }
  exports.warn = warn;
  var Json = (function() {
    function Json() {}
    Json.parse = function(s) {
      return _global.JSON.parse(s);
    };
    Json.stringify = function(data) {
      return _global.JSON.stringify(data, null, 2);
    };
    return Json;
  }());
  exports.Json = Json;
  var DateWrapper = (function() {
    function DateWrapper() {}
    DateWrapper.create = function(year, month, day, hour, minutes, seconds, milliseconds) {
      if (month === void 0) {
        month = 1;
      }
      if (day === void 0) {
        day = 1;
      }
      if (hour === void 0) {
        hour = 0;
      }
      if (minutes === void 0) {
        minutes = 0;
      }
      if (seconds === void 0) {
        seconds = 0;
      }
      if (milliseconds === void 0) {
        milliseconds = 0;
      }
      return new exports.Date(year, month - 1, day, hour, minutes, seconds, milliseconds);
    };
    DateWrapper.fromISOString = function(str) {
      return new exports.Date(str);
    };
    DateWrapper.fromMillis = function(ms) {
      return new exports.Date(ms);
    };
    DateWrapper.toMillis = function(date) {
      return date.getTime();
    };
    DateWrapper.now = function() {
      return new exports.Date();
    };
    DateWrapper.toJson = function(date) {
      return date.toJSON();
    };
    return DateWrapper;
  }());
  exports.DateWrapper = DateWrapper;
  function setValueOnPath(global, path, value) {
    var parts = path.split('.');
    var obj = global;
    while (parts.length > 1) {
      var name = parts.shift();
      if (obj.hasOwnProperty(name) && isPresent(obj[name])) {
        obj = obj[name];
      } else {
        obj = obj[name] = {};
      }
    }
    if (obj === undefined || obj === null) {
      obj = {};
    }
    obj[parts.shift()] = value;
  }
  exports.setValueOnPath = setValueOnPath;
  var _symbolIterator = null;
  function getSymbolIterator() {
    if (isBlank(_symbolIterator)) {
      if (isPresent(globalScope.Symbol) && isPresent(Symbol.iterator)) {
        _symbolIterator = Symbol.iterator;
      } else {
        var keys = Object.getOwnPropertyNames(Map.prototype);
        for (var i = 0; i < keys.length; ++i) {
          var key = keys[i];
          if (key !== 'entries' && key !== 'size' && Map.prototype[key] === Map.prototype['entries']) {
            _symbolIterator = key;
          }
        }
      }
    }
    return _symbolIterator;
  }
  exports.getSymbolIterator = getSymbolIterator;
  function evalExpression(sourceUrl, expr, declarations, vars) {
    var fnBody = declarations + "\nreturn " + expr + "\n//# sourceURL=" + sourceUrl;
    var fnArgNames = [];
    var fnArgValues = [];
    for (var argName in vars) {
      fnArgNames.push(argName);
      fnArgValues.push(vars[argName]);
    }
    return new (Function.bind.apply(Function, [void 0].concat(fnArgNames.concat(fnBody))))().apply(void 0, fnArgValues);
  }
  exports.evalExpression = evalExpression;
  function isPrimitive(obj) {
    return !isJsObject(obj);
  }
  exports.isPrimitive = isPrimitive;
  function hasConstructor(value, type) {
    return value.constructor === type;
  }
  exports.hasConstructor = hasConstructor;
  function escape(s) {
    return _global.encodeURI(s);
  }
  exports.escape = escape;
  function escapeRegExp(s) {
    return s.replace(/([.*+?^=!:${}()|[\]\/\\])/g, '\\$1');
  }
  exports.escapeRegExp = escapeRegExp;
  return module.exports;
});

System.registerDynamic("@angular/http/src/url_search_params.js", ["../src/facade/collection", "../src/facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var collection_1 = $__require('../src/facade/collection');
  var lang_1 = $__require('../src/facade/lang');
  function paramParser(rawParams) {
    if (rawParams === void 0) {
      rawParams = '';
    }
    var map = new collection_1.Map();
    if (rawParams.length > 0) {
      var params = rawParams.split('&');
      params.forEach(function(param) {
        var split = param.split('=', 2);
        var key = split[0];
        var val = split[1];
        var list = lang_1.isPresent(map.get(key)) ? map.get(key) : [];
        list.push(val);
        map.set(key, list);
      });
    }
    return map;
  }
  var QueryEncoder = (function() {
    function QueryEncoder() {}
    QueryEncoder.prototype.encodeKey = function(k) {
      return standardEncoding(k);
    };
    QueryEncoder.prototype.encodeValue = function(v) {
      return standardEncoding(v);
    };
    return QueryEncoder;
  }());
  exports.QueryEncoder = QueryEncoder;
  function standardEncoding(v) {
    return encodeURIComponent(v).replace(/%40/gi, '@').replace(/%3A/gi, ':').replace(/%24/gi, '$').replace(/%2C/gi, ',').replace(/%3B/gi, ';').replace(/%2B/gi, '+').replace(/%3D/gi, ';').replace(/%3F/gi, '?').replace(/%2F/gi, '/');
  }
  var URLSearchParams = (function() {
    function URLSearchParams(rawParams, queryEncoder) {
      if (rawParams === void 0) {
        rawParams = '';
      }
      if (queryEncoder === void 0) {
        queryEncoder = new QueryEncoder();
      }
      this.rawParams = rawParams;
      this.queryEncoder = queryEncoder;
      this.paramsMap = paramParser(rawParams);
    }
    URLSearchParams.prototype.clone = function() {
      var clone = new URLSearchParams();
      clone.appendAll(this);
      return clone;
    };
    URLSearchParams.prototype.has = function(param) {
      return this.paramsMap.has(param);
    };
    URLSearchParams.prototype.get = function(param) {
      var storedParam = this.paramsMap.get(param);
      if (collection_1.isListLikeIterable(storedParam)) {
        return collection_1.ListWrapper.first(storedParam);
      } else {
        return null;
      }
    };
    URLSearchParams.prototype.getAll = function(param) {
      var mapParam = this.paramsMap.get(param);
      return lang_1.isPresent(mapParam) ? mapParam : [];
    };
    URLSearchParams.prototype.set = function(param, val) {
      var mapParam = this.paramsMap.get(param);
      var list = lang_1.isPresent(mapParam) ? mapParam : [];
      collection_1.ListWrapper.clear(list);
      list.push(val);
      this.paramsMap.set(param, list);
    };
    URLSearchParams.prototype.setAll = function(searchParams) {
      var _this = this;
      searchParams.paramsMap.forEach(function(value, param) {
        var mapParam = _this.paramsMap.get(param);
        var list = lang_1.isPresent(mapParam) ? mapParam : [];
        collection_1.ListWrapper.clear(list);
        list.push(value[0]);
        _this.paramsMap.set(param, list);
      });
    };
    URLSearchParams.prototype.append = function(param, val) {
      var mapParam = this.paramsMap.get(param);
      var list = lang_1.isPresent(mapParam) ? mapParam : [];
      list.push(val);
      this.paramsMap.set(param, list);
    };
    URLSearchParams.prototype.appendAll = function(searchParams) {
      var _this = this;
      searchParams.paramsMap.forEach(function(value, param) {
        var mapParam = _this.paramsMap.get(param);
        var list = lang_1.isPresent(mapParam) ? mapParam : [];
        for (var i = 0; i < value.length; ++i) {
          list.push(value[i]);
        }
        _this.paramsMap.set(param, list);
      });
    };
    URLSearchParams.prototype.replaceAll = function(searchParams) {
      var _this = this;
      searchParams.paramsMap.forEach(function(value, param) {
        var mapParam = _this.paramsMap.get(param);
        var list = lang_1.isPresent(mapParam) ? mapParam : [];
        collection_1.ListWrapper.clear(list);
        for (var i = 0; i < value.length; ++i) {
          list.push(value[i]);
        }
        _this.paramsMap.set(param, list);
      });
    };
    URLSearchParams.prototype.toString = function() {
      var _this = this;
      var paramsList = [];
      this.paramsMap.forEach(function(values, k) {
        values.forEach(function(v) {
          return paramsList.push(_this.queryEncoder.encodeKey(k) + '=' + _this.queryEncoder.encodeValue(v));
        });
      });
      return paramsList.join('&');
    };
    URLSearchParams.prototype.delete = function(param) {
      this.paramsMap.delete(param);
    };
    return URLSearchParams;
  }());
  exports.URLSearchParams = URLSearchParams;
  return module.exports;
});

System.registerDynamic("@angular/http/http.js", ["./src/backends/browser_jsonp", "./src/backends/browser_xhr", "./src/backends/jsonp_backend", "./src/backends/xhr_backend", "./src/base_request_options", "./src/base_response_options", "./src/http", "./src/interfaces", "./src/enums", "./src/headers", "./src/static_request", "./src/static_response", "./src/url_search_params"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var browser_jsonp_1 = $__require('./src/backends/browser_jsonp');
  var browser_xhr_1 = $__require('./src/backends/browser_xhr');
  var jsonp_backend_1 = $__require('./src/backends/jsonp_backend');
  var xhr_backend_1 = $__require('./src/backends/xhr_backend');
  var base_request_options_1 = $__require('./src/base_request_options');
  var base_response_options_1 = $__require('./src/base_response_options');
  var http_1 = $__require('./src/http');
  var interfaces_1 = $__require('./src/interfaces');
  var browser_xhr_2 = $__require('./src/backends/browser_xhr');
  exports.BrowserXhr = browser_xhr_2.BrowserXhr;
  var jsonp_backend_2 = $__require('./src/backends/jsonp_backend');
  exports.JSONPBackend = jsonp_backend_2.JSONPBackend;
  exports.JSONPConnection = jsonp_backend_2.JSONPConnection;
  var xhr_backend_2 = $__require('./src/backends/xhr_backend');
  exports.CookieXSRFStrategy = xhr_backend_2.CookieXSRFStrategy;
  exports.XHRBackend = xhr_backend_2.XHRBackend;
  exports.XHRConnection = xhr_backend_2.XHRConnection;
  var base_request_options_2 = $__require('./src/base_request_options');
  exports.BaseRequestOptions = base_request_options_2.BaseRequestOptions;
  exports.RequestOptions = base_request_options_2.RequestOptions;
  var base_response_options_2 = $__require('./src/base_response_options');
  exports.BaseResponseOptions = base_response_options_2.BaseResponseOptions;
  exports.ResponseOptions = base_response_options_2.ResponseOptions;
  var enums_1 = $__require('./src/enums');
  exports.ReadyState = enums_1.ReadyState;
  exports.RequestMethod = enums_1.RequestMethod;
  exports.ResponseType = enums_1.ResponseType;
  var headers_1 = $__require('./src/headers');
  exports.Headers = headers_1.Headers;
  var http_2 = $__require('./src/http');
  exports.Http = http_2.Http;
  exports.Jsonp = http_2.Jsonp;
  var interfaces_2 = $__require('./src/interfaces');
  exports.Connection = interfaces_2.Connection;
  exports.ConnectionBackend = interfaces_2.ConnectionBackend;
  exports.XSRFStrategy = interfaces_2.XSRFStrategy;
  var static_request_1 = $__require('./src/static_request');
  exports.Request = static_request_1.Request;
  var static_response_1 = $__require('./src/static_response');
  exports.Response = static_response_1.Response;
  var url_search_params_1 = $__require('./src/url_search_params');
  exports.QueryEncoder = url_search_params_1.QueryEncoder;
  exports.URLSearchParams = url_search_params_1.URLSearchParams;
  exports.HTTP_PROVIDERS = [{
    provide: http_1.Http,
    useFactory: httpFactory,
    deps: [xhr_backend_1.XHRBackend, base_request_options_1.RequestOptions]
  }, browser_xhr_1.BrowserXhr, {
    provide: base_request_options_1.RequestOptions,
    useClass: base_request_options_1.BaseRequestOptions
  }, {
    provide: base_response_options_1.ResponseOptions,
    useClass: base_response_options_1.BaseResponseOptions
  }, xhr_backend_1.XHRBackend, {
    provide: interfaces_1.XSRFStrategy,
    useValue: new xhr_backend_1.CookieXSRFStrategy()
  }];
  function httpFactory(xhrBackend, requestOptions) {
    return new http_1.Http(xhrBackend, requestOptions);
  }
  exports.httpFactory = httpFactory;
  exports.HTTP_BINDINGS = exports.HTTP_PROVIDERS;
  exports.JSONP_PROVIDERS = [{
    provide: http_1.Jsonp,
    useFactory: jsonpFactory,
    deps: [jsonp_backend_1.JSONPBackend, base_request_options_1.RequestOptions]
  }, browser_jsonp_1.BrowserJsonp, {
    provide: base_request_options_1.RequestOptions,
    useClass: base_request_options_1.BaseRequestOptions
  }, {
    provide: base_response_options_1.ResponseOptions,
    useClass: base_response_options_1.BaseResponseOptions
  }, {
    provide: jsonp_backend_1.JSONPBackend,
    useClass: jsonp_backend_1.JSONPBackend_
  }];
  function jsonpFactory(jsonpBackend, requestOptions) {
    return new http_1.Jsonp(jsonpBackend, requestOptions);
  }
  exports.JSON_BINDINGS = exports.JSONP_PROVIDERS;
  return module.exports;
});

System.registerDynamic("@angular/http", ["./http"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  function __export(m) {
    for (var p in m)
      if (!exports.hasOwnProperty(p))
        exports[p] = m[p];
  }
  __export($__require('./http'));
  return module.exports;
});

System.registerDynamic("ionic-angular/util/events.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var Events = (function() {
    function Events() {
      this._channels = [];
    }
    Events.prototype.subscribe = function(topic) {
      var _this = this;
      var handlers = [];
      for (var _i = 1; _i < arguments.length; _i++) {
        handlers[_i - 1] = arguments[_i];
      }
      if (!this._channels[topic]) {
        this._channels[topic] = [];
      }
      handlers.forEach(function(handler) {
        _this._channels[topic].push(handler);
      });
    };
    Events.prototype.unsubscribe = function(topic, handler) {
      var t = this._channels[topic];
      if (!t) {
        return false;
      }
      if (!handler) {
        delete this._channels[topic];
        return true;
      }
      var i = t.indexOf(handler);
      if (i < 0) {
        return false;
      }
      t.splice(i, 1);
      if (!t.length) {
        delete this._channels[topic];
      }
      return true;
    };
    Events.prototype.publish = function(topic) {
      var args = [];
      for (var _i = 1; _i < arguments.length; _i++) {
        args[_i - 1] = arguments[_i];
      }
      var t = this._channels[topic];
      if (!t) {
        return null;
      }
      var responses = [];
      t.forEach(function(handler) {
        responses.push(handler(args));
      });
      return responses;
    };
    return Events;
  }());
  exports.Events = Events;
  return module.exports;
});

System.registerDynamic("ionic-angular/util/feature-detect.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var FeatureDetect = (function() {
    function FeatureDetect() {
      this._results = {};
    }
    FeatureDetect.prototype.run = function(window, document) {
      for (var name_1 in featureDetects) {
        this._results[name_1] = featureDetects[name_1](window, document, document.body);
      }
    };
    FeatureDetect.prototype.has = function(featureName) {
      return !!this._results[featureName];
    };
    FeatureDetect.add = function(name, fn) {
      featureDetects[name] = fn;
    };
    return FeatureDetect;
  }());
  exports.FeatureDetect = FeatureDetect;
  var featureDetects = {};
  FeatureDetect.add('hairlines', function(window, document, body) {
    var canDo = false;
    if (window.devicePixelRatio >= 2) {
      var hairlineEle = document.createElement('div');
      hairlineEle.style.border = '.5px solid transparent';
      body.appendChild(hairlineEle);
      if (hairlineEle.offsetHeight === 1) {
        body.classList.add('hairlines');
        canDo = true;
      }
      body.removeChild(hairlineEle);
    }
    return canDo;
  });
  FeatureDetect.add('backdrop-filter', function(window, document, body) {
    var styles = body.style;
    var backdrop = styles['backdrop-filter'] !== undefined || styles['-webkit-backdrop-filter'] !== undefined;
    if (backdrop) {
      body.classList.add('backdrop-filter');
    }
    return backdrop;
  });
  return module.exports;
});

System.registerDynamic("ionic-angular/components/menu/menu-gestures.js", ["../../gestures/slide-edge-gesture", "../../util/util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var slide_edge_gesture_1 = $__require('../../gestures/slide-edge-gesture');
  var util_1 = $__require('../../util/util');
  var MenuContentGesture = (function(_super) {
    __extends(MenuContentGesture, _super);
    function MenuContentGesture(menu, contentEle, options) {
      if (options === void 0) {
        options = {};
      }
      _super.call(this, contentEle, util_1.assign({
        direction: 'x',
        edge: menu.side,
        threshold: 0,
        maxEdgeStart: menu.maxEdgeStart || 50,
        maxAngle: 40,
        gesture: menu.gestureCtrl.create('menu-swipe', {priority: 10})
      }, options));
      this.menu = menu;
    }
    MenuContentGesture.prototype.canStart = function(ev) {
      var menu = this.menu;
      if (!menu.enabled || !menu.swipeEnabled) {
        return false;
      }
      if (menu.isOpen) {
        return true;
      } else if (menu.getMenuController().getOpen()) {
        return false;
      }
      return _super.prototype.canStart.call(this, ev);
    };
    MenuContentGesture.prototype.onSlideBeforeStart = function(slide, ev) {
      void 0;
      this.menu.swipeStart();
    };
    MenuContentGesture.prototype.onSlide = function(slide, ev) {
      var z = (this.menu.side === 'right' ? slide.min : slide.max);
      var stepValue = (slide.distance / z);
      void 0;
      ev.preventDefault();
      this.menu.swipeProgress(stepValue);
    };
    MenuContentGesture.prototype.onSlideEnd = function(slide, ev) {
      var z = (this.menu.side === 'right' ? slide.min : slide.max);
      var currentStepValue = (slide.distance / z);
      var velocity = slide.velocity;
      z = Math.abs(z * 0.5);
      var shouldCompleteRight = (velocity >= 0) && (velocity > 0.2 || slide.delta > z);
      var shouldCompleteLeft = (velocity <= 0) && (velocity < -0.2 || slide.delta < -z);
      void 0;
      this.menu.swipeEnd(shouldCompleteLeft, shouldCompleteRight, currentStepValue);
    };
    MenuContentGesture.prototype.getElementStartPos = function(slide, ev) {
      if (this.menu.side === 'right') {
        return this.menu.isOpen ? slide.min : slide.max;
      }
      return this.menu.isOpen ? slide.max : slide.min;
    };
    MenuContentGesture.prototype.getSlideBoundaries = function() {
      if (this.menu.side === 'right') {
        return {
          min: -this.menu.width(),
          max: 0
        };
      }
      return {
        min: 0,
        max: this.menu.width()
      };
    };
    return MenuContentGesture;
  }(slide_edge_gesture_1.SlideEdgeGesture));
  exports.MenuContentGesture = MenuContentGesture;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/menu/menu.js", ["@angular/core", "../backdrop/backdrop", "../../config/config", "../../util/util", "../../util/keyboard", "./menu-gestures", "./menu-controller", "../../platform/platform", "../../gestures/gesture-controller"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var backdrop_1 = $__require('../backdrop/backdrop');
  var config_1 = $__require('../../config/config');
  var util_1 = $__require('../../util/util');
  var keyboard_1 = $__require('../../util/keyboard');
  var menu_gestures_1 = $__require('./menu-gestures');
  var menu_controller_1 = $__require('./menu-controller');
  var platform_1 = $__require('../../platform/platform');
  var gesture_controller_1 = $__require('../../gestures/gesture-controller');
  var Menu = (function() {
    function Menu(_menuCtrl, _elementRef, _config, _platform, _renderer, _keyboard, _zone, gestureCtrl) {
      this._menuCtrl = _menuCtrl;
      this._elementRef = _elementRef;
      this._config = _config;
      this._platform = _platform;
      this._renderer = _renderer;
      this._keyboard = _keyboard;
      this._zone = _zone;
      this.gestureCtrl = gestureCtrl;
      this._preventTime = 0;
      this._isEnabled = true;
      this._isSwipeEnabled = true;
      this._isPers = false;
      this._init = false;
      this.isOpen = false;
      this.ionDrag = new core_1.EventEmitter();
      this.ionOpen = new core_1.EventEmitter();
      this.ionClose = new core_1.EventEmitter();
    }
    Object.defineProperty(Menu.prototype, "enabled", {
      get: function() {
        return this._isEnabled;
      },
      set: function(val) {
        this._isEnabled = util_1.isTrueProperty(val);
        this._setListeners();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Menu.prototype, "swipeEnabled", {
      get: function() {
        return this._isSwipeEnabled;
      },
      set: function(val) {
        this._isSwipeEnabled = util_1.isTrueProperty(val);
        this._setListeners();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Menu.prototype, "persistent", {
      get: function() {
        return this._isPers;
      },
      set: function(val) {
        this._isPers = util_1.isTrueProperty(val);
      },
      enumerable: true,
      configurable: true
    });
    Menu.prototype.ngOnInit = function() {
      var self = this;
      self._init = true;
      var content = self.content;
      self._cntEle = (content instanceof Node) ? content : content && content.getNativeElement && content.getNativeElement();
      if (!self._cntEle) {
        return void 0;
      }
      if (self.side !== 'left' && self.side !== 'right') {
        self.side = 'left';
      }
      self._renderer.setElementAttribute(self._elementRef.nativeElement, 'side', self.side);
      if (!self.type) {
        self.type = self._config.get('menuType');
      }
      self._renderer.setElementAttribute(self._elementRef.nativeElement, 'type', self.type);
      self._cntGesture = new menu_gestures_1.MenuContentGesture(self, document.body);
      var hasEnabledSameSideMenu = self._menuCtrl.getMenus().some(function(m) {
        return m.side === self.side && m.enabled;
      });
      if (hasEnabledSameSideMenu) {
        self._isEnabled = false;
      }
      self._setListeners();
      self.onContentClick = function(ev) {
        if (self._isEnabled) {
          ev.preventDefault();
          ev.stopPropagation();
          self.close();
        }
      };
      self._cntEle.classList.add('menu-content');
      self._cntEle.classList.add('menu-content-' + self.type);
      self._menuCtrl.register(self);
    };
    Menu.prototype.bdClick = function(ev) {
      void 0;
      ev.preventDefault();
      ev.stopPropagation();
      this._menuCtrl.close();
    };
    Menu.prototype._setListeners = function() {
      var self = this;
      if (self._init) {
        if (self._isEnabled && self._isSwipeEnabled && !self._cntGesture.isListening) {
          void 0;
          self._cntGesture.listen();
        } else if (self._cntGesture.isListening && (!self._isEnabled || !self._isSwipeEnabled)) {
          void 0;
          self._cntGesture.unlisten();
        }
      }
    };
    Menu.prototype._getType = function() {
      if (!this._type) {
        this._type = menu_controller_1.MenuController.create(this.type, this, this._platform);
        if (this._config.get('animate') === false) {
          this._type.ani.duration(0);
        }
      }
      return this._type;
    };
    Menu.prototype.setOpen = function(shouldOpen, animated) {
      var _this = this;
      if (animated === void 0) {
        animated = true;
      }
      if ((shouldOpen && this.isOpen) || this._isPrevented()) {
        return Promise.resolve(this.isOpen);
      }
      this._before();
      return new Promise(function(resolve) {
        _this._getType().setOpen(shouldOpen, animated, function() {
          _this._after(shouldOpen);
          resolve(_this.isOpen);
        });
      });
    };
    Menu.prototype.swipeStart = function() {
      if (this._isEnabled && this._isSwipeEnabled && !this._isPrevented()) {
        this._before();
        this._getType().setProgressStart(this.isOpen);
      }
    };
    Menu.prototype.swipeProgress = function(stepValue) {
      if (this._isEnabled && this._isSwipeEnabled) {
        this._prevent();
        this._getType().setProgessStep(stepValue);
        this.ionDrag.emit(stepValue);
      }
    };
    Menu.prototype.swipeEnd = function(shouldCompleteLeft, shouldCompleteRight, stepValue) {
      var _this = this;
      if (this._isEnabled && this._isSwipeEnabled) {
        this._prevent();
        var opening = !this.isOpen;
        var shouldComplete = false;
        if (opening) {
          shouldComplete = (this.side === 'right') ? shouldCompleteLeft : shouldCompleteRight;
        } else {
          shouldComplete = (this.side === 'right') ? shouldCompleteRight : shouldCompleteLeft;
        }
        this._getType().setProgressEnd(shouldComplete, stepValue, function(isOpen) {
          void 0;
          _this._after(isOpen);
        });
      }
    };
    Menu.prototype._before = function() {
      if (this._isEnabled) {
        this.getNativeElement().classList.add('show-menu');
        this.getBackdropElement().classList.add('show-backdrop');
        this._prevent();
        this._keyboard.close();
      }
    };
    Menu.prototype._after = function(isOpen) {
      if ((this._isEnabled && isOpen) || !isOpen) {
        this._prevent();
        this.isOpen = isOpen;
        this._cntEle.classList[isOpen ? 'add' : 'remove']('menu-content-open');
        this._cntEle.removeEventListener('click', this.onContentClick);
        if (isOpen) {
          this._cntEle.addEventListener('click', this.onContentClick);
          this.ionOpen.emit(true);
        } else {
          this.getNativeElement().classList.remove('show-menu');
          this.getBackdropElement().classList.remove('show-backdrop');
          this.ionClose.emit(true);
        }
      }
    };
    Menu.prototype._prevent = function() {
      this._preventTime = Date.now() + 20;
    };
    Menu.prototype._isPrevented = function() {
      return this._preventTime > Date.now();
    };
    Menu.prototype.open = function() {
      return this.setOpen(true);
    };
    Menu.prototype.close = function() {
      return this.setOpen(false);
    };
    Menu.prototype.toggle = function() {
      return this.setOpen(!this.isOpen);
    };
    Menu.prototype.enable = function(shouldEnable) {
      var _this = this;
      this.enabled = shouldEnable;
      if (!shouldEnable && this.isOpen) {
        this.close();
      }
      if (shouldEnable) {
        var sameSideMenus = this._menuCtrl.getMenus().filter(function(m) {
          return m.side === _this.side && m !== _this;
        }).map(function(m) {
          return m.enabled = false;
        });
      }
      return this;
    };
    Menu.prototype.swipeEnable = function(shouldEnable) {
      this.swipeEnabled = shouldEnable;
      return this;
    };
    Menu.prototype.getNativeElement = function() {
      return this._elementRef.nativeElement;
    };
    Menu.prototype.getMenuElement = function() {
      return this.getNativeElement().querySelector('.menu-inner');
    };
    Menu.prototype.getContentElement = function() {
      return this._cntEle;
    };
    Menu.prototype.getBackdropElement = function() {
      return this.backdrop.getNativeElement();
    };
    Menu.prototype.width = function() {
      return this.getMenuElement().offsetWidth;
    };
    Menu.prototype.getMenuController = function() {
      return this._menuCtrl;
    };
    Menu.prototype.ngOnDestroy = function() {
      this._menuCtrl.unregister(this);
      this._cntGesture && this._cntGesture.destroy();
      this._type && this._type.destroy();
      this._resizeUnreg && this._resizeUnreg();
      this._cntEle = null;
    };
    __decorate([core_1.ViewChild(backdrop_1.Backdrop), __metadata('design:type', backdrop_1.Backdrop)], Menu.prototype, "backdrop", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Object)], Menu.prototype, "content", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], Menu.prototype, "id", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], Menu.prototype, "side", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], Menu.prototype, "type", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Boolean)], Menu.prototype, "enabled", null);
    __decorate([core_1.Input(), __metadata('design:type', Boolean)], Menu.prototype, "swipeEnabled", null);
    __decorate([core_1.Input(), __metadata('design:type', Boolean)], Menu.prototype, "persistent", null);
    __decorate([core_1.Input(), __metadata('design:type', Number)], Menu.prototype, "maxEdgeStart", void 0);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], Menu.prototype, "ionDrag", void 0);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], Menu.prototype, "ionOpen", void 0);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], Menu.prototype, "ionClose", void 0);
    Menu = __decorate([core_1.Component({
      selector: 'ion-menu',
      host: {'role': 'navigation'},
      template: "\n    <div class=\"menu-inner\"><ng-content></ng-content></div>\n    <ion-backdrop (click)=\"bdClick($event)\" disableScroll=\"false\"></ion-backdrop>\n  ",
      directives: [backdrop_1.Backdrop],
      changeDetection: core_1.ChangeDetectionStrategy.OnPush,
      encapsulation: core_1.ViewEncapsulation.None
    }), __metadata('design:paramtypes', [menu_controller_1.MenuController, core_1.ElementRef, config_1.Config, platform_1.Platform, core_1.Renderer, keyboard_1.Keyboard, core_1.NgZone, gesture_controller_1.GestureController])], Menu);
    return Menu;
  }());
  exports.Menu = Menu;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/menu/menu-toggle.js", ["@angular/core", "./menu-controller", "../navbar/navbar", "../nav/view-controller"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var menu_controller_1 = $__require('./menu-controller');
  var navbar_1 = $__require('../navbar/navbar');
  var view_controller_1 = $__require('../nav/view-controller');
  var MenuToggle = (function() {
    function MenuToggle(_menu, elementRef, _viewCtrl, _navbar) {
      this._menu = _menu;
      this._viewCtrl = _viewCtrl;
      this._navbar = _navbar;
      this._inNavbar = !!_navbar;
    }
    MenuToggle.prototype.toggle = function() {
      var menu = this._menu.get(this.menuToggle);
      menu && menu.toggle();
    };
    Object.defineProperty(MenuToggle.prototype, "isHidden", {
      get: function() {
        if (this._inNavbar && this._viewCtrl) {
          if (this._viewCtrl.isFirst()) {
            return false;
          }
          var menu = this._menu.get(this.menuToggle);
          if (menu) {
            return !menu.persistent;
          }
        }
        return false;
      },
      enumerable: true,
      configurable: true
    });
    __decorate([core_1.Input(), __metadata('design:type', String)], MenuToggle.prototype, "menuToggle", void 0);
    __decorate([core_1.HostListener('click'), __metadata('design:type', Function), __metadata('design:paramtypes', []), __metadata('design:returntype', void 0)], MenuToggle.prototype, "toggle", null);
    MenuToggle = __decorate([core_1.Directive({
      selector: '[menuToggle]',
      host: {
        '[hidden]': 'isHidden',
        'menuToggle': ''
      }
    }), __param(2, core_1.Optional()), __param(3, core_1.Optional()), __metadata('design:paramtypes', [menu_controller_1.MenuController, core_1.ElementRef, view_controller_1.ViewController, navbar_1.Navbar])], MenuToggle);
    return MenuToggle;
  }());
  exports.MenuToggle = MenuToggle;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/menu/menu-close.js", ["@angular/core", "./menu-controller"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var menu_controller_1 = $__require('./menu-controller');
  var MenuClose = (function() {
    function MenuClose(_menu) {
      this._menu = _menu;
    }
    MenuClose.prototype.close = function() {
      var menu = this._menu.get(this.menuClose);
      menu && menu.close();
    };
    __decorate([core_1.Input(), __metadata('design:type', String)], MenuClose.prototype, "menuClose", void 0);
    __decorate([core_1.HostListener('click'), __metadata('design:type', Function), __metadata('design:paramtypes', []), __metadata('design:returntype', void 0)], MenuClose.prototype, "close", null);
    MenuClose = __decorate([core_1.Directive({selector: '[menuClose]'}), __metadata('design:paramtypes', [menu_controller_1.MenuController])], MenuClose);
    return MenuClose;
  }());
  exports.MenuClose = MenuClose;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/badge/badge.js", ["@angular/core", "../../config/config"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var config_1 = $__require('../../config/config');
  var Badge = (function() {
    function Badge(config, _elementRef, _renderer) {
      this._elementRef = _elementRef;
      this._renderer = _renderer;
      var element = _elementRef.nativeElement;
      this._readAttrs(element);
    }
    Badge.prototype._readAttrs = function(element) {
      var elementAttrs = element.attributes;
      var attrName;
      for (var i = 0,
          l = elementAttrs.length; i < l; i++) {
        if (elementAttrs[i].value !== '')
          continue;
        attrName = elementAttrs[i].name;
        if (attrName.indexOf('item') === -1) {
          this._setClass(attrName);
        }
      }
    };
    Badge.prototype._setClass = function(color) {
      this._renderer.setElementClass(this._elementRef.nativeElement, 'badge-' + color, true);
    };
    Badge = __decorate([core_1.Directive({selector: 'ion-badge'}), __metadata('design:paramtypes', [config_1.Config, core_1.ElementRef, core_1.Renderer])], Badge);
    return Badge;
  }());
  exports.Badge = Badge;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/scroll/scroll.js", ["@angular/core", "../ion"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var ion_1 = $__require('../ion');
  var Scroll = (function(_super) {
    __extends(Scroll, _super);
    function Scroll(elementRef) {
      _super.call(this, elementRef);
      this.maxScale = 3;
      this.zoomDuration = 250;
    }
    Scroll.prototype.ngOnInit = function() {
      this.scrollElement = this.getNativeElement().children[0];
    };
    Scroll.prototype.addScrollEventListener = function(handler) {
      var _this = this;
      if (!this.scrollElement) {
        return;
      }
      this.scrollElement.addEventListener('scroll', handler);
      return function() {
        _this.scrollElement.removeEventListener('scroll', handler);
      };
    };
    Scroll = __decorate([core_1.Component({
      selector: 'ion-scroll',
      inputs: ['scrollX', 'scrollY', 'zoom', 'maxZoom'],
      host: {
        '[class.scroll-x]': 'scrollX',
        '[class.scroll-y]': 'scrollY'
      },
      template: '<scroll-content>' + '<div class="scroll-zoom-wrapper">' + '<ng-content></ng-content>' + '</div>' + '</scroll-content>',
      changeDetection: core_1.ChangeDetectionStrategy.OnPush,
      encapsulation: core_1.ViewEncapsulation.None
    }), __metadata('design:paramtypes', [core_1.ElementRef])], Scroll);
    return Scroll;
  }(ion_1.Ion));
  exports.Scroll = Scroll;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/infinite-scroll/infinite-scroll.js", ["@angular/core", "../content/content"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var content_1 = $__require('../content/content');
  var InfiniteScroll = (function() {
    function InfiniteScroll(_content, _zone, _elementRef) {
      this._content = _content;
      this._zone = _zone;
      this._elementRef = _elementRef;
      this._lastCheck = 0;
      this._highestY = 0;
      this._thr = '15%';
      this._thrPx = 0;
      this._thrPc = 0.15;
      this._init = false;
      this.state = STATE_ENABLED;
      this.ionInfinite = new core_1.EventEmitter();
      _content.addCssClass('has-infinite-scroll');
    }
    Object.defineProperty(InfiniteScroll.prototype, "threshold", {
      get: function() {
        return this._thr;
      },
      set: function(val) {
        this._thr = val;
        if (val.indexOf('%') > -1) {
          this._thrPx = 0;
          this._thrPc = (parseFloat(val) / 100);
        } else {
          this._thrPx = parseFloat(val);
          this._thrPc = 0;
        }
      },
      enumerable: true,
      configurable: true
    });
    InfiniteScroll.prototype._onScroll = function() {
      var _this = this;
      if (this.state === STATE_LOADING || this.state === STATE_DISABLED) {
        return 1;
      }
      var now = Date.now();
      if (this._lastCheck + 32 > now) {
        return 2;
      }
      this._lastCheck = now;
      var infiniteHeight = this._elementRef.nativeElement.scrollHeight;
      if (!infiniteHeight) {
        return 3;
      }
      var d = this._content.getContentDimensions();
      var reloadY = d.contentHeight;
      if (this._thrPc) {
        reloadY += (reloadY * this._thrPc);
      } else {
        reloadY += this._thrPx;
      }
      var distanceFromInfinite = ((d.scrollHeight - infiniteHeight) - d.scrollTop) - reloadY;
      if (distanceFromInfinite < 0) {
        this._zone.run(function() {
          if (_this.state !== STATE_LOADING && _this.state !== STATE_DISABLED) {
            _this.state = STATE_LOADING;
            _this.ionInfinite.emit(_this);
          }
        });
        return 5;
      }
      return 6;
    };
    InfiniteScroll.prototype.complete = function() {
      this.state = STATE_ENABLED;
    };
    InfiniteScroll.prototype.enable = function(shouldEnable) {
      this.state = (shouldEnable ? STATE_ENABLED : STATE_DISABLED);
      this._setListeners(shouldEnable);
    };
    InfiniteScroll.prototype._setListeners = function(shouldListen) {
      var _this = this;
      if (this._init) {
        if (shouldListen) {
          if (!this._scLsn) {
            this._zone.runOutsideAngular(function() {
              _this._scLsn = _this._content.addScrollListener(_this._onScroll.bind(_this));
            });
          }
        } else {
          this._scLsn && this._scLsn();
          this._scLsn = null;
        }
      }
    };
    InfiniteScroll.prototype.ngAfterContentInit = function() {
      this._init = true;
      this._setListeners(this.state !== STATE_DISABLED);
    };
    InfiniteScroll.prototype.ngOnDestroy = function() {
      this._setListeners(false);
    };
    __decorate([core_1.Input(), __metadata('design:type', String)], InfiniteScroll.prototype, "threshold", null);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], InfiniteScroll.prototype, "ionInfinite", void 0);
    InfiniteScroll = __decorate([core_1.Directive({selector: 'ion-infinite-scroll'}), __param(0, core_1.Host()), __metadata('design:paramtypes', [content_1.Content, core_1.NgZone, core_1.ElementRef])], InfiniteScroll);
    return InfiniteScroll;
  }());
  exports.InfiniteScroll = InfiniteScroll;
  var STATE_ENABLED = 'enabled';
  var STATE_DISABLED = 'disabled';
  var STATE_LOADING = 'loading';
  return module.exports;
});

System.registerDynamic("ionic-angular/components/infinite-scroll/infinite-scroll-content.js", ["@angular/core", "@angular/common", "../../config/config", "./infinite-scroll", "../spinner/spinner"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var common_1 = $__require('@angular/common');
  var config_1 = $__require('../../config/config');
  var infinite_scroll_1 = $__require('./infinite-scroll');
  var spinner_1 = $__require('../spinner/spinner');
  var InfiniteScrollContent = (function() {
    function InfiniteScrollContent(inf, _config) {
      this.inf = inf;
      this._config = _config;
    }
    InfiniteScrollContent.prototype.ngOnInit = function() {
      if (!this.loadingSpinner) {
        this.loadingSpinner = this._config.get('infiniteLoadingSpinner', this._config.get('spinner', 'ios'));
      }
    };
    __decorate([core_1.Input(), __metadata('design:type', String)], InfiniteScrollContent.prototype, "loadingSpinner", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], InfiniteScrollContent.prototype, "loadingText", void 0);
    InfiniteScrollContent = __decorate([core_1.Component({
      selector: 'ion-infinite-scroll-content',
      template: '<div class="infinite-loading">' + '<div class="infinite-loading-spinner" *ngIf="loadingSpinner">' + '<ion-spinner [name]="loadingSpinner"></ion-spinner>' + '</div>' + '<div class="infinite-loading-text" [innerHTML]="loadingText" *ngIf="loadingText"></div>' + '</div>',
      directives: [common_1.NgIf, spinner_1.Spinner],
      host: {'[attr.state]': 'inf.state'},
      encapsulation: core_1.ViewEncapsulation.None
    }), __metadata('design:paramtypes', [infinite_scroll_1.InfiniteScroll, config_1.Config])], InfiniteScrollContent);
    return InfiniteScrollContent;
  }());
  exports.InfiniteScrollContent = InfiniteScrollContent;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/refresher/refresher.js", ["@angular/core", "../content/content", "../../util/dom", "../../gestures/gesture-controller", "../../util/util", "../../util/ui-event-manager"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var content_1 = $__require('../content/content');
  var dom_1 = $__require('../../util/dom');
  var gesture_controller_1 = $__require('../../gestures/gesture-controller');
  var util_1 = $__require('../../util/util');
  var ui_event_manager_1 = $__require('../../util/ui-event-manager');
  var Refresher = (function() {
    function Refresher(_content, _zone, gestureCtrl) {
      this._content = _content;
      this._zone = _zone;
      this._appliedStyles = false;
      this._lastCheck = 0;
      this._isEnabled = true;
      this._events = new ui_event_manager_1.UIEventManager(false);
      this._top = '';
      this.state = STATE_INACTIVE;
      this.startY = null;
      this.currentY = null;
      this.deltaY = null;
      this.progress = 0;
      this.pullMin = 60;
      this.pullMax = this.pullMin + 60;
      this.closeDuration = 280;
      this.snapbackDuration = 280;
      this.ionRefresh = new core_1.EventEmitter();
      this.ionPull = new core_1.EventEmitter();
      this.ionStart = new core_1.EventEmitter();
      _content.addCssClass('has-refresher');
      this._gesture = gestureCtrl.create('refresher', {priority: 0});
    }
    Object.defineProperty(Refresher.prototype, "enabled", {
      get: function() {
        return this._isEnabled;
      },
      set: function(val) {
        this._isEnabled = util_1.isTrueProperty(val);
        this._setListeners(this._isEnabled);
      },
      enumerable: true,
      configurable: true
    });
    Refresher.prototype._onStart = function(ev) {
      if (ev.touches && ev.touches.length > 1) {
        return false;
      }
      if (this.state !== STATE_INACTIVE) {
        return false;
      }
      var scrollHostScrollTop = this._content.getContentDimensions().scrollTop;
      if (scrollHostScrollTop > 0) {
        return false;
      }
      if (!this._gesture.canStart()) {
        return false;
      }
      var coord = dom_1.pointerCoord(ev);
      void 0;
      if (this._content.contentTop > 0) {
        var newTop = this._content.contentTop + 'px';
        if (this._top !== newTop) {
          this._top = newTop;
        }
      }
      this.startY = this.currentY = coord.y;
      this.progress = 0;
      this.state = STATE_INACTIVE;
      return true;
    };
    Refresher.prototype._onMove = function(ev) {
      var _this = this;
      if (ev.touches && ev.touches.length > 1) {
        return 1;
      }
      if (!this._gesture.canStart()) {
        return 0;
      }
      if (this.startY === null || this.state === STATE_REFRESHING || this.state === STATE_CANCELLING || this.state === STATE_COMPLETING) {
        return 2;
      }
      var now = Date.now();
      if (this._lastCheck + 16 > now) {
        return 3;
      }
      this._lastCheck = now;
      var coord = dom_1.pointerCoord(ev);
      this.currentY = coord.y;
      this.deltaY = (coord.y - this.startY);
      if (this.deltaY <= 0) {
        this.progress = 0;
        if (this.state !== STATE_INACTIVE) {
          this._zone.run(function() {
            _this.state = STATE_INACTIVE;
          });
        }
        if (this._appliedStyles) {
          this._setCss(0, '', false, '');
          return 5;
        }
        return 6;
      }
      if (this.state === STATE_INACTIVE) {
        var scrollHostScrollTop = this._content.getContentDimensions().scrollTop;
        if (scrollHostScrollTop > 0) {
          this.progress = 0;
          this.startY = null;
          return 7;
        }
        this.state = STATE_PULLING;
      }
      ev.preventDefault();
      this._setCss(this.deltaY, '0ms', true, '');
      if (!this.deltaY) {
        this.progress = 0;
        return 8;
      }
      this._zone.run(function() {
        _this._onMoveInZone();
      });
    };
    Refresher.prototype._onMoveInZone = function() {
      this.progress = (this.deltaY / this.pullMin);
      if (!this._didStart) {
        this._didStart = true;
        this.ionStart.emit(this);
      }
      this.ionPull.emit(this);
      if (this.deltaY < this.pullMin) {
        this.state = STATE_PULLING;
        return 2;
      }
      if (this.deltaY > this.pullMax) {
        this._beginRefresh();
        return 3;
      }
      this.state = STATE_READY;
      return 4;
    };
    Refresher.prototype._onEnd = function(ev) {
      var _this = this;
      if (this.state === STATE_READY) {
        this._zone.run(function() {
          _this._beginRefresh();
        });
      } else if (this.state === STATE_PULLING) {
        this._zone.run(function() {
          _this.cancel();
        });
      }
      this.startY = null;
    };
    Refresher.prototype._beginRefresh = function() {
      this.state = STATE_REFRESHING;
      this._setCss(this.pullMin, (this.snapbackDuration + 'ms'), true, '');
      this.ionRefresh.emit(this);
    };
    Refresher.prototype.complete = function() {
      this._close(STATE_COMPLETING, '120ms');
    };
    Refresher.prototype.cancel = function() {
      this._close(STATE_CANCELLING, '');
    };
    Refresher.prototype._close = function(state, delay) {
      var timer;
      function close(ev) {
        if (ev) {
          clearTimeout(timer);
        }
        this.state = STATE_INACTIVE;
        this.progress = 0;
        this._didStart = this.startY = this.currentY = this.deltaY = null;
        this._setCss(0, '0ms', false, '');
      }
      timer = setTimeout(close.bind(this), 600);
      this._content.onScrollElementTransitionEnd(close.bind(this));
      this.state = state;
      this._setCss(0, '', true, delay);
      if (this._pointerEvents) {
        this._pointerEvents.stop();
      }
    };
    Refresher.prototype._setCss = function(y, duration, overflowVisible, delay) {
      this._appliedStyles = (y > 0);
      var content = this._content;
      content.setScrollElementStyle(dom_1.CSS.transform, ((y > 0) ? 'translateY(' + y + 'px) translateZ(0px)' : 'translateZ(0px)'));
      content.setScrollElementStyle(dom_1.CSS.transitionDuration, duration);
      content.setScrollElementStyle(dom_1.CSS.transitionDelay, delay);
      content.setScrollElementStyle('overflow', (overflowVisible ? 'hidden' : ''));
    };
    Refresher.prototype._setListeners = function(shouldListen) {
      this._events.unlistenAll();
      this._pointerEvents = null;
      if (shouldListen) {
        this._pointerEvents = this._events.pointerEvents({
          element: this._content.getScrollElement(),
          pointerDown: this._onStart.bind(this),
          pointerMove: this._onMove.bind(this),
          pointerUp: this._onEnd.bind(this)
        });
      }
    };
    Refresher.prototype.ngOnInit = function() {
      this._setListeners(this._isEnabled);
    };
    Refresher.prototype.ngOnDestroy = function() {
      this._gesture.destroy();
      this._setListeners(false);
    };
    __decorate([core_1.Input(), __metadata('design:type', Number)], Refresher.prototype, "pullMin", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Number)], Refresher.prototype, "pullMax", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Number)], Refresher.prototype, "closeDuration", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Number)], Refresher.prototype, "snapbackDuration", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Boolean)], Refresher.prototype, "enabled", null);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], Refresher.prototype, "ionRefresh", void 0);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], Refresher.prototype, "ionPull", void 0);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], Refresher.prototype, "ionStart", void 0);
    Refresher = __decorate([core_1.Directive({
      selector: 'ion-refresher',
      host: {
        '[class.refresher-active]': 'state !== "inactive"',
        '[style.top]': '_top'
      }
    }), __param(0, core_1.Host()), __metadata('design:paramtypes', [content_1.Content, core_1.NgZone, gesture_controller_1.GestureController])], Refresher);
    return Refresher;
  }());
  exports.Refresher = Refresher;
  var STATE_INACTIVE = 'inactive';
  var STATE_PULLING = 'pulling';
  var STATE_READY = 'ready';
  var STATE_REFRESHING = 'refreshing';
  var STATE_CANCELLING = 'cancelling';
  var STATE_COMPLETING = 'completing';
  return module.exports;
});

System.registerDynamic("ionic-angular/components/refresher/refresher-content.js", ["@angular/core", "@angular/common", "../../config/config", "../icon/icon", "./refresher", "../spinner/spinner"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var common_1 = $__require('@angular/common');
  var config_1 = $__require('../../config/config');
  var icon_1 = $__require('../icon/icon');
  var refresher_1 = $__require('./refresher');
  var spinner_1 = $__require('../spinner/spinner');
  var RefresherContent = (function() {
    function RefresherContent(r, _config) {
      this.r = r;
      this._config = _config;
    }
    RefresherContent.prototype.ngOnInit = function() {
      if (!this.pullingIcon) {
        this.pullingIcon = this._config.get('ionPullIcon', 'arrow-down');
      }
      if (!this.refreshingSpinner) {
        this.refreshingSpinner = this._config.get('ionRefreshingSpinner', this._config.get('spinner', 'ios'));
      }
    };
    __decorate([core_1.Input(), __metadata('design:type', String)], RefresherContent.prototype, "pullingIcon", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], RefresherContent.prototype, "pullingText", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], RefresherContent.prototype, "refreshingSpinner", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], RefresherContent.prototype, "refreshingText", void 0);
    RefresherContent = __decorate([core_1.Component({
      selector: 'ion-refresher-content',
      template: "\n    <div class=\"refresher-pulling\">\n      <div class=\"refresher-pulling-icon\" *ngIf=\"pullingIcon\">\n        <ion-icon [name]=\"pullingIcon\"></ion-icon>\n      </div>\n      <div class=\"refresher-pulling-text\" [innerHTML]=\"pullingText\" *ngIf=\"pullingText\"></div>\n    </div>\n    <div class=\"refresher-refreshing\">\n      <div class=\"refresher-refreshing-icon\">\n        <ion-spinner [name]=\"refreshingSpinner\"></ion-spinner>\n      </div>\n      <div class=\"refresher-refreshing-text\" [innerHTML]=\"refreshingText\" *ngIf=\"refreshingText\"></div>\n    </div>\n  ",
      directives: [icon_1.Icon, common_1.NgIf, spinner_1.Spinner],
      host: {'[attr.state]': 'r.state'},
      encapsulation: core_1.ViewEncapsulation.None
    }), __metadata('design:paramtypes', [refresher_1.Refresher, config_1.Config])], RefresherContent);
    return RefresherContent;
  }());
  exports.RefresherContent = RefresherContent;
  return module.exports;
});

System.registerDynamic("ionic-angular/gestures/hammer.js", ["../util/util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var util_1 = $__require('../util/util');
  var win = window;
  var doc = document;
  var VENDOR_PREFIXES = ['', 'webkit', 'Moz', 'MS', 'ms', 'o'];
  var TEST_ELEMENT = doc.createElement('div');
  var TYPE_FUNCTION = 'function';
  var round = Math.round;
  var abs = Math.abs;
  var now = Date.now;
  function setTimeoutContext(fn, timeout, context) {
    return setTimeout(bindFn(fn, context), timeout);
  }
  function invokeArrayArg(arg, fn, context) {
    if (Array.isArray(arg)) {
      each(arg, context[fn], context);
      return true;
    }
    return false;
  }
  function each(obj, iterator, context) {
    var i;
    if (!obj) {
      return;
    }
    if (obj.forEach) {
      obj.forEach(iterator, context);
    } else if (obj.length !== undefined) {
      i = 0;
      while (i < obj.length) {
        iterator.call(context, obj[i], i, obj);
        i++;
      }
    } else {
      for (i in obj) {
        obj.hasOwnProperty(i) && iterator.call(context, obj[i], i, obj);
      }
    }
  }
  function inherit(child, base, properties) {
    var baseP = base.prototype,
        childP;
    childP = child.prototype = Object.create(baseP);
    childP.constructor = child;
    childP._super = baseP;
    if (properties) {
      util_1.assign(childP, properties);
    }
  }
  function bindFn(fn, context) {
    return function boundFn() {
      return fn.apply(context, arguments);
    };
  }
  function boolOrFn(val, args) {
    if (typeof val == TYPE_FUNCTION) {
      return val.apply(args ? args[0] || undefined : undefined, args);
    }
    return val;
  }
  function ifUndefined(val1, val2) {
    return (val1 === undefined) ? val2 : val1;
  }
  function addEventListeners(target, types, handler) {
    each(splitStr(types), function(type) {
      target.addEventListener(type, handler, false);
    });
  }
  function removeEventListeners(target, types, handler) {
    each(splitStr(types), function(type) {
      target.removeEventListener(type, handler, false);
    });
  }
  function hasParent(node, parent) {
    while (node) {
      if (node == parent) {
        return true;
      }
      node = node.parentNode;
    }
    return false;
  }
  function inStr(str, find) {
    return str.indexOf(find) > -1;
  }
  function splitStr(str) {
    return str.trim().split(/\s+/g);
  }
  function inArray(src, find, findByKey) {
    if (src.indexOf && !findByKey) {
      return src.indexOf(find);
    } else {
      var i = 0;
      while (i < src.length) {
        if ((findByKey && src[i][findByKey] == find) || (!findByKey && src[i] === find)) {
          return i;
        }
        i++;
      }
      return -1;
    }
  }
  function toArray(obj) {
    return Array.prototype.slice.call(obj, 0);
  }
  function uniqueArray(src, key, sort) {
    var results = [];
    var values = [];
    var i = 0;
    while (i < src.length) {
      var val = key ? src[i][key] : src[i];
      if (inArray(values, val) < 0) {
        results.push(src[i]);
      }
      values[i] = val;
      i++;
    }
    if (sort) {
      if (!key) {
        results = results.sort();
      } else {
        results = results.sort(function sortUniqueArray(a, b) {
          return a[key] > b[key] ? 1 : 0;
        });
      }
    }
    return results;
  }
  function prefixed(obj, property) {
    var prefix,
        prop;
    var camelProp = property[0].toUpperCase() + property.slice(1);
    var i = 0;
    while (i < VENDOR_PREFIXES.length) {
      prefix = VENDOR_PREFIXES[i];
      prop = (prefix) ? prefix + camelProp : property;
      if (prop in obj) {
        return prop;
      }
      i++;
    }
    return undefined;
  }
  var _uniqueId = 1;
  function uniqueId() {
    return _uniqueId++;
  }
  function getWindowForElement(element) {
    var doc = element.ownerDocument || element;
    return (doc.defaultView || doc.parentWindow || window);
  }
  var MOBILE_REGEX = /mobile|tablet|ip(ad|hone|od)|android/i;
  var SUPPORT_TOUCH = ('ontouchstart' in window);
  var SUPPORT_POINTER_EVENTS = prefixed(window, 'PointerEvent') !== undefined;
  var SUPPORT_ONLY_TOUCH = SUPPORT_TOUCH && MOBILE_REGEX.test(navigator.userAgent);
  var INPUT_TYPE_TOUCH = 'touch';
  var INPUT_TYPE_PEN = 'pen';
  var INPUT_TYPE_MOUSE = 'mouse';
  var INPUT_TYPE_KINECT = 'kinect';
  var COMPUTE_INTERVAL = 25;
  var INPUT_START = 1;
  var INPUT_MOVE = 2;
  var INPUT_END = 4;
  var INPUT_CANCEL = 8;
  var DIRECTION_NONE = 1;
  exports.DIRECTION_LEFT = 2;
  exports.DIRECTION_RIGHT = 4;
  var DIRECTION_UP = 8;
  var DIRECTION_DOWN = 16;
  exports.DIRECTION_HORIZONTAL = exports.DIRECTION_LEFT | exports.DIRECTION_RIGHT;
  exports.DIRECTION_VERTICAL = DIRECTION_UP | DIRECTION_DOWN;
  var DIRECTION_ALL = exports.DIRECTION_HORIZONTAL | exports.DIRECTION_VERTICAL;
  var PROPS_XY = ['x', 'y'];
  var PROPS_CLIENT_XY = ['clientX', 'clientY'];
  function Input(manager, callback) {
    var self = this;
    this.manager = manager;
    this.callback = callback;
    this.element = manager.element;
    this.target = manager.options.inputTarget;
    this.domHandler = function(ev) {
      if (boolOrFn(manager.options.enable, [manager])) {
        self.handler(ev);
      }
    };
    this.init();
  }
  Input.prototype = {
    handler: function() {},
    init: function() {
      this.evEl && addEventListeners(this.element, this.evEl, this.domHandler);
      this.evTarget && addEventListeners(this.target, this.evTarget, this.domHandler);
      this.evWin && addEventListeners(getWindowForElement(this.element), this.evWin, this.domHandler);
    },
    destroy: function() {
      this.evEl && removeEventListeners(this.element, this.evEl, this.domHandler);
      this.evTarget && removeEventListeners(this.target, this.evTarget, this.domHandler);
      this.evWin && removeEventListeners(getWindowForElement(this.element), this.evWin, this.domHandler);
    }
  };
  function createInputInstance(manager) {
    var Type;
    var inputClass = manager.options.inputClass;
    if (inputClass) {
      Type = inputClass;
    } else if (SUPPORT_POINTER_EVENTS) {
      Type = PointerEventInput;
    } else if (SUPPORT_ONLY_TOUCH) {
      Type = TouchInput;
    } else if (!SUPPORT_TOUCH) {
      Type = MouseInput;
    } else {
      Type = TouchMouseInput;
    }
    return new (Type)(manager, inputHandler);
  }
  function inputHandler(manager, eventType, input) {
    var pointersLen = input.pointers.length;
    var changedPointersLen = input.changedPointers.length;
    var isFirst = (eventType & INPUT_START && (pointersLen - changedPointersLen === 0));
    var isFinal = (eventType & (INPUT_END | INPUT_CANCEL) && (pointersLen - changedPointersLen === 0));
    input.isFirst = !!isFirst;
    input.isFinal = !!isFinal;
    if (isFirst) {
      manager.session = {};
    }
    input.eventType = eventType;
    computeInputData(manager, input);
    manager.emit('hammer.input', input);
    manager.recognize(input);
    manager.session.prevInput = input;
  }
  function computeInputData(manager, input) {
    var session = manager.session;
    var pointers = input.pointers;
    var pointersLength = pointers.length;
    if (!session.firstInput) {
      session.firstInput = simpleCloneInputData(input);
    }
    if (pointersLength > 1 && !session.firstMultiple) {
      session.firstMultiple = simpleCloneInputData(input);
    } else if (pointersLength === 1) {
      session.firstMultiple = false;
    }
    var firstInput = session.firstInput;
    var firstMultiple = session.firstMultiple;
    var offsetCenter = firstMultiple ? firstMultiple.center : firstInput.center;
    var center = input.center = getCenter(pointers);
    input.timeStamp = now();
    input.deltaTime = input.timeStamp - firstInput.timeStamp;
    input.angle = getAngle(offsetCenter, center);
    input.distance = getDistance(offsetCenter, center);
    computeDeltaXY(session, input);
    input.offsetDirection = getDirection(input.deltaX, input.deltaY);
    var overallVelocity = getVelocity(input.deltaTime, input.deltaX, input.deltaY);
    input.overallVelocityX = overallVelocity.x;
    input.overallVelocityY = overallVelocity.y;
    input.overallVelocity = (abs(overallVelocity.x) > abs(overallVelocity.y)) ? overallVelocity.x : overallVelocity.y;
    input.scale = firstMultiple ? getScale(firstMultiple.pointers, pointers) : 1;
    input.rotation = firstMultiple ? getRotation(firstMultiple.pointers, pointers) : 0;
    input.maxPointers = !session.prevInput ? input.pointers.length : ((input.pointers.length > session.prevInput.maxPointers) ? input.pointers.length : session.prevInput.maxPointers);
    computeIntervalInputData(session, input);
    var target = manager.element;
    if (hasParent(input.srcEvent.target, target)) {
      target = input.srcEvent.target;
    }
    input.target = target;
  }
  function computeDeltaXY(session, input) {
    var center = input.center;
    var offset = session.offsetDelta || {};
    var prevDelta = session.prevDelta || {};
    var prevInput = session.prevInput || {};
    if (input.eventType === INPUT_START || prevInput.eventType === INPUT_END) {
      prevDelta = session.prevDelta = {
        x: prevInput.deltaX || 0,
        y: prevInput.deltaY || 0
      };
      offset = session.offsetDelta = {
        x: center.x,
        y: center.y
      };
    }
    input.deltaX = prevDelta.x + (center.x - offset.x);
    input.deltaY = prevDelta.y + (center.y - offset.y);
  }
  function computeIntervalInputData(session, input) {
    var last = session.lastInterval || input,
        deltaTime = input.timeStamp - last.timeStamp,
        velocity,
        velocityX,
        velocityY,
        direction;
    if (input.eventType != INPUT_CANCEL && (deltaTime > COMPUTE_INTERVAL || last.velocity === undefined)) {
      var deltaX = input.deltaX - last.deltaX;
      var deltaY = input.deltaY - last.deltaY;
      var v = getVelocity(deltaTime, deltaX, deltaY);
      velocityX = v.x;
      velocityY = v.y;
      velocity = (abs(v.x) > abs(v.y)) ? v.x : v.y;
      direction = getDirection(deltaX, deltaY);
      session.lastInterval = input;
    } else {
      velocity = last.velocity;
      velocityX = last.velocityX;
      velocityY = last.velocityY;
      direction = last.direction;
    }
    input.velocity = velocity;
    input.velocityX = velocityX;
    input.velocityY = velocityY;
    input.direction = direction;
  }
  function simpleCloneInputData(input) {
    var pointers = [];
    var i = 0;
    while (i < input.pointers.length) {
      pointers[i] = {
        clientX: round(input.pointers[i].clientX),
        clientY: round(input.pointers[i].clientY)
      };
      i++;
    }
    return {
      timeStamp: now(),
      pointers: pointers,
      center: getCenter(pointers),
      deltaX: input.deltaX,
      deltaY: input.deltaY
    };
  }
  function getCenter(pointers) {
    var pointersLength = pointers.length;
    if (pointersLength === 1) {
      return {
        x: round(pointers[0].clientX),
        y: round(pointers[0].clientY)
      };
    }
    var x = 0,
        y = 0,
        i = 0;
    while (i < pointersLength) {
      x += pointers[i].clientX;
      y += pointers[i].clientY;
      i++;
    }
    return {
      x: round(x / pointersLength),
      y: round(y / pointersLength)
    };
  }
  function getVelocity(deltaTime, x, y) {
    return {
      x: x / deltaTime || 0,
      y: y / deltaTime || 0
    };
  }
  function getDirection(x, y) {
    if (x === y) {
      return DIRECTION_NONE;
    }
    if (abs(x) >= abs(y)) {
      return x < 0 ? exports.DIRECTION_LEFT : exports.DIRECTION_RIGHT;
    }
    return y < 0 ? DIRECTION_UP : DIRECTION_DOWN;
  }
  function getDistance(p1, p2, props) {
    if (!props) {
      props = PROPS_XY;
    }
    var x = p2[props[0]] - p1[props[0]],
        y = p2[props[1]] - p1[props[1]];
    return Math.sqrt((x * x) + (y * y));
  }
  function getAngle(p1, p2, props) {
    if (!props) {
      props = PROPS_XY;
    }
    var x = p2[props[0]] - p1[props[0]],
        y = p2[props[1]] - p1[props[1]];
    return Math.atan2(y, x) * 180 / Math.PI;
  }
  function getRotation(start, end) {
    return getAngle(end[1], end[0], PROPS_CLIENT_XY) + getAngle(start[1], start[0], PROPS_CLIENT_XY);
  }
  function getScale(start, end) {
    return getDistance(end[0], end[1], PROPS_CLIENT_XY) / getDistance(start[0], start[1], PROPS_CLIENT_XY);
  }
  var MOUSE_INPUT_MAP = {
    mousedown: INPUT_START,
    mousemove: INPUT_MOVE,
    mouseup: INPUT_END
  };
  var MOUSE_ELEMENT_EVENTS = 'mousedown';
  var MOUSE_WINDOW_EVENTS = 'mousemove mouseup';
  function MouseInput(manager, handler) {
    this.evEl = MOUSE_ELEMENT_EVENTS;
    this.evWin = MOUSE_WINDOW_EVENTS;
    this.allow = true;
    this.pressed = false;
    Input.apply(this, arguments);
  }
  inherit(MouseInput, Input, {handler: function MEhandler(ev) {
      var eventType = MOUSE_INPUT_MAP[ev.type];
      if (eventType & INPUT_START && ev.button === 0) {
        this.pressed = true;
      }
      if (eventType & INPUT_MOVE && ev.which !== 1) {
        eventType = INPUT_END;
      }
      if (!this.pressed || !this.allow) {
        return;
      }
      if (eventType & INPUT_END) {
        this.pressed = false;
      }
      this.callback(this.manager, eventType, {
        pointers: [ev],
        changedPointers: [ev],
        pointerType: INPUT_TYPE_MOUSE,
        srcEvent: ev
      });
    }});
  var POINTER_INPUT_MAP = {
    pointerdown: INPUT_START,
    pointermove: INPUT_MOVE,
    pointerup: INPUT_END,
    pointercancel: INPUT_CANCEL,
    pointerout: INPUT_CANCEL
  };
  var IE10_POINTER_TYPE_ENUM = {
    2: INPUT_TYPE_TOUCH,
    3: INPUT_TYPE_PEN,
    4: INPUT_TYPE_MOUSE,
    5: INPUT_TYPE_KINECT
  };
  var POINTER_ELEMENT_EVENTS = 'pointerdown';
  var POINTER_WINDOW_EVENTS = 'pointermove pointerup pointercancel';
  if (win.MSPointerEvent && !win.PointerEvent) {
    POINTER_ELEMENT_EVENTS = 'MSPointerDown';
    POINTER_WINDOW_EVENTS = 'MSPointerMove MSPointerUp MSPointerCancel';
  }
  function PointerEventInput() {
    this.evEl = POINTER_ELEMENT_EVENTS;
    this.evWin = POINTER_WINDOW_EVENTS;
    Input.apply(this, arguments);
    this.store = (this.manager.session.pointerEvents = []);
  }
  inherit(PointerEventInput, Input, {handler: function PEhandler(ev) {
      var store = this.store;
      var removePointer = false;
      var eventTypeNormalized = ev.type.toLowerCase().replace('ms', '');
      var eventType = POINTER_INPUT_MAP[eventTypeNormalized];
      var pointerType = IE10_POINTER_TYPE_ENUM[ev.pointerType] || ev.pointerType;
      var isTouch = (pointerType == INPUT_TYPE_TOUCH);
      var storeIndex = inArray(store, ev.pointerId, 'pointerId');
      if (eventType & INPUT_START && (ev.button === 0 || isTouch)) {
        if (storeIndex < 0) {
          store.push(ev);
          storeIndex = store.length - 1;
        }
      } else if (eventType & (INPUT_END | INPUT_CANCEL)) {
        removePointer = true;
      }
      if (storeIndex < 0) {
        return;
      }
      store[storeIndex] = ev;
      this.callback(this.manager, eventType, {
        pointers: store,
        changedPointers: [ev],
        pointerType: pointerType,
        srcEvent: ev
      });
      if (removePointer) {
        store.splice(storeIndex, 1);
      }
    }});
  var SINGLE_TOUCH_INPUT_MAP = {
    touchstart: INPUT_START,
    touchmove: INPUT_MOVE,
    touchend: INPUT_END,
    touchcancel: INPUT_CANCEL
  };
  var SINGLE_TOUCH_TARGET_EVENTS = 'touchstart';
  var SINGLE_TOUCH_WINDOW_EVENTS = 'touchstart touchmove touchend touchcancel';
  function SingleTouchInput() {
    this.evTarget = SINGLE_TOUCH_TARGET_EVENTS;
    this.evWin = SINGLE_TOUCH_WINDOW_EVENTS;
    this.started = false;
    Input.apply(this, arguments);
  }
  inherit(SingleTouchInput, Input, {handler: function TEhandler(ev) {
      var type = SINGLE_TOUCH_INPUT_MAP[ev.type];
      if (type === INPUT_START) {
        this.started = true;
      }
      if (!this.started) {
        return;
      }
      var touches = normalizeSingleTouches.call(this, ev, type);
      if (type & (INPUT_END | INPUT_CANCEL) && touches[0].length - touches[1].length === 0) {
        this.started = false;
      }
      this.callback(this.manager, type, {
        pointers: touches[0],
        changedPointers: touches[1],
        pointerType: INPUT_TYPE_TOUCH,
        srcEvent: ev
      });
    }});
  function normalizeSingleTouches(ev, type) {
    var all = toArray(ev.touches);
    var changed = toArray(ev.changedTouches);
    if (type & (INPUT_END | INPUT_CANCEL)) {
      all = uniqueArray(all.concat(changed), 'identifier', true);
    }
    return [all, changed];
  }
  var TOUCH_INPUT_MAP = {
    touchstart: INPUT_START,
    touchmove: INPUT_MOVE,
    touchend: INPUT_END,
    touchcancel: INPUT_CANCEL
  };
  var TOUCH_TARGET_EVENTS = 'touchstart touchmove touchend touchcancel';
  function TouchInput(manager, handler) {
    this.evTarget = TOUCH_TARGET_EVENTS;
    this.targetIds = {};
    Input.apply(this, arguments);
  }
  inherit(TouchInput, Input, {handler: function MTEhandler(ev) {
      var type = TOUCH_INPUT_MAP[ev.type];
      var touches = getTouches.call(this, ev, type);
      if (!touches) {
        return;
      }
      this.callback(this.manager, type, {
        pointers: touches[0],
        changedPointers: touches[1],
        pointerType: INPUT_TYPE_TOUCH,
        srcEvent: ev
      });
    }});
  function getTouches(ev, type) {
    var allTouches = toArray(ev.touches);
    var targetIds = this.targetIds;
    if (type & (INPUT_START | INPUT_MOVE) && allTouches.length === 1) {
      targetIds[allTouches[0].identifier] = true;
      return [allTouches, allTouches];
    }
    var i,
        targetTouches,
        changedTouches = toArray(ev.changedTouches),
        changedTargetTouches = [],
        target = this.target;
    targetTouches = allTouches.filter(function(touch) {
      return hasParent(touch.target, target);
    });
    if (type === INPUT_START) {
      i = 0;
      while (i < targetTouches.length) {
        targetIds[targetTouches[i].identifier] = true;
        i++;
      }
    }
    i = 0;
    while (i < changedTouches.length) {
      if (targetIds[changedTouches[i].identifier]) {
        changedTargetTouches.push(changedTouches[i]);
      }
      if (type & (INPUT_END | INPUT_CANCEL)) {
        delete targetIds[changedTouches[i].identifier];
      }
      i++;
    }
    if (!changedTargetTouches.length) {
      return;
    }
    return [uniqueArray(targetTouches.concat(changedTargetTouches), 'identifier', true), changedTargetTouches];
  }
  function TouchMouseInput() {
    Input.apply(this, arguments);
    var handler = bindFn(this.handler, this);
    this.touch = new TouchInput(this.manager, handler);
    this.mouse = new MouseInput(this.manager, handler);
  }
  inherit(TouchMouseInput, Input, {
    handler: function TMEhandler(manager, inputEvent, inputData) {
      var isTouch = (inputData.pointerType == INPUT_TYPE_TOUCH),
          isMouse = (inputData.pointerType == INPUT_TYPE_MOUSE);
      if (isTouch) {
        this.mouse.allow = false;
      } else if (isMouse && !this.mouse.allow) {
        return;
      }
      if (inputEvent & (INPUT_END | INPUT_CANCEL)) {
        this.mouse.allow = true;
      }
      this.callback(manager, inputEvent, inputData);
    },
    destroy: function destroy() {
      this.touch.destroy();
      this.mouse.destroy();
    }
  });
  var PREFIXED_TOUCH_ACTION = prefixed(TEST_ELEMENT.style, 'touchAction');
  var NATIVE_TOUCH_ACTION = PREFIXED_TOUCH_ACTION !== undefined;
  var TOUCH_ACTION_COMPUTE = 'compute';
  var TOUCH_ACTION_AUTO = 'auto';
  var TOUCH_ACTION_MANIPULATION = 'manipulation';
  var TOUCH_ACTION_NONE = 'none';
  var TOUCH_ACTION_PAN_X = 'pan-x';
  var TOUCH_ACTION_PAN_Y = 'pan-y';
  function TouchAction(manager, value) {
    this.manager = manager;
    this.set(value);
  }
  TouchAction.prototype = {
    set: function(value) {
      if (value == TOUCH_ACTION_COMPUTE) {
        value = this.compute();
      }
      if (NATIVE_TOUCH_ACTION && this.manager.element.style) {
        this.manager.element.style[PREFIXED_TOUCH_ACTION] = value;
      }
      this.actions = value.toLowerCase().trim();
    },
    update: function() {
      this.set(this.manager.options.touchAction);
    },
    compute: function() {
      var actions = [];
      each(this.manager.recognizers, function(recognizer) {
        if (boolOrFn(recognizer.options.enable, [recognizer])) {
          actions = actions.concat(recognizer.getTouchAction());
        }
      });
      return cleanTouchActions(actions.join(' '));
    },
    preventDefaults: function(input) {
      if (NATIVE_TOUCH_ACTION) {
        return;
      }
      var srcEvent = input.srcEvent;
      var direction = input.offsetDirection;
      if (this.manager.session.prevented) {
        srcEvent.preventDefault();
        return;
      }
      var actions = this.actions;
      var hasNone = inStr(actions, TOUCH_ACTION_NONE);
      var hasPanY = inStr(actions, TOUCH_ACTION_PAN_Y);
      var hasPanX = inStr(actions, TOUCH_ACTION_PAN_X);
      if (hasNone) {
        var isTapPointer = input.pointers.length === 1;
        var isTapMovement = input.distance < 2;
        var isTapTouchTime = input.deltaTime < 250;
        if (isTapPointer && isTapMovement && isTapTouchTime) {
          return;
        }
      }
      if (hasPanX && hasPanY) {
        return;
      }
      if (hasNone || (hasPanY && direction & exports.DIRECTION_HORIZONTAL) || (hasPanX && direction & exports.DIRECTION_VERTICAL)) {
        return this.preventSrc(srcEvent);
      }
    },
    preventSrc: function(srcEvent) {
      this.manager.session.prevented = true;
      srcEvent.preventDefault();
    }
  };
  function cleanTouchActions(actions) {
    if (inStr(actions, TOUCH_ACTION_NONE)) {
      return TOUCH_ACTION_NONE;
    }
    var hasPanX = inStr(actions, TOUCH_ACTION_PAN_X);
    var hasPanY = inStr(actions, TOUCH_ACTION_PAN_Y);
    if (hasPanX && hasPanY) {
      return TOUCH_ACTION_NONE;
    }
    if (hasPanX || hasPanY) {
      return hasPanX ? TOUCH_ACTION_PAN_X : TOUCH_ACTION_PAN_Y;
    }
    if (inStr(actions, TOUCH_ACTION_MANIPULATION)) {
      return TOUCH_ACTION_MANIPULATION;
    }
    return TOUCH_ACTION_AUTO;
  }
  var STATE_POSSIBLE = 1;
  var STATE_BEGAN = 2;
  var STATE_CHANGED = 4;
  var STATE_ENDED = 8;
  var STATE_RECOGNIZED = STATE_ENDED;
  var STATE_CANCELLED = 16;
  var STATE_FAILED = 32;
  function Recognizer(options) {
    this.options = util_1.assign({}, this.defaults, options || {});
    this.id = uniqueId();
    this.manager = null;
    this.options.enable = ifUndefined(this.options.enable, true);
    this.state = STATE_POSSIBLE;
    this.simultaneous = {};
    this.requireFail = [];
  }
  Recognizer.prototype = {
    defaults: {},
    set: function(options) {
      util_1.assign(this.options, options);
      this.manager && this.manager.touchAction.update();
      return this;
    },
    recognizeWith: function(otherRecognizer) {
      if (invokeArrayArg(otherRecognizer, 'recognizeWith', this)) {
        return this;
      }
      var simultaneous = this.simultaneous;
      otherRecognizer = getRecognizerByNameIfManager(otherRecognizer, this);
      if (!simultaneous[otherRecognizer.id]) {
        simultaneous[otherRecognizer.id] = otherRecognizer;
        otherRecognizer.recognizeWith(this);
      }
      return this;
    },
    dropRecognizeWith: function(otherRecognizer) {
      if (invokeArrayArg(otherRecognizer, 'dropRecognizeWith', this)) {
        return this;
      }
      otherRecognizer = getRecognizerByNameIfManager(otherRecognizer, this);
      delete this.simultaneous[otherRecognizer.id];
      return this;
    },
    requireFailure: function(otherRecognizer) {
      if (invokeArrayArg(otherRecognizer, 'requireFailure', this)) {
        return this;
      }
      var requireFail = this.requireFail;
      otherRecognizer = getRecognizerByNameIfManager(otherRecognizer, this);
      if (inArray(requireFail, otherRecognizer) === -1) {
        requireFail.push(otherRecognizer);
        otherRecognizer.requireFailure(this);
      }
      return this;
    },
    dropRequireFailure: function(otherRecognizer) {
      if (invokeArrayArg(otherRecognizer, 'dropRequireFailure', this)) {
        return this;
      }
      otherRecognizer = getRecognizerByNameIfManager(otherRecognizer, this);
      var index = inArray(this.requireFail, otherRecognizer);
      if (index > -1) {
        this.requireFail.splice(index, 1);
      }
      return this;
    },
    hasRequireFailures: function() {
      return this.requireFail.length > 0;
    },
    canRecognizeWith: function(otherRecognizer) {
      return !!this.simultaneous[otherRecognizer.id];
    },
    emit: function(input) {
      var self = this;
      var state = this.state;
      function emit(event) {
        self.manager.emit(event, input);
      }
      if (state < STATE_ENDED) {
        emit(self.options.event + stateStr(state));
      }
      emit(self.options.event);
      if (input.additionalEvent) {
        emit(input.additionalEvent);
      }
      if (state >= STATE_ENDED) {
        emit(self.options.event + stateStr(state));
      }
    },
    tryEmit: function(input) {
      if (this.canEmit()) {
        return this.emit(input);
      }
      this.state = STATE_FAILED;
    },
    canEmit: function() {
      var i = 0;
      while (i < this.requireFail.length) {
        if (!(this.requireFail[i].state & (STATE_FAILED | STATE_POSSIBLE))) {
          return false;
        }
        i++;
      }
      return true;
    },
    recognize: function(inputData) {
      var inputDataClone = util_1.assign({}, inputData);
      if (!boolOrFn(this.options.enable, [this, inputDataClone])) {
        this.reset();
        this.state = STATE_FAILED;
        return;
      }
      if (this.state & (STATE_RECOGNIZED | STATE_CANCELLED | STATE_FAILED)) {
        this.state = STATE_POSSIBLE;
      }
      this.state = this.process(inputDataClone);
      if (this.state & (STATE_BEGAN | STATE_CHANGED | STATE_ENDED | STATE_CANCELLED)) {
        this.tryEmit(inputDataClone);
      }
    },
    process: function(inputData) {},
    getTouchAction: function() {},
    reset: function() {}
  };
  function stateStr(state) {
    if (state & STATE_CANCELLED) {
      return 'cancel';
    } else if (state & STATE_ENDED) {
      return 'end';
    } else if (state & STATE_CHANGED) {
      return 'move';
    } else if (state & STATE_BEGAN) {
      return 'start';
    }
    return '';
  }
  function directionStr(direction) {
    if (direction == DIRECTION_DOWN) {
      return 'down';
    } else if (direction == DIRECTION_UP) {
      return 'up';
    } else if (direction == exports.DIRECTION_LEFT) {
      return 'left';
    } else if (direction == exports.DIRECTION_RIGHT) {
      return 'right';
    }
    return '';
  }
  function getRecognizerByNameIfManager(otherRecognizer, recognizer) {
    var manager = recognizer.manager;
    if (manager) {
      return manager.get(otherRecognizer);
    }
    return otherRecognizer;
  }
  function AttrRecognizer() {
    Recognizer.apply(this, arguments);
  }
  inherit(AttrRecognizer, Recognizer, {
    defaults: {pointers: 1},
    attrTest: function(input) {
      var optionPointers = this.options.pointers;
      return optionPointers === 0 || input.pointers.length === optionPointers;
    },
    process: function(input) {
      var state = this.state;
      var eventType = input.eventType;
      var isRecognized = state & (STATE_BEGAN | STATE_CHANGED);
      var isValid = this.attrTest(input);
      if (isRecognized && (eventType & INPUT_CANCEL || !isValid)) {
        return state | STATE_CANCELLED;
      } else if (isRecognized || isValid) {
        if (eventType & INPUT_END) {
          return state | STATE_ENDED;
        } else if (!(state & STATE_BEGAN)) {
          return STATE_BEGAN;
        }
        return state | STATE_CHANGED;
      }
      return STATE_FAILED;
    }
  });
  function PanRecognizer() {
    AttrRecognizer.apply(this, arguments);
    this.pX = null;
    this.pY = null;
  }
  inherit(PanRecognizer, AttrRecognizer, {
    defaults: {
      event: 'pan',
      threshold: 10,
      pointers: 1,
      direction: DIRECTION_ALL
    },
    getTouchAction: function() {
      var direction = this.options.direction;
      var actions = [];
      if (direction & exports.DIRECTION_HORIZONTAL) {
        actions.push(TOUCH_ACTION_PAN_Y);
      }
      if (direction & exports.DIRECTION_VERTICAL) {
        actions.push(TOUCH_ACTION_PAN_X);
      }
      return actions;
    },
    directionTest: function(input) {
      var options = this.options;
      var hasMoved = true;
      var distance = input.distance;
      var direction = input.direction;
      var x = input.deltaX;
      var y = input.deltaY;
      if (!(direction & options.direction)) {
        if (options.direction & exports.DIRECTION_HORIZONTAL) {
          direction = (x === 0) ? DIRECTION_NONE : (x < 0) ? exports.DIRECTION_LEFT : exports.DIRECTION_RIGHT;
          hasMoved = x != this.pX;
          distance = Math.abs(input.deltaX);
        } else {
          direction = (y === 0) ? DIRECTION_NONE : (y < 0) ? DIRECTION_UP : DIRECTION_DOWN;
          hasMoved = y != this.pY;
          distance = Math.abs(input.deltaY);
        }
      }
      input.direction = direction;
      return hasMoved && distance > options.threshold && direction & options.direction;
    },
    attrTest: function(input) {
      return AttrRecognizer.prototype.attrTest.call(this, input) && (this.state & STATE_BEGAN || (!(this.state & STATE_BEGAN) && this.directionTest(input)));
    },
    emit: function(input) {
      this.pX = input.deltaX;
      this.pY = input.deltaY;
      var direction = directionStr(input.direction);
      if (direction) {
        input.additionalEvent = this.options.event + direction;
      }
      this._super.emit.call(this, input);
    }
  });
  function PinchRecognizer() {
    AttrRecognizer.apply(this, arguments);
  }
  inherit(PinchRecognizer, AttrRecognizer, {
    defaults: {
      event: 'pinch',
      threshold: 0,
      pointers: 2
    },
    getTouchAction: function() {
      return [TOUCH_ACTION_NONE];
    },
    attrTest: function(input) {
      return this._super.attrTest.call(this, input) && (Math.abs(input.scale - 1) > this.options.threshold || this.state & STATE_BEGAN);
    },
    emit: function(input) {
      if (input.scale !== 1) {
        var inOut = input.scale < 1 ? 'in' : 'out';
        input.additionalEvent = this.options.event + inOut;
      }
      this._super.emit.call(this, input);
    }
  });
  function PressRecognizer() {
    Recognizer.apply(this, arguments);
    this._timer = null;
    this._input = null;
  }
  inherit(PressRecognizer, Recognizer, {
    defaults: {
      event: 'press',
      pointers: 1,
      time: 251,
      threshold: 9
    },
    getTouchAction: function() {
      return [TOUCH_ACTION_AUTO];
    },
    process: function(input) {
      var options = this.options;
      var validPointers = input.pointers.length === options.pointers;
      var validMovement = input.distance < options.threshold;
      var validTime = input.deltaTime > options.time;
      this._input = input;
      if (!validMovement || !validPointers || (input.eventType & (INPUT_END | INPUT_CANCEL) && !validTime)) {
        this.reset();
      } else if (input.eventType & INPUT_START) {
        this.reset();
        this._timer = setTimeoutContext(function() {
          this.state = STATE_RECOGNIZED;
          this.tryEmit();
        }, options.time, this);
      } else if (input.eventType & INPUT_END) {
        return STATE_RECOGNIZED;
      }
      return STATE_FAILED;
    },
    reset: function() {
      clearTimeout(this._timer);
    },
    emit: function(input) {
      if (this.state !== STATE_RECOGNIZED) {
        return;
      }
      if (input && (input.eventType & INPUT_END)) {
        this.manager.emit(this.options.event + 'up', input);
      } else {
        this._input.timeStamp = now();
        this.manager.emit(this.options.event, this._input);
      }
    }
  });
  function RotateRecognizer() {
    AttrRecognizer.apply(this, arguments);
  }
  inherit(RotateRecognizer, AttrRecognizer, {
    defaults: {
      event: 'rotate',
      threshold: 0,
      pointers: 2
    },
    getTouchAction: function() {
      return [TOUCH_ACTION_NONE];
    },
    attrTest: function(input) {
      return this._super.attrTest.call(this, input) && (Math.abs(input.rotation) > this.options.threshold || this.state & STATE_BEGAN);
    }
  });
  function SwipeRecognizer() {
    AttrRecognizer.apply(this, arguments);
  }
  inherit(SwipeRecognizer, AttrRecognizer, {
    defaults: {
      event: 'swipe',
      threshold: 10,
      velocity: 0.3,
      direction: exports.DIRECTION_HORIZONTAL | exports.DIRECTION_VERTICAL,
      pointers: 1
    },
    getTouchAction: function() {
      return PanRecognizer.prototype.getTouchAction.call(this);
    },
    attrTest: function(input) {
      var direction = this.options.direction;
      var velocity;
      if (direction & (exports.DIRECTION_HORIZONTAL | exports.DIRECTION_VERTICAL)) {
        velocity = input.overallVelocity;
      } else if (direction & exports.DIRECTION_HORIZONTAL) {
        velocity = input.overallVelocityX;
      } else if (direction & exports.DIRECTION_VERTICAL) {
        velocity = input.overallVelocityY;
      }
      return this._super.attrTest.call(this, input) && direction & input.offsetDirection && input.distance > this.options.threshold && input.maxPointers == this.options.pointers && abs(velocity) > this.options.velocity && input.eventType & INPUT_END;
    },
    emit: function(input) {
      var direction = directionStr(input.offsetDirection);
      if (direction) {
        this.manager.emit(this.options.event + direction, input);
      }
      this.manager.emit(this.options.event, input);
    }
  });
  function TapRecognizer() {
    Recognizer.apply(this, arguments);
    this.pTime = false;
    this.pCenter = false;
    this._timer = null;
    this._input = null;
    this.count = 0;
  }
  inherit(TapRecognizer, Recognizer, {
    defaults: {
      event: 'tap',
      pointers: 1,
      taps: 1,
      interval: 300,
      time: 250,
      threshold: 9,
      posThreshold: 10
    },
    getTouchAction: function() {
      return [TOUCH_ACTION_MANIPULATION];
    },
    process: function(input) {
      var options = this.options;
      var validPointers = input.pointers.length === options.pointers;
      var validMovement = input.distance < options.threshold;
      var validTouchTime = input.deltaTime < options.time;
      this.reset();
      if ((input.eventType & INPUT_START) && (this.count === 0)) {
        return this.failTimeout();
      }
      if (validMovement && validTouchTime && validPointers) {
        if (input.eventType != INPUT_END) {
          return this.failTimeout();
        }
        var validInterval = this.pTime ? (input.timeStamp - this.pTime < options.interval) : true;
        var validMultiTap = !this.pCenter || getDistance(this.pCenter, input.center) < options.posThreshold;
        this.pTime = input.timeStamp;
        this.pCenter = input.center;
        if (!validMultiTap || !validInterval) {
          this.count = 1;
        } else {
          this.count += 1;
        }
        this._input = input;
        var tapCount = this.count % options.taps;
        if (tapCount === 0) {
          if (!this.hasRequireFailures()) {
            return STATE_RECOGNIZED;
          } else {
            this._timer = setTimeoutContext(function() {
              this.state = STATE_RECOGNIZED;
              this.tryEmit();
            }, options.interval, this);
            return STATE_BEGAN;
          }
        }
      }
      return STATE_FAILED;
    },
    failTimeout: function() {
      this._timer = setTimeoutContext(function() {
        this.state = STATE_FAILED;
      }, this.options.interval, this);
      return STATE_FAILED;
    },
    reset: function() {
      clearTimeout(this._timer);
    },
    emit: function() {
      if (this.state == STATE_RECOGNIZED) {
        this._input.tapCount = this.count;
        this.manager.emit(this.options.event, this._input);
      }
    }
  });
  function Hammer(element, options) {
    options = options || {};
    options.recognizers = ifUndefined(options.recognizers, _defaults.preset);
    return new Manager(element, options);
  }
  exports.Hammer = Hammer;
  var VERSION = '2.0.6';
  var _defaults = {
    domEvents: false,
    touchAction: TOUCH_ACTION_COMPUTE,
    enable: true,
    inputTarget: null,
    inputClass: null,
    preset: [[RotateRecognizer, {enable: false}], [PinchRecognizer, {enable: false}, ['rotate']], [SwipeRecognizer, {direction: exports.DIRECTION_HORIZONTAL}], [PanRecognizer, {direction: exports.DIRECTION_HORIZONTAL}, ['swipe']], [TapRecognizer], [TapRecognizer, {
      event: 'doubletap',
      taps: 2
    }, ['tap']], [PressRecognizer]],
    cssProps: {
      userSelect: 'none',
      touchSelect: 'none',
      touchCallout: 'none',
      contentZooming: 'none',
      userDrag: 'none',
      tapHighlightColor: 'rgba(0,0,0,0)'
    }
  };
  var STOP = 1;
  var FORCED_STOP = 2;
  function Manager(element, options) {
    this.options = util_1.assign({}, _defaults, options || {});
    this.options.inputTarget = this.options.inputTarget || element;
    this.handlers = {};
    this.session = {};
    this.recognizers = [];
    this.element = element;
    this.input = createInputInstance(this);
    this.touchAction = new TouchAction(this, this.options.touchAction);
    toggleCssProps(this, true);
    each(this.options.recognizers, function(item) {
      var recognizer = this.add(new (item[0])(item[1]));
      item[2] && recognizer.recognizeWith(item[2]);
      item[3] && recognizer.requireFailure(item[3]);
    }, this);
  }
  Manager.prototype = {
    set: function(options) {
      util_1.assign(this.options, options);
      if (options.touchAction) {
        this.touchAction.update();
      }
      if (options.inputTarget) {
        this.input.destroy();
        this.input.target = options.inputTarget;
        this.input.init();
      }
      return this;
    },
    stop: function(force) {
      this.session.stopped = force ? FORCED_STOP : STOP;
    },
    recognize: function(inputData) {
      var session = this.session;
      if (session.stopped) {
        return;
      }
      this.touchAction.preventDefaults(inputData);
      var recognizer;
      var recognizers = this.recognizers;
      var curRecognizer = session.curRecognizer;
      if (!curRecognizer || (curRecognizer && curRecognizer.state & STATE_RECOGNIZED)) {
        curRecognizer = session.curRecognizer = null;
      }
      var i = 0;
      while (i < recognizers.length) {
        recognizer = recognizers[i];
        if (session.stopped !== FORCED_STOP && (!curRecognizer || recognizer == curRecognizer || recognizer.canRecognizeWith(curRecognizer))) {
          recognizer.recognize(inputData);
        } else {
          recognizer.reset();
        }
        if (!curRecognizer && recognizer.state & (STATE_BEGAN | STATE_CHANGED | STATE_ENDED)) {
          curRecognizer = session.curRecognizer = recognizer;
        }
        i++;
      }
    },
    get: function(recognizer) {
      if (recognizer instanceof Recognizer) {
        return recognizer;
      }
      var recognizers = this.recognizers;
      for (var i = 0; i < recognizers.length; i++) {
        if (recognizers[i].options.event == recognizer) {
          return recognizers[i];
        }
      }
      return null;
    },
    add: function(recognizer) {
      if (invokeArrayArg(recognizer, 'add', this)) {
        return this;
      }
      var existing = this.get(recognizer.options.event);
      if (existing) {
        this.remove(existing);
      }
      this.recognizers.push(recognizer);
      recognizer.manager = this;
      this.touchAction.update();
      return recognizer;
    },
    remove: function(recognizer) {
      if (invokeArrayArg(recognizer, 'remove', this)) {
        return this;
      }
      recognizer = this.get(recognizer);
      if (recognizer) {
        var recognizers = this.recognizers;
        var index = inArray(recognizers, recognizer);
        if (index !== -1) {
          recognizers.splice(index, 1);
          this.touchAction.update();
        }
      }
      return this;
    },
    on: function(events, handler) {
      var handlers = this.handlers;
      each(splitStr(events), function(event) {
        handlers[event] = handlers[event] || [];
        handlers[event].push(handler);
      });
      return this;
    },
    off: function(events, handler) {
      var handlers = this.handlers;
      each(splitStr(events), function(event) {
        if (!handler) {
          delete handlers[event];
        } else {
          handlers[event] && handlers[event].splice(inArray(handlers[event], handler), 1);
        }
      });
      return this;
    },
    emit: function(event, data) {
      if (this.options.domEvents) {
        triggerDomEvent(event, data);
      }
      var handlers = this.handlers[event] && this.handlers[event].slice();
      if (!handlers || !handlers.length) {
        return;
      }
      data.type = event;
      data.preventDefault = function() {
        data.srcEvent.preventDefault();
      };
      var i = 0;
      while (i < handlers.length) {
        handlers[i](data);
        i++;
      }
    },
    destroy: function() {
      this.element && toggleCssProps(this, false);
      this.handlers = {};
      this.session = {};
      this.input.destroy();
      this.element = null;
    }
  };
  function toggleCssProps(manager, add) {
    var element = manager.element;
    if (!element.style) {
      return;
    }
    each(manager.options.cssProps, function(value, name) {
      element.style[prefixed(element.style, name)] = add ? value : '';
    });
  }
  function triggerDomEvent(event, data) {
    var gestureEvent = doc.createEvent('Event');
    gestureEvent.initEvent(event, true, true);
    gestureEvent.gesture = data;
    data.target.dispatchEvent(gestureEvent);
  }
  util_1.assign(Hammer, {
    INPUT_START: INPUT_START,
    INPUT_MOVE: INPUT_MOVE,
    INPUT_END: INPUT_END,
    INPUT_CANCEL: INPUT_CANCEL,
    STATE_POSSIBLE: STATE_POSSIBLE,
    STATE_BEGAN: STATE_BEGAN,
    STATE_CHANGED: STATE_CHANGED,
    STATE_ENDED: STATE_ENDED,
    STATE_RECOGNIZED: STATE_RECOGNIZED,
    STATE_CANCELLED: STATE_CANCELLED,
    STATE_FAILED: STATE_FAILED,
    DIRECTION_NONE: DIRECTION_NONE,
    DIRECTION_LEFT: exports.DIRECTION_LEFT,
    DIRECTION_RIGHT: exports.DIRECTION_RIGHT,
    DIRECTION_UP: DIRECTION_UP,
    DIRECTION_DOWN: DIRECTION_DOWN,
    DIRECTION_HORIZONTAL: exports.DIRECTION_HORIZONTAL,
    DIRECTION_VERTICAL: exports.DIRECTION_VERTICAL,
    DIRECTION_ALL: DIRECTION_ALL,
    Manager: Manager,
    Input: Input,
    TouchAction: TouchAction,
    TouchInput: TouchInput,
    MouseInput: MouseInput,
    PointerEventInput: PointerEventInput,
    TouchMouseInput: TouchMouseInput,
    SingleTouchInput: SingleTouchInput,
    Recognizer: Recognizer,
    AttrRecognizer: AttrRecognizer,
    Tap: TapRecognizer,
    Pan: PanRecognizer,
    Swipe: SwipeRecognizer,
    Pinch: PinchRecognizer,
    Rotate: RotateRecognizer,
    Press: PressRecognizer,
    on: addEventListeners,
    off: removeEventListeners,
    each: each,
    inherit: inherit,
    bindFn: bindFn,
    prefixed: prefixed
  });
  win.Hammer = Hammer;
  return module.exports;
});

System.registerDynamic("ionic-angular/gestures/gesture.js", ["../util", "./hammer"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var util_1 = $__require('../util');
  var hammer_1 = $__require('./hammer');
  var Gesture = (function() {
    function Gesture(element, opts) {
      if (opts === void 0) {
        opts = {};
      }
      this._callbacks = {};
      this.isListening = false;
      util_1.defaults(opts, {domEvents: true});
      this.element = element;
      this.direction = opts.direction || 'x';
      opts.direction = this.direction === 'x' ? hammer_1.DIRECTION_HORIZONTAL : hammer_1.DIRECTION_VERTICAL;
      this._options = opts;
    }
    Gesture.prototype.options = function(opts) {
      util_1.assign(this._options, opts);
    };
    Gesture.prototype.on = function(type, cb) {
      if (type === 'pinch' || type === 'rotate') {
        this._hammer.get('pinch').set({enable: true});
      }
      this._hammer.on(type, cb);
      (this._callbacks[type] || (this._callbacks[type] = [])).push(cb);
    };
    Gesture.prototype.off = function(type, cb) {
      this._hammer.off(type, this._callbacks[type] ? cb : null);
    };
    Gesture.prototype.listen = function() {
      if (!this.isListening) {
        this._hammer = hammer_1.Hammer(this.element, this._options);
      }
      this.isListening = true;
    };
    Gesture.prototype.unlisten = function() {
      var eventType;
      var i;
      if (this._hammer && this.isListening) {
        for (eventType in this._callbacks) {
          for (i = 0; i < this._callbacks[eventType].length; i++) {
            this._hammer.off(eventType, this._callbacks[eventType]);
          }
        }
        this._hammer.destroy();
      }
      this._callbacks = {};
      this._hammer = null;
      this.isListening = false;
    };
    Gesture.prototype.destroy = function() {
      this.unlisten();
      this.element = this._options = null;
    };
    return Gesture;
  }());
  exports.Gesture = Gesture;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/slides/swiper-widget.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var $;
  module.exports.Swiper = Swiper;
  function Swiper(container, params) {
    if (!(this instanceof Swiper))
      return new Swiper(container, params);
    var defaults = {
      direction: 'horizontal',
      touchEventsTarget: 'container',
      initialSlide: 0,
      speed: 300,
      autoplay: false,
      autoplayDisableOnInteraction: true,
      iOSEdgeSwipeDetection: false,
      iOSEdgeSwipeThreshold: 20,
      freeMode: false,
      freeModeMomentum: true,
      freeModeMomentumRatio: 1,
      freeModeMomentumBounce: true,
      freeModeMomentumBounceRatio: 1,
      freeModeSticky: false,
      setWrapperSize: false,
      virtualTranslate: false,
      effect: 'slide',
      coverflow: {
        rotate: 50,
        stretch: 0,
        depth: 100,
        modifier: 1,
        slideShadows: true
      },
      cube: {
        slideShadows: true,
        shadow: true,
        shadowOffset: 20,
        shadowScale: 0.94
      },
      fade: {crossFade: false},
      parallax: false,
      scrollbar: null,
      scrollbarHide: true,
      keyboardControl: false,
      mousewheelControl: false,
      mousewheelReleaseOnEdges: false,
      mousewheelInvert: false,
      mousewheelForceToAxis: false,
      mousewheelSensitivity: 1,
      hashnav: false,
      spaceBetween: 0,
      slidesPerView: 1,
      slidesPerColumn: 1,
      slidesPerColumnFill: 'column',
      slidesPerGroup: 1,
      centeredSlides: false,
      slidesOffsetBefore: 0,
      slidesOffsetAfter: 0,
      roundLengths: false,
      touchRatio: 1,
      touchAngle: 45,
      simulateTouch: true,
      shortSwipes: true,
      longSwipes: true,
      longSwipesRatio: 0.5,
      longSwipesMs: 300,
      followFinger: true,
      onlyExternal: false,
      threshold: 0,
      touchMoveStopPropagation: true,
      pagination: null,
      paginationElement: 'span',
      paginationClickable: false,
      paginationHide: false,
      paginationBulletRender: null,
      resistance: true,
      resistanceRatio: 0.85,
      nextButton: null,
      prevButton: null,
      watchSlidesProgress: false,
      watchSlidesVisibility: false,
      grabCursor: false,
      preventClicks: true,
      preventClicksPropagation: true,
      slideToClickedSlide: false,
      lazyLoading: false,
      lazyLoadingInPrevNext: false,
      lazyLoadingOnTransitionStart: false,
      preloadImages: true,
      updateOnImagesReady: true,
      loop: false,
      loopAdditionalSlides: 0,
      loopedSlides: null,
      control: undefined,
      controlInverse: false,
      controlBy: 'slide',
      allowSwipeToPrev: true,
      allowSwipeToNext: true,
      swipeHandler: null,
      noSwiping: true,
      noSwipingClass: 'swiper-no-swiping',
      slideClass: 'swiper-slide',
      slideActiveClass: 'swiper-slide-active',
      slideVisibleClass: 'swiper-slide-visible',
      slideDuplicateClass: 'swiper-slide-duplicate',
      slideNextClass: 'swiper-slide-next',
      slidePrevClass: 'swiper-slide-prev',
      wrapperClass: 'swiper-wrapper',
      bulletClass: 'swiper-pagination-bullet',
      bulletActiveClass: 'swiper-pagination-bullet-active',
      buttonDisabledClass: 'swiper-button-disabled',
      paginationHiddenClass: 'swiper-pagination-hidden',
      observer: false,
      observeParents: false,
      a11y: false,
      prevSlideMessage: 'Previous slide',
      nextSlideMessage: 'Next slide',
      firstSlideMessage: 'This is the first slide',
      lastSlideMessage: 'This is the last slide',
      paginationBulletMessage: 'Go to slide {{index}}',
      runCallbacksOnInit: true
    };
    var initialVirtualTranslate = params && params.virtualTranslate;
    params = params || {};
    for (var def in defaults) {
      if (typeof params[def] === 'undefined') {
        params[def] = defaults[def];
      } else if (typeof params[def] === 'object') {
        for (var deepDef in defaults[def]) {
          if (typeof params[def][deepDef] === 'undefined') {
            params[def][deepDef] = defaults[def][deepDef];
          }
        }
      }
    }
    var s = this;
    s.version = '3.1.0';
    s.params = params;
    s.classNames = [];
    if (typeof $ !== 'undefined' && typeof Dom7 !== 'undefined') {
      $ = Dom7;
    }
    if (typeof $ === 'undefined') {
      if (typeof Dom7 === 'undefined') {
        $ = window.Dom7 || window.Zepto || window.jQuery;
      } else {
        $ = Dom7;
      }
      if (!$)
        return;
    }
    s.$ = $;
    s.container = $(container);
    if (s.container.length === 0)
      return;
    if (s.container.length > 1) {
      s.container.each(function() {
        new Swiper(this, params);
      });
      return;
    }
    s.container[0].swiper = s;
    s.container.data('swiper', s);
    s.classNames.push('swiper-container-' + s.params.direction);
    if (s.params.freeMode) {
      s.classNames.push('swiper-container-free-mode');
    }
    if (!s.support.flexbox) {
      s.classNames.push('swiper-container-no-flexbox');
      s.params.slidesPerColumn = 1;
    }
    if (s.params.parallax || s.params.watchSlidesVisibility) {
      s.params.watchSlidesProgress = true;
    }
    if (['cube', 'coverflow'].indexOf(s.params.effect) >= 0) {
      if (s.support.transforms3d) {
        s.params.watchSlidesProgress = true;
        s.classNames.push('swiper-container-3d');
      } else {
        s.params.effect = 'slide';
      }
    }
    if (s.params.effect !== 'slide') {
      s.classNames.push('swiper-container-' + s.params.effect);
    }
    if (s.params.effect === 'cube') {
      s.params.resistanceRatio = 0;
      s.params.slidesPerView = 1;
      s.params.slidesPerColumn = 1;
      s.params.slidesPerGroup = 1;
      s.params.centeredSlides = false;
      s.params.spaceBetween = 0;
      s.params.virtualTranslate = true;
      s.params.setWrapperSize = false;
    }
    if (s.params.effect === 'fade') {
      s.params.slidesPerView = 1;
      s.params.slidesPerColumn = 1;
      s.params.slidesPerGroup = 1;
      s.params.watchSlidesProgress = true;
      s.params.spaceBetween = 0;
      if (typeof initialVirtualTranslate === 'undefined') {
        s.params.virtualTranslate = true;
      }
    }
    if (s.params.grabCursor && s.support.touch) {
      s.params.grabCursor = false;
    }
    s.wrapper = s.container.children('.' + s.params.wrapperClass);
    if (s.params.pagination) {
      s.paginationContainer = $(s.params.pagination);
      if (s.params.paginationClickable) {
        s.paginationContainer.addClass('swiper-pagination-clickable');
      }
    }
    function isH() {
      return s.params.direction === 'horizontal';
    }
    s.rtl = isH() && (s.container[0].dir.toLowerCase() === 'rtl' || s.container.css('direction') === 'rtl');
    if (s.rtl) {
      s.classNames.push('swiper-container-rtl');
    }
    if (s.rtl) {
      s.wrongRTL = s.wrapper.css('display') === '-webkit-box';
    }
    if (s.params.slidesPerColumn > 1) {
      s.classNames.push('swiper-container-multirow');
    }
    if (s.device.android) {
      s.classNames.push('swiper-container-android');
    }
    s.container.addClass(s.classNames.join(' '));
    s.translate = 0;
    s.progress = 0;
    s.velocity = 0;
    s.lockSwipeToNext = function() {
      s.params.allowSwipeToNext = false;
    };
    s.lockSwipeToPrev = function() {
      s.params.allowSwipeToPrev = false;
    };
    s.lockSwipes = function() {
      s.params.allowSwipeToNext = s.params.allowSwipeToPrev = false;
    };
    s.unlockSwipeToNext = function() {
      s.params.allowSwipeToNext = true;
    };
    s.unlockSwipeToPrev = function() {
      s.params.allowSwipeToPrev = true;
    };
    s.unlockSwipes = function() {
      s.params.allowSwipeToNext = s.params.allowSwipeToPrev = true;
    };
    function round(a) {
      return Math.floor(a);
    }
    if (s.params.grabCursor) {
      s.container[0].style.cursor = 'move';
      s.container[0].style.cursor = '-webkit-grab';
      s.container[0].style.cursor = '-moz-grab';
      s.container[0].style.cursor = 'grab';
    }
    s.imagesToLoad = [];
    s.imagesLoaded = 0;
    s.loadImage = function(imgElement, src, checkForComplete, callback) {
      var image;
      function onReady() {
        if (callback)
          callback();
      }
      if (!imgElement.complete || !checkForComplete) {
        if (src) {
          image = new window.Image();
          image.onload = onReady;
          image.onerror = onReady;
          image.src = src;
        } else {
          onReady();
        }
      } else {
        onReady();
      }
    };
    s.preloadImages = function() {
      s.imagesToLoad = s.container.find('img');
      function _onReady() {
        if (typeof s === 'undefined' || s === null)
          return;
        if (s.imagesLoaded !== undefined)
          s.imagesLoaded++;
        if (s.imagesLoaded === s.imagesToLoad.length) {
          if (s.params.updateOnImagesReady)
            s.update();
          s.emit('onImagesReady', s);
        }
      }
      for (var i = 0; i < s.imagesToLoad.length; i++) {
        s.loadImage(s.imagesToLoad[i], (s.imagesToLoad[i].currentSrc || s.imagesToLoad[i].getAttribute('src')), true, _onReady);
      }
    };
    s.autoplayTimeoutId = undefined;
    s.autoplaying = false;
    s.autoplayPaused = false;
    function autoplay() {
      s.autoplayTimeoutId = setTimeout(function() {
        if (s.params.loop) {
          s.fixLoop();
          s._slideNext();
        } else {
          if (!s.isEnd) {
            s._slideNext();
          } else {
            if (!params.autoplayStopOnLast) {
              s._slideTo(0);
            } else {
              s.stopAutoplay();
            }
          }
        }
      }, s.params.autoplay);
    }
    s.startAutoplay = function() {
      if (typeof s.autoplayTimeoutId !== 'undefined')
        return false;
      if (!s.params.autoplay)
        return false;
      if (s.autoplaying)
        return false;
      s.autoplaying = true;
      s.emit('onAutoplayStart', s);
      autoplay();
    };
    s.stopAutoplay = function(internal) {
      if (!s.autoplayTimeoutId)
        return;
      if (s.autoplayTimeoutId)
        clearTimeout(s.autoplayTimeoutId);
      s.autoplaying = false;
      s.autoplayTimeoutId = undefined;
      s.emit('onAutoplayStop', s);
    };
    s.pauseAutoplay = function(speed) {
      if (s.autoplayPaused)
        return;
      if (s.autoplayTimeoutId)
        clearTimeout(s.autoplayTimeoutId);
      s.autoplayPaused = true;
      if (speed === 0) {
        s.autoplayPaused = false;
        autoplay();
      } else {
        s.wrapper.transitionEnd(function() {
          if (!s)
            return;
          s.autoplayPaused = false;
          if (!s.autoplaying) {
            s.stopAutoplay();
          } else {
            autoplay();
          }
        });
      }
    };
    s.minTranslate = function() {
      return (-s.snapGrid[0]);
    };
    s.maxTranslate = function() {
      return (-s.snapGrid[s.snapGrid.length - 1]);
    };
    s.updateContainerSize = function() {
      var width,
          height;
      if (typeof s.params.width !== 'undefined') {
        width = s.params.width;
      } else {
        width = s.container[0].clientWidth;
      }
      if (typeof s.params.height !== 'undefined') {
        height = s.params.height;
      } else {
        height = s.container[0].clientHeight;
      }
      if (width === 0 && isH() || height === 0 && !isH()) {
        return;
      }
      width = width - parseInt(s.container.css('padding-left'), 10) - parseInt(s.container.css('padding-right'), 10);
      height = height - parseInt(s.container.css('padding-top'), 10) - parseInt(s.container.css('padding-bottom'), 10);
      s.width = width;
      s.height = height;
      s.size = isH() ? s.width : s.height;
    };
    s.updateSlidesSize = function() {
      s.slides = s.wrapper.children('.' + s.params.slideClass);
      s.snapGrid = [];
      s.slidesGrid = [];
      s.slidesSizesGrid = [];
      var spaceBetween = s.params.spaceBetween,
          slidePosition = -s.params.slidesOffsetBefore,
          i,
          prevSlideSize = 0,
          index = 0;
      if (typeof spaceBetween === 'string' && spaceBetween.indexOf('%') >= 0) {
        spaceBetween = parseFloat(spaceBetween.replace('%', '')) / 100 * s.size;
      }
      s.virtualSize = -spaceBetween;
      if (s.rtl)
        s.slides.css({
          marginLeft: '',
          marginTop: ''
        });
      else
        s.slides.css({
          marginRight: '',
          marginBottom: ''
        });
      var slidesNumberEvenToRows;
      if (s.params.slidesPerColumn > 1) {
        if (Math.floor(s.slides.length / s.params.slidesPerColumn) === s.slides.length / s.params.slidesPerColumn) {
          slidesNumberEvenToRows = s.slides.length;
        } else {
          slidesNumberEvenToRows = Math.ceil(s.slides.length / s.params.slidesPerColumn) * s.params.slidesPerColumn;
        }
      }
      var slideSize;
      var slidesPerColumn = s.params.slidesPerColumn;
      var slidesPerRow = slidesNumberEvenToRows / slidesPerColumn;
      var numFullColumns = slidesPerRow - (s.params.slidesPerColumn * slidesPerRow - s.slides.length);
      for (i = 0; i < s.slides.length; i++) {
        slideSize = 0;
        var slide = s.slides.eq(i);
        if (s.params.slidesPerColumn > 1) {
          var newSlideOrderIndex;
          var column,
              row;
          if (s.params.slidesPerColumnFill === 'column') {
            column = Math.floor(i / slidesPerColumn);
            row = i - column * slidesPerColumn;
            if (column > numFullColumns || (column === numFullColumns && row === slidesPerColumn - 1)) {
              if (++row >= slidesPerColumn) {
                row = 0;
                column++;
              }
            }
            newSlideOrderIndex = column + row * slidesNumberEvenToRows / slidesPerColumn;
            slide.css({
              '-webkit-box-ordinal-group': newSlideOrderIndex,
              '-moz-box-ordinal-group': newSlideOrderIndex,
              '-ms-flex-order': newSlideOrderIndex,
              '-webkit-order': newSlideOrderIndex,
              'order': newSlideOrderIndex
            });
          } else {
            row = Math.floor(i / slidesPerRow);
            column = i - row * slidesPerRow;
          }
          slide.css({'margin-top': (row !== 0 && s.params.spaceBetween) && (s.params.spaceBetween + 'px')}).attr('data-swiper-column', column).attr('data-swiper-row', row);
        }
        if (slide.css('display') === 'none')
          continue;
        if (s.params.slidesPerView === 'auto') {
          slideSize = isH() ? slide.outerWidth(true) : slide.outerHeight(true);
          if (s.params.roundLengths)
            slideSize = round(slideSize);
        } else {
          slideSize = (s.size - (s.params.slidesPerView - 1) * spaceBetween) / s.params.slidesPerView;
          if (s.params.roundLengths)
            slideSize = round(slideSize);
          if (isH()) {
            s.slides[i].style.width = slideSize + 'px';
          } else {
            s.slides[i].style.height = slideSize + 'px';
          }
        }
        s.slides[i].swiperSlideSize = slideSize;
        s.slidesSizesGrid.push(slideSize);
        if (s.params.centeredSlides) {
          slidePosition = slidePosition + slideSize / 2 + prevSlideSize / 2 + spaceBetween;
          if (i === 0)
            slidePosition = slidePosition - s.size / 2 - spaceBetween;
          if (Math.abs(slidePosition) < 1 / 1000)
            slidePosition = 0;
          if ((index) % s.params.slidesPerGroup === 0)
            s.snapGrid.push(slidePosition);
          s.slidesGrid.push(slidePosition);
        } else {
          if ((index) % s.params.slidesPerGroup === 0)
            s.snapGrid.push(slidePosition);
          s.slidesGrid.push(slidePosition);
          slidePosition = slidePosition + slideSize + spaceBetween;
        }
        s.virtualSize += slideSize + spaceBetween;
        prevSlideSize = slideSize;
        index++;
      }
      s.virtualSize = Math.max(s.virtualSize, s.size) + s.params.slidesOffsetAfter;
      var newSlidesGrid;
      if (s.rtl && s.wrongRTL && (s.params.effect === 'slide' || s.params.effect === 'coverflow')) {
        s.wrapper.css({width: s.virtualSize + s.params.spaceBetween + 'px'});
      }
      if (!s.support.flexbox || s.params.setWrapperSize) {
        if (isH())
          s.wrapper.css({width: s.virtualSize + s.params.spaceBetween + 'px'});
        else
          s.wrapper.css({height: s.virtualSize + s.params.spaceBetween + 'px'});
      }
      if (s.params.slidesPerColumn > 1) {
        s.virtualSize = (slideSize + s.params.spaceBetween) * slidesNumberEvenToRows;
        s.virtualSize = Math.ceil(s.virtualSize / s.params.slidesPerColumn) - s.params.spaceBetween;
        s.wrapper.css({width: s.virtualSize + s.params.spaceBetween + 'px'});
        if (s.params.centeredSlides) {
          newSlidesGrid = [];
          for (i = 0; i < s.snapGrid.length; i++) {
            if (s.snapGrid[i] < s.virtualSize + s.snapGrid[0])
              newSlidesGrid.push(s.snapGrid[i]);
          }
          s.snapGrid = newSlidesGrid;
        }
      }
      if (!s.params.centeredSlides) {
        newSlidesGrid = [];
        for (i = 0; i < s.snapGrid.length; i++) {
          if (s.snapGrid[i] <= s.virtualSize - s.size) {
            newSlidesGrid.push(s.snapGrid[i]);
          }
        }
        s.snapGrid = newSlidesGrid;
        if (Math.floor(s.virtualSize - s.size) > Math.floor(s.snapGrid[s.snapGrid.length - 1])) {
          s.snapGrid.push(s.virtualSize - s.size);
        }
      }
      if (s.snapGrid.length === 0)
        s.snapGrid = [0];
      if (s.params.spaceBetween !== 0) {
        if (isH()) {
          if (s.rtl)
            s.slides.css({marginLeft: spaceBetween + 'px'});
          else
            s.slides.css({marginRight: spaceBetween + 'px'});
        } else
          s.slides.css({marginBottom: spaceBetween + 'px'});
      }
      if (s.params.watchSlidesProgress) {
        s.updateSlidesOffset();
      }
    };
    s.updateSlidesOffset = function() {
      for (var i = 0; i < s.slides.length; i++) {
        s.slides[i].swiperSlideOffset = isH() ? s.slides[i].offsetLeft : s.slides[i].offsetTop;
      }
    };
    s.updateSlidesProgress = function(translate) {
      if (typeof translate === 'undefined') {
        translate = s.translate || 0;
      }
      if (s.slides.length === 0)
        return;
      if (typeof s.slides[0].swiperSlideOffset === 'undefined')
        s.updateSlidesOffset();
      var offsetCenter = -translate;
      if (s.rtl)
        offsetCenter = translate;
      var containerBox = s.container[0].getBoundingClientRect();
      var sideBefore = isH() ? 'left' : 'top';
      var sideAfter = isH() ? 'right' : 'bottom';
      s.slides.removeClass(s.params.slideVisibleClass);
      for (var i = 0; i < s.slides.length; i++) {
        var slide = s.slides[i];
        var slideProgress = (offsetCenter - slide.swiperSlideOffset) / (slide.swiperSlideSize + s.params.spaceBetween);
        if (s.params.watchSlidesVisibility) {
          var slideBefore = -(offsetCenter - slide.swiperSlideOffset);
          var slideAfter = slideBefore + s.slidesSizesGrid[i];
          var isVisible = (slideBefore >= 0 && slideBefore < s.size) || (slideAfter > 0 && slideAfter <= s.size) || (slideBefore <= 0 && slideAfter >= s.size);
          if (isVisible) {
            s.slides.eq(i).addClass(s.params.slideVisibleClass);
          }
        }
        slide.progress = s.rtl ? -slideProgress : slideProgress;
      }
    };
    s.updateProgress = function(translate) {
      if (typeof translate === 'undefined') {
        translate = s.translate || 0;
      }
      var translatesDiff = s.maxTranslate() - s.minTranslate();
      if (translatesDiff === 0) {
        s.progress = 0;
        s.isBeginning = s.isEnd = true;
      } else {
        s.progress = (translate - s.minTranslate()) / (translatesDiff);
        s.isBeginning = s.progress <= 0;
        s.isEnd = s.progress >= 1;
      }
      if (s.isBeginning)
        s.emit('onReachBeginning', s);
      if (s.isEnd)
        s.emit('onReachEnd', s);
      if (s.params.watchSlidesProgress)
        s.updateSlidesProgress(translate);
      s.emit('onProgress', s, s.progress);
    };
    s.updateActiveIndex = function() {
      var translate = s.rtl ? s.translate : -s.translate;
      var newActiveIndex,
          i,
          snapIndex;
      for (i = 0; i < s.slidesGrid.length; i++) {
        if (typeof s.slidesGrid[i + 1] !== 'undefined') {
          if (translate >= s.slidesGrid[i] && translate < s.slidesGrid[i + 1] - (s.slidesGrid[i + 1] - s.slidesGrid[i]) / 2) {
            newActiveIndex = i;
          } else if (translate >= s.slidesGrid[i] && translate < s.slidesGrid[i + 1]) {
            newActiveIndex = i + 1;
          }
        } else {
          if (translate >= s.slidesGrid[i]) {
            newActiveIndex = i;
          }
        }
      }
      if (newActiveIndex < 0 || typeof newActiveIndex === 'undefined')
        newActiveIndex = 0;
      snapIndex = Math.floor(newActiveIndex / s.params.slidesPerGroup);
      if (snapIndex >= s.snapGrid.length)
        snapIndex = s.snapGrid.length - 1;
      if (newActiveIndex === s.activeIndex) {
        return;
      }
      s.snapIndex = snapIndex;
      s.previousIndex = s.activeIndex;
      s.activeIndex = newActiveIndex;
      s.updateClasses();
    };
    s.updateClasses = function() {
      s.slides.removeClass(s.params.slideActiveClass + ' ' + s.params.slideNextClass + ' ' + s.params.slidePrevClass);
      var activeSlide = s.slides.eq(s.activeIndex);
      activeSlide.addClass(s.params.slideActiveClass);
      activeSlide.next('.' + s.params.slideClass).addClass(s.params.slideNextClass);
      activeSlide.prev('.' + s.params.slideClass).addClass(s.params.slidePrevClass);
      if (s.bullets && s.bullets.length > 0) {
        s.bullets.removeClass(s.params.bulletActiveClass);
        var bulletIndex;
        if (s.params.loop) {
          bulletIndex = Math.ceil(s.activeIndex - s.loopedSlides) / s.params.slidesPerGroup;
          if (bulletIndex > s.slides.length - 1 - s.loopedSlides * 2) {
            bulletIndex = bulletIndex - (s.slides.length - s.loopedSlides * 2);
          }
          if (bulletIndex > s.bullets.length - 1)
            bulletIndex = bulletIndex - s.bullets.length;
        } else {
          if (typeof s.snapIndex !== 'undefined') {
            bulletIndex = s.snapIndex;
          } else {
            bulletIndex = s.activeIndex || 0;
          }
        }
        if (s.paginationContainer.length > 1) {
          s.bullets.each(function() {
            if ($(this).index() === bulletIndex)
              $(this).addClass(s.params.bulletActiveClass);
          });
        } else {
          s.bullets.eq(bulletIndex).addClass(s.params.bulletActiveClass);
        }
      }
      if (!s.params.loop) {
        if (s.params.prevButton) {
          if (s.isBeginning) {
            $(s.params.prevButton).addClass(s.params.buttonDisabledClass);
            if (s.params.a11y && s.a11y)
              s.a11y.disable($(s.params.prevButton));
          } else {
            $(s.params.prevButton).removeClass(s.params.buttonDisabledClass);
            if (s.params.a11y && s.a11y)
              s.a11y.enable($(s.params.prevButton));
          }
        }
        if (s.params.nextButton) {
          if (s.isEnd) {
            $(s.params.nextButton).addClass(s.params.buttonDisabledClass);
            if (s.params.a11y && s.a11y)
              s.a11y.disable($(s.params.nextButton));
          } else {
            $(s.params.nextButton).removeClass(s.params.buttonDisabledClass);
            if (s.params.a11y && s.a11y)
              s.a11y.enable($(s.params.nextButton));
          }
        }
      }
    };
    s.updatePagination = function() {
      if (!s.params.pagination)
        return;
      if (s.paginationContainer && s.paginationContainer.length > 0) {
        var bulletsHTML = '';
        var numberOfBullets = s.params.loop ? Math.ceil((s.slides.length - s.loopedSlides * 2) / s.params.slidesPerGroup) : s.snapGrid.length;
        for (var i = 0; i < numberOfBullets; i++) {
          if (s.params.paginationBulletRender) {
            bulletsHTML += s.params.paginationBulletRender(i, s.params.bulletClass);
          } else {
            bulletsHTML += '<' + s.params.paginationElement + ' class="' + s.params.bulletClass + '"></' + s.params.paginationElement + '>';
          }
        }
        s.paginationContainer.html(bulletsHTML);
        s.bullets = s.paginationContainer.find('.' + s.params.bulletClass);
        if (s.params.paginationClickable && s.params.a11y && s.a11y) {
          s.a11y.initPagination();
        }
      }
    };
    s.update = function(updateTranslate) {
      s.updateContainerSize();
      s.updateSlidesSize();
      s.updateProgress();
      s.updatePagination();
      s.updateClasses();
      if (s.params.scrollbar && s.scrollbar) {
        s.scrollbar.set();
      }
      function forceSetTranslate() {
        newTranslate = Math.min(Math.max(s.translate, s.maxTranslate()), s.minTranslate());
        s.setWrapperTranslate(newTranslate);
        s.updateActiveIndex();
        s.updateClasses();
      }
      if (updateTranslate) {
        var translated,
            newTranslate;
        if (s.controller && s.controller.spline) {
          s.controller.spline = undefined;
        }
        if (s.params.freeMode) {
          forceSetTranslate();
        } else {
          if ((s.params.slidesPerView === 'auto' || s.params.slidesPerView > 1) && s.isEnd && !s.params.centeredSlides) {
            translated = s.slideTo(s.slides.length - 1, 0, false, true);
          } else {
            translated = s.slideTo(s.activeIndex, 0, false, true);
          }
          if (!translated) {
            forceSetTranslate();
          }
        }
      }
    };
    s.onResize = function(forceUpdatePagination) {
      var allowSwipeToPrev = s.params.allowSwipeToPrev;
      var allowSwipeToNext = s.params.allowSwipeToNext;
      s.params.allowSwipeToPrev = s.params.allowSwipeToNext = true;
      s.updateContainerSize();
      s.updateSlidesSize();
      if (s.params.slidesPerView === 'auto' || s.params.freeMode || forceUpdatePagination)
        s.updatePagination();
      if (s.params.scrollbar && s.scrollbar) {
        s.scrollbar.set();
      }
      if (s.controller && s.controller.spline) {
        s.controller.spline = undefined;
      }
      if (s.params.freeMode) {
        var newTranslate = Math.min(Math.max(s.translate, s.maxTranslate()), s.minTranslate());
        s.setWrapperTranslate(newTranslate);
        s.updateActiveIndex();
        s.updateClasses();
      } else {
        s.updateClasses();
        if ((s.params.slidesPerView === 'auto' || s.params.slidesPerView > 1) && s.isEnd && !s.params.centeredSlides) {
          s.slideTo(s.slides.length - 1, 0, false, true);
        } else {
          s.slideTo(s.activeIndex, 0, false, true);
        }
      }
      s.params.allowSwipeToPrev = allowSwipeToPrev;
      s.params.allowSwipeToNext = allowSwipeToNext;
    };
    var desktopEvents = ['mousedown', 'mousemove', 'mouseup'];
    if (window.navigator.pointerEnabled)
      desktopEvents = ['pointerdown', 'pointermove', 'pointerup'];
    else if (window.navigator.msPointerEnabled)
      desktopEvents = ['MSPointerDown', 'MSPointerMove', 'MSPointerUp'];
    s.touchEvents = {
      start: s.support.touch || !s.params.simulateTouch ? 'touchstart' : desktopEvents[0],
      move: s.support.touch || !s.params.simulateTouch ? 'touchmove' : desktopEvents[1],
      end: s.support.touch || !s.params.simulateTouch ? 'touchend' : desktopEvents[2]
    };
    if (window.navigator.pointerEnabled || window.navigator.msPointerEnabled) {
      (s.params.touchEventsTarget === 'container' ? s.container : s.wrapper).addClass('swiper-wp8-' + s.params.direction);
    }
    s.initEvents = function(detach) {
      console.debug('swiper initEvents', detach ? 'detach' : 'attach');
      var actionDom = detach ? 'off' : 'on';
      var action = detach ? 'removeEventListener' : 'addEventListener';
      var touchEventsTarget = s.params.touchEventsTarget === 'container' ? s.container[0] : s.wrapper[0];
      var target = s.support.touch ? touchEventsTarget : document;
      var moveCapture = s.params.nested ? true : false;
      if (s.browser.ie) {
        touchEventsTarget[action](s.touchEvents.start, s.onTouchStart, false);
        target[action](s.touchEvents.move, s.onTouchMove, moveCapture);
        target[action](s.touchEvents.end, s.onTouchEnd, false);
      } else {
        if (s.support.touch) {
          touchEventsTarget[action](s.touchEvents.start, s.onTouchStart, false);
          touchEventsTarget[action](s.touchEvents.move, s.onTouchMove, moveCapture);
          touchEventsTarget[action](s.touchEvents.end, s.onTouchEnd, false);
        }
        if (params.simulateTouch && !s.device.ios && !s.device.android) {
          touchEventsTarget[action]('mousedown', s.onTouchStart, false);
          document[action]('mousemove', s.onTouchMove, moveCapture);
          document[action]('mouseup', s.onTouchEnd, false);
        }
      }
      window[action]('resize', s.onResize);
      if (s.params.nextButton) {
        $(s.params.nextButton)[actionDom]('click', s.onClickNext);
        if (s.params.a11y && s.a11y)
          $(s.params.nextButton)[actionDom]('keydown', s.a11y.onEnterKey);
      }
      if (s.params.prevButton) {
        $(s.params.prevButton)[actionDom]('click', s.onClickPrev);
        if (s.params.a11y && s.a11y)
          $(s.params.prevButton)[actionDom]('keydown', s.a11y.onEnterKey);
      }
      if (s.params.pagination && s.params.paginationClickable) {
        $(s.paginationContainer)[actionDom]('click', '.' + s.params.bulletClass, s.onClickIndex);
        if (s.params.a11y && s.a11y)
          $(s.paginationContainer)[actionDom]('keydown', '.' + s.params.bulletClass, s.a11y.onEnterKey);
      }
      if (s.params.preventClicks || s.params.preventClicksPropagation)
        touchEventsTarget[action]('click', s.preventClicks, true);
    };
    s.attachEvents = function(detach) {
      s.initEvents();
    };
    s.detachEvents = function() {
      s.initEvents(true);
    };
    s.allowClick = true;
    s.preventClicks = function(e) {
      if (!s.allowClick) {
        if (s.params.preventClicks)
          e.preventDefault();
        if (s.params.preventClicksPropagation && s.animating) {
          e.stopPropagation();
          e.stopImmediatePropagation();
        }
      }
    };
    s.onClickNext = function(e) {
      e.preventDefault();
      if (s.isEnd && !s.params.loop)
        return;
      s.slideNext();
    };
    s.onClickPrev = function(e) {
      e.preventDefault();
      if (s.isBeginning && !s.params.loop)
        return;
      s.slidePrev();
    };
    s.onClickIndex = function(e) {
      e.preventDefault();
      var index = $(this).index() * s.params.slidesPerGroup;
      if (s.params.loop)
        index = index + s.loopedSlides;
      s.slideTo(index);
    };
    function findElementInEvent(e, selector) {
      var el = $(e.target);
      if (!el.is(selector)) {
        if (typeof selector === 'string') {
          el = el.parents(selector);
        } else if (selector.nodeType) {
          var found;
          el.parents().each(function(index, _el) {
            if (_el === selector)
              found = selector;
          });
          if (!found)
            return undefined;
          else
            return selector;
        }
      }
      if (el.length === 0) {
        return undefined;
      }
      return el[0];
    }
    s.updateClickedSlide = function(e) {
      var slide = findElementInEvent(e, '.' + s.params.slideClass);
      var slideFound = false;
      if (slide) {
        for (var i = 0; i < s.slides.length; i++) {
          if (s.slides[i] === slide)
            slideFound = true;
        }
      }
      if (slide && slideFound) {
        s.clickedSlide = slide;
        s.clickedIndex = $(slide).index();
      } else {
        s.clickedSlide = undefined;
        s.clickedIndex = undefined;
        return;
      }
      if (s.params.slideToClickedSlide && s.clickedIndex !== undefined && s.clickedIndex !== s.activeIndex) {
        var slideToIndex = s.clickedIndex,
            realIndex;
        if (s.params.loop) {
          realIndex = $(s.clickedSlide).attr('data-swiper-slide-index');
          if (slideToIndex > s.slides.length - s.params.slidesPerView) {
            s.fixLoop();
            slideToIndex = s.wrapper.children('.' + s.params.slideClass + '[data-swiper-slide-index="' + realIndex + '"]').eq(0).index();
            setTimeout(function() {
              s.slideTo(slideToIndex);
            }, 0);
          } else if (slideToIndex < s.params.slidesPerView - 1) {
            s.fixLoop();
            var duplicatedSlides = s.wrapper.children('.' + s.params.slideClass + '[data-swiper-slide-index="' + realIndex + '"]');
            slideToIndex = duplicatedSlides.eq(duplicatedSlides.length - 1).index();
            setTimeout(function() {
              s.slideTo(slideToIndex);
            }, 0);
          } else {
            s.slideTo(slideToIndex);
          }
        } else {
          s.slideTo(slideToIndex);
        }
      }
    };
    var isTouched,
        isMoved,
        touchStartTime,
        isScrolling,
        currentTranslate,
        startTranslate,
        allowThresholdMove,
        formElements = 'input, select, textarea, button',
        lastClickTime = Date.now(),
        clickTimeout,
        velocities = [],
        allowMomentumBounce;
    s.animating = false;
    s.touches = {
      startX: 0,
      startY: 0,
      currentX: 0,
      currentY: 0,
      diff: 0
    };
    var isTouchEvent,
        startMoving;
    s.onTouchStart = function(e) {
      if (e.originalEvent)
        e = e.originalEvent;
      isTouchEvent = e.type === 'touchstart';
      if (!isTouchEvent && 'which' in e && e.which === 3)
        return;
      if (s.params.noSwiping && findElementInEvent(e, '.' + s.params.noSwipingClass)) {
        s.allowClick = true;
        return;
      }
      if (s.params.swipeHandler) {
        if (!findElementInEvent(e, s.params.swipeHandler))
          return;
      }
      var startX = s.touches.currentX = e.type === 'touchstart' ? e.targetTouches[0].pageX : e.pageX;
      var startY = s.touches.currentY = e.type === 'touchstart' ? e.targetTouches[0].pageY : e.pageY;
      if (s.device.ios && s.params.iOSEdgeSwipeDetection && startX <= s.params.iOSEdgeSwipeThreshold) {
        return;
      }
      isTouched = true;
      isMoved = false;
      isScrolling = undefined;
      startMoving = undefined;
      s.touches.startX = startX;
      s.touches.startY = startY;
      touchStartTime = Date.now();
      s.allowClick = true;
      s.updateContainerSize();
      s.swipeDirection = undefined;
      if (s.params.threshold > 0)
        allowThresholdMove = false;
      if (e.type !== 'touchstart') {
        var preventDefault = true;
        if ($(e.target).is(formElements))
          preventDefault = false;
        if (document.activeElement && $(document.activeElement).is(formElements)) {
          document.activeElement.blur();
        }
        if (preventDefault) {
          e.preventDefault();
        }
      }
      s.emit('onTouchStart', s, e);
    };
    s.onTouchMove = function(e) {
      if (e.originalEvent)
        e = e.originalEvent;
      if (isTouchEvent && e.type === 'mousemove')
        return;
      if (e.preventedByNestedSwiper)
        return;
      if (s.params.onlyExternal) {
        s.allowClick = false;
        if (isTouched) {
          s.touches.startX = s.touches.currentX = e.type === 'touchmove' ? e.targetTouches[0].pageX : e.pageX;
          s.touches.startY = s.touches.currentY = e.type === 'touchmove' ? e.targetTouches[0].pageY : e.pageY;
          touchStartTime = Date.now();
        }
        return;
      }
      if (isTouchEvent && document.activeElement) {
        if (e.target === document.activeElement && $(e.target).is(formElements)) {
          isMoved = true;
          s.allowClick = false;
          return;
        }
      }
      s.emit('onTouchMove', s, e);
      if (e.targetTouches && e.targetTouches.length > 1)
        return;
      s.touches.currentX = e.type === 'touchmove' ? e.targetTouches[0].pageX : e.pageX;
      s.touches.currentY = e.type === 'touchmove' ? e.targetTouches[0].pageY : e.pageY;
      if (typeof isScrolling === 'undefined') {
        var touchAngle = Math.atan2(Math.abs(s.touches.currentY - s.touches.startY), Math.abs(s.touches.currentX - s.touches.startX)) * 180 / Math.PI;
        isScrolling = isH() ? touchAngle > s.params.touchAngle : (90 - touchAngle > s.params.touchAngle);
      }
      if (isScrolling) {
        s.emit('onTouchMoveOpposite', s, e);
      }
      if (typeof startMoving === 'undefined' && s.browser.ieTouch) {
        if (s.touches.currentX !== s.touches.startX || s.touches.currentY !== s.touches.startY) {
          startMoving = true;
        }
      }
      if (!isTouched)
        return;
      if (isScrolling) {
        isTouched = false;
        return;
      }
      if (!startMoving && s.browser.ieTouch) {
        return;
      }
      s.allowClick = false;
      s.emit('onSliderMove', s, e);
      e.preventDefault();
      if (s.params.touchMoveStopPropagation && !s.params.nested) {
        e.stopPropagation();
      }
      if (!isMoved) {
        if (params.loop) {
          s.fixLoop();
        }
        startTranslate = s.getWrapperTranslate();
        s.setWrapperTransition(0);
        if (s.animating) {
          s.wrapper.trigger('webkitTransitionEnd transitionend oTransitionEnd MSTransitionEnd msTransitionEnd');
        }
        if (s.params.autoplay && s.autoplaying) {
          if (s.params.autoplayDisableOnInteraction) {
            s.stopAutoplay();
          } else {
            s.pauseAutoplay();
          }
        }
        allowMomentumBounce = false;
        if (s.params.grabCursor) {
          s.container[0].style.cursor = 'move';
          s.container[0].style.cursor = '-webkit-grabbing';
          s.container[0].style.cursor = '-moz-grabbin';
          s.container[0].style.cursor = 'grabbing';
        }
      }
      isMoved = true;
      var diff = s.touches.diff = isH() ? s.touches.currentX - s.touches.startX : s.touches.currentY - s.touches.startY;
      diff = diff * s.params.touchRatio;
      if (s.rtl)
        diff = -diff;
      s.swipeDirection = diff > 0 ? 'prev' : 'next';
      currentTranslate = diff + startTranslate;
      var disableParentSwiper = true;
      if ((diff > 0 && currentTranslate > s.minTranslate())) {
        disableParentSwiper = false;
        if (s.params.resistance)
          currentTranslate = s.minTranslate() - 1 + Math.pow(-s.minTranslate() + startTranslate + diff, s.params.resistanceRatio);
      } else if (diff < 0 && currentTranslate < s.maxTranslate()) {
        disableParentSwiper = false;
        if (s.params.resistance)
          currentTranslate = s.maxTranslate() + 1 - Math.pow(s.maxTranslate() - startTranslate - diff, s.params.resistanceRatio);
      }
      if (disableParentSwiper) {
        e.preventedByNestedSwiper = true;
      }
      if (!s.params.allowSwipeToNext && s.swipeDirection === 'next' && currentTranslate < startTranslate) {
        currentTranslate = startTranslate;
      }
      if (!s.params.allowSwipeToPrev && s.swipeDirection === 'prev' && currentTranslate > startTranslate) {
        currentTranslate = startTranslate;
      }
      if (!s.params.followFinger)
        return;
      if (s.params.threshold > 0) {
        if (Math.abs(diff) > s.params.threshold || allowThresholdMove) {
          if (!allowThresholdMove) {
            allowThresholdMove = true;
            s.touches.startX = s.touches.currentX;
            s.touches.startY = s.touches.currentY;
            currentTranslate = startTranslate;
            s.touches.diff = isH() ? s.touches.currentX - s.touches.startX : s.touches.currentY - s.touches.startY;
            return;
          }
        } else {
          currentTranslate = startTranslate;
          return;
        }
      }
      if (s.params.freeMode || s.params.watchSlidesProgress) {
        s.updateActiveIndex();
      }
      if (s.params.freeMode) {
        if (velocities.length === 0) {
          velocities.push({
            position: s.touches[isH() ? 'startX' : 'startY'],
            time: touchStartTime
          });
        }
        velocities.push({
          position: s.touches[isH() ? 'currentX' : 'currentY'],
          time: (new window.Date()).getTime()
        });
      }
      s.updateProgress(currentTranslate);
      s.setWrapperTranslate(currentTranslate);
    };
    s.onTouchEnd = function(e) {
      if (e.originalEvent)
        e = e.originalEvent;
      s.emit('onTouchEnd', s, e);
      if (!isTouched)
        return;
      if (s.params.grabCursor && isMoved && isTouched) {
        s.container[0].style.cursor = 'move';
        s.container[0].style.cursor = '-webkit-grab';
        s.container[0].style.cursor = '-moz-grab';
        s.container[0].style.cursor = 'grab';
      }
      var touchEndTime = Date.now();
      var timeDiff = touchEndTime - touchStartTime;
      if (s.allowClick) {
        s.updateClickedSlide(e);
        s.emit('onTap', s, e);
        if (timeDiff < 300 && (touchEndTime - lastClickTime) > 300) {
          if (clickTimeout)
            clearTimeout(clickTimeout);
          clickTimeout = setTimeout(function() {
            if (!s)
              return;
            if (s.params.paginationHide && s.paginationContainer.length > 0 && !$(e.target).hasClass(s.params.bulletClass)) {
              s.paginationContainer.toggleClass(s.params.paginationHiddenClass);
            }
            s.emit('onClick', s, e);
          }, 300);
        }
        if (timeDiff < 300 && (touchEndTime - lastClickTime) < 300) {
          if (clickTimeout)
            clearTimeout(clickTimeout);
          s.emit('onDoubleTap', s, e);
        }
      }
      lastClickTime = Date.now();
      setTimeout(function() {
        if (s)
          s.allowClick = true;
      }, 0);
      if (!isTouched || !isMoved || !s.swipeDirection || s.touches.diff === 0 || currentTranslate === startTranslate) {
        isTouched = isMoved = false;
        return;
      }
      isTouched = isMoved = false;
      var currentPos;
      if (s.params.followFinger) {
        currentPos = s.rtl ? s.translate : -s.translate;
      } else {
        currentPos = -currentTranslate;
      }
      if (s.params.freeMode) {
        if (currentPos < -s.minTranslate()) {
          s.slideTo(s.activeIndex);
          return;
        } else if (currentPos > -s.maxTranslate()) {
          if (s.slides.length < s.snapGrid.length) {
            s.slideTo(s.snapGrid.length - 1);
          } else {
            s.slideTo(s.slides.length - 1);
          }
          return;
        }
        if (s.params.freeModeMomentum) {
          if (velocities.length > 1) {
            var lastMoveEvent = velocities.pop(),
                velocityEvent = velocities.pop();
            var distance = lastMoveEvent.position - velocityEvent.position;
            var time = lastMoveEvent.time - velocityEvent.time;
            s.velocity = distance / time;
            s.velocity = s.velocity / 2;
            if (Math.abs(s.velocity) < 0.02) {
              s.velocity = 0;
            }
            if (time > 150 || (new window.Date().getTime() - lastMoveEvent.time) > 300) {
              s.velocity = 0;
            }
          } else {
            s.velocity = 0;
          }
          velocities.length = 0;
          var momentumDuration = 1000 * s.params.freeModeMomentumRatio;
          var momentumDistance = s.velocity * momentumDuration;
          var newPosition = s.translate + momentumDistance;
          if (s.rtl)
            newPosition = -newPosition;
          var doBounce = false;
          var afterBouncePosition;
          var bounceAmount = Math.abs(s.velocity) * 20 * s.params.freeModeMomentumBounceRatio;
          if (newPosition < s.maxTranslate()) {
            if (s.params.freeModeMomentumBounce) {
              if (newPosition + s.maxTranslate() < -bounceAmount) {
                newPosition = s.maxTranslate() - bounceAmount;
              }
              afterBouncePosition = s.maxTranslate();
              doBounce = true;
              allowMomentumBounce = true;
            } else {
              newPosition = s.maxTranslate();
            }
          } else if (newPosition > s.minTranslate()) {
            if (s.params.freeModeMomentumBounce) {
              if (newPosition - s.minTranslate() > bounceAmount) {
                newPosition = s.minTranslate() + bounceAmount;
              }
              afterBouncePosition = s.minTranslate();
              doBounce = true;
              allowMomentumBounce = true;
            } else {
              newPosition = s.minTranslate();
            }
          } else if (s.params.freeModeSticky) {
            var j = 0,
                nextSlide;
            for (j = 0; j < s.snapGrid.length; j += 1) {
              if (s.snapGrid[j] > -newPosition) {
                nextSlide = j;
                break;
              }
            }
            if (Math.abs(s.snapGrid[nextSlide] - newPosition) < Math.abs(s.snapGrid[nextSlide - 1] - newPosition) || s.swipeDirection === 'next') {
              newPosition = s.snapGrid[nextSlide];
            } else {
              newPosition = s.snapGrid[nextSlide - 1];
            }
            if (!s.rtl)
              newPosition = -newPosition;
          }
          if (s.velocity !== 0) {
            if (s.rtl) {
              momentumDuration = Math.abs((-newPosition - s.translate) / s.velocity);
            } else {
              momentumDuration = Math.abs((newPosition - s.translate) / s.velocity);
            }
          } else if (s.params.freeModeSticky) {
            s.slideReset();
            return;
          }
          if (s.params.freeModeMomentumBounce && doBounce) {
            s.updateProgress(afterBouncePosition);
            s.setWrapperTransition(momentumDuration);
            s.setWrapperTranslate(newPosition);
            s.onTransitionStart();
            s.animating = true;
            s.wrapper.transitionEnd(function() {
              if (!s || !allowMomentumBounce)
                return;
              s.emit('onMomentumBounce', s);
              s.setWrapperTransition(s.params.speed);
              s.setWrapperTranslate(afterBouncePosition);
              s.wrapper.transitionEnd(function() {
                if (!s)
                  return;
                s.onTransitionEnd();
              });
            });
          } else if (s.velocity) {
            s.updateProgress(newPosition);
            s.setWrapperTransition(momentumDuration);
            s.setWrapperTranslate(newPosition);
            s.onTransitionStart();
            if (!s.animating) {
              s.animating = true;
              s.wrapper.transitionEnd(function() {
                if (!s)
                  return;
                s.onTransitionEnd();
              });
            }
          } else {
            s.updateProgress(newPosition);
          }
          s.updateActiveIndex();
        }
        if (!s.params.freeModeMomentum || timeDiff >= s.params.longSwipesMs) {
          s.updateProgress();
          s.updateActiveIndex();
        }
        return;
      }
      var i,
          stopIndex = 0,
          groupSize = s.slidesSizesGrid[0];
      for (i = 0; i < s.slidesGrid.length; i += s.params.slidesPerGroup) {
        if (typeof s.slidesGrid[i + s.params.slidesPerGroup] !== 'undefined') {
          if (currentPos >= s.slidesGrid[i] && currentPos < s.slidesGrid[i + s.params.slidesPerGroup]) {
            stopIndex = i;
            groupSize = s.slidesGrid[i + s.params.slidesPerGroup] - s.slidesGrid[i];
          }
        } else {
          if (currentPos >= s.slidesGrid[i]) {
            stopIndex = i;
            groupSize = s.slidesGrid[s.slidesGrid.length - 1] - s.slidesGrid[s.slidesGrid.length - 2];
          }
        }
      }
      var ratio = (currentPos - s.slidesGrid[stopIndex]) / groupSize;
      if (timeDiff > s.params.longSwipesMs) {
        if (!s.params.longSwipes) {
          s.slideTo(s.activeIndex);
          return;
        }
        if (s.swipeDirection === 'next') {
          if (ratio >= s.params.longSwipesRatio)
            s.slideTo(stopIndex + s.params.slidesPerGroup);
          else
            s.slideTo(stopIndex);
        }
        if (s.swipeDirection === 'prev') {
          if (ratio > (1 - s.params.longSwipesRatio))
            s.slideTo(stopIndex + s.params.slidesPerGroup);
          else
            s.slideTo(stopIndex);
        }
      } else {
        if (!s.params.shortSwipes) {
          s.slideTo(s.activeIndex);
          return;
        }
        if (s.swipeDirection === 'next') {
          s.slideTo(stopIndex + s.params.slidesPerGroup);
        }
        if (s.swipeDirection === 'prev') {
          s.slideTo(stopIndex);
        }
      }
    };
    s._slideTo = function(slideIndex, speed) {
      return s.slideTo(slideIndex, speed, true, true);
    };
    s.slideTo = function(slideIndex, speed, runCallbacks, internal) {
      if (typeof runCallbacks === 'undefined')
        runCallbacks = true;
      if (typeof slideIndex === 'undefined')
        slideIndex = 0;
      if (slideIndex < 0)
        slideIndex = 0;
      s.snapIndex = Math.floor(slideIndex / s.params.slidesPerGroup);
      if (s.snapIndex >= s.snapGrid.length)
        s.snapIndex = s.snapGrid.length - 1;
      var translate = -s.snapGrid[s.snapIndex];
      if (s.params.autoplay && s.autoplaying) {
        if (internal || !s.params.autoplayDisableOnInteraction) {
          s.pauseAutoplay(speed);
        } else {
          s.stopAutoplay();
        }
      }
      s.updateProgress(translate);
      for (var i = 0; i < s.slidesGrid.length; i++) {
        if (-Math.floor(translate * 100) >= Math.floor(s.slidesGrid[i] * 100)) {
          slideIndex = i;
        }
      }
      if (!s.params.allowSwipeToNext && translate < s.translate && translate < s.minTranslate()) {
        return false;
      }
      if (!s.params.allowSwipeToPrev && translate > s.translate && translate > s.maxTranslate()) {
        if ((s.activeIndex || 0) !== slideIndex)
          return false;
      }
      if (typeof speed === 'undefined')
        speed = s.params.speed;
      s.previousIndex = s.activeIndex || 0;
      s.activeIndex = slideIndex;
      if (translate === s.translate) {
        s.updateClasses();
        return false;
      }
      s.updateClasses();
      s.onTransitionStart(runCallbacks);
      var translateX = isH() ? translate : 0,
          translateY = isH() ? 0 : translate;
      if (speed === 0) {
        s.setWrapperTransition(0);
        s.setWrapperTranslate(translate);
        s.onTransitionEnd(runCallbacks);
      } else {
        s.setWrapperTransition(speed);
        s.setWrapperTranslate(translate);
        if (!s.animating) {
          s.animating = true;
          s.wrapper.transitionEnd(function() {
            if (!s)
              return;
            s.onTransitionEnd(runCallbacks);
          });
        }
      }
      return true;
    };
    s.onTransitionStart = function(runCallbacks) {
      if (typeof runCallbacks === 'undefined')
        runCallbacks = true;
      if (s.lazy)
        s.lazy.onTransitionStart();
      if (runCallbacks) {
        s.emit('onTransitionStart', s);
        if (s.activeIndex !== s.previousIndex) {
          s.emit('onSlideChangeStart', s);
        }
      }
    };
    s.onTransitionEnd = function(runCallbacks) {
      s.animating = false;
      s.setWrapperTransition(0);
      if (typeof runCallbacks === 'undefined')
        runCallbacks = true;
      if (s.lazy)
        s.lazy.onTransitionEnd();
      if (runCallbacks) {
        s.emit('onTransitionEnd', s);
        if (s.activeIndex !== s.previousIndex) {
          s.emit('onSlideChangeEnd', s);
        }
      }
      if (s.params.hashnav && s.hashnav) {
        s.hashnav.setHash();
      }
    };
    s.slideNext = function(runCallbacks, speed, internal) {
      if (s.params.loop) {
        if (s.animating)
          return false;
        s.fixLoop();
        var clientLeft = s.container[0].clientLeft;
        return s.slideTo(s.activeIndex + s.params.slidesPerGroup, speed, runCallbacks, internal);
      } else
        return s.slideTo(s.activeIndex + s.params.slidesPerGroup, speed, runCallbacks, internal);
    };
    s._slideNext = function(speed) {
      return s.slideNext(true, speed, true);
    };
    s.slidePrev = function(runCallbacks, speed, internal) {
      if (s.params.loop) {
        if (s.animating)
          return false;
        s.fixLoop();
        var clientLeft = s.container[0].clientLeft;
        return s.slideTo(s.activeIndex - 1, speed, runCallbacks, internal);
      } else
        return s.slideTo(s.activeIndex - 1, speed, runCallbacks, internal);
    };
    s._slidePrev = function(speed) {
      return s.slidePrev(true, speed, true);
    };
    s.slideReset = function(runCallbacks, speed, internal) {
      return s.slideTo(s.activeIndex, speed, runCallbacks);
    };
    s.setWrapperTransition = function(duration, byController) {
      s.wrapper.transition(duration);
      if (s.params.effect !== 'slide' && s.effects[s.params.effect]) {
        s.effects[s.params.effect].setTransition(duration);
      }
      if (s.params.parallax && s.parallax) {
        s.parallax.setTransition(duration);
      }
      if (s.params.scrollbar && s.scrollbar) {
        s.scrollbar.setTransition(duration);
      }
      if (s.params.control && s.controller) {
        s.controller.setTransition(duration, byController);
      }
      s.emit('onSetTransition', s, duration);
    };
    s.setWrapperTranslate = function(translate, updateActiveIndex, byController) {
      var x = 0,
          y = 0,
          z = 0;
      if (isH()) {
        x = s.rtl ? -translate : translate;
      } else {
        y = translate;
      }
      if (!s.params.virtualTranslate) {
        if (s.support.transforms3d)
          s.wrapper.transform('translate3d(' + x + 'px, ' + y + 'px, ' + z + 'px)');
        else
          s.wrapper.transform('translate(' + x + 'px, ' + y + 'px)');
      }
      s.translate = isH() ? x : y;
      if (updateActiveIndex)
        s.updateActiveIndex();
      if (s.params.effect !== 'slide' && s.effects[s.params.effect]) {
        s.effects[s.params.effect].setTranslate(s.translate);
      }
      if (s.params.parallax && s.parallax) {
        s.parallax.setTranslate(s.translate);
      }
      if (s.params.scrollbar && s.scrollbar) {
        s.scrollbar.setTranslate(s.translate);
      }
      if (s.params.control && s.controller) {
        s.controller.setTranslate(s.translate, byController);
      }
      s.emit('onSetTranslate', s, s.translate);
    };
    s.getTranslate = function(el, axis) {
      var matrix,
          curTransform,
          curStyle,
          transformMatrix;
      if (typeof axis === 'undefined') {
        axis = 'x';
      }
      if (s.params.virtualTranslate) {
        return s.rtl ? -s.translate : s.translate;
      }
      curStyle = window.getComputedStyle(el, null);
      if (window.WebKitCSSMatrix) {
        transformMatrix = new window.WebKitCSSMatrix(curStyle.webkitTransform === 'none' ? '' : curStyle.webkitTransform);
      } else {
        transformMatrix = curStyle.MozTransform || curStyle.OTransform || curStyle.MsTransform || curStyle.msTransform || curStyle.transform || curStyle.getPropertyValue('transform').replace('translate(', 'matrix(1, 0, 0, 1,');
        matrix = transformMatrix.toString().split(',');
      }
      if (axis === 'x') {
        if (window.WebKitCSSMatrix)
          curTransform = transformMatrix.m41;
        else if (matrix.length === 16)
          curTransform = parseFloat(matrix[12]);
        else
          curTransform = parseFloat(matrix[4]);
      }
      if (axis === 'y') {
        if (window.WebKitCSSMatrix)
          curTransform = transformMatrix.m42;
        else if (matrix.length === 16)
          curTransform = parseFloat(matrix[13]);
        else
          curTransform = parseFloat(matrix[5]);
      }
      if (s.rtl && curTransform)
        curTransform = -curTransform;
      return curTransform || 0;
    };
    s.getWrapperTranslate = function(axis) {
      if (typeof axis === 'undefined') {
        axis = isH() ? 'x' : 'y';
      }
      return s.getTranslate(s.wrapper[0], axis);
    };
    s.observers = [];
    function initObserver(target, options) {
      options = options || {};
      var ObserverFunc = window.MutationObserver || window.WebkitMutationObserver;
      var observer = new ObserverFunc(function(mutations) {
        mutations.forEach(function(mutation) {
          s.onResize(true);
          s.emit('onObserverUpdate', s, mutation);
        });
      });
      observer.observe(target, {
        attributes: typeof options.attributes === 'undefined' ? true : options.attributes,
        childList: typeof options.childList === 'undefined' ? true : options.childList,
        characterData: typeof options.characterData === 'undefined' ? true : options.characterData
      });
      s.observers.push(observer);
    }
    s.initObservers = function() {
      if (s.params.observeParents) {
        var containerParents = s.container.parents();
        for (var i = 0; i < containerParents.length; i++) {
          initObserver(containerParents[i]);
        }
      }
      initObserver(s.container[0], {childList: false});
      initObserver(s.wrapper[0], {attributes: false});
    };
    s.disconnectObservers = function() {
      for (var i = 0; i < s.observers.length; i++) {
        s.observers[i].disconnect();
      }
      s.observers = [];
    };
    s.createLoop = function() {
      s.wrapper.children('.' + s.params.slideClass + '.' + s.params.slideDuplicateClass).remove();
      var slides = s.wrapper.children('.' + s.params.slideClass);
      if (s.params.slidesPerView === 'auto' && !s.params.loopedSlides)
        s.params.loopedSlides = slides.length;
      s.loopedSlides = parseInt(s.params.loopedSlides || s.params.slidesPerView, 10);
      s.loopedSlides = s.loopedSlides + s.params.loopAdditionalSlides;
      if (s.loopedSlides > slides.length) {
        s.loopedSlides = slides.length;
      }
      var prependSlides = [],
          appendSlides = [],
          i;
      slides.each(function(index, el) {
        var slide = $(this);
        if (index < s.loopedSlides)
          appendSlides.push(el);
        if (index < slides.length && index >= slides.length - s.loopedSlides)
          prependSlides.push(el);
        slide.attr('data-swiper-slide-index', index);
      });
      for (i = 0; i < appendSlides.length; i++) {
        s.wrapper.append($(appendSlides[i].cloneNode(true)).addClass(s.params.slideDuplicateClass));
      }
      for (i = prependSlides.length - 1; i >= 0; i--) {
        s.wrapper.prepend($(prependSlides[i].cloneNode(true)).addClass(s.params.slideDuplicateClass));
      }
    };
    s.destroyLoop = function() {
      s.wrapper.children('.' + s.params.slideClass + '.' + s.params.slideDuplicateClass).remove();
      s.slides.removeAttr('data-swiper-slide-index');
    };
    s.fixLoop = function() {
      var newIndex;
      if (s.activeIndex < s.loopedSlides) {
        newIndex = s.slides.length - s.loopedSlides * 3 + s.activeIndex;
        newIndex = newIndex + s.loopedSlides;
        s.slideTo(newIndex, 0, false, true);
      } else if ((s.params.slidesPerView === 'auto' && s.activeIndex >= s.loopedSlides * 2) || (s.activeIndex > s.slides.length - s.params.slidesPerView * 2)) {
        newIndex = -s.slides.length + s.activeIndex + s.loopedSlides;
        newIndex = newIndex + s.loopedSlides;
        s.slideTo(newIndex, 0, false, true);
      }
    };
    s.appendSlide = function(slides) {
      if (s.params.loop) {
        s.destroyLoop();
      }
      if (typeof slides === 'object' && slides.length) {
        for (var i = 0; i < slides.length; i++) {
          if (slides[i])
            s.wrapper.append(slides[i]);
        }
      } else {
        s.wrapper.append(slides);
      }
      if (s.params.loop) {
        s.createLoop();
      }
      if (!(s.params.observer && s.support.observer)) {
        s.update(true);
      }
    };
    s.prependSlide = function(slides) {
      if (s.params.loop) {
        s.destroyLoop();
      }
      var newActiveIndex = s.activeIndex + 1;
      if (typeof slides === 'object' && slides.length) {
        for (var i = 0; i < slides.length; i++) {
          if (slides[i])
            s.wrapper.prepend(slides[i]);
        }
        newActiveIndex = s.activeIndex + slides.length;
      } else {
        s.wrapper.prepend(slides);
      }
      if (s.params.loop) {
        s.createLoop();
      }
      if (!(s.params.observer && s.support.observer)) {
        s.update(true);
      }
      s.slideTo(newActiveIndex, 0, false);
    };
    s.removeSlide = function(slidesIndexes) {
      if (s.params.loop) {
        s.destroyLoop();
        s.slides = s.wrapper.children('.' + s.params.slideClass);
      }
      var newActiveIndex = s.activeIndex,
          indexToRemove;
      if (typeof slidesIndexes === 'object' && slidesIndexes.length) {
        for (var i = 0; i < slidesIndexes.length; i++) {
          indexToRemove = slidesIndexes[i];
          if (s.slides[indexToRemove])
            s.slides.eq(indexToRemove).remove();
          if (indexToRemove < newActiveIndex)
            newActiveIndex--;
        }
        newActiveIndex = Math.max(newActiveIndex, 0);
      } else {
        indexToRemove = slidesIndexes;
        if (s.slides[indexToRemove])
          s.slides.eq(indexToRemove).remove();
        if (indexToRemove < newActiveIndex)
          newActiveIndex--;
        newActiveIndex = Math.max(newActiveIndex, 0);
      }
      if (s.params.loop) {
        s.createLoop();
      }
      if (!(s.params.observer && s.support.observer)) {
        s.update(true);
      }
      if (s.params.loop) {
        s.slideTo(newActiveIndex + s.loopedSlides, 0, false);
      } else {
        s.slideTo(newActiveIndex, 0, false);
      }
    };
    s.removeAllSlides = function() {
      var slidesIndexes = [];
      for (var i = 0; i < s.slides.length; i++) {
        slidesIndexes.push(i);
      }
      s.removeSlide(slidesIndexes);
    };
    s.effects = {
      fade: {
        setTranslate: function() {
          for (var i = 0; i < s.slides.length; i++) {
            var slide = s.slides.eq(i);
            var offset = slide[0].swiperSlideOffset;
            var tx = -offset;
            if (!s.params.virtualTranslate)
              tx = tx - s.translate;
            var ty = 0;
            if (!isH()) {
              ty = tx;
              tx = 0;
            }
            var slideOpacity = s.params.fade.crossFade ? Math.max(1 - Math.abs(slide[0].progress), 0) : 1 + Math.min(Math.max(slide[0].progress, -1), 0);
            slide.css({opacity: slideOpacity}).transform('translate3d(' + tx + 'px, ' + ty + 'px, 0px)');
          }
        },
        setTransition: function(duration) {
          s.slides.transition(duration);
          if (s.params.virtualTranslate && duration !== 0) {
            var eventTriggered = false;
            s.slides.transitionEnd(function() {
              if (eventTriggered)
                return;
              if (!s)
                return;
              eventTriggered = true;
              s.animating = false;
              var triggerEvents = ['webkitTransitionEnd', 'transitionend', 'oTransitionEnd', 'MSTransitionEnd', 'msTransitionEnd'];
              for (var i = 0; i < triggerEvents.length; i++) {
                s.wrapper.trigger(triggerEvents[i]);
              }
            });
          }
        }
      },
      cube: {
        setTranslate: function() {
          var wrapperRotate = 0,
              cubeShadow;
          if (s.params.cube.shadow) {
            if (isH()) {
              cubeShadow = s.wrapper.find('.swiper-cube-shadow');
              if (cubeShadow.length === 0) {
                cubeShadow = $('<div class="swiper-cube-shadow"></div>');
                s.wrapper.append(cubeShadow);
              }
              cubeShadow.css({height: s.width + 'px'});
            } else {
              cubeShadow = s.container.find('.swiper-cube-shadow');
              if (cubeShadow.length === 0) {
                cubeShadow = $('<div class="swiper-cube-shadow"></div>');
                s.container.append(cubeShadow);
              }
            }
          }
          for (var i = 0; i < s.slides.length; i++) {
            var slide = s.slides.eq(i);
            var slideAngle = i * 90;
            var round = Math.floor(slideAngle / 360);
            if (s.rtl) {
              slideAngle = -slideAngle;
              round = Math.floor(-slideAngle / 360);
            }
            var progress = Math.max(Math.min(slide[0].progress, 1), -1);
            var tx = 0,
                ty = 0,
                tz = 0;
            if (i % 4 === 0) {
              tx = -round * 4 * s.size;
              tz = 0;
            } else if ((i - 1) % 4 === 0) {
              tx = 0;
              tz = -round * 4 * s.size;
            } else if ((i - 2) % 4 === 0) {
              tx = s.size + round * 4 * s.size;
              tz = s.size;
            } else if ((i - 3) % 4 === 0) {
              tx = -s.size;
              tz = 3 * s.size + s.size * 4 * round;
            }
            if (s.rtl) {
              tx = -tx;
            }
            if (!isH()) {
              ty = tx;
              tx = 0;
            }
            var transform = 'rotateX(' + (isH() ? 0 : -slideAngle) + 'deg) rotateY(' + (isH() ? slideAngle : 0) + 'deg) translate3d(' + tx + 'px, ' + ty + 'px, ' + tz + 'px)';
            if (progress <= 1 && progress > -1) {
              wrapperRotate = i * 90 + progress * 90;
              if (s.rtl)
                wrapperRotate = -i * 90 - progress * 90;
            }
            slide.transform(transform);
            if (s.params.cube.slideShadows) {
              var shadowBefore = isH() ? slide.find('.swiper-slide-shadow-left') : slide.find('.swiper-slide-shadow-top');
              var shadowAfter = isH() ? slide.find('.swiper-slide-shadow-right') : slide.find('.swiper-slide-shadow-bottom');
              if (shadowBefore.length === 0) {
                shadowBefore = $('<div class="swiper-slide-shadow-' + (isH() ? 'left' : 'top') + '"></div>');
                slide.append(shadowBefore);
              }
              if (shadowAfter.length === 0) {
                shadowAfter = $('<div class="swiper-slide-shadow-' + (isH() ? 'right' : 'bottom') + '"></div>');
                slide.append(shadowAfter);
              }
              var shadowOpacity = slide[0].progress;
              if (shadowBefore.length)
                shadowBefore[0].style.opacity = -slide[0].progress;
              if (shadowAfter.length)
                shadowAfter[0].style.opacity = slide[0].progress;
            }
          }
          s.wrapper.css({
            '-webkit-transform-origin': '50% 50% -' + (s.size / 2) + 'px',
            '-moz-transform-origin': '50% 50% -' + (s.size / 2) + 'px',
            '-ms-transform-origin': '50% 50% -' + (s.size / 2) + 'px',
            'transform-origin': '50% 50% -' + (s.size / 2) + 'px'
          });
          if (s.params.cube.shadow) {
            if (isH()) {
              cubeShadow.transform('translate3d(0px, ' + (s.width / 2 + s.params.cube.shadowOffset) + 'px, ' + (-s.width / 2) + 'px) rotateX(90deg) rotateZ(0deg) scale(' + (s.params.cube.shadowScale) + ')');
            } else {
              var shadowAngle = Math.abs(wrapperRotate) - Math.floor(Math.abs(wrapperRotate) / 90) * 90;
              var multiplier = 1.5 - (Math.sin(shadowAngle * 2 * Math.PI / 360) / 2 + Math.cos(shadowAngle * 2 * Math.PI / 360) / 2);
              var scale1 = s.params.cube.shadowScale,
                  scale2 = s.params.cube.shadowScale / multiplier,
                  offset = s.params.cube.shadowOffset;
              cubeShadow.transform('scale3d(' + scale1 + ', 1, ' + scale2 + ') translate3d(0px, ' + (s.height / 2 + offset) + 'px, ' + (-s.height / 2 / scale2) + 'px) rotateX(-90deg)');
            }
          }
          var zFactor = (s.isSafari || s.isUiWebView) ? (-s.size / 2) : 0;
          s.wrapper.transform('translate3d(0px,0,' + zFactor + 'px) rotateX(' + (isH() ? 0 : wrapperRotate) + 'deg) rotateY(' + (isH() ? -wrapperRotate : 0) + 'deg)');
        },
        setTransition: function(duration) {
          s.slides.transition(duration).find('.swiper-slide-shadow-top, .swiper-slide-shadow-right, .swiper-slide-shadow-bottom, .swiper-slide-shadow-left').transition(duration);
          if (s.params.cube.shadow && !isH()) {
            s.container.find('.swiper-cube-shadow').transition(duration);
          }
        }
      },
      coverflow: {
        setTranslate: function() {
          var transform = s.translate;
          var center = isH() ? -transform + s.width / 2 : -transform + s.height / 2;
          var rotate = isH() ? s.params.coverflow.rotate : -s.params.coverflow.rotate;
          var translate = s.params.coverflow.depth;
          for (var i = 0,
              length = s.slides.length; i < length; i++) {
            var slide = s.slides.eq(i);
            var slideSize = s.slidesSizesGrid[i];
            var slideOffset = slide[0].swiperSlideOffset;
            var offsetMultiplier = (center - slideOffset - slideSize / 2) / slideSize * s.params.coverflow.modifier;
            var rotateY = isH() ? rotate * offsetMultiplier : 0;
            var rotateX = isH() ? 0 : rotate * offsetMultiplier;
            var translateZ = -translate * Math.abs(offsetMultiplier);
            var translateY = isH() ? 0 : s.params.coverflow.stretch * (offsetMultiplier);
            var translateX = isH() ? s.params.coverflow.stretch * (offsetMultiplier) : 0;
            if (Math.abs(translateX) < 0.001)
              translateX = 0;
            if (Math.abs(translateY) < 0.001)
              translateY = 0;
            if (Math.abs(translateZ) < 0.001)
              translateZ = 0;
            if (Math.abs(rotateY) < 0.001)
              rotateY = 0;
            if (Math.abs(rotateX) < 0.001)
              rotateX = 0;
            var slideTransform = 'translate3d(' + translateX + 'px,' + translateY + 'px,' + translateZ + 'px)  rotateX(' + rotateX + 'deg) rotateY(' + rotateY + 'deg)';
            slide.transform(slideTransform);
            slide[0].style.zIndex = -Math.abs(Math.round(offsetMultiplier)) + 1;
            if (s.params.coverflow.slideShadows) {
              var shadowBefore = isH() ? slide.find('.swiper-slide-shadow-left') : slide.find('.swiper-slide-shadow-top');
              var shadowAfter = isH() ? slide.find('.swiper-slide-shadow-right') : slide.find('.swiper-slide-shadow-bottom');
              if (shadowBefore.length === 0) {
                shadowBefore = $('<div class="swiper-slide-shadow-' + (isH() ? 'left' : 'top') + '"></div>');
                slide.append(shadowBefore);
              }
              if (shadowAfter.length === 0) {
                shadowAfter = $('<div class="swiper-slide-shadow-' + (isH() ? 'right' : 'bottom') + '"></div>');
                slide.append(shadowAfter);
              }
              if (shadowBefore.length)
                shadowBefore[0].style.opacity = offsetMultiplier > 0 ? offsetMultiplier : 0;
              if (shadowAfter.length)
                shadowAfter[0].style.opacity = (-offsetMultiplier) > 0 ? -offsetMultiplier : 0;
            }
          }
          if (s.browser.ie) {
            var ws = s.wrapper[0].style;
            ws.perspectiveOrigin = center + 'px 50%';
          }
        },
        setTransition: function(duration) {
          s.slides.transition(duration).find('.swiper-slide-shadow-top, .swiper-slide-shadow-right, .swiper-slide-shadow-bottom, .swiper-slide-shadow-left').transition(duration);
        }
      }
    };
    s.lazy = {
      initialImageLoaded: false,
      loadImageInSlide: function(index, loadInDuplicate) {
        if (typeof index === 'undefined')
          return;
        if (typeof loadInDuplicate === 'undefined')
          loadInDuplicate = true;
        if (s.slides.length === 0)
          return;
        var slide = s.slides.eq(index);
        var img = slide.find('.swiper-lazy:not(.swiper-lazy-loaded):not(.swiper-lazy-loading)');
        if (slide.hasClass('swiper-lazy') && !slide.hasClass('swiper-lazy-loaded') && !slide.hasClass('swiper-lazy-loading')) {
          img.add(slide[0]);
        }
        if (img.length === 0)
          return;
        img.each(function() {
          var _img = $(this);
          _img.addClass('swiper-lazy-loading');
          var background = _img.attr('data-background');
          var src = _img.attr('data-src');
          s.loadImage(_img[0], (src || background), false, function() {
            if (background) {
              _img.css('background-image', 'url(' + background + ')');
              _img.removeAttr('data-background');
            } else {
              _img.attr('src', src);
              _img.removeAttr('data-src');
            }
            _img.addClass('swiper-lazy-loaded').removeClass('swiper-lazy-loading');
            slide.find('.swiper-lazy-preloader, .preloader').remove();
            if (s.params.loop && loadInDuplicate) {
              var slideOriginalIndex = slide.attr('data-swiper-slide-index');
              if (slide.hasClass(s.params.slideDuplicateClass)) {
                var originalSlide = s.wrapper.children('[data-swiper-slide-index="' + slideOriginalIndex + '"]:not(.' + s.params.slideDuplicateClass + ')');
                s.lazy.loadImageInSlide(originalSlide.index(), false);
              } else {
                var duplicatedSlide = s.wrapper.children('.' + s.params.slideDuplicateClass + '[data-swiper-slide-index="' + slideOriginalIndex + '"]');
                s.lazy.loadImageInSlide(duplicatedSlide.index(), false);
              }
            }
            s.emit('onLazyImageReady', s, slide[0], _img[0]);
          });
          s.emit('onLazyImageLoad', s, slide[0], _img[0]);
        });
      },
      load: function() {
        var i;
        if (s.params.watchSlidesVisibility) {
          s.wrapper.children('.' + s.params.slideVisibleClass).each(function() {
            s.lazy.loadImageInSlide($(this).index());
          });
        } else {
          if (s.params.slidesPerView > 1) {
            for (i = s.activeIndex; i < s.activeIndex + s.params.slidesPerView; i++) {
              if (s.slides[i])
                s.lazy.loadImageInSlide(i);
            }
          } else {
            s.lazy.loadImageInSlide(s.activeIndex);
          }
        }
        if (s.params.lazyLoadingInPrevNext) {
          if (s.params.slidesPerView > 1) {
            for (i = s.activeIndex + s.params.slidesPerView; i < s.activeIndex + s.params.slidesPerView + s.params.slidesPerView; i++) {
              if (s.slides[i])
                s.lazy.loadImageInSlide(i);
            }
            for (i = s.activeIndex - s.params.slidesPerView; i < s.activeIndex; i++) {
              if (s.slides[i])
                s.lazy.loadImageInSlide(i);
            }
          } else {
            var nextSlide = s.wrapper.children('.' + s.params.slideNextClass);
            if (nextSlide.length > 0)
              s.lazy.loadImageInSlide(nextSlide.index());
            var prevSlide = s.wrapper.children('.' + s.params.slidePrevClass);
            if (prevSlide.length > 0)
              s.lazy.loadImageInSlide(prevSlide.index());
          }
        }
      },
      onTransitionStart: function() {
        if (s.params.lazyLoading) {
          if (s.params.lazyLoadingOnTransitionStart || (!s.params.lazyLoadingOnTransitionStart && !s.lazy.initialImageLoaded)) {
            s.lazy.load();
          }
        }
      },
      onTransitionEnd: function() {
        if (s.params.lazyLoading && !s.params.lazyLoadingOnTransitionStart) {
          s.lazy.load();
        }
      }
    };
    s.scrollbar = {
      set: function() {
        if (!s.params.scrollbar)
          return;
        var sb = s.scrollbar;
        sb.track = $(s.params.scrollbar);
        sb.drag = sb.track.find('.swiper-scrollbar-drag');
        if (sb.drag.length === 0) {
          sb.drag = $('<div class="swiper-scrollbar-drag"></div>');
          sb.track.append(sb.drag);
        }
        sb.drag[0].style.width = '';
        sb.drag[0].style.height = '';
        sb.trackSize = isH() ? sb.track[0].offsetWidth : sb.track[0].offsetHeight;
        sb.divider = s.size / s.virtualSize;
        sb.moveDivider = sb.divider * (sb.trackSize / s.size);
        sb.dragSize = sb.trackSize * sb.divider;
        if (isH()) {
          sb.drag[0].style.width = sb.dragSize + 'px';
        } else {
          sb.drag[0].style.height = sb.dragSize + 'px';
        }
        if (sb.divider >= 1) {
          sb.track[0].style.display = 'none';
        } else {
          sb.track[0].style.display = '';
        }
        if (s.params.scrollbarHide) {
          sb.track[0].style.opacity = 0;
        }
      },
      setTranslate: function() {
        if (!s.params.scrollbar)
          return;
        var diff;
        var sb = s.scrollbar;
        var translate = s.translate || 0;
        var newPos;
        var newSize = sb.dragSize;
        newPos = (sb.trackSize - sb.dragSize) * s.progress;
        if (s.rtl && isH()) {
          newPos = -newPos;
          if (newPos > 0) {
            newSize = sb.dragSize - newPos;
            newPos = 0;
          } else if (-newPos + sb.dragSize > sb.trackSize) {
            newSize = sb.trackSize + newPos;
          }
        } else {
          if (newPos < 0) {
            newSize = sb.dragSize + newPos;
            newPos = 0;
          } else if (newPos + sb.dragSize > sb.trackSize) {
            newSize = sb.trackSize - newPos;
          }
        }
        if (isH()) {
          if (s.support.transforms3d) {
            sb.drag.transform('translate3d(' + (newPos) + 'px, 0, 0)');
          } else {
            sb.drag.transform('translateX(' + (newPos) + 'px)');
          }
          sb.drag[0].style.width = newSize + 'px';
        } else {
          if (s.support.transforms3d) {
            sb.drag.transform('translate3d(0px, ' + (newPos) + 'px, 0)');
          } else {
            sb.drag.transform('translateY(' + (newPos) + 'px)');
          }
          sb.drag[0].style.height = newSize + 'px';
        }
        if (s.params.scrollbarHide) {
          clearTimeout(sb.timeout);
          sb.track[0].style.opacity = 1;
          sb.timeout = setTimeout(function() {
            sb.track[0].style.opacity = 0;
            sb.track.transition(400);
          }, 1000);
        }
      },
      setTransition: function(duration) {
        if (!s.params.scrollbar)
          return;
        s.scrollbar.drag.transition(duration);
      }
    };
    s.controller = {
      LinearSpline: function(x, y) {
        this.x = x;
        this.y = y;
        this.lastIndex = x.length - 1;
        var i1,
            i3;
        var l = this.x.length;
        this.interpolate = function(x2) {
          if (!x2)
            return 0;
          i3 = binarySearch(this.x, x2);
          i1 = i3 - 1;
          return ((x2 - this.x[i1]) * (this.y[i3] - this.y[i1])) / (this.x[i3] - this.x[i1]) + this.y[i1];
        };
        var binarySearch = (function() {
          var maxIndex,
              minIndex,
              guess;
          return function(array, val) {
            minIndex = -1;
            maxIndex = array.length;
            while (maxIndex - minIndex > 1)
              if (array[guess = maxIndex + minIndex >> 1] <= val) {
                minIndex = guess;
              } else {
                maxIndex = guess;
              }
            return maxIndex;
          };
        })();
      },
      getInterpolateFunction: function(c) {
        if (!s.controller.spline)
          s.controller.spline = s.params.loop ? new s.controller.LinearSpline(s.slidesGrid, c.slidesGrid) : new s.controller.LinearSpline(s.snapGrid, c.snapGrid);
      },
      setTranslate: function(translate, byController) {
        var controlled = s.params.control;
        var multiplier,
            controlledTranslate;
        function setControlledTranslate(c) {
          translate = c.rtl && c.params.direction === 'horizontal' ? -s.translate : s.translate;
          if (s.params.controlBy === 'slide') {
            s.controller.getInterpolateFunction(c);
            controlledTranslate = -s.controller.spline.interpolate(-translate);
          }
          if (!controlledTranslate || s.params.controlBy === 'container') {
            multiplier = (c.maxTranslate() - c.minTranslate()) / (s.maxTranslate() - s.minTranslate());
            controlledTranslate = (translate - s.minTranslate()) * multiplier + c.minTranslate();
          }
          if (s.params.controlInverse) {
            controlledTranslate = c.maxTranslate() - controlledTranslate;
          }
          c.updateProgress(controlledTranslate);
          c.setWrapperTranslate(controlledTranslate, false, s);
          c.updateActiveIndex();
        }
        if (s.isArray(controlled)) {
          for (var i = 0; i < controlled.length; i++) {
            if (controlled[i] !== byController && controlled[i] instanceof Swiper) {
              setControlledTranslate(controlled[i]);
            }
          }
        } else if (controlled instanceof Swiper && byController !== controlled) {
          setControlledTranslate(controlled);
        }
      },
      setTransition: function(duration, byController) {
        var controlled = s.params.control;
        var i;
        function setControlledTransition(c) {
          c.setWrapperTransition(duration, s);
          if (duration !== 0) {
            c.onTransitionStart();
            c.wrapper.transitionEnd(function() {
              if (!controlled)
                return;
              if (c.params.loop && s.params.controlBy === 'slide') {
                c.fixLoop();
              }
              c.onTransitionEnd();
            });
          }
        }
        if (s.isArray(controlled)) {
          for (i = 0; i < controlled.length; i++) {
            if (controlled[i] !== byController && controlled[i] instanceof Swiper) {
              setControlledTransition(controlled[i]);
            }
          }
        } else if (controlled instanceof Swiper && byController !== controlled) {
          setControlledTransition(controlled);
        }
      }
    };
    s.hashnav = {
      init: function() {
        if (!s.params.hashnav)
          return;
        s.hashnav.initialized = true;
        var hash = document.location.hash.replace('#', '');
        if (!hash)
          return;
        var speed = 0;
        for (var i = 0,
            length = s.slides.length; i < length; i++) {
          var slide = s.slides.eq(i);
          var slideHash = slide.attr('data-hash');
          if (slideHash === hash && !slide.hasClass(s.params.slideDuplicateClass)) {
            var index = slide.index();
            s.slideTo(index, speed, s.params.runCallbacksOnInit, true);
          }
        }
      },
      setHash: function() {
        if (!s.hashnav.initialized || !s.params.hashnav)
          return;
        document.location.hash = s.slides.eq(s.activeIndex).attr('data-hash') || '';
      }
    };
    function handleKeyboard(e) {
      if (e.originalEvent)
        e = e.originalEvent;
      var kc = e.keyCode || e.charCode;
      if (!s.params.allowSwipeToNext && (isH() && kc === 39 || !isH() && kc === 40)) {
        return false;
      }
      if (!s.params.allowSwipeToPrev && (isH() && kc === 37 || !isH() && kc === 38)) {
        return false;
      }
      if (e.shiftKey || e.altKey || e.ctrlKey || e.metaKey) {
        return;
      }
      if (document.activeElement && document.activeElement.nodeName && (document.activeElement.nodeName.toLowerCase() === 'input' || document.activeElement.nodeName.toLowerCase() === 'textarea')) {
        return;
      }
      if (kc === 37 || kc === 39 || kc === 38 || kc === 40) {
        var inView = false;
        if (s.container.parents('.swiper-slide').length > 0 && s.container.parents('.swiper-slide-active').length === 0) {
          return;
        }
        var windowScroll = {
          left: window.pageXOffset,
          top: window.pageYOffset
        };
        var windowWidth = window.innerWidth;
        var windowHeight = window.innerHeight;
        var swiperOffset = s.container.offset();
        if (s.rtl)
          swiperOffset.left = swiperOffset.left - s.container[0].scrollLeft;
        var swiperCoord = [[swiperOffset.left, swiperOffset.top], [swiperOffset.left + s.width, swiperOffset.top], [swiperOffset.left, swiperOffset.top + s.height], [swiperOffset.left + s.width, swiperOffset.top + s.height]];
        for (var i = 0; i < swiperCoord.length; i++) {
          var point = swiperCoord[i];
          if (point[0] >= windowScroll.left && point[0] <= windowScroll.left + windowWidth && point[1] >= windowScroll.top && point[1] <= windowScroll.top + windowHeight) {
            inView = true;
          }
        }
        if (!inView)
          return;
      }
      if (isH()) {
        if (kc === 37 || kc === 39) {
          if (e.preventDefault)
            e.preventDefault();
          else
            e.returnValue = false;
        }
        if ((kc === 39 && !s.rtl) || (kc === 37 && s.rtl))
          s.slideNext();
        if ((kc === 37 && !s.rtl) || (kc === 39 && s.rtl))
          s.slidePrev();
      } else {
        if (kc === 38 || kc === 40) {
          if (e.preventDefault)
            e.preventDefault();
          else
            e.returnValue = false;
        }
        if (kc === 40)
          s.slideNext();
        if (kc === 38)
          s.slidePrev();
      }
    }
    s.disableKeyboardControl = function() {
      $(document).off('keydown', handleKeyboard);
    };
    s.enableKeyboardControl = function() {
      $(document).on('keydown', handleKeyboard);
    };
    s.mousewheel = {
      event: false,
      lastScrollTime: (new window.Date()).getTime()
    };
    if (s.params.mousewheelControl) {
      try {
        new window.WheelEvent('wheel');
        s.mousewheel.event = 'wheel';
      } catch (e) {}
      if (!s.mousewheel.event && document.onmousewheel !== undefined) {
        s.mousewheel.event = 'mousewheel';
      }
      if (!s.mousewheel.event) {
        s.mousewheel.event = 'DOMMouseScroll';
      }
    }
    function handleMousewheel(e) {
      if (e.originalEvent)
        e = e.originalEvent;
      var we = s.mousewheel.event;
      var delta = 0;
      if (e.detail)
        delta = -e.detail;
      else if (we === 'mousewheel') {
        if (s.params.mousewheelForceToAxis) {
          if (isH()) {
            if (Math.abs(e.wheelDeltaX) > Math.abs(e.wheelDeltaY))
              delta = e.wheelDeltaX;
            else
              return;
          } else {
            if (Math.abs(e.wheelDeltaY) > Math.abs(e.wheelDeltaX))
              delta = e.wheelDeltaY;
            else
              return;
          }
        } else {
          delta = e.wheelDelta;
        }
      } else if (we === 'DOMMouseScroll')
        delta = -e.detail;
      else if (we === 'wheel') {
        if (s.params.mousewheelForceToAxis) {
          if (isH()) {
            if (Math.abs(e.deltaX) > Math.abs(e.deltaY))
              delta = -e.deltaX;
            else
              return;
          } else {
            if (Math.abs(e.deltaY) > Math.abs(e.deltaX))
              delta = -e.deltaY;
            else
              return;
          }
        } else {
          delta = Math.abs(e.deltaX) > Math.abs(e.deltaY) ? -e.deltaX : -e.deltaY;
        }
      }
      if (s.params.mousewheelInvert)
        delta = -delta;
      if (!s.params.freeMode) {
        if ((new window.Date()).getTime() - s.mousewheel.lastScrollTime > 60) {
          if (delta < 0) {
            if ((!s.isEnd || s.params.loop) && !s.animating)
              s.slideNext();
            else if (s.params.mousewheelReleaseOnEdges)
              return true;
          } else {
            if ((!s.isBeginning || s.params.loop) && !s.animating)
              s.slidePrev();
            else if (s.params.mousewheelReleaseOnEdges)
              return true;
          }
        }
        s.mousewheel.lastScrollTime = (new window.Date()).getTime();
      } else {
        var position = s.getWrapperTranslate() + delta * s.params.mousewheelSensitivity;
        if (position > 0)
          position = 0;
        if (position < s.maxTranslate())
          position = s.maxTranslate();
        s.setWrapperTransition(0);
        s.setWrapperTranslate(position);
        s.updateProgress();
        s.updateActiveIndex();
        if (s.params.freeModeSticky) {
          clearTimeout(s.mousewheel.timeout);
          s.mousewheel.timeout = setTimeout(function() {
            s.slideReset();
          }, 300);
        }
        if (position === 0 || position === s.maxTranslate())
          return;
      }
      if (s.params.autoplay)
        s.stopAutoplay();
      if (e.preventDefault)
        e.preventDefault();
      else
        e.returnValue = false;
      return false;
    }
    s.disableMousewheelControl = function() {
      if (!s.mousewheel.event)
        return false;
      s.container.off(s.mousewheel.event, handleMousewheel);
      return true;
    };
    s.enableMousewheelControl = function() {
      if (!s.mousewheel.event)
        return false;
      s.container.on(s.mousewheel.event, handleMousewheel);
      return true;
    };
    function setParallaxTransform(el, progress) {
      el = $(el);
      var p,
          pX,
          pY;
      p = el.attr('data-swiper-parallax') || '0';
      pX = el.attr('data-swiper-parallax-x');
      pY = el.attr('data-swiper-parallax-y');
      if (pX || pY) {
        pX = pX || '0';
        pY = pY || '0';
      } else {
        if (isH()) {
          pX = p;
          pY = '0';
        } else {
          pY = p;
          pX = '0';
        }
      }
      if ((pX).indexOf('%') >= 0) {
        pX = parseInt(pX, 10) * progress + '%';
      } else {
        pX = pX * progress + 'px';
      }
      if ((pY).indexOf('%') >= 0) {
        pY = parseInt(pY, 10) * progress + '%';
      } else {
        pY = pY * progress + 'px';
      }
      el.transform('translate3d(' + pX + ', ' + pY + ',0px)');
    }
    s.parallax = {
      setTranslate: function() {
        s.container.children('[data-swiper-parallax], [data-swiper-parallax-x], [data-swiper-parallax-y]').each(function() {
          setParallaxTransform(this, s.progress);
        });
        s.slides.each(function() {
          var slide = $(this);
          slide.find('[data-swiper-parallax], [data-swiper-parallax-x], [data-swiper-parallax-y]').each(function() {
            var progress = Math.min(Math.max(slide[0].progress, -1), 1);
            setParallaxTransform(this, progress);
          });
        });
      },
      setTransition: function(duration) {
        if (typeof duration === 'undefined')
          duration = s.params.speed;
        s.container.find('[data-swiper-parallax], [data-swiper-parallax-x], [data-swiper-parallax-y]').each(function() {
          var el = $(this);
          var parallaxDuration = parseInt(el.attr('data-swiper-parallax-duration'), 10) || duration;
          if (duration === 0)
            parallaxDuration = 0;
          el.transition(parallaxDuration);
        });
      }
    };
    s._plugins = [];
    for (var plugin in s.plugins) {
      var p = s.plugins[plugin](s, s.params[plugin]);
      if (p)
        s._plugins.push(p);
    }
    s.callPlugins = function(eventName) {
      for (var i = 0; i < s._plugins.length; i++) {
        if (eventName in s._plugins[i]) {
          s._plugins[i][eventName](arguments[1], arguments[2], arguments[3], arguments[4], arguments[5]);
        }
      }
    };
    function normalizeEventName(eventName) {
      if (eventName.indexOf('on') !== 0) {
        if (eventName[0] !== eventName[0].toUpperCase()) {
          eventName = 'on' + eventName[0].toUpperCase() + eventName.substring(1);
        } else {
          eventName = 'on' + eventName;
        }
      }
      return eventName;
    }
    s.emitterEventListeners = {};
    s.emit = function(eventName) {
      if (s.params[eventName]) {
        s.params[eventName](arguments[1], arguments[2], arguments[3], arguments[4], arguments[5]);
      }
      var i;
      if (s.emitterEventListeners[eventName]) {
        for (i = 0; i < s.emitterEventListeners[eventName].length; i++) {
          s.emitterEventListeners[eventName][i](arguments[1], arguments[2], arguments[3], arguments[4], arguments[5]);
        }
      }
      if (s.callPlugins)
        s.callPlugins(eventName, arguments[1], arguments[2], arguments[3], arguments[4], arguments[5]);
    };
    s.on = function(eventName, handler) {
      eventName = normalizeEventName(eventName);
      if (!s.emitterEventListeners[eventName])
        s.emitterEventListeners[eventName] = [];
      s.emitterEventListeners[eventName].push(handler);
      return s;
    };
    s.off = function(eventName, handler) {
      var i;
      eventName = normalizeEventName(eventName);
      if (typeof handler === 'undefined') {
        s.emitterEventListeners[eventName] = [];
        return s;
      }
      if (!s.emitterEventListeners[eventName] || s.emitterEventListeners[eventName].length === 0)
        return;
      for (i = 0; i < s.emitterEventListeners[eventName].length; i++) {
        if (s.emitterEventListeners[eventName][i] === handler)
          s.emitterEventListeners[eventName].splice(i, 1);
      }
      return s;
    };
    s.once = function(eventName, handler) {
      eventName = normalizeEventName(eventName);
      var _handler = function() {
        handler(arguments[0], arguments[1], arguments[2], arguments[3], arguments[4]);
        s.off(eventName, _handler);
      };
      s.on(eventName, _handler);
      return s;
    };
    s.a11y = {
      makeFocusable: function($el) {
        $el.attr('tabIndex', '0');
        return $el;
      },
      addRole: function($el, role) {
        $el.attr('role', role);
        return $el;
      },
      addLabel: function($el, label) {
        $el.attr('aria-label', label);
        return $el;
      },
      disable: function($el) {
        $el.attr('aria-disabled', true);
        return $el;
      },
      enable: function($el) {
        $el.attr('aria-disabled', false);
        return $el;
      },
      onEnterKey: function(event) {
        if (event.keyCode !== 13)
          return;
        if ($(event.target).is(s.params.nextButton)) {
          s.onClickNext(event);
          if (s.isEnd) {
            s.a11y.notify(s.params.lastSlideMessage);
          } else {
            s.a11y.notify(s.params.nextSlideMessage);
          }
        } else if ($(event.target).is(s.params.prevButton)) {
          s.onClickPrev(event);
          if (s.isBeginning) {
            s.a11y.notify(s.params.firstSlideMessage);
          } else {
            s.a11y.notify(s.params.prevSlideMessage);
          }
        }
        if ($(event.target).is('.' + s.params.bulletClass)) {
          $(event.target)[0].click();
        }
      },
      liveRegion: $('<span class="swiper-notification" aria-live="assertive" aria-atomic="true"></span>'),
      notify: function(message) {
        var notification = s.a11y.liveRegion;
        if (notification.length === 0)
          return;
        notification.html('');
        notification.html(message);
      },
      init: function() {
        if (s.params.nextButton) {
          var nextButton = $(s.params.nextButton);
          s.a11y.makeFocusable(nextButton);
          s.a11y.addRole(nextButton, 'button');
          s.a11y.addLabel(nextButton, s.params.nextSlideMessage);
        }
        if (s.params.prevButton) {
          var prevButton = $(s.params.prevButton);
          s.a11y.makeFocusable(prevButton);
          s.a11y.addRole(prevButton, 'button');
          s.a11y.addLabel(prevButton, s.params.prevSlideMessage);
        }
        $(s.container).append(s.a11y.liveRegion);
      },
      initPagination: function() {
        if (s.params.pagination && s.params.paginationClickable && s.bullets && s.bullets.length) {
          s.bullets.each(function() {
            var bullet = $(this);
            s.a11y.makeFocusable(bullet);
            s.a11y.addRole(bullet, 'button');
            s.a11y.addLabel(bullet, s.params.paginationBulletMessage.replace(/{{index}}/, bullet.index() + 1));
          });
        }
      },
      destroy: function() {
        if (s.a11y.liveRegion && s.a11y.liveRegion.length > 0)
          s.a11y.liveRegion.remove();
      }
    };
    s.init = function() {
      if (s.params.loop)
        s.createLoop();
      s.updateContainerSize();
      s.updateSlidesSize();
      s.updatePagination();
      if (s.params.scrollbar && s.scrollbar) {
        s.scrollbar.set();
      }
      if (s.params.effect !== 'slide' && s.effects[s.params.effect]) {
        if (!s.params.loop)
          s.updateProgress();
        s.effects[s.params.effect].setTranslate();
      }
      if (s.params.loop) {
        s.slideTo(s.params.initialSlide + s.loopedSlides, 0, s.params.runCallbacksOnInit);
      } else {
        s.slideTo(s.params.initialSlide, 0, s.params.runCallbacksOnInit);
        if (s.params.initialSlide === 0) {
          if (s.parallax && s.params.parallax)
            s.parallax.setTranslate();
          if (s.lazy && s.params.lazyLoading) {
            s.lazy.load();
            s.lazy.initialImageLoaded = true;
          }
        }
      }
      s.attachEvents();
      if (s.params.observer && s.support.observer) {
        s.initObservers();
      }
      if (s.params.preloadImages && !s.params.lazyLoading) {
        s.preloadImages();
      }
      if (s.params.autoplay) {
        s.startAutoplay();
      }
      if (s.params.keyboardControl) {
        if (s.enableKeyboardControl)
          s.enableKeyboardControl();
      }
      if (s.params.mousewheelControl) {
        if (s.enableMousewheelControl)
          s.enableMousewheelControl();
      }
      if (s.params.hashnav) {
        if (s.hashnav)
          s.hashnav.init();
      }
      if (s.params.a11y && s.a11y)
        s.a11y.init();
      s.emit('onInit', s);
    };
    s.cleanupStyles = function() {
      s.container.removeClass(s.classNames.join(' ')).removeAttr('style');
      s.wrapper.removeAttr('style');
      if (s.slides && s.slides.length) {
        s.slides.removeClass([s.params.slideVisibleClass, s.params.slideActiveClass, s.params.slideNextClass, s.params.slidePrevClass].join(' ')).removeAttr('style').removeAttr('data-swiper-column').removeAttr('data-swiper-row');
      }
      if (s.paginationContainer && s.paginationContainer.length) {
        s.paginationContainer.removeClass(s.params.paginationHiddenClass);
      }
      if (s.bullets && s.bullets.length) {
        s.bullets.removeClass(s.params.bulletActiveClass);
      }
      if (s.params.prevButton)
        $(s.params.prevButton).removeClass(s.params.buttonDisabledClass);
      if (s.params.nextButton)
        $(s.params.nextButton).removeClass(s.params.buttonDisabledClass);
      if (s.params.scrollbar && s.scrollbar) {
        if (s.scrollbar.track && s.scrollbar.track.length)
          s.scrollbar.track.removeAttr('style');
        if (s.scrollbar.drag && s.scrollbar.drag.length)
          s.scrollbar.drag.removeAttr('style');
      }
    };
    s.destroy = function(deleteInstance, cleanupStyles) {
      s.detachEvents();
      s.stopAutoplay();
      if (s.params.loop) {
        s.destroyLoop();
      }
      if (cleanupStyles) {
        s.cleanupStyles();
      }
      s.disconnectObservers();
      if (s.params.keyboardControl) {
        if (s.disableKeyboardControl)
          s.disableKeyboardControl();
      }
      if (s.params.mousewheelControl) {
        if (s.disableMousewheelControl)
          s.disableMousewheelControl();
      }
      if (s.params.a11y && s.a11y)
        s.a11y.destroy();
      s.emit('onDestroy');
      if (deleteInstance !== false)
        s = null;
    };
    s.init();
    return s;
  }
  ;
  Swiper.prototype = {
    isSafari: (function() {
      var ua = navigator.userAgent.toLowerCase();
      return (ua.indexOf('safari') >= 0 && ua.indexOf('chrome') < 0 && ua.indexOf('android') < 0);
    })(),
    isUiWebView: /(iPhone|iPod|iPad).*AppleWebKit(?!.*Safari)/i.test(navigator.userAgent),
    isArray: function(arr) {
      return Object.prototype.toString.apply(arr) === '[object Array]';
    },
    browser: {
      ie: window.navigator.pointerEnabled || window.navigator.msPointerEnabled,
      ieTouch: (window.navigator.msPointerEnabled && window.navigator.msMaxTouchPoints > 1) || (window.navigator.pointerEnabled && window.navigator.maxTouchPoints > 1)
    },
    device: (function() {
      var ua = navigator.userAgent;
      var android = ua.match(/(Android);?[\s\/]+([\d.]+)?/);
      var ipad = ua.match(/(iPad).*OS\s([\d_]+)/);
      var ipod = ua.match(/(iPod)(.*OS\s([\d_]+))?/);
      var iphone = !ipad && ua.match(/(iPhone\sOS)\s([\d_]+)/);
      return {
        ios: ipad || iphone || ipod,
        android: android
      };
    })(),
    support: {
      touch: (window.Modernizr && Modernizr.touch === true) || (function() {
        return !!(('ontouchstart' in window) || window.DocumentTouch && document instanceof DocumentTouch);
      })(),
      transforms3d: (window.Modernizr && Modernizr.csstransforms3d === true) || (function() {
        var div = document.createElement('div').style;
        return ('webkitPerspective' in div || 'MozPerspective' in div || 'OPerspective' in div || 'MsPerspective' in div || 'perspective' in div);
      })(),
      flexbox: (function() {
        var div = document.createElement('div').style;
        var styles = ('alignItems webkitAlignItems webkitBoxAlign msFlexAlign mozBoxAlign webkitFlexDirection msFlexDirection mozBoxDirection mozBoxOrient webkitBoxDirection webkitBoxOrient').split(' ');
        for (var i = 0; i < styles.length; i++) {
          if (styles[i] in div)
            return true;
        }
      })(),
      observer: (function() {
        return ('MutationObserver' in window || 'WebkitMutationObserver' in window);
      })()
    },
    plugins: {}
  };
  var Dom7 = (function() {
    var Dom7 = function(arr) {
      var _this = this,
          i = 0;
      for (i = 0; i < arr.length; i++) {
        _this[i] = arr[i];
      }
      _this.length = arr.length;
      return this;
    };
    var $ = function(selector, context) {
      var arr = [],
          i = 0;
      if (selector && !context) {
        if (selector instanceof Dom7) {
          return selector;
        }
      }
      if (selector) {
        if (typeof selector === 'string') {
          var els,
              tempParent,
              html = selector.trim();
          if (html.indexOf('<') >= 0 && html.indexOf('>') >= 0) {
            var toCreate = 'div';
            if (html.indexOf('<li') === 0)
              toCreate = 'ul';
            if (html.indexOf('<tr') === 0)
              toCreate = 'tbody';
            if (html.indexOf('<td') === 0 || html.indexOf('<th') === 0)
              toCreate = 'tr';
            if (html.indexOf('<tbody') === 0)
              toCreate = 'table';
            if (html.indexOf('<option') === 0)
              toCreate = 'select';
            tempParent = document.createElement(toCreate);
            tempParent.innerHTML = selector;
            for (i = 0; i < tempParent.childNodes.length; i++) {
              arr.push(tempParent.childNodes[i]);
            }
          } else {
            if (!context && selector[0] === '#' && !selector.match(/[ .<>:~]/)) {
              els = [document.getElementById(selector.split('#')[1])];
            } else {
              els = (context || document).querySelectorAll(selector);
            }
            for (i = 0; i < els.length; i++) {
              if (els[i])
                arr.push(els[i]);
            }
          }
        } else if (selector.nodeType || selector === window || selector === document) {
          arr.push(selector);
        } else if (selector.length > 0 && selector[0].nodeType) {
          for (i = 0; i < selector.length; i++) {
            arr.push(selector[i]);
          }
        }
      }
      return new Dom7(arr);
    };
    Dom7.prototype = {
      addClass: function(className) {
        if (typeof className === 'undefined') {
          return this;
        }
        var classes = className.split(' ');
        for (var i = 0; i < classes.length; i++) {
          for (var j = 0; j < this.length; j++) {
            this[j].classList.add(classes[i]);
          }
        }
        return this;
      },
      removeClass: function(className) {
        var classes = className.split(' ');
        for (var i = 0; i < classes.length; i++) {
          for (var j = 0; j < this.length; j++) {
            this[j].classList.remove(classes[i]);
          }
        }
        return this;
      },
      hasClass: function(className) {
        if (!this[0])
          return false;
        else
          return this[0].classList.contains(className);
      },
      toggleClass: function(className) {
        var classes = className.split(' ');
        for (var i = 0; i < classes.length; i++) {
          for (var j = 0; j < this.length; j++) {
            this[j].classList.toggle(classes[i]);
          }
        }
        return this;
      },
      attr: function(attrs, value) {
        if (arguments.length === 1 && typeof attrs === 'string') {
          if (this[0])
            return this[0].getAttribute(attrs);
          else
            return undefined;
        } else {
          for (var i = 0; i < this.length; i++) {
            if (arguments.length === 2) {
              this[i].setAttribute(attrs, value);
            } else {
              for (var attrName in attrs) {
                this[i][attrName] = attrs[attrName];
                this[i].setAttribute(attrName, attrs[attrName]);
              }
            }
          }
          return this;
        }
      },
      removeAttr: function(attr) {
        for (var i = 0; i < this.length; i++) {
          this[i].removeAttribute(attr);
        }
        return this;
      },
      data: function(key, value) {
        if (typeof value === 'undefined') {
          if (this[0]) {
            var dataKey = this[0].getAttribute('data-' + key);
            if (dataKey)
              return dataKey;
            else if (this[0].dom7ElementDataStorage && (key in this[0].dom7ElementDataStorage))
              return this[0].dom7ElementDataStorage[key];
            else
              return undefined;
          } else
            return undefined;
        } else {
          for (var i = 0; i < this.length; i++) {
            var el = this[i];
            if (!el.dom7ElementDataStorage)
              el.dom7ElementDataStorage = {};
            el.dom7ElementDataStorage[key] = value;
          }
          return this;
        }
      },
      transform: function(transform) {
        for (var i = 0; i < this.length; i++) {
          var elStyle = this[i].style;
          elStyle.webkitTransform = elStyle.MsTransform = elStyle.msTransform = elStyle.MozTransform = elStyle.OTransform = elStyle.transform = transform;
        }
        return this;
      },
      transition: function(duration) {
        if (typeof duration !== 'string') {
          duration = duration + 'ms';
        }
        for (var i = 0; i < this.length; i++) {
          var elStyle = this[i].style;
          elStyle.webkitTransitionDuration = elStyle.MsTransitionDuration = elStyle.msTransitionDuration = elStyle.MozTransitionDuration = elStyle.OTransitionDuration = elStyle.transitionDuration = duration;
        }
        return this;
      },
      on: function(eventName, targetSelector, listener, capture) {
        function handleLiveEvent(e) {
          var target = e.target;
          if ($(target).is(targetSelector))
            listener.call(target, e);
          else {
            var parents = $(target).parents();
            for (var k = 0; k < parents.length; k++) {
              if ($(parents[k]).is(targetSelector))
                listener.call(parents[k], e);
            }
          }
        }
        var events = eventName.split(' ');
        var i,
            j;
        for (i = 0; i < this.length; i++) {
          if (typeof targetSelector === 'function' || targetSelector === false) {
            if (typeof targetSelector === 'function') {
              listener = arguments[1];
              capture = arguments[2] || false;
            }
            for (j = 0; j < events.length; j++) {
              this[i].addEventListener(events[j], listener, capture);
            }
          } else {
            for (j = 0; j < events.length; j++) {
              if (!this[i].dom7LiveListeners)
                this[i].dom7LiveListeners = [];
              this[i].dom7LiveListeners.push({
                listener: listener,
                liveListener: handleLiveEvent
              });
              this[i].addEventListener(events[j], handleLiveEvent, capture);
            }
          }
        }
        return this;
      },
      off: function(eventName, targetSelector, listener, capture) {
        var events = eventName.split(' ');
        for (var i = 0; i < events.length; i++) {
          for (var j = 0; j < this.length; j++) {
            if (typeof targetSelector === 'function' || targetSelector === false) {
              if (typeof targetSelector === 'function') {
                listener = arguments[1];
                capture = arguments[2] || false;
              }
              this[j].removeEventListener(events[i], listener, capture);
            } else {
              if (this[j].dom7LiveListeners) {
                for (var k = 0; k < this[j].dom7LiveListeners.length; k++) {
                  if (this[j].dom7LiveListeners[k].listener === listener) {
                    this[j].removeEventListener(events[i], this[j].dom7LiveListeners[k].liveListener, capture);
                  }
                }
              }
            }
          }
        }
        return this;
      },
      once: function(eventName, targetSelector, listener, capture) {
        var dom = this;
        if (typeof targetSelector === 'function') {
          targetSelector = false;
          listener = arguments[1];
          capture = arguments[2];
        }
        function proxy(e) {
          listener(e);
          dom.off(eventName, targetSelector, proxy, capture);
        }
        dom.on(eventName, targetSelector, proxy, capture);
      },
      trigger: function(eventName, eventData) {
        for (var i = 0; i < this.length; i++) {
          var evt;
          try {
            evt = new window.CustomEvent(eventName, {
              detail: eventData,
              bubbles: true,
              cancelable: true
            });
          } catch (e) {
            evt = document.createEvent('Event');
            evt.initEvent(eventName, true, true);
            evt.detail = eventData;
          }
          this[i].dispatchEvent(evt);
        }
        return this;
      },
      transitionEnd: function(callback) {
        var events = ['webkitTransitionEnd', 'transitionend', 'oTransitionEnd', 'MSTransitionEnd', 'msTransitionEnd'],
            i,
            j,
            dom = this;
        function fireCallBack(e) {
          if (e.target !== this)
            return;
          callback.call(this, e);
          for (i = 0; i < events.length; i++) {
            dom.off(events[i], fireCallBack);
          }
        }
        if (callback) {
          for (i = 0; i < events.length; i++) {
            dom.on(events[i], fireCallBack);
          }
        }
        return this;
      },
      width: function() {
        if (this[0] === window) {
          return window.innerWidth;
        } else {
          if (this.length > 0) {
            return parseFloat(this.css('width'));
          } else {
            return null;
          }
        }
      },
      outerWidth: function(includeMargins) {
        if (this.length > 0) {
          if (includeMargins)
            return this[0].offsetWidth + parseFloat(this.css('margin-right')) + parseFloat(this.css('margin-left'));
          else
            return this[0].offsetWidth;
        } else
          return null;
      },
      height: function() {
        if (this[0] === window) {
          return window.innerHeight;
        } else {
          if (this.length > 0) {
            return parseFloat(this.css('height'));
          } else {
            return null;
          }
        }
      },
      outerHeight: function(includeMargins) {
        if (this.length > 0) {
          if (includeMargins)
            return this[0].offsetHeight + parseFloat(this.css('margin-top')) + parseFloat(this.css('margin-bottom'));
          else
            return this[0].offsetHeight;
        } else
          return null;
      },
      offset: function() {
        if (this.length > 0) {
          var el = this[0];
          var box = el.getBoundingClientRect();
          var body = document.body;
          var clientTop = el.clientTop || body.clientTop || 0;
          var clientLeft = el.clientLeft || body.clientLeft || 0;
          var scrollTop = window.pageYOffset || el.scrollTop;
          var scrollLeft = window.pageXOffset || el.scrollLeft;
          return {
            top: box.top + scrollTop - clientTop,
            left: box.left + scrollLeft - clientLeft
          };
        } else {
          return null;
        }
      },
      css: function(props, value) {
        var i;
        if (arguments.length === 1) {
          if (typeof props === 'string') {
            if (this[0])
              return window.getComputedStyle(this[0], null).getPropertyValue(props);
          } else {
            for (i = 0; i < this.length; i++) {
              for (var prop in props) {
                this[i].style[prop] = props[prop];
              }
            }
            return this;
          }
        }
        if (arguments.length === 2 && typeof props === 'string') {
          for (i = 0; i < this.length; i++) {
            this[i].style[props] = value;
          }
          return this;
        }
        return this;
      },
      each: function(callback) {
        for (var i = 0; i < this.length; i++) {
          callback.call(this[i], i, this[i]);
        }
        return this;
      },
      html: function(html) {
        if (typeof html === 'undefined') {
          return this[0] ? this[0].innerHTML : undefined;
        } else {
          for (var i = 0; i < this.length; i++) {
            this[i].innerHTML = html;
          }
          return this;
        }
      },
      is: function(selector) {
        if (!this[0])
          return false;
        var compareWith,
            i;
        if (typeof selector === 'string') {
          var el = this[0];
          if (el === document)
            return selector === document;
          if (el === window)
            return selector === window;
          if (el.matches)
            return el.matches(selector);
          else if (el.webkitMatchesSelector)
            return el.webkitMatchesSelector(selector);
          else if (el.mozMatchesSelector)
            return el.mozMatchesSelector(selector);
          else if (el.msMatchesSelector)
            return el.msMatchesSelector(selector);
          else {
            compareWith = $(selector);
            for (i = 0; i < compareWith.length; i++) {
              if (compareWith[i] === this[0])
                return true;
            }
            return false;
          }
        } else if (selector === document)
          return this[0] === document;
        else if (selector === window)
          return this[0] === window;
        else {
          if (selector.nodeType || selector instanceof Dom7) {
            compareWith = selector.nodeType ? [selector] : selector;
            for (i = 0; i < compareWith.length; i++) {
              if (compareWith[i] === this[0])
                return true;
            }
            return false;
          }
          return false;
        }
      },
      index: function() {
        if (this[0]) {
          var child = this[0];
          var i = 0;
          while ((child = child.previousSibling) !== null) {
            if (child.nodeType === 1)
              i++;
          }
          return i;
        } else
          return undefined;
      },
      eq: function(index) {
        if (typeof index === 'undefined')
          return this;
        var length = this.length;
        var returnIndex;
        if (index > length - 1) {
          return new Dom7([]);
        }
        if (index < 0) {
          returnIndex = length + index;
          if (returnIndex < 0)
            return new Dom7([]);
          else
            return new Dom7([this[returnIndex]]);
        }
        return new Dom7([this[index]]);
      },
      append: function(newChild) {
        var i,
            j;
        for (i = 0; i < this.length; i++) {
          if (typeof newChild === 'string') {
            var tempDiv = document.createElement('div');
            tempDiv.innerHTML = newChild;
            while (tempDiv.firstChild) {
              this[i].appendChild(tempDiv.firstChild);
            }
          } else if (newChild instanceof Dom7) {
            for (j = 0; j < newChild.length; j++) {
              this[i].appendChild(newChild[j]);
            }
          } else {
            this[i].appendChild(newChild);
          }
        }
        return this;
      },
      prepend: function(newChild) {
        var i,
            j;
        for (i = 0; i < this.length; i++) {
          if (typeof newChild === 'string') {
            var tempDiv = document.createElement('div');
            tempDiv.innerHTML = newChild;
            for (j = tempDiv.childNodes.length - 1; j >= 0; j--) {
              this[i].insertBefore(tempDiv.childNodes[j], this[i].childNodes[0]);
            }
          } else if (newChild instanceof Dom7) {
            for (j = 0; j < newChild.length; j++) {
              this[i].insertBefore(newChild[j], this[i].childNodes[0]);
            }
          } else {
            this[i].insertBefore(newChild, this[i].childNodes[0]);
          }
        }
        return this;
      },
      insertBefore: function(selector) {
        var before = $(selector);
        for (var i = 0; i < this.length; i++) {
          if (before.length === 1) {
            before[0].parentNode.insertBefore(this[i], before[0]);
          } else if (before.length > 1) {
            for (var j = 0; j < before.length; j++) {
              before[j].parentNode.insertBefore(this[i].cloneNode(true), before[j]);
            }
          }
        }
      },
      insertAfter: function(selector) {
        var after = $(selector);
        for (var i = 0; i < this.length; i++) {
          if (after.length === 1) {
            after[0].parentNode.insertBefore(this[i], after[0].nextSibling);
          } else if (after.length > 1) {
            for (var j = 0; j < after.length; j++) {
              after[j].parentNode.insertBefore(this[i].cloneNode(true), after[j].nextSibling);
            }
          }
        }
      },
      next: function(selector) {
        if (this.length > 0) {
          if (selector) {
            if (this[0].nextElementSibling && $(this[0].nextElementSibling).is(selector))
              return new Dom7([this[0].nextElementSibling]);
            else
              return new Dom7([]);
          } else {
            if (this[0].nextElementSibling)
              return new Dom7([this[0].nextElementSibling]);
            else
              return new Dom7([]);
          }
        } else
          return new Dom7([]);
      },
      nextAll: function(selector) {
        var nextEls = [];
        var el = this[0];
        if (!el)
          return new Dom7([]);
        while (el.nextElementSibling) {
          var next = el.nextElementSibling;
          if (selector) {
            if ($(next).is(selector))
              nextEls.push(next);
          } else
            nextEls.push(next);
          el = next;
        }
        return new Dom7(nextEls);
      },
      prev: function(selector) {
        if (this.length > 0) {
          if (selector) {
            if (this[0].previousElementSibling && $(this[0].previousElementSibling).is(selector))
              return new Dom7([this[0].previousElementSibling]);
            else
              return new Dom7([]);
          } else {
            if (this[0].previousElementSibling)
              return new Dom7([this[0].previousElementSibling]);
            else
              return new Dom7([]);
          }
        } else
          return new Dom7([]);
      },
      prevAll: function(selector) {
        var prevEls = [];
        var el = this[0];
        if (!el)
          return new Dom7([]);
        while (el.previousElementSibling) {
          var prev = el.previousElementSibling;
          if (selector) {
            if ($(prev).is(selector))
              prevEls.push(prev);
          } else
            prevEls.push(prev);
          el = prev;
        }
        return new Dom7(prevEls);
      },
      parent: function(selector) {
        var parents = [];
        for (var i = 0; i < this.length; i++) {
          if (selector) {
            if ($(this[i].parentNode).is(selector))
              parents.push(this[i].parentNode);
          } else {
            parents.push(this[i].parentNode);
          }
        }
        return $($.unique(parents));
      },
      parents: function(selector) {
        var parents = [];
        for (var i = 0; i < this.length; i++) {
          var parent = this[i].parentNode;
          while (parent) {
            if (selector) {
              if ($(parent).is(selector))
                parents.push(parent);
            } else {
              parents.push(parent);
            }
            parent = parent.parentNode;
          }
        }
        return $($.unique(parents));
      },
      find: function(selector) {
        var foundElements = [];
        for (var i = 0; i < this.length; i++) {
          var found = this[i].querySelectorAll(selector);
          for (var j = 0; j < found.length; j++) {
            foundElements.push(found[j]);
          }
        }
        return new Dom7(foundElements);
      },
      children: function(selector) {
        var children = [];
        for (var i = 0; i < this.length; i++) {
          var childNodes = this[i].childNodes;
          for (var j = 0; j < childNodes.length; j++) {
            if (!selector) {
              if (childNodes[j].nodeType === 1)
                children.push(childNodes[j]);
            } else {
              if (childNodes[j].nodeType === 1 && $(childNodes[j]).is(selector))
                children.push(childNodes[j]);
            }
          }
        }
        return new Dom7($.unique(children));
      },
      remove: function() {
        for (var i = 0; i < this.length; i++) {
          if (this[i].parentNode)
            this[i].parentNode.removeChild(this[i]);
        }
        return this;
      },
      add: function() {
        var dom = this;
        var i,
            j;
        for (i = 0; i < arguments.length; i++) {
          var toAdd = $(arguments[i]);
          for (j = 0; j < toAdd.length; j++) {
            dom[dom.length] = toAdd[j];
            dom.length++;
          }
        }
        return dom;
      }
    };
    $.fn = Dom7.prototype;
    $.unique = function(arr) {
      var unique = [];
      for (var i = 0; i < arr.length; i++) {
        if (unique.indexOf(arr[i]) === -1)
          unique.push(arr[i]);
      }
      return unique;
    };
    return $;
  })();
  var swiperDomPlugins = ['jQuery', 'Zepto', 'Dom7'];
  for (var i = 0; i < swiperDomPlugins.length; i++) {
    if (window[swiperDomPlugins[i]]) {
      addLibraryPlugin(window[swiperDomPlugins[i]]);
    }
  }
  var domLib;
  if (typeof Dom7 === 'undefined') {
    domLib = window.Dom7 || window.Zepto || window.jQuery;
  } else {
    domLib = Dom7;
  }
  function addLibraryPlugin(lib) {
    lib.fn.swiper = function(params) {
      var firstInstance;
      lib(this).each(function() {
        var s = new Swiper(this, params);
        if (!firstInstance)
          firstInstance = s;
      });
      return firstInstance;
    };
  }
  if (domLib) {
    if (!('transitionEnd' in domLib.fn)) {
      domLib.fn.transitionEnd = function(callback) {
        var events = ['webkitTransitionEnd', 'transitionend', 'oTransitionEnd', 'MSTransitionEnd', 'msTransitionEnd'],
            i,
            j,
            dom = this;
        function fireCallBack(e) {
          if (e.target !== this)
            return;
          callback.call(this, e);
          for (i = 0; i < events.length; i++) {
            dom.off(events[i], fireCallBack);
          }
        }
        if (callback) {
          for (i = 0; i < events.length; i++) {
            dom.on(events[i], fireCallBack);
          }
        }
        return this;
      };
    }
    if (!('transform' in domLib.fn)) {
      domLib.fn.transform = function(transform) {
        for (var i = 0; i < this.length; i++) {
          var elStyle = this[i].style;
          elStyle.webkitTransform = elStyle.MsTransform = elStyle.msTransform = elStyle.MozTransform = elStyle.OTransform = elStyle.transform = transform;
        }
        return this;
      };
    }
    if (!('transition' in domLib.fn)) {
      domLib.fn.transition = function(duration) {
        if (typeof duration !== 'string') {
          duration = duration + 'ms';
        }
        for (var i = 0; i < this.length; i++) {
          var elStyle = this[i].style;
          elStyle.webkitTransitionDuration = elStyle.MsTransitionDuration = elStyle.msTransitionDuration = elStyle.MozTransitionDuration = elStyle.OTransitionDuration = elStyle.transitionDuration = duration;
        }
        return this;
      };
    }
  }
  return module.exports;
});

System.registerDynamic("ionic-angular/components/slides/slides.js", ["@angular/core", "../../animations/animation", "../../gestures/gesture", "../../util/dom", "../../util/util", "../../util", "../ion", "./swiper-widget"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var animation_1 = $__require('../../animations/animation');
  var gesture_1 = $__require('../../gestures/gesture');
  var dom_1 = $__require('../../util/dom');
  var util_1 = $__require('../../util/util');
  var util_2 = $__require('../../util');
  var ion_1 = $__require('../ion');
  var swiper_widget_1 = $__require('./swiper-widget');
  var Slides = (function(_super) {
    __extends(Slides, _super);
    function Slides(elementRef, renderer) {
      var _this = this;
      _super.call(this, elementRef);
      this.ionWillChange = new core_1.EventEmitter();
      this.ionDidChange = new core_1.EventEmitter();
      this.ionDrag = new core_1.EventEmitter();
      this.rapidUpdate = util_1.debounce(function() {
        _this.update();
      }, 10);
      this.id = ++slidesId;
      this.slideId = 'slides-' + this.id;
      renderer.setElementClass(elementRef.nativeElement, this.slideId, true);
    }
    Slides.prototype.ngOnInit = function() {
      var _this = this;
      if (!this.options) {
        this.options = {};
      }
      if (util_1.isPresent(this.options.pager)) {
        this.showPager = util_1.isTrueProperty(this.options.pager);
      }
      var paginationId = '.' + this.slideId + ' .swiper-pagination';
      var options = util_1.defaults({pagination: paginationId}, this.options);
      options.onTap = function(swiper, e) {
        _this.onTap(swiper, e);
        return _this.options.onTap && _this.options.onTap(swiper, e);
      };
      options.onClick = function(swiper, e) {
        _this.onClick(swiper, e);
        return _this.options.onClick && _this.options.onClick(swiper, e);
      };
      options.onDoubleTap = function(swiper, e) {
        _this.onDoubleTap(swiper, e);
        return _this.options.onDoubleTap && _this.options.onDoubleTap(swiper, e);
      };
      options.onTransitionStart = function(swiper, e) {
        _this.onTransitionStart(swiper, e);
        return _this.options.onTransitionStart && _this.options.onTransitionStart(swiper, e);
      };
      options.onTransitionEnd = function(swiper, e) {
        _this.onTransitionEnd(swiper, e);
        return _this.options.onTransitionEnd && _this.options.onTransitionEnd(swiper, e);
      };
      options.onSlideChangeStart = function(swiper) {
        _this.ionWillChange.emit(swiper);
        return _this.options.onSlideChangeStart && _this.options.onSlideChangeStart(swiper);
      };
      options.onSlideChangeEnd = function(swiper) {
        _this.ionDidChange.emit(swiper);
        return _this.options.onSlideChangeEnd && _this.options.onSlideChangeEnd(swiper);
      };
      options.onLazyImageLoad = function(swiper, slide, img) {
        return _this.options.onLazyImageLoad && _this.options.onLazyImageLoad(swiper, slide, img);
      };
      options.onLazyImageReady = function(swiper, slide, img) {
        return _this.options.onLazyImageReady && _this.options.onLazyImageReady(swiper, slide, img);
      };
      options.onSliderMove = function(swiper, e) {
        _this.ionDrag.emit(swiper);
        return _this.options.onSliderMove && _this.options.onSliderMove(swiper, e);
      };
      setTimeout(function() {
        var swiper = new swiper_widget_1.Swiper(_this.getNativeElement().children[0], options);
        _this.slider = swiper;
      }, 300);
    };
    Slides.prototype.onTap = function(swiper, e) {};
    Slides.prototype.onClick = function(swiper, e) {};
    Slides.prototype.onDoubleTap = function(swiper, e) {
      this.toggleZoom(swiper, e);
    };
    Slides.prototype.onLazyImageLoad = function(swiper, slide, img) {};
    Slides.prototype.onLazyImageReady = function(swiper, slide, img) {};
    Slides.prototype.initZoom = function() {
      var _this = this;
      this.zoomDuration = this.zoomDuration || 230;
      this.maxScale = this.zoomMax || 3;
      this.zoomElement = this.getNativeElement().children[0].children[0];
      this.zoomElement && this.zoomElement.classList.add('ion-scroll-zoom');
      this.zoomGesture = new gesture_1.Gesture(this.zoomElement);
      this.zoomGesture.listen();
      this.scale = 1;
      this.zoomLastPosX = 0;
      this.zoomLastPosY = 0;
      var lastScale,
          startX,
          startY,
          posX = 0,
          posY = 0,
          zoomRect;
      this.viewportWidth = this.getNativeElement().offsetWidth;
      this.viewportHeight = this.getNativeElement().offsetHeight;
      this.zoomElement.addEventListener('touchstart', function(e) {
        _this.onTouchStart(e);
      });
      this.zoomElement.addEventListener('touchmove', function(e) {
        _this.onTouchMove(e);
      });
      this.zoomElement.addEventListener('touchend', function(e) {
        _this.onTouchEnd(e);
      });
      this.zoomGesture.on('pinchstart', function(e) {
        lastScale = _this.scale;
        void 0;
      });
      this.zoomGesture.on('pinch', function(e) {
        _this.scale = Math.max(1, Math.min(lastScale * e.scale, 10));
        void 0;
        _this.zoomElement.style[dom_1.CSS.transform] = 'scale(' + _this.scale + ')';
        zoomRect = _this.zoomElement.getBoundingClientRect();
      });
      this.zoomGesture.on('pinchend', function() {
        if (_this.scale > _this.maxScale) {
          var za = new animation_1.Animation(_this.zoomElement).duration(_this.zoomDuration).easing('linear').from('scale', _this.scale).to('scale', _this.maxScale);
          za.play();
          _this.scale = _this.maxScale;
        }
      });
    };
    Slides.prototype.resetZoom = function() {
      if (this.zoomElement) {
        this.zoomElement.parentElement.style[dom_1.CSS.transform] = '';
        this.zoomElement.style[dom_1.CSS.transform] = 'scale(1)';
      }
      this.scale = 1;
      this.zoomLastPosX = 0;
      this.zoomLastPosY = 0;
    };
    Slides.prototype.toggleZoom = function(swiper, e) {
      void 0;
      if (!this.enableZoom) {
        return;
      }
      void 0;
      var zi = new animation_1.Animation(this.touch.target.children[0]).duration(this.zoomDuration).easing('linear');
      var zw = new animation_1.Animation(this.touch.target.children[0]).duration(this.zoomDuration).easing('linear');
      var za = new animation_1.Animation();
      za.add(zi);
      if (this.scale > 1) {
        zi.from('scale', this.scale);
        zi.to('scale', 1);
        za.play();
        this.scale = 1;
      } else {
        zi.from('scale', this.scale);
        zi.to('scale', this.maxScale);
        za.play();
        this.scale = this.maxScale;
      }
    };
    Slides.prototype.onTransitionStart = function(swiper, e) {};
    Slides.prototype.onTransitionEnd = function(swiper, e) {};
    Slides.prototype.onTouchStart = function(e) {
      void 0;
      var target = util_2.dom.closest(e.target, '.slide').children[0].children[0];
      this.touch = {
        x: null,
        y: null,
        startX: e.touches[0].clientX,
        startY: e.touches[0].clientY,
        deltaX: 0,
        deltaY: 0,
        lastX: 0,
        lastY: 0,
        target: target.parentElement,
        zoomable: target,
        zoomableWidth: target.offsetWidth,
        zoomableHeight: target.offsetHeight
      };
      void 0;
    };
    Slides.prototype.onTouchMove = function(e) {
      this.touch.deltaX = e.touches[0].clientX - this.touch.startX;
      this.touch.deltaY = e.touches[0].clientY - this.touch.startY;
      var zoomableScaledWidth = this.touch.zoomableWidth * this.scale;
      var zoomableScaledHeight = this.touch.zoomableHeight * this.scale;
      var x1 = Math.min((this.viewportWidth / 2) - zoomableScaledWidth / 2, 0);
      var x2 = -x1;
      var y1 = Math.min((this.viewportHeight / 2) - zoomableScaledHeight / 2, 0);
      var y2 = -y1;
      void 0;
      if (this.scale <= 1) {
        return;
      }
      void 0;
      this.touch.x = this.touch.deltaX + this.touch.lastX;
      this.touch.y = this.touch.deltaY + this.touch.lastY;
      if (this.touch.x < x1) {
        void 0;
      }
      if (this.touch.x > x2) {
        void 0;
      }
      if (this.touch.x > this.viewportWidth) {} else if (-this.touch.x > this.viewportWidth) {} else {
        void 0;
        this.touch.target.style[dom_1.CSS.transform] = 'translateX(' + this.touch.x + 'px) translateY(' + this.touch.y + 'px)';
        e.preventDefault();
        e.stopPropagation();
        return false;
      }
    };
    Slides.prototype.onTouchEnd = function(e) {
      void 0;
      if (this.scale > 1) {
        if (Math.abs(this.touch.x) > this.viewportWidth) {
          var posX = posX > 0 ? this.viewportWidth - 1 : -(this.viewportWidth - 1);
          void 0;
        }
        this.touch.lastX = this.touch.x;
        this.touch.lastY = this.touch.y;
      }
    };
    Slides.prototype.update = function() {
      var _this = this;
      setTimeout(function() {
        _this.slider.update();
        if (_this.length() > 10) {
          _this.showPager = false;
        }
      }, 300);
    };
    Slides.prototype.slideTo = function(index, speed, runCallbacks) {
      this.slider.slideTo(index, speed, runCallbacks);
    };
    Slides.prototype.slideNext = function(speed, runCallbacks) {
      this.slider.slideNext(runCallbacks, speed);
    };
    Slides.prototype.slidePrev = function(speed, runCallbacks) {
      this.slider.slidePrev(runCallbacks, speed);
    };
    Slides.prototype.getActiveIndex = function() {
      return this.slider.activeIndex;
    };
    Slides.prototype.getPreviousIndex = function() {
      return this.slider.previousIndex;
    };
    Slides.prototype.length = function() {
      return this.slider.slides.length;
    };
    Slides.prototype.isEnd = function() {
      return this.slider.isEnd;
    };
    Slides.prototype.isBeginning = function() {
      return this.slider.isBeginning;
    };
    Slides.prototype.getSlider = function() {
      return this.slider;
    };
    __decorate([core_1.Input(), __metadata('design:type', Object)], Slides.prototype, "options", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Object)], Slides.prototype, "pager", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Object)], Slides.prototype, "zoom", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Object)], Slides.prototype, "zoomDuration", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Object)], Slides.prototype, "zoomMax", void 0);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], Slides.prototype, "ionWillChange", void 0);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], Slides.prototype, "ionDidChange", void 0);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], Slides.prototype, "ionDrag", void 0);
    Slides = __decorate([core_1.Component({
      selector: 'ion-slides',
      template: '<div class="swiper-container">' + '<div class="swiper-wrapper">' + '<ng-content></ng-content>' + '</div>' + '<div [class.hide]="!showPager" class="swiper-pagination"></div>' + '</div>',
      changeDetection: core_1.ChangeDetectionStrategy.OnPush,
      encapsulation: core_1.ViewEncapsulation.None
    }), __metadata('design:paramtypes', [core_1.ElementRef, core_1.Renderer])], Slides);
    return Slides;
  }(ion_1.Ion));
  exports.Slides = Slides;
  var Slide = (function() {
    function Slide(elementRef, slides) {
      this.slides = slides;
      this.ele = elementRef.nativeElement;
      this.ele.classList.add('swiper-slide');
      slides.rapidUpdate();
    }
    Slide.prototype.ngOnDestroy = function() {
      this.slides.rapidUpdate();
    };
    __decorate([core_1.Input(), __metadata('design:type', Object)], Slide.prototype, "zoom", void 0);
    Slide = __decorate([core_1.Component({
      selector: 'ion-slide',
      template: '<div class="slide-zoom"><ng-content></ng-content></div>',
      changeDetection: core_1.ChangeDetectionStrategy.OnPush,
      encapsulation: core_1.ViewEncapsulation.None
    }), __param(1, core_1.Host()), __metadata('design:paramtypes', [core_1.ElementRef, Slides])], Slide);
    return Slide;
  }());
  exports.Slide = Slide;
  var SlideLazy = (function() {
    function SlideLazy() {}
    SlideLazy = __decorate([core_1.Directive({
      selector: 'slide-lazy',
      host: {'class': 'swiper-lazy'}
    }), __metadata('design:paramtypes', [])], SlideLazy);
    return SlideLazy;
  }());
  exports.SlideLazy = SlideLazy;
  var slidesId = -1;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/item/item-sliding.js", ["@angular/core", "../../util/dom", "./item", "../../util/util", "../list/list"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var dom_1 = $__require('../../util/dom');
  var item_1 = $__require('./item');
  var util_1 = $__require('../../util/util');
  var list_1 = $__require('../list/list');
  var SWIPE_MARGIN = 30;
  var ELASTIC_FACTOR = 0.55;
  var ItemOptions = (function() {
    function ItemOptions(_elementRef, _renderer) {
      this._elementRef = _elementRef;
      this._renderer = _renderer;
      this.ionSwipe = new core_1.EventEmitter();
    }
    ItemOptions.prototype.setCssStyle = function(property, value) {
      this._renderer.setElementStyle(this._elementRef.nativeElement, property, value);
    };
    ItemOptions.prototype.getSides = function() {
      if (util_1.isPresent(this.side) && this.side === 'left') {
        return 1;
      } else {
        return 2;
      }
    };
    ItemOptions.prototype.width = function() {
      return this._elementRef.nativeElement.offsetWidth;
    };
    __decorate([core_1.Input(), __metadata('design:type', String)], ItemOptions.prototype, "side", void 0);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], ItemOptions.prototype, "ionSwipe", void 0);
    ItemOptions = __decorate([core_1.Directive({selector: 'ion-item-options'}), __metadata('design:paramtypes', [core_1.ElementRef, core_1.Renderer])], ItemOptions);
    return ItemOptions;
  }());
  exports.ItemOptions = ItemOptions;
  var ItemSliding = (function() {
    function ItemSliding(list, _renderer, _elementRef) {
      this._renderer = _renderer;
      this._elementRef = _elementRef;
      this._openAmount = 0;
      this._startX = 0;
      this._optsWidthRightSide = 0;
      this._optsWidthLeftSide = 0;
      this._timer = null;
      this._optsDirty = true;
      this._state = 2;
      this.ionDrag = new core_1.EventEmitter();
      list && list.containsSlidingItem(true);
      _elementRef.nativeElement.$ionComponent = this;
      this.setCssClass('item-wrapper', true);
    }
    Object.defineProperty(ItemSliding.prototype, "_itemOptions", {
      set: function(itemOptions) {
        var sides = 0;
        for (var _i = 0,
            _a = itemOptions.toArray(); _i < _a.length; _i++) {
          var item = _a[_i];
          var side = item.getSides();
          if (side === 1) {
            this._leftOptions = item;
          } else {
            this._rightOptions = item;
          }
          sides |= item.getSides();
        }
        this._optsDirty = true;
        this._sides = sides;
      },
      enumerable: true,
      configurable: true
    });
    ItemSliding.prototype.getOpenAmount = function() {
      return this._openAmount;
    };
    ItemSliding.prototype.getSlidingPercent = function() {
      var openAmount = this._openAmount;
      if (openAmount > 0) {
        return openAmount / this._optsWidthRightSide;
      } else if (openAmount < 0) {
        return openAmount / this._optsWidthLeftSide;
      } else {
        return 0;
      }
    };
    ItemSliding.prototype.startSliding = function(startX) {
      if (this._timer) {
        dom_1.clearNativeTimeout(this._timer);
        this._timer = null;
      }
      if (this._openAmount === 0) {
        this._optsDirty = true;
        this._setState(4);
      }
      this._startX = startX + this._openAmount;
      this.item.setCssStyle(dom_1.CSS.transition, 'none');
    };
    ItemSliding.prototype.moveSliding = function(x) {
      if (this._optsDirty) {
        this.calculateOptsWidth();
        return;
      }
      var openAmount = (this._startX - x);
      switch (this._sides) {
        case 2:
          openAmount = Math.max(0, openAmount);
          break;
        case 1:
          openAmount = Math.min(0, openAmount);
          break;
        case 3:
          break;
        default:
          return;
      }
      if (openAmount > this._optsWidthRightSide) {
        var optsWidth = this._optsWidthRightSide;
        openAmount = optsWidth + (openAmount - optsWidth) * ELASTIC_FACTOR;
      } else if (openAmount < -this._optsWidthLeftSide) {
        var optsWidth = -this._optsWidthLeftSide;
        openAmount = optsWidth + (openAmount - optsWidth) * ELASTIC_FACTOR;
      }
      this._setOpenAmount(openAmount, false);
      return openAmount;
    };
    ItemSliding.prototype.endSliding = function(velocity) {
      var restingPoint = (this._openAmount > 0) ? this._optsWidthRightSide : -this._optsWidthLeftSide;
      var isCloseDirection = (this._openAmount > 0) === !(velocity < 0);
      var isMovingFast = Math.abs(velocity) > 0.3;
      var isOnCloseZone = Math.abs(this._openAmount) < Math.abs(restingPoint / 2);
      if (shouldClose(isCloseDirection, isMovingFast, isOnCloseZone)) {
        restingPoint = 0;
      }
      this._setOpenAmount(restingPoint, true);
      this.fireSwipeEvent();
      return restingPoint;
    };
    ItemSliding.prototype.fireSwipeEvent = function() {
      if (this._state & 32) {
        this._rightOptions.ionSwipe.emit(this);
      } else if (this._state & 64) {
        this._leftOptions.ionSwipe.emit(this);
      }
    };
    ItemSliding.prototype.calculateOptsWidth = function() {
      var _this = this;
      dom_1.nativeRaf(function() {
        if (!_this._optsDirty) {
          return;
        }
        _this._optsWidthRightSide = 0;
        if (_this._rightOptions) {
          _this._optsWidthRightSide = _this._rightOptions.width();
        }
        _this._optsWidthLeftSide = 0;
        if (_this._leftOptions) {
          _this._optsWidthLeftSide = _this._leftOptions.width();
        }
        _this._optsDirty = false;
      });
    };
    ItemSliding.prototype._setOpenAmount = function(openAmount, isFinal) {
      var _this = this;
      if (this._timer) {
        dom_1.clearNativeTimeout(this._timer);
        this._timer = null;
      }
      this._openAmount = openAmount;
      if (isFinal) {
        this.item.setCssStyle(dom_1.CSS.transition, '');
      } else {
        if (openAmount > 0) {
          var state = (openAmount >= (this._optsWidthRightSide + SWIPE_MARGIN)) ? 8 | 32 : 8;
          this._setState(state);
        } else if (openAmount < 0) {
          var state = (openAmount <= (-this._optsWidthLeftSide - SWIPE_MARGIN)) ? 16 | 64 : 16;
          this._setState(state);
        }
      }
      if (openAmount === 0) {
        this._timer = dom_1.nativeTimeout(function() {
          _this._setState(2);
          _this._timer = null;
        }, 600);
        this.item.setCssStyle(dom_1.CSS.transform, '');
        return;
      }
      this.item.setCssStyle(dom_1.CSS.transform, "translate3d(" + -openAmount + "px,0,0)");
      this.ionDrag.emit(this);
    };
    ItemSliding.prototype._setState = function(state) {
      if (state === this._state) {
        return;
      }
      this.setCssClass('active-slide', (state !== 2));
      this.setCssClass('active-options-right', !!(state & 8));
      this.setCssClass('active-options-left', !!(state & 16));
      this.setCssClass('active-swipe-right', !!(state & 32));
      this.setCssClass('active-swipe-left', !!(state & 64));
      this._state = state;
    };
    ItemSliding.prototype.close = function() {
      this._setOpenAmount(0, true);
    };
    ItemSliding.prototype.setCssClass = function(cssClass, shouldAdd) {
      this._renderer.setElementClass(this._elementRef.nativeElement, cssClass, shouldAdd);
    };
    ItemSliding.prototype.setCssStyle = function(property, value) {
      this._renderer.setElementStyle(this._elementRef.nativeElement, property, value);
    };
    __decorate([core_1.ContentChild(item_1.Item), __metadata('design:type', item_1.Item)], ItemSliding.prototype, "item", void 0);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], ItemSliding.prototype, "ionDrag", void 0);
    __decorate([core_1.ContentChildren(ItemOptions), __metadata('design:type', core_1.QueryList), __metadata('design:paramtypes', [core_1.QueryList])], ItemSliding.prototype, "_itemOptions", null);
    ItemSliding = __decorate([core_1.Component({
      selector: 'ion-item-sliding',
      template: "\n    <ng-content select=\"ion-item,[ion-item]\"></ng-content>\n    <ng-content select=\"ion-item-options\"></ng-content>\n  ",
      changeDetection: core_1.ChangeDetectionStrategy.OnPush,
      encapsulation: core_1.ViewEncapsulation.None
    }), __param(0, core_1.Optional()), __metadata('design:paramtypes', [list_1.List, core_1.Renderer, core_1.ElementRef])], ItemSliding);
    return ItemSliding;
  }());
  exports.ItemSliding = ItemSliding;
  function shouldClose(isCloseDirection, isMovingFast, isOnCloseZone) {
    var shouldClose = (!isMovingFast && isOnCloseZone) || (isCloseDirection && isMovingFast);
    return shouldClose;
  }
  return module.exports;
});

System.registerDynamic("ionic-angular/components/virtual-scroll/virtual-util.js", ["../../util/dom"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var dom_1 = $__require('../../util/dom');
  function processRecords(stopAtHeight, records, cells, headerFn, footerFn, data) {
    var record;
    var startRecordIndex;
    var previousCell;
    var tmpData;
    var lastRecordIndex = (records.length - 1);
    if (cells.length) {
      previousCell = cells[cells.length - 1];
      if (previousCell.top + previousCell.height > stopAtHeight) {
        return;
      }
      startRecordIndex = (previousCell.record + 1);
    } else {
      previousCell = {
        row: 0,
        width: 0,
        height: 0,
        top: 0,
        left: 0,
        tmpl: -1
      };
      startRecordIndex = 0;
    }
    var processedTotal = 0;
    for (var recordIndex = startRecordIndex; recordIndex <= lastRecordIndex; recordIndex++) {
      record = records[recordIndex];
      if (headerFn) {
        tmpData = headerFn(record, recordIndex, records);
        if (tmpData !== null) {
          previousCell = addCell(previousCell, recordIndex, TEMPLATE_HEADER, tmpData, data.hdrWidth, data.hdrHeight, data.viewWidth);
          cells.push(previousCell);
        }
      }
      previousCell = addCell(previousCell, recordIndex, TEMPLATE_ITEM, null, data.itmWidth, data.itmHeight, data.viewWidth);
      cells.push(previousCell);
      if (footerFn) {
        tmpData = footerFn(record, recordIndex, records);
        if (tmpData !== null) {
          previousCell = addCell(previousCell, recordIndex, TEMPLATE_FOOTER, tmpData, data.ftrWidth, data.ftrHeight, data.viewWidth);
          cells.push(previousCell);
        }
      }
      if (previousCell.record === lastRecordIndex) {
        previousCell.isLast = true;
      }
      processedTotal++;
      if (previousCell.top + previousCell.height + data.itmHeight > stopAtHeight && processedTotal > 3) {
        return;
      }
    }
  }
  exports.processRecords = processRecords;
  function addCell(previousCell, recordIndex, tmpl, tmplData, cellWidth, cellHeight, viewportWidth) {
    var newCell;
    if (previousCell.left + previousCell.width + cellWidth > viewportWidth) {
      newCell = {
        record: recordIndex,
        tmpl: tmpl,
        row: (previousCell.row + 1),
        width: cellWidth,
        height: cellHeight,
        top: (previousCell.top + previousCell.height),
        left: 0,
        reads: 0
      };
    } else {
      newCell = {
        record: recordIndex,
        tmpl: tmpl,
        row: previousCell.row,
        width: cellWidth,
        height: cellHeight,
        top: previousCell.top,
        left: (previousCell.left + previousCell.width),
        reads: 0
      };
    }
    if (tmplData) {
      newCell.data = tmplData;
    }
    return newCell;
  }
  function populateNodeData(startCellIndex, endCellIndex, viewportWidth, scrollingDown, cells, records, nodes, viewContainer, itmTmp, hdrTmp, ftrTmp, initialLoad) {
    var madeChanges = false;
    var node;
    var availableNode;
    var cell;
    var previousCell;
    var isAlreadyRendered;
    var lastRecordIndex = (records.length - 1);
    var viewInsertIndex = null;
    var totalNodes = nodes.length;
    var templateRef;
    startCellIndex = Math.max(startCellIndex, 0);
    endCellIndex = Math.min(endCellIndex, cells.length - 1);
    for (var cellIndex = startCellIndex; cellIndex <= endCellIndex; cellIndex++) {
      cell = cells[cellIndex];
      availableNode = null;
      isAlreadyRendered = false;
      if (!initialLoad) {
        for (var i = 0; i < totalNodes; i++) {
          node = nodes[i];
          if (cell.tmpl !== node.tmpl || i === 0 && cellIndex !== 0) {
            continue;
          } else if (node.isLastRecord) {
            if (cell.record === lastRecordIndex) {
              availableNode = nodes[i];
              availableNode.hidden = false;
              break;
            }
            continue;
          }
          if (node.cell === cellIndex) {
            isAlreadyRendered = true;
            break;
          }
          if (node.cell < startCellIndex || node.cell > endCellIndex) {
            if (!availableNode) {
              availableNode = nodes[i];
            } else if (scrollingDown) {
              if (node.cell < availableNode.cell) {
                availableNode = nodes[i];
              }
            } else {
              if (node.cell > availableNode.cell) {
                availableNode = nodes[i];
              }
            }
          }
        }
        if (isAlreadyRendered) {
          continue;
        }
      }
      if (!availableNode) {
        if (viewInsertIndex === null) {
          viewInsertIndex = -1;
          for (var j = totalNodes - 1; j >= 0; j--) {
            node = nodes[j];
            if (node && !node.isLastRecord) {
              viewInsertIndex = viewContainer.indexOf(node.view);
              break;
            }
          }
        }
        templateRef = cell.tmpl === TEMPLATE_HEADER ? hdrTmp : cell.tmpl === TEMPLATE_FOOTER ? ftrTmp : itmTmp;
        if (!templateRef) {
          void 0;
          continue;
        }
        availableNode = {
          tmpl: cell.tmpl,
          view: viewContainer.createEmbeddedView(templateRef, new VirtualContext(null, null, null), viewInsertIndex)
        };
        totalNodes = nodes.push(availableNode);
      }
      availableNode.cell = cellIndex;
      availableNode.view.context.$implicit = cell.data || records[cell.record];
      availableNode.view.context.index = cellIndex;
      availableNode.hasChanges = true;
      availableNode.lastTransform = null;
      madeChanges = true;
    }
    if (initialLoad) {
      var lastNodeTempData = (records[lastRecordIndex] || {});
      addLastNodes(nodes, viewContainer, TEMPLATE_HEADER, hdrTmp, lastNodeTempData);
      addLastNodes(nodes, viewContainer, TEMPLATE_ITEM, itmTmp, lastNodeTempData);
      addLastNodes(nodes, viewContainer, TEMPLATE_FOOTER, ftrTmp, lastNodeTempData);
    }
    return madeChanges;
  }
  exports.populateNodeData = populateNodeData;
  function addLastNodes(nodes, viewContainer, templateType, templateRef, temporaryData) {
    if (templateRef) {
      var node = {
        tmpl: templateType,
        view: viewContainer.createEmbeddedView(templateRef),
        isLastRecord: true,
        hidden: true
      };
      node.view.context.$implicit = temporaryData;
      nodes.push(node);
    }
  }
  function initReadNodes(nodes, cells, data) {
    if (nodes.length && cells.length) {
      var firstEle = getElement(nodes[0]);
      cells[0].top = firstEle.clientTop;
      cells[0].left = firstEle.clientLeft;
      cells[0].row = 0;
      updateDimensions(nodes, cells, data, true);
      for (var i = 0; i < nodes.length; i++) {
        if (nodes[i].hidden) {
          getElement(nodes[i]).classList.add('virtual-hidden');
        }
      }
    }
  }
  exports.initReadNodes = initReadNodes;
  function updateDimensions(nodes, cells, data, initialUpdate) {
    var node;
    var element;
    var totalCells = cells.length;
    var cell;
    var previousCell;
    for (var i = 0; i < nodes.length; i++) {
      node = nodes[i];
      cell = cells[node.cell];
      if (cell && cell.reads < REQUIRED_DOM_READS && !node.hidden) {
        element = getElement(node);
        readElements(cell, element);
        if (initialUpdate) {
          if (cell.tmpl === TEMPLATE_HEADER) {
            data.hdrHeight = cell.height;
            if (cell.left === 0) {
              data.hdrWidth = cell.width;
            }
          } else if (cell.tmpl === TEMPLATE_FOOTER) {
            data.ftrHeight = cell.height;
            if (cell.left === 0) {
              data.ftrWidth = cell.width;
            }
          } else {
            data.itmHeight = cell.height;
            if (cell.left === 0) {
              data.itmWidth = cell.width;
            }
          }
        }
        cell.reads++;
      }
    }
    var viewableBottom = (data.scrollTop + data.viewHeight);
    data.topViewCell = totalCells;
    data.bottomViewCell = 0;
    for (var i = 1; i < totalCells; i++) {
      cell = cells[i];
      previousCell = cells[i - 1];
      if (previousCell.left + previousCell.width + cell.width > data.viewWidth) {
        cell.row++;
        cell.top = (previousCell.top + previousCell.height);
        cell.left = 0;
      } else {
        cell.row = previousCell.row;
        cell.top = previousCell.top;
        cell.left = (previousCell.left + previousCell.width);
      }
      if (cell.top + cell.height > data.scrollTop && i < data.topViewCell) {
        data.topViewCell = i;
      } else if (cell.top < viewableBottom && i > data.bottomViewCell) {
        data.bottomViewCell = i;
      }
    }
  }
  exports.updateDimensions = updateDimensions;
  function readElements(cell, element) {
    var styles = window.getComputedStyle(element);
    cell.left = (element.offsetLeft - parseFloat(styles.marginLeft));
    cell.width = (element.offsetWidth + parseFloat(styles.marginLeft) + parseFloat(styles.marginRight));
    cell.height = (element.offsetHeight + parseFloat(styles.marginTop) + parseFloat(styles.marginBottom));
  }
  function writeToNodes(nodes, cells, totalRecords) {
    var node;
    var element;
    var cell;
    var totalCells = Math.max(totalRecords, cells.length).toString();
    var transform;
    for (var i = 0,
        ilen = nodes.length; i < ilen; i++) {
      node = nodes[i];
      if (!node.hidden) {
        cell = cells[node.cell];
        transform = "translate3d(" + cell.left + "px," + cell.top + "px,0px)";
        if (node.lastTransform !== transform) {
          element = getElement(node);
          if (element) {
            element.style[dom_1.CSS.transform] = node.lastTransform = transform;
            element.classList.add('virtual-position');
            if (node.isLastRecord) {
              element.classList.remove('virtual-hidden');
            }
            element.setAttribute('aria-posinset', (node.cell + 1).toString());
            element.setAttribute('aria-setsize', totalCells);
          }
        }
      }
    }
  }
  exports.writeToNodes = writeToNodes;
  function adjustRendered(cells, data) {
    var cell;
    var lastRow = -1;
    var cellsRenderHeight = 0;
    var maxRenderHeight = (data.renderHeight - data.itmHeight);
    var totalCells = cells.length;
    var viewableRenderedPadding = (data.itmHeight < 90 ? VIEWABLE_RENDERED_PADDING : 0);
    if (data.scrollDiff > 0) {
      data.topCell = Math.max(data.topViewCell - viewableRenderedPadding, 0);
      data.bottomCell = Math.min(data.topCell + 2, totalCells - 1);
      for (var i = data.topCell; i < totalCells; i++) {
        cell = cells[i];
        if (cell.row !== lastRow) {
          cellsRenderHeight += cell.height;
          lastRow = cell.row;
        }
        if (i > data.bottomCell) {
          data.bottomCell = i;
        }
        if (cellsRenderHeight >= maxRenderHeight) {
          break;
        }
      }
    } else {
      data.bottomCell = Math.min(data.bottomViewCell + viewableRenderedPadding, totalCells - 1);
      data.topCell = Math.max(data.bottomCell - 2, 0);
      for (var i = data.bottomCell; i >= 0; i--) {
        cell = cells[i];
        if (cell.row !== lastRow) {
          cellsRenderHeight += cell.height;
          lastRow = cell.row;
        }
        if (i < data.topCell) {
          data.topCell = i;
        }
        if (cellsRenderHeight >= maxRenderHeight) {
          break;
        }
      }
    }
  }
  exports.adjustRendered = adjustRendered;
  function getVirtualHeight(totalRecords, lastCell) {
    if (lastCell.record >= totalRecords - 1) {
      return (lastCell.top + lastCell.height);
    }
    var unknownRecords = (totalRecords - lastCell.record - 1);
    var knownHeight = (lastCell.top + lastCell.height);
    return Math.ceil(knownHeight + ((knownHeight / (totalRecords - unknownRecords)) * unknownRecords));
  }
  exports.getVirtualHeight = getVirtualHeight;
  function estimateHeight(totalRecords, lastCell, existingHeight, difference) {
    var newHeight = getVirtualHeight(totalRecords, lastCell);
    var percentToBottom = (lastCell.record / (totalRecords - 1));
    var diff = Math.abs(existingHeight - newHeight);
    if ((diff > (newHeight * difference)) || (percentToBottom > .995)) {
      return newHeight;
    }
    return existingHeight;
  }
  exports.estimateHeight = estimateHeight;
  function calcDimensions(data, viewportElement, approxItemWidth, approxItemHeight, appoxHeaderWidth, approxHeaderHeight, approxFooterWidth, approxFooterHeight, bufferRatio) {
    data.viewWidth = viewportElement.offsetWidth;
    data.viewHeight = viewportElement.offsetHeight;
    data.renderHeight = (data.viewHeight * bufferRatio);
    if (data.viewWidth > 0 && data.viewHeight > 0) {
      data.itmWidth = calcWidth(data.viewWidth, approxItemWidth);
      data.itmHeight = calcHeight(data.viewHeight, approxItemHeight);
      data.hdrWidth = calcWidth(data.viewWidth, appoxHeaderWidth);
      data.hdrHeight = calcHeight(data.viewHeight, approxHeaderHeight);
      data.ftrWidth = calcWidth(data.viewWidth, approxFooterWidth);
      data.ftrHeight = calcHeight(data.viewHeight, approxFooterHeight);
      data.valid = true;
    }
  }
  exports.calcDimensions = calcDimensions;
  function calcWidth(viewportWidth, approxWidth) {
    if (approxWidth.indexOf('%') > 0) {
      return (viewportWidth * (parseFloat(approxWidth) / 100));
    } else if (approxWidth.indexOf('px') > 0) {
      return parseFloat(approxWidth);
    }
    throw 'virtual scroll width can only use "%" or "px" units';
  }
  function calcHeight(viewportHeight, approxHeight) {
    if (approxHeight.indexOf('px') > 0) {
      return parseFloat(approxHeight);
    }
    throw 'virtual scroll height must use "px" units';
  }
  function getElement(node) {
    var rootNodes = node.view.rootNodes;
    for (var i = 0; i < rootNodes.length; i++) {
      if (rootNodes[i].nodeType === 1) {
        return rootNodes[i];
      }
    }
    return null;
  }
  var VirtualContext = (function() {
    function VirtualContext($implicit, index, count) {
      this.$implicit = $implicit;
      this.index = index;
      this.count = count;
    }
    Object.defineProperty(VirtualContext.prototype, "first", {
      get: function() {
        return this.index === 0;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(VirtualContext.prototype, "last", {
      get: function() {
        return this.index === this.count - 1;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(VirtualContext.prototype, "even", {
      get: function() {
        return this.index % 2 === 0;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(VirtualContext.prototype, "odd", {
      get: function() {
        return !this.even;
      },
      enumerable: true,
      configurable: true
    });
    return VirtualContext;
  }());
  exports.VirtualContext = VirtualContext;
  var TEMPLATE_ITEM = 0;
  var TEMPLATE_HEADER = 1;
  var TEMPLATE_FOOTER = 2;
  var VIEWABLE_RENDERED_PADDING = 3;
  var REQUIRED_DOM_READS = 2;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/img/img.js", ["@angular/core", "../../util/dom", "../../util/util", "../../platform/platform"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var dom_1 = $__require('../../util/dom');
  var util_1 = $__require('../../util/util');
  var platform_1 = $__require('../../platform/platform');
  var Img = (function() {
    function Img(_elementRef, _platform, _zone) {
      this._elementRef = _elementRef;
      this._platform = _platform;
      this._zone = _zone;
      this._src = '';
      this._normalizeSrc = '';
      this._imgs = [];
      this._enabled = true;
    }
    Object.defineProperty(Img.prototype, "src", {
      set: function(val) {
        var tmpImg = new Image();
        tmpImg.src = util_1.isPresent(val) ? val : '';
        this._src = util_1.isPresent(val) ? val : '';
        this._normalizeSrc = tmpImg.src;
        if (this._init) {
          this._update();
        }
      },
      enumerable: true,
      configurable: true
    });
    Img.prototype.ngOnInit = function() {
      this._init = true;
      this._update();
    };
    Img.prototype._update = function() {
      var _this = this;
      if (this._enabled && this._src !== '') {
        for (var i = this._imgs.length - 1; i >= 0; i--) {
          if (this._imgs[i].src === this._normalizeSrc) {
            if (this._imgs[i].complete) {
              this._loaded(true);
            }
          } else {
            if (this._imgs[i].parentElement) {
              this._imgs[i].parentElement.removeChild(this._imgs[i]);
            }
            this._imgs.splice(i, 1);
          }
        }
        if (!this._imgs.length) {
          this._zone.runOutsideAngular(function() {
            var img = new Image();
            img.style.width = _this._width;
            img.style.height = _this._height;
            if (util_1.isPresent(_this.alt)) {
              img.alt = _this.alt;
            }
            if (util_1.isPresent(_this.title)) {
              img.title = _this.title;
            }
            img.addEventListener('load', function() {
              if (img.src === _this._normalizeSrc) {
                _this._elementRef.nativeElement.appendChild(img);
                dom_1.nativeRaf(function() {
                  _this._update();
                });
              }
            });
            img.src = _this._src;
            _this._imgs.push(img);
            _this._loaded(false);
          });
        }
      } else {
        if (!this._imgs.some(function(img) {
          return img.src === _this._normalizeSrc;
        })) {
          this._loaded(false);
        }
      }
    };
    Img.prototype._loaded = function(isLoaded) {
      this._elementRef.nativeElement.classList[isLoaded ? 'add' : 'remove']('img-loaded');
    };
    Img.prototype.enable = function(shouldEnable) {
      this._enabled = shouldEnable;
      this._update();
    };
    Object.defineProperty(Img.prototype, "width", {
      set: function(val) {
        this._w = getUnitValue(val);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Img.prototype, "height", {
      set: function(val) {
        this._h = getUnitValue(val);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Img.prototype, "_width", {
      get: function() {
        return util_1.isPresent(this._w) ? this._w : '';
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Img.prototype, "_height", {
      get: function() {
        return util_1.isPresent(this._h) ? this._h : '';
      },
      enumerable: true,
      configurable: true
    });
    __decorate([core_1.Input(), __metadata('design:type', String), __metadata('design:paramtypes', [String])], Img.prototype, "src", null);
    __decorate([core_1.Input(), __metadata('design:type', Object), __metadata('design:paramtypes', [Object])], Img.prototype, "width", null);
    __decorate([core_1.Input(), __metadata('design:type', Object), __metadata('design:paramtypes', [Object])], Img.prototype, "height", null);
    __decorate([core_1.Input(), __metadata('design:type', String)], Img.prototype, "alt", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], Img.prototype, "title", void 0);
    __decorate([core_1.HostBinding('style.width'), __metadata('design:type', String)], Img.prototype, "_width", null);
    __decorate([core_1.HostBinding('style.height'), __metadata('design:type', String)], Img.prototype, "_height", null);
    Img = __decorate([core_1.Component({
      selector: 'ion-img',
      template: '<div class="img-placeholder" [style.height]="_h" [style.width]="_w"></div>',
      changeDetection: core_1.ChangeDetectionStrategy.OnPush,
      encapsulation: core_1.ViewEncapsulation.None
    }), __metadata('design:paramtypes', [core_1.ElementRef, platform_1.Platform, core_1.NgZone])], Img);
    return Img;
  }());
  exports.Img = Img;
  function getUnitValue(val) {
    if (util_1.isPresent(val)) {
      if (typeof val === 'string') {
        if (val.indexOf('%') > -1 || val.indexOf('px') > -1) {
          return val;
        }
        if (val.length) {
          return val + 'px';
        }
      } else if (typeof val === 'number') {
        return val + 'px';
      }
    }
    return '';
  }
  return module.exports;
});

System.registerDynamic("ionic-angular/components/virtual-scroll/virtual-scroll.js", ["@angular/core", "./virtual-util", "../../util/dom", "../../config/config", "../content/content", "../img/img", "../../util/util", "../../platform/platform", "../nav/view-controller", "./virtual-item"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var virtual_util_1 = $__require('./virtual-util');
  var dom_1 = $__require('../../util/dom');
  var config_1 = $__require('../../config/config');
  var content_1 = $__require('../content/content');
  var img_1 = $__require('../img/img');
  var util_1 = $__require('../../util/util');
  var platform_1 = $__require('../../platform/platform');
  var view_controller_1 = $__require('../nav/view-controller');
  var virtual_item_1 = $__require('./virtual-item');
  var VirtualScroll = (function() {
    function VirtualScroll(_iterableDiffers, _elementRef, _renderer, _zone, _cd, _content, _platform, _ctrl, config) {
      this._iterableDiffers = _iterableDiffers;
      this._elementRef = _elementRef;
      this._renderer = _renderer;
      this._zone = _zone;
      this._cd = _cd;
      this._content = _content;
      this._platform = _platform;
      this._ctrl = _ctrl;
      this._records = [];
      this._cells = [];
      this._nodes = [];
      this._vHeight = 0;
      this._lastCheck = 0;
      this._data = {scrollTop: 0};
      this._queue = null;
      this.bufferRatio = 2;
      this.approxItemWidth = '100%';
      this.approxItemHeight = '40px';
      this.approxHeaderWidth = '100%';
      this.approxHeaderHeight = '40px';
      this.approxFooterWidth = '100%';
      this.approxFooterHeight = '40px';
      this._eventAssist = config.getBoolean('virtualScrollEventAssist');
    }
    Object.defineProperty(VirtualScroll.prototype, "virtualScroll", {
      set: function(val) {
        this._records = val;
        if (util_1.isBlank(this._differ) && util_1.isPresent(val)) {
          this._differ = this._iterableDiffers.find(val).create(this._cd, this._trackBy);
        }
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(VirtualScroll.prototype, "headerFn", {
      set: function(val) {
        if (util_1.isFunction(val)) {
          this._hdrFn = val.bind((this._ctrl && this._ctrl.instance) || this);
        }
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(VirtualScroll.prototype, "footerFn", {
      set: function(val) {
        if (util_1.isFunction(val)) {
          this._ftrFn = val.bind((this._ctrl && this._ctrl.instance) || this);
        }
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(VirtualScroll.prototype, "virtualTrackBy", {
      set: function(val) {
        this._trackBy = val;
      },
      enumerable: true,
      configurable: true
    });
    VirtualScroll.prototype.ngDoCheck = function() {
      if (this._init) {
        this.update(true);
      }
    };
    VirtualScroll.prototype.ngAfterContentInit = function() {
      var _this = this;
      if (!this._init) {
        if (!this._itmTmp) {
          throw 'virtualItem required within virtualScroll';
        }
        this._init = true;
        this.update(true);
        this._platform.onResize(function() {
          void 0;
          _this.update(false);
        });
      }
    };
    VirtualScroll.prototype.update = function(checkChanges) {
      var self = this;
      if (!self._records || !self._records.length)
        return;
      if (checkChanges) {
        if (util_1.isPresent(self._differ)) {
          var changes = self._differ.diff(self._records);
          if (!util_1.isPresent(changes))
            return;
        }
      }
      void 0;
      self._cells.length = 0;
      self._nodes.length = 0;
      self._itmTmp.viewContainer.clear();
      self._elementRef.nativeElement.parentElement.scrollTop = 0;
      var attempts = 0;
      function readDimensions(done) {
        if (self._data.valid) {
          done();
        } else {
          virtual_util_1.calcDimensions(self._data, self._elementRef.nativeElement.parentElement, self.approxItemWidth, self.approxItemHeight, self.approxHeaderWidth, self.approxHeaderHeight, self.approxFooterWidth, self.approxFooterHeight, self.bufferRatio);
          if (self._data.valid) {
            done();
          } else if (attempts < 30) {
            attempts++;
            dom_1.nativeRaf(function() {
              readDimensions(done);
            });
          }
        }
      }
      readDimensions(function() {
        virtual_util_1.processRecords(self._data.renderHeight, self._records, self._cells, self._hdrFn, self._ftrFn, self._data);
        self.renderVirtual();
        self.addScrollListener();
      });
    };
    VirtualScroll.prototype.renderVirtual = function() {
      this._data.topCell = 0;
      this._data.bottomCell = (this._cells.length - 1);
      virtual_util_1.populateNodeData(0, this._data.bottomCell, this._data.viewWidth, true, this._cells, this._records, this._nodes, this._itmTmp.viewContainer, this._itmTmp.templateRef, this._hdrTmp && this._hdrTmp.templateRef, this._ftrTmp && this._ftrTmp.templateRef, true);
      this._cd.detectChanges();
      dom_1.nativeRaf(this.postRenderVirtual.bind(this));
    };
    VirtualScroll.prototype.postRenderVirtual = function() {
      virtual_util_1.initReadNodes(this._nodes, this._cells, this._data);
      this._renderer.setElementClass(this._elementRef.nativeElement, 'virtual-scroll', true);
      virtual_util_1.writeToNodes(this._nodes, this._cells, this._records.length);
      this.setVirtualHeight(virtual_util_1.estimateHeight(this._records.length, this._cells[this._cells.length - 1], this._vHeight, 0.25));
    };
    VirtualScroll.prototype.scrollUpdate = function() {
      dom_1.clearNativeTimeout(this._tmId);
      this._tmId = dom_1.nativeTimeout(this.onScrollEnd.bind(this), SCROLL_END_TIMEOUT_MS);
      var data = this._data;
      if (this._queue === QUEUE_CHANGE_DETECTION) {
        this._cd.detectChanges();
        virtual_util_1.writeToNodes(this._nodes, this._cells, this._records.length);
        this.setVirtualHeight(virtual_util_1.estimateHeight(this._records.length, this._cells[this._cells.length - 1], this._vHeight, 0.25));
        this._queue = null;
      } else {
        data.scrollDiff = (data.scrollTop - this._lastCheck);
        if (Math.abs(data.scrollDiff) > SCROLL_DIFFERENCE_MINIMUM) {
          this._lastCheck = data.scrollTop;
          if (data.scrollDiff > 0) {
            var stopAtHeight = (data.scrollTop + data.renderHeight);
            virtual_util_1.processRecords(stopAtHeight, this._records, this._cells, this._hdrFn, this._ftrFn, data);
          }
          virtual_util_1.updateDimensions(this._nodes, this._cells, data, false);
          virtual_util_1.adjustRendered(this._cells, data);
          var madeChanges = virtual_util_1.populateNodeData(data.topCell, data.bottomCell, data.viewWidth, data.scrollDiff > 0, this._cells, this._records, this._nodes, this._itmTmp.viewContainer, this._itmTmp.templateRef, this._hdrTmp && this._hdrTmp.templateRef, this._ftrTmp && this._ftrTmp.templateRef, false);
          if (madeChanges) {
            this._imgs.forEach(function(img) {
              img.enable(false);
            });
            this._queue = QUEUE_CHANGE_DETECTION;
          } else {
            this._queue = null;
          }
        }
      }
    };
    VirtualScroll.prototype.onScrollEnd = function() {
      this._imgs.forEach(function(img) {
        img.enable(true);
      });
      virtual_util_1.updateDimensions(this._nodes, this._cells, this._data, false);
      virtual_util_1.adjustRendered(this._cells, this._data);
      this._cd.detectChanges();
      this.setVirtualHeight(virtual_util_1.estimateHeight(this._records.length, this._cells[this._cells.length - 1], this._vHeight, 0.05));
    };
    VirtualScroll.prototype.setVirtualHeight = function(newVirtualHeight) {
      if (newVirtualHeight !== this._vHeight) {
        this._renderer.setElementStyle(this._elementRef.nativeElement, 'height', newVirtualHeight > 0 ? newVirtualHeight + 'px' : '');
        this._vHeight = newVirtualHeight;
        void 0;
      }
    };
    VirtualScroll.prototype.addScrollListener = function() {
      var self = this;
      if (!self._unreg) {
        self._zone.runOutsideAngular(function() {
          function onScroll() {
            self._data.scrollTop = self._content.getScrollTop();
            self.scrollUpdate();
          }
          if (self._eventAssist) {
            self._unreg = self._content.jsScroll(onScroll);
          } else {
            self._unreg = self._content.addScrollListener(onScroll);
          }
        });
      }
    };
    VirtualScroll.prototype.ngOnDestroy = function() {
      this._unreg && this._unreg();
      this._unreg = null;
    };
    __decorate([core_1.ContentChild(virtual_item_1.VirtualItem), __metadata('design:type', virtual_item_1.VirtualItem)], VirtualScroll.prototype, "_itmTmp", void 0);
    __decorate([core_1.ContentChild(virtual_item_1.VirtualHeader), __metadata('design:type', virtual_item_1.VirtualHeader)], VirtualScroll.prototype, "_hdrTmp", void 0);
    __decorate([core_1.ContentChild(virtual_item_1.VirtualFooter), __metadata('design:type', virtual_item_1.VirtualFooter)], VirtualScroll.prototype, "_ftrTmp", void 0);
    __decorate([core_1.ContentChildren(img_1.Img), __metadata('design:type', core_1.QueryList)], VirtualScroll.prototype, "_imgs", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Object), __metadata('design:paramtypes', [Object])], VirtualScroll.prototype, "virtualScroll", null);
    __decorate([core_1.Input(), __metadata('design:type', Number)], VirtualScroll.prototype, "bufferRatio", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], VirtualScroll.prototype, "approxItemWidth", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], VirtualScroll.prototype, "approxItemHeight", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], VirtualScroll.prototype, "approxHeaderWidth", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], VirtualScroll.prototype, "approxHeaderHeight", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], VirtualScroll.prototype, "approxFooterWidth", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], VirtualScroll.prototype, "approxFooterHeight", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Function), __metadata('design:paramtypes', [Function])], VirtualScroll.prototype, "headerFn", null);
    __decorate([core_1.Input(), __metadata('design:type', Function), __metadata('design:paramtypes', [Function])], VirtualScroll.prototype, "footerFn", null);
    __decorate([core_1.Input(), __metadata('design:type', Function), __metadata('design:paramtypes', [Function])], VirtualScroll.prototype, "virtualTrackBy", null);
    VirtualScroll = __decorate([core_1.Directive({selector: '[virtualScroll]'}), __param(7, core_1.Optional()), __metadata('design:paramtypes', [core_1.IterableDiffers, core_1.ElementRef, core_1.Renderer, core_1.NgZone, core_1.ChangeDetectorRef, content_1.Content, platform_1.Platform, view_controller_1.ViewController, config_1.Config])], VirtualScroll);
    return VirtualScroll;
  }());
  exports.VirtualScroll = VirtualScroll;
  var SCROLL_END_TIMEOUT_MS = 140;
  var SCROLL_DIFFERENCE_MINIMUM = 20;
  var QUEUE_CHANGE_DETECTION = 0;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/virtual-scroll/virtual-item.js", ["@angular/core"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var VirtualHeader = (function() {
    function VirtualHeader(templateRef) {
      this.templateRef = templateRef;
    }
    VirtualHeader = __decorate([core_1.Directive({selector: '[virtualHeader]'}), __metadata('design:paramtypes', [core_1.TemplateRef])], VirtualHeader);
    return VirtualHeader;
  }());
  exports.VirtualHeader = VirtualHeader;
  var VirtualFooter = (function() {
    function VirtualFooter(templateRef) {
      this.templateRef = templateRef;
    }
    VirtualFooter = __decorate([core_1.Directive({selector: '[virtualFooter]'}), __metadata('design:paramtypes', [core_1.TemplateRef])], VirtualFooter);
    return VirtualFooter;
  }());
  exports.VirtualFooter = VirtualFooter;
  var VirtualItem = (function() {
    function VirtualItem(templateRef, viewContainer) {
      this.templateRef = templateRef;
      this.viewContainer = viewContainer;
    }
    VirtualItem = __decorate([core_1.Directive({selector: '[virtualItem]'}), __metadata('design:paramtypes', [core_1.TemplateRef, core_1.ViewContainerRef])], VirtualItem);
    return VirtualItem;
  }());
  exports.VirtualItem = VirtualItem;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/toolbar/toolbar-item.js", ["@angular/core", "../button/button", "../navbar/navbar", "./toolbar"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var button_1 = $__require('../button/button');
  var navbar_1 = $__require('../navbar/navbar');
  var toolbar_1 = $__require('./toolbar');
  var ToolbarItem = (function() {
    function ToolbarItem(elementRef, toolbar, navbar) {
      toolbar && toolbar.addItemRef(elementRef);
      navbar && navbar.addItemRef(elementRef);
      this.inToolbar = !!(toolbar || navbar);
    }
    Object.defineProperty(ToolbarItem.prototype, "_buttons", {
      set: function(buttons) {
        if (this.inToolbar) {
          buttons.forEach(function(button) {
            button.setRole('bar-button');
          });
        }
      },
      enumerable: true,
      configurable: true
    });
    __decorate([core_1.ContentChildren(button_1.Button), __metadata('design:type', Object), __metadata('design:paramtypes', [Object])], ToolbarItem.prototype, "_buttons", null);
    ToolbarItem = __decorate([core_1.Directive({selector: 'ion-buttons,[menuToggle]'}), __param(1, core_1.Optional()), __param(2, core_1.Optional()), __param(2, core_1.Inject(core_1.forwardRef(function() {
      return navbar_1.Navbar;
    }))), __metadata('design:paramtypes', [core_1.ElementRef, toolbar_1.Toolbar, navbar_1.Navbar])], ToolbarItem);
    return ToolbarItem;
  }());
  exports.ToolbarItem = ToolbarItem;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/toolbar/toolbar-title.js", ["@angular/core", "../ion", "../navbar/navbar", "./toolbar"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var ion_1 = $__require('../ion');
  var navbar_1 = $__require('../navbar/navbar');
  var toolbar_1 = $__require('./toolbar');
  var ToolbarTitle = (function(_super) {
    __extends(ToolbarTitle, _super);
    function ToolbarTitle(_elementRef, toolbar, navbar) {
      _super.call(this, _elementRef);
      this._elementRef = _elementRef;
      toolbar && toolbar.setTitleCmp(this);
      navbar && navbar.setTitleCmp(this);
    }
    ToolbarTitle.prototype.getTitleText = function() {
      return this._elementRef.nativeElement.textContent;
    };
    ToolbarTitle = __decorate([core_1.Component({
      selector: 'ion-title',
      template: '<div class="toolbar-title">' + '<ng-content></ng-content>' + '</div>',
      changeDetection: core_1.ChangeDetectionStrategy.OnPush,
      encapsulation: core_1.ViewEncapsulation.None
    }), __param(1, core_1.Optional()), __param(2, core_1.Optional()), __param(2, core_1.Inject(core_1.forwardRef(function() {
      return navbar_1.Navbar;
    }))), __metadata('design:paramtypes', [core_1.ElementRef, toolbar_1.Toolbar, navbar_1.Navbar])], ToolbarTitle);
    return ToolbarTitle;
  }(ion_1.Ion));
  exports.ToolbarTitle = ToolbarTitle;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/checkbox/checkbox.js", ["@angular/core", "@angular/forms", "../../util/form", "../item/item", "../../util/util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var forms_1 = $__require('@angular/forms');
  var form_1 = $__require('../../util/form');
  var item_1 = $__require('../item/item');
  var util_1 = $__require('../../util/util');
  exports.CHECKBOX_VALUE_ACCESSOR = new core_1.Provider(forms_1.NG_VALUE_ACCESSOR, {
    useExisting: core_1.forwardRef(function() {
      return Checkbox;
    }),
    multi: true
  });
  var Checkbox = (function() {
    function Checkbox(_form, _item) {
      this._form = _form;
      this._item = _item;
      this._checked = false;
      this._disabled = false;
      this.ionChange = new core_1.EventEmitter();
      _form.register(this);
      if (_item) {
        this.id = 'chk-' + _item.registerInput('checkbox');
        this._labelId = 'lbl-' + _item.id;
        this._item.setCssClass('item-checkbox', true);
      }
    }
    Checkbox.prototype._click = function(ev) {
      void 0;
      ev.preventDefault();
      ev.stopPropagation();
      this.onChange(!this._checked);
    };
    Object.defineProperty(Checkbox.prototype, "checked", {
      get: function() {
        return this._checked;
      },
      set: function(val) {
        this._setChecked(util_1.isTrueProperty(val));
        this.onChange(this._checked);
      },
      enumerable: true,
      configurable: true
    });
    Checkbox.prototype._setChecked = function(isChecked) {
      if (isChecked !== this._checked) {
        this._checked = isChecked;
        if (this._init) {
          this.ionChange.emit(this);
        }
        this._item && this._item.setCssClass('item-checkbox-checked', isChecked);
      }
    };
    Checkbox.prototype.writeValue = function(val) {
      this._setChecked(util_1.isTrueProperty(val));
    };
    Checkbox.prototype.registerOnChange = function(fn) {
      var _this = this;
      this._fn = fn;
      this.onChange = function(isChecked) {
        void 0;
        fn(isChecked);
        _this._setChecked(isChecked);
        _this.onTouched();
      };
    };
    Checkbox.prototype.registerOnTouched = function(fn) {
      this.onTouched = fn;
    };
    Object.defineProperty(Checkbox.prototype, "disabled", {
      get: function() {
        return this._disabled;
      },
      set: function(val) {
        this._disabled = util_1.isTrueProperty(val);
        this._item && this._item.setCssClass('item-checkbox-disabled', this._disabled);
      },
      enumerable: true,
      configurable: true
    });
    Checkbox.prototype.onChange = function(isChecked) {
      void 0;
      this._setChecked(isChecked);
      this.onTouched();
    };
    Checkbox.prototype.onTouched = function() {};
    Checkbox.prototype.ngAfterContentInit = function() {
      this._init = true;
    };
    Checkbox.prototype.ngOnDestroy = function() {
      this._form.deregister(this);
    };
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], Checkbox.prototype, "ionChange", void 0);
    __decorate([core_1.HostListener('click', ['$event']), __metadata('design:type', Function), __metadata('design:paramtypes', [UIEvent]), __metadata('design:returntype', void 0)], Checkbox.prototype, "_click", null);
    __decorate([core_1.Input(), __metadata('design:type', Boolean)], Checkbox.prototype, "checked", null);
    __decorate([core_1.Input(), __metadata('design:type', Boolean)], Checkbox.prototype, "disabled", null);
    Checkbox = __decorate([core_1.Component({
      selector: 'ion-checkbox',
      template: "\n    <div class=\"checkbox-icon\" [class.checkbox-checked]=\"_checked\">\n      <div class=\"checkbox-inner\"></div>\n    </div>\n    <button role=\"checkbox\"\n            type=\"button\"\n            category=\"item-cover\"\n            [id]=\"id\"\n            [attr.aria-checked]=\"_checked\"\n            [attr.aria-labelledby]=\"_labelId\"\n            [attr.aria-disabled]=\"_disabled\"\n            class=\"item-cover\">\n    </button>\n  ",
      host: {'[class.checkbox-disabled]': '_disabled'},
      providers: [exports.CHECKBOX_VALUE_ACCESSOR],
      encapsulation: core_1.ViewEncapsulation.None
    }), __param(1, core_1.Optional()), __metadata('design:paramtypes', [form_1.Form, item_1.Item])], Checkbox);
    return Checkbox;
  }());
  exports.Checkbox = Checkbox;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/action-sheet/action-sheet-component.js", ["@angular/core", "@angular/common", "../../animations/animation", "../backdrop/backdrop", "../../config/config", "../../util/form", "../icon/icon", "../../util/key", "../nav/nav-params", "../../transitions/transition", "../nav/view-controller"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var common_1 = $__require('@angular/common');
  var animation_1 = $__require('../../animations/animation');
  var backdrop_1 = $__require('../backdrop/backdrop');
  var config_1 = $__require('../../config/config');
  var form_1 = $__require('../../util/form');
  var icon_1 = $__require('../icon/icon');
  var key_1 = $__require('../../util/key');
  var nav_params_1 = $__require('../nav/nav-params');
  var transition_1 = $__require('../../transitions/transition');
  var view_controller_1 = $__require('../nav/view-controller');
  var ActionSheetCmp = (function() {
    function ActionSheetCmp(_viewCtrl, _config, _elementRef, _form, params, renderer) {
      this._viewCtrl = _viewCtrl;
      this._config = _config;
      this._elementRef = _elementRef;
      this._form = _form;
      this.d = params.data;
      if (this.d.cssClass) {
        renderer.setElementClass(_elementRef.nativeElement, this.d.cssClass, true);
      }
      this.id = (++actionSheetIds);
      if (this.d.title) {
        this.hdrId = 'acst-hdr-' + this.id;
      }
      if (this.d.subTitle) {
        this.descId = 'acst-subhdr-' + this.id;
      }
    }
    ActionSheetCmp.prototype.ionViewLoaded = function() {
      var _this = this;
      var buttons = [];
      this.d.buttons.forEach(function(button) {
        if (typeof button === 'string') {
          button = {text: button};
        }
        if (!button.cssClass) {
          button.cssClass = '';
        }
        if (button.role === 'cancel') {
          _this.d.cancelButton = button;
        } else {
          if (button.role === 'destructive') {
            button.cssClass = (button.cssClass + ' ' || '') + 'action-sheet-destructive';
          } else if (button.role === 'selected') {
            button.cssClass = (button.cssClass + ' ' || '') + 'action-sheet-selected';
          }
          buttons.push(button);
        }
      });
      this.d.buttons = buttons;
    };
    ActionSheetCmp.prototype.ionViewDidEnter = function() {
      this._form.focusOut();
      var focusableEle = this._elementRef.nativeElement.querySelector('button');
      if (focusableEle) {
        focusableEle.focus();
      }
      this.enabled = true;
    };
    ActionSheetCmp.prototype._keyUp = function(ev) {
      if (this.enabled && this._viewCtrl.isLast()) {
        if (ev.keyCode === key_1.Key.ESCAPE) {
          void 0;
          this.bdClick();
        }
      }
    };
    ActionSheetCmp.prototype.click = function(button, dismissDelay) {
      var _this = this;
      if (!this.enabled) {
        return;
      }
      var shouldDismiss = true;
      if (button.handler) {
        if (button.handler() === false) {
          shouldDismiss = false;
        }
      }
      if (shouldDismiss) {
        setTimeout(function() {
          _this.dismiss(button.role);
        }, dismissDelay || this._config.get('pageTransitionDelay'));
      }
    };
    ActionSheetCmp.prototype.bdClick = function() {
      if (this.enabled && this.d.enableBackdropDismiss) {
        if (this.d.cancelButton) {
          this.click(this.d.cancelButton, 1);
        } else {
          this.dismiss('backdrop');
        }
      }
    };
    ActionSheetCmp.prototype.dismiss = function(role) {
      return this._viewCtrl.dismiss(null, role);
    };
    __decorate([core_1.HostListener('body:keyup', ['$event']), __metadata('design:type', Function), __metadata('design:paramtypes', [KeyboardEvent]), __metadata('design:returntype', void 0)], ActionSheetCmp.prototype, "_keyUp", null);
    ActionSheetCmp = __decorate([core_1.Component({
      selector: 'ion-action-sheet',
      template: "\n    <ion-backdrop (click)=\"bdClick()\"></ion-backdrop>\n    <div class=\"action-sheet-wrapper\">\n      <div class=\"action-sheet-container\">\n        <div class=\"action-sheet-group\">\n          <div class=\"action-sheet-title\" id=\"{{hdrId}}\" *ngIf=\"d.title\">{{d.title}}</div>\n          <div class=\"action-sheet-sub-title\" id=\"{{descId}}\" *ngIf=\"d.subTitle\">{{d.subTitle}}</div>\n          <button category=\"action-sheet-button\" (click)=\"click(b)\" *ngFor=\"let b of d.buttons\" class=\"disable-hover\" [ngClass]=\"b.cssClass\">\n            <ion-icon [name]=\"b.icon\" *ngIf=\"b.icon\" class=\"action-sheet-icon\"></ion-icon>\n            {{b.text}}\n          </button>\n        </div>\n        <div class=\"action-sheet-group\" *ngIf=\"d.cancelButton\">\n          <button category=\"action-sheet-button\" (click)=\"click(d.cancelButton)\" class=\"action-sheet-cancel disable-hover\" [ngClass]=\"d.cancelButton.cssClass\">\n            <ion-icon [name]=\"d.cancelButton.icon\" *ngIf=\"d.cancelButton.icon\" class=\"action-sheet-icon\"></ion-icon>\n            {{d.cancelButton.text}}\n          </button>\n        </div>\n      </div>\n    </div>\n    ",
      directives: [backdrop_1.Backdrop, icon_1.Icon, common_1.NgClass, common_1.NgFor, common_1.NgIf],
      host: {
        'role': 'dialog',
        '[attr.aria-labelledby]': 'hdrId',
        '[attr.aria-describedby]': 'descId'
      },
      encapsulation: core_1.ViewEncapsulation.None
    }), __metadata('design:paramtypes', [view_controller_1.ViewController, config_1.Config, core_1.ElementRef, form_1.Form, nav_params_1.NavParams, core_1.Renderer])], ActionSheetCmp);
    return ActionSheetCmp;
  }());
  exports.ActionSheetCmp = ActionSheetCmp;
  var ActionSheetSlideIn = (function(_super) {
    __extends(ActionSheetSlideIn, _super);
    function ActionSheetSlideIn(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = enteringView.pageRef().nativeElement;
      var backdrop = new animation_1.Animation(ele.querySelector('ion-backdrop'));
      var wrapper = new animation_1.Animation(ele.querySelector('.action-sheet-wrapper'));
      backdrop.fromTo('opacity', 0.01, 0.4);
      wrapper.fromTo('translateY', '100%', '0%');
      this.easing('cubic-bezier(.36,.66,.04,1)').duration(400).add(backdrop).add(wrapper);
    }
    return ActionSheetSlideIn;
  }(transition_1.Transition));
  transition_1.Transition.register('action-sheet-slide-in', ActionSheetSlideIn);
  var ActionSheetSlideOut = (function(_super) {
    __extends(ActionSheetSlideOut, _super);
    function ActionSheetSlideOut(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = leavingView.pageRef().nativeElement;
      var backdrop = new animation_1.Animation(ele.querySelector('ion-backdrop'));
      var wrapper = new animation_1.Animation(ele.querySelector('.action-sheet-wrapper'));
      backdrop.fromTo('opacity', 0.4, 0);
      wrapper.fromTo('translateY', '0%', '100%');
      this.easing('cubic-bezier(.36,.66,.04,1)').duration(300).add(backdrop).add(wrapper);
    }
    return ActionSheetSlideOut;
  }(transition_1.Transition));
  transition_1.Transition.register('action-sheet-slide-out', ActionSheetSlideOut);
  var ActionSheetMdSlideIn = (function(_super) {
    __extends(ActionSheetMdSlideIn, _super);
    function ActionSheetMdSlideIn(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = enteringView.pageRef().nativeElement;
      var backdrop = new animation_1.Animation(ele.querySelector('ion-backdrop'));
      var wrapper = new animation_1.Animation(ele.querySelector('.action-sheet-wrapper'));
      backdrop.fromTo('opacity', 0.01, 0.26);
      wrapper.fromTo('translateY', '100%', '0%');
      this.easing('cubic-bezier(.36,.66,.04,1)').duration(400).add(backdrop).add(wrapper);
    }
    return ActionSheetMdSlideIn;
  }(transition_1.Transition));
  transition_1.Transition.register('action-sheet-md-slide-in', ActionSheetMdSlideIn);
  var ActionSheetMdSlideOut = (function(_super) {
    __extends(ActionSheetMdSlideOut, _super);
    function ActionSheetMdSlideOut(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = leavingView.pageRef().nativeElement;
      var backdrop = new animation_1.Animation(ele.querySelector('ion-backdrop'));
      var wrapper = new animation_1.Animation(ele.querySelector('.action-sheet-wrapper'));
      backdrop.fromTo('opacity', 0.26, 0);
      wrapper.fromTo('translateY', '0%', '100%');
      this.easing('cubic-bezier(.36,.66,.04,1)').duration(450).add(backdrop).add(wrapper);
    }
    return ActionSheetMdSlideOut;
  }(transition_1.Transition));
  transition_1.Transition.register('action-sheet-md-slide-out', ActionSheetMdSlideOut);
  var ActionSheetWpSlideIn = (function(_super) {
    __extends(ActionSheetWpSlideIn, _super);
    function ActionSheetWpSlideIn(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = enteringView.pageRef().nativeElement;
      var backdrop = new animation_1.Animation(ele.querySelector('ion-backdrop'));
      var wrapper = new animation_1.Animation(ele.querySelector('.action-sheet-wrapper'));
      backdrop.fromTo('opacity', 0.01, 0.16);
      wrapper.fromTo('translateY', '100%', '0%');
      this.easing('cubic-bezier(.36,.66,.04,1)').duration(400).add(backdrop).add(wrapper);
    }
    return ActionSheetWpSlideIn;
  }(transition_1.Transition));
  transition_1.Transition.register('action-sheet-wp-slide-in', ActionSheetWpSlideIn);
  var ActionSheetWpSlideOut = (function(_super) {
    __extends(ActionSheetWpSlideOut, _super);
    function ActionSheetWpSlideOut(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = leavingView.pageRef().nativeElement;
      var backdrop = new animation_1.Animation(ele.querySelector('ion-backdrop'));
      var wrapper = new animation_1.Animation(ele.querySelector('.action-sheet-wrapper'));
      backdrop.fromTo('opacity', 0.1, 0);
      wrapper.fromTo('translateY', '0%', '100%');
      this.easing('cubic-bezier(.36,.66,.04,1)').duration(450).add(backdrop).add(wrapper);
    }
    return ActionSheetWpSlideOut;
  }(transition_1.Transition));
  transition_1.Transition.register('action-sheet-wp-slide-out', ActionSheetWpSlideOut);
  var actionSheetIds = -1;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/action-sheet/action-sheet.js", ["@angular/core", "./action-sheet-component", "../app/app", "../../util/util", "../nav/view-controller"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var action_sheet_component_1 = $__require('./action-sheet-component');
  var app_1 = $__require('../app/app');
  var util_1 = $__require('../../util/util');
  var view_controller_1 = $__require('../nav/view-controller');
  var ActionSheet = (function(_super) {
    __extends(ActionSheet, _super);
    function ActionSheet(app, opts) {
      opts.buttons = opts.buttons || [];
      opts.enableBackdropDismiss = util_1.isPresent(opts.enableBackdropDismiss) ? !!opts.enableBackdropDismiss : true;
      _super.call(this, action_sheet_component_1.ActionSheetCmp, opts);
      this._app = app;
      this.isOverlay = true;
      this.fireOtherLifecycles = false;
    }
    ActionSheet.prototype.getTransitionName = function(direction) {
      var key = 'actionSheet' + (direction === 'back' ? 'Leave' : 'Enter');
      return this._nav && this._nav.config.get(key);
    };
    ActionSheet.prototype.setTitle = function(title) {
      this.data.title = title;
    };
    ActionSheet.prototype.setSubTitle = function(subTitle) {
      this.data.subTitle = subTitle;
    };
    ActionSheet.prototype.addButton = function(button) {
      this.data.buttons.push(button);
    };
    ActionSheet.prototype.present = function(navOptions) {
      if (navOptions === void 0) {
        navOptions = {};
      }
      return this._app.present(this, navOptions);
    };
    ActionSheet.create = function(opt) {
      void 0;
    };
    return ActionSheet;
  }(view_controller_1.ViewController));
  exports.ActionSheet = ActionSheet;
  var ActionSheetController = (function() {
    function ActionSheetController(_app) {
      this._app = _app;
    }
    ActionSheetController.prototype.create = function(opts) {
      if (opts === void 0) {
        opts = {};
      }
      return new ActionSheet(this._app, opts);
    };
    ActionSheetController = __decorate([core_1.Injectable(), __metadata('design:paramtypes', [app_1.App])], ActionSheetController);
    return ActionSheetController;
  }());
  exports.ActionSheetController = ActionSheetController;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/alert/alert-component.js", ["@angular/core", "@angular/common", "@angular/forms", "../../animations/animation", "../backdrop/backdrop", "../../config/config", "../../util/util", "../../util/key", "../nav/nav-params", "../../transitions/transition", "../nav/view-controller"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var common_1 = $__require('@angular/common');
  var forms_1 = $__require('@angular/forms');
  var animation_1 = $__require('../../animations/animation');
  var backdrop_1 = $__require('../backdrop/backdrop');
  var config_1 = $__require('../../config/config');
  var util_1 = $__require('../../util/util');
  var key_1 = $__require('../../util/key');
  var nav_params_1 = $__require('../nav/nav-params');
  var transition_1 = $__require('../../transitions/transition');
  var view_controller_1 = $__require('../nav/view-controller');
  var AlertCmp = (function() {
    function AlertCmp(_viewCtrl, _elementRef, _config, params, renderer) {
      this._viewCtrl = _viewCtrl;
      this._elementRef = _elementRef;
      this._config = _config;
      this.d = params.data;
      if (this.d.cssClass) {
        this.d.cssClass.split(' ').forEach(function(cssClass) {
          if (cssClass.trim() !== '')
            renderer.setElementClass(_elementRef.nativeElement, cssClass, true);
        });
      }
      this.id = (++alertIds);
      this.descId = '';
      this.hdrId = 'alert-hdr-' + this.id;
      this.subHdrId = 'alert-subhdr-' + this.id;
      this.msgId = 'alert-msg-' + this.id;
      this.activeId = '';
      this.lastClick = 0;
      if (this.d.message) {
        this.descId = this.msgId;
      } else if (this.d.subTitle) {
        this.descId = this.subHdrId;
      }
      if (!this.d.message) {
        this.d.message = '';
      }
    }
    AlertCmp.prototype.ionViewLoaded = function() {
      var _this = this;
      var data = this.d;
      data.buttons = data.buttons.map(function(button) {
        if (typeof button === 'string') {
          return {text: button};
        }
        return button;
      });
      data.inputs = data.inputs.map(function(input, index) {
        return {
          type: input.type || 'text',
          name: util_1.isPresent(input.name) ? input.name : index,
          placeholder: util_1.isPresent(input.placeholder) ? input.placeholder : '',
          value: util_1.isPresent(input.value) ? input.value : '',
          label: input.label,
          checked: !!input.checked,
          disabled: !!input.disabled,
          id: 'alert-input-' + _this.id + '-' + index
        };
      });
      var inputTypes = [];
      data.inputs.forEach(function(input) {
        if (inputTypes.indexOf(input.type) < 0) {
          inputTypes.push(input.type);
        }
      });
      if (inputTypes.length > 1 && (inputTypes.indexOf('checkbox') > -1 || inputTypes.indexOf('radio') > -1)) {
        void 0;
      }
      this.inputType = inputTypes.length ? inputTypes[0] : null;
      var checkedInput = this.d.inputs.find(function(input) {
        return input.checked;
      });
      if (checkedInput) {
        this.activeId = checkedInput.id;
      }
    };
    AlertCmp.prototype._keyUp = function(ev) {
      if (this.enabled && this._viewCtrl.isLast()) {
        if (ev.keyCode === key_1.Key.ENTER) {
          if (this.lastClick + 1000 < Date.now()) {
            void 0;
            var button = this.d.buttons[this.d.buttons.length - 1];
            this.btnClick(button);
          }
        } else if (ev.keyCode === key_1.Key.ESCAPE) {
          void 0;
          this.bdClick();
        }
      }
    };
    AlertCmp.prototype.ionViewDidEnter = function() {
      var activeElement = document.activeElement;
      if (document.activeElement) {
        activeElement.blur();
      }
      var focusableEle = this._elementRef.nativeElement.querySelector('input,button');
      if (focusableEle) {
        focusableEle.focus();
      }
      this.enabled = true;
    };
    AlertCmp.prototype.btnClick = function(button, dismissDelay) {
      var _this = this;
      if (!this.enabled) {
        return;
      }
      this.lastClick = Date.now();
      var shouldDismiss = true;
      if (button.handler) {
        if (button.handler(this.getValues()) === false) {
          shouldDismiss = false;
        }
      }
      if (shouldDismiss) {
        setTimeout(function() {
          _this.dismiss(button.role);
        }, dismissDelay || this._config.get('pageTransitionDelay'));
      }
    };
    AlertCmp.prototype.rbClick = function(checkedInput) {
      if (this.enabled) {
        this.d.inputs.forEach(function(input) {
          input.checked = (checkedInput === input);
        });
        this.activeId = checkedInput.id;
      }
    };
    AlertCmp.prototype.cbClick = function(checkedInput) {
      if (this.enabled) {
        checkedInput.checked = !checkedInput.checked;
      }
    };
    AlertCmp.prototype.bdClick = function() {
      if (this.enabled && this.d.enableBackdropDismiss) {
        var cancelBtn = this.d.buttons.find(function(b) {
          return b.role === 'cancel';
        });
        if (cancelBtn) {
          this.btnClick(cancelBtn, 1);
        } else {
          this.dismiss('backdrop');
        }
      }
    };
    AlertCmp.prototype.dismiss = function(role) {
      return this._viewCtrl.dismiss(this.getValues(), role);
    };
    AlertCmp.prototype.getValues = function() {
      if (this.inputType === 'radio') {
        var checkedInput = this.d.inputs.find(function(i) {
          return i.checked;
        });
        return checkedInput ? checkedInput.value : undefined;
      }
      if (this.inputType === 'checkbox') {
        return this.d.inputs.filter(function(i) {
          return i.checked;
        }).map(function(i) {
          return i.value;
        });
      }
      var values = {};
      this.d.inputs.forEach(function(i) {
        values[i.name] = i.value;
      });
      return values;
    };
    __decorate([core_1.HostListener('body:keyup', ['$event']), __metadata('design:type', Function), __metadata('design:paramtypes', [KeyboardEvent]), __metadata('design:returntype', void 0)], AlertCmp.prototype, "_keyUp", null);
    AlertCmp = __decorate([core_1.Component({
      selector: 'ion-alert',
      template: "\n    <ion-backdrop (click)=\"bdClick()\"></ion-backdrop>\n    <div class=\"alert-wrapper\">\n      <div class=\"alert-head\">\n        <h2 id=\"{{hdrId}}\" class=\"alert-title\" *ngIf=\"d.title\" [innerHTML]=\"d.title\"></h2>\n        <h3 id=\"{{subHdrId}}\" class=\"alert-sub-title\" *ngIf=\"d.subTitle\" [innerHTML]=\"d.subTitle\"></h3>\n      </div>\n      <div id=\"{{msgId}}\" class=\"alert-message\" [innerHTML]=\"d.message\"></div>\n      <div *ngIf=\"d.inputs.length\" [ngSwitch]=\"inputType\">\n\n        <template ngSwitchCase=\"radio\">\n          <div class=\"alert-radio-group\" role=\"radiogroup\" [attr.aria-labelledby]=\"hdrId\" [attr.aria-activedescendant]=\"activeId\">\n            <button category=\"alert-radio-button\" *ngFor=\"let i of d.inputs\" (click)=\"rbClick(i)\" [attr.aria-checked]=\"i.checked\" [disabled]=\"i.disabled\" [attr.id]=\"i.id\" class=\"alert-tappable alert-radio\" role=\"radio\">\n              <div class=\"alert-radio-icon\"><div class=\"alert-radio-inner\"></div></div>\n              <div class=\"alert-radio-label\">\n                {{i.label}}\n              </div>\n            </button>\n          </div>\n        </template>\n\n        <template ngSwitchCase=\"checkbox\">\n          <div class=\"alert-checkbox-group\">\n            <button category=\"alert-checkbox-button\" *ngFor=\"let i of d.inputs\" (click)=\"cbClick(i)\" [attr.aria-checked]=\"i.checked\" [disabled]=\"i.disabled\" class=\"alert-tappable alert-checkbox\" role=\"checkbox\">\n              <div class=\"alert-checkbox-icon\"><div class=\"alert-checkbox-inner\"></div></div>\n              <div class=\"alert-checkbox-label\">\n                {{i.label}}\n              </div>\n            </button>\n          </div>\n        </template>\n\n        <template ngSwitchDefault>\n          <div class=\"alert-input-group\">\n            <div *ngFor=\"let i of d.inputs\" class=\"alert-input-wrapper\">\n              <input [placeholder]=\"i.placeholder\" [(ngModel)]=\"i.value\" [type]=\"i.type\" class=\"alert-input\">\n            </div>\n          </div>\n        </template>\n\n      </div>\n      <div class=\"alert-button-group\" [ngClass]=\"{vertical: d.buttons.length>2}\">\n        <button category=\"alert-button\" *ngFor=\"let b of d.buttons\" (click)=\"btnClick(b)\" [ngClass]=\"b.cssClass\">\n          {{b.text}}\n        </button>\n      </div>\n    </div>\n    ",
      directives: [backdrop_1.Backdrop, common_1.NgClass, common_1.NgFor, common_1.NgIf, forms_1.NgModel, common_1.NgSwitch, common_1.NgSwitchCase, common_1.NgSwitchDefault],
      host: {
        'role': 'dialog',
        '[attr.aria-labelledby]': 'hdrId',
        '[attr.aria-describedby]': 'descId'
      },
      encapsulation: core_1.ViewEncapsulation.None
    }), __metadata('design:paramtypes', [view_controller_1.ViewController, core_1.ElementRef, config_1.Config, nav_params_1.NavParams, core_1.Renderer])], AlertCmp);
    return AlertCmp;
  }());
  exports.AlertCmp = AlertCmp;
  var AlertPopIn = (function(_super) {
    __extends(AlertPopIn, _super);
    function AlertPopIn(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = enteringView.pageRef().nativeElement;
      var backdrop = new animation_1.Animation(ele.querySelector('ion-backdrop'));
      var wrapper = new animation_1.Animation(ele.querySelector('.alert-wrapper'));
      wrapper.fromTo('opacity', 0.01, 1).fromTo('scale', 1.1, 1);
      backdrop.fromTo('opacity', 0.01, 0.3);
      this.easing('ease-in-out').duration(200).add(backdrop).add(wrapper);
    }
    return AlertPopIn;
  }(transition_1.Transition));
  transition_1.Transition.register('alert-pop-in', AlertPopIn);
  var AlertPopOut = (function(_super) {
    __extends(AlertPopOut, _super);
    function AlertPopOut(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = leavingView.pageRef().nativeElement;
      var backdrop = new animation_1.Animation(ele.querySelector('ion-backdrop'));
      var wrapper = new animation_1.Animation(ele.querySelector('.alert-wrapper'));
      wrapper.fromTo('opacity', 0.99, 0).fromTo('scale', 1, 0.9);
      backdrop.fromTo('opacity', 0.3, 0);
      this.easing('ease-in-out').duration(200).add(backdrop).add(wrapper);
    }
    return AlertPopOut;
  }(transition_1.Transition));
  transition_1.Transition.register('alert-pop-out', AlertPopOut);
  var AlertMdPopIn = (function(_super) {
    __extends(AlertMdPopIn, _super);
    function AlertMdPopIn(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = enteringView.pageRef().nativeElement;
      var backdrop = new animation_1.Animation(ele.querySelector('ion-backdrop'));
      var wrapper = new animation_1.Animation(ele.querySelector('.alert-wrapper'));
      wrapper.fromTo('opacity', 0.01, 1).fromTo('scale', 1.1, 1);
      backdrop.fromTo('opacity', 0.01, 0.5);
      this.easing('ease-in-out').duration(200).add(backdrop).add(wrapper);
    }
    return AlertMdPopIn;
  }(transition_1.Transition));
  transition_1.Transition.register('alert-md-pop-in', AlertMdPopIn);
  var AlertMdPopOut = (function(_super) {
    __extends(AlertMdPopOut, _super);
    function AlertMdPopOut(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = leavingView.pageRef().nativeElement;
      var backdrop = new animation_1.Animation(ele.querySelector('ion-backdrop'));
      var wrapper = new animation_1.Animation(ele.querySelector('.alert-wrapper'));
      wrapper.fromTo('opacity', 0.99, 0).fromTo('scale', 1, 0.9);
      backdrop.fromTo('opacity', 0.5, 0);
      this.easing('ease-in-out').duration(200).add(backdrop).add(wrapper);
    }
    return AlertMdPopOut;
  }(transition_1.Transition));
  transition_1.Transition.register('alert-md-pop-out', AlertMdPopOut);
  var AlertWpPopIn = (function(_super) {
    __extends(AlertWpPopIn, _super);
    function AlertWpPopIn(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = enteringView.pageRef().nativeElement;
      var backdrop = new animation_1.Animation(ele.querySelector('ion-backdrop'));
      var wrapper = new animation_1.Animation(ele.querySelector('.alert-wrapper'));
      wrapper.fromTo('opacity', 0.01, 1).fromTo('scale', 1.3, 1);
      backdrop.fromTo('opacity', 0.01, 0.5);
      this.easing('cubic-bezier(0,0 0.05,1)').duration(200).add(backdrop).add(wrapper);
    }
    return AlertWpPopIn;
  }(transition_1.Transition));
  transition_1.Transition.register('alert-wp-pop-in', AlertWpPopIn);
  var AlertWpPopOut = (function(_super) {
    __extends(AlertWpPopOut, _super);
    function AlertWpPopOut(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = leavingView.pageRef().nativeElement;
      var backdrop = new animation_1.Animation(ele.querySelector('ion-backdrop'));
      var wrapper = new animation_1.Animation(ele.querySelector('.alert-wrapper'));
      wrapper.fromTo('opacity', 0.99, 0).fromTo('scale', 1, 1.3);
      backdrop.fromTo('opacity', 0.5, 0);
      this.easing('ease-out').duration(150).add(backdrop).add(wrapper);
    }
    return AlertWpPopOut;
  }(transition_1.Transition));
  transition_1.Transition.register('alert-wp-pop-out', AlertWpPopOut);
  var alertIds = -1;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/alert/alert.js", ["@angular/core", "../app/app", "./alert-component", "../../util/util", "../nav/view-controller"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var app_1 = $__require('../app/app');
  var alert_component_1 = $__require('./alert-component');
  var util_1 = $__require('../../util/util');
  var view_controller_1 = $__require('../nav/view-controller');
  var Alert = (function(_super) {
    __extends(Alert, _super);
    function Alert(app, opts) {
      if (opts === void 0) {
        opts = {};
      }
      opts.inputs = opts.inputs || [];
      opts.buttons = opts.buttons || [];
      opts.enableBackdropDismiss = util_1.isPresent(opts.enableBackdropDismiss) ? !!opts.enableBackdropDismiss : true;
      _super.call(this, alert_component_1.AlertCmp, opts);
      this._app = app;
      this.isOverlay = true;
      this.fireOtherLifecycles = false;
    }
    Alert.prototype.getTransitionName = function(direction) {
      var key = (direction === 'back' ? 'alertLeave' : 'alertEnter');
      return this._nav && this._nav.config.get(key);
    };
    Alert.prototype.setTitle = function(title) {
      this.data.title = title;
    };
    Alert.prototype.setSubTitle = function(subTitle) {
      this.data.subTitle = subTitle;
    };
    Alert.prototype.setBody = function(message) {
      void 0;
      this.setMessage(message);
    };
    Alert.prototype.setMessage = function(message) {
      this.data.message = message;
    };
    Alert.prototype.addInput = function(input) {
      this.data.inputs.push(input);
    };
    Alert.prototype.addButton = function(button) {
      this.data.buttons.push(button);
    };
    Alert.prototype.setCssClass = function(cssClass) {
      this.data.cssClass = cssClass;
    };
    Alert.prototype.present = function(navOptions) {
      if (navOptions === void 0) {
        navOptions = {};
      }
      return this._app.present(this, navOptions);
    };
    Alert.create = function(opt) {
      void 0;
    };
    return Alert;
  }(view_controller_1.ViewController));
  exports.Alert = Alert;
  var AlertController = (function() {
    function AlertController(_app) {
      this._app = _app;
    }
    AlertController.prototype.create = function(opts) {
      if (opts === void 0) {
        opts = {};
      }
      return new Alert(this._app, opts);
    };
    AlertController = __decorate([core_1.Injectable(), __metadata('design:paramtypes', [app_1.App])], AlertController);
    return AlertController;
  }());
  exports.AlertController = AlertController;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/select/select.js", ["@angular/core", "@angular/common", "@angular/forms", "../action-sheet/action-sheet", "../alert/alert", "../app/app", "../../util/form", "../../util/util", "../item/item", "../nav/nav-controller", "../option/option"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var common_1 = $__require('@angular/common');
  var forms_1 = $__require('@angular/forms');
  var action_sheet_1 = $__require('../action-sheet/action-sheet');
  var alert_1 = $__require('../alert/alert');
  var app_1 = $__require('../app/app');
  var form_1 = $__require('../../util/form');
  var util_1 = $__require('../../util/util');
  var item_1 = $__require('../item/item');
  var nav_controller_1 = $__require('../nav/nav-controller');
  var option_1 = $__require('../option/option');
  exports.SELECT_VALUE_ACCESSOR = new core_1.Provider(forms_1.NG_VALUE_ACCESSOR, {
    useExisting: core_1.forwardRef(function() {
      return Select;
    }),
    multi: true
  });
  var Select = (function() {
    function Select(_app, _form, _elementRef, _renderer, _item, _nav) {
      this._app = _app;
      this._form = _form;
      this._elementRef = _elementRef;
      this._renderer = _renderer;
      this._item = _item;
      this._nav = _nav;
      this._disabled = false;
      this._multi = false;
      this._values = [];
      this._texts = [];
      this._text = '';
      this._isOpen = false;
      this.cancelText = 'Cancel';
      this.okText = 'OK';
      this.alertOptions = {};
      this.interface = '';
      this.selectedText = '';
      this.ionChange = new core_1.EventEmitter();
      this.ionCancel = new core_1.EventEmitter();
      this._form.register(this);
      if (_item) {
        this.id = 'sel-' + _item.registerInput('select');
        this._labelId = 'lbl-' + _item.id;
        this._item.setCssClass('item-select', true);
      }
    }
    Select.prototype._click = function(ev) {
      if (ev.detail === 0) {
        return;
      }
      ev.preventDefault();
      ev.stopPropagation();
      this.open();
    };
    Select.prototype._keyup = function() {
      if (!this._isOpen) {
        this.open();
      }
    };
    Select.prototype.open = function() {
      var _this = this;
      if (this._disabled) {
        return;
      }
      void 0;
      var alertOptions = util_1.merge({}, this.alertOptions);
      alertOptions.buttons = [{
        text: this.cancelText,
        role: 'cancel',
        handler: function() {
          _this.ionCancel.emit(null);
        }
      }];
      if (!alertOptions.title && this._item) {
        alertOptions.title = this._item.getLabelText();
      }
      var options = this._options.toArray();
      if (this.interface === 'action-sheet' && options.length > 6) {
        void 0;
        this.interface = 'alert';
      }
      if (this.interface === 'action-sheet' && this._multi) {
        void 0;
        this.interface = 'alert';
      }
      var overlay;
      if (this.interface === 'action-sheet') {
        alertOptions.buttons = alertOptions.buttons.concat(options.map(function(input) {
          return {
            role: (input.selected ? 'selected' : ''),
            text: input.text,
            handler: function() {
              _this.onChange(input.value);
              _this.ionChange.emit(input.value);
            }
          };
        }));
        alertOptions.cssClass = 'select-action-sheet';
        overlay = new action_sheet_1.ActionSheet(this._app, alertOptions);
      } else {
        this.interface = 'alert';
        alertOptions.inputs = this._options.map(function(input) {
          return {
            type: (_this._multi ? 'checkbox' : 'radio'),
            label: input.text,
            value: input.value,
            checked: input.selected,
            disabled: input.disabled
          };
        });
        var selectCssClass = 'select-alert';
        overlay = new alert_1.Alert(this._app, alertOptions);
        if (this._multi) {
          selectCssClass += ' multiple-select-alert';
        } else {
          selectCssClass += ' single-select-alert';
        }
        selectCssClass += alertOptions.cssClass ? ' ' + alertOptions.cssClass : '';
        overlay.setCssClass(selectCssClass);
        overlay.addButton({
          text: this.okText,
          handler: function(selectedValues) {
            _this.onChange(selectedValues);
            _this.ionChange.emit(selectedValues);
          }
        });
      }
      overlay.present(alertOptions);
      this._isOpen = true;
      overlay.onDidDismiss(function() {
        _this._isOpen = false;
      });
    };
    Object.defineProperty(Select.prototype, "multiple", {
      get: function() {
        return this._multi;
      },
      set: function(val) {
        this._multi = util_1.isTrueProperty(val);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Select.prototype, "text", {
      get: function() {
        return (this._multi ? this._texts : this._texts.join());
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Select.prototype, "options", {
      set: function(val) {
        this._options = val;
        if (!this._values.length) {
          this._values = val.filter(function(o) {
            return o.selected;
          }).map(function(o) {
            return o.value;
          });
        }
        this._updOpts();
      },
      enumerable: true,
      configurable: true
    });
    Select.prototype._updOpts = function() {
      var _this = this;
      this._texts = [];
      if (this._options) {
        this._options.forEach(function(option) {
          option.selected = _this._values.some(function(selectValue) {
            return util_1.isCheckedProperty(selectValue, option.value);
          });
          if (option.selected) {
            _this._texts.push(option.text);
          }
        });
      }
      this._text = this._texts.join(', ');
    };
    Object.defineProperty(Select.prototype, "disabled", {
      get: function() {
        return this._disabled;
      },
      set: function(val) {
        this._disabled = util_1.isTrueProperty(val);
        this._item && this._item.setCssClass('item-select-disabled', this._disabled);
      },
      enumerable: true,
      configurable: true
    });
    Select.prototype.writeValue = function(val) {
      void 0;
      this._values = (Array.isArray(val) ? val : util_1.isBlank(val) ? [] : [val]);
      this._updOpts();
    };
    Select.prototype.ngAfterContentInit = function() {
      this._updOpts();
    };
    Select.prototype.registerOnChange = function(fn) {
      var _this = this;
      this._fn = fn;
      this.onChange = function(val) {
        void 0;
        fn(val);
        _this._values = (Array.isArray(val) ? val : util_1.isBlank(val) ? [] : [val]);
        _this._updOpts();
        _this.onTouched();
      };
    };
    Select.prototype.registerOnTouched = function(fn) {
      this.onTouched = fn;
    };
    Select.prototype.onChange = function(val) {
      void 0;
      this._values = (Array.isArray(val) ? val : util_1.isBlank(val) ? [] : [val]);
      this._updOpts();
      this.onTouched();
    };
    Select.prototype.onTouched = function() {};
    Select.prototype.ngOnDestroy = function() {
      this._form.deregister(this);
    };
    __decorate([core_1.Input(), __metadata('design:type', String)], Select.prototype, "cancelText", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], Select.prototype, "okText", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], Select.prototype, "placeholder", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Object)], Select.prototype, "alertOptions", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], Select.prototype, "interface", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], Select.prototype, "selectedText", void 0);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], Select.prototype, "ionChange", void 0);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], Select.prototype, "ionCancel", void 0);
    __decorate([core_1.HostListener('click', ['$event']), __metadata('design:type', Function), __metadata('design:paramtypes', [UIEvent]), __metadata('design:returntype', void 0)], Select.prototype, "_click", null);
    __decorate([core_1.HostListener('keyup.space'), __metadata('design:type', Function), __metadata('design:paramtypes', []), __metadata('design:returntype', void 0)], Select.prototype, "_keyup", null);
    __decorate([core_1.Input(), __metadata('design:type', Object)], Select.prototype, "multiple", null);
    __decorate([core_1.ContentChildren(option_1.Option), __metadata('design:type', core_1.QueryList), __metadata('design:paramtypes', [core_1.QueryList])], Select.prototype, "options", null);
    __decorate([core_1.Input(), __metadata('design:type', Object)], Select.prototype, "disabled", null);
    Select = __decorate([core_1.Component({
      selector: 'ion-select',
      template: "\n    <div *ngIf=\"!_text\" class=\"select-placeholder select-text\">{{placeholder}}</div>\n    <div *ngIf=\"_text\" class=\"select-text\">{{selectedText || _text}}</div>\n    <div class=\"select-icon\">\n      <div class=\"select-icon-inner\"></div>\n    </div>\n    <button aria-haspopup=\"true\"\n            [id]=\"id\"\n            category=\"item-cover\"\n            [attr.aria-labelledby]=\"_labelId\"\n            [attr.aria-disabled]=\"_disabled\"\n            class=\"item-cover\">\n    </button>\n  ",
      directives: [common_1.NgIf],
      host: {'[class.select-disabled]': '_disabled'},
      providers: [exports.SELECT_VALUE_ACCESSOR],
      encapsulation: core_1.ViewEncapsulation.None
    }), __param(4, core_1.Optional()), __param(5, core_1.Optional()), __metadata('design:paramtypes', [app_1.App, form_1.Form, core_1.ElementRef, core_1.Renderer, item_1.Item, nav_controller_1.NavController])], Select);
    return Select;
  }());
  exports.Select = Select;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/option/option.js", ["@angular/core", "../../util/util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var util_1 = $__require('../../util/util');
  var Option = (function() {
    function Option(_elementRef) {
      this._elementRef = _elementRef;
      this._selected = false;
      this._disabled = false;
      this.ionSelect = new core_1.EventEmitter();
    }
    Object.defineProperty(Option.prototype, "selected", {
      get: function() {
        return this._selected;
      },
      set: function(val) {
        this._selected = util_1.isTrueProperty(val);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Option.prototype, "value", {
      get: function() {
        if (util_1.isPresent(this._value)) {
          return this._value;
        }
        return this.text;
      },
      set: function(val) {
        this._value = val;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Option.prototype, "disabled", {
      get: function() {
        return this._disabled;
      },
      set: function(val) {
        this._disabled = util_1.isTrueProperty(val);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Option.prototype, "text", {
      get: function() {
        return this._elementRef.nativeElement.textContent;
      },
      enumerable: true,
      configurable: true
    });
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], Option.prototype, "ionSelect", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Object)], Option.prototype, "selected", null);
    __decorate([core_1.Input(), __metadata('design:type', Object)], Option.prototype, "value", null);
    __decorate([core_1.Input(), __metadata('design:type', Object)], Option.prototype, "disabled", null);
    Option = __decorate([core_1.Directive({selector: 'ion-option'}), __metadata('design:paramtypes', [core_1.ElementRef])], Option);
    return Option;
  }());
  exports.Option = Option;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/datetime/datetime.js", ["@angular/core", "@angular/forms", "../../config/config", "../picker/picker", "../../util/form", "../item/item", "../../util/util", "../../util/datetime-util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var forms_1 = $__require('@angular/forms');
  var config_1 = $__require('../../config/config');
  var picker_1 = $__require('../picker/picker');
  var form_1 = $__require('../../util/form');
  var item_1 = $__require('../item/item');
  var util_1 = $__require('../../util/util');
  var datetime_util_1 = $__require('../../util/datetime-util');
  exports.DATETIME_VALUE_ACCESSOR = new core_1.Provider(forms_1.NG_VALUE_ACCESSOR, {
    useExisting: core_1.forwardRef(function() {
      return DateTime;
    }),
    multi: true
  });
  var DateTime = (function() {
    function DateTime(_form, _config, _item, _pickerCtrl) {
      this._form = _form;
      this._config = _config;
      this._item = _item;
      this._pickerCtrl = _pickerCtrl;
      this._disabled = false;
      this._text = '';
      this._isOpen = false;
      this._value = {};
      this._locale = {};
      this.displayFormat = 'MMM D, YYYY';
      this.cancelText = 'Cancel';
      this.doneText = 'Done';
      this.pickerOptions = {};
      this.ionChange = new core_1.EventEmitter();
      this.ionCancel = new core_1.EventEmitter();
      this._form.register(this);
      if (_item) {
        this.id = 'dt-' + _item.registerInput('datetime');
        this._labelId = 'lbl-' + _item.id;
        this._item.setCssClass('item-datetime', true);
      }
    }
    DateTime.prototype._click = function(ev) {
      if (ev.detail === 0) {
        return;
      }
      ev.preventDefault();
      ev.stopPropagation();
      this.open();
    };
    DateTime.prototype._keyup = function() {
      if (!this._isOpen) {
        this.open();
      }
    };
    DateTime.prototype.open = function() {
      var _this = this;
      if (this._disabled) {
        return;
      }
      void 0;
      var pickerOptions = util_1.merge({}, this.pickerOptions);
      var picker = this._pickerCtrl.create(pickerOptions);
      pickerOptions.buttons = [{
        text: this.cancelText,
        role: 'cancel',
        handler: function() {
          _this.ionCancel.emit(null);
        }
      }, {
        text: this.doneText,
        handler: function(data) {
          void 0;
          _this.onChange(data);
          _this.ionChange.emit(data);
        }
      }];
      this.generate(picker);
      this.validate(picker);
      picker.ionChange.subscribe(function() {
        _this.validate(picker);
      });
      picker.present(pickerOptions);
      this._isOpen = true;
      picker.onDidDismiss(function() {
        _this._isOpen = false;
      });
    };
    DateTime.prototype.generate = function(picker) {
      var _this = this;
      var template = this.pickerFormat || this.displayFormat;
      if (util_1.isPresent(template)) {
        this.calcMinMax();
        template = template.replace('DDDD', '{~}').replace('DDD', '{~}');
        if (template.indexOf('D') === -1) {
          template = template.replace('{~}', 'D');
        }
        template = template.replace(/{~}/g, '');
        datetime_util_1.parseTemplate(template).forEach(function(format) {
          var key = datetime_util_1.convertFormatToKey(format);
          var values;
          if (util_1.isPresent(_this[key + 'Values'])) {
            values = convertToArrayOfNumbers(_this[key + 'Values'], key);
          } else {
            values = datetime_util_1.dateValueRange(format, _this._min, _this._max);
          }
          var column = {
            name: key,
            options: values.map(function(val) {
              return {
                value: val,
                text: datetime_util_1.renderTextFormat(format, val, null, _this._locale)
              };
            })
          };
          if (column.options.length) {
            var selected = column.options.find(function(opt) {
              return opt.value === datetime_util_1.getValueFromFormat(_this._value, format);
            });
            if (selected) {
              column.selectedIndex = column.options.indexOf(selected);
            }
            picker.addColumn(column);
          }
        });
        this.divyColumns(picker);
      }
    };
    DateTime.prototype.validate = function(picker) {
      var i;
      var today = new Date();
      var columns = picker.getColumns();
      var yearCol = columns.find(function(col) {
        return col.name === 'year';
      });
      var monthCol = columns.find(function(col) {
        return col.name === 'month';
      });
      var dayCol = columns.find(function(col) {
        return col.name === 'day';
      });
      var yearOpt;
      var monthOpt;
      var dayOpt;
      var selectedYear = today.getFullYear();
      if (yearCol) {
        yearOpt = yearCol.options[yearCol.selectedIndex];
        if (yearOpt) {
          selectedYear = yearOpt.value;
        }
      }
      var numDaysInMonth = 31;
      var selectedMonth;
      if (monthCol) {
        monthOpt = monthCol.options[monthCol.selectedIndex];
        if (monthOpt) {
          selectedMonth = monthOpt.value;
          numDaysInMonth = datetime_util_1.daysInMonth(selectedMonth, selectedYear);
        }
      }
      var minCompareVal = datetime_util_1.dateDataSortValue(this._min);
      var maxCompareVal = datetime_util_1.dateDataSortValue(this._max);
      if (monthCol) {
        for (i = 0; i < monthCol.options.length; i++) {
          monthOpt = monthCol.options[i];
          monthOpt.disabled = (datetime_util_1.dateSortValue(selectedYear, monthOpt.value, 31) < minCompareVal || datetime_util_1.dateSortValue(selectedYear, monthOpt.value, 1) > maxCompareVal);
        }
      }
      if (dayCol) {
        if (util_1.isPresent(selectedMonth)) {
          for (i = 0; i < 31; i++) {
            dayOpt = dayCol.options[i];
            var compareVal = datetime_util_1.dateSortValue(selectedYear, selectedMonth, dayOpt.value);
            dayOpt.disabled = (compareVal < minCompareVal || compareVal > maxCompareVal || numDaysInMonth <= i);
          }
        } else {
          for (i = 0; i < 31; i++) {
            dayCol.options[i].disabled = (numDaysInMonth <= i);
          }
        }
      }
      picker.refresh();
    };
    DateTime.prototype.divyColumns = function(picker) {
      var pickerColumns = picker.getColumns();
      var columns = [];
      pickerColumns.forEach(function(col, i) {
        columns.push(0);
        col.options.forEach(function(opt) {
          if (opt.text.length > columns[i]) {
            columns[i] = opt.text.length;
          }
        });
      });
      if (columns.length === 2) {
        var width = Math.max(columns[0], columns[1]);
        pickerColumns[0].columnWidth = pickerColumns[1].columnWidth = width * 16 + "px";
      } else if (columns.length === 3) {
        var width = Math.max(columns[0], columns[2]);
        pickerColumns[1].columnWidth = columns[1] * 16 + "px";
        pickerColumns[0].columnWidth = pickerColumns[2].columnWidth = width * 16 + "px";
      } else if (columns.length > 3) {
        columns.forEach(function(col, i) {
          pickerColumns[i].columnWidth = col * 12 + "px";
        });
      }
    };
    DateTime.prototype.setValue = function(newData) {
      datetime_util_1.updateDate(this._value, newData);
    };
    DateTime.prototype.getValue = function() {
      return this._value;
    };
    DateTime.prototype.checkHasValue = function(inputValue) {
      if (this._item) {
        this._item.setCssClass('input-has-value', !!(inputValue && inputValue !== ''));
      }
    };
    DateTime.prototype.updateText = function() {
      this._text = datetime_util_1.renderDateTime(this.displayFormat, this._value, this._locale);
    };
    DateTime.prototype.calcMinMax = function() {
      var todaysYear = new Date().getFullYear();
      if (util_1.isBlank(this.min)) {
        if (util_1.isPresent(this.yearValues)) {
          this.min = Math.min.apply(Math, convertToArrayOfNumbers(this.yearValues, 'year'));
        } else {
          this.min = (todaysYear - 100).toString();
        }
      }
      if (util_1.isBlank(this.max)) {
        if (util_1.isPresent(this.yearValues)) {
          this.max = Math.max.apply(Math, convertToArrayOfNumbers(this.yearValues, 'year'));
        } else {
          this.max = todaysYear.toString();
        }
      }
      var min = this._min = datetime_util_1.parseDate(this.min);
      var max = this._max = datetime_util_1.parseDate(this.max);
      min.month = min.month || 1;
      min.day = min.day || 1;
      min.hour = min.hour || 0;
      min.minute = min.minute || 0;
      min.second = min.second || 0;
      max.month = max.month || 12;
      max.day = max.day || 31;
      max.hour = max.hour || 23;
      max.minute = max.minute || 59;
      max.second = max.second || 59;
    };
    Object.defineProperty(DateTime.prototype, "disabled", {
      get: function() {
        return this._disabled;
      },
      set: function(val) {
        this._disabled = util_1.isTrueProperty(val);
        this._item && this._item.setCssClass('item-datetime-disabled', this._disabled);
      },
      enumerable: true,
      configurable: true
    });
    DateTime.prototype.writeValue = function(val) {
      void 0;
      this.setValue(val);
      this.updateText();
      this.checkHasValue(val);
    };
    DateTime.prototype.ngAfterContentInit = function() {
      var _this = this;
      ['monthNames', 'monthShortNames', 'dayNames', 'dayShortNames'].forEach(function(type) {
        _this._locale[type] = convertToArrayOfStrings(util_1.isPresent(_this[type]) ? _this[type] : _this._config.get(type), type);
      });
      this.updateText();
    };
    DateTime.prototype.registerOnChange = function(fn) {
      var _this = this;
      this._fn = fn;
      this.onChange = function(val) {
        void 0;
        _this.setValue(val);
        _this.updateText();
        _this.checkHasValue(val);
        fn(datetime_util_1.convertDataToISO(_this._value));
        _this.onTouched();
      };
    };
    DateTime.prototype.registerOnTouched = function(fn) {
      this.onTouched = fn;
    };
    DateTime.prototype.onChange = function(val) {
      void 0;
      this.setValue(val);
      this.updateText();
      this.onTouched();
    };
    DateTime.prototype.onTouched = function() {};
    DateTime.prototype.ngOnDestroy = function() {
      this._form.deregister(this);
    };
    __decorate([core_1.Input(), __metadata('design:type', String)], DateTime.prototype, "min", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], DateTime.prototype, "max", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], DateTime.prototype, "displayFormat", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], DateTime.prototype, "pickerFormat", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], DateTime.prototype, "cancelText", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], DateTime.prototype, "doneText", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Object)], DateTime.prototype, "yearValues", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Object)], DateTime.prototype, "monthValues", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Object)], DateTime.prototype, "dayValues", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Object)], DateTime.prototype, "hourValues", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Object)], DateTime.prototype, "minuteValues", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Object)], DateTime.prototype, "monthNames", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Object)], DateTime.prototype, "monthShortNames", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Object)], DateTime.prototype, "dayNames", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Object)], DateTime.prototype, "dayShortNames", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Object)], DateTime.prototype, "pickerOptions", void 0);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], DateTime.prototype, "ionChange", void 0);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], DateTime.prototype, "ionCancel", void 0);
    __decorate([core_1.HostListener('click', ['$event']), __metadata('design:type', Function), __metadata('design:paramtypes', [UIEvent]), __metadata('design:returntype', void 0)], DateTime.prototype, "_click", null);
    __decorate([core_1.HostListener('keyup.space'), __metadata('design:type', Function), __metadata('design:paramtypes', []), __metadata('design:returntype', void 0)], DateTime.prototype, "_keyup", null);
    __decorate([core_1.Input(), __metadata('design:type', Object)], DateTime.prototype, "disabled", null);
    DateTime = __decorate([core_1.Component({
      selector: 'ion-datetime',
      template: "\n    <div class=\"datetime-text\">{{_text}}</div>\n    <button aria-haspopup=\"true\"\n            type=\"button\"\n            [id]=\"id\"\n            category=\"item-cover\"\n            [attr.aria-labelledby]=\"_labelId\"\n            [attr.aria-disabled]=\"_disabled\"\n            class=\"item-cover\">\n    </button>\n  ",
      host: {'[class.datetime-disabled]': '_disabled'},
      providers: [exports.DATETIME_VALUE_ACCESSOR],
      encapsulation: core_1.ViewEncapsulation.None
    }), __param(2, core_1.Optional()), __param(3, core_1.Optional()), __metadata('design:paramtypes', [form_1.Form, config_1.Config, item_1.Item, picker_1.PickerController])], DateTime);
    return DateTime;
  }());
  exports.DateTime = DateTime;
  function convertToArrayOfNumbers(input, type) {
    var values = [];
    if (util_1.isString(input)) {
      input = input.replace(/\[|\]|\s/g, '').split(',');
    }
    if (util_1.isArray(input)) {
      input.forEach(function(num) {
        num = parseInt(num, 10);
        if (!isNaN(num)) {
          values.push(num);
        }
      });
    }
    if (!values.length) {
      void 0;
    }
    return values;
  }
  function convertToArrayOfStrings(input, type) {
    if (util_1.isPresent(input)) {
      var values = [];
      if (util_1.isString(input)) {
        input = input.replace(/\[|\]/g, '').split(',');
      }
      if (util_1.isArray(input)) {
        input.forEach(function(val) {
          val = val.trim();
          if (val) {
            values.push(val);
          }
        });
      }
      if (!values.length) {
        void 0;
      }
      return values;
    }
  }
  return module.exports;
});

System.registerDynamic("ionic-angular/components/toggle/toggle.js", ["@angular/core", "@angular/forms", "../../util/form", "../../util/util", "../item/item", "../../util/dom", "../../util/ui-event-manager"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var forms_1 = $__require('@angular/forms');
  var form_1 = $__require('../../util/form');
  var util_1 = $__require('../../util/util');
  var item_1 = $__require('../item/item');
  var dom_1 = $__require('../../util/dom');
  var ui_event_manager_1 = $__require('../../util/ui-event-manager');
  exports.TOGGLE_VALUE_ACCESSOR = new core_1.Provider(forms_1.NG_VALUE_ACCESSOR, {
    useExisting: core_1.forwardRef(function() {
      return Toggle;
    }),
    multi: true
  });
  var Toggle = (function() {
    function Toggle(_form, _elementRef, _renderer, _item) {
      this._form = _form;
      this._elementRef = _elementRef;
      this._renderer = _renderer;
      this._item = _item;
      this._checked = false;
      this._disabled = false;
      this._activated = false;
      this._msPrv = 0;
      this._events = new ui_event_manager_1.UIEventManager();
      this.ionChange = new core_1.EventEmitter();
      this._form.register(this);
      if (_item) {
        this.id = 'tgl-' + _item.registerInput('toggle');
        this._labelId = 'lbl-' + _item.id;
        this._item.setCssClass('item-toggle', true);
      }
    }
    Toggle.prototype.pointerDown = function(ev) {
      this._startX = dom_1.pointerCoord(ev).x;
      this._activated = true;
      return true;
    };
    Toggle.prototype.pointerMove = function(ev) {
      if (this._startX) {
        var currentX = dom_1.pointerCoord(ev).x;
        void 0;
        if (this._checked) {
          if (currentX + 15 < this._startX) {
            this.onChange(false);
            this._startX = currentX;
            this._activated = true;
          }
        } else if (currentX - 15 > this._startX) {
          this.onChange(true);
          this._startX = currentX;
          this._activated = (currentX < this._startX + 5);
        }
      }
    };
    Toggle.prototype.pointerUp = function(ev) {
      if (this._startX) {
        var endX = dom_1.pointerCoord(ev).x;
        if (this.checked) {
          if (this._startX + 4 > endX) {
            this.onChange(false);
          }
        } else if (this._startX - 4 < endX) {
          this.onChange(true);
        }
        this._activated = false;
        this._startX = null;
      }
    };
    Object.defineProperty(Toggle.prototype, "checked", {
      get: function() {
        return this._checked;
      },
      set: function(val) {
        this._setChecked(util_1.isTrueProperty(val));
        this.onChange(this._checked);
      },
      enumerable: true,
      configurable: true
    });
    Toggle.prototype._setChecked = function(isChecked) {
      if (isChecked !== this._checked) {
        this._checked = isChecked;
        if (this._init) {
          this.ionChange.emit(this);
        }
        this._item && this._item.setCssClass('item-toggle-checked', isChecked);
      }
    };
    Toggle.prototype.writeValue = function(val) {
      this._setChecked(util_1.isTrueProperty(val));
    };
    Toggle.prototype.registerOnChange = function(fn) {
      var _this = this;
      this._fn = fn;
      this.onChange = function(isChecked) {
        void 0;
        fn(isChecked);
        _this._setChecked(isChecked);
        _this.onTouched();
      };
    };
    Toggle.prototype.registerOnTouched = function(fn) {
      this.onTouched = fn;
    };
    Object.defineProperty(Toggle.prototype, "disabled", {
      get: function() {
        return this._disabled;
      },
      set: function(val) {
        this._disabled = util_1.isTrueProperty(val);
        this._item && this._item.setCssClass('item-toggle-disabled', this._disabled);
      },
      enumerable: true,
      configurable: true
    });
    Toggle.prototype.onChange = function(isChecked) {
      void 0;
      this._setChecked(isChecked);
      this.onTouched();
    };
    Toggle.prototype.onTouched = function() {};
    Toggle.prototype.ngAfterContentInit = function() {
      this._init = true;
      this._events.pointerEvents({
        elementRef: this._elementRef,
        pointerDown: this.pointerDown.bind(this),
        pointerMove: this.pointerMove.bind(this),
        pointerUp: this.pointerUp.bind(this)
      });
    };
    Toggle.prototype.ngOnDestroy = function() {
      this._form.deregister(this);
      this._events.unlistenAll();
    };
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], Toggle.prototype, "ionChange", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Boolean)], Toggle.prototype, "checked", null);
    __decorate([core_1.Input(), __metadata('design:type', Boolean)], Toggle.prototype, "disabled", null);
    Toggle = __decorate([core_1.Component({
      selector: 'ion-toggle',
      template: "\n    <div class=\"toggle-icon\" [class.toggle-checked]=\"_checked\" [class.toggle-activated]=\"_activated\">\n      <div class=\"toggle-inner\"></div>\n    </div>\n    <button role=\"checkbox\"\n            type=\"button\"\n            category=\"item-cover\"\n            [id]=\"id\"\n            [attr.aria-checked]=\"_checked\"\n            [attr.aria-labelledby]=\"_labelId\"\n            [attr.aria-disabled]=\"_disabled\"\n            class=\"item-cover\">\n    </button>\n  ",
      host: {'[class.toggle-disabled]': '_disabled'},
      providers: [exports.TOGGLE_VALUE_ACCESSOR],
      encapsulation: core_1.ViewEncapsulation.None
    }), __param(3, core_1.Optional()), __metadata('design:paramtypes', [form_1.Form, core_1.ElementRef, core_1.Renderer, item_1.Item])], Toggle);
    return Toggle;
  }());
  exports.Toggle = Toggle;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/input/input-base.js", ["@angular/core", "../../util/dom", "../../util/util", "./native-input"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var dom_1 = $__require('../../util/dom');
  var util_1 = $__require('../../util/util');
  var native_input_1 = $__require('./native-input');
  var InputBase = (function() {
    function InputBase(config, _form, _item, _app, _platform, _elementRef, _scrollView, nav, ngControl) {
      this._form = _form;
      this._item = _item;
      this._app = _app;
      this._platform = _platform;
      this._elementRef = _elementRef;
      this._scrollView = _scrollView;
      this._disabled = false;
      this._type = 'text';
      this._value = '';
      this.placeholder = '';
      this.blur = new core_1.EventEmitter();
      this.focus = new core_1.EventEmitter();
      this._nav = nav;
      this._useAssist = config.getBoolean('scrollAssist', false);
      this._usePadding = config.getBoolean('scrollPadding', this._useAssist);
      this._keyboardHeight = config.getNumber('keyboardHeight');
      this._autoFocusAssist = config.get('autoFocusAssist', 'delay');
      this._autoComplete = config.get('autocomplete', 'off');
      this._autoCorrect = config.get('autocorrect', 'off');
      if (ngControl) {
        ngControl.valueAccessor = this;
        this.inputControl = ngControl;
      }
      _form.register(this);
    }
    InputBase.prototype.ngOnInit = function() {
      if (this._item) {
        this._item.setCssClass('item-input', true);
        this._item.registerInput(this._type);
      }
      var clearInput = this.clearInput;
      if (typeof clearInput === 'string') {
        this.clearInput = (clearInput === '' || clearInput === 'true');
      }
    };
    InputBase.prototype.ngAfterContentInit = function() {
      var self = this;
      self._scrollMove = function(ev) {
        if (!(self._nav && self._nav.isTransitioning())) {
          self.deregScrollMove();
          if (self.hasFocus()) {
            self._native.hideFocus(true);
            self._scrollView.onScrollEnd(function() {
              self._native.hideFocus(false);
              if (self.hasFocus()) {
                self.regScrollMove();
              }
            });
          }
        }
      };
      this.setItemInputControlCss();
    };
    InputBase.prototype.ngAfterContentChecked = function() {
      this.setItemInputControlCss();
    };
    InputBase.prototype.setItemInputControlCss = function() {
      var item = this._item;
      var nativeInput = this._native;
      var inputControl = this.inputControl;
      if (item && inputControl) {
        this.setControlCss(item, inputControl);
      }
      if (nativeInput && inputControl) {
        this.setControlCss(nativeInput, inputControl);
      }
    };
    InputBase.prototype.setControlCss = function(element, control) {
      element.setCssClass('ng-untouched', control.untouched);
      element.setCssClass('ng-touched', control.touched);
      element.setCssClass('ng-pristine', control.pristine);
      element.setCssClass('ng-dirty', control.dirty);
      element.setCssClass('ng-valid', control.valid);
      element.setCssClass('ng-invalid', !control.valid);
    };
    InputBase.prototype.ngOnDestroy = function() {
      this._form.deregister(this);
    };
    Object.defineProperty(InputBase.prototype, "value", {
      get: function() {
        return this._value;
      },
      set: function(val) {
        this._value = val;
        this.checkHasValue(val);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(InputBase.prototype, "type", {
      get: function() {
        return this._type;
      },
      set: function(val) {
        this._type = 'text';
        if (val) {
          val = val.toLowerCase();
          if (/password|email|number|search|tel|url|date|month|time|week/.test(val)) {
            this._type = val;
          }
        }
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(InputBase.prototype, "disabled", {
      get: function() {
        return this._disabled;
      },
      set: function(val) {
        this._disabled = util_1.isTrueProperty(val);
        this._item && this._item.setCssClass('item-input-disabled', this._disabled);
        this._native && this._native.isDisabled(this._disabled);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(InputBase.prototype, "_nativeInput", {
      set: function(nativeInput) {
        var _this = this;
        this._native = nativeInput;
        if (this._item && this._item.labelId !== null) {
          nativeInput.labelledBy(this._item.labelId);
        }
        nativeInput.valueChange.subscribe(function(inputValue) {
          _this.onChange(inputValue);
        });
        this.focusChange(this.hasFocus());
        nativeInput.focusChange.subscribe(function(textInputHasFocus) {
          _this.focusChange(textInputHasFocus);
          _this.checkHasValue(nativeInput.getValue());
          if (!textInputHasFocus) {
            _this.onTouched(textInputHasFocus);
          }
        });
        this.checkHasValue(nativeInput.getValue());
        this.disabled = this._disabled;
        var ionInputEle = this._elementRef.nativeElement;
        var nativeInputEle = nativeInput.element();
        dom_1.copyInputAttributes(ionInputEle, nativeInputEle);
        if (ionInputEle.hasAttribute('autofocus')) {
          ionInputEle.removeAttribute('autofocus');
          if (this._autoFocusAssist === 'immediate') {
            nativeInputEle.focus();
          } else if (this._autoFocusAssist === 'delay') {
            setTimeout(function() {
              nativeInputEle.focus();
            }, 650);
          }
        }
        if (ionInputEle.hasAttribute('autocomplete')) {
          this._autoComplete = ionInputEle.getAttribute('autocomplete');
        }
        nativeInputEle.setAttribute('autocomplete', this._autoComplete);
        if (ionInputEle.hasAttribute('autocorrect')) {
          this._autoCorrect = ionInputEle.getAttribute('autocorrect');
        }
        nativeInputEle.setAttribute('autocorrect', this._autoCorrect);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(InputBase.prototype, "_nextInput", {
      set: function(nextInput) {
        var _this = this;
        if (nextInput) {
          nextInput.focused.subscribe(function() {
            _this._form.tabFocus(_this);
          });
        }
      },
      enumerable: true,
      configurable: true
    });
    InputBase.prototype.writeValue = function(val) {
      this._value = val;
      this.checkHasValue(val);
    };
    InputBase.prototype.onChange = function(val) {
      this.checkHasValue(val);
    };
    InputBase.prototype.onTouched = function(val) {};
    InputBase.prototype.hasFocus = function() {
      return this._native.hasFocus();
    };
    InputBase.prototype.checkHasValue = function(inputValue) {
      if (this._item) {
        this._item.setCssClass('input-has-value', !!(inputValue && inputValue !== ''));
      }
    };
    InputBase.prototype.focusChange = function(inputHasFocus) {
      if (this._item) {
        this._item.setCssClass('input-has-focus', inputHasFocus);
      }
      if (!inputHasFocus) {
        this.deregScrollMove();
      }
    };
    InputBase.prototype.pointerStart = function(ev) {
      void 0;
      if (ev.type === 'touchstart') {
        this._isTouch = true;
      }
      if ((this._isTouch || (!this._isTouch && ev.type === 'mousedown')) && this._app.isEnabled()) {
        this._coord = dom_1.pointerCoord(ev);
      }
    };
    InputBase.prototype.pointerEnd = function(ev) {
      void 0;
      if ((this._isTouch && ev.type === 'mouseup') || !this._app.isEnabled()) {
        ev.preventDefault();
        ev.stopPropagation();
      } else if (this._coord) {
        var endCoord = dom_1.pointerCoord(ev);
        if (!dom_1.hasPointerMoved(8, this._coord, endCoord) && !this.hasFocus()) {
          ev.preventDefault();
          ev.stopPropagation();
          void 0;
          this.initFocus();
        }
      }
      this._coord = null;
    };
    InputBase.prototype.initFocus = function() {
      var _this = this;
      var scrollView = this._scrollView;
      if (scrollView) {
        var ele = this._elementRef.nativeElement;
        ele = dom_1.closest(ele, 'ion-item,[ion-item]') || ele;
        var scrollData = InputBase.getScrollData(ele.offsetTop, ele.offsetHeight, scrollView.getContentDimensions(), this._keyboardHeight, this._platform.height());
        if (scrollData.scrollAmount > -3 && scrollData.scrollAmount < 3) {
          this.setFocus();
          this.regScrollMove();
          return;
        }
        if (this._usePadding) {
          scrollView.addScrollPadding(scrollData.scrollPadding);
        }
        var scrollDuration = getScrollAssistDuration(scrollData.scrollAmount);
        this._app.setEnabled(false, scrollDuration);
        this._nav && this._nav.setTransitioning(true, scrollDuration);
        this._native.beginFocus(true, scrollData.inputSafeY);
        scrollView.scrollTo(0, scrollData.scrollTo, scrollDuration).then(function() {
          _this._native.beginFocus(false, 0);
          _this.setFocus();
          _this._app.setEnabled(true);
          _this._nav && _this._nav.setTransitioning(false);
          _this.regScrollMove();
          if (_this._usePadding) {
            _this._scrollView.clearScrollPaddingFocusOut();
          }
        });
      } else {
        this.setFocus();
        this.regScrollMove();
      }
    };
    InputBase.prototype.setFocus = function() {
      this._form.setAsFocused(this);
      void 0;
      this._native.setFocus();
      document.body.scrollTop = 0;
    };
    InputBase.prototype.registerOnChange = function(fn) {
      this.onChange = fn;
    };
    InputBase.prototype.registerOnTouched = function(fn) {
      this.onTouched = fn;
    };
    InputBase.prototype.regScrollMove = function() {
      var _this = this;
      if (this._useAssist && this._scrollView) {
        setTimeout(function() {
          _this.deregScrollMove();
          _this._deregScroll = _this._scrollView.addScrollListener(_this._scrollMove);
        }, 80);
      }
    };
    InputBase.prototype.deregScrollMove = function() {
      this._deregScroll && this._deregScroll();
    };
    InputBase.prototype.focusNext = function() {
      this._form.tabFocus(this);
    };
    InputBase.getScrollData = function(inputOffsetTop, inputOffsetHeight, scrollViewDimensions, keyboardHeight, plaformHeight) {
      var inputTop = (inputOffsetTop + scrollViewDimensions.contentTop - scrollViewDimensions.scrollTop);
      var inputBottom = (inputTop + inputOffsetHeight);
      var safeAreaTop = scrollViewDimensions.contentTop;
      var safeAreaHeight = plaformHeight - keyboardHeight - safeAreaTop;
      safeAreaHeight /= 2;
      var safeAreaBottom = safeAreaTop + safeAreaHeight;
      var inputTopWithinSafeArea = (inputTop >= safeAreaTop && inputTop <= safeAreaBottom);
      var inputTopAboveSafeArea = (inputTop < safeAreaTop);
      var inputTopBelowSafeArea = (inputTop > safeAreaBottom);
      var inputBottomWithinSafeArea = (inputBottom >= safeAreaTop && inputBottom <= safeAreaBottom);
      var inputBottomBelowSafeArea = (inputBottom > safeAreaBottom);
      var scrollData = {
        scrollAmount: 0,
        scrollTo: 0,
        scrollPadding: 0,
        inputSafeY: 0
      };
      if (inputTopWithinSafeArea && inputBottomWithinSafeArea) {
        return scrollData;
      }
      if (inputTopBelowSafeArea || inputBottomBelowSafeArea) {
        if (safeAreaHeight > inputOffsetHeight) {
          scrollData.scrollAmount = Math.round(safeAreaBottom - inputBottom);
        } else {
          scrollData.scrollAmount = Math.round(safeAreaTop - inputTop);
        }
        scrollData.inputSafeY = -(inputTop - safeAreaTop) + 4;
      } else if (inputTopAboveSafeArea) {
        scrollData.scrollAmount = Math.round(safeAreaTop - inputTop);
        scrollData.inputSafeY = (safeAreaTop - inputTop) + 4;
      }
      scrollData.scrollTo = (scrollViewDimensions.scrollTop - scrollData.scrollAmount);
      if (scrollData.scrollAmount < 0) {
        var availablePadding = (scrollViewDimensions.scrollHeight - scrollViewDimensions.scrollTop) - scrollViewDimensions.contentHeight;
        var paddingSpace = availablePadding + scrollData.scrollAmount;
        if (paddingSpace < 0) {
          scrollData.scrollPadding = (scrollViewDimensions.contentHeight - safeAreaHeight);
        }
      }
      return scrollData;
    };
    __decorate([core_1.Input(), __metadata('design:type', Object)], InputBase.prototype, "clearInput", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], InputBase.prototype, "placeholder", void 0);
    __decorate([core_1.ViewChild(native_input_1.NativeInput), __metadata('design:type', native_input_1.NativeInput)], InputBase.prototype, "_native", void 0);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], InputBase.prototype, "blur", void 0);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], InputBase.prototype, "focus", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Object)], InputBase.prototype, "value", null);
    __decorate([core_1.Input(), __metadata('design:type', Object)], InputBase.prototype, "type", null);
    __decorate([core_1.Input(), __metadata('design:type', Object)], InputBase.prototype, "disabled", null);
    __decorate([core_1.ViewChild(native_input_1.NativeInput), __metadata('design:type', native_input_1.NativeInput), __metadata('design:paramtypes', [native_input_1.NativeInput])], InputBase.prototype, "_nativeInput", null);
    __decorate([core_1.ViewChild(native_input_1.NextInput), __metadata('design:type', native_input_1.NextInput), __metadata('design:paramtypes', [native_input_1.NextInput])], InputBase.prototype, "_nextInput", null);
    return InputBase;
  }());
  exports.InputBase = InputBase;
  var SCROLL_ASSIST_SPEED = 0.3;
  function getScrollAssistDuration(distanceToScroll) {
    distanceToScroll = Math.abs(distanceToScroll);
    var duration = distanceToScroll / SCROLL_ASSIST_SPEED;
    return Math.min(400, Math.max(150, duration));
  }
  return module.exports;
});

System.registerDynamic("ionic-angular/components/input/native-input.js", ["@angular/core", "@angular/forms", "../../config/config", "../../util/dom"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var forms_1 = $__require('@angular/forms');
  var config_1 = $__require('../../config/config');
  var dom_1 = $__require('../../util/dom');
  var NativeInput = (function() {
    function NativeInput(_elementRef, _renderer, config, ngControl) {
      this._elementRef = _elementRef;
      this._renderer = _renderer;
      this.ngControl = ngControl;
      this.focusChange = new core_1.EventEmitter();
      this.valueChange = new core_1.EventEmitter();
      this._clone = config.getBoolean('inputCloning', false);
      this._blurring = config.getBoolean('inputBlurring', false);
    }
    NativeInput.prototype._change = function(ev) {
      this.valueChange.emit(ev.target.value);
    };
    NativeInput.prototype._focus = function() {
      var self = this;
      self.focusChange.emit(true);
      function docTouchEnd(ev) {
        var tapped = ev.target;
        if (tapped && self.element()) {
          if (tapped.tagName !== 'INPUT' && tapped.tagName !== 'TEXTAREA' && !tapped.classList.contains('input-cover')) {
            self.element().blur();
          }
        }
      }
      if (self._blurring) {
        void 0;
        document.addEventListener('touchend', docTouchEnd, true);
        self._unrefBlur = function() {
          void 0;
          document.removeEventListener('touchend', docTouchEnd, true);
        };
      }
    };
    NativeInput.prototype._blur = function() {
      this.focusChange.emit(false);
      this.hideFocus(false);
      this._unrefBlur && this._unrefBlur();
      this._unrefBlur = null;
    };
    NativeInput.prototype.labelledBy = function(val) {
      this._renderer.setElementAttribute(this._elementRef.nativeElement, 'aria-labelledby', val);
    };
    NativeInput.prototype.isDisabled = function(val) {
      this._renderer.setElementAttribute(this._elementRef.nativeElement, 'disabled', val ? '' : null);
    };
    NativeInput.prototype.setFocus = function() {
      if (document.activeElement !== this.element()) {
        this.element().focus();
      }
    };
    NativeInput.prototype.beginFocus = function(shouldFocus, inputRelativeY) {
      if (this._relocated !== shouldFocus) {
        var focusedInputEle = this.element();
        if (shouldFocus) {
          if (this._clone) {
            var clonedInputEle = cloneInput(focusedInputEle, 'cloned-focus');
            focusedInputEle.parentNode.insertBefore(clonedInputEle, focusedInputEle);
            focusedInputEle.style[dom_1.CSS.transform] = "translate3d(-9999px," + inputRelativeY + "px,0)";
            focusedInputEle.style.opacity = '0';
          }
          this.setFocus();
          if (this._clone) {
            focusedInputEle.classList.add('cloned-active');
          }
        } else {
          if (this._clone) {
            focusedInputEle.classList.remove('cloned-active');
            focusedInputEle.style[dom_1.CSS.transform] = '';
            focusedInputEle.style.opacity = '';
            removeClone(focusedInputEle, 'cloned-focus');
          }
        }
        this._relocated = shouldFocus;
      }
    };
    NativeInput.prototype.hideFocus = function(shouldHideFocus) {
      var focusedInputEle = this.element();
      void 0;
      if (shouldHideFocus) {
        var clonedInputEle = cloneInput(focusedInputEle, 'cloned-move');
        focusedInputEle.classList.add('cloned-active');
        focusedInputEle.parentNode.insertBefore(clonedInputEle, focusedInputEle);
      } else {
        focusedInputEle.classList.remove('cloned-active');
        removeClone(focusedInputEle, 'cloned-move');
      }
    };
    NativeInput.prototype.hasFocus = function() {
      return dom_1.hasFocus(this.element());
    };
    NativeInput.prototype.getValue = function() {
      return this.element().value;
    };
    NativeInput.prototype.setCssClass = function(cssClass, shouldAdd) {
      this._renderer.setElementClass(this._elementRef.nativeElement, cssClass, shouldAdd);
    };
    NativeInput.prototype.element = function() {
      return this._elementRef.nativeElement;
    };
    NativeInput.prototype.ngOnDestroy = function() {
      this._unrefBlur && this._unrefBlur();
    };
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], NativeInput.prototype, "focusChange", void 0);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], NativeInput.prototype, "valueChange", void 0);
    __decorate([core_1.HostListener('input', ['$event']), __metadata('design:type', Function), __metadata('design:paramtypes', [Object]), __metadata('design:returntype', void 0)], NativeInput.prototype, "_change", null);
    __decorate([core_1.HostListener('focus'), __metadata('design:type', Function), __metadata('design:paramtypes', []), __metadata('design:returntype', void 0)], NativeInput.prototype, "_focus", null);
    __decorate([core_1.HostListener('blur'), __metadata('design:type', Function), __metadata('design:paramtypes', []), __metadata('design:returntype', void 0)], NativeInput.prototype, "_blur", null);
    NativeInput = __decorate([core_1.Directive({selector: '.text-input'}), __metadata('design:paramtypes', [core_1.ElementRef, core_1.Renderer, config_1.Config, forms_1.NgControl])], NativeInput);
    return NativeInput;
  }());
  exports.NativeInput = NativeInput;
  function cloneInput(focusedInputEle, addCssClass) {
    var clonedInputEle = focusedInputEle.cloneNode(true);
    clonedInputEle.classList.add('cloned-input');
    clonedInputEle.classList.add(addCssClass);
    clonedInputEle.setAttribute('aria-hidden', true);
    clonedInputEle.removeAttribute('aria-labelledby');
    clonedInputEle.tabIndex = -1;
    clonedInputEle.style.width = (focusedInputEle.offsetWidth + 10) + 'px';
    clonedInputEle.style.height = focusedInputEle.offsetHeight + 'px';
    clonedInputEle.value = focusedInputEle.value;
    return clonedInputEle;
  }
  function removeClone(focusedInputEle, queryCssClass) {
    var clonedInputEle = focusedInputEle.parentElement.querySelector('.' + queryCssClass);
    if (clonedInputEle) {
      clonedInputEle.parentNode.removeChild(clonedInputEle);
    }
  }
  var NextInput = (function() {
    function NextInput() {
      this.focused = new core_1.EventEmitter();
    }
    NextInput.prototype.receivedFocus = function() {
      void 0;
      this.focused.emit(true);
    };
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], NextInput.prototype, "focused", void 0);
    __decorate([core_1.HostListener('focus'), __metadata('design:type', Function), __metadata('design:paramtypes', []), __metadata('design:returntype', void 0)], NextInput.prototype, "receivedFocus", null);
    NextInput = __decorate([core_1.Directive({selector: '[next-input]'}), __metadata('design:paramtypes', [])], NextInput);
    return NextInput;
  }());
  exports.NextInput = NextInput;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/input/input.js", ["@angular/core", "@angular/common", "@angular/forms", "../app/app", "../../config/config", "../content/content", "../../util/form", "./input-base", "../item/item", "./native-input", "../nav/nav-controller", "../../platform/platform"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var common_1 = $__require('@angular/common');
  var forms_1 = $__require('@angular/forms');
  var app_1 = $__require('../app/app');
  var config_1 = $__require('../../config/config');
  var content_1 = $__require('../content/content');
  var form_1 = $__require('../../util/form');
  var input_base_1 = $__require('./input-base');
  var item_1 = $__require('../item/item');
  var native_input_1 = $__require('./native-input');
  var nav_controller_1 = $__require('../nav/nav-controller');
  var platform_1 = $__require('../../platform/platform');
  var TextInput = (function(_super) {
    __extends(TextInput, _super);
    function TextInput(config, form, item, app, platform, elementRef, scrollView, nav, ngControl) {
      _super.call(this, config, form, item, app, platform, elementRef, scrollView, nav, ngControl);
    }
    TextInput.prototype.inputBlurred = function(ev) {
      this.blur.emit(ev);
    };
    TextInput.prototype.inputFocused = function(ev) {
      this.focus.emit(ev);
    };
    TextInput.prototype.clearTextInput = function() {
      void 0;
      this._value = '';
      this.onChange(this._value);
      this.writeValue(this._value);
    };
    TextInput = __decorate([core_1.Component({
      selector: 'ion-input',
      template: "\n    <input [type]=\"type\" [(ngModel)]=\"_value\" (blur)=\"inputBlurred($event)\" (focus)=\"inputFocused($event)\" [placeholder]=\"placeholder\" class=\"text-input\">\n    <input [type]=\"type\" aria-hidden=\"true\" next-input *ngIf=\"_useAssist\">\n    <button clear [hidden]=\"!clearInput\" type=\"button\" class=\"text-input-clear-icon\" (click)=\"clearTextInput()\" (mousedown)=\"clearTextInput()\"></button>\n    <div (touchstart)=\"pointerStart($event)\" (touchend)=\"pointerEnd($event)\" (mousedown)=\"pointerStart($event)\" (mouseup)=\"pointerEnd($event)\" class=\"input-cover\" tappable *ngIf=\"_useAssist\"></div>\n  ",
      directives: [native_input_1.NativeInput, native_input_1.NextInput, common_1.NgIf, forms_1.NgModel],
      encapsulation: core_1.ViewEncapsulation.None
    }), __param(2, core_1.Optional()), __param(6, core_1.Optional()), __param(7, core_1.Optional()), __param(8, core_1.Optional()), __metadata('design:paramtypes', [config_1.Config, form_1.Form, item_1.Item, app_1.App, platform_1.Platform, core_1.ElementRef, content_1.Content, nav_controller_1.NavController, forms_1.NgControl])], TextInput);
    return TextInput;
  }(input_base_1.InputBase));
  exports.TextInput = TextInput;
  var TextArea = (function(_super) {
    __extends(TextArea, _super);
    function TextArea(config, form, item, app, platform, elementRef, scrollView, nav, ngControl) {
      _super.call(this, config, form, item, app, platform, elementRef, scrollView, nav, ngControl);
    }
    TextArea.prototype.ngOnInit = function() {
      _super.prototype.ngOnInit.call(this);
      if (this._item) {
        this._item.setCssClass('item-textarea', true);
      }
    };
    TextArea.prototype.inputBlurred = function(ev) {
      this.blur.emit(ev);
    };
    TextArea.prototype.inputFocused = function(ev) {
      this.focus.emit(ev);
    };
    TextArea = __decorate([core_1.Component({
      selector: 'ion-textarea',
      template: '<textarea [(ngModel)]="_value" (blur)="inputBlurred($event)" (focus)="inputFocused($event)" [placeholder]="placeholder" class="text-input"></textarea>' + '<input type="text" aria-hidden="true" next-input *ngIf="_useAssist">' + '<div (touchstart)="pointerStart($event)" (touchend)="pointerEnd($event)" (mousedown)="pointerStart($event)" (mouseup)="pointerEnd($event)" class="input-cover" tappable *ngIf="_useAssist"></div>',
      directives: [native_input_1.NativeInput, native_input_1.NextInput, common_1.NgIf],
      encapsulation: core_1.ViewEncapsulation.None
    }), __param(2, core_1.Optional()), __param(6, core_1.Optional()), __param(7, core_1.Optional()), __param(8, core_1.Optional()), __metadata('design:paramtypes', [config_1.Config, form_1.Form, item_1.Item, app_1.App, platform_1.Platform, core_1.ElementRef, content_1.Content, nav_controller_1.NavController, forms_1.NgControl])], TextArea);
    return TextArea;
  }(input_base_1.InputBase));
  exports.TextArea = TextArea;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/segment/segment.js", ["@angular/core", "@angular/forms", "../../util/util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var forms_1 = $__require('@angular/forms');
  var util_1 = $__require('../../util/util');
  var SegmentButton = (function() {
    function SegmentButton(_renderer, _elementRef) {
      this._renderer = _renderer;
      this._elementRef = _elementRef;
      this._disabled = false;
      this.ionSelect = new core_1.EventEmitter();
    }
    Object.defineProperty(SegmentButton.prototype, "disabled", {
      get: function() {
        return this._disabled;
      },
      set: function(val) {
        this._disabled = util_1.isTrueProperty(val);
        this.setCssClass('segment-button-disabled', this._disabled);
      },
      enumerable: true,
      configurable: true
    });
    SegmentButton.prototype.setCssClass = function(cssClass, shouldAdd) {
      this._renderer.setElementClass(this._elementRef.nativeElement, cssClass, shouldAdd);
    };
    SegmentButton.prototype.onClick = function() {
      void 0;
      this.ionSelect.emit(this);
    };
    SegmentButton.prototype.ngOnInit = function() {
      if (!util_1.isPresent(this.value)) {
        void 0;
      }
    };
    Object.defineProperty(SegmentButton.prototype, "isActive", {
      set: function(isActive) {
        this._renderer.setElementClass(this._elementRef.nativeElement, 'segment-activated', isActive);
        this._renderer.setElementAttribute(this._elementRef.nativeElement, 'aria-pressed', isActive);
      },
      enumerable: true,
      configurable: true
    });
    __decorate([core_1.Input(), __metadata('design:type', String)], SegmentButton.prototype, "value", void 0);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], SegmentButton.prototype, "ionSelect", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Boolean)], SegmentButton.prototype, "disabled", null);
    __decorate([core_1.HostListener('click'), __metadata('design:type', Function), __metadata('design:paramtypes', []), __metadata('design:returntype', void 0)], SegmentButton.prototype, "onClick", null);
    SegmentButton = __decorate([core_1.Component({
      selector: 'ion-segment-button',
      template: "\n    <ng-content></ng-content>\n    <ion-button-effect></ion-button-effect>\n  ",
      host: {
        'tappable': '',
        'class': 'segment-button',
        'role': 'button'
      },
      encapsulation: core_1.ViewEncapsulation.None
    }), __metadata('design:paramtypes', [core_1.Renderer, core_1.ElementRef])], SegmentButton);
    return SegmentButton;
  }());
  exports.SegmentButton = SegmentButton;
  var Segment = (function() {
    function Segment(ngControl) {
      this._disabled = false;
      this.ionChange = new core_1.EventEmitter();
      this.onChange = function(_) {};
      this.onTouched = function(_) {};
      if (ngControl) {
        ngControl.valueAccessor = this;
      }
    }
    Object.defineProperty(Segment.prototype, "disabled", {
      get: function() {
        return this._disabled;
      },
      set: function(val) {
        this._disabled = util_1.isTrueProperty(val);
        if (this._buttons) {
          var buttons = this._buttons.toArray();
          for (var _i = 0,
              buttons_1 = buttons; _i < buttons_1.length; _i++) {
            var button = buttons_1[_i];
            button.setCssClass('segment-button-disabled', this._disabled);
          }
        }
      },
      enumerable: true,
      configurable: true
    });
    Segment.prototype.writeValue = function(value) {
      this.value = util_1.isPresent(value) ? value : '';
      if (this._buttons) {
        var buttons = this._buttons.toArray();
        for (var _i = 0,
            buttons_2 = buttons; _i < buttons_2.length; _i++) {
          var button = buttons_2[_i];
          button.isActive = (button.value === this.value);
        }
      }
    };
    Segment.prototype.ngAfterViewInit = function() {
      var _this = this;
      var buttons = this._buttons.toArray();
      for (var _i = 0,
          buttons_3 = buttons; _i < buttons_3.length; _i++) {
        var button = buttons_3[_i];
        button.ionSelect.subscribe(function(selectedButton) {
          _this.writeValue(selectedButton.value);
          _this.onChange(selectedButton.value);
          _this.ionChange.emit(selectedButton);
        });
        if (util_1.isPresent(this.value)) {
          button.isActive = (button.value === this.value);
        }
        if (util_1.isTrueProperty(this._disabled)) {
          button.setCssClass('segment-button-disabled', this._disabled);
        }
      }
    };
    Segment.prototype.registerOnChange = function(fn) {
      this.onChange = fn;
    };
    Segment.prototype.registerOnTouched = function(fn) {
      this.onTouched = fn;
    };
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], Segment.prototype, "ionChange", void 0);
    __decorate([core_1.ContentChildren(SegmentButton), __metadata('design:type', core_1.QueryList)], Segment.prototype, "_buttons", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Boolean)], Segment.prototype, "disabled", null);
    Segment = __decorate([core_1.Directive({selector: 'ion-segment'}), __param(0, core_1.Optional()), __metadata('design:paramtypes', [forms_1.NgControl])], Segment);
    return Segment;
  }());
  exports.Segment = Segment;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/radio/radio-button.js", ["@angular/core", "../../util/form", "../../util/util", "../item/item", "./radio-group"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var form_1 = $__require('../../util/form');
  var util_1 = $__require('../../util/util');
  var item_1 = $__require('../item/item');
  var radio_group_1 = $__require('./radio-group');
  var RadioButton = (function() {
    function RadioButton(_form, _item, _group) {
      this._form = _form;
      this._item = _item;
      this._group = _group;
      this._checked = false;
      this._disabled = false;
      this._value = null;
      this.ionSelect = new core_1.EventEmitter();
      _form.register(this);
      if (_group) {
        this.id = 'rb-' + _group.add(this);
      }
      if (_item) {
        this.id = 'rb-' + _item.registerInput('radio');
        this._labelId = 'lbl-' + _item.id;
        this._item.setCssClass('item-radio', true);
      }
    }
    Object.defineProperty(RadioButton.prototype, "value", {
      get: function() {
        return util_1.isBlank(this._value) ? this.id : this._value;
      },
      set: function(val) {
        this._value = val;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(RadioButton.prototype, "checked", {
      get: function() {
        return this._checked;
      },
      set: function(isChecked) {
        this._checked = util_1.isTrueProperty(isChecked);
        if (this._item) {
          this._item.setCssClass('item-radio-checked', this._checked);
        }
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(RadioButton.prototype, "disabled", {
      get: function() {
        return this._disabled;
      },
      set: function(val) {
        this._disabled = util_1.isTrueProperty(val);
        this._item && this._item.setCssClass('item-radio-disabled', this._disabled);
      },
      enumerable: true,
      configurable: true
    });
    RadioButton.prototype._click = function(ev) {
      void 0;
      ev.preventDefault();
      ev.stopPropagation();
      this.checked = true;
      this.ionSelect.emit(this.value);
    };
    RadioButton.prototype.ngOnInit = function() {
      if (this._group && util_1.isPresent(this._group.value)) {
        this.checked = util_1.isCheckedProperty(this._group.value, this.value);
      }
    };
    RadioButton.prototype.ngOnDestroy = function() {
      this._form.deregister(this);
      this._group && this._group.remove(this);
    };
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], RadioButton.prototype, "ionSelect", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Object)], RadioButton.prototype, "value", null);
    __decorate([core_1.Input(), __metadata('design:type', Boolean)], RadioButton.prototype, "checked", null);
    __decorate([core_1.Input(), __metadata('design:type', Boolean)], RadioButton.prototype, "disabled", null);
    __decorate([core_1.HostListener('click', ['$event']), __metadata('design:type', Function), __metadata('design:paramtypes', [UIEvent]), __metadata('design:returntype', void 0)], RadioButton.prototype, "_click", null);
    RadioButton = __decorate([core_1.Component({
      selector: 'ion-radio',
      template: "\n    <div class=\"radio-icon\" [class.radio-checked]=\"_checked\">\n      <div class=\"radio-inner\"></div>\n    </div>\n    <button role=\"radio\"\n            type=\"button\"\n            category=\"item-cover\"\n            [id]=\"id\"\n            [attr.aria-checked]=\"_checked\"\n            [attr.aria-labelledby]=\"_labelId\"\n            [attr.aria-disabled]=\"_disabled\"\n            class=\"item-cover\">\n    </button>\n  ",
      host: {'[class.radio-disabled]': '_disabled'},
      encapsulation: core_1.ViewEncapsulation.None
    }), __param(1, core_1.Optional()), __param(2, core_1.Optional()), __metadata('design:paramtypes', [form_1.Form, item_1.Item, radio_group_1.RadioGroup])], RadioButton);
    return RadioButton;
  }());
  exports.RadioButton = RadioButton;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/item/item-sliding-gesture.js", ["../../util/dom", "../../gestures/drag-gesture"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var dom_1 = $__require('../../util/dom');
  var drag_gesture_1 = $__require('../../gestures/drag-gesture');
  var DRAG_THRESHOLD = 10;
  var MAX_ATTACK_ANGLE = 20;
  var ItemSlidingGesture = (function(_super) {
    __extends(ItemSlidingGesture, _super);
    function ItemSlidingGesture(list) {
      _super.call(this, list.getNativeElement(), {
        maxAngle: MAX_ATTACK_ANGLE,
        threshold: DRAG_THRESHOLD,
        gesture: list._gestureCtrl.create('item-sliding', {priority: -10})
      });
      this.list = list;
      this.preSelectedContainer = null;
      this.selectedContainer = null;
      this.openContainer = null;
    }
    ItemSlidingGesture.prototype.canStart = function(ev) {
      if (this.selectedContainer) {
        return false;
      }
      var container = getContainer(ev);
      if (!container) {
        this.closeOpened();
        return false;
      }
      if (container !== this.openContainer) {
        this.closeOpened();
      }
      var coord = dom_1.pointerCoord(ev);
      this.preSelectedContainer = container;
      this.firstCoordX = coord.x;
      this.firstTimestamp = Date.now();
      return true;
    };
    ItemSlidingGesture.prototype.onDragStart = function(ev) {
      ev.preventDefault();
      var coord = dom_1.pointerCoord(ev);
      this.selectedContainer = this.openContainer = this.preSelectedContainer;
      this.selectedContainer.startSliding(coord.x);
    };
    ItemSlidingGesture.prototype.onDragMove = function(ev) {
      ev.preventDefault();
      var coordX = dom_1.pointerCoord(ev).x;
      this.selectedContainer.moveSliding(coordX);
    };
    ItemSlidingGesture.prototype.onDragEnd = function(ev) {
      ev.preventDefault();
      var coordX = dom_1.pointerCoord(ev).x;
      var deltaX = (coordX - this.firstCoordX);
      var deltaT = (Date.now() - this.firstTimestamp);
      var openAmount = this.selectedContainer.endSliding(deltaX / deltaT);
      this.selectedContainer = null;
      this.preSelectedContainer = null;
    };
    ItemSlidingGesture.prototype.notCaptured = function(ev) {
      this.closeOpened();
    };
    ItemSlidingGesture.prototype.closeOpened = function() {
      this.selectedContainer = null;
      if (this.openContainer) {
        this.openContainer.close();
        this.openContainer = null;
        return true;
      }
      return false;
    };
    ItemSlidingGesture.prototype.destroy = function() {
      _super.prototype.destroy.call(this);
      this.closeOpened();
      this.list = null;
      this.preSelectedContainer = null;
      this.selectedContainer = null;
      this.openContainer = null;
    };
    return ItemSlidingGesture;
  }(drag_gesture_1.PanGesture));
  exports.ItemSlidingGesture = ItemSlidingGesture;
  function getContainer(ev) {
    var ele = dom_1.closest(ev.target, 'ion-item-sliding', true);
    if (ele) {
      return ele['$ionComponent'];
    }
    return null;
  }
  return module.exports;
});

System.registerDynamic("ionic-angular/components/list/list.js", ["@angular/core", "../ion", "../../util/util", "../item/item-sliding-gesture", "../../gestures/gesture-controller"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var ion_1 = $__require('../ion');
  var util_1 = $__require('../../util/util');
  var item_sliding_gesture_1 = $__require('../item/item-sliding-gesture');
  var gesture_controller_1 = $__require('../../gestures/gesture-controller');
  var List = (function(_super) {
    __extends(List, _super);
    function List(elementRef, _rendered, _gestureCtrl) {
      _super.call(this, elementRef);
      this._rendered = _rendered;
      this._gestureCtrl = _gestureCtrl;
      this._enableSliding = true;
      this._containsSlidingItems = false;
    }
    List.prototype.ngOnDestroy = function() {
      this._slidingGesture && this._slidingGesture.destroy();
    };
    Object.defineProperty(List.prototype, "sliding", {
      get: function() {
        return this._enableSliding;
      },
      set: function(val) {
        this._enableSliding = util_1.isTrueProperty(val);
        this._updateSlidingState();
      },
      enumerable: true,
      configurable: true
    });
    List.prototype.containsSlidingItem = function(contains) {
      this._containsSlidingItems = contains;
      this._updateSlidingState();
    };
    List.prototype._updateSlidingState = function() {
      var shouldSlide = this._enableSliding && this._containsSlidingItems;
      if (!shouldSlide) {
        this._slidingGesture && this._slidingGesture.destroy();
        this._slidingGesture = null;
      } else if (!this._slidingGesture) {
        void 0;
        this._slidingGesture = new item_sliding_gesture_1.ItemSlidingGesture(this);
        this._slidingGesture.listen();
      }
    };
    List.prototype.closeSlidingItems = function() {
      this._slidingGesture && this._slidingGesture.closeOpened();
    };
    __decorate([core_1.Input(), __metadata('design:type', Boolean)], List.prototype, "sliding", null);
    List = __decorate([core_1.Directive({selector: 'ion-list'}), __metadata('design:paramtypes', [core_1.ElementRef, core_1.Renderer, gesture_controller_1.GestureController])], List);
    return List;
  }(ion_1.Ion));
  exports.List = List;
  var ListHeader = (function() {
    function ListHeader(_renderer, _elementRef, _id) {
      this._renderer = _renderer;
      this._elementRef = _elementRef;
      this._id = _id;
    }
    Object.defineProperty(ListHeader.prototype, "id", {
      get: function() {
        return this._id;
      },
      set: function(val) {
        this._id = val;
        this._renderer.setElementAttribute(this._elementRef.nativeElement, 'id', val);
      },
      enumerable: true,
      configurable: true
    });
    ListHeader = __decorate([core_1.Directive({selector: 'ion-list-header'}), __param(2, core_1.Attribute('id')), __metadata('design:paramtypes', [core_1.Renderer, core_1.ElementRef, String])], ListHeader);
    return ListHeader;
  }());
  exports.ListHeader = ListHeader;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/radio/radio-group.js", ["@angular/core", "@angular/forms", "../list/list", "../../util/util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var forms_1 = $__require('@angular/forms');
  var list_1 = $__require('../list/list');
  var util_1 = $__require('../../util/util');
  exports.RADIO_VALUE_ACCESSOR = new core_1.Provider(forms_1.NG_VALUE_ACCESSOR, {
    useExisting: core_1.forwardRef(function() {
      return RadioGroup;
    }),
    multi: true
  });
  var RadioGroup = (function() {
    function RadioGroup(_renderer, _elementRef) {
      this._renderer = _renderer;
      this._elementRef = _elementRef;
      this._btns = [];
      this._ids = -1;
      this._init = false;
      this.ionChange = new core_1.EventEmitter();
      this.id = ++radioGroupIds;
    }
    RadioGroup.prototype.ngAfterContentInit = function() {
      var activeButton = this._btns.find(function(b) {
        return b.checked;
      });
      if (activeButton) {
        this._setActive(activeButton);
      }
    };
    RadioGroup.prototype.writeValue = function(val) {
      void 0;
      this.value = val;
      if (this._init) {
        this._update();
        this.onTouched();
        this.ionChange.emit(val);
      }
      this._init = true;
    };
    RadioGroup.prototype.registerOnChange = function(fn) {
      var _this = this;
      this._fn = fn;
      this.onChange = function(val) {
        void 0;
        fn(val);
        _this.value = val;
        _this._update();
        _this.onTouched();
        _this.ionChange.emit(val);
      };
    };
    RadioGroup.prototype.registerOnTouched = function(fn) {
      this.onTouched = fn;
    };
    RadioGroup.prototype._update = function() {
      var _this = this;
      var hasChecked = false;
      this._btns.forEach(function(radioButton) {
        radioButton.checked = util_1.isCheckedProperty(_this.value, radioButton.value) && !hasChecked;
        if (radioButton.checked) {
          _this._setActive(radioButton);
          hasChecked = true;
        }
      });
    };
    RadioGroup.prototype._setActive = function(radioButton) {
      this._renderer.setElementAttribute(this._elementRef.nativeElement, 'aria-activedescendant', radioButton.id);
    };
    RadioGroup.prototype.add = function(button) {
      var _this = this;
      this._btns.push(button);
      button.ionSelect.subscribe(function(val) {
        _this.onChange(val);
      });
      return this.id + '-' + (++this._ids);
    };
    RadioGroup.prototype.remove = function(button) {
      var index = this._btns.indexOf(button);
      if (index > -1) {
        if (button.value === this.value) {
          this.value = null;
        }
        this._btns.splice(index, 1);
      }
    };
    Object.defineProperty(RadioGroup.prototype, "_header", {
      set: function(header) {
        if (header) {
          if (!header.id) {
            header.id = 'rg-hdr-' + this.id;
          }
          this._renderer.setElementAttribute(this._elementRef.nativeElement, 'aria-describedby', header.id);
        }
      },
      enumerable: true,
      configurable: true
    });
    RadioGroup.prototype.onChange = function(val) {
      void 0;
      this.value = val;
      this._update();
      this.onTouched();
      this.ionChange.emit(val);
    };
    RadioGroup.prototype.onTouched = function() {};
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], RadioGroup.prototype, "ionChange", void 0);
    __decorate([core_1.ContentChild(list_1.ListHeader), __metadata('design:type', Object), __metadata('design:paramtypes', [Object])], RadioGroup.prototype, "_header", null);
    RadioGroup = __decorate([core_1.Directive({
      selector: '[radio-group]',
      host: {
        '[attr.aria-activedescendant]': 'activeId',
        'role': 'radiogroup'
      },
      providers: [exports.RADIO_VALUE_ACCESSOR]
    }), __metadata('design:paramtypes', [core_1.Renderer, core_1.ElementRef])], RadioGroup);
    return RadioGroup;
  }());
  exports.RadioGroup = RadioGroup;
  var radioGroupIds = -1;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/button/button.js", ["@angular/core", "../../config/config", "../../util/util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var config_1 = $__require('../../config/config');
  var util_1 = $__require('../../util/util');
  var Button = (function() {
    function Button(config, _elementRef, _renderer, ionItem) {
      this._elementRef = _elementRef;
      this._renderer = _renderer;
      this._role = 'button';
      this._size = null;
      this._style = 'default';
      this._shape = null;
      this._display = null;
      this._colors = [];
      this._icon = null;
      this._disabled = false;
      this.isItem = (ionItem === '');
      var element = _elementRef.nativeElement;
      if (config.get('hoverCSS') === false) {
        _renderer.setElementClass(_elementRef.nativeElement, 'disable-hover', true);
      }
      if (element.hasAttribute('ion-item')) {
        this._role = null;
        return;
      }
      if (element.hasAttribute('disabled')) {
        this._disabled = true;
      }
      this._readAttrs(element);
    }
    Object.defineProperty(Button.prototype, "large", {
      set: function(val) {
        this._attr('_size', 'large', val);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Button.prototype, "small", {
      set: function(val) {
        this._attr('_size', 'small', val);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Button.prototype, "default", {
      set: function(val) {
        this._attr('_size', 'default', val);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Button.prototype, "outline", {
      set: function(val) {
        this._attr('_style', 'outline', val);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Button.prototype, "clear", {
      set: function(val) {
        this._attr('_style', 'clear', val);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Button.prototype, "solid", {
      set: function(val) {
        this._attr('_style', 'solid', val);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Button.prototype, "round", {
      set: function(val) {
        this._attr('_shape', 'round', val);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Button.prototype, "block", {
      set: function(val) {
        this._attr('_display', 'block', val);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Button.prototype, "full", {
      set: function(val) {
        this._attr('_display', 'full', val);
      },
      enumerable: true,
      configurable: true
    });
    Button.prototype._attr = function(type, attrName, attrValue) {
      this._setClass(this[type], false);
      if (util_1.isTrueProperty(attrValue)) {
        this[type] = attrName;
        this._setClass(attrName, true);
      } else {
        this[type] = (type === '_style' ? 'default' : null);
      }
      if (type === '_style') {
        this._setColor(attrName, util_1.isTrueProperty(attrValue));
      }
    };
    Object.defineProperty(Button.prototype, "color", {
      set: function(val) {
        this._setColor(BUTTON_STYLE_ATTRS.concat(['default']), false);
        this._colors = (val instanceof Array ? val : [val]);
        this._setColor(this._style, true);
      },
      enumerable: true,
      configurable: true
    });
    Button.prototype.ngOnInit = function() {
      if (this.category) {
        this.setRole(this.category);
      }
    };
    Button.prototype.ngAfterContentInit = function() {
      this._init = true;
      this._readIcon(this._elementRef.nativeElement);
      this._assignCss(true);
    };
    Button.prototype.ngAfterContentChecked = function() {
      this._readIcon(this._elementRef.nativeElement);
      this._assignCss(true);
    };
    Button.prototype.addClass = function(className) {
      this._renderer.setElementClass(this._elementRef.nativeElement, className, true);
    };
    Button.prototype.setRole = function(val) {
      this._assignCss(false);
      this._role = val;
      this._readIcon(this._elementRef.nativeElement);
      this._assignCss(true);
    };
    Button.prototype._readIcon = function(element) {
      var childNodes = element.childNodes;
      if (childNodes.length > 0) {
        childNodes = childNodes[0].childNodes;
      }
      var childNode;
      var nodes = [];
      for (var i = 0,
          l = childNodes.length; i < l; i++) {
        childNode = childNodes[i];
        if (childNode.nodeType === 3) {
          if (childNode.textContent.trim() !== '') {
            nodes.push(TEXT);
          }
        } else if (childNode.nodeType === 1) {
          if (childNode.nodeName === 'ION-ICON') {
            nodes.push(ICON);
          } else {
            nodes.push(TEXT);
          }
        }
      }
      this._setClass(this._icon, false);
      if (nodes.length > 1) {
        if (nodes[0] === ICON && nodes[1] === TEXT) {
          this._icon = 'icon-left';
        } else if (nodes[0] === TEXT && nodes[1] === ICON) {
          this._icon = 'icon-right';
        }
      } else if (nodes.length === 1 && nodes[0] === ICON) {
        this._icon = 'icon-only';
      }
    };
    Button.prototype._readAttrs = function(element) {
      var elementAttrs = element.attributes;
      var attrName;
      for (var i = 0,
          l = elementAttrs.length; i < l; i++) {
        if (elementAttrs[i].value !== '')
          continue;
        attrName = elementAttrs[i].name;
        if (BUTTON_STYLE_ATTRS.indexOf(attrName) > -1) {
          this._style = attrName;
        } else if (BUTTON_DISPLAY_ATTRS.indexOf(attrName) > -1) {
          this._display = attrName;
        } else if (BUTTON_SHAPE_ATTRS.indexOf(attrName) > -1) {
          this._shape = attrName;
        } else if (BUTTON_SIZE_ATTRS.indexOf(attrName) > -1) {
          this._size = attrName;
        } else if (!(IGNORE_ATTRS.test(attrName))) {
          this._colors.push(attrName);
        }
      }
    };
    Button.prototype._assignCss = function(assignCssClass) {
      var role = this._role;
      if (role) {
        this._renderer.setElementClass(this._elementRef.nativeElement, role, assignCssClass);
        this._setClass(this._style, assignCssClass);
        this._setClass(this._shape, assignCssClass);
        this._setClass(this._display, assignCssClass);
        this._setClass(this._size, assignCssClass);
        this._setClass(this._icon, assignCssClass);
        this._setColor(this._style, assignCssClass);
      }
    };
    Button.prototype._setClass = function(type, assignCssClass) {
      if (type && this._init) {
        this._renderer.setElementClass(this._elementRef.nativeElement, this._role + '-' + type.toLowerCase(), assignCssClass);
      }
    };
    Button.prototype._setColor = function(type, assignCssClass) {
      var _this = this;
      if (type && this._init) {
        var styles = (type instanceof Array ? type : [type]);
        styles.forEach(function(styleName) {
          styleName = (_this._role !== 'bar-button' && styleName === 'solid' ? 'default' : styleName);
          var colorStyle = (styleName !== null && styleName !== 'default' ? styleName.toLowerCase() + '-' : '');
          _this._colors.forEach(function(colorName) {
            _this._setClass(colorStyle + colorName, assignCssClass);
          });
        });
      }
    };
    __decorate([core_1.Input(), __metadata('design:type', String)], Button.prototype, "category", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Boolean), __metadata('design:paramtypes', [Boolean])], Button.prototype, "large", null);
    __decorate([core_1.Input(), __metadata('design:type', Boolean), __metadata('design:paramtypes', [Boolean])], Button.prototype, "small", null);
    __decorate([core_1.Input(), __metadata('design:type', Boolean), __metadata('design:paramtypes', [Boolean])], Button.prototype, "default", null);
    __decorate([core_1.Input(), __metadata('design:type', Boolean), __metadata('design:paramtypes', [Boolean])], Button.prototype, "outline", null);
    __decorate([core_1.Input(), __metadata('design:type', Boolean), __metadata('design:paramtypes', [Boolean])], Button.prototype, "clear", null);
    __decorate([core_1.Input(), __metadata('design:type', Boolean), __metadata('design:paramtypes', [Boolean])], Button.prototype, "solid", null);
    __decorate([core_1.Input(), __metadata('design:type', Boolean), __metadata('design:paramtypes', [Boolean])], Button.prototype, "round", null);
    __decorate([core_1.Input(), __metadata('design:type', Boolean), __metadata('design:paramtypes', [Boolean])], Button.prototype, "block", null);
    __decorate([core_1.Input(), __metadata('design:type', Boolean), __metadata('design:paramtypes', [Boolean])], Button.prototype, "full", null);
    __decorate([core_1.Input(), __metadata('design:type', Object), __metadata('design:paramtypes', [Object])], Button.prototype, "color", null);
    Button = __decorate([core_1.Component({
      selector: 'button:not([ion-item]),[button]',
      template: '<span class="button-inner"><ng-content></ng-content></span><ion-button-effect></ion-button-effect>',
      changeDetection: core_1.ChangeDetectionStrategy.OnPush,
      encapsulation: core_1.ViewEncapsulation.None
    }), __param(3, core_1.Attribute('ion-item')), __metadata('design:paramtypes', [config_1.Config, core_1.ElementRef, core_1.Renderer, String])], Button);
    return Button;
  }());
  exports.Button = Button;
  var BUTTON_SIZE_ATTRS = ['large', 'small', 'default'];
  var BUTTON_STYLE_ATTRS = ['clear', 'outline', 'solid'];
  var BUTTON_SHAPE_ATTRS = ['round', 'fab'];
  var BUTTON_DISPLAY_ATTRS = ['block', 'full'];
  var IGNORE_ATTRS = /_ng|button|left|right/;
  var TEXT = 1;
  var ICON = 2;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/item/item-reorder-gesture.js", ["../item/item-reorder", "../../util/ui-event-manager", "../../util/dom"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var item_reorder_1 = $__require('../item/item-reorder');
  var ui_event_manager_1 = $__require('../../util/ui-event-manager');
  var dom_1 = $__require('../../util/dom');
  var AUTO_SCROLL_MARGIN = 60;
  var SCROLL_JUMP = 10;
  var ITEM_REORDER_ACTIVE = 'reorder-active';
  var ItemReorderGesture = (function() {
    function ItemReorderGesture(reorderList) {
      this.reorderList = reorderList;
      this.selectedItemEle = null;
      this.events = new ui_event_manager_1.UIEventManager(false);
      this.events.pointerEvents({
        element: this.reorderList.getNativeElement(),
        pointerDown: this.onDragStart.bind(this),
        pointerMove: this.onDragMove.bind(this),
        pointerUp: this.onDragEnd.bind(this)
      });
    }
    ItemReorderGesture.prototype.onDragStart = function(ev) {
      var reorderElement = ev.target;
      if (reorderElement.nodeName !== 'ION-REORDER') {
        return false;
      }
      var reorderMark = reorderElement['$ionComponent'];
      if (!reorderMark) {
        void 0;
        return false;
      }
      this.reorderList.reorderPrepare();
      var item = reorderMark.getReorderNode();
      if (!item) {
        void 0;
        return false;
      }
      ev.preventDefault();
      this.selectedItemEle = item;
      this.selectedItemHeight = item.offsetHeight;
      this.lastYcoord = -100;
      this.lastToIndex = item_reorder_1.indexForItem(item);
      this.windowHeight = window.innerHeight - AUTO_SCROLL_MARGIN;
      this.lastScrollPosition = this.reorderList.scrollContent(0);
      this.offset = dom_1.pointerCoord(ev);
      this.offset.y += this.lastScrollPosition;
      item.classList.add(ITEM_REORDER_ACTIVE);
      this.reorderList.reorderStart();
      return true;
    };
    ItemReorderGesture.prototype.onDragMove = function(ev) {
      var selectedItem = this.selectedItemEle;
      if (!selectedItem) {
        return;
      }
      ev.preventDefault();
      var coord = dom_1.pointerCoord(ev);
      var posY = coord.y;
      var scrollPosition = this.scroll(posY);
      if (Math.abs(posY - this.lastYcoord) > 30) {
        var overItem = this.itemForCoord(coord);
        if (overItem) {
          var toIndex = item_reorder_1.indexForItem(overItem);
          if (toIndex !== undefined && (toIndex !== this.lastToIndex || this.emptyZone)) {
            var fromIndex = item_reorder_1.indexForItem(this.selectedItemEle);
            this.lastToIndex = toIndex;
            this.lastYcoord = posY;
            this.emptyZone = false;
            this.reorderList.reorderMove(fromIndex, toIndex, this.selectedItemHeight);
          }
        } else {
          this.emptyZone = true;
        }
      }
      var ydiff = Math.round(posY - this.offset.y + scrollPosition);
      selectedItem.style[dom_1.CSS.transform] = "translateY(" + ydiff + "px)";
    };
    ItemReorderGesture.prototype.onDragEnd = function() {
      var _this = this;
      if (!this.selectedItemEle) {
        return;
      }
      var toIndex = this.lastToIndex;
      var fromIndex = item_reorder_1.indexForItem(this.selectedItemEle);
      var reorderInactive = function() {
        _this.selectedItemEle.style.transition = '';
        _this.selectedItemEle.classList.remove(ITEM_REORDER_ACTIVE);
        _this.selectedItemEle = null;
      };
      if (toIndex === fromIndex) {
        this.selectedItemEle.style.transition = 'transform 200ms ease-in-out';
        setTimeout(reorderInactive, 200);
      } else {
        reorderInactive();
      }
      this.reorderList.reorderEmit(fromIndex, toIndex);
    };
    ItemReorderGesture.prototype.itemForCoord = function(coord) {
      return itemForPosition(this.offset.x - 100, coord.y);
    };
    ItemReorderGesture.prototype.scroll = function(posY) {
      if (posY < AUTO_SCROLL_MARGIN) {
        this.lastScrollPosition = this.reorderList.scrollContent(-SCROLL_JUMP);
      } else if (posY > this.windowHeight) {
        this.lastScrollPosition = this.reorderList.scrollContent(SCROLL_JUMP);
      }
      return this.lastScrollPosition;
    };
    ItemReorderGesture.prototype.destroy = function() {
      this.onDragEnd();
      this.events.unlistenAll();
      this.events = null;
      this.reorderList = null;
    };
    return ItemReorderGesture;
  }());
  exports.ItemReorderGesture = ItemReorderGesture;
  function itemForPosition(x, y) {
    var element = document.elementFromPoint(x, y);
    return item_reorder_1.findReorderItem(element);
  }
  return module.exports;
});

System.registerDynamic("ionic-angular/components/item/item-reorder.js", ["@angular/core", "../content/content", "../../util/dom", "./item", "../item/item-reorder-gesture", "../../util/util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var content_1 = $__require('../content/content');
  var dom_1 = $__require('../../util/dom');
  var item_1 = $__require('./item');
  var item_reorder_gesture_1 = $__require('../item/item-reorder-gesture');
  var util_1 = $__require('../../util/util');
  var ItemReorder = (function() {
    function ItemReorder(elementRef, _rendered, _zone, _content) {
      this._rendered = _rendered;
      this._zone = _zone;
      this._content = _content;
      this._enableReorder = false;
      this._lastToIndex = -1;
      this.ionItemReorder = new core_1.EventEmitter();
      this._element = elementRef.nativeElement;
    }
    ItemReorder.prototype.ngOnDestroy = function() {
      this._element = null;
      this._reorderGesture && this._reorderGesture.destroy();
    };
    Object.defineProperty(ItemReorder.prototype, "reorder", {
      get: function() {
        return this._enableReorder;
      },
      set: function(val) {
        this._enableReorder = util_1.isTrueProperty(val);
        if (!this._enableReorder) {
          this._reorderGesture && this._reorderGesture.destroy();
          this._reorderGesture = null;
        } else if (!this._reorderGesture) {
          void 0;
          this._reorderGesture = new item_reorder_gesture_1.ItemReorderGesture(this);
        }
      },
      enumerable: true,
      configurable: true
    });
    ItemReorder.prototype.reorderPrepare = function() {
      var children = this._element.children;
      var len = children.length;
      for (var i = 0; i < len; i++) {
        children[i]['$ionIndex'] = i;
      }
    };
    ItemReorder.prototype.reorderStart = function() {
      this.setCssClass('reorder-list-active', true);
    };
    ItemReorder.prototype.reorderEmit = function(fromIndex, toIndex) {
      var _this = this;
      this.reorderReset();
      if (fromIndex !== toIndex) {
        this._zone.run(function() {
          _this.ionItemReorder.emit({
            from: fromIndex,
            to: toIndex
          });
        });
      }
    };
    ItemReorder.prototype.scrollContent = function(scroll) {
      var scrollTop = this._content.getScrollTop() + scroll;
      if (scroll !== 0) {
        this._content.scrollTo(0, scrollTop, 0);
      }
      return scrollTop;
    };
    ItemReorder.prototype.reorderReset = function() {
      var children = this._element.children;
      var len = children.length;
      this.setCssClass('reorder-list-active', false);
      var transform = dom_1.CSS.transform;
      for (var i = 0; i < len; i++) {
        children[i].style[transform] = '';
      }
      this._lastToIndex = -1;
    };
    ItemReorder.prototype.reorderMove = function(fromIndex, toIndex, itemHeight) {
      if (this._lastToIndex === -1) {
        this._lastToIndex = fromIndex;
      }
      var lastToIndex = this._lastToIndex;
      this._lastToIndex = toIndex;
      var children = this._element.children;
      var transform = dom_1.CSS.transform;
      if (toIndex >= lastToIndex) {
        for (var i = lastToIndex; i <= toIndex; i++) {
          if (i !== fromIndex) {
            children[i].style[transform] = (i > fromIndex) ? "translateY(" + -itemHeight + "px)" : '';
          }
        }
      }
      if (toIndex <= lastToIndex) {
        for (var i = toIndex; i <= lastToIndex; i++) {
          if (i !== fromIndex) {
            children[i].style[transform] = (i < fromIndex) ? "translateY(" + itemHeight + "px)" : '';
          }
        }
      }
    };
    ItemReorder.prototype.setCssClass = function(classname, add) {
      this._rendered.setElementClass(this._element, classname, add);
    };
    ItemReorder.prototype.getNativeElement = function() {
      return this._element;
    };
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], ItemReorder.prototype, "ionItemReorder", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Boolean)], ItemReorder.prototype, "reorder", null);
    ItemReorder = __decorate([core_1.Directive({
      selector: 'ion-list[reorder],ion-item-group[reorder]',
      host: {'[class.reorder-enabled]': '_enableReorder'}
    }), __param(3, core_1.Optional()), __metadata('design:paramtypes', [core_1.ElementRef, core_1.Renderer, core_1.NgZone, content_1.Content])], ItemReorder);
    return ItemReorder;
  }());
  exports.ItemReorder = ItemReorder;
  var Reorder = (function() {
    function Reorder(item, elementRef) {
      this.item = item;
      this.elementRef = elementRef;
      elementRef.nativeElement['$ionComponent'] = this;
    }
    Reorder.prototype.getReorderNode = function() {
      var node = this.item.getNativeElement();
      return findReorderItem(node);
    };
    Reorder = __decorate([core_1.Component({
      selector: 'ion-reorder',
      template: "<ion-icon name=\"menu\"></ion-icon>"
    }), __param(0, core_1.Inject(core_1.forwardRef(function() {
      return item_1.Item;
    }))), __metadata('design:paramtypes', [item_1.Item, core_1.ElementRef])], Reorder);
    return Reorder;
  }());
  exports.Reorder = Reorder;
  function findReorderItem(node) {
    var nested = 0;
    while (node && nested < 4) {
      if (indexForItem(node) !== undefined) {
        return node;
      }
      node = node.parentNode;
      nested++;
    }
    return null;
  }
  exports.findReorderItem = findReorderItem;
  function indexForItem(element) {
    return element['$ionIndex'];
  }
  exports.indexForItem = indexForItem;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/label/label.js", ["@angular/core"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var Label = (function() {
    function Label(_elementRef, _renderer, isFloating, isStacked, isFixed, isInset) {
      this._elementRef = _elementRef;
      this._renderer = _renderer;
      this.type = (isFloating === '' ? 'floating' : (isStacked === '' ? 'stacked' : (isFixed === '' ? 'fixed' : (isInset === '' ? 'inset' : null))));
    }
    Object.defineProperty(Label.prototype, "id", {
      get: function() {
        return this._id;
      },
      set: function(val) {
        this._id = val;
        if (val) {
          this._renderer.setElementAttribute(this._elementRef.nativeElement, 'id', val);
        }
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Label.prototype, "text", {
      get: function() {
        return this._elementRef.nativeElement.textContent || '';
      },
      enumerable: true,
      configurable: true
    });
    Label.prototype.addClass = function(className) {
      this._renderer.setElementClass(this._elementRef.nativeElement, className, true);
    };
    __decorate([core_1.Input(), __metadata('design:type', String)], Label.prototype, "id", null);
    Label = __decorate([core_1.Directive({selector: 'ion-label'}), __param(2, core_1.Attribute('floating')), __param(3, core_1.Attribute('stacked')), __param(4, core_1.Attribute('fixed')), __param(5, core_1.Attribute('inset')), __metadata('design:paramtypes', [core_1.ElementRef, core_1.Renderer, String, String, String, String])], Label);
    return Label;
  }());
  exports.Label = Label;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/item/item.js", ["@angular/core", "@angular/common", "../button/button", "../../util/form", "../icon/icon", "../item/item-reorder", "../label/label"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var common_1 = $__require('@angular/common');
  var button_1 = $__require('../button/button');
  var form_1 = $__require('../../util/form');
  var icon_1 = $__require('../icon/icon');
  var item_reorder_1 = $__require('../item/item-reorder');
  var label_1 = $__require('../label/label');
  var Item = (function() {
    function Item(form, _renderer, _elementRef) {
      this._renderer = _renderer;
      this._elementRef = _elementRef;
      this._ids = -1;
      this._inputs = [];
      this._viewLabel = true;
      this.labelId = null;
      this.id = form.nextId().toString();
    }
    Item.prototype.registerInput = function(type) {
      this._inputs.push(type);
      return this.id + '-' + (++this._ids);
    };
    Item.prototype.ngAfterContentInit = function() {
      if (this._viewLabel && this._inputs.length) {
        var labelText = this.getLabelText().trim();
        this._viewLabel = (labelText.length > 0);
      }
      if (this._inputs.length > 1) {
        this.setCssClass('item-multiple-inputs', true);
      }
    };
    Item.prototype.getLabelText = function() {
      return this._label ? this._label.text : '';
    };
    Object.defineProperty(Item.prototype, "contentLabel", {
      set: function(label) {
        if (label) {
          this._label = label;
          this.labelId = label.id = ('lbl-' + this.id);
          if (label.type) {
            this.setCssClass('item-label-' + label.type, true);
          }
          this._viewLabel = false;
        }
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Item.prototype, "viewLabel", {
      set: function(label) {
        if (!this._label) {
          this._label = label;
        }
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Item.prototype, "_buttons", {
      set: function(buttons) {
        buttons.toArray().forEach(function(button) {
          if (!button.isItem && !button._size) {
            button.addClass('item-button');
          }
        });
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Item.prototype, "_icons", {
      set: function(icons) {
        icons.toArray().forEach(function(icon) {
          icon.addClass('item-icon');
        });
      },
      enumerable: true,
      configurable: true
    });
    Item.prototype.setCssClass = function(cssClass, shouldAdd) {
      this._renderer.setElementClass(this._elementRef.nativeElement, cssClass, shouldAdd);
    };
    Item.prototype.setCssStyle = function(property, value) {
      this._renderer.setElementStyle(this._elementRef.nativeElement, property, value);
    };
    Item.prototype.getNativeElement = function() {
      return this._elementRef.nativeElement;
    };
    __decorate([core_1.ContentChild(label_1.Label), __metadata('design:type', label_1.Label), __metadata('design:paramtypes', [label_1.Label])], Item.prototype, "contentLabel", null);
    __decorate([core_1.ViewChild(label_1.Label), __metadata('design:type', label_1.Label), __metadata('design:paramtypes', [label_1.Label])], Item.prototype, "viewLabel", null);
    __decorate([core_1.ContentChildren(button_1.Button), __metadata('design:type', Object), __metadata('design:paramtypes', [Object])], Item.prototype, "_buttons", null);
    __decorate([core_1.ContentChildren(icon_1.Icon), __metadata('design:type', Object), __metadata('design:paramtypes', [Object])], Item.prototype, "_icons", null);
    Item = __decorate([core_1.Component({
      selector: 'ion-list-header,ion-item,[ion-item],ion-item-divider',
      template: "\n    <ng-content select=\"[item-left],ion-checkbox:not([item-right])\"></ng-content>\n    <div class=\"item-inner\">\n      <div class=\"input-wrapper\">\n        <ng-content select=\"ion-label\"></ng-content>\n        <ion-label *ngIf=\"_viewLabel\">\n          <ng-content></ng-content>\n        </ion-label>\n        <ng-content select=\"ion-select,ion-input,ion-textarea,ion-datetime,ion-range,[item-content]\"></ng-content>\n      </div>\n      <ng-content select=\"[item-right],ion-radio,ion-toggle\"></ng-content>\n      <ion-reorder></ion-reorder>\n    </div>\n    <ion-button-effect></ion-button-effect>\n  ",
      directives: [common_1.NgIf, label_1.Label, core_1.forwardRef(function() {
        return item_reorder_1.Reorder;
      })],
      changeDetection: core_1.ChangeDetectionStrategy.OnPush,
      encapsulation: core_1.ViewEncapsulation.None
    }), __metadata('design:paramtypes', [form_1.Form, core_1.Renderer, core_1.ElementRef])], Item);
    return Item;
  }());
  exports.Item = Item;
  var ItemContent = (function() {
    function ItemContent() {}
    ItemContent = __decorate([core_1.Directive({
      selector: 'ion-item,[ion-item]',
      host: {'class': 'item'}
    }), __metadata('design:paramtypes', [])], ItemContent);
    return ItemContent;
  }());
  exports.ItemContent = ItemContent;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/range/range.js", ["@angular/core", "@angular/common", "@angular/forms", "../../util/util", "../../util/dom", "../../util/debouncer", "../../util/form", "../item/item", "../../util/ui-event-manager"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var common_1 = $__require('@angular/common');
  var forms_1 = $__require('@angular/forms');
  var util_1 = $__require('../../util/util');
  var dom_1 = $__require('../../util/dom');
  var debouncer_1 = $__require('../../util/debouncer');
  var form_1 = $__require('../../util/form');
  var item_1 = $__require('../item/item');
  var ui_event_manager_1 = $__require('../../util/ui-event-manager');
  exports.RANGE_VALUE_ACCESSOR = new core_1.Provider(forms_1.NG_VALUE_ACCESSOR, {
    useExisting: core_1.forwardRef(function() {
      return Range;
    }),
    multi: true
  });
  var RangeKnob = (function() {
    function RangeKnob(range) {
      this.range = range;
    }
    Object.defineProperty(RangeKnob.prototype, "ratio", {
      get: function() {
        return this._ratio;
      },
      set: function(ratio) {
        this._ratio = util_1.clamp(0, ratio, 1);
        this._val = this.range.ratioToValue(this._ratio);
        if (this.range.snaps) {
          this._ratio = this.range.valueToRatio(this._val);
        }
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(RangeKnob.prototype, "value", {
      get: function() {
        return this._val;
      },
      set: function(val) {
        if (util_1.isString(val)) {
          val = Math.round(val);
        }
        if (util_1.isNumber(val) && !isNaN(val)) {
          this._ratio = this.range.valueToRatio(val);
          this._val = this.range.ratioToValue(this._ratio);
        }
      },
      enumerable: true,
      configurable: true
    });
    RangeKnob.prototype.position = function() {
      this._x = this._ratio * 100 + "%";
    };
    RangeKnob.prototype.ngOnInit = function() {
      if (util_1.isPresent(this.range.value)) {
        if (this.range.dualKnobs) {
          if (this.upper) {
            this.value = this.range.value.upper;
          } else {
            this.value = this.range.value.lower;
          }
        } else {
          this.value = this.range.value;
        }
      } else {
        this.ratio = ((this.range.dualKnobs && this.upper) ? 1 : 0);
      }
      this.position();
    };
    __decorate([core_1.Input(), __metadata('design:type', Boolean)], RangeKnob.prototype, "upper", void 0);
    RangeKnob = __decorate([core_1.Component({
      selector: '.range-knob-handle',
      template: "\n    <div class=\"range-pin\" *ngIf=\"range.pin\">{{_val}}</div>\n    <div class=\"range-knob\"></div>\n  ",
      directives: [common_1.NgIf],
      host: {
        '[class.range-knob-pressed]': 'pressed',
        '[class.range-knob-min]': '_val===range.min',
        '[class.range-knob-max]': '_val===range.max',
        '[style.left]': '_x',
        '[style.top]': '_y',
        '[style.transform]': '_trns',
        '[attr.aria-valuenow]': '_val',
        '[attr.aria-valuemin]': 'range.min',
        '[attr.aria-valuemax]': 'range.max',
        'role': 'slider',
        'tabindex': '0'
      }
    }), __param(0, core_1.Inject(core_1.forwardRef(function() {
      return Range;
    }))), __metadata('design:paramtypes', [Range])], RangeKnob);
    return RangeKnob;
  }());
  exports.RangeKnob = RangeKnob;
  var Range = (function() {
    function Range(_form, _item, _renderer) {
      this._form = _form;
      this._item = _item;
      this._renderer = _renderer;
      this._dual = false;
      this._disabled = false;
      this._start = null;
      this._ticks = [];
      this._min = 0;
      this._max = 100;
      this._step = 1;
      this._snaps = false;
      this._debouncer = new debouncer_1.Debouncer(0);
      this._events = new ui_event_manager_1.UIEventManager();
      this.ionChange = new core_1.EventEmitter();
      _form.register(this);
      if (_item) {
        this.id = 'rng-' + _item.registerInput('range');
        this._labelId = 'lbl-' + _item.id;
        _item.setCssClass('item-range', true);
      }
    }
    Object.defineProperty(Range.prototype, "min", {
      get: function() {
        return this._min;
      },
      set: function(val) {
        val = Math.round(val);
        if (!isNaN(val)) {
          this._min = val;
        }
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Range.prototype, "max", {
      get: function() {
        return this._max;
      },
      set: function(val) {
        val = Math.round(val);
        if (!isNaN(val)) {
          this._max = val;
        }
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Range.prototype, "step", {
      get: function() {
        return this._step;
      },
      set: function(val) {
        val = Math.round(val);
        if (!isNaN(val) && val > 0) {
          this._step = val;
        }
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Range.prototype, "snaps", {
      get: function() {
        return this._snaps;
      },
      set: function(val) {
        this._snaps = util_1.isTrueProperty(val);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Range.prototype, "pin", {
      get: function() {
        return this._pin;
      },
      set: function(val) {
        this._pin = util_1.isTrueProperty(val);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Range.prototype, "debounce", {
      get: function() {
        return this._debouncer.wait;
      },
      set: function(val) {
        this._debouncer.wait = val;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Range.prototype, "dualKnobs", {
      get: function() {
        return this._dual;
      },
      set: function(val) {
        this._dual = util_1.isTrueProperty(val);
      },
      enumerable: true,
      configurable: true
    });
    Range.prototype.ngAfterViewInit = function() {
      var barL = '';
      var barR = '';
      var firstRatio = this._knobs.first.ratio;
      if (this._dual) {
        var lastRatio = this._knobs.last.ratio;
        barL = (Math.min(firstRatio, lastRatio) * 100) + "%";
        barR = (100 - (Math.max(firstRatio, lastRatio) * 100)) + "%";
      } else {
        barR = (100 - (firstRatio * 100)) + "%";
      }
      this._renderer.setElementStyle(this._bar.nativeElement, 'left', barL);
      this._renderer.setElementStyle(this._bar.nativeElement, 'right', barR);
      this._events.pointerEvents({
        elementRef: this._slider,
        pointerDown: this.pointerDown.bind(this),
        pointerMove: this.pointerMove.bind(this),
        pointerUp: this.pointerUp.bind(this)
      });
      this.createTicks();
    };
    Range.prototype.pointerDown = function(ev) {
      if (this._disabled) {
        return false;
      }
      void 0;
      ev.preventDefault();
      ev.stopPropagation();
      this._start = dom_1.pointerCoord(ev);
      var rect = this._rect = this._slider.nativeElement.getBoundingClientRect();
      if (this._start.x < rect.left) {
        rect.xOffset = (this._start.x - rect.left);
      } else if (this._start.x > rect.right) {
        rect.xOffset = (this._start.x - rect.right);
      } else {
        rect.xOffset = 0;
      }
      this.setActiveKnob(this._start, rect);
      this.updateKnob(this._start, rect);
      this._active.position();
      this._pressed = this._active.pressed = true;
      return true;
    };
    Range.prototype.pointerMove = function(ev) {
      void 0;
      ev.preventDefault();
      ev.stopPropagation();
      this.updateKnob(dom_1.pointerCoord(ev), this._rect);
      this._active.position();
      this._pressed = this._active.pressed = true;
    };
    Range.prototype.pointerUp = function(ev) {
      void 0;
      ev.preventDefault();
      ev.stopPropagation();
      this.updateKnob(dom_1.pointerCoord(ev), this._rect);
      this._active.position();
      this._start = this._active = null;
      this._pressed = this._knobs.first.pressed = this._knobs.last.pressed = false;
    };
    Range.prototype.setActiveKnob = function(current, rect) {
      var ratio = (current.x - rect.left) / (rect.width);
      if (this._dual && Math.abs(ratio - this._knobs.first.ratio) > Math.abs(ratio - this._knobs.last.ratio)) {
        this._active = this._knobs.last;
      } else {
        this._active = this._knobs.first;
      }
    };
    Range.prototype.updateKnob = function(current, rect) {
      var _this = this;
      if (this._active) {
        var oldVal = this._active.value;
        this._active.ratio = (current.x - rect.left) / (rect.width);
        var newVal = this._active.value;
        if (oldVal !== newVal) {
          if (this._dual) {
            this.value = {
              lower: Math.min(this._knobs.first.value, this._knobs.last.value),
              upper: Math.max(this._knobs.first.value, this._knobs.last.value)
            };
          } else {
            this.value = newVal;
          }
          this._debouncer.debounce(function() {
            _this.onChange(_this.value);
            _this.ionChange.emit(_this);
          });
        }
        this.updateBar();
      }
    };
    Range.prototype.updateBar = function() {
      var firstRatio = this._knobs.first.ratio;
      if (this._dual) {
        var lastRatio = this._knobs.last.ratio;
        this._barL = (Math.min(firstRatio, lastRatio) * 100) + "%";
        this._barR = (100 - (Math.max(firstRatio, lastRatio) * 100)) + "%";
      } else {
        this._barL = '';
        this._barR = (100 - (firstRatio * 100)) + "%";
      }
      this.updateTicks();
    };
    Range.prototype.createTicks = function() {
      var _this = this;
      if (this._snaps) {
        dom_1.raf(function() {
          _this._ticks = [];
          for (var value = _this._min; value <= _this._max; value += _this._step) {
            var ratio = _this.valueToRatio(value);
            _this._ticks.push({
              ratio: ratio,
              left: ratio * 100 + "%"
            });
          }
          _this.updateTicks();
        });
      }
    };
    Range.prototype.updateTicks = function() {
      if (this._snaps) {
        var ratio_1 = this.ratio;
        if (this._dual) {
          var upperRatio_1 = this.ratioUpper;
          this._ticks.forEach(function(t) {
            t.active = (t.ratio >= ratio_1 && t.ratio <= upperRatio_1);
          });
        } else {
          this._ticks.forEach(function(t) {
            t.active = (t.ratio <= ratio_1);
          });
        }
      }
    };
    Range.prototype.ratioToValue = function(ratio) {
      ratio = Math.round(((this._max - this._min) * ratio) + this._min);
      return Math.round(ratio / this._step) * this._step;
    };
    Range.prototype.valueToRatio = function(value) {
      value = Math.round(util_1.clamp(this._min, value, this._max) / this._step) * this._step;
      return (value - this._min) / (this._max - this._min);
    };
    Range.prototype.writeValue = function(val) {
      if (util_1.isPresent(val)) {
        var knobs = this._knobs;
        this.value = val;
        if (this._knobs) {
          if (this._dual) {
            knobs.first.value = val.lower;
            knobs.last.value = val.upper;
            knobs.last.position();
          } else {
            knobs.first.value = val;
          }
          knobs.first.position();
          this.updateBar();
        }
      }
    };
    Range.prototype.registerOnChange = function(fn) {
      var _this = this;
      this._fn = fn;
      this.onChange = function(val) {
        fn(val);
        _this.onTouched();
      };
    };
    Range.prototype.registerOnTouched = function(fn) {
      this.onTouched = fn;
    };
    Object.defineProperty(Range.prototype, "disabled", {
      get: function() {
        return this._disabled;
      },
      set: function(val) {
        this._disabled = util_1.isTrueProperty(val);
        this._item && this._item.setCssClass('item-range-disabled', this._disabled);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Range.prototype, "ratio", {
      get: function() {
        if (this._dual) {
          return Math.min(this._knobs.first.ratio, this._knobs.last.ratio);
        }
        return this._knobs.first.ratio;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Range.prototype, "ratioUpper", {
      get: function() {
        if (this._dual) {
          return Math.max(this._knobs.first.ratio, this._knobs.last.ratio);
        }
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Range.prototype.onChange = function(val) {
      this.onTouched();
    };
    Range.prototype.onTouched = function() {};
    Range.prototype.ngOnDestroy = function() {
      this._form.deregister(this);
      this._events.unlistenAll();
    };
    __decorate([core_1.ViewChild('bar'), __metadata('design:type', core_1.ElementRef)], Range.prototype, "_bar", void 0);
    __decorate([core_1.ViewChild('slider'), __metadata('design:type', core_1.ElementRef)], Range.prototype, "_slider", void 0);
    __decorate([core_1.ViewChildren(RangeKnob), __metadata('design:type', core_1.QueryList)], Range.prototype, "_knobs", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Number)], Range.prototype, "min", null);
    __decorate([core_1.Input(), __metadata('design:type', Number)], Range.prototype, "max", null);
    __decorate([core_1.Input(), __metadata('design:type', Number)], Range.prototype, "step", null);
    __decorate([core_1.Input(), __metadata('design:type', Boolean)], Range.prototype, "snaps", null);
    __decorate([core_1.Input(), __metadata('design:type', Boolean)], Range.prototype, "pin", null);
    __decorate([core_1.Input(), __metadata('design:type', Number)], Range.prototype, "debounce", null);
    __decorate([core_1.Input(), __metadata('design:type', Boolean)], Range.prototype, "dualKnobs", null);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], Range.prototype, "ionChange", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Boolean)], Range.prototype, "disabled", null);
    Range = __decorate([core_1.Component({
      selector: 'ion-range',
      template: "\n    <ng-content select=\"[range-left]\"></ng-content>\n    <div class=\"range-slider\" #slider>\n      <div class=\"range-tick\" *ngFor=\"let t of _ticks\" [style.left]=\"t.left\" [class.range-tick-active]=\"t.active\"></div>\n      <div class=\"range-bar\"></div>\n      <div class=\"range-bar range-bar-active\" [style.left]=\"_barL\" [style.right]=\"_barR\" #bar></div>\n      <div class=\"range-knob-handle\"></div>\n      <div class=\"range-knob-handle\" [upper]=\"true\" *ngIf=\"_dual\"></div>\n    </div>\n    <ng-content select=\"[range-right]\"></ng-content>\n  ",
      directives: [common_1.NgFor, common_1.NgIf, RangeKnob],
      host: {
        '[class.range-disabled]': '_disabled',
        '[class.range-pressed]': '_pressed',
        '[class.range-has-pin]': '_pin'
      },
      providers: [exports.RANGE_VALUE_ACCESSOR],
      encapsulation: core_1.ViewEncapsulation.None
    }), __param(1, core_1.Optional()), __metadata('design:paramtypes', [form_1.Form, item_1.Item, core_1.Renderer])], Range);
    return Range;
  }());
  exports.Range = Range;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/offline_compiler.js", ["@angular/core", "./compile_metadata", "./facade/collection", "./facade/exceptions", "./output/output_ast", "./util", "./view_compiler/view_compiler"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var compile_metadata_1 = $__require('./compile_metadata');
  var collection_1 = $__require('./facade/collection');
  var exceptions_1 = $__require('./facade/exceptions');
  var o = $__require('./output/output_ast');
  var util_1 = $__require('./util');
  var view_compiler_1 = $__require('./view_compiler/view_compiler');
  var _COMPONENT_FACTORY_IDENTIFIER = new compile_metadata_1.CompileIdentifierMetadata({
    name: 'ComponentFactory',
    runtime: core_1.ComponentFactory,
    moduleUrl: util_1.assetUrl('core', 'linker/component_factory')
  });
  var SourceModule = (function() {
    function SourceModule(moduleUrl, source) {
      this.moduleUrl = moduleUrl;
      this.source = source;
    }
    return SourceModule;
  }());
  exports.SourceModule = SourceModule;
  var StyleSheetSourceWithImports = (function() {
    function StyleSheetSourceWithImports(source, importedUrls) {
      this.source = source;
      this.importedUrls = importedUrls;
    }
    return StyleSheetSourceWithImports;
  }());
  exports.StyleSheetSourceWithImports = StyleSheetSourceWithImports;
  var NormalizedComponentWithViewDirectives = (function() {
    function NormalizedComponentWithViewDirectives(component, directives, pipes) {
      this.component = component;
      this.directives = directives;
      this.pipes = pipes;
    }
    return NormalizedComponentWithViewDirectives;
  }());
  exports.NormalizedComponentWithViewDirectives = NormalizedComponentWithViewDirectives;
  var OfflineCompiler = (function() {
    function OfflineCompiler(_directiveNormalizer, _templateParser, _styleCompiler, _viewCompiler, _outputEmitter) {
      this._directiveNormalizer = _directiveNormalizer;
      this._templateParser = _templateParser;
      this._styleCompiler = _styleCompiler;
      this._viewCompiler = _viewCompiler;
      this._outputEmitter = _outputEmitter;
    }
    OfflineCompiler.prototype.normalizeDirectiveMetadata = function(directive) {
      return this._directiveNormalizer.normalizeDirective(directive).asyncResult;
    };
    OfflineCompiler.prototype.compileTemplates = function(components) {
      var _this = this;
      if (components.length === 0) {
        throw new exceptions_1.BaseException('No components given');
      }
      var statements = [];
      var exportedVars = [];
      var moduleUrl = _ngfactoryModuleUrl(components[0].component.type);
      var outputSourceModules = [];
      components.forEach(function(componentWithDirs) {
        var compMeta = componentWithDirs.component;
        _assertComponent(compMeta);
        var fileSuffix = _splitLastSuffix(compMeta.type.moduleUrl)[1];
        var stylesCompileResults = _this._styleCompiler.compileComponent(compMeta);
        stylesCompileResults.externalStylesheets.forEach(function(compiledStyleSheet) {
          outputSourceModules.push(_this._codgenStyles(compiledStyleSheet, fileSuffix));
        });
        var compViewFactoryVar = _this._compileComponent(compMeta, componentWithDirs.directives, componentWithDirs.pipes, stylesCompileResults.componentStylesheet, fileSuffix, statements);
        exportedVars.push(compViewFactoryVar);
        var hostMeta = compile_metadata_1.createHostComponentMeta(compMeta.type, compMeta.selector);
        var hostViewFactoryVar = _this._compileComponent(hostMeta, [compMeta], [], null, fileSuffix, statements);
        var compFactoryVar = _componentFactoryName(compMeta.type);
        statements.push(o.variable(compFactoryVar).set(o.importExpr(_COMPONENT_FACTORY_IDENTIFIER, [o.importType(compMeta.type)]).instantiate([o.literal(compMeta.selector), o.variable(hostViewFactoryVar), o.importExpr(compMeta.type)], o.importType(_COMPONENT_FACTORY_IDENTIFIER, [o.importType(compMeta.type)], [o.TypeModifier.Const]))).toDeclStmt(null, [o.StmtModifier.Final]));
        exportedVars.push(compFactoryVar);
      });
      outputSourceModules.unshift(this._codegenSourceModule(moduleUrl, statements, exportedVars));
      return outputSourceModules;
    };
    OfflineCompiler.prototype._compileComponent = function(compMeta, directives, pipes, componentStyles, fileSuffix, targetStatements) {
      var parsedTemplate = this._templateParser.parse(compMeta, compMeta.template.template, directives, pipes, compMeta.type.name);
      var stylesExpr = componentStyles ? o.variable(componentStyles.stylesVar) : o.literalArr([]);
      var viewResult = this._viewCompiler.compileComponent(compMeta, parsedTemplate, stylesExpr, pipes);
      if (componentStyles) {
        collection_1.ListWrapper.addAll(targetStatements, _resolveStyleStatements(componentStyles, fileSuffix));
      }
      collection_1.ListWrapper.addAll(targetStatements, _resolveViewStatements(viewResult));
      return viewResult.viewFactoryVar;
    };
    OfflineCompiler.prototype._codgenStyles = function(stylesCompileResult, fileSuffix) {
      _resolveStyleStatements(stylesCompileResult, fileSuffix);
      return this._codegenSourceModule(_stylesModuleUrl(stylesCompileResult.meta.moduleUrl, stylesCompileResult.isShimmed, fileSuffix), stylesCompileResult.statements, [stylesCompileResult.stylesVar]);
    };
    OfflineCompiler.prototype._codegenSourceModule = function(moduleUrl, statements, exportedVars) {
      return new SourceModule(moduleUrl, this._outputEmitter.emitStatements(moduleUrl, statements, exportedVars));
    };
    return OfflineCompiler;
  }());
  exports.OfflineCompiler = OfflineCompiler;
  function _resolveViewStatements(compileResult) {
    compileResult.dependencies.forEach(function(dep) {
      if (dep instanceof view_compiler_1.ViewFactoryDependency) {
        var vfd = dep;
        vfd.placeholder.moduleUrl = _ngfactoryModuleUrl(vfd.comp);
      } else if (dep instanceof view_compiler_1.ComponentFactoryDependency) {
        var cfd = dep;
        cfd.placeholder.name = _componentFactoryName(cfd.comp);
        cfd.placeholder.moduleUrl = _ngfactoryModuleUrl(cfd.comp);
      }
    });
    return compileResult.statements;
  }
  function _resolveStyleStatements(compileResult, fileSuffix) {
    compileResult.dependencies.forEach(function(dep) {
      dep.valuePlaceholder.moduleUrl = _stylesModuleUrl(dep.moduleUrl, dep.isShimmed, fileSuffix);
    });
    return compileResult.statements;
  }
  function _ngfactoryModuleUrl(comp) {
    var urlWithSuffix = _splitLastSuffix(comp.moduleUrl);
    return urlWithSuffix[0] + ".ngfactory" + urlWithSuffix[1];
  }
  function _componentFactoryName(comp) {
    return comp.name + "NgFactory";
  }
  function _stylesModuleUrl(stylesheetUrl, shim, suffix) {
    return shim ? stylesheetUrl + ".shim" + suffix : "" + stylesheetUrl + suffix;
  }
  function _assertComponent(meta) {
    if (!meta.isComponent) {
      throw new exceptions_1.BaseException("Could not compile '" + meta.type.name + "' because it is not a component.");
    }
  }
  function _splitLastSuffix(path) {
    var lastDot = path.lastIndexOf('.');
    if (lastDot !== -1) {
      return [path.substring(0, lastDot), path.substring(lastDot)];
    } else {
      return [path, ''];
    }
  }
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/output/abstract_js_emitter.js", ["../facade/exceptions", "../facade/lang", "./abstract_emitter", "./output_ast"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var abstract_emitter_1 = $__require('./abstract_emitter');
  var o = $__require('./output_ast');
  var AbstractJsEmitterVisitor = (function(_super) {
    __extends(AbstractJsEmitterVisitor, _super);
    function AbstractJsEmitterVisitor() {
      _super.call(this, false);
    }
    AbstractJsEmitterVisitor.prototype.visitDeclareClassStmt = function(stmt, ctx) {
      var _this = this;
      ctx.pushClass(stmt);
      this._visitClassConstructor(stmt, ctx);
      if (lang_1.isPresent(stmt.parent)) {
        ctx.print(stmt.name + ".prototype = Object.create(");
        stmt.parent.visitExpression(this, ctx);
        ctx.println(".prototype);");
      }
      stmt.getters.forEach(function(getter) {
        return _this._visitClassGetter(stmt, getter, ctx);
      });
      stmt.methods.forEach(function(method) {
        return _this._visitClassMethod(stmt, method, ctx);
      });
      ctx.popClass();
      return null;
    };
    AbstractJsEmitterVisitor.prototype._visitClassConstructor = function(stmt, ctx) {
      ctx.print("function " + stmt.name + "(");
      if (lang_1.isPresent(stmt.constructorMethod)) {
        this._visitParams(stmt.constructorMethod.params, ctx);
      }
      ctx.println(") {");
      ctx.incIndent();
      if (lang_1.isPresent(stmt.constructorMethod)) {
        if (stmt.constructorMethod.body.length > 0) {
          ctx.println("var self = this;");
          this.visitAllStatements(stmt.constructorMethod.body, ctx);
        }
      }
      ctx.decIndent();
      ctx.println("}");
    };
    AbstractJsEmitterVisitor.prototype._visitClassGetter = function(stmt, getter, ctx) {
      ctx.println("Object.defineProperty(" + stmt.name + ".prototype, '" + getter.name + "', { get: function() {");
      ctx.incIndent();
      if (getter.body.length > 0) {
        ctx.println("var self = this;");
        this.visitAllStatements(getter.body, ctx);
      }
      ctx.decIndent();
      ctx.println("}});");
    };
    AbstractJsEmitterVisitor.prototype._visitClassMethod = function(stmt, method, ctx) {
      ctx.print(stmt.name + ".prototype." + method.name + " = function(");
      this._visitParams(method.params, ctx);
      ctx.println(") {");
      ctx.incIndent();
      if (method.body.length > 0) {
        ctx.println("var self = this;");
        this.visitAllStatements(method.body, ctx);
      }
      ctx.decIndent();
      ctx.println("};");
    };
    AbstractJsEmitterVisitor.prototype.visitReadVarExpr = function(ast, ctx) {
      if (ast.builtin === o.BuiltinVar.This) {
        ctx.print('self');
      } else if (ast.builtin === o.BuiltinVar.Super) {
        throw new exceptions_1.BaseException("'super' needs to be handled at a parent ast node, not at the variable level!");
      } else {
        _super.prototype.visitReadVarExpr.call(this, ast, ctx);
      }
      return null;
    };
    AbstractJsEmitterVisitor.prototype.visitDeclareVarStmt = function(stmt, ctx) {
      ctx.print("var " + stmt.name + " = ");
      stmt.value.visitExpression(this, ctx);
      ctx.println(";");
      return null;
    };
    AbstractJsEmitterVisitor.prototype.visitCastExpr = function(ast, ctx) {
      ast.value.visitExpression(this, ctx);
      return null;
    };
    AbstractJsEmitterVisitor.prototype.visitInvokeFunctionExpr = function(expr, ctx) {
      var fnExpr = expr.fn;
      if (fnExpr instanceof o.ReadVarExpr && fnExpr.builtin === o.BuiltinVar.Super) {
        ctx.currentClass.parent.visitExpression(this, ctx);
        ctx.print(".call(this");
        if (expr.args.length > 0) {
          ctx.print(", ");
          this.visitAllExpressions(expr.args, ctx, ',');
        }
        ctx.print(")");
      } else {
        _super.prototype.visitInvokeFunctionExpr.call(this, expr, ctx);
      }
      return null;
    };
    AbstractJsEmitterVisitor.prototype.visitFunctionExpr = function(ast, ctx) {
      ctx.print("function(");
      this._visitParams(ast.params, ctx);
      ctx.println(") {");
      ctx.incIndent();
      this.visitAllStatements(ast.statements, ctx);
      ctx.decIndent();
      ctx.print("}");
      return null;
    };
    AbstractJsEmitterVisitor.prototype.visitDeclareFunctionStmt = function(stmt, ctx) {
      ctx.print("function " + stmt.name + "(");
      this._visitParams(stmt.params, ctx);
      ctx.println(") {");
      ctx.incIndent();
      this.visitAllStatements(stmt.statements, ctx);
      ctx.decIndent();
      ctx.println("}");
      return null;
    };
    AbstractJsEmitterVisitor.prototype.visitTryCatchStmt = function(stmt, ctx) {
      ctx.println("try {");
      ctx.incIndent();
      this.visitAllStatements(stmt.bodyStmts, ctx);
      ctx.decIndent();
      ctx.println("} catch (" + abstract_emitter_1.CATCH_ERROR_VAR.name + ") {");
      ctx.incIndent();
      var catchStmts = [abstract_emitter_1.CATCH_STACK_VAR.set(abstract_emitter_1.CATCH_ERROR_VAR.prop('stack')).toDeclStmt(null, [o.StmtModifier.Final])].concat(stmt.catchStmts);
      this.visitAllStatements(catchStmts, ctx);
      ctx.decIndent();
      ctx.println("}");
      return null;
    };
    AbstractJsEmitterVisitor.prototype._visitParams = function(params, ctx) {
      this.visitAllObjects(function(param) {
        return ctx.print(param.name);
      }, params, ctx, ',');
    };
    AbstractJsEmitterVisitor.prototype.getBuiltinMethodName = function(method) {
      var name;
      switch (method) {
        case o.BuiltinMethod.ConcatArray:
          name = 'concat';
          break;
        case o.BuiltinMethod.SubscribeObservable:
          name = 'subscribe';
          break;
        case o.BuiltinMethod.bind:
          name = 'bind';
          break;
        default:
          throw new exceptions_1.BaseException("Unknown builtin method: " + method);
      }
      return name;
    };
    return AbstractJsEmitterVisitor;
  }(abstract_emitter_1.AbstractEmitterVisitor));
  exports.AbstractJsEmitterVisitor = AbstractJsEmitterVisitor;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/output/output_jit.js", ["../facade/lang", "./abstract_emitter", "./abstract_js_emitter", "../util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var lang_1 = $__require('../facade/lang');
  var abstract_emitter_1 = $__require('./abstract_emitter');
  var abstract_js_emitter_1 = $__require('./abstract_js_emitter');
  var util_1 = $__require('../util');
  function jitStatements(sourceUrl, statements, resultVar) {
    var converter = new JitEmitterVisitor();
    var ctx = abstract_emitter_1.EmitterVisitorContext.createRoot([resultVar]);
    converter.visitAllStatements(statements, ctx);
    return lang_1.evalExpression(sourceUrl, resultVar, ctx.toSource(), converter.getArgs());
  }
  exports.jitStatements = jitStatements;
  var JitEmitterVisitor = (function(_super) {
    __extends(JitEmitterVisitor, _super);
    function JitEmitterVisitor() {
      _super.apply(this, arguments);
      this._evalArgNames = [];
      this._evalArgValues = [];
    }
    JitEmitterVisitor.prototype.getArgs = function() {
      var result = {};
      for (var i = 0; i < this._evalArgNames.length; i++) {
        result[this._evalArgNames[i]] = this._evalArgValues[i];
      }
      return result;
    };
    JitEmitterVisitor.prototype.visitExternalExpr = function(ast, ctx) {
      var value = ast.value.runtime;
      var id = this._evalArgValues.indexOf(value);
      if (id === -1) {
        id = this._evalArgValues.length;
        this._evalArgValues.push(value);
        var name = lang_1.isPresent(ast.value.name) ? util_1.sanitizeIdentifier(ast.value.name) : 'val';
        this._evalArgNames.push(util_1.sanitizeIdentifier("jit_" + name + id));
      }
      ctx.print(this._evalArgNames[id]);
      return null;
    };
    return JitEmitterVisitor;
  }(abstract_js_emitter_1.AbstractJsEmitterVisitor));
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/facade/promise.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var PromiseCompleter = (function() {
    function PromiseCompleter() {
      var _this = this;
      this.promise = new Promise(function(res, rej) {
        _this.resolve = res;
        _this.reject = rej;
      });
    }
    return PromiseCompleter;
  }());
  exports.PromiseCompleter = PromiseCompleter;
  var PromiseWrapper = (function() {
    function PromiseWrapper() {}
    PromiseWrapper.resolve = function(obj) {
      return Promise.resolve(obj);
    };
    PromiseWrapper.reject = function(obj, _) {
      return Promise.reject(obj);
    };
    PromiseWrapper.catchError = function(promise, onError) {
      return promise.catch(onError);
    };
    PromiseWrapper.all = function(promises) {
      if (promises.length == 0)
        return Promise.resolve([]);
      return Promise.all(promises);
    };
    PromiseWrapper.then = function(promise, success, rejection) {
      return promise.then(success, rejection);
    };
    PromiseWrapper.wrap = function(computation) {
      return new Promise(function(res, rej) {
        try {
          res(computation());
        } catch (e) {
          rej(e);
        }
      });
    };
    PromiseWrapper.scheduleMicrotask = function(computation) {
      PromiseWrapper.then(PromiseWrapper.resolve(null), computation, function(_) {});
    };
    PromiseWrapper.completer = function() {
      return new PromiseCompleter();
    };
    return PromiseWrapper;
  }());
  exports.PromiseWrapper = PromiseWrapper;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/facade/async.js", ["rxjs/Subject", "rxjs/observable/PromiseObservable", "rxjs/operator/toPromise", "./lang", "rxjs/Observable", "./promise"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var Subject_1 = $__require('rxjs/Subject');
  var PromiseObservable_1 = $__require('rxjs/observable/PromiseObservable');
  var toPromise_1 = $__require('rxjs/operator/toPromise');
  var lang_1 = $__require('./lang');
  var Observable_1 = $__require('rxjs/Observable');
  exports.Observable = Observable_1.Observable;
  var Subject_2 = $__require('rxjs/Subject');
  exports.Subject = Subject_2.Subject;
  var promise_1 = $__require('./promise');
  exports.PromiseCompleter = promise_1.PromiseCompleter;
  exports.PromiseWrapper = promise_1.PromiseWrapper;
  var TimerWrapper = (function() {
    function TimerWrapper() {}
    TimerWrapper.setTimeout = function(fn, millis) {
      return lang_1.global.setTimeout(fn, millis);
    };
    TimerWrapper.clearTimeout = function(id) {
      lang_1.global.clearTimeout(id);
    };
    TimerWrapper.setInterval = function(fn, millis) {
      return lang_1.global.setInterval(fn, millis);
    };
    TimerWrapper.clearInterval = function(id) {
      lang_1.global.clearInterval(id);
    };
    return TimerWrapper;
  }());
  exports.TimerWrapper = TimerWrapper;
  var ObservableWrapper = (function() {
    function ObservableWrapper() {}
    ObservableWrapper.subscribe = function(emitter, onNext, onError, onComplete) {
      if (onComplete === void 0) {
        onComplete = function() {};
      }
      onError = (typeof onError === 'function') && onError || lang_1.noop;
      onComplete = (typeof onComplete === 'function') && onComplete || lang_1.noop;
      return emitter.subscribe({
        next: onNext,
        error: onError,
        complete: onComplete
      });
    };
    ObservableWrapper.isObservable = function(obs) {
      return !!obs.subscribe;
    };
    ObservableWrapper.hasSubscribers = function(obs) {
      return obs.observers.length > 0;
    };
    ObservableWrapper.dispose = function(subscription) {
      subscription.unsubscribe();
    };
    ObservableWrapper.callNext = function(emitter, value) {
      emitter.emit(value);
    };
    ObservableWrapper.callEmit = function(emitter, value) {
      emitter.emit(value);
    };
    ObservableWrapper.callError = function(emitter, error) {
      emitter.error(error);
    };
    ObservableWrapper.callComplete = function(emitter) {
      emitter.complete();
    };
    ObservableWrapper.fromPromise = function(promise) {
      return PromiseObservable_1.PromiseObservable.create(promise);
    };
    ObservableWrapper.toPromise = function(obj) {
      return toPromise_1.toPromise.call(obj);
    };
    return ObservableWrapper;
  }());
  exports.ObservableWrapper = ObservableWrapper;
  var EventEmitter = (function(_super) {
    __extends(EventEmitter, _super);
    function EventEmitter(isAsync) {
      if (isAsync === void 0) {
        isAsync = false;
      }
      _super.call(this);
      this.__isAsync = isAsync;
    }
    EventEmitter.prototype.emit = function(value) {
      _super.prototype.next.call(this, value);
    };
    EventEmitter.prototype.next = function(value) {
      _super.prototype.next.call(this, value);
    };
    EventEmitter.prototype.subscribe = function(generatorOrNext, error, complete) {
      var schedulerFn;
      var errorFn = function(err) {
        return null;
      };
      var completeFn = function() {
        return null;
      };
      if (generatorOrNext && typeof generatorOrNext === 'object') {
        schedulerFn = this.__isAsync ? function(value) {
          setTimeout(function() {
            return generatorOrNext.next(value);
          });
        } : function(value) {
          generatorOrNext.next(value);
        };
        if (generatorOrNext.error) {
          errorFn = this.__isAsync ? function(err) {
            setTimeout(function() {
              return generatorOrNext.error(err);
            });
          } : function(err) {
            generatorOrNext.error(err);
          };
        }
        if (generatorOrNext.complete) {
          completeFn = this.__isAsync ? function() {
            setTimeout(function() {
              return generatorOrNext.complete();
            });
          } : function() {
            generatorOrNext.complete();
          };
        }
      } else {
        schedulerFn = this.__isAsync ? function(value) {
          setTimeout(function() {
            return generatorOrNext(value);
          });
        } : function(value) {
          generatorOrNext(value);
        };
        if (error) {
          errorFn = this.__isAsync ? function(err) {
            setTimeout(function() {
              return error(err);
            });
          } : function(err) {
            error(err);
          };
        }
        if (complete) {
          completeFn = this.__isAsync ? function() {
            setTimeout(function() {
              return complete();
            });
          } : function() {
            complete();
          };
        }
      }
      return _super.prototype.subscribe.call(this, schedulerFn, errorFn, completeFn);
    };
    return EventEmitter;
  }(Subject_1.Subject));
  exports.EventEmitter = EventEmitter;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/output/dart_emitter.js", ["../facade/exceptions", "../facade/lang", "./output_ast", "./abstract_emitter"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var o = $__require('./output_ast');
  var abstract_emitter_1 = $__require('./abstract_emitter');
  var _debugModuleUrl = 'asset://debug/lib';
  function debugOutputAstAsDart(ast) {
    var converter = new _DartEmitterVisitor(_debugModuleUrl);
    var ctx = abstract_emitter_1.EmitterVisitorContext.createRoot([]);
    var asts;
    if (lang_1.isArray(ast)) {
      asts = ast;
    } else {
      asts = [ast];
    }
    asts.forEach(function(ast) {
      if (ast instanceof o.Statement) {
        ast.visitStatement(converter, ctx);
      } else if (ast instanceof o.Expression) {
        ast.visitExpression(converter, ctx);
      } else if (ast instanceof o.Type) {
        ast.visitType(converter, ctx);
      } else {
        throw new exceptions_1.BaseException("Don't know how to print debug info for " + ast);
      }
    });
    return ctx.toSource();
  }
  exports.debugOutputAstAsDart = debugOutputAstAsDart;
  var DartEmitter = (function() {
    function DartEmitter(_importGenerator) {
      this._importGenerator = _importGenerator;
    }
    DartEmitter.prototype.emitStatements = function(moduleUrl, stmts, exportedVars) {
      var _this = this;
      var srcParts = [];
      var converter = new _DartEmitterVisitor(moduleUrl);
      var ctx = abstract_emitter_1.EmitterVisitorContext.createRoot(exportedVars);
      converter.visitAllStatements(stmts, ctx);
      converter.importsWithPrefixes.forEach(function(prefix, importedModuleUrl) {
        srcParts.push("import '" + _this._importGenerator.getImportPath(moduleUrl, importedModuleUrl) + "' as " + prefix + ";");
      });
      srcParts.push(ctx.toSource());
      return srcParts.join('\n');
    };
    return DartEmitter;
  }());
  exports.DartEmitter = DartEmitter;
  var _DartEmitterVisitor = (function(_super) {
    __extends(_DartEmitterVisitor, _super);
    function _DartEmitterVisitor(_moduleUrl) {
      _super.call(this, true);
      this._moduleUrl = _moduleUrl;
      this.importsWithPrefixes = new Map();
    }
    _DartEmitterVisitor.prototype.visitExternalExpr = function(ast, ctx) {
      this._visitIdentifier(ast.value, ast.typeParams, ctx);
      return null;
    };
    _DartEmitterVisitor.prototype.visitDeclareVarStmt = function(stmt, ctx) {
      if (stmt.hasModifier(o.StmtModifier.Final)) {
        if (isConstType(stmt.type)) {
          ctx.print("const ");
        } else {
          ctx.print("final ");
        }
      } else if (lang_1.isBlank(stmt.type)) {
        ctx.print("var ");
      }
      if (lang_1.isPresent(stmt.type)) {
        stmt.type.visitType(this, ctx);
        ctx.print(" ");
      }
      ctx.print(stmt.name + " = ");
      stmt.value.visitExpression(this, ctx);
      ctx.println(";");
      return null;
    };
    _DartEmitterVisitor.prototype.visitCastExpr = function(ast, ctx) {
      ctx.print("(");
      ast.value.visitExpression(this, ctx);
      ctx.print(" as ");
      ast.type.visitType(this, ctx);
      ctx.print(")");
      return null;
    };
    _DartEmitterVisitor.prototype.visitDeclareClassStmt = function(stmt, ctx) {
      var _this = this;
      ctx.pushClass(stmt);
      ctx.print("class " + stmt.name);
      if (lang_1.isPresent(stmt.parent)) {
        ctx.print(" extends ");
        stmt.parent.visitExpression(this, ctx);
      }
      ctx.println(" {");
      ctx.incIndent();
      stmt.fields.forEach(function(field) {
        return _this._visitClassField(field, ctx);
      });
      if (lang_1.isPresent(stmt.constructorMethod)) {
        this._visitClassConstructor(stmt, ctx);
      }
      stmt.getters.forEach(function(getter) {
        return _this._visitClassGetter(getter, ctx);
      });
      stmt.methods.forEach(function(method) {
        return _this._visitClassMethod(method, ctx);
      });
      ctx.decIndent();
      ctx.println("}");
      ctx.popClass();
      return null;
    };
    _DartEmitterVisitor.prototype._visitClassField = function(field, ctx) {
      if (field.hasModifier(o.StmtModifier.Final)) {
        ctx.print("final ");
      } else if (lang_1.isBlank(field.type)) {
        ctx.print("var ");
      }
      if (lang_1.isPresent(field.type)) {
        field.type.visitType(this, ctx);
        ctx.print(" ");
      }
      ctx.println(field.name + ";");
    };
    _DartEmitterVisitor.prototype._visitClassGetter = function(getter, ctx) {
      if (lang_1.isPresent(getter.type)) {
        getter.type.visitType(this, ctx);
        ctx.print(" ");
      }
      ctx.println("get " + getter.name + " {");
      ctx.incIndent();
      this.visitAllStatements(getter.body, ctx);
      ctx.decIndent();
      ctx.println("}");
    };
    _DartEmitterVisitor.prototype._visitClassConstructor = function(stmt, ctx) {
      ctx.print(stmt.name + "(");
      this._visitParams(stmt.constructorMethod.params, ctx);
      ctx.print(")");
      var ctorStmts = stmt.constructorMethod.body;
      var superCtorExpr = ctorStmts.length > 0 ? getSuperConstructorCallExpr(ctorStmts[0]) : null;
      if (lang_1.isPresent(superCtorExpr)) {
        ctx.print(": ");
        superCtorExpr.visitExpression(this, ctx);
        ctorStmts = ctorStmts.slice(1);
      }
      ctx.println(" {");
      ctx.incIndent();
      this.visitAllStatements(ctorStmts, ctx);
      ctx.decIndent();
      ctx.println("}");
    };
    _DartEmitterVisitor.prototype._visitClassMethod = function(method, ctx) {
      if (lang_1.isPresent(method.type)) {
        method.type.visitType(this, ctx);
      } else {
        ctx.print("void");
      }
      ctx.print(" " + method.name + "(");
      this._visitParams(method.params, ctx);
      ctx.println(") {");
      ctx.incIndent();
      this.visitAllStatements(method.body, ctx);
      ctx.decIndent();
      ctx.println("}");
    };
    _DartEmitterVisitor.prototype.visitFunctionExpr = function(ast, ctx) {
      ctx.print("(");
      this._visitParams(ast.params, ctx);
      ctx.println(") {");
      ctx.incIndent();
      this.visitAllStatements(ast.statements, ctx);
      ctx.decIndent();
      ctx.print("}");
      return null;
    };
    _DartEmitterVisitor.prototype.visitDeclareFunctionStmt = function(stmt, ctx) {
      if (lang_1.isPresent(stmt.type)) {
        stmt.type.visitType(this, ctx);
      } else {
        ctx.print("void");
      }
      ctx.print(" " + stmt.name + "(");
      this._visitParams(stmt.params, ctx);
      ctx.println(") {");
      ctx.incIndent();
      this.visitAllStatements(stmt.statements, ctx);
      ctx.decIndent();
      ctx.println("}");
      return null;
    };
    _DartEmitterVisitor.prototype.getBuiltinMethodName = function(method) {
      var name;
      switch (method) {
        case o.BuiltinMethod.ConcatArray:
          name = '.addAll';
          break;
        case o.BuiltinMethod.SubscribeObservable:
          name = 'listen';
          break;
        case o.BuiltinMethod.bind:
          name = null;
          break;
        default:
          throw new exceptions_1.BaseException("Unknown builtin method: " + method);
      }
      return name;
    };
    _DartEmitterVisitor.prototype.visitTryCatchStmt = function(stmt, ctx) {
      ctx.println("try {");
      ctx.incIndent();
      this.visitAllStatements(stmt.bodyStmts, ctx);
      ctx.decIndent();
      ctx.println("} catch (" + abstract_emitter_1.CATCH_ERROR_VAR.name + ", " + abstract_emitter_1.CATCH_STACK_VAR.name + ") {");
      ctx.incIndent();
      this.visitAllStatements(stmt.catchStmts, ctx);
      ctx.decIndent();
      ctx.println("}");
      return null;
    };
    _DartEmitterVisitor.prototype.visitBinaryOperatorExpr = function(ast, ctx) {
      switch (ast.operator) {
        case o.BinaryOperator.Identical:
          ctx.print("identical(");
          ast.lhs.visitExpression(this, ctx);
          ctx.print(", ");
          ast.rhs.visitExpression(this, ctx);
          ctx.print(")");
          break;
        case o.BinaryOperator.NotIdentical:
          ctx.print("!identical(");
          ast.lhs.visitExpression(this, ctx);
          ctx.print(", ");
          ast.rhs.visitExpression(this, ctx);
          ctx.print(")");
          break;
        default:
          _super.prototype.visitBinaryOperatorExpr.call(this, ast, ctx);
      }
      return null;
    };
    _DartEmitterVisitor.prototype.visitLiteralArrayExpr = function(ast, ctx) {
      if (isConstType(ast.type)) {
        ctx.print("const ");
      }
      return _super.prototype.visitLiteralArrayExpr.call(this, ast, ctx);
    };
    _DartEmitterVisitor.prototype.visitLiteralMapExpr = function(ast, ctx) {
      if (isConstType(ast.type)) {
        ctx.print("const ");
      }
      if (lang_1.isPresent(ast.valueType)) {
        ctx.print("<String, ");
        ast.valueType.visitType(this, ctx);
        ctx.print(">");
      }
      return _super.prototype.visitLiteralMapExpr.call(this, ast, ctx);
    };
    _DartEmitterVisitor.prototype.visitInstantiateExpr = function(ast, ctx) {
      ctx.print(isConstType(ast.type) ? "const" : "new");
      ctx.print(' ');
      ast.classExpr.visitExpression(this, ctx);
      ctx.print("(");
      this.visitAllExpressions(ast.args, ctx, ",");
      ctx.print(")");
      return null;
    };
    _DartEmitterVisitor.prototype.visitBuiltintType = function(type, ctx) {
      var typeStr;
      switch (type.name) {
        case o.BuiltinTypeName.Bool:
          typeStr = 'bool';
          break;
        case o.BuiltinTypeName.Dynamic:
          typeStr = 'dynamic';
          break;
        case o.BuiltinTypeName.Function:
          typeStr = 'Function';
          break;
        case o.BuiltinTypeName.Number:
          typeStr = 'num';
          break;
        case o.BuiltinTypeName.Int:
          typeStr = 'int';
          break;
        case o.BuiltinTypeName.String:
          typeStr = 'String';
          break;
        default:
          throw new exceptions_1.BaseException("Unsupported builtin type " + type.name);
      }
      ctx.print(typeStr);
      return null;
    };
    _DartEmitterVisitor.prototype.visitExternalType = function(ast, ctx) {
      this._visitIdentifier(ast.value, ast.typeParams, ctx);
      return null;
    };
    _DartEmitterVisitor.prototype.visitArrayType = function(type, ctx) {
      ctx.print("List<");
      if (lang_1.isPresent(type.of)) {
        type.of.visitType(this, ctx);
      } else {
        ctx.print("dynamic");
      }
      ctx.print(">");
      return null;
    };
    _DartEmitterVisitor.prototype.visitMapType = function(type, ctx) {
      ctx.print("Map<String, ");
      if (lang_1.isPresent(type.valueType)) {
        type.valueType.visitType(this, ctx);
      } else {
        ctx.print("dynamic");
      }
      ctx.print(">");
      return null;
    };
    _DartEmitterVisitor.prototype._visitParams = function(params, ctx) {
      var _this = this;
      this.visitAllObjects(function(param) {
        if (lang_1.isPresent(param.type)) {
          param.type.visitType(_this, ctx);
          ctx.print(' ');
        }
        ctx.print(param.name);
      }, params, ctx, ',');
    };
    _DartEmitterVisitor.prototype._visitIdentifier = function(value, typeParams, ctx) {
      var _this = this;
      if (lang_1.isBlank(value.name)) {
        throw new exceptions_1.BaseException("Internal error: unknown identifier " + value);
      }
      if (lang_1.isPresent(value.moduleUrl) && value.moduleUrl != this._moduleUrl) {
        var prefix = this.importsWithPrefixes.get(value.moduleUrl);
        if (lang_1.isBlank(prefix)) {
          prefix = "import" + this.importsWithPrefixes.size;
          this.importsWithPrefixes.set(value.moduleUrl, prefix);
        }
        ctx.print(prefix + ".");
      }
      ctx.print(value.name);
      if (lang_1.isPresent(typeParams) && typeParams.length > 0) {
        ctx.print("<");
        this.visitAllObjects(function(type) {
          return type.visitType(_this, ctx);
        }, typeParams, ctx, ',');
        ctx.print(">");
      }
    };
    return _DartEmitterVisitor;
  }(abstract_emitter_1.AbstractEmitterVisitor));
  function getSuperConstructorCallExpr(stmt) {
    if (stmt instanceof o.ExpressionStatement) {
      var expr = stmt.expr;
      if (expr instanceof o.InvokeFunctionExpr) {
        var fn = expr.fn;
        if (fn instanceof o.ReadVarExpr) {
          if (fn.builtin === o.BuiltinVar.Super) {
            return expr;
          }
        }
      }
    }
    return null;
  }
  function isConstType(type) {
    return lang_1.isPresent(type) && type.hasModifier(o.TypeModifier.Const);
  }
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/output/output_interpreter.js", ["../../core_private", "../facade/async", "../facade/collection", "../facade/exceptions", "../facade/lang", "./dart_emitter", "./output_ast", "./ts_emitter"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_private_1 = $__require('../../core_private');
  var async_1 = $__require('../facade/async');
  var collection_1 = $__require('../facade/collection');
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var dart_emitter_1 = $__require('./dart_emitter');
  var o = $__require('./output_ast');
  var ts_emitter_1 = $__require('./ts_emitter');
  function interpretStatements(statements, resultVar, instanceFactory) {
    var stmtsWithReturn = statements.concat([new o.ReturnStatement(o.variable(resultVar))]);
    var ctx = new _ExecutionContext(null, null, null, null, new Map(), new Map(), new Map(), new Map(), instanceFactory);
    var visitor = new StatementInterpreter();
    var result = visitor.visitAllStatements(stmtsWithReturn, ctx);
    return lang_1.isPresent(result) ? result.value : null;
  }
  exports.interpretStatements = interpretStatements;
  var DynamicInstance = (function() {
    function DynamicInstance() {}
    Object.defineProperty(DynamicInstance.prototype, "props", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DynamicInstance.prototype, "getters", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DynamicInstance.prototype, "methods", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DynamicInstance.prototype, "clazz", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    return DynamicInstance;
  }());
  exports.DynamicInstance = DynamicInstance;
  function isDynamicInstance(instance) {
    if (lang_1.IS_DART) {
      return instance instanceof DynamicInstance;
    } else {
      return lang_1.isPresent(instance) && lang_1.isPresent(instance.props) && lang_1.isPresent(instance.getters) && lang_1.isPresent(instance.methods);
    }
  }
  function _executeFunctionStatements(varNames, varValues, statements, ctx, visitor) {
    var childCtx = ctx.createChildWihtLocalVars();
    for (var i = 0; i < varNames.length; i++) {
      childCtx.vars.set(varNames[i], varValues[i]);
    }
    var result = visitor.visitAllStatements(statements, childCtx);
    return lang_1.isPresent(result) ? result.value : null;
  }
  var _ExecutionContext = (function() {
    function _ExecutionContext(parent, superClass, superInstance, className, vars, props, getters, methods, instanceFactory) {
      this.parent = parent;
      this.superClass = superClass;
      this.superInstance = superInstance;
      this.className = className;
      this.vars = vars;
      this.props = props;
      this.getters = getters;
      this.methods = methods;
      this.instanceFactory = instanceFactory;
    }
    _ExecutionContext.prototype.createChildWihtLocalVars = function() {
      return new _ExecutionContext(this, this.superClass, this.superInstance, this.className, new Map(), this.props, this.getters, this.methods, this.instanceFactory);
    };
    return _ExecutionContext;
  }());
  var ReturnValue = (function() {
    function ReturnValue(value) {
      this.value = value;
    }
    return ReturnValue;
  }());
  var _DynamicClass = (function() {
    function _DynamicClass(_classStmt, _ctx, _visitor) {
      this._classStmt = _classStmt;
      this._ctx = _ctx;
      this._visitor = _visitor;
    }
    _DynamicClass.prototype.instantiate = function(args) {
      var _this = this;
      var props = new Map();
      var getters = new Map();
      var methods = new Map();
      var superClass = this._classStmt.parent.visitExpression(this._visitor, this._ctx);
      var instanceCtx = new _ExecutionContext(this._ctx, superClass, null, this._classStmt.name, this._ctx.vars, props, getters, methods, this._ctx.instanceFactory);
      this._classStmt.fields.forEach(function(field) {
        props.set(field.name, null);
      });
      this._classStmt.getters.forEach(function(getter) {
        getters.set(getter.name, function() {
          return _executeFunctionStatements([], [], getter.body, instanceCtx, _this._visitor);
        });
      });
      this._classStmt.methods.forEach(function(method) {
        var paramNames = method.params.map(function(param) {
          return param.name;
        });
        methods.set(method.name, _declareFn(paramNames, method.body, instanceCtx, _this._visitor));
      });
      var ctorParamNames = this._classStmt.constructorMethod.params.map(function(param) {
        return param.name;
      });
      _executeFunctionStatements(ctorParamNames, args, this._classStmt.constructorMethod.body, instanceCtx, this._visitor);
      return instanceCtx.superInstance;
    };
    _DynamicClass.prototype.debugAst = function() {
      return this._visitor.debugAst(this._classStmt);
    };
    return _DynamicClass;
  }());
  var StatementInterpreter = (function() {
    function StatementInterpreter() {}
    StatementInterpreter.prototype.debugAst = function(ast) {
      return lang_1.IS_DART ? dart_emitter_1.debugOutputAstAsDart(ast) : ts_emitter_1.debugOutputAstAsTypeScript(ast);
    };
    StatementInterpreter.prototype.visitDeclareVarStmt = function(stmt, ctx) {
      ctx.vars.set(stmt.name, stmt.value.visitExpression(this, ctx));
      return null;
    };
    StatementInterpreter.prototype.visitWriteVarExpr = function(expr, ctx) {
      var value = expr.value.visitExpression(this, ctx);
      var currCtx = ctx;
      while (currCtx != null) {
        if (currCtx.vars.has(expr.name)) {
          currCtx.vars.set(expr.name, value);
          return value;
        }
        currCtx = currCtx.parent;
      }
      throw new exceptions_1.BaseException("Not declared variable " + expr.name);
    };
    StatementInterpreter.prototype.visitReadVarExpr = function(ast, ctx) {
      var varName = ast.name;
      if (lang_1.isPresent(ast.builtin)) {
        switch (ast.builtin) {
          case o.BuiltinVar.Super:
          case o.BuiltinVar.This:
            return ctx.superInstance;
          case o.BuiltinVar.CatchError:
            varName = CATCH_ERROR_VAR;
            break;
          case o.BuiltinVar.CatchStack:
            varName = CATCH_STACK_VAR;
            break;
          default:
            throw new exceptions_1.BaseException("Unknown builtin variable " + ast.builtin);
        }
      }
      var currCtx = ctx;
      while (currCtx != null) {
        if (currCtx.vars.has(varName)) {
          return currCtx.vars.get(varName);
        }
        currCtx = currCtx.parent;
      }
      throw new exceptions_1.BaseException("Not declared variable " + varName);
    };
    StatementInterpreter.prototype.visitWriteKeyExpr = function(expr, ctx) {
      var receiver = expr.receiver.visitExpression(this, ctx);
      var index = expr.index.visitExpression(this, ctx);
      var value = expr.value.visitExpression(this, ctx);
      receiver[index] = value;
      return value;
    };
    StatementInterpreter.prototype.visitWritePropExpr = function(expr, ctx) {
      var receiver = expr.receiver.visitExpression(this, ctx);
      var value = expr.value.visitExpression(this, ctx);
      if (isDynamicInstance(receiver)) {
        var di = receiver;
        if (di.props.has(expr.name)) {
          di.props.set(expr.name, value);
        } else {
          core_private_1.reflector.setter(expr.name)(receiver, value);
        }
      } else {
        core_private_1.reflector.setter(expr.name)(receiver, value);
      }
      return value;
    };
    StatementInterpreter.prototype.visitInvokeMethodExpr = function(expr, ctx) {
      var receiver = expr.receiver.visitExpression(this, ctx);
      var args = this.visitAllExpressions(expr.args, ctx);
      var result;
      if (lang_1.isPresent(expr.builtin)) {
        switch (expr.builtin) {
          case o.BuiltinMethod.ConcatArray:
            result = collection_1.ListWrapper.concat(receiver, args[0]);
            break;
          case o.BuiltinMethod.SubscribeObservable:
            result = async_1.ObservableWrapper.subscribe(receiver, args[0]);
            break;
          case o.BuiltinMethod.bind:
            if (lang_1.IS_DART) {
              result = receiver;
            } else {
              result = receiver.bind(args[0]);
            }
            break;
          default:
            throw new exceptions_1.BaseException("Unknown builtin method " + expr.builtin);
        }
      } else if (isDynamicInstance(receiver)) {
        var di = receiver;
        if (di.methods.has(expr.name)) {
          result = lang_1.FunctionWrapper.apply(di.methods.get(expr.name), args);
        } else {
          result = core_private_1.reflector.method(expr.name)(receiver, args);
        }
      } else {
        result = core_private_1.reflector.method(expr.name)(receiver, args);
      }
      return result;
    };
    StatementInterpreter.prototype.visitInvokeFunctionExpr = function(stmt, ctx) {
      var args = this.visitAllExpressions(stmt.args, ctx);
      var fnExpr = stmt.fn;
      if (fnExpr instanceof o.ReadVarExpr && fnExpr.builtin === o.BuiltinVar.Super) {
        ctx.superInstance = ctx.instanceFactory.createInstance(ctx.superClass, ctx.className, args, ctx.props, ctx.getters, ctx.methods);
        ctx.parent.superInstance = ctx.superInstance;
        return null;
      } else {
        var fn = stmt.fn.visitExpression(this, ctx);
        return lang_1.FunctionWrapper.apply(fn, args);
      }
    };
    StatementInterpreter.prototype.visitReturnStmt = function(stmt, ctx) {
      return new ReturnValue(stmt.value.visitExpression(this, ctx));
    };
    StatementInterpreter.prototype.visitDeclareClassStmt = function(stmt, ctx) {
      var clazz = new _DynamicClass(stmt, ctx, this);
      ctx.vars.set(stmt.name, clazz);
      return null;
    };
    StatementInterpreter.prototype.visitExpressionStmt = function(stmt, ctx) {
      return stmt.expr.visitExpression(this, ctx);
    };
    StatementInterpreter.prototype.visitIfStmt = function(stmt, ctx) {
      var condition = stmt.condition.visitExpression(this, ctx);
      if (condition) {
        return this.visitAllStatements(stmt.trueCase, ctx);
      } else if (lang_1.isPresent(stmt.falseCase)) {
        return this.visitAllStatements(stmt.falseCase, ctx);
      }
      return null;
    };
    StatementInterpreter.prototype.visitTryCatchStmt = function(stmt, ctx) {
      try {
        return this.visitAllStatements(stmt.bodyStmts, ctx);
      } catch (e) {
        var childCtx = ctx.createChildWihtLocalVars();
        childCtx.vars.set(CATCH_ERROR_VAR, e);
        childCtx.vars.set(CATCH_STACK_VAR, e.stack);
        return this.visitAllStatements(stmt.catchStmts, childCtx);
      }
    };
    StatementInterpreter.prototype.visitThrowStmt = function(stmt, ctx) {
      throw stmt.error.visitExpression(this, ctx);
    };
    StatementInterpreter.prototype.visitCommentStmt = function(stmt, context) {
      return null;
    };
    StatementInterpreter.prototype.visitInstantiateExpr = function(ast, ctx) {
      var args = this.visitAllExpressions(ast.args, ctx);
      var clazz = ast.classExpr.visitExpression(this, ctx);
      if (clazz instanceof _DynamicClass) {
        return clazz.instantiate(args);
      } else {
        return lang_1.FunctionWrapper.apply(core_private_1.reflector.factory(clazz), args);
      }
    };
    StatementInterpreter.prototype.visitLiteralExpr = function(ast, ctx) {
      return ast.value;
    };
    StatementInterpreter.prototype.visitExternalExpr = function(ast, ctx) {
      return ast.value.runtime;
    };
    StatementInterpreter.prototype.visitConditionalExpr = function(ast, ctx) {
      if (ast.condition.visitExpression(this, ctx)) {
        return ast.trueCase.visitExpression(this, ctx);
      } else if (lang_1.isPresent(ast.falseCase)) {
        return ast.falseCase.visitExpression(this, ctx);
      }
      return null;
    };
    StatementInterpreter.prototype.visitNotExpr = function(ast, ctx) {
      return !ast.condition.visitExpression(this, ctx);
    };
    StatementInterpreter.prototype.visitCastExpr = function(ast, ctx) {
      return ast.value.visitExpression(this, ctx);
    };
    StatementInterpreter.prototype.visitFunctionExpr = function(ast, ctx) {
      var paramNames = ast.params.map(function(param) {
        return param.name;
      });
      return _declareFn(paramNames, ast.statements, ctx, this);
    };
    StatementInterpreter.prototype.visitDeclareFunctionStmt = function(stmt, ctx) {
      var paramNames = stmt.params.map(function(param) {
        return param.name;
      });
      ctx.vars.set(stmt.name, _declareFn(paramNames, stmt.statements, ctx, this));
      return null;
    };
    StatementInterpreter.prototype.visitBinaryOperatorExpr = function(ast, ctx) {
      var _this = this;
      var lhs = function() {
        return ast.lhs.visitExpression(_this, ctx);
      };
      var rhs = function() {
        return ast.rhs.visitExpression(_this, ctx);
      };
      switch (ast.operator) {
        case o.BinaryOperator.Equals:
          return lhs() == rhs();
        case o.BinaryOperator.Identical:
          return lhs() === rhs();
        case o.BinaryOperator.NotEquals:
          return lhs() != rhs();
        case o.BinaryOperator.NotIdentical:
          return lhs() !== rhs();
        case o.BinaryOperator.And:
          return lhs() && rhs();
        case o.BinaryOperator.Or:
          return lhs() || rhs();
        case o.BinaryOperator.Plus:
          return lhs() + rhs();
        case o.BinaryOperator.Minus:
          return lhs() - rhs();
        case o.BinaryOperator.Divide:
          return lhs() / rhs();
        case o.BinaryOperator.Multiply:
          return lhs() * rhs();
        case o.BinaryOperator.Modulo:
          return lhs() % rhs();
        case o.BinaryOperator.Lower:
          return lhs() < rhs();
        case o.BinaryOperator.LowerEquals:
          return lhs() <= rhs();
        case o.BinaryOperator.Bigger:
          return lhs() > rhs();
        case o.BinaryOperator.BiggerEquals:
          return lhs() >= rhs();
        default:
          throw new exceptions_1.BaseException("Unknown operator " + ast.operator);
      }
    };
    StatementInterpreter.prototype.visitReadPropExpr = function(ast, ctx) {
      var result;
      var receiver = ast.receiver.visitExpression(this, ctx);
      if (isDynamicInstance(receiver)) {
        var di = receiver;
        if (di.props.has(ast.name)) {
          result = di.props.get(ast.name);
        } else if (di.getters.has(ast.name)) {
          result = di.getters.get(ast.name)();
        } else if (di.methods.has(ast.name)) {
          result = di.methods.get(ast.name);
        } else {
          result = core_private_1.reflector.getter(ast.name)(receiver);
        }
      } else {
        result = core_private_1.reflector.getter(ast.name)(receiver);
      }
      return result;
    };
    StatementInterpreter.prototype.visitReadKeyExpr = function(ast, ctx) {
      var receiver = ast.receiver.visitExpression(this, ctx);
      var prop = ast.index.visitExpression(this, ctx);
      return receiver[prop];
    };
    StatementInterpreter.prototype.visitLiteralArrayExpr = function(ast, ctx) {
      return this.visitAllExpressions(ast.entries, ctx);
    };
    StatementInterpreter.prototype.visitLiteralMapExpr = function(ast, ctx) {
      var _this = this;
      var result = {};
      ast.entries.forEach(function(entry) {
        return result[entry[0]] = entry[1].visitExpression(_this, ctx);
      });
      return result;
    };
    StatementInterpreter.prototype.visitAllExpressions = function(expressions, ctx) {
      var _this = this;
      return expressions.map(function(expr) {
        return expr.visitExpression(_this, ctx);
      });
    };
    StatementInterpreter.prototype.visitAllStatements = function(statements, ctx) {
      for (var i = 0; i < statements.length; i++) {
        var stmt = statements[i];
        var val = stmt.visitStatement(this, ctx);
        if (val instanceof ReturnValue) {
          return val;
        }
      }
      return null;
    };
    return StatementInterpreter;
  }());
  function _declareFn(varNames, statements, ctx, visitor) {
    switch (varNames.length) {
      case 0:
        return function() {
          return _executeFunctionStatements(varNames, [], statements, ctx, visitor);
        };
      case 1:
        return function(d0) {
          return _executeFunctionStatements(varNames, [d0], statements, ctx, visitor);
        };
      case 2:
        return function(d0, d1) {
          return _executeFunctionStatements(varNames, [d0, d1], statements, ctx, visitor);
        };
      case 3:
        return function(d0, d1, d2) {
          return _executeFunctionStatements(varNames, [d0, d1, d2], statements, ctx, visitor);
        };
      case 4:
        return function(d0, d1, d2, d3) {
          return _executeFunctionStatements(varNames, [d0, d1, d2, d3], statements, ctx, visitor);
        };
      case 5:
        return function(d0, d1, d2, d3, d4) {
          return _executeFunctionStatements(varNames, [d0, d1, d2, d3, d4], statements, ctx, visitor);
        };
      case 6:
        return function(d0, d1, d2, d3, d4, d5) {
          return _executeFunctionStatements(varNames, [d0, d1, d2, d3, d4, d5], statements, ctx, visitor);
        };
      case 7:
        return function(d0, d1, d2, d3, d4, d5, d6) {
          return _executeFunctionStatements(varNames, [d0, d1, d2, d3, d4, d5, d6], statements, ctx, visitor);
        };
      case 8:
        return function(d0, d1, d2, d3, d4, d5, d6, d7) {
          return _executeFunctionStatements(varNames, [d0, d1, d2, d3, d4, d5, d6, d7], statements, ctx, visitor);
        };
      case 9:
        return function(d0, d1, d2, d3, d4, d5, d6, d7, d8) {
          return _executeFunctionStatements(varNames, [d0, d1, d2, d3, d4, d5, d6, d7, d8], statements, ctx, visitor);
        };
      case 10:
        return function(d0, d1, d2, d3, d4, d5, d6, d7, d8, d9) {
          return _executeFunctionStatements(varNames, [d0, d1, d2, d3, d4, d5, d6, d7, d8, d9], statements, ctx, visitor);
        };
      default:
        throw new exceptions_1.BaseException('Declaring functions with more than 10 arguments is not supported right now');
    }
  }
  var CATCH_ERROR_VAR = 'error';
  var CATCH_STACK_VAR = 'stack';
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/output/interpretive_view.js", ["../../core_private", "../facade/exceptions", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_private_1 = $__require('../../core_private');
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var InterpretiveAppViewInstanceFactory = (function() {
    function InterpretiveAppViewInstanceFactory() {}
    InterpretiveAppViewInstanceFactory.prototype.createInstance = function(superClass, clazz, args, props, getters, methods) {
      if (superClass === core_private_1.AppView) {
        args = args.concat([null]);
        return new _InterpretiveAppView(args, props, getters, methods);
      } else if (superClass === core_private_1.DebugAppView) {
        return new _InterpretiveAppView(args, props, getters, methods);
      }
      throw new exceptions_1.BaseException("Can't instantiate class " + superClass + " in interpretative mode");
    };
    return InterpretiveAppViewInstanceFactory;
  }());
  exports.InterpretiveAppViewInstanceFactory = InterpretiveAppViewInstanceFactory;
  var _InterpretiveAppView = (function(_super) {
    __extends(_InterpretiveAppView, _super);
    function _InterpretiveAppView(args, props, getters, methods) {
      _super.call(this, args[0], args[1], args[2], args[3], args[4], args[5], args[6], args[7]);
      this.props = props;
      this.getters = getters;
      this.methods = methods;
    }
    _InterpretiveAppView.prototype.createInternal = function(rootSelector) {
      var m = this.methods.get('createInternal');
      if (lang_1.isPresent(m)) {
        return m(rootSelector);
      } else {
        return _super.prototype.createInternal.call(this, rootSelector);
      }
    };
    _InterpretiveAppView.prototype.injectorGetInternal = function(token, nodeIndex, notFoundResult) {
      var m = this.methods.get('injectorGetInternal');
      if (lang_1.isPresent(m)) {
        return m(token, nodeIndex, notFoundResult);
      } else {
        return _super.prototype.injectorGet.call(this, token, nodeIndex, notFoundResult);
      }
    };
    _InterpretiveAppView.prototype.detachInternal = function() {
      var m = this.methods.get('detachInternal');
      if (lang_1.isPresent(m)) {
        return m();
      } else {
        return _super.prototype.detachInternal.call(this);
      }
    };
    _InterpretiveAppView.prototype.destroyInternal = function() {
      var m = this.methods.get('destroyInternal');
      if (lang_1.isPresent(m)) {
        return m();
      } else {
        return _super.prototype.destroyInternal.call(this);
      }
    };
    _InterpretiveAppView.prototype.dirtyParentQueriesInternal = function() {
      var m = this.methods.get('dirtyParentQueriesInternal');
      if (lang_1.isPresent(m)) {
        return m();
      } else {
        return _super.prototype.dirtyParentQueriesInternal.call(this);
      }
    };
    _InterpretiveAppView.prototype.detectChangesInternal = function(throwOnChange) {
      var m = this.methods.get('detectChangesInternal');
      if (lang_1.isPresent(m)) {
        return m(throwOnChange);
      } else {
        return _super.prototype.detectChangesInternal.call(this, throwOnChange);
      }
    };
    return _InterpretiveAppView;
  }(core_private_1.DebugAppView));
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/runtime_compiler.js", ["@angular/core", "../src/facade/exceptions", "../src/facade/lang", "../src/facade/async", "./compile_metadata", "./style_compiler", "./view_compiler/view_compiler", "./template_parser", "./directive_normalizer", "./metadata_resolver", "./config", "./output/output_ast", "./output/output_jit", "./output/output_interpreter", "./output/interpretive_view"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var exceptions_1 = $__require('../src/facade/exceptions');
  var lang_1 = $__require('../src/facade/lang');
  var async_1 = $__require('../src/facade/async');
  var compile_metadata_1 = $__require('./compile_metadata');
  var style_compiler_1 = $__require('./style_compiler');
  var view_compiler_1 = $__require('./view_compiler/view_compiler');
  var template_parser_1 = $__require('./template_parser');
  var directive_normalizer_1 = $__require('./directive_normalizer');
  var metadata_resolver_1 = $__require('./metadata_resolver');
  var config_1 = $__require('./config');
  var ir = $__require('./output/output_ast');
  var output_jit_1 = $__require('./output/output_jit');
  var output_interpreter_1 = $__require('./output/output_interpreter');
  var interpretive_view_1 = $__require('./output/interpretive_view');
  var RuntimeCompiler = (function() {
    function RuntimeCompiler(_metadataResolver, _templateNormalizer, _templateParser, _styleCompiler, _viewCompiler, _genConfig) {
      this._metadataResolver = _metadataResolver;
      this._templateNormalizer = _templateNormalizer;
      this._templateParser = _templateParser;
      this._styleCompiler = _styleCompiler;
      this._viewCompiler = _viewCompiler;
      this._genConfig = _genConfig;
      this._compiledTemplateCache = new Map();
      this._compiledHostTemplateCache = new Map();
    }
    RuntimeCompiler.prototype.resolveComponent = function(component) {
      if (lang_1.isString(component)) {
        return async_1.PromiseWrapper.reject(new exceptions_1.BaseException("Cannot resolve component using '" + component + "'."), null);
      }
      return this.compileComponentAsync(component);
    };
    RuntimeCompiler.prototype.compileComponentAsync = function(compType) {
      var _this = this;
      var templates = this._getTransitiveCompiledTemplates(compType, true);
      var loadingPromises = [];
      templates.forEach(function(template) {
        if (template.loading) {
          loadingPromises.push(template.loading);
        }
      });
      return Promise.all(loadingPromises).then(function() {
        templates.forEach(function(template) {
          _this._compileTemplate(template);
        });
        return _this._getCompiledHostTemplate(compType).proxyComponentFactory;
      });
    };
    RuntimeCompiler.prototype.compileComponentSync = function(compType) {
      var _this = this;
      var templates = this._getTransitiveCompiledTemplates(compType, true);
      templates.forEach(function(template) {
        if (template.loading) {
          throw new exceptions_1.BaseException("Can't compile synchronously as " + template.compType.name + " is still being loaded!");
        }
      });
      templates.forEach(function(template) {
        _this._compileTemplate(template);
      });
      return this._getCompiledHostTemplate(compType).proxyComponentFactory;
    };
    RuntimeCompiler.prototype.clearCacheFor = function(compType) {
      this._metadataResolver.clearCacheFor(compType);
      this._compiledHostTemplateCache.delete(compType);
      var compiledTemplate = this._compiledTemplateCache.get(compType);
      if (compiledTemplate) {
        this._templateNormalizer.clearCacheFor(compiledTemplate.normalizedCompMeta);
        this._compiledTemplateCache.delete(compType);
      }
    };
    RuntimeCompiler.prototype.clearCache = function() {
      this._metadataResolver.clearCache();
      this._compiledTemplateCache.clear();
      this._compiledHostTemplateCache.clear();
      this._templateNormalizer.clearCache();
    };
    RuntimeCompiler.prototype._getCompiledHostTemplate = function(type) {
      var compiledTemplate = this._compiledHostTemplateCache.get(type);
      if (lang_1.isBlank(compiledTemplate)) {
        var compMeta = this._metadataResolver.getDirectiveMetadata(type);
        assertComponent(compMeta);
        var hostMeta = compile_metadata_1.createHostComponentMeta(compMeta.type, compMeta.selector);
        compiledTemplate = new CompiledTemplate(true, compMeta.selector, compMeta.type, [], [type], [], [], this._templateNormalizer.normalizeDirective(hostMeta));
        this._compiledHostTemplateCache.set(type, compiledTemplate);
      }
      return compiledTemplate;
    };
    RuntimeCompiler.prototype._getCompiledTemplate = function(type) {
      var compiledTemplate = this._compiledTemplateCache.get(type);
      if (lang_1.isBlank(compiledTemplate)) {
        var compMeta = this._metadataResolver.getDirectiveMetadata(type);
        assertComponent(compMeta);
        var viewDirectives = [];
        var viewComponentTypes = [];
        this._metadataResolver.getViewDirectivesMetadata(type).forEach(function(dirOrComp) {
          if (dirOrComp.isComponent) {
            viewComponentTypes.push(dirOrComp.type.runtime);
          } else {
            viewDirectives.push(dirOrComp);
          }
        });
        var precompileComponentTypes = compMeta.precompile.map(function(typeMeta) {
          return typeMeta.runtime;
        });
        var pipes = this._metadataResolver.getViewPipesMetadata(type);
        compiledTemplate = new CompiledTemplate(false, compMeta.selector, compMeta.type, viewDirectives, viewComponentTypes, precompileComponentTypes, pipes, this._templateNormalizer.normalizeDirective(compMeta));
        this._compiledTemplateCache.set(type, compiledTemplate);
      }
      return compiledTemplate;
    };
    RuntimeCompiler.prototype._getTransitiveCompiledTemplates = function(compType, isHost, target) {
      var _this = this;
      if (target === void 0) {
        target = new Set();
      }
      var template = isHost ? this._getCompiledHostTemplate(compType) : this._getCompiledTemplate(compType);
      if (!target.has(template)) {
        target.add(template);
        template.viewComponentTypes.forEach(function(compType) {
          _this._getTransitiveCompiledTemplates(compType, false, target);
        });
        template.precompileHostComponentTypes.forEach(function(compType) {
          _this._getTransitiveCompiledTemplates(compType, true, target);
        });
      }
      return target;
    };
    RuntimeCompiler.prototype._compileTemplate = function(template) {
      var _this = this;
      if (template.isCompiled) {
        return;
      }
      var compMeta = template.normalizedCompMeta;
      var externalStylesheetsByModuleUrl = new Map();
      var stylesCompileResult = this._styleCompiler.compileComponent(compMeta);
      stylesCompileResult.externalStylesheets.forEach(function(r) {
        externalStylesheetsByModuleUrl.set(r.meta.moduleUrl, r);
      });
      this._resolveStylesCompileResult(stylesCompileResult.componentStylesheet, externalStylesheetsByModuleUrl);
      var viewCompMetas = template.viewComponentTypes.map(function(compType) {
        return _this._getCompiledTemplate(compType).normalizedCompMeta;
      });
      var parsedTemplate = this._templateParser.parse(compMeta, compMeta.template.template, template.viewDirectives.concat(viewCompMetas), template.viewPipes, compMeta.type.name);
      var compileResult = this._viewCompiler.compileComponent(compMeta, parsedTemplate, ir.variable(stylesCompileResult.componentStylesheet.stylesVar), template.viewPipes);
      var depTemplates = compileResult.dependencies.map(function(dep) {
        var depTemplate;
        if (dep instanceof view_compiler_1.ViewFactoryDependency) {
          var vfd = dep;
          depTemplate = _this._getCompiledTemplate(vfd.comp.runtime);
          vfd.placeholder.runtime = depTemplate.proxyViewFactory;
          vfd.placeholder.name = "viewFactory_" + vfd.comp.name;
        } else if (dep instanceof view_compiler_1.ComponentFactoryDependency) {
          var cfd = dep;
          depTemplate = _this._getCompiledHostTemplate(cfd.comp.runtime);
          cfd.placeholder.runtime = depTemplate.proxyComponentFactory;
          cfd.placeholder.name = "compFactory_" + cfd.comp.name;
        }
        return depTemplate;
      });
      var statements = stylesCompileResult.componentStylesheet.statements.concat(compileResult.statements);
      var factory;
      if (lang_1.IS_DART || !this._genConfig.useJit) {
        factory = output_interpreter_1.interpretStatements(statements, compileResult.viewFactoryVar, new interpretive_view_1.InterpretiveAppViewInstanceFactory());
      } else {
        factory = output_jit_1.jitStatements(template.compType.name + ".template.js", statements, compileResult.viewFactoryVar);
      }
      template.compiled(factory);
    };
    RuntimeCompiler.prototype._resolveStylesCompileResult = function(result, externalStylesheetsByModuleUrl) {
      var _this = this;
      result.dependencies.forEach(function(dep, i) {
        var nestedCompileResult = externalStylesheetsByModuleUrl.get(dep.moduleUrl);
        var nestedStylesArr = _this._resolveAndEvalStylesCompileResult(nestedCompileResult, externalStylesheetsByModuleUrl);
        dep.valuePlaceholder.runtime = nestedStylesArr;
        dep.valuePlaceholder.name = "importedStyles" + i;
      });
    };
    RuntimeCompiler.prototype._resolveAndEvalStylesCompileResult = function(result, externalStylesheetsByModuleUrl) {
      this._resolveStylesCompileResult(result, externalStylesheetsByModuleUrl);
      if (lang_1.IS_DART || !this._genConfig.useJit) {
        return output_interpreter_1.interpretStatements(result.statements, result.stylesVar, new interpretive_view_1.InterpretiveAppViewInstanceFactory());
      } else {
        return output_jit_1.jitStatements(result.meta.moduleUrl + ".css.js", result.statements, result.stylesVar);
      }
    };
    RuntimeCompiler.decorators = [{type: core_1.Injectable}];
    RuntimeCompiler.ctorParameters = [{type: metadata_resolver_1.CompileMetadataResolver}, {type: directive_normalizer_1.DirectiveNormalizer}, {type: template_parser_1.TemplateParser}, {type: style_compiler_1.StyleCompiler}, {type: view_compiler_1.ViewCompiler}, {type: config_1.CompilerConfig}];
    return RuntimeCompiler;
  }());
  exports.RuntimeCompiler = RuntimeCompiler;
  var CompiledTemplate = (function() {
    function CompiledTemplate(isHost, selector, compType, viewDirectives, viewComponentTypes, precompileHostComponentTypes, viewPipes, _normalizeResult) {
      var _this = this;
      this.isHost = isHost;
      this.compType = compType;
      this.viewDirectives = viewDirectives;
      this.viewComponentTypes = viewComponentTypes;
      this.precompileHostComponentTypes = precompileHostComponentTypes;
      this.viewPipes = viewPipes;
      this._normalizeResult = _normalizeResult;
      this._viewFactory = null;
      this.loading = null;
      this._normalizedCompMeta = null;
      this.isCompiled = false;
      this.isCompiledWithDeps = false;
      this.proxyViewFactory = function() {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
          args[_i - 0] = arguments[_i];
        }
        return _this._viewFactory.apply(null, args);
      };
      this.proxyComponentFactory = isHost ? new core_1.ComponentFactory(selector, this.proxyViewFactory, compType.runtime) : null;
      if (_normalizeResult.syncResult) {
        this._normalizedCompMeta = _normalizeResult.syncResult;
      } else {
        this.loading = _normalizeResult.asyncResult.then(function(normalizedCompMeta) {
          _this._normalizedCompMeta = normalizedCompMeta;
          _this.loading = null;
        });
      }
    }
    Object.defineProperty(CompiledTemplate.prototype, "normalizedCompMeta", {
      get: function() {
        if (this.loading) {
          throw new exceptions_1.BaseException("Template is still loading for " + this.compType.name + "!");
        }
        return this._normalizedCompMeta;
      },
      enumerable: true,
      configurable: true
    });
    CompiledTemplate.prototype.compiled = function(viewFactory) {
      this._viewFactory = viewFactory;
      this.isCompiled = true;
    };
    CompiledTemplate.prototype.depsCompiled = function() {
      this.isCompiledWithDeps = true;
    };
    return CompiledTemplate;
  }());
  function assertComponent(meta) {
    if (!meta.isComponent) {
      throw new exceptions_1.BaseException("Could not compile '" + meta.type.name + "' because it is not a component.");
    }
  }
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/compiler.js", ["@angular/core", "./template_ast", "./template_parser", "./config", "./compile_metadata", "./offline_compiler", "./runtime_compiler", "./url_resolver", "./xhr", "./view_resolver", "./directive_resolver", "./pipe_resolver", "./html_parser", "./directive_normalizer", "./metadata_resolver", "./style_compiler", "./view_compiler/view_compiler", "./schema/element_schema_registry", "./schema/dom_element_schema_registry", "./expression_parser/parser", "./expression_parser/lexer"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  function __export(m) {
    for (var p in m)
      if (!exports.hasOwnProperty(p))
        exports[p] = m[p];
  }
  var core_1 = $__require('@angular/core');
  __export($__require('./template_ast'));
  var template_parser_1 = $__require('./template_parser');
  exports.TEMPLATE_TRANSFORMS = template_parser_1.TEMPLATE_TRANSFORMS;
  var config_1 = $__require('./config');
  exports.CompilerConfig = config_1.CompilerConfig;
  exports.RenderTypes = config_1.RenderTypes;
  __export($__require('./compile_metadata'));
  __export($__require('./offline_compiler'));
  var runtime_compiler_1 = $__require('./runtime_compiler');
  exports.RuntimeCompiler = runtime_compiler_1.RuntimeCompiler;
  __export($__require('./url_resolver'));
  __export($__require('./xhr'));
  var view_resolver_1 = $__require('./view_resolver');
  exports.ViewResolver = view_resolver_1.ViewResolver;
  var directive_resolver_1 = $__require('./directive_resolver');
  exports.DirectiveResolver = directive_resolver_1.DirectiveResolver;
  var pipe_resolver_1 = $__require('./pipe_resolver');
  exports.PipeResolver = pipe_resolver_1.PipeResolver;
  var template_parser_2 = $__require('./template_parser');
  var html_parser_1 = $__require('./html_parser');
  var directive_normalizer_1 = $__require('./directive_normalizer');
  var metadata_resolver_1 = $__require('./metadata_resolver');
  var style_compiler_1 = $__require('./style_compiler');
  var view_compiler_1 = $__require('./view_compiler/view_compiler');
  var config_2 = $__require('./config');
  var runtime_compiler_2 = $__require('./runtime_compiler');
  var element_schema_registry_1 = $__require('./schema/element_schema_registry');
  var dom_element_schema_registry_1 = $__require('./schema/dom_element_schema_registry');
  var url_resolver_2 = $__require('./url_resolver');
  var parser_1 = $__require('./expression_parser/parser');
  var lexer_1 = $__require('./expression_parser/lexer');
  var view_resolver_2 = $__require('./view_resolver');
  var directive_resolver_2 = $__require('./directive_resolver');
  var pipe_resolver_2 = $__require('./pipe_resolver');
  exports.COMPILER_PROVIDERS = [lexer_1.Lexer, parser_1.Parser, html_parser_1.HtmlParser, template_parser_2.TemplateParser, directive_normalizer_1.DirectiveNormalizer, metadata_resolver_1.CompileMetadataResolver, url_resolver_2.DEFAULT_PACKAGE_URL_PROVIDER, style_compiler_1.StyleCompiler, view_compiler_1.ViewCompiler, {
    provide: config_2.CompilerConfig,
    useValue: new config_2.CompilerConfig()
  }, runtime_compiler_2.RuntimeCompiler, {
    provide: core_1.ComponentResolver,
    useExisting: runtime_compiler_2.RuntimeCompiler
  }, {
    provide: core_1.Compiler,
    useExisting: runtime_compiler_2.RuntimeCompiler
  }, dom_element_schema_registry_1.DomElementSchemaRegistry, {
    provide: element_schema_registry_1.ElementSchemaRegistry,
    useExisting: dom_element_schema_registry_1.DomElementSchemaRegistry
  }, url_resolver_2.UrlResolver, view_resolver_2.ViewResolver, directive_resolver_2.DirectiveResolver, pipe_resolver_2.PipeResolver];
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/xhr.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var XHR = (function() {
    function XHR() {}
    XHR.prototype.get = function(url) {
      return null;
    };
    return XHR;
  }());
  exports.XHR = XHR;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/directive_normalizer.js", ["@angular/core", "../src/facade/collection", "../src/facade/exceptions", "../src/facade/lang", "./compile_metadata", "./config", "./html_ast", "./html_parser", "./style_url_resolver", "./template_preparser", "./url_resolver", "./xhr"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var collection_1 = $__require('../src/facade/collection');
  var exceptions_1 = $__require('../src/facade/exceptions');
  var lang_1 = $__require('../src/facade/lang');
  var compile_metadata_1 = $__require('./compile_metadata');
  var config_1 = $__require('./config');
  var html_ast_1 = $__require('./html_ast');
  var html_parser_1 = $__require('./html_parser');
  var style_url_resolver_1 = $__require('./style_url_resolver');
  var template_preparser_1 = $__require('./template_preparser');
  var url_resolver_1 = $__require('./url_resolver');
  var xhr_1 = $__require('./xhr');
  var NormalizeDirectiveResult = (function() {
    function NormalizeDirectiveResult(syncResult, asyncResult) {
      this.syncResult = syncResult;
      this.asyncResult = asyncResult;
    }
    return NormalizeDirectiveResult;
  }());
  exports.NormalizeDirectiveResult = NormalizeDirectiveResult;
  var DirectiveNormalizer = (function() {
    function DirectiveNormalizer(_xhr, _urlResolver, _htmlParser, _config) {
      this._xhr = _xhr;
      this._urlResolver = _urlResolver;
      this._htmlParser = _htmlParser;
      this._config = _config;
      this._xhrCache = new Map();
    }
    DirectiveNormalizer.prototype.clearCache = function() {
      this._xhrCache.clear();
    };
    DirectiveNormalizer.prototype.clearCacheFor = function(normalizedDirective) {
      var _this = this;
      if (!normalizedDirective.isComponent) {
        return;
      }
      this._xhrCache.delete(normalizedDirective.template.templateUrl);
      normalizedDirective.template.externalStylesheets.forEach(function(stylesheet) {
        _this._xhrCache.delete(stylesheet.moduleUrl);
      });
    };
    DirectiveNormalizer.prototype._fetch = function(url) {
      var result = this._xhrCache.get(url);
      if (!result) {
        result = this._xhr.get(url);
        this._xhrCache.set(url, result);
      }
      return result;
    };
    DirectiveNormalizer.prototype.normalizeDirective = function(directive) {
      var _this = this;
      if (!directive.isComponent) {
        return new NormalizeDirectiveResult(directive, Promise.resolve(directive));
      }
      var normalizedTemplateSync = null;
      var normalizedTemplateAsync;
      if (lang_1.isPresent(directive.template.template)) {
        normalizedTemplateSync = this.normalizeTemplateSync(directive.type, directive.template);
        normalizedTemplateAsync = Promise.resolve(normalizedTemplateSync);
      } else if (directive.template.templateUrl) {
        normalizedTemplateAsync = this.normalizeTemplateAsync(directive.type, directive.template);
      } else {
        throw new exceptions_1.BaseException("No template specified for component " + directive.type.name);
      }
      if (normalizedTemplateSync && normalizedTemplateSync.styleUrls.length === 0) {
        var normalizedDirective = _cloneDirectiveWithTemplate(directive, normalizedTemplateSync);
        return new NormalizeDirectiveResult(normalizedDirective, Promise.resolve(normalizedDirective));
      } else {
        return new NormalizeDirectiveResult(null, normalizedTemplateAsync.then(function(normalizedTemplate) {
          return _this.normalizeExternalStylesheets(normalizedTemplate);
        }).then(function(normalizedTemplate) {
          return _cloneDirectiveWithTemplate(directive, normalizedTemplate);
        }));
      }
    };
    DirectiveNormalizer.prototype.normalizeTemplateSync = function(directiveType, template) {
      return this.normalizeLoadedTemplate(directiveType, template, template.template, directiveType.moduleUrl);
    };
    DirectiveNormalizer.prototype.normalizeTemplateAsync = function(directiveType, template) {
      var _this = this;
      var templateUrl = this._urlResolver.resolve(directiveType.moduleUrl, template.templateUrl);
      return this._fetch(templateUrl).then(function(value) {
        return _this.normalizeLoadedTemplate(directiveType, template, value, templateUrl);
      });
    };
    DirectiveNormalizer.prototype.normalizeLoadedTemplate = function(directiveType, templateMeta, template, templateAbsUrl) {
      var rootNodesAndErrors = this._htmlParser.parse(template, directiveType.name);
      if (rootNodesAndErrors.errors.length > 0) {
        var errorString = rootNodesAndErrors.errors.join('\n');
        throw new exceptions_1.BaseException("Template parse errors:\n" + errorString);
      }
      var templateMetadataStyles = this.normalizeStylesheet(new compile_metadata_1.CompileStylesheetMetadata({
        styles: templateMeta.styles,
        styleUrls: templateMeta.styleUrls,
        moduleUrl: directiveType.moduleUrl
      }));
      var visitor = new TemplatePreparseVisitor();
      html_ast_1.htmlVisitAll(visitor, rootNodesAndErrors.rootNodes);
      var templateStyles = this.normalizeStylesheet(new compile_metadata_1.CompileStylesheetMetadata({
        styles: visitor.styles,
        styleUrls: visitor.styleUrls,
        moduleUrl: templateAbsUrl
      }));
      var allStyles = templateMetadataStyles.styles.concat(templateStyles.styles);
      var allStyleUrls = templateMetadataStyles.styleUrls.concat(templateStyles.styleUrls);
      var encapsulation = templateMeta.encapsulation;
      if (lang_1.isBlank(encapsulation)) {
        encapsulation = this._config.defaultEncapsulation;
      }
      if (encapsulation === core_1.ViewEncapsulation.Emulated && allStyles.length === 0 && allStyleUrls.length === 0) {
        encapsulation = core_1.ViewEncapsulation.None;
      }
      return new compile_metadata_1.CompileTemplateMetadata({
        encapsulation: encapsulation,
        template: template,
        templateUrl: templateAbsUrl,
        styles: allStyles,
        styleUrls: allStyleUrls,
        externalStylesheets: templateMeta.externalStylesheets,
        ngContentSelectors: visitor.ngContentSelectors,
        animations: templateMeta.animations,
        interpolation: templateMeta.interpolation
      });
    };
    DirectiveNormalizer.prototype.normalizeExternalStylesheets = function(templateMeta) {
      return this._loadMissingExternalStylesheets(templateMeta.styleUrls).then(function(externalStylesheets) {
        return new compile_metadata_1.CompileTemplateMetadata({
          encapsulation: templateMeta.encapsulation,
          template: templateMeta.template,
          templateUrl: templateMeta.templateUrl,
          styles: templateMeta.styles,
          styleUrls: templateMeta.styleUrls,
          externalStylesheets: externalStylesheets,
          ngContentSelectors: templateMeta.ngContentSelectors,
          animations: templateMeta.animations,
          interpolation: templateMeta.interpolation
        });
      });
    };
    DirectiveNormalizer.prototype._loadMissingExternalStylesheets = function(styleUrls, loadedStylesheets) {
      var _this = this;
      if (loadedStylesheets === void 0) {
        loadedStylesheets = new Map();
      }
      return Promise.all(styleUrls.filter(function(styleUrl) {
        return !loadedStylesheets.has(styleUrl);
      }).map(function(styleUrl) {
        return _this._fetch(styleUrl).then(function(loadedStyle) {
          var stylesheet = _this.normalizeStylesheet(new compile_metadata_1.CompileStylesheetMetadata({
            styles: [loadedStyle],
            moduleUrl: styleUrl
          }));
          loadedStylesheets.set(styleUrl, stylesheet);
          return _this._loadMissingExternalStylesheets(stylesheet.styleUrls, loadedStylesheets);
        });
      })).then(function(_) {
        return collection_1.MapWrapper.values(loadedStylesheets);
      });
    };
    DirectiveNormalizer.prototype.normalizeStylesheet = function(stylesheet) {
      var _this = this;
      var allStyleUrls = stylesheet.styleUrls.filter(style_url_resolver_1.isStyleUrlResolvable).map(function(url) {
        return _this._urlResolver.resolve(stylesheet.moduleUrl, url);
      });
      var allStyles = stylesheet.styles.map(function(style) {
        var styleWithImports = style_url_resolver_1.extractStyleUrls(_this._urlResolver, stylesheet.moduleUrl, style);
        allStyleUrls.push.apply(allStyleUrls, styleWithImports.styleUrls);
        return styleWithImports.style;
      });
      return new compile_metadata_1.CompileStylesheetMetadata({
        styles: allStyles,
        styleUrls: allStyleUrls,
        moduleUrl: stylesheet.moduleUrl
      });
    };
    DirectiveNormalizer.decorators = [{type: core_1.Injectable}];
    DirectiveNormalizer.ctorParameters = [{type: xhr_1.XHR}, {type: url_resolver_1.UrlResolver}, {type: html_parser_1.HtmlParser}, {type: config_1.CompilerConfig}];
    return DirectiveNormalizer;
  }());
  exports.DirectiveNormalizer = DirectiveNormalizer;
  var TemplatePreparseVisitor = (function() {
    function TemplatePreparseVisitor() {
      this.ngContentSelectors = [];
      this.styles = [];
      this.styleUrls = [];
      this.ngNonBindableStackCount = 0;
    }
    TemplatePreparseVisitor.prototype.visitElement = function(ast, context) {
      var preparsedElement = template_preparser_1.preparseElement(ast);
      switch (preparsedElement.type) {
        case template_preparser_1.PreparsedElementType.NG_CONTENT:
          if (this.ngNonBindableStackCount === 0) {
            this.ngContentSelectors.push(preparsedElement.selectAttr);
          }
          break;
        case template_preparser_1.PreparsedElementType.STYLE:
          var textContent = '';
          ast.children.forEach(function(child) {
            if (child instanceof html_ast_1.HtmlTextAst) {
              textContent += child.value;
            }
          });
          this.styles.push(textContent);
          break;
        case template_preparser_1.PreparsedElementType.STYLESHEET:
          this.styleUrls.push(preparsedElement.hrefAttr);
          break;
        default:
          break;
      }
      if (preparsedElement.nonBindable) {
        this.ngNonBindableStackCount++;
      }
      html_ast_1.htmlVisitAll(this, ast.children);
      if (preparsedElement.nonBindable) {
        this.ngNonBindableStackCount--;
      }
      return null;
    };
    TemplatePreparseVisitor.prototype.visitComment = function(ast, context) {
      return null;
    };
    TemplatePreparseVisitor.prototype.visitAttr = function(ast, context) {
      return null;
    };
    TemplatePreparseVisitor.prototype.visitText = function(ast, context) {
      return null;
    };
    TemplatePreparseVisitor.prototype.visitExpansion = function(ast, context) {
      return null;
    };
    TemplatePreparseVisitor.prototype.visitExpansionCase = function(ast, context) {
      return null;
    };
    return TemplatePreparseVisitor;
  }());
  function _cloneDirectiveWithTemplate(directive, template) {
    return new compile_metadata_1.CompileDirectiveMetadata({
      type: directive.type,
      isComponent: directive.isComponent,
      selector: directive.selector,
      exportAs: directive.exportAs,
      changeDetection: directive.changeDetection,
      inputs: directive.inputs,
      outputs: directive.outputs,
      hostListeners: directive.hostListeners,
      hostProperties: directive.hostProperties,
      hostAttributes: directive.hostAttributes,
      lifecycleHooks: directive.lifecycleHooks,
      providers: directive.providers,
      viewProviders: directive.viewProviders,
      queries: directive.queries,
      viewQueries: directive.viewQueries,
      precompile: directive.precompile,
      template: template
    });
  }
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/i18n/expander.js", ["../facade/exceptions", "../html_ast", "./shared"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var exceptions_1 = $__require('../facade/exceptions');
  var html_ast_1 = $__require('../html_ast');
  var shared_1 = $__require('./shared');
  var PLURAL_CASES = ['zero', 'one', 'two', 'few', 'many', 'other'];
  function expandNodes(nodes) {
    var expander = new _Expander();
    return new ExpansionResult(html_ast_1.htmlVisitAll(expander, nodes), expander.isExpanded, expander.errors);
  }
  exports.expandNodes = expandNodes;
  var ExpansionResult = (function() {
    function ExpansionResult(nodes, expanded, errors) {
      this.nodes = nodes;
      this.expanded = expanded;
      this.errors = errors;
    }
    return ExpansionResult;
  }());
  exports.ExpansionResult = ExpansionResult;
  var _Expander = (function() {
    function _Expander() {
      this.isExpanded = false;
      this.errors = [];
    }
    _Expander.prototype.visitElement = function(ast, context) {
      return new html_ast_1.HtmlElementAst(ast.name, ast.attrs, html_ast_1.htmlVisitAll(this, ast.children), ast.sourceSpan, ast.startSourceSpan, ast.endSourceSpan);
    };
    _Expander.prototype.visitAttr = function(ast, context) {
      return ast;
    };
    _Expander.prototype.visitText = function(ast, context) {
      return ast;
    };
    _Expander.prototype.visitComment = function(ast, context) {
      return ast;
    };
    _Expander.prototype.visitExpansion = function(ast, context) {
      this.isExpanded = true;
      return ast.type == 'plural' ? _expandPluralForm(ast, this.errors) : _expandDefaultForm(ast, this.errors);
    };
    _Expander.prototype.visitExpansionCase = function(ast, context) {
      throw new exceptions_1.BaseException('Should not be reached');
    };
    return _Expander;
  }());
  function _expandPluralForm(ast, errors) {
    var children = ast.cases.map(function(c) {
      if (PLURAL_CASES.indexOf(c.value) == -1 && !c.value.match(/^=\d+$/)) {
        errors.push(new shared_1.I18nError(c.valueSourceSpan, "Plural cases should be \"=<number>\" or one of " + PLURAL_CASES.join(", ")));
      }
      var expansionResult = expandNodes(c.expression);
      errors.push.apply(errors, expansionResult.errors);
      return new html_ast_1.HtmlElementAst("template", [new html_ast_1.HtmlAttrAst('ngPluralCase', "" + c.value, c.valueSourceSpan)], expansionResult.nodes, c.sourceSpan, c.sourceSpan, c.sourceSpan);
    });
    var switchAttr = new html_ast_1.HtmlAttrAst('[ngPlural]', ast.switchValue, ast.switchValueSourceSpan);
    return new html_ast_1.HtmlElementAst('ng-container', [switchAttr], children, ast.sourceSpan, ast.sourceSpan, ast.sourceSpan);
  }
  function _expandDefaultForm(ast, errors) {
    var children = ast.cases.map(function(c) {
      var expansionResult = expandNodes(c.expression);
      errors.push.apply(errors, expansionResult.errors);
      return new html_ast_1.HtmlElementAst("template", [new html_ast_1.HtmlAttrAst('ngSwitchCase', "" + c.value, c.valueSourceSpan)], expansionResult.nodes, c.sourceSpan, c.sourceSpan, c.sourceSpan);
    });
    var switchAttr = new html_ast_1.HtmlAttrAst('[ngSwitch]', ast.switchValue, ast.switchValueSourceSpan);
    return new html_ast_1.HtmlElementAst('ng-container', [switchAttr], children, ast.sourceSpan, ast.sourceSpan, ast.sourceSpan);
  }
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/i18n/i18n_html_parser.js", ["../facade/collection", "../facade/exceptions", "../facade/lang", "../html_ast", "../html_parser", "../interpolation_config", "./expander", "./message", "./shared"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var collection_1 = $__require('../facade/collection');
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var html_ast_1 = $__require('../html_ast');
  var html_parser_1 = $__require('../html_parser');
  var interpolation_config_1 = $__require('../interpolation_config');
  var expander_1 = $__require('./expander');
  var message_1 = $__require('./message');
  var shared_1 = $__require('./shared');
  var _PLACEHOLDER_ELEMENT = 'ph';
  var _NAME_ATTR = 'name';
  var _PLACEHOLDER_EXPANDED_REGEXP = /<ph(\s)+name=("(\w)+")><\/ph>/gi;
  var I18nHtmlParser = (function() {
    function I18nHtmlParser(_htmlParser, _parser, _messagesContent, _messages, _implicitTags, _implicitAttrs) {
      this._htmlParser = _htmlParser;
      this._parser = _parser;
      this._messagesContent = _messagesContent;
      this._messages = _messages;
      this._implicitTags = _implicitTags;
      this._implicitAttrs = _implicitAttrs;
    }
    I18nHtmlParser.prototype.parse = function(sourceContent, sourceUrl, parseExpansionForms, interpolationConfig) {
      if (parseExpansionForms === void 0) {
        parseExpansionForms = false;
      }
      if (interpolationConfig === void 0) {
        interpolationConfig = interpolation_config_1.DEFAULT_INTERPOLATION_CONFIG;
      }
      this.errors = [];
      this._interpolationConfig = interpolationConfig;
      var res = this._htmlParser.parse(sourceContent, sourceUrl, true);
      if (res.errors.length > 0) {
        return res;
      } else {
        var expanded = expander_1.expandNodes(res.rootNodes);
        var nodes = this._recurse(expanded.nodes);
        (_a = this.errors).push.apply(_a, expanded.errors);
        return this.errors.length > 0 ? new html_parser_1.HtmlParseTreeResult([], this.errors) : new html_parser_1.HtmlParseTreeResult(nodes, []);
      }
      var _a;
    };
    I18nHtmlParser.prototype._processI18nPart = function(part) {
      try {
        return part.hasI18n ? this._mergeI18Part(part) : this._recurseIntoI18nPart(part);
      } catch (e) {
        if (e instanceof shared_1.I18nError) {
          this.errors.push(e);
          return [];
        } else {
          throw e;
        }
      }
    };
    I18nHtmlParser.prototype._mergeI18Part = function(part) {
      var message = part.createMessage(this._parser, this._interpolationConfig);
      var messageId = message_1.id(message);
      if (!collection_1.StringMapWrapper.contains(this._messages, messageId)) {
        throw new shared_1.I18nError(part.sourceSpan, "Cannot find message for id '" + messageId + "', content '" + message.content + "'.");
      }
      var parsedMessage = this._messages[messageId];
      return this._mergeTrees(part, parsedMessage, part.children);
    };
    I18nHtmlParser.prototype._recurseIntoI18nPart = function(p) {
      if (lang_1.isPresent(p.rootElement)) {
        var root = p.rootElement;
        var children = this._recurse(p.children);
        var attrs = this._i18nAttributes(root);
        return [new html_ast_1.HtmlElementAst(root.name, attrs, children, root.sourceSpan, root.startSourceSpan, root.endSourceSpan)];
      } else if (lang_1.isPresent(p.rootTextNode)) {
        return [p.rootTextNode];
      } else {
        return this._recurse(p.children);
      }
    };
    I18nHtmlParser.prototype._recurse = function(nodes) {
      var _this = this;
      var parts = shared_1.partition(nodes, this.errors, this._implicitTags);
      return collection_1.ListWrapper.flatten(parts.map(function(p) {
        return _this._processI18nPart(p);
      }));
    };
    I18nHtmlParser.prototype._mergeTrees = function(p, translated, original) {
      var l = new _CreateNodeMapping();
      html_ast_1.htmlVisitAll(l, original);
      var merged = this._mergeTreesHelper(translated, l.mapping);
      if (lang_1.isPresent(p.rootElement)) {
        var root = p.rootElement;
        var attrs = this._i18nAttributes(root);
        return [new html_ast_1.HtmlElementAst(root.name, attrs, merged, root.sourceSpan, root.startSourceSpan, root.endSourceSpan)];
      } else if (lang_1.isPresent(p.rootTextNode)) {
        throw new exceptions_1.BaseException('should not be reached');
      } else {
        return merged;
      }
    };
    I18nHtmlParser.prototype._mergeTreesHelper = function(translated, mapping) {
      var _this = this;
      return translated.map(function(t) {
        if (t instanceof html_ast_1.HtmlElementAst) {
          return _this._mergeElementOrInterpolation(t, translated, mapping);
        } else if (t instanceof html_ast_1.HtmlTextAst) {
          return t;
        } else {
          throw new exceptions_1.BaseException('should not be reached');
        }
      });
    };
    I18nHtmlParser.prototype._mergeElementOrInterpolation = function(t, translated, mapping) {
      var name = this._getName(t);
      var type = name[0];
      var index = lang_1.NumberWrapper.parseInt(name.substring(1), 10);
      var originalNode = mapping[index];
      if (type == 't') {
        return this._mergeTextInterpolation(t, originalNode);
      } else if (type == 'e') {
        return this._mergeElement(t, originalNode, mapping);
      } else {
        throw new exceptions_1.BaseException('should not be reached');
      }
    };
    I18nHtmlParser.prototype._getName = function(t) {
      if (t.name != _PLACEHOLDER_ELEMENT) {
        throw new shared_1.I18nError(t.sourceSpan, "Unexpected tag \"" + t.name + "\". Only \"" + _PLACEHOLDER_ELEMENT + "\" tags are allowed.");
      }
      var names = t.attrs.filter(function(a) {
        return a.name == _NAME_ATTR;
      });
      if (names.length == 0) {
        throw new shared_1.I18nError(t.sourceSpan, "Missing \"" + _NAME_ATTR + "\" attribute.");
      }
      return names[0].value;
    };
    I18nHtmlParser.prototype._mergeTextInterpolation = function(t, originalNode) {
      var split = this._parser.splitInterpolation(originalNode.value, originalNode.sourceSpan.toString(), this._interpolationConfig);
      var exps = lang_1.isPresent(split) ? split.expressions : [];
      var messageSubstring = this._messagesContent.substring(t.startSourceSpan.end.offset, t.endSourceSpan.start.offset);
      var translated = this._replacePlaceholdersWithExpressions(messageSubstring, exps, originalNode.sourceSpan);
      return new html_ast_1.HtmlTextAst(translated, originalNode.sourceSpan);
    };
    I18nHtmlParser.prototype._mergeElement = function(t, originalNode, mapping) {
      var children = this._mergeTreesHelper(t.children, mapping);
      return new html_ast_1.HtmlElementAst(originalNode.name, this._i18nAttributes(originalNode), children, originalNode.sourceSpan, originalNode.startSourceSpan, originalNode.endSourceSpan);
    };
    I18nHtmlParser.prototype._i18nAttributes = function(el) {
      var _this = this;
      var res = [];
      var implicitAttrs = lang_1.isPresent(this._implicitAttrs[el.name]) ? this._implicitAttrs[el.name] : [];
      el.attrs.forEach(function(attr) {
        if (attr.name.startsWith(shared_1.I18N_ATTR_PREFIX) || attr.name == shared_1.I18N_ATTR)
          return;
        var message;
        var i18ns = el.attrs.filter(function(a) {
          return a.name == "" + shared_1.I18N_ATTR_PREFIX + attr.name;
        });
        if (i18ns.length == 0) {
          if (implicitAttrs.indexOf(attr.name) == -1) {
            res.push(attr);
            return;
          }
          message = shared_1.messageFromAttribute(_this._parser, _this._interpolationConfig, attr);
        } else {
          message = shared_1.messageFromI18nAttribute(_this._parser, _this._interpolationConfig, el, i18ns[0]);
        }
        var messageId = message_1.id(message);
        if (collection_1.StringMapWrapper.contains(_this._messages, messageId)) {
          var updatedMessage = _this._replaceInterpolationInAttr(attr, _this._messages[messageId]);
          res.push(new html_ast_1.HtmlAttrAst(attr.name, updatedMessage, attr.sourceSpan));
        } else {
          throw new shared_1.I18nError(attr.sourceSpan, "Cannot find message for id '" + messageId + "', content '" + message.content + "'.");
        }
      });
      return res;
    };
    I18nHtmlParser.prototype._replaceInterpolationInAttr = function(attr, msg) {
      var split = this._parser.splitInterpolation(attr.value, attr.sourceSpan.toString(), this._interpolationConfig);
      var exps = lang_1.isPresent(split) ? split.expressions : [];
      var first = msg[0];
      var last = msg[msg.length - 1];
      var start = first.sourceSpan.start.offset;
      var end = last instanceof html_ast_1.HtmlElementAst ? last.endSourceSpan.end.offset : last.sourceSpan.end.offset;
      var messageSubstring = this._messagesContent.substring(start, end);
      return this._replacePlaceholdersWithExpressions(messageSubstring, exps, attr.sourceSpan);
    };
    ;
    I18nHtmlParser.prototype._replacePlaceholdersWithExpressions = function(message, exps, sourceSpan) {
      var _this = this;
      var expMap = this._buildExprMap(exps);
      return lang_1.RegExpWrapper.replaceAll(_PLACEHOLDER_EXPANDED_REGEXP, message, function(match) {
        var nameWithQuotes = match[2];
        var name = nameWithQuotes.substring(1, nameWithQuotes.length - 1);
        return _this._convertIntoExpression(name, expMap, sourceSpan);
      });
    };
    I18nHtmlParser.prototype._buildExprMap = function(exps) {
      var expMap = new Map();
      var usedNames = new Map();
      for (var i = 0; i < exps.length; i++) {
        var phName = shared_1.getPhNameFromBinding(exps[i], i);
        expMap.set(shared_1.dedupePhName(usedNames, phName), exps[i]);
      }
      return expMap;
    };
    I18nHtmlParser.prototype._convertIntoExpression = function(name, expMap, sourceSpan) {
      if (expMap.has(name)) {
        return "" + this._interpolationConfig.start + expMap.get(name) + this._interpolationConfig.end;
      } else {
        throw new shared_1.I18nError(sourceSpan, "Invalid interpolation name '" + name + "'");
      }
    };
    return I18nHtmlParser;
  }());
  exports.I18nHtmlParser = I18nHtmlParser;
  var _CreateNodeMapping = (function() {
    function _CreateNodeMapping() {
      this.mapping = [];
    }
    _CreateNodeMapping.prototype.visitElement = function(ast, context) {
      this.mapping.push(ast);
      html_ast_1.htmlVisitAll(this, ast.children);
      return null;
    };
    _CreateNodeMapping.prototype.visitAttr = function(ast, context) {
      return null;
    };
    _CreateNodeMapping.prototype.visitText = function(ast, context) {
      this.mapping.push(ast);
      return null;
    };
    _CreateNodeMapping.prototype.visitExpansion = function(ast, context) {
      return null;
    };
    _CreateNodeMapping.prototype.visitExpansionCase = function(ast, context) {
      return null;
    };
    _CreateNodeMapping.prototype.visitComment = function(ast, context) {
      return '';
    };
    return _CreateNodeMapping;
  }());
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/i18n/shared.js", ["../facade/lang", "../html_ast", "../parse_util", "./message"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var lang_1 = $__require('../facade/lang');
  var html_ast_1 = $__require('../html_ast');
  var parse_util_1 = $__require('../parse_util');
  var message_1 = $__require('./message');
  exports.I18N_ATTR = 'i18n';
  exports.I18N_ATTR_PREFIX = 'i18n-';
  var CUSTOM_PH_EXP = /\/\/[\s\S]*i18n[\s\S]*\([\s\S]*ph[\s\S]*=[\s\S]*"([\s\S]*?)"[\s\S]*\)/g;
  var I18nError = (function(_super) {
    __extends(I18nError, _super);
    function I18nError(span, msg) {
      _super.call(this, span, msg);
    }
    return I18nError;
  }(parse_util_1.ParseError));
  exports.I18nError = I18nError;
  function partition(nodes, errors, implicitTags) {
    var parts = [];
    for (var i = 0; i < nodes.length; ++i) {
      var node = nodes[i];
      var msgNodes = [];
      if (_isOpeningComment(node)) {
        var i18n = node.value.replace(/^i18n:?/, '').trim();
        while (++i < nodes.length && !_isClosingComment(nodes[i])) {
          msgNodes.push(nodes[i]);
        }
        if (i === nodes.length) {
          errors.push(new I18nError(node.sourceSpan, 'Missing closing \'i18n\' comment.'));
          break;
        }
        parts.push(new Part(null, null, msgNodes, i18n, true));
      } else if (node instanceof html_ast_1.HtmlElementAst) {
        var i18n = _findI18nAttr(node);
        var hasI18n = lang_1.isPresent(i18n) || implicitTags.indexOf(node.name) > -1;
        parts.push(new Part(node, null, node.children, lang_1.isPresent(i18n) ? i18n.value : null, hasI18n));
      } else if (node instanceof html_ast_1.HtmlTextAst) {
        parts.push(new Part(null, node, null, null, false));
      }
    }
    return parts;
  }
  exports.partition = partition;
  var Part = (function() {
    function Part(rootElement, rootTextNode, children, i18n, hasI18n) {
      this.rootElement = rootElement;
      this.rootTextNode = rootTextNode;
      this.children = children;
      this.i18n = i18n;
      this.hasI18n = hasI18n;
    }
    Object.defineProperty(Part.prototype, "sourceSpan", {
      get: function() {
        if (lang_1.isPresent(this.rootElement)) {
          return this.rootElement.sourceSpan;
        }
        if (lang_1.isPresent(this.rootTextNode)) {
          return this.rootTextNode.sourceSpan;
        }
        return this.children[0].sourceSpan;
      },
      enumerable: true,
      configurable: true
    });
    Part.prototype.createMessage = function(parser, interpolationConfig) {
      return new message_1.Message(stringifyNodes(this.children, parser, interpolationConfig), meaning(this.i18n), description(this.i18n));
    };
    return Part;
  }());
  exports.Part = Part;
  function _isOpeningComment(n) {
    return n instanceof html_ast_1.HtmlCommentAst && lang_1.isPresent(n.value) && n.value.startsWith('i18n');
  }
  function _isClosingComment(n) {
    return n instanceof html_ast_1.HtmlCommentAst && lang_1.isPresent(n.value) && n.value === '/i18n';
  }
  function _findI18nAttr(p) {
    var attrs = p.attrs;
    for (var i = 0; i < attrs.length; i++) {
      if (attrs[i].name === exports.I18N_ATTR) {
        return attrs[i];
      }
    }
    return null;
  }
  function meaning(i18n) {
    if (lang_1.isBlank(i18n) || i18n == '')
      return null;
    return i18n.split('|')[0];
  }
  exports.meaning = meaning;
  function description(i18n) {
    if (lang_1.isBlank(i18n) || i18n == '')
      return null;
    var parts = i18n.split('|', 2);
    return parts.length > 1 ? parts[1] : null;
  }
  exports.description = description;
  function messageFromI18nAttribute(parser, interpolationConfig, p, i18nAttr) {
    var expectedName = i18nAttr.name.substring(5);
    var attr = p.attrs.find(function(a) {
      return a.name == expectedName;
    });
    if (attr) {
      return messageFromAttribute(parser, interpolationConfig, attr, meaning(i18nAttr.value), description(i18nAttr.value));
    }
    throw new I18nError(p.sourceSpan, "Missing attribute '" + expectedName + "'.");
  }
  exports.messageFromI18nAttribute = messageFromI18nAttribute;
  function messageFromAttribute(parser, interpolationConfig, attr, meaning, description) {
    if (meaning === void 0) {
      meaning = null;
    }
    if (description === void 0) {
      description = null;
    }
    var value = removeInterpolation(attr.value, attr.sourceSpan, parser, interpolationConfig);
    return new message_1.Message(value, meaning, description);
  }
  exports.messageFromAttribute = messageFromAttribute;
  function removeInterpolation(value, source, parser, interpolationConfig) {
    try {
      var parsed = parser.splitInterpolation(value, source.toString(), interpolationConfig);
      var usedNames = new Map();
      if (lang_1.isPresent(parsed)) {
        var res = '';
        for (var i = 0; i < parsed.strings.length; ++i) {
          res += parsed.strings[i];
          if (i != parsed.strings.length - 1) {
            var customPhName = getPhNameFromBinding(parsed.expressions[i], i);
            customPhName = dedupePhName(usedNames, customPhName);
            res += "<ph name=\"" + customPhName + "\"/>";
          }
        }
        return res;
      } else {
        return value;
      }
    } catch (e) {
      return value;
    }
  }
  exports.removeInterpolation = removeInterpolation;
  function getPhNameFromBinding(input, index) {
    var customPhMatch = lang_1.StringWrapper.split(input, CUSTOM_PH_EXP);
    return customPhMatch.length > 1 ? customPhMatch[1] : "" + index;
  }
  exports.getPhNameFromBinding = getPhNameFromBinding;
  function dedupePhName(usedNames, name) {
    var duplicateNameCount = usedNames.get(name);
    if (lang_1.isPresent(duplicateNameCount)) {
      usedNames.set(name, duplicateNameCount + 1);
      return name + "_" + duplicateNameCount;
    } else {
      usedNames.set(name, 1);
      return name;
    }
  }
  exports.dedupePhName = dedupePhName;
  function stringifyNodes(nodes, parser, interpolationConfig) {
    var visitor = new _StringifyVisitor(parser, interpolationConfig);
    return html_ast_1.htmlVisitAll(visitor, nodes).join('');
  }
  exports.stringifyNodes = stringifyNodes;
  var _StringifyVisitor = (function() {
    function _StringifyVisitor(_parser, _interpolationConfig) {
      this._parser = _parser;
      this._interpolationConfig = _interpolationConfig;
      this._index = 0;
    }
    _StringifyVisitor.prototype.visitElement = function(ast, context) {
      var name = this._index++;
      var children = this._join(html_ast_1.htmlVisitAll(this, ast.children), '');
      return "<ph name=\"e" + name + "\">" + children + "</ph>";
    };
    _StringifyVisitor.prototype.visitAttr = function(ast, context) {
      return null;
    };
    _StringifyVisitor.prototype.visitText = function(ast, context) {
      var index = this._index++;
      var noInterpolation = removeInterpolation(ast.value, ast.sourceSpan, this._parser, this._interpolationConfig);
      if (noInterpolation != ast.value) {
        return "<ph name=\"t" + index + "\">" + noInterpolation + "</ph>";
      }
      return ast.value;
    };
    _StringifyVisitor.prototype.visitComment = function(ast, context) {
      return '';
    };
    _StringifyVisitor.prototype.visitExpansion = function(ast, context) {
      return null;
    };
    _StringifyVisitor.prototype.visitExpansionCase = function(ast, context) {
      return null;
    };
    _StringifyVisitor.prototype._join = function(strs, str) {
      return strs.filter(function(s) {
        return s.length > 0;
      }).join(str);
    };
    return _StringifyVisitor;
  }());
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/i18n/message_extractor.js", ["../facade/collection", "../facade/lang", "../html_ast", "../interpolation_config", "./message", "./shared"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var html_ast_1 = $__require('../html_ast');
  var interpolation_config_1 = $__require('../interpolation_config');
  var message_1 = $__require('./message');
  var shared_1 = $__require('./shared');
  var ExtractionResult = (function() {
    function ExtractionResult(messages, errors) {
      this.messages = messages;
      this.errors = errors;
    }
    return ExtractionResult;
  }());
  exports.ExtractionResult = ExtractionResult;
  function removeDuplicates(messages) {
    var uniq = {};
    messages.forEach(function(m) {
      if (!collection_1.StringMapWrapper.contains(uniq, message_1.id(m))) {
        uniq[message_1.id(m)] = m;
      }
    });
    return collection_1.StringMapWrapper.values(uniq);
  }
  exports.removeDuplicates = removeDuplicates;
  var MessageExtractor = (function() {
    function MessageExtractor(_htmlParser, _parser, _implicitTags, _implicitAttrs) {
      this._htmlParser = _htmlParser;
      this._parser = _parser;
      this._implicitTags = _implicitTags;
      this._implicitAttrs = _implicitAttrs;
    }
    MessageExtractor.prototype.extract = function(template, sourceUrl, interpolationConfig) {
      if (interpolationConfig === void 0) {
        interpolationConfig = interpolation_config_1.DEFAULT_INTERPOLATION_CONFIG;
      }
      this._messages = [];
      this._errors = [];
      var res = this._htmlParser.parse(template, sourceUrl, true);
      if (res.errors.length == 0) {
        this._recurse(res.rootNodes, interpolationConfig);
      }
      return new ExtractionResult(this._messages, this._errors.concat(res.errors));
    };
    MessageExtractor.prototype._extractMessagesFromPart = function(part, interpolationConfig) {
      if (part.hasI18n) {
        this._messages.push(part.createMessage(this._parser, interpolationConfig));
        this._recurseToExtractMessagesFromAttributes(part.children, interpolationConfig);
      } else {
        this._recurse(part.children, interpolationConfig);
      }
      if (lang_1.isPresent(part.rootElement)) {
        this._extractMessagesFromAttributes(part.rootElement, interpolationConfig);
      }
    };
    MessageExtractor.prototype._recurse = function(nodes, interpolationConfig) {
      var _this = this;
      if (lang_1.isPresent(nodes)) {
        var parts = shared_1.partition(nodes, this._errors, this._implicitTags);
        parts.forEach(function(part) {
          return _this._extractMessagesFromPart(part, interpolationConfig);
        });
      }
    };
    MessageExtractor.prototype._recurseToExtractMessagesFromAttributes = function(nodes, interpolationConfig) {
      var _this = this;
      nodes.forEach(function(n) {
        if (n instanceof html_ast_1.HtmlElementAst) {
          _this._extractMessagesFromAttributes(n, interpolationConfig);
          _this._recurseToExtractMessagesFromAttributes(n.children, interpolationConfig);
        }
      });
    };
    MessageExtractor.prototype._extractMessagesFromAttributes = function(p, interpolationConfig) {
      var _this = this;
      var transAttrs = lang_1.isPresent(this._implicitAttrs[p.name]) ? this._implicitAttrs[p.name] : [];
      var explicitAttrs = [];
      p.attrs.filter(function(attr) {
        return attr.name.startsWith(shared_1.I18N_ATTR_PREFIX);
      }).forEach(function(attr) {
        try {
          explicitAttrs.push(attr.name.substring(shared_1.I18N_ATTR_PREFIX.length));
          _this._messages.push(shared_1.messageFromI18nAttribute(_this._parser, interpolationConfig, p, attr));
        } catch (e) {
          if (e instanceof shared_1.I18nError) {
            _this._errors.push(e);
          } else {
            throw e;
          }
        }
      });
      p.attrs.filter(function(attr) {
        return !attr.name.startsWith(shared_1.I18N_ATTR_PREFIX);
      }).filter(function(attr) {
        return explicitAttrs.indexOf(attr.name) == -1;
      }).filter(function(attr) {
        return transAttrs.indexOf(attr.name) > -1;
      }).forEach(function(attr) {
        return _this._messages.push(shared_1.messageFromAttribute(_this._parser, interpolationConfig, attr));
      });
    };
    return MessageExtractor;
  }());
  exports.MessageExtractor = MessageExtractor;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/i18n/message.js", ["../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('../facade/lang');
  var Message = (function() {
    function Message(content, meaning, description) {
      if (description === void 0) {
        description = null;
      }
      this.content = content;
      this.meaning = meaning;
      this.description = description;
    }
    return Message;
  }());
  exports.Message = Message;
  function id(m) {
    var meaning = lang_1.isPresent(m.meaning) ? m.meaning : '';
    var content = lang_1.isPresent(m.content) ? m.content : '';
    return lang_1.escape("$ng|" + meaning + "|" + content);
  }
  exports.id = id;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/i18n/xmb_serializer.js", ["../facade/lang", "../html_ast", "../html_parser", "../parse_util", "./message"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var lang_1 = $__require('../facade/lang');
  var html_ast_1 = $__require('../html_ast');
  var html_parser_1 = $__require('../html_parser');
  var parse_util_1 = $__require('../parse_util');
  var message_1 = $__require('./message');
  var _PLACEHOLDER_REGEXP = lang_1.RegExpWrapper.create("\\<ph(\\s)+name=(\"(\\w)+\")\\/\\>");
  var _ID_ATTR = 'id';
  var _MSG_ELEMENT = 'msg';
  var _BUNDLE_ELEMENT = 'message-bundle';
  function serializeXmb(messages) {
    var ms = messages.map(function(m) {
      return _serializeMessage(m);
    }).join('');
    return "<message-bundle>" + ms + "</message-bundle>";
  }
  exports.serializeXmb = serializeXmb;
  var XmbDeserializationResult = (function() {
    function XmbDeserializationResult(content, messages, errors) {
      this.content = content;
      this.messages = messages;
      this.errors = errors;
    }
    return XmbDeserializationResult;
  }());
  exports.XmbDeserializationResult = XmbDeserializationResult;
  var XmbDeserializationError = (function(_super) {
    __extends(XmbDeserializationError, _super);
    function XmbDeserializationError(span, msg) {
      _super.call(this, span, msg);
    }
    return XmbDeserializationError;
  }(parse_util_1.ParseError));
  exports.XmbDeserializationError = XmbDeserializationError;
  function deserializeXmb(content, url) {
    var parser = new html_parser_1.HtmlParser();
    var normalizedContent = _expandPlaceholder(content.trim());
    var parsed = parser.parse(normalizedContent, url);
    if (parsed.errors.length > 0) {
      return new XmbDeserializationResult(null, {}, parsed.errors);
    }
    if (_checkRootElement(parsed.rootNodes)) {
      return new XmbDeserializationResult(null, {}, [new XmbDeserializationError(null, "Missing element \"" + _BUNDLE_ELEMENT + "\"")]);
    }
    var bundleEl = parsed.rootNodes[0];
    var errors = [];
    var messages = {};
    _createMessages(bundleEl.children, messages, errors);
    return (errors.length == 0) ? new XmbDeserializationResult(normalizedContent, messages, []) : new XmbDeserializationResult(null, {}, errors);
  }
  exports.deserializeXmb = deserializeXmb;
  function _checkRootElement(nodes) {
    return nodes.length < 1 || !(nodes[0] instanceof html_ast_1.HtmlElementAst) || nodes[0].name != _BUNDLE_ELEMENT;
  }
  function _createMessages(nodes, messages, errors) {
    nodes.forEach(function(item) {
      if (item instanceof html_ast_1.HtmlElementAst) {
        var msg = item;
        if (msg.name != _MSG_ELEMENT) {
          errors.push(new XmbDeserializationError(item.sourceSpan, "Unexpected element \"" + msg.name + "\""));
          return;
        }
        var id_1 = _id(msg);
        if (lang_1.isBlank(id_1)) {
          errors.push(new XmbDeserializationError(item.sourceSpan, "\"" + _ID_ATTR + "\" attribute is missing"));
          return;
        }
        messages[id_1] = msg.children;
      }
    });
  }
  function _id(el) {
    var ids = el.attrs.filter(function(a) {
      return a.name == _ID_ATTR;
    });
    return ids.length > 0 ? ids[0].value : null;
  }
  function _serializeMessage(m) {
    var desc = lang_1.isPresent(m.description) ? " desc='" + _escapeXml(m.description) + "'" : '';
    var meaning = lang_1.isPresent(m.meaning) ? " meaning='" + _escapeXml(m.meaning) + "'" : '';
    return "<msg id='" + message_1.id(m) + "'" + desc + meaning + ">" + m.content + "</msg>";
  }
  function _expandPlaceholder(input) {
    return lang_1.RegExpWrapper.replaceAll(_PLACEHOLDER_REGEXP, input, function(match) {
      var nameWithQuotes = match[2];
      return "<ph name=" + nameWithQuotes + "></ph>";
    });
  }
  var _XML_ESCAPED_CHARS = [[/&/g, '&amp;'], [/"/g, '&quot;'], [/'/g, '&apos;'], [/</g, '&lt;'], [/>/g, '&gt;']];
  function _escapeXml(value) {
    return _XML_ESCAPED_CHARS.reduce(function(value, escape) {
      return value.replace(escape[0], escape[1]);
    }, value);
  }
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/assertions.js", ["@angular/core", "../src/facade/exceptions", "../src/facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var exceptions_1 = $__require('../src/facade/exceptions');
  var lang_1 = $__require('../src/facade/lang');
  function assertArrayOfStrings(identifier, value) {
    if (!core_1.isDevMode() || lang_1.isBlank(value)) {
      return;
    }
    if (!lang_1.isArray(value)) {
      throw new exceptions_1.BaseException("Expected '" + identifier + "' to be an array of strings.");
    }
    for (var i = 0; i < value.length; i += 1) {
      if (!lang_1.isString(value[i])) {
        throw new exceptions_1.BaseException("Expected '" + identifier + "' to be an array of strings.");
      }
    }
  }
  exports.assertArrayOfStrings = assertArrayOfStrings;
  var INTERPOLATION_BLACKLIST_REGEXPS = [/^\s*$/, /[<>]/, /^[{}]$/, /&(#|[a-z])/i];
  function assertInterpolationSymbols(identifier, value) {
    if (core_1.isDevMode() && !lang_1.isBlank(value) && (!lang_1.isArray(value) || value.length != 2)) {
      throw new exceptions_1.BaseException("Expected '" + identifier + "' to be an array, [start, end].");
    } else if (core_1.isDevMode() && !lang_1.isBlank(value)) {
      var start_1 = value[0];
      var end_1 = value[1];
      INTERPOLATION_BLACKLIST_REGEXPS.forEach(function(regexp) {
        if (regexp.test(start_1) || regexp.test(end_1)) {
          throw new exceptions_1.BaseException("['" + start_1 + "', '" + end_1 + "'] contains unusable interpolation symbol.");
        }
      });
    }
  }
  exports.assertInterpolationSymbols = assertInterpolationSymbols;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/directive_lifecycle_reflector.js", ["@angular/core", "../core_private", "../src/facade/collection"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var core_private_1 = $__require('../core_private');
  var collection_1 = $__require('../src/facade/collection');
  var LIFECYCLE_INTERFACES = collection_1.MapWrapper.createFromPairs([[core_private_1.LifecycleHooks.OnInit, core_1.OnInit], [core_private_1.LifecycleHooks.OnDestroy, core_1.OnDestroy], [core_private_1.LifecycleHooks.DoCheck, core_1.DoCheck], [core_private_1.LifecycleHooks.OnChanges, core_1.OnChanges], [core_private_1.LifecycleHooks.AfterContentInit, core_1.AfterContentInit], [core_private_1.LifecycleHooks.AfterContentChecked, core_1.AfterContentChecked], [core_private_1.LifecycleHooks.AfterViewInit, core_1.AfterViewInit], [core_private_1.LifecycleHooks.AfterViewChecked, core_1.AfterViewChecked]]);
  var LIFECYCLE_PROPS = collection_1.MapWrapper.createFromPairs([[core_private_1.LifecycleHooks.OnInit, 'ngOnInit'], [core_private_1.LifecycleHooks.OnDestroy, 'ngOnDestroy'], [core_private_1.LifecycleHooks.DoCheck, 'ngDoCheck'], [core_private_1.LifecycleHooks.OnChanges, 'ngOnChanges'], [core_private_1.LifecycleHooks.AfterContentInit, 'ngAfterContentInit'], [core_private_1.LifecycleHooks.AfterContentChecked, 'ngAfterContentChecked'], [core_private_1.LifecycleHooks.AfterViewInit, 'ngAfterViewInit'], [core_private_1.LifecycleHooks.AfterViewChecked, 'ngAfterViewChecked']]);
  function hasLifecycleHook(hook, token) {
    var lcInterface = LIFECYCLE_INTERFACES.get(hook);
    var lcProp = LIFECYCLE_PROPS.get(hook);
    return core_private_1.reflector.hasLifecycleHook(token, lcInterface, lcProp);
  }
  exports.hasLifecycleHook = hasLifecycleHook;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/directive_resolver.js", ["@angular/core", "../core_private", "../src/facade/collection", "../src/facade/exceptions", "../src/facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var core_private_1 = $__require('../core_private');
  var collection_1 = $__require('../src/facade/collection');
  var exceptions_1 = $__require('../src/facade/exceptions');
  var lang_1 = $__require('../src/facade/lang');
  function _isDirectiveMetadata(type) {
    return type instanceof core_1.DirectiveMetadata;
  }
  var DirectiveResolver = (function() {
    function DirectiveResolver(_reflector) {
      if (_reflector === void 0) {
        _reflector = core_private_1.reflector;
      }
      this._reflector = _reflector;
    }
    DirectiveResolver.prototype.resolve = function(type) {
      var typeMetadata = this._reflector.annotations(core_1.resolveForwardRef(type));
      if (lang_1.isPresent(typeMetadata)) {
        var metadata = typeMetadata.find(_isDirectiveMetadata);
        if (lang_1.isPresent(metadata)) {
          var propertyMetadata = this._reflector.propMetadata(type);
          return this._mergeWithPropertyMetadata(metadata, propertyMetadata, type);
        }
      }
      throw new exceptions_1.BaseException("No Directive annotation found on " + lang_1.stringify(type));
    };
    DirectiveResolver.prototype._mergeWithPropertyMetadata = function(dm, propertyMetadata, directiveType) {
      var inputs = [];
      var outputs = [];
      var host = {};
      var queries = {};
      collection_1.StringMapWrapper.forEach(propertyMetadata, function(metadata, propName) {
        metadata.forEach(function(a) {
          if (a instanceof core_1.InputMetadata) {
            if (lang_1.isPresent(a.bindingPropertyName)) {
              inputs.push(propName + ": " + a.bindingPropertyName);
            } else {
              inputs.push(propName);
            }
          }
          if (a instanceof core_1.OutputMetadata) {
            if (lang_1.isPresent(a.bindingPropertyName)) {
              outputs.push(propName + ": " + a.bindingPropertyName);
            } else {
              outputs.push(propName);
            }
          }
          if (a instanceof core_1.HostBindingMetadata) {
            if (lang_1.isPresent(a.hostPropertyName)) {
              host[("[" + a.hostPropertyName + "]")] = propName;
            } else {
              host[("[" + propName + "]")] = propName;
            }
          }
          if (a instanceof core_1.HostListenerMetadata) {
            var args = lang_1.isPresent(a.args) ? a.args.join(', ') : '';
            host[("(" + a.eventName + ")")] = propName + "(" + args + ")";
          }
          if (a instanceof core_1.QueryMetadata) {
            queries[propName] = a;
          }
        });
      });
      return this._merge(dm, inputs, outputs, host, queries, directiveType);
    };
    DirectiveResolver.prototype._merge = function(dm, inputs, outputs, host, queries, directiveType) {
      var mergedInputs = lang_1.isPresent(dm.inputs) ? collection_1.ListWrapper.concat(dm.inputs, inputs) : inputs;
      var mergedOutputs;
      if (lang_1.isPresent(dm.outputs)) {
        dm.outputs.forEach(function(propName) {
          if (collection_1.ListWrapper.contains(outputs, propName)) {
            throw new exceptions_1.BaseException("Output event '" + propName + "' defined multiple times in '" + lang_1.stringify(directiveType) + "'");
          }
        });
        mergedOutputs = collection_1.ListWrapper.concat(dm.outputs, outputs);
      } else {
        mergedOutputs = outputs;
      }
      var mergedHost = lang_1.isPresent(dm.host) ? collection_1.StringMapWrapper.merge(dm.host, host) : host;
      var mergedQueries = lang_1.isPresent(dm.queries) ? collection_1.StringMapWrapper.merge(dm.queries, queries) : queries;
      if (dm instanceof core_1.ComponentMetadata) {
        return new core_1.ComponentMetadata({
          selector: dm.selector,
          inputs: mergedInputs,
          outputs: mergedOutputs,
          host: mergedHost,
          exportAs: dm.exportAs,
          moduleId: dm.moduleId,
          queries: mergedQueries,
          changeDetection: dm.changeDetection,
          providers: dm.providers,
          viewProviders: dm.viewProviders,
          precompile: dm.precompile
        });
      } else {
        return new core_1.DirectiveMetadata({
          selector: dm.selector,
          inputs: mergedInputs,
          outputs: mergedOutputs,
          host: mergedHost,
          exportAs: dm.exportAs,
          queries: mergedQueries,
          providers: dm.providers
        });
      }
    };
    DirectiveResolver.decorators = [{type: core_1.Injectable}];
    DirectiveResolver.ctorParameters = [{type: core_private_1.ReflectorReader}];
    return DirectiveResolver;
  }());
  exports.DirectiveResolver = DirectiveResolver;
  exports.CODEGEN_DIRECTIVE_RESOLVER = new DirectiveResolver(core_private_1.reflector);
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/pipe_resolver.js", ["@angular/core", "../core_private", "../src/facade/exceptions", "../src/facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var core_private_1 = $__require('../core_private');
  var exceptions_1 = $__require('../src/facade/exceptions');
  var lang_1 = $__require('../src/facade/lang');
  function _isPipeMetadata(type) {
    return type instanceof core_1.PipeMetadata;
  }
  var PipeResolver = (function() {
    function PipeResolver(_reflector) {
      if (_reflector === void 0) {
        _reflector = core_private_1.reflector;
      }
      this._reflector = _reflector;
    }
    PipeResolver.prototype.resolve = function(type) {
      var metas = this._reflector.annotations(core_1.resolveForwardRef(type));
      if (lang_1.isPresent(metas)) {
        var annotation = metas.find(_isPipeMetadata);
        if (lang_1.isPresent(annotation)) {
          return annotation;
        }
      }
      throw new exceptions_1.BaseException("No Pipe decorator found on " + lang_1.stringify(type));
    };
    PipeResolver.decorators = [{type: core_1.Injectable}];
    PipeResolver.ctorParameters = [{type: core_private_1.ReflectorReader}];
    return PipeResolver;
  }());
  exports.PipeResolver = PipeResolver;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/view_resolver.js", ["@angular/core", "../core_private", "../src/facade/lang", "../src/facade/exceptions"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var core_private_1 = $__require('../core_private');
  var lang_1 = $__require('../src/facade/lang');
  var exceptions_1 = $__require('../src/facade/exceptions');
  var ViewResolver = (function() {
    function ViewResolver(_reflector) {
      if (_reflector === void 0) {
        _reflector = core_private_1.reflector;
      }
      this._reflector = _reflector;
    }
    ViewResolver.prototype.resolve = function(component) {
      var compMeta;
      this._reflector.annotations(component).forEach(function(m) {
        if (m instanceof core_1.ComponentMetadata) {
          compMeta = m;
        }
      });
      if (lang_1.isPresent(compMeta)) {
        if (lang_1.isBlank(compMeta.template) && lang_1.isBlank(compMeta.templateUrl)) {
          throw new exceptions_1.BaseException("Component '" + lang_1.stringify(component) + "' must have either 'template' or 'templateUrl' set.");
        } else {
          return new core_1.ViewMetadata({
            templateUrl: compMeta.templateUrl,
            template: compMeta.template,
            directives: compMeta.directives,
            pipes: compMeta.pipes,
            encapsulation: compMeta.encapsulation,
            styles: compMeta.styles,
            styleUrls: compMeta.styleUrls,
            animations: compMeta.animations,
            interpolation: compMeta.interpolation
          });
        }
      } else {
        throw new exceptions_1.BaseException("Could not compile '" + lang_1.stringify(component) + "' because it is not a component.");
      }
    };
    ViewResolver.decorators = [{type: core_1.Injectable}];
    ViewResolver.ctorParameters = [{type: core_private_1.ReflectorReader}];
    return ViewResolver;
  }());
  exports.ViewResolver = ViewResolver;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/metadata_resolver.js", ["@angular/core", "../core_private", "../src/facade/collection", "../src/facade/exceptions", "../src/facade/lang", "./assertions", "./compile_metadata", "./config", "./directive_lifecycle_reflector", "./directive_resolver", "./pipe_resolver", "./url_resolver", "./util", "./view_resolver"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var core_private_1 = $__require('../core_private');
  var collection_1 = $__require('../src/facade/collection');
  var exceptions_1 = $__require('../src/facade/exceptions');
  var lang_1 = $__require('../src/facade/lang');
  var assertions_1 = $__require('./assertions');
  var cpl = $__require('./compile_metadata');
  var config_1 = $__require('./config');
  var directive_lifecycle_reflector_1 = $__require('./directive_lifecycle_reflector');
  var directive_resolver_1 = $__require('./directive_resolver');
  var pipe_resolver_1 = $__require('./pipe_resolver');
  var url_resolver_1 = $__require('./url_resolver');
  var util_1 = $__require('./util');
  var view_resolver_1 = $__require('./view_resolver');
  var CompileMetadataResolver = (function() {
    function CompileMetadataResolver(_directiveResolver, _pipeResolver, _viewResolver, _config, _reflector) {
      if (_reflector === void 0) {
        _reflector = core_private_1.reflector;
      }
      this._directiveResolver = _directiveResolver;
      this._pipeResolver = _pipeResolver;
      this._viewResolver = _viewResolver;
      this._config = _config;
      this._reflector = _reflector;
      this._directiveCache = new Map();
      this._pipeCache = new Map();
      this._anonymousTypes = new Map();
      this._anonymousTypeIndex = 0;
    }
    CompileMetadataResolver.prototype.sanitizeTokenName = function(token) {
      var identifier = lang_1.stringify(token);
      if (identifier.indexOf('(') >= 0) {
        var found = this._anonymousTypes.get(token);
        if (lang_1.isBlank(found)) {
          this._anonymousTypes.set(token, this._anonymousTypeIndex++);
          found = this._anonymousTypes.get(token);
        }
        identifier = "anonymous_token_" + found + "_";
      }
      return util_1.sanitizeIdentifier(identifier);
    };
    CompileMetadataResolver.prototype.clearCacheFor = function(compType) {
      this._directiveCache.delete(compType);
      this._pipeCache.delete(compType);
    };
    CompileMetadataResolver.prototype.clearCache = function() {
      this._directiveCache.clear();
      this._pipeCache.clear();
    };
    CompileMetadataResolver.prototype.getAnimationEntryMetadata = function(entry) {
      var _this = this;
      var defs = entry.definitions.map(function(def) {
        return _this.getAnimationStateMetadata(def);
      });
      return new cpl.CompileAnimationEntryMetadata(entry.name, defs);
    };
    CompileMetadataResolver.prototype.getAnimationStateMetadata = function(value) {
      if (value instanceof core_1.AnimationStateDeclarationMetadata) {
        var styles = this.getAnimationStyleMetadata(value.styles);
        return new cpl.CompileAnimationStateDeclarationMetadata(value.stateNameExpr, styles);
      } else if (value instanceof core_1.AnimationStateTransitionMetadata) {
        return new cpl.CompileAnimationStateTransitionMetadata(value.stateChangeExpr, this.getAnimationMetadata(value.steps));
      }
      return null;
    };
    CompileMetadataResolver.prototype.getAnimationStyleMetadata = function(value) {
      return new cpl.CompileAnimationStyleMetadata(value.offset, value.styles);
    };
    CompileMetadataResolver.prototype.getAnimationMetadata = function(value) {
      var _this = this;
      if (value instanceof core_1.AnimationStyleMetadata) {
        return this.getAnimationStyleMetadata(value);
      } else if (value instanceof core_1.AnimationKeyframesSequenceMetadata) {
        return new cpl.CompileAnimationKeyframesSequenceMetadata(value.steps.map(function(entry) {
          return _this.getAnimationStyleMetadata(entry);
        }));
      } else if (value instanceof core_1.AnimationAnimateMetadata) {
        var animateData = this.getAnimationMetadata(value.styles);
        return new cpl.CompileAnimationAnimateMetadata(value.timings, animateData);
      } else if (value instanceof core_1.AnimationWithStepsMetadata) {
        var steps = value.steps.map(function(step) {
          return _this.getAnimationMetadata(step);
        });
        if (value instanceof core_1.AnimationGroupMetadata) {
          return new cpl.CompileAnimationGroupMetadata(steps);
        } else {
          return new cpl.CompileAnimationSequenceMetadata(steps);
        }
      }
      return null;
    };
    CompileMetadataResolver.prototype.getDirectiveMetadata = function(directiveType) {
      var _this = this;
      var meta = this._directiveCache.get(directiveType);
      if (lang_1.isBlank(meta)) {
        var dirMeta = this._directiveResolver.resolve(directiveType);
        var templateMeta = null;
        var changeDetectionStrategy = null;
        var viewProviders = [];
        var moduleUrl = staticTypeModuleUrl(directiveType);
        var precompileTypes = [];
        if (dirMeta instanceof core_1.ComponentMetadata) {
          var cmpMeta = dirMeta;
          var viewMeta = this._viewResolver.resolve(directiveType);
          assertions_1.assertArrayOfStrings('styles', viewMeta.styles);
          assertions_1.assertInterpolationSymbols('interpolation', viewMeta.interpolation);
          var animations = lang_1.isPresent(viewMeta.animations) ? viewMeta.animations.map(function(e) {
            return _this.getAnimationEntryMetadata(e);
          }) : null;
          assertions_1.assertArrayOfStrings('styles', viewMeta.styles);
          assertions_1.assertArrayOfStrings('styleUrls', viewMeta.styleUrls);
          templateMeta = new cpl.CompileTemplateMetadata({
            encapsulation: viewMeta.encapsulation,
            template: viewMeta.template,
            templateUrl: viewMeta.templateUrl,
            styles: viewMeta.styles,
            styleUrls: viewMeta.styleUrls,
            animations: animations,
            interpolation: viewMeta.interpolation
          });
          changeDetectionStrategy = cmpMeta.changeDetection;
          if (lang_1.isPresent(dirMeta.viewProviders)) {
            viewProviders = this.getProvidersMetadata(verifyNonBlankProviders(directiveType, dirMeta.viewProviders, 'viewProviders'));
          }
          moduleUrl = componentModuleUrl(this._reflector, directiveType, cmpMeta);
          if (cmpMeta.precompile) {
            precompileTypes = flattenArray(cmpMeta.precompile).map(function(cmp) {
              return _this.getTypeMetadata(cmp, staticTypeModuleUrl(cmp));
            });
          }
        }
        var providers = [];
        if (lang_1.isPresent(dirMeta.providers)) {
          providers = this.getProvidersMetadata(verifyNonBlankProviders(directiveType, dirMeta.providers, 'providers'));
        }
        var queries = [];
        var viewQueries = [];
        if (lang_1.isPresent(dirMeta.queries)) {
          queries = this.getQueriesMetadata(dirMeta.queries, false, directiveType);
          viewQueries = this.getQueriesMetadata(dirMeta.queries, true, directiveType);
        }
        meta = cpl.CompileDirectiveMetadata.create({
          selector: dirMeta.selector,
          exportAs: dirMeta.exportAs,
          isComponent: lang_1.isPresent(templateMeta),
          type: this.getTypeMetadata(directiveType, moduleUrl),
          template: templateMeta,
          changeDetection: changeDetectionStrategy,
          inputs: dirMeta.inputs,
          outputs: dirMeta.outputs,
          host: dirMeta.host,
          lifecycleHooks: core_private_1.LIFECYCLE_HOOKS_VALUES.filter(function(hook) {
            return directive_lifecycle_reflector_1.hasLifecycleHook(hook, directiveType);
          }),
          providers: providers,
          viewProviders: viewProviders,
          queries: queries,
          viewQueries: viewQueries,
          precompile: precompileTypes
        });
        this._directiveCache.set(directiveType, meta);
      }
      return meta;
    };
    CompileMetadataResolver.prototype.maybeGetDirectiveMetadata = function(someType) {
      try {
        return this.getDirectiveMetadata(someType);
      } catch (e) {
        if (e.message.indexOf('No Directive annotation') !== -1) {
          return null;
        }
        throw e;
      }
    };
    CompileMetadataResolver.prototype.getTypeMetadata = function(type, moduleUrl, dependencies) {
      if (dependencies === void 0) {
        dependencies = null;
      }
      return new cpl.CompileTypeMetadata({
        name: this.sanitizeTokenName(type),
        moduleUrl: moduleUrl,
        runtime: type,
        diDeps: this.getDependenciesMetadata(type, dependencies)
      });
    };
    CompileMetadataResolver.prototype.getFactoryMetadata = function(factory, moduleUrl, dependencies) {
      if (dependencies === void 0) {
        dependencies = null;
      }
      return new cpl.CompileFactoryMetadata({
        name: this.sanitizeTokenName(factory),
        moduleUrl: moduleUrl,
        runtime: factory,
        diDeps: this.getDependenciesMetadata(factory, dependencies)
      });
    };
    CompileMetadataResolver.prototype.getPipeMetadata = function(pipeType) {
      var meta = this._pipeCache.get(pipeType);
      if (lang_1.isBlank(meta)) {
        var pipeMeta = this._pipeResolver.resolve(pipeType);
        meta = new cpl.CompilePipeMetadata({
          type: this.getTypeMetadata(pipeType, staticTypeModuleUrl(pipeType)),
          name: pipeMeta.name,
          pure: pipeMeta.pure,
          lifecycleHooks: core_private_1.LIFECYCLE_HOOKS_VALUES.filter(function(hook) {
            return directive_lifecycle_reflector_1.hasLifecycleHook(hook, pipeType);
          })
        });
        this._pipeCache.set(pipeType, meta);
      }
      return meta;
    };
    CompileMetadataResolver.prototype.getViewDirectivesMetadata = function(component) {
      var _this = this;
      var view = this._viewResolver.resolve(component);
      var directives = flattenDirectives(view, this._config.platformDirectives);
      for (var i = 0; i < directives.length; i++) {
        if (!isValidType(directives[i])) {
          throw new exceptions_1.BaseException("Unexpected directive value '" + lang_1.stringify(directives[i]) + "' on the View of component '" + lang_1.stringify(component) + "'");
        }
      }
      return directives.map(function(type) {
        return _this.getDirectiveMetadata(type);
      });
    };
    CompileMetadataResolver.prototype.getViewPipesMetadata = function(component) {
      var _this = this;
      var view = this._viewResolver.resolve(component);
      var pipes = flattenPipes(view, this._config.platformPipes);
      for (var i = 0; i < pipes.length; i++) {
        if (!isValidType(pipes[i])) {
          throw new exceptions_1.BaseException("Unexpected piped value '" + lang_1.stringify(pipes[i]) + "' on the View of component '" + lang_1.stringify(component) + "'");
        }
      }
      return pipes.map(function(type) {
        return _this.getPipeMetadata(type);
      });
    };
    CompileMetadataResolver.prototype.getDependenciesMetadata = function(typeOrFunc, dependencies) {
      var _this = this;
      var hasUnknownDeps = false;
      var params = lang_1.isPresent(dependencies) ? dependencies : this._reflector.parameters(typeOrFunc);
      if (lang_1.isBlank(params)) {
        params = [];
      }
      var dependenciesMetadata = params.map(function(param) {
        var isAttribute = false;
        var isHost = false;
        var isSelf = false;
        var isSkipSelf = false;
        var isOptional = false;
        var query = null;
        var viewQuery = null;
        var token = null;
        if (lang_1.isArray(param)) {
          param.forEach(function(paramEntry) {
            if (paramEntry instanceof core_1.HostMetadata) {
              isHost = true;
            } else if (paramEntry instanceof core_1.SelfMetadata) {
              isSelf = true;
            } else if (paramEntry instanceof core_1.SkipSelfMetadata) {
              isSkipSelf = true;
            } else if (paramEntry instanceof core_1.OptionalMetadata) {
              isOptional = true;
            } else if (paramEntry instanceof core_1.AttributeMetadata) {
              isAttribute = true;
              token = paramEntry.attributeName;
            } else if (paramEntry instanceof core_1.QueryMetadata) {
              if (paramEntry.isViewQuery) {
                viewQuery = paramEntry;
              } else {
                query = paramEntry;
              }
            } else if (paramEntry instanceof core_1.InjectMetadata) {
              token = paramEntry.token;
            } else if (isValidType(paramEntry) && lang_1.isBlank(token)) {
              token = paramEntry;
            }
          });
        } else {
          token = param;
        }
        if (lang_1.isBlank(token)) {
          hasUnknownDeps = true;
          return null;
        }
        return new cpl.CompileDiDependencyMetadata({
          isAttribute: isAttribute,
          isHost: isHost,
          isSelf: isSelf,
          isSkipSelf: isSkipSelf,
          isOptional: isOptional,
          query: lang_1.isPresent(query) ? _this.getQueryMetadata(query, null, typeOrFunc) : null,
          viewQuery: lang_1.isPresent(viewQuery) ? _this.getQueryMetadata(viewQuery, null, typeOrFunc) : null,
          token: _this.getTokenMetadata(token)
        });
      });
      if (hasUnknownDeps) {
        var depsTokens = dependenciesMetadata.map(function(dep) {
          return dep ? lang_1.stringify(dep.token) : '?';
        }).join(', ');
        throw new exceptions_1.BaseException("Can't resolve all parameters for " + lang_1.stringify(typeOrFunc) + ": (" + depsTokens + ").");
      }
      return dependenciesMetadata;
    };
    CompileMetadataResolver.prototype.getTokenMetadata = function(token) {
      token = core_1.resolveForwardRef(token);
      var compileToken;
      if (lang_1.isString(token)) {
        compileToken = new cpl.CompileTokenMetadata({value: token});
      } else {
        compileToken = new cpl.CompileTokenMetadata({identifier: new cpl.CompileIdentifierMetadata({
            runtime: token,
            name: this.sanitizeTokenName(token),
            moduleUrl: staticTypeModuleUrl(token)
          })});
      }
      return compileToken;
    };
    CompileMetadataResolver.prototype.getProvidersMetadata = function(providers) {
      var _this = this;
      return providers.map(function(provider) {
        provider = core_1.resolveForwardRef(provider);
        if (lang_1.isArray(provider)) {
          return _this.getProvidersMetadata(provider);
        } else if (provider instanceof core_1.Provider) {
          return _this.getProviderMetadata(provider);
        } else if (core_private_1.isProviderLiteral(provider)) {
          return _this.getProviderMetadata(core_private_1.createProvider(provider));
        } else {
          return _this.getTypeMetadata(provider, staticTypeModuleUrl(provider));
        }
      });
    };
    CompileMetadataResolver.prototype.getProviderMetadata = function(provider) {
      var compileDeps;
      var compileTypeMetadata = null;
      var compileFactoryMetadata = null;
      if (lang_1.isPresent(provider.useClass)) {
        compileTypeMetadata = this.getTypeMetadata(provider.useClass, staticTypeModuleUrl(provider.useClass), provider.dependencies);
        compileDeps = compileTypeMetadata.diDeps;
      } else if (lang_1.isPresent(provider.useFactory)) {
        compileFactoryMetadata = this.getFactoryMetadata(provider.useFactory, staticTypeModuleUrl(provider.useFactory), provider.dependencies);
        compileDeps = compileFactoryMetadata.diDeps;
      }
      return new cpl.CompileProviderMetadata({
        token: this.getTokenMetadata(provider.token),
        useClass: compileTypeMetadata,
        useValue: convertToCompileValue(provider.useValue),
        useFactory: compileFactoryMetadata,
        useExisting: lang_1.isPresent(provider.useExisting) ? this.getTokenMetadata(provider.useExisting) : null,
        deps: compileDeps,
        multi: provider.multi
      });
    };
    CompileMetadataResolver.prototype.getQueriesMetadata = function(queries, isViewQuery, directiveType) {
      var _this = this;
      var compileQueries = [];
      collection_1.StringMapWrapper.forEach(queries, function(query, propertyName) {
        if (query.isViewQuery === isViewQuery) {
          compileQueries.push(_this.getQueryMetadata(query, propertyName, directiveType));
        }
      });
      return compileQueries;
    };
    CompileMetadataResolver.prototype.getQueryMetadata = function(q, propertyName, typeOrFunc) {
      var _this = this;
      var selectors;
      if (q.isVarBindingQuery) {
        selectors = q.varBindings.map(function(varName) {
          return _this.getTokenMetadata(varName);
        });
      } else {
        if (!lang_1.isPresent(q.selector)) {
          throw new exceptions_1.BaseException("Can't construct a query for the property \"" + propertyName + "\" of \"" + lang_1.stringify(typeOrFunc) + "\" since the query selector wasn't defined.");
        }
        selectors = [this.getTokenMetadata(q.selector)];
      }
      return new cpl.CompileQueryMetadata({
        selectors: selectors,
        first: q.first,
        descendants: q.descendants,
        propertyName: propertyName,
        read: lang_1.isPresent(q.read) ? this.getTokenMetadata(q.read) : null
      });
    };
    CompileMetadataResolver.decorators = [{type: core_1.Injectable}];
    CompileMetadataResolver.ctorParameters = [{type: directive_resolver_1.DirectiveResolver}, {type: pipe_resolver_1.PipeResolver}, {type: view_resolver_1.ViewResolver}, {type: config_1.CompilerConfig}, {type: core_private_1.ReflectorReader}];
    return CompileMetadataResolver;
  }());
  exports.CompileMetadataResolver = CompileMetadataResolver;
  function flattenDirectives(view, platformDirectives) {
    var directives = [];
    if (lang_1.isPresent(platformDirectives)) {
      flattenArray(platformDirectives, directives);
    }
    if (lang_1.isPresent(view.directives)) {
      flattenArray(view.directives, directives);
    }
    return directives;
  }
  function flattenPipes(view, platformPipes) {
    var pipes = [];
    if (lang_1.isPresent(platformPipes)) {
      flattenArray(platformPipes, pipes);
    }
    if (lang_1.isPresent(view.pipes)) {
      flattenArray(view.pipes, pipes);
    }
    return pipes;
  }
  function flattenArray(tree, out) {
    if (out === void 0) {
      out = [];
    }
    for (var i = 0; i < tree.length; i++) {
      var item = core_1.resolveForwardRef(tree[i]);
      if (lang_1.isArray(item)) {
        flattenArray(item, out);
      } else {
        out.push(item);
      }
    }
    return out;
  }
  function verifyNonBlankProviders(directiveType, providersTree, providersType) {
    var flat = [];
    var errMsg;
    flattenArray(providersTree, flat);
    for (var i = 0; i < flat.length; i++) {
      if (lang_1.isBlank(flat[i])) {
        errMsg = flat.map(function(provider) {
          return lang_1.isBlank(provider) ? '?' : lang_1.stringify(provider);
        }).join(', ');
        throw new exceptions_1.BaseException("One or more of " + providersType + " for \"" + lang_1.stringify(directiveType) + "\" were not defined: [" + errMsg + "].");
      }
    }
    return providersTree;
  }
  function isStaticType(value) {
    return lang_1.isStringMap(value) && lang_1.isPresent(value['name']) && lang_1.isPresent(value['filePath']);
  }
  function isValidType(value) {
    return isStaticType(value) || (value instanceof lang_1.Type);
  }
  function staticTypeModuleUrl(value) {
    return isStaticType(value) ? value['filePath'] : null;
  }
  function componentModuleUrl(reflector, type, cmpMetadata) {
    if (isStaticType(type)) {
      return staticTypeModuleUrl(type);
    }
    if (lang_1.isPresent(cmpMetadata.moduleId)) {
      var moduleId = cmpMetadata.moduleId;
      var scheme = url_resolver_1.getUrlScheme(moduleId);
      return lang_1.isPresent(scheme) && scheme.length > 0 ? moduleId : "package:" + moduleId + util_1.MODULE_SUFFIX;
    }
    return reflector.importUri(type);
  }
  function convertToCompileValue(value) {
    return util_1.visitValue(value, new _CompileValueConverter(), null);
  }
  var _CompileValueConverter = (function(_super) {
    __extends(_CompileValueConverter, _super);
    function _CompileValueConverter() {
      _super.apply(this, arguments);
    }
    _CompileValueConverter.prototype.visitOther = function(value, context) {
      if (isStaticType(value)) {
        return new cpl.CompileIdentifierMetadata({
          name: value['name'],
          moduleUrl: staticTypeModuleUrl(value)
        });
      } else {
        return new cpl.CompileIdentifierMetadata({runtime: value});
      }
    };
    return _CompileValueConverter;
  }(util_1.ValueTransformer));
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/output/path_util.js", ["../facade/exceptions", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var _ASSET_URL_RE = /asset:([^\/]+)\/([^\/]+)\/(.+)/g;
  var ImportGenerator = (function() {
    function ImportGenerator() {}
    ImportGenerator.parseAssetUrl = function(url) {
      return AssetUrl.parse(url);
    };
    return ImportGenerator;
  }());
  exports.ImportGenerator = ImportGenerator;
  var AssetUrl = (function() {
    function AssetUrl(packageName, firstLevelDir, modulePath) {
      this.packageName = packageName;
      this.firstLevelDir = firstLevelDir;
      this.modulePath = modulePath;
    }
    AssetUrl.parse = function(url, allowNonMatching) {
      if (allowNonMatching === void 0) {
        allowNonMatching = true;
      }
      var match = lang_1.RegExpWrapper.firstMatch(_ASSET_URL_RE, url);
      if (lang_1.isPresent(match)) {
        return new AssetUrl(match[1], match[2], match[3]);
      }
      if (allowNonMatching) {
        return null;
      }
      throw new exceptions_1.BaseException("Url " + url + " is not a valid asset: url");
    };
    return AssetUrl;
  }());
  exports.AssetUrl = AssetUrl;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/output/abstract_emitter.js", ["../facade/exceptions", "../facade/lang", "./output_ast"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var o = $__require('./output_ast');
  var _SINGLE_QUOTE_ESCAPE_STRING_RE = /'|\\|\n|\r|\$/g;
  exports.CATCH_ERROR_VAR = o.variable('error');
  exports.CATCH_STACK_VAR = o.variable('stack');
  var OutputEmitter = (function() {
    function OutputEmitter() {}
    return OutputEmitter;
  }());
  exports.OutputEmitter = OutputEmitter;
  var _EmittedLine = (function() {
    function _EmittedLine(indent) {
      this.indent = indent;
      this.parts = [];
    }
    return _EmittedLine;
  }());
  var EmitterVisitorContext = (function() {
    function EmitterVisitorContext(_exportedVars, _indent) {
      this._exportedVars = _exportedVars;
      this._indent = _indent;
      this._classes = [];
      this._lines = [new _EmittedLine(_indent)];
    }
    EmitterVisitorContext.createRoot = function(exportedVars) {
      return new EmitterVisitorContext(exportedVars, 0);
    };
    Object.defineProperty(EmitterVisitorContext.prototype, "_currentLine", {
      get: function() {
        return this._lines[this._lines.length - 1];
      },
      enumerable: true,
      configurable: true
    });
    EmitterVisitorContext.prototype.isExportedVar = function(varName) {
      return this._exportedVars.indexOf(varName) !== -1;
    };
    EmitterVisitorContext.prototype.println = function(lastPart) {
      if (lastPart === void 0) {
        lastPart = '';
      }
      this.print(lastPart, true);
    };
    EmitterVisitorContext.prototype.lineIsEmpty = function() {
      return this._currentLine.parts.length === 0;
    };
    EmitterVisitorContext.prototype.print = function(part, newLine) {
      if (newLine === void 0) {
        newLine = false;
      }
      if (part.length > 0) {
        this._currentLine.parts.push(part);
      }
      if (newLine) {
        this._lines.push(new _EmittedLine(this._indent));
      }
    };
    EmitterVisitorContext.prototype.removeEmptyLastLine = function() {
      if (this.lineIsEmpty()) {
        this._lines.pop();
      }
    };
    EmitterVisitorContext.prototype.incIndent = function() {
      this._indent++;
      this._currentLine.indent = this._indent;
    };
    EmitterVisitorContext.prototype.decIndent = function() {
      this._indent--;
      this._currentLine.indent = this._indent;
    };
    EmitterVisitorContext.prototype.pushClass = function(clazz) {
      this._classes.push(clazz);
    };
    EmitterVisitorContext.prototype.popClass = function() {
      return this._classes.pop();
    };
    Object.defineProperty(EmitterVisitorContext.prototype, "currentClass", {
      get: function() {
        return this._classes.length > 0 ? this._classes[this._classes.length - 1] : null;
      },
      enumerable: true,
      configurable: true
    });
    EmitterVisitorContext.prototype.toSource = function() {
      var lines = this._lines;
      if (lines[lines.length - 1].parts.length === 0) {
        lines = lines.slice(0, lines.length - 1);
      }
      return lines.map(function(line) {
        if (line.parts.length > 0) {
          return _createIndent(line.indent) + line.parts.join('');
        } else {
          return '';
        }
      }).join('\n');
    };
    return EmitterVisitorContext;
  }());
  exports.EmitterVisitorContext = EmitterVisitorContext;
  var AbstractEmitterVisitor = (function() {
    function AbstractEmitterVisitor(_escapeDollarInStrings) {
      this._escapeDollarInStrings = _escapeDollarInStrings;
    }
    AbstractEmitterVisitor.prototype.visitExpressionStmt = function(stmt, ctx) {
      stmt.expr.visitExpression(this, ctx);
      ctx.println(';');
      return null;
    };
    AbstractEmitterVisitor.prototype.visitReturnStmt = function(stmt, ctx) {
      ctx.print("return ");
      stmt.value.visitExpression(this, ctx);
      ctx.println(';');
      return null;
    };
    AbstractEmitterVisitor.prototype.visitIfStmt = function(stmt, ctx) {
      ctx.print("if (");
      stmt.condition.visitExpression(this, ctx);
      ctx.print(") {");
      var hasElseCase = lang_1.isPresent(stmt.falseCase) && stmt.falseCase.length > 0;
      if (stmt.trueCase.length <= 1 && !hasElseCase) {
        ctx.print(" ");
        this.visitAllStatements(stmt.trueCase, ctx);
        ctx.removeEmptyLastLine();
        ctx.print(" ");
      } else {
        ctx.println();
        ctx.incIndent();
        this.visitAllStatements(stmt.trueCase, ctx);
        ctx.decIndent();
        if (hasElseCase) {
          ctx.println("} else {");
          ctx.incIndent();
          this.visitAllStatements(stmt.falseCase, ctx);
          ctx.decIndent();
        }
      }
      ctx.println("}");
      return null;
    };
    AbstractEmitterVisitor.prototype.visitThrowStmt = function(stmt, ctx) {
      ctx.print("throw ");
      stmt.error.visitExpression(this, ctx);
      ctx.println(";");
      return null;
    };
    AbstractEmitterVisitor.prototype.visitCommentStmt = function(stmt, ctx) {
      var lines = stmt.comment.split('\n');
      lines.forEach(function(line) {
        ctx.println("// " + line);
      });
      return null;
    };
    AbstractEmitterVisitor.prototype.visitWriteVarExpr = function(expr, ctx) {
      var lineWasEmpty = ctx.lineIsEmpty();
      if (!lineWasEmpty) {
        ctx.print('(');
      }
      ctx.print(expr.name + " = ");
      expr.value.visitExpression(this, ctx);
      if (!lineWasEmpty) {
        ctx.print(')');
      }
      return null;
    };
    AbstractEmitterVisitor.prototype.visitWriteKeyExpr = function(expr, ctx) {
      var lineWasEmpty = ctx.lineIsEmpty();
      if (!lineWasEmpty) {
        ctx.print('(');
      }
      expr.receiver.visitExpression(this, ctx);
      ctx.print("[");
      expr.index.visitExpression(this, ctx);
      ctx.print("] = ");
      expr.value.visitExpression(this, ctx);
      if (!lineWasEmpty) {
        ctx.print(')');
      }
      return null;
    };
    AbstractEmitterVisitor.prototype.visitWritePropExpr = function(expr, ctx) {
      var lineWasEmpty = ctx.lineIsEmpty();
      if (!lineWasEmpty) {
        ctx.print('(');
      }
      expr.receiver.visitExpression(this, ctx);
      ctx.print("." + expr.name + " = ");
      expr.value.visitExpression(this, ctx);
      if (!lineWasEmpty) {
        ctx.print(')');
      }
      return null;
    };
    AbstractEmitterVisitor.prototype.visitInvokeMethodExpr = function(expr, ctx) {
      expr.receiver.visitExpression(this, ctx);
      var name = expr.name;
      if (lang_1.isPresent(expr.builtin)) {
        name = this.getBuiltinMethodName(expr.builtin);
        if (lang_1.isBlank(name)) {
          return null;
        }
      }
      ctx.print("." + name + "(");
      this.visitAllExpressions(expr.args, ctx, ",");
      ctx.print(")");
      return null;
    };
    AbstractEmitterVisitor.prototype.visitInvokeFunctionExpr = function(expr, ctx) {
      expr.fn.visitExpression(this, ctx);
      ctx.print("(");
      this.visitAllExpressions(expr.args, ctx, ',');
      ctx.print(")");
      return null;
    };
    AbstractEmitterVisitor.prototype.visitReadVarExpr = function(ast, ctx) {
      var varName = ast.name;
      if (lang_1.isPresent(ast.builtin)) {
        switch (ast.builtin) {
          case o.BuiltinVar.Super:
            varName = 'super';
            break;
          case o.BuiltinVar.This:
            varName = 'this';
            break;
          case o.BuiltinVar.CatchError:
            varName = exports.CATCH_ERROR_VAR.name;
            break;
          case o.BuiltinVar.CatchStack:
            varName = exports.CATCH_STACK_VAR.name;
            break;
          default:
            throw new exceptions_1.BaseException("Unknown builtin variable " + ast.builtin);
        }
      }
      ctx.print(varName);
      return null;
    };
    AbstractEmitterVisitor.prototype.visitInstantiateExpr = function(ast, ctx) {
      ctx.print("new ");
      ast.classExpr.visitExpression(this, ctx);
      ctx.print("(");
      this.visitAllExpressions(ast.args, ctx, ',');
      ctx.print(")");
      return null;
    };
    AbstractEmitterVisitor.prototype.visitLiteralExpr = function(ast, ctx) {
      var value = ast.value;
      if (lang_1.isString(value)) {
        ctx.print(escapeSingleQuoteString(value, this._escapeDollarInStrings));
      } else if (lang_1.isBlank(value)) {
        ctx.print('null');
      } else {
        ctx.print("" + value);
      }
      return null;
    };
    AbstractEmitterVisitor.prototype.visitConditionalExpr = function(ast, ctx) {
      ctx.print("(");
      ast.condition.visitExpression(this, ctx);
      ctx.print('? ');
      ast.trueCase.visitExpression(this, ctx);
      ctx.print(': ');
      ast.falseCase.visitExpression(this, ctx);
      ctx.print(")");
      return null;
    };
    AbstractEmitterVisitor.prototype.visitNotExpr = function(ast, ctx) {
      ctx.print('!');
      ast.condition.visitExpression(this, ctx);
      return null;
    };
    AbstractEmitterVisitor.prototype.visitBinaryOperatorExpr = function(ast, ctx) {
      var opStr;
      switch (ast.operator) {
        case o.BinaryOperator.Equals:
          opStr = '==';
          break;
        case o.BinaryOperator.Identical:
          opStr = '===';
          break;
        case o.BinaryOperator.NotEquals:
          opStr = '!=';
          break;
        case o.BinaryOperator.NotIdentical:
          opStr = '!==';
          break;
        case o.BinaryOperator.And:
          opStr = '&&';
          break;
        case o.BinaryOperator.Or:
          opStr = '||';
          break;
        case o.BinaryOperator.Plus:
          opStr = '+';
          break;
        case o.BinaryOperator.Minus:
          opStr = '-';
          break;
        case o.BinaryOperator.Divide:
          opStr = '/';
          break;
        case o.BinaryOperator.Multiply:
          opStr = '*';
          break;
        case o.BinaryOperator.Modulo:
          opStr = '%';
          break;
        case o.BinaryOperator.Lower:
          opStr = '<';
          break;
        case o.BinaryOperator.LowerEquals:
          opStr = '<=';
          break;
        case o.BinaryOperator.Bigger:
          opStr = '>';
          break;
        case o.BinaryOperator.BiggerEquals:
          opStr = '>=';
          break;
        default:
          throw new exceptions_1.BaseException("Unknown operator " + ast.operator);
      }
      ctx.print("(");
      ast.lhs.visitExpression(this, ctx);
      ctx.print(" " + opStr + " ");
      ast.rhs.visitExpression(this, ctx);
      ctx.print(")");
      return null;
    };
    AbstractEmitterVisitor.prototype.visitReadPropExpr = function(ast, ctx) {
      ast.receiver.visitExpression(this, ctx);
      ctx.print(".");
      ctx.print(ast.name);
      return null;
    };
    AbstractEmitterVisitor.prototype.visitReadKeyExpr = function(ast, ctx) {
      ast.receiver.visitExpression(this, ctx);
      ctx.print("[");
      ast.index.visitExpression(this, ctx);
      ctx.print("]");
      return null;
    };
    AbstractEmitterVisitor.prototype.visitLiteralArrayExpr = function(ast, ctx) {
      var useNewLine = ast.entries.length > 1;
      ctx.print("[", useNewLine);
      ctx.incIndent();
      this.visitAllExpressions(ast.entries, ctx, ',', useNewLine);
      ctx.decIndent();
      ctx.print("]", useNewLine);
      return null;
    };
    AbstractEmitterVisitor.prototype.visitLiteralMapExpr = function(ast, ctx) {
      var _this = this;
      var useNewLine = ast.entries.length > 1;
      ctx.print("{", useNewLine);
      ctx.incIndent();
      this.visitAllObjects(function(entry) {
        ctx.print(escapeSingleQuoteString(entry[0], _this._escapeDollarInStrings) + ": ");
        entry[1].visitExpression(_this, ctx);
      }, ast.entries, ctx, ',', useNewLine);
      ctx.decIndent();
      ctx.print("}", useNewLine);
      return null;
    };
    AbstractEmitterVisitor.prototype.visitAllExpressions = function(expressions, ctx, separator, newLine) {
      var _this = this;
      if (newLine === void 0) {
        newLine = false;
      }
      this.visitAllObjects(function(expr) {
        return expr.visitExpression(_this, ctx);
      }, expressions, ctx, separator, newLine);
    };
    AbstractEmitterVisitor.prototype.visitAllObjects = function(handler, expressions, ctx, separator, newLine) {
      if (newLine === void 0) {
        newLine = false;
      }
      for (var i = 0; i < expressions.length; i++) {
        if (i > 0) {
          ctx.print(separator, newLine);
        }
        handler(expressions[i]);
      }
      if (newLine) {
        ctx.println();
      }
    };
    AbstractEmitterVisitor.prototype.visitAllStatements = function(statements, ctx) {
      var _this = this;
      statements.forEach(function(stmt) {
        return stmt.visitStatement(_this, ctx);
      });
    };
    return AbstractEmitterVisitor;
  }());
  exports.AbstractEmitterVisitor = AbstractEmitterVisitor;
  function escapeSingleQuoteString(input, escapeDollar) {
    if (lang_1.isBlank(input)) {
      return null;
    }
    var body = lang_1.StringWrapper.replaceAllMapped(input, _SINGLE_QUOTE_ESCAPE_STRING_RE, function(match) {
      if (match[0] == '$') {
        return escapeDollar ? '\\$' : '$';
      } else if (match[0] == '\n') {
        return '\\n';
      } else if (match[0] == '\r') {
        return '\\r';
      } else {
        return "\\" + match[0];
      }
    });
    return "'" + body + "'";
  }
  exports.escapeSingleQuoteString = escapeSingleQuoteString;
  function _createIndent(count) {
    var res = '';
    for (var i = 0; i < count; i++) {
      res += '  ';
    }
    return res;
  }
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/output/ts_emitter.js", ["../facade/exceptions", "../facade/lang", "./abstract_emitter", "./output_ast"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var abstract_emitter_1 = $__require('./abstract_emitter');
  var o = $__require('./output_ast');
  var _debugModuleUrl = 'asset://debug/lib';
  function debugOutputAstAsTypeScript(ast) {
    var converter = new _TsEmitterVisitor(_debugModuleUrl);
    var ctx = abstract_emitter_1.EmitterVisitorContext.createRoot([]);
    var asts;
    if (lang_1.isArray(ast)) {
      asts = ast;
    } else {
      asts = [ast];
    }
    asts.forEach(function(ast) {
      if (ast instanceof o.Statement) {
        ast.visitStatement(converter, ctx);
      } else if (ast instanceof o.Expression) {
        ast.visitExpression(converter, ctx);
      } else if (ast instanceof o.Type) {
        ast.visitType(converter, ctx);
      } else {
        throw new exceptions_1.BaseException("Don't know how to print debug info for " + ast);
      }
    });
    return ctx.toSource();
  }
  exports.debugOutputAstAsTypeScript = debugOutputAstAsTypeScript;
  var TypeScriptEmitter = (function() {
    function TypeScriptEmitter(_importGenerator) {
      this._importGenerator = _importGenerator;
    }
    TypeScriptEmitter.prototype.emitStatements = function(moduleUrl, stmts, exportedVars) {
      var _this = this;
      var converter = new _TsEmitterVisitor(moduleUrl);
      var ctx = abstract_emitter_1.EmitterVisitorContext.createRoot(exportedVars);
      converter.visitAllStatements(stmts, ctx);
      var srcParts = [];
      converter.importsWithPrefixes.forEach(function(prefix, importedModuleUrl) {
        srcParts.push("imp" + ("ort * as " + prefix + " from '" + _this._importGenerator.getImportPath(moduleUrl, importedModuleUrl) + "';"));
      });
      srcParts.push(ctx.toSource());
      return srcParts.join('\n');
    };
    return TypeScriptEmitter;
  }());
  exports.TypeScriptEmitter = TypeScriptEmitter;
  var _TsEmitterVisitor = (function(_super) {
    __extends(_TsEmitterVisitor, _super);
    function _TsEmitterVisitor(_moduleUrl) {
      _super.call(this, false);
      this._moduleUrl = _moduleUrl;
      this.importsWithPrefixes = new Map();
    }
    _TsEmitterVisitor.prototype.visitType = function(t, ctx, defaultType) {
      if (defaultType === void 0) {
        defaultType = 'any';
      }
      if (lang_1.isPresent(t)) {
        t.visitType(this, ctx);
      } else {
        ctx.print(defaultType);
      }
    };
    _TsEmitterVisitor.prototype.visitExternalExpr = function(ast, ctx) {
      this._visitIdentifier(ast.value, ast.typeParams, ctx);
      return null;
    };
    _TsEmitterVisitor.prototype.visitDeclareVarStmt = function(stmt, ctx) {
      if (ctx.isExportedVar(stmt.name)) {
        ctx.print("export ");
      }
      if (stmt.hasModifier(o.StmtModifier.Final)) {
        ctx.print("const");
      } else {
        ctx.print("var");
      }
      ctx.print(" " + stmt.name + ":");
      this.visitType(stmt.type, ctx);
      ctx.print(" = ");
      stmt.value.visitExpression(this, ctx);
      ctx.println(";");
      return null;
    };
    _TsEmitterVisitor.prototype.visitCastExpr = function(ast, ctx) {
      ctx.print("(<");
      ast.type.visitType(this, ctx);
      ctx.print(">");
      ast.value.visitExpression(this, ctx);
      ctx.print(")");
      return null;
    };
    _TsEmitterVisitor.prototype.visitDeclareClassStmt = function(stmt, ctx) {
      var _this = this;
      ctx.pushClass(stmt);
      if (ctx.isExportedVar(stmt.name)) {
        ctx.print("export ");
      }
      ctx.print("class " + stmt.name);
      if (lang_1.isPresent(stmt.parent)) {
        ctx.print(" extends ");
        stmt.parent.visitExpression(this, ctx);
      }
      ctx.println(" {");
      ctx.incIndent();
      stmt.fields.forEach(function(field) {
        return _this._visitClassField(field, ctx);
      });
      if (lang_1.isPresent(stmt.constructorMethod)) {
        this._visitClassConstructor(stmt, ctx);
      }
      stmt.getters.forEach(function(getter) {
        return _this._visitClassGetter(getter, ctx);
      });
      stmt.methods.forEach(function(method) {
        return _this._visitClassMethod(method, ctx);
      });
      ctx.decIndent();
      ctx.println("}");
      ctx.popClass();
      return null;
    };
    _TsEmitterVisitor.prototype._visitClassField = function(field, ctx) {
      if (field.hasModifier(o.StmtModifier.Private)) {
        ctx.print("private ");
      }
      ctx.print(field.name);
      ctx.print(':');
      this.visitType(field.type, ctx);
      ctx.println(";");
    };
    _TsEmitterVisitor.prototype._visitClassGetter = function(getter, ctx) {
      if (getter.hasModifier(o.StmtModifier.Private)) {
        ctx.print("private ");
      }
      ctx.print("get " + getter.name + "()");
      ctx.print(':');
      this.visitType(getter.type, ctx);
      ctx.println(" {");
      ctx.incIndent();
      this.visitAllStatements(getter.body, ctx);
      ctx.decIndent();
      ctx.println("}");
    };
    _TsEmitterVisitor.prototype._visitClassConstructor = function(stmt, ctx) {
      ctx.print("constructor(");
      this._visitParams(stmt.constructorMethod.params, ctx);
      ctx.println(") {");
      ctx.incIndent();
      this.visitAllStatements(stmt.constructorMethod.body, ctx);
      ctx.decIndent();
      ctx.println("}");
    };
    _TsEmitterVisitor.prototype._visitClassMethod = function(method, ctx) {
      if (method.hasModifier(o.StmtModifier.Private)) {
        ctx.print("private ");
      }
      ctx.print(method.name + "(");
      this._visitParams(method.params, ctx);
      ctx.print("):");
      this.visitType(method.type, ctx, 'void');
      ctx.println(" {");
      ctx.incIndent();
      this.visitAllStatements(method.body, ctx);
      ctx.decIndent();
      ctx.println("}");
    };
    _TsEmitterVisitor.prototype.visitFunctionExpr = function(ast, ctx) {
      ctx.print("(");
      this._visitParams(ast.params, ctx);
      ctx.print("):");
      this.visitType(ast.type, ctx, 'void');
      ctx.println(" => {");
      ctx.incIndent();
      this.visitAllStatements(ast.statements, ctx);
      ctx.decIndent();
      ctx.print("}");
      return null;
    };
    _TsEmitterVisitor.prototype.visitDeclareFunctionStmt = function(stmt, ctx) {
      if (ctx.isExportedVar(stmt.name)) {
        ctx.print("export ");
      }
      ctx.print("function " + stmt.name + "(");
      this._visitParams(stmt.params, ctx);
      ctx.print("):");
      this.visitType(stmt.type, ctx, 'void');
      ctx.println(" {");
      ctx.incIndent();
      this.visitAllStatements(stmt.statements, ctx);
      ctx.decIndent();
      ctx.println("}");
      return null;
    };
    _TsEmitterVisitor.prototype.visitTryCatchStmt = function(stmt, ctx) {
      ctx.println("try {");
      ctx.incIndent();
      this.visitAllStatements(stmt.bodyStmts, ctx);
      ctx.decIndent();
      ctx.println("} catch (" + abstract_emitter_1.CATCH_ERROR_VAR.name + ") {");
      ctx.incIndent();
      var catchStmts = [abstract_emitter_1.CATCH_STACK_VAR.set(abstract_emitter_1.CATCH_ERROR_VAR.prop('stack')).toDeclStmt(null, [o.StmtModifier.Final])].concat(stmt.catchStmts);
      this.visitAllStatements(catchStmts, ctx);
      ctx.decIndent();
      ctx.println("}");
      return null;
    };
    _TsEmitterVisitor.prototype.visitBuiltintType = function(type, ctx) {
      var typeStr;
      switch (type.name) {
        case o.BuiltinTypeName.Bool:
          typeStr = 'boolean';
          break;
        case o.BuiltinTypeName.Dynamic:
          typeStr = 'any';
          break;
        case o.BuiltinTypeName.Function:
          typeStr = 'Function';
          break;
        case o.BuiltinTypeName.Number:
          typeStr = 'number';
          break;
        case o.BuiltinTypeName.Int:
          typeStr = 'number';
          break;
        case o.BuiltinTypeName.String:
          typeStr = 'string';
          break;
        default:
          throw new exceptions_1.BaseException("Unsupported builtin type " + type.name);
      }
      ctx.print(typeStr);
      return null;
    };
    _TsEmitterVisitor.prototype.visitExternalType = function(ast, ctx) {
      this._visitIdentifier(ast.value, ast.typeParams, ctx);
      return null;
    };
    _TsEmitterVisitor.prototype.visitArrayType = function(type, ctx) {
      this.visitType(type.of, ctx);
      ctx.print("[]");
      return null;
    };
    _TsEmitterVisitor.prototype.visitMapType = function(type, ctx) {
      ctx.print("{[key: string]:");
      this.visitType(type.valueType, ctx);
      ctx.print("}");
      return null;
    };
    _TsEmitterVisitor.prototype.getBuiltinMethodName = function(method) {
      var name;
      switch (method) {
        case o.BuiltinMethod.ConcatArray:
          name = 'concat';
          break;
        case o.BuiltinMethod.SubscribeObservable:
          name = 'subscribe';
          break;
        case o.BuiltinMethod.bind:
          name = 'bind';
          break;
        default:
          throw new exceptions_1.BaseException("Unknown builtin method: " + method);
      }
      return name;
    };
    _TsEmitterVisitor.prototype._visitParams = function(params, ctx) {
      var _this = this;
      this.visitAllObjects(function(param) {
        ctx.print(param.name);
        ctx.print(':');
        _this.visitType(param.type, ctx);
      }, params, ctx, ',');
    };
    _TsEmitterVisitor.prototype._visitIdentifier = function(value, typeParams, ctx) {
      var _this = this;
      if (lang_1.isBlank(value.name)) {
        throw new exceptions_1.BaseException("Internal error: unknown identifier " + value);
      }
      if (lang_1.isPresent(value.moduleUrl) && value.moduleUrl != this._moduleUrl) {
        var prefix = this.importsWithPrefixes.get(value.moduleUrl);
        if (lang_1.isBlank(prefix)) {
          prefix = "import" + this.importsWithPrefixes.size;
          this.importsWithPrefixes.set(value.moduleUrl, prefix);
        }
        ctx.print(prefix + ".");
      }
      ctx.print(value.name);
      if (lang_1.isPresent(typeParams) && typeParams.length > 0) {
        ctx.print("<");
        this.visitAllObjects(function(type) {
          return type.visitType(_this, ctx);
        }, typeParams, ctx, ',');
        ctx.print(">");
      }
    };
    return _TsEmitterVisitor;
  }(abstract_emitter_1.AbstractEmitterVisitor));
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/schema/dom_security_schema.js", ["../../core_private"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_private_1 = $__require('../../core_private');
  exports.SECURITY_SCHEMA = {};
  function registerContext(ctx, specs) {
    for (var _i = 0,
        specs_1 = specs; _i < specs_1.length; _i++) {
      var spec = specs_1[_i];
      exports.SECURITY_SCHEMA[spec.toLowerCase()] = ctx;
    }
  }
  registerContext(core_private_1.SecurityContext.HTML, ['iframe|srcdoc', '*|innerHTML', '*|outerHTML']);
  registerContext(core_private_1.SecurityContext.STYLE, ['*|style']);
  registerContext(core_private_1.SecurityContext.URL, ['*|formAction', 'area|href', 'area|ping', 'audio|src', 'a|href', 'a|ping', 'blockquote|cite', 'body|background', 'del|cite', 'form|action', 'img|src', 'img|srcset', 'input|src', 'ins|cite', 'q|cite', 'source|src', 'source|srcset', 'video|poster', 'video|src']);
  registerContext(core_private_1.SecurityContext.RESOURCE_URL, ['applet|code', 'applet|codebase', 'base|href', 'embed|src', 'frame|src', 'head|profile', 'html|manifest', 'iframe|src', 'link|href', 'media|src', 'object|codebase', 'object|data', 'script|src', 'track|src']);
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/schema/dom_element_schema_registry.js", ["@angular/core", "../../core_private", "../facade/collection", "../facade/lang", "./dom_security_schema", "./element_schema_registry"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var core_private_1 = $__require('../../core_private');
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var dom_security_schema_1 = $__require('./dom_security_schema');
  var element_schema_registry_1 = $__require('./element_schema_registry');
  var EVENT = 'event';
  var BOOLEAN = 'boolean';
  var NUMBER = 'number';
  var STRING = 'string';
  var OBJECT = 'object';
  var SCHEMA = (['*|textContent,%classList,className,id,innerHTML,*beforecopy,*beforecut,*beforepaste,*copy,*cut,*paste,*search,*selectstart,*webkitfullscreenchange,*webkitfullscreenerror,*wheel,outerHTML,#scrollLeft,#scrollTop', '^*|accessKey,contentEditable,dir,!draggable,!hidden,innerText,lang,*abort,*autocomplete,*autocompleteerror,*beforecopy,*beforecut,*beforepaste,*blur,*cancel,*canplay,*canplaythrough,*change,*click,*close,*contextmenu,*copy,*cuechange,*cut,*dblclick,*drag,*dragend,*dragenter,*dragleave,*dragover,*dragstart,*drop,*durationchange,*emptied,*ended,*error,*focus,*input,*invalid,*keydown,*keypress,*keyup,*load,*loadeddata,*loadedmetadata,*loadstart,*message,*mousedown,*mouseenter,*mouseleave,*mousemove,*mouseout,*mouseover,*mouseup,*mousewheel,*mozfullscreenchange,*mozfullscreenerror,*mozpointerlockchange,*mozpointerlockerror,*paste,*pause,*play,*playing,*progress,*ratechange,*reset,*resize,*scroll,*search,*seeked,*seeking,*select,*selectstart,*show,*stalled,*submit,*suspend,*timeupdate,*toggle,*volumechange,*waiting,*webglcontextcreationerror,*webglcontextlost,*webglcontextrestored,*webkitfullscreenchange,*webkitfullscreenerror,*wheel,outerText,!spellcheck,%style,#tabIndex,title,!translate', 'media|!autoplay,!controls,%crossOrigin,#currentTime,!defaultMuted,#defaultPlaybackRate,!disableRemotePlayback,!loop,!muted,*encrypted,#playbackRate,preload,src,#volume', ':svg:^*|*abort,*autocomplete,*autocompleteerror,*blur,*cancel,*canplay,*canplaythrough,*change,*click,*close,*contextmenu,*cuechange,*dblclick,*drag,*dragend,*dragenter,*dragleave,*dragover,*dragstart,*drop,*durationchange,*emptied,*ended,*error,*focus,*input,*invalid,*keydown,*keypress,*keyup,*load,*loadeddata,*loadedmetadata,*loadstart,*mousedown,*mouseenter,*mouseleave,*mousemove,*mouseout,*mouseover,*mouseup,*mousewheel,*pause,*play,*playing,*progress,*ratechange,*reset,*resize,*scroll,*seeked,*seeking,*select,*show,*stalled,*submit,*suspend,*timeupdate,*toggle,*volumechange,*waiting,%style,#tabIndex', ':svg:graphics^:svg:|', ':svg:animation^:svg:|*begin,*end,*repeat', ':svg:geometry^:svg:|', ':svg:componentTransferFunction^:svg:|', ':svg:gradient^:svg:|', ':svg:textContent^:svg:graphics|', ':svg:textPositioning^:svg:textContent|', 'a|charset,coords,download,hash,host,hostname,href,hreflang,name,password,pathname,ping,port,protocol,referrerpolicy,rel,rev,search,shape,target,text,type,username', 'area|alt,coords,hash,host,hostname,href,!noHref,password,pathname,ping,port,protocol,referrerpolicy,search,shape,target,username', 'audio^media|', 'br|clear', 'base|href,target', 'body|aLink,background,bgColor,link,*beforeunload,*blur,*error,*focus,*hashchange,*languagechange,*load,*message,*offline,*online,*pagehide,*pageshow,*popstate,*rejectionhandled,*resize,*scroll,*storage,*unhandledrejection,*unload,text,vLink', 'button|!autofocus,!disabled,formAction,formEnctype,formMethod,!formNoValidate,formTarget,name,type,value', 'canvas|#height,#width', 'content|select', 'dl|!compact', 'datalist|', 'details|!open', 'dialog|!open,returnValue', 'dir|!compact', 'div|align', 'embed|align,height,name,src,type,width', 'fieldset|!disabled,name', 'font|color,face,size', 'form|acceptCharset,action,autocomplete,encoding,enctype,method,name,!noValidate,target', 'frame|frameBorder,longDesc,marginHeight,marginWidth,name,!noResize,scrolling,src', 'frameset|cols,*beforeunload,*blur,*error,*focus,*hashchange,*languagechange,*load,*message,*offline,*online,*pagehide,*pageshow,*popstate,*rejectionhandled,*resize,*scroll,*storage,*unhandledrejection,*unload,rows', 'hr|align,color,!noShade,size,width', 'head|', 'h1,h2,h3,h4,h5,h6|align', 'html|version', 'iframe|align,!allowFullscreen,frameBorder,height,longDesc,marginHeight,marginWidth,name,referrerpolicy,%sandbox,scrolling,src,srcdoc,width', 'img|align,alt,border,%crossOrigin,#height,#hspace,!isMap,longDesc,lowsrc,name,referrerpolicy,sizes,src,srcset,useMap,#vspace,#width', 'input|accept,align,alt,autocapitalize,autocomplete,!autofocus,!checked,!defaultChecked,defaultValue,dirName,!disabled,%files,formAction,formEnctype,formMethod,!formNoValidate,formTarget,#height,!incremental,!indeterminate,max,#maxLength,min,#minLength,!multiple,name,pattern,placeholder,!readOnly,!required,selectionDirection,#selectionEnd,#selectionStart,#size,src,step,type,useMap,value,%valueAsDate,#valueAsNumber,#width', 'keygen|!autofocus,challenge,!disabled,keytype,name', 'li|type,#value', 'label|htmlFor', 'legend|align', 'link|as,charset,%crossOrigin,!disabled,href,hreflang,integrity,media,rel,%relList,rev,%sizes,target,type', 'map|name', 'marquee|behavior,bgColor,direction,height,#hspace,#loop,#scrollAmount,#scrollDelay,!trueSpeed,#vspace,width', 'menu|!compact', 'meta|content,httpEquiv,name,scheme', 'meter|#high,#low,#max,#min,#optimum,#value', 'ins,del|cite,dateTime', 'ol|!compact,!reversed,#start,type', 'object|align,archive,border,code,codeBase,codeType,data,!declare,height,#hspace,name,standby,type,useMap,#vspace,width', 'optgroup|!disabled,label', 'option|!defaultSelected,!disabled,label,!selected,text,value', 'output|defaultValue,%htmlFor,name,value', 'p|align', 'param|name,type,value,valueType', 'picture|', 'pre|#width', 'progress|#max,#value', 'q,blockquote,cite|', 'script|!async,charset,%crossOrigin,!defer,event,htmlFor,integrity,src,text,type', 'select|!autofocus,!disabled,#length,!multiple,name,!required,#selectedIndex,#size,value', 'shadow|', 'source|media,sizes,src,srcset,type', 'span|', 'style|!disabled,media,type', 'caption|align', 'th,td|abbr,align,axis,bgColor,ch,chOff,#colSpan,headers,height,!noWrap,#rowSpan,scope,vAlign,width', 'col,colgroup|align,ch,chOff,#span,vAlign,width', 'table|align,bgColor,border,%caption,cellPadding,cellSpacing,frame,rules,summary,%tFoot,%tHead,width', 'tr|align,bgColor,ch,chOff,vAlign', 'tfoot,thead,tbody|align,ch,chOff,vAlign', 'template|', 'textarea|autocapitalize,!autofocus,#cols,defaultValue,dirName,!disabled,#maxLength,#minLength,name,placeholder,!readOnly,!required,#rows,selectionDirection,#selectionEnd,#selectionStart,value,wrap', 'title|text', 'track|!default,kind,label,src,srclang', 'ul|!compact,type', 'unknown|', 'video^media|#height,poster,#width', ':svg:a^:svg:graphics|', ':svg:animate^:svg:animation|', ':svg:animateMotion^:svg:animation|', ':svg:animateTransform^:svg:animation|', ':svg:circle^:svg:geometry|', ':svg:clipPath^:svg:graphics|', ':svg:cursor^:svg:|', ':svg:defs^:svg:graphics|', ':svg:desc^:svg:|', ':svg:discard^:svg:|', ':svg:ellipse^:svg:geometry|', ':svg:feBlend^:svg:|', ':svg:feColorMatrix^:svg:|', ':svg:feComponentTransfer^:svg:|', ':svg:feComposite^:svg:|', ':svg:feConvolveMatrix^:svg:|', ':svg:feDiffuseLighting^:svg:|', ':svg:feDisplacementMap^:svg:|', ':svg:feDistantLight^:svg:|', ':svg:feDropShadow^:svg:|', ':svg:feFlood^:svg:|', ':svg:feFuncA^:svg:componentTransferFunction|', ':svg:feFuncB^:svg:componentTransferFunction|', ':svg:feFuncG^:svg:componentTransferFunction|', ':svg:feFuncR^:svg:componentTransferFunction|', ':svg:feGaussianBlur^:svg:|', ':svg:feImage^:svg:|', ':svg:feMerge^:svg:|', ':svg:feMergeNode^:svg:|', ':svg:feMorphology^:svg:|', ':svg:feOffset^:svg:|', ':svg:fePointLight^:svg:|', ':svg:feSpecularLighting^:svg:|', ':svg:feSpotLight^:svg:|', ':svg:feTile^:svg:|', ':svg:feTurbulence^:svg:|', ':svg:filter^:svg:|', ':svg:foreignObject^:svg:graphics|', ':svg:g^:svg:graphics|', ':svg:image^:svg:graphics|', ':svg:line^:svg:geometry|', ':svg:linearGradient^:svg:gradient|', ':svg:mpath^:svg:|', ':svg:marker^:svg:|', ':svg:mask^:svg:|', ':svg:metadata^:svg:|', ':svg:path^:svg:geometry|', ':svg:pattern^:svg:|', ':svg:polygon^:svg:geometry|', ':svg:polyline^:svg:geometry|', ':svg:radialGradient^:svg:gradient|', ':svg:rect^:svg:geometry|', ':svg:svg^:svg:graphics|#currentScale,#zoomAndPan', ':svg:script^:svg:|type', ':svg:set^:svg:animation|', ':svg:stop^:svg:|', ':svg:style^:svg:|!disabled,media,title,type', ':svg:switch^:svg:graphics|', ':svg:symbol^:svg:|', ':svg:tspan^:svg:textPositioning|', ':svg:text^:svg:textPositioning|', ':svg:textPath^:svg:textContent|', ':svg:title^:svg:|', ':svg:use^:svg:graphics|', ':svg:view^:svg:|#zoomAndPan']);
  var attrToPropMap = {
    'class': 'className',
    'formaction': 'formAction',
    'innerHtml': 'innerHTML',
    'readonly': 'readOnly',
    'tabindex': 'tabIndex'
  };
  var DomElementSchemaRegistry = (function(_super) {
    __extends(DomElementSchemaRegistry, _super);
    function DomElementSchemaRegistry() {
      var _this = this;
      _super.call(this);
      this.schema = {};
      SCHEMA.forEach(function(encodedType) {
        var parts = encodedType.split('|');
        var properties = parts[1].split(',');
        var typeParts = (parts[0] + '^').split('^');
        var typeName = typeParts[0];
        var type = {};
        typeName.split(',').forEach(function(tag) {
          return _this.schema[tag] = type;
        });
        var superType = _this.schema[typeParts[1]];
        if (lang_1.isPresent(superType)) {
          collection_1.StringMapWrapper.forEach(superType, function(v, k) {
            return type[k] = v;
          });
        }
        properties.forEach(function(property) {
          if (property == '') {} else if (property.startsWith('*')) {} else if (property.startsWith('!')) {
            type[property.substring(1)] = BOOLEAN;
          } else if (property.startsWith('#')) {
            type[property.substring(1)] = NUMBER;
          } else if (property.startsWith('%')) {
            type[property.substring(1)] = OBJECT;
          } else {
            type[property] = STRING;
          }
        });
      });
    }
    DomElementSchemaRegistry.prototype.hasProperty = function(tagName, propName) {
      if (tagName.indexOf('-') !== -1) {
        if (tagName === 'ng-container' || tagName === 'ng-content') {
          return false;
        }
        return true;
      } else {
        var elementProperties = this.schema[tagName.toLowerCase()];
        if (!lang_1.isPresent(elementProperties)) {
          elementProperties = this.schema['unknown'];
        }
        return lang_1.isPresent(elementProperties[propName]);
      }
    };
    DomElementSchemaRegistry.prototype.securityContext = function(tagName, propName) {
      tagName = tagName.toLowerCase();
      propName = propName.toLowerCase();
      var ctx = dom_security_schema_1.SECURITY_SCHEMA[tagName + '|' + propName];
      if (ctx !== undefined)
        return ctx;
      ctx = dom_security_schema_1.SECURITY_SCHEMA['*|' + propName];
      return ctx !== undefined ? ctx : core_private_1.SecurityContext.NONE;
    };
    DomElementSchemaRegistry.prototype.getMappedPropName = function(propName) {
      var mappedPropName = collection_1.StringMapWrapper.get(attrToPropMap, propName);
      return lang_1.isPresent(mappedPropName) ? mappedPropName : propName;
    };
    DomElementSchemaRegistry.decorators = [{type: core_1.Injectable}];
    DomElementSchemaRegistry.ctorParameters = [];
    return DomElementSchemaRegistry;
  }(element_schema_registry_1.ElementSchemaRegistry));
  exports.DomElementSchemaRegistry = DomElementSchemaRegistry;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/shadow_css.js", ["../src/facade/collection", "../src/facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var collection_1 = $__require('../src/facade/collection');
  var lang_1 = $__require('../src/facade/lang');
  var ShadowCss = (function() {
    function ShadowCss() {
      this.strictStyling = true;
    }
    ShadowCss.prototype.shimCssText = function(cssText, selector, hostSelector) {
      if (hostSelector === void 0) {
        hostSelector = '';
      }
      cssText = stripComments(cssText);
      cssText = this._insertDirectives(cssText);
      return this._scopeCssText(cssText, selector, hostSelector);
    };
    ShadowCss.prototype._insertDirectives = function(cssText) {
      cssText = this._insertPolyfillDirectivesInCssText(cssText);
      return this._insertPolyfillRulesInCssText(cssText);
    };
    ShadowCss.prototype._insertPolyfillDirectivesInCssText = function(cssText) {
      return lang_1.StringWrapper.replaceAllMapped(cssText, _cssContentNextSelectorRe, function(m) {
        return m[1] + '{';
      });
    };
    ShadowCss.prototype._insertPolyfillRulesInCssText = function(cssText) {
      return lang_1.StringWrapper.replaceAllMapped(cssText, _cssContentRuleRe, function(m) {
        var rule = m[0];
        rule = lang_1.StringWrapper.replace(rule, m[1], '');
        rule = lang_1.StringWrapper.replace(rule, m[2], '');
        return m[3] + rule;
      });
    };
    ShadowCss.prototype._scopeCssText = function(cssText, scopeSelector, hostSelector) {
      var unscoped = this._extractUnscopedRulesFromCssText(cssText);
      cssText = this._insertPolyfillHostInCssText(cssText);
      cssText = this._convertColonHost(cssText);
      cssText = this._convertColonHostContext(cssText);
      cssText = this._convertShadowDOMSelectors(cssText);
      if (lang_1.isPresent(scopeSelector)) {
        cssText = this._scopeSelectors(cssText, scopeSelector, hostSelector);
      }
      cssText = cssText + '\n' + unscoped;
      return cssText.trim();
    };
    ShadowCss.prototype._extractUnscopedRulesFromCssText = function(cssText) {
      var r = '',
          m;
      var matcher = lang_1.RegExpWrapper.matcher(_cssContentUnscopedRuleRe, cssText);
      while (lang_1.isPresent(m = lang_1.RegExpMatcherWrapper.next(matcher))) {
        var rule = m[0];
        rule = lang_1.StringWrapper.replace(rule, m[2], '');
        rule = lang_1.StringWrapper.replace(rule, m[1], m[3]);
        r += rule + '\n\n';
      }
      return r;
    };
    ShadowCss.prototype._convertColonHost = function(cssText) {
      return this._convertColonRule(cssText, _cssColonHostRe, this._colonHostPartReplacer);
    };
    ShadowCss.prototype._convertColonHostContext = function(cssText) {
      return this._convertColonRule(cssText, _cssColonHostContextRe, this._colonHostContextPartReplacer);
    };
    ShadowCss.prototype._convertColonRule = function(cssText, regExp, partReplacer) {
      return lang_1.StringWrapper.replaceAllMapped(cssText, regExp, function(m) {
        if (lang_1.isPresent(m[2])) {
          var parts = m[2].split(','),
              r = [];
          for (var i = 0; i < parts.length; i++) {
            var p = parts[i];
            if (lang_1.isBlank(p))
              break;
            p = p.trim();
            r.push(partReplacer(_polyfillHostNoCombinator, p, m[3]));
          }
          return r.join(',');
        } else {
          return _polyfillHostNoCombinator + m[3];
        }
      });
    };
    ShadowCss.prototype._colonHostContextPartReplacer = function(host, part, suffix) {
      if (lang_1.StringWrapper.contains(part, _polyfillHost)) {
        return this._colonHostPartReplacer(host, part, suffix);
      } else {
        return host + part + suffix + ', ' + part + ' ' + host + suffix;
      }
    };
    ShadowCss.prototype._colonHostPartReplacer = function(host, part, suffix) {
      return host + lang_1.StringWrapper.replace(part, _polyfillHost, '') + suffix;
    };
    ShadowCss.prototype._convertShadowDOMSelectors = function(cssText) {
      for (var i = 0; i < _shadowDOMSelectorsRe.length; i++) {
        cssText = lang_1.StringWrapper.replaceAll(cssText, _shadowDOMSelectorsRe[i], ' ');
      }
      return cssText;
    };
    ShadowCss.prototype._scopeSelectors = function(cssText, scopeSelector, hostSelector) {
      var _this = this;
      return processRules(cssText, function(rule) {
        var selector = rule.selector;
        var content = rule.content;
        if (rule.selector[0] != '@' || rule.selector.startsWith('@page')) {
          selector = _this._scopeSelector(rule.selector, scopeSelector, hostSelector, _this.strictStyling);
        } else if (rule.selector.startsWith('@media') || rule.selector.startsWith('@supports')) {
          content = _this._scopeSelectors(rule.content, scopeSelector, hostSelector);
        }
        return new CssRule(selector, content);
      });
    };
    ShadowCss.prototype._scopeSelector = function(selector, scopeSelector, hostSelector, strict) {
      var r = [],
          parts = selector.split(',');
      for (var i = 0; i < parts.length; i++) {
        var p = parts[i].trim();
        var deepParts = lang_1.StringWrapper.split(p, _shadowDeepSelectors);
        var shallowPart = deepParts[0];
        if (this._selectorNeedsScoping(shallowPart, scopeSelector)) {
          deepParts[0] = strict && !lang_1.StringWrapper.contains(shallowPart, _polyfillHostNoCombinator) ? this._applyStrictSelectorScope(shallowPart, scopeSelector) : this._applySelectorScope(shallowPart, scopeSelector, hostSelector);
        }
        r.push(deepParts.join(' '));
      }
      return r.join(', ');
    };
    ShadowCss.prototype._selectorNeedsScoping = function(selector, scopeSelector) {
      var re = this._makeScopeMatcher(scopeSelector);
      return !lang_1.isPresent(lang_1.RegExpWrapper.firstMatch(re, selector));
    };
    ShadowCss.prototype._makeScopeMatcher = function(scopeSelector) {
      var lre = /\[/g;
      var rre = /\]/g;
      scopeSelector = lang_1.StringWrapper.replaceAll(scopeSelector, lre, '\\[');
      scopeSelector = lang_1.StringWrapper.replaceAll(scopeSelector, rre, '\\]');
      return lang_1.RegExpWrapper.create('^(' + scopeSelector + ')' + _selectorReSuffix, 'm');
    };
    ShadowCss.prototype._applySelectorScope = function(selector, scopeSelector, hostSelector) {
      return this._applySimpleSelectorScope(selector, scopeSelector, hostSelector);
    };
    ShadowCss.prototype._applySimpleSelectorScope = function(selector, scopeSelector, hostSelector) {
      if (lang_1.isPresent(lang_1.RegExpWrapper.firstMatch(_polyfillHostRe, selector))) {
        var replaceBy = this.strictStyling ? "[" + hostSelector + "]" : scopeSelector;
        selector = lang_1.StringWrapper.replace(selector, _polyfillHostNoCombinator, replaceBy);
        return lang_1.StringWrapper.replaceAll(selector, _polyfillHostRe, replaceBy + ' ');
      } else {
        return scopeSelector + ' ' + selector;
      }
    };
    ShadowCss.prototype._applyStrictSelectorScope = function(selector, scopeSelector) {
      var isRe = /\[is=([^\]]*)\]/g;
      scopeSelector = lang_1.StringWrapper.replaceAllMapped(scopeSelector, isRe, function(m) {
        return m[1];
      });
      var splits = [' ', '>', '+', '~'],
          scoped = selector,
          attrName = '[' + scopeSelector + ']';
      for (var i = 0; i < splits.length; i++) {
        var sep = splits[i];
        var parts = scoped.split(sep);
        scoped = parts.map(function(p) {
          var t = lang_1.StringWrapper.replaceAll(p.trim(), _polyfillHostRe, '');
          if (t.length > 0 && !collection_1.ListWrapper.contains(splits, t) && !lang_1.StringWrapper.contains(t, attrName)) {
            var re = /([^:]*)(:*)(.*)/g;
            var m = lang_1.RegExpWrapper.firstMatch(re, t);
            if (lang_1.isPresent(m)) {
              p = m[1] + attrName + m[2] + m[3];
            }
          }
          return p;
        }).join(sep);
      }
      return scoped;
    };
    ShadowCss.prototype._insertPolyfillHostInCssText = function(selector) {
      selector = lang_1.StringWrapper.replaceAll(selector, _colonHostContextRe, _polyfillHostContext);
      selector = lang_1.StringWrapper.replaceAll(selector, _colonHostRe, _polyfillHost);
      return selector;
    };
    return ShadowCss;
  }());
  exports.ShadowCss = ShadowCss;
  var _cssContentNextSelectorRe = /polyfill-next-selector[^}]*content:[\s]*?['"](.*?)['"][;\s]*}([^{]*?){/gim;
  var _cssContentRuleRe = /(polyfill-rule)[^}]*(content:[\s]*['"](.*?)['"])[;\s]*[^}]*}/gim;
  var _cssContentUnscopedRuleRe = /(polyfill-unscoped-rule)[^}]*(content:[\s]*['"](.*?)['"])[;\s]*[^}]*}/gim;
  var _polyfillHost = '-shadowcsshost';
  var _polyfillHostContext = '-shadowcsscontext';
  var _parenSuffix = ')(?:\\((' + '(?:\\([^)(]*\\)|[^)(]*)+?' + ')\\))?([^,{]*)';
  var _cssColonHostRe = lang_1.RegExpWrapper.create('(' + _polyfillHost + _parenSuffix, 'im');
  var _cssColonHostContextRe = lang_1.RegExpWrapper.create('(' + _polyfillHostContext + _parenSuffix, 'im');
  var _polyfillHostNoCombinator = _polyfillHost + '-no-combinator';
  var _shadowDOMSelectorsRe = [/::shadow/g, /::content/g, /\/shadow-deep\//g, /\/shadow\//g];
  var _shadowDeepSelectors = /(?:>>>)|(?:\/deep\/)/g;
  var _selectorReSuffix = '([>\\s~+\[.,{:][\\s\\S]*)?$';
  var _polyfillHostRe = lang_1.RegExpWrapper.create(_polyfillHost, 'im');
  var _colonHostRe = /:host/gim;
  var _colonHostContextRe = /:host-context/gim;
  var _commentRe = /\/\*[\s\S]*?\*\//g;
  function stripComments(input) {
    return lang_1.StringWrapper.replaceAllMapped(input, _commentRe, function(_) {
      return '';
    });
  }
  var _ruleRe = /(\s*)([^;\{\}]+?)(\s*)((?:{%BLOCK%}?\s*;?)|(?:\s*;))/g;
  var _curlyRe = /([{}])/g;
  var OPEN_CURLY = '{';
  var CLOSE_CURLY = '}';
  var BLOCK_PLACEHOLDER = '%BLOCK%';
  var CssRule = (function() {
    function CssRule(selector, content) {
      this.selector = selector;
      this.content = content;
    }
    return CssRule;
  }());
  exports.CssRule = CssRule;
  function processRules(input, ruleCallback) {
    var inputWithEscapedBlocks = escapeBlocks(input);
    var nextBlockIndex = 0;
    return lang_1.StringWrapper.replaceAllMapped(inputWithEscapedBlocks.escapedString, _ruleRe, function(m) {
      var selector = m[2];
      var content = '';
      var suffix = m[4];
      var contentPrefix = '';
      if (lang_1.isPresent(m[4]) && m[4].startsWith('{' + BLOCK_PLACEHOLDER)) {
        content = inputWithEscapedBlocks.blocks[nextBlockIndex++];
        suffix = m[4].substring(BLOCK_PLACEHOLDER.length + 1);
        contentPrefix = '{';
      }
      var rule = ruleCallback(new CssRule(selector, content));
      return "" + m[1] + rule.selector + m[3] + contentPrefix + rule.content + suffix;
    });
  }
  exports.processRules = processRules;
  var StringWithEscapedBlocks = (function() {
    function StringWithEscapedBlocks(escapedString, blocks) {
      this.escapedString = escapedString;
      this.blocks = blocks;
    }
    return StringWithEscapedBlocks;
  }());
  function escapeBlocks(input) {
    var inputParts = lang_1.StringWrapper.split(input, _curlyRe);
    var resultParts = [];
    var escapedBlocks = [];
    var bracketCount = 0;
    var currentBlockParts = [];
    for (var partIndex = 0; partIndex < inputParts.length; partIndex++) {
      var part = inputParts[partIndex];
      if (part == CLOSE_CURLY) {
        bracketCount--;
      }
      if (bracketCount > 0) {
        currentBlockParts.push(part);
      } else {
        if (currentBlockParts.length > 0) {
          escapedBlocks.push(currentBlockParts.join(''));
          resultParts.push(BLOCK_PLACEHOLDER);
          currentBlockParts = [];
        }
        resultParts.push(part);
      }
      if (part == OPEN_CURLY) {
        bracketCount++;
      }
    }
    if (currentBlockParts.length > 0) {
      escapedBlocks.push(currentBlockParts.join(''));
      resultParts.push(BLOCK_PLACEHOLDER);
    }
    return new StringWithEscapedBlocks(resultParts.join(''), escapedBlocks);
  }
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/style_compiler.js", ["@angular/core", "./compile_metadata", "./output/output_ast", "./shadow_css", "./url_resolver"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var compile_metadata_1 = $__require('./compile_metadata');
  var o = $__require('./output/output_ast');
  var shadow_css_1 = $__require('./shadow_css');
  var url_resolver_1 = $__require('./url_resolver');
  var COMPONENT_VARIABLE = '%COMP%';
  var HOST_ATTR = "_nghost-" + COMPONENT_VARIABLE;
  var CONTENT_ATTR = "_ngcontent-" + COMPONENT_VARIABLE;
  var StylesCompileDependency = (function() {
    function StylesCompileDependency(moduleUrl, isShimmed, valuePlaceholder) {
      this.moduleUrl = moduleUrl;
      this.isShimmed = isShimmed;
      this.valuePlaceholder = valuePlaceholder;
    }
    return StylesCompileDependency;
  }());
  exports.StylesCompileDependency = StylesCompileDependency;
  var StylesCompileResult = (function() {
    function StylesCompileResult(componentStylesheet, externalStylesheets) {
      this.componentStylesheet = componentStylesheet;
      this.externalStylesheets = externalStylesheets;
    }
    return StylesCompileResult;
  }());
  exports.StylesCompileResult = StylesCompileResult;
  var CompiledStylesheet = (function() {
    function CompiledStylesheet(statements, stylesVar, dependencies, isShimmed, meta) {
      this.statements = statements;
      this.stylesVar = stylesVar;
      this.dependencies = dependencies;
      this.isShimmed = isShimmed;
      this.meta = meta;
    }
    return CompiledStylesheet;
  }());
  exports.CompiledStylesheet = CompiledStylesheet;
  var StyleCompiler = (function() {
    function StyleCompiler(_urlResolver) {
      this._urlResolver = _urlResolver;
      this._shadowCss = new shadow_css_1.ShadowCss();
    }
    StyleCompiler.prototype.compileComponent = function(comp) {
      var _this = this;
      var shim = comp.template.encapsulation === core_1.ViewEncapsulation.Emulated;
      var externalStylesheets = [];
      var componentStylesheet = this._compileStyles(comp, new compile_metadata_1.CompileStylesheetMetadata({
        styles: comp.template.styles,
        styleUrls: comp.template.styleUrls,
        moduleUrl: comp.type.moduleUrl
      }), true);
      comp.template.externalStylesheets.forEach(function(stylesheetMeta) {
        var compiledStylesheet = _this._compileStyles(comp, stylesheetMeta, false);
        externalStylesheets.push(compiledStylesheet);
      });
      return new StylesCompileResult(componentStylesheet, externalStylesheets);
    };
    StyleCompiler.prototype._compileStyles = function(comp, stylesheet, isComponentStylesheet) {
      var _this = this;
      var shim = comp.template.encapsulation === core_1.ViewEncapsulation.Emulated;
      var styleExpressions = stylesheet.styles.map(function(plainStyle) {
        return o.literal(_this._shimIfNeeded(plainStyle, shim));
      });
      var dependencies = [];
      for (var i = 0; i < stylesheet.styleUrls.length; i++) {
        var identifier = new compile_metadata_1.CompileIdentifierMetadata({name: getStylesVarName(null)});
        dependencies.push(new StylesCompileDependency(stylesheet.styleUrls[i], shim, identifier));
        styleExpressions.push(new o.ExternalExpr(identifier));
      }
      var stylesVar = getStylesVarName(isComponentStylesheet ? comp : null);
      var stmt = o.variable(stylesVar).set(o.literalArr(styleExpressions, new o.ArrayType(o.DYNAMIC_TYPE, [o.TypeModifier.Const]))).toDeclStmt(null, [o.StmtModifier.Final]);
      return new CompiledStylesheet([stmt], stylesVar, dependencies, shim, stylesheet);
    };
    StyleCompiler.prototype._shimIfNeeded = function(style, shim) {
      return shim ? this._shadowCss.shimCssText(style, CONTENT_ATTR, HOST_ATTR) : style;
    };
    StyleCompiler.decorators = [{type: core_1.Injectable}];
    StyleCompiler.ctorParameters = [{type: url_resolver_1.UrlResolver}];
    return StyleCompiler;
  }());
  exports.StyleCompiler = StyleCompiler;
  function getStylesVarName(component) {
    var result = "styles";
    if (component) {
      result += "_" + component.type.name;
    }
    return result;
  }
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/expression_parser/ast.js", ["../facade/collection"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var collection_1 = $__require('../facade/collection');
  var AST = (function() {
    function AST() {}
    AST.prototype.visit = function(visitor, context) {
      if (context === void 0) {
        context = null;
      }
      return null;
    };
    AST.prototype.toString = function() {
      return 'AST';
    };
    return AST;
  }());
  exports.AST = AST;
  var Quote = (function(_super) {
    __extends(Quote, _super);
    function Quote(prefix, uninterpretedExpression, location) {
      _super.call(this);
      this.prefix = prefix;
      this.uninterpretedExpression = uninterpretedExpression;
      this.location = location;
    }
    Quote.prototype.visit = function(visitor, context) {
      if (context === void 0) {
        context = null;
      }
      return visitor.visitQuote(this, context);
    };
    Quote.prototype.toString = function() {
      return 'Quote';
    };
    return Quote;
  }(AST));
  exports.Quote = Quote;
  var EmptyExpr = (function(_super) {
    __extends(EmptyExpr, _super);
    function EmptyExpr() {
      _super.apply(this, arguments);
    }
    EmptyExpr.prototype.visit = function(visitor, context) {
      if (context === void 0) {
        context = null;
      }
    };
    return EmptyExpr;
  }(AST));
  exports.EmptyExpr = EmptyExpr;
  var ImplicitReceiver = (function(_super) {
    __extends(ImplicitReceiver, _super);
    function ImplicitReceiver() {
      _super.apply(this, arguments);
    }
    ImplicitReceiver.prototype.visit = function(visitor, context) {
      if (context === void 0) {
        context = null;
      }
      return visitor.visitImplicitReceiver(this, context);
    };
    return ImplicitReceiver;
  }(AST));
  exports.ImplicitReceiver = ImplicitReceiver;
  var Chain = (function(_super) {
    __extends(Chain, _super);
    function Chain(expressions) {
      _super.call(this);
      this.expressions = expressions;
    }
    Chain.prototype.visit = function(visitor, context) {
      if (context === void 0) {
        context = null;
      }
      return visitor.visitChain(this, context);
    };
    return Chain;
  }(AST));
  exports.Chain = Chain;
  var Conditional = (function(_super) {
    __extends(Conditional, _super);
    function Conditional(condition, trueExp, falseExp) {
      _super.call(this);
      this.condition = condition;
      this.trueExp = trueExp;
      this.falseExp = falseExp;
    }
    Conditional.prototype.visit = function(visitor, context) {
      if (context === void 0) {
        context = null;
      }
      return visitor.visitConditional(this, context);
    };
    return Conditional;
  }(AST));
  exports.Conditional = Conditional;
  var PropertyRead = (function(_super) {
    __extends(PropertyRead, _super);
    function PropertyRead(receiver, name) {
      _super.call(this);
      this.receiver = receiver;
      this.name = name;
    }
    PropertyRead.prototype.visit = function(visitor, context) {
      if (context === void 0) {
        context = null;
      }
      return visitor.visitPropertyRead(this, context);
    };
    return PropertyRead;
  }(AST));
  exports.PropertyRead = PropertyRead;
  var PropertyWrite = (function(_super) {
    __extends(PropertyWrite, _super);
    function PropertyWrite(receiver, name, value) {
      _super.call(this);
      this.receiver = receiver;
      this.name = name;
      this.value = value;
    }
    PropertyWrite.prototype.visit = function(visitor, context) {
      if (context === void 0) {
        context = null;
      }
      return visitor.visitPropertyWrite(this, context);
    };
    return PropertyWrite;
  }(AST));
  exports.PropertyWrite = PropertyWrite;
  var SafePropertyRead = (function(_super) {
    __extends(SafePropertyRead, _super);
    function SafePropertyRead(receiver, name) {
      _super.call(this);
      this.receiver = receiver;
      this.name = name;
    }
    SafePropertyRead.prototype.visit = function(visitor, context) {
      if (context === void 0) {
        context = null;
      }
      return visitor.visitSafePropertyRead(this, context);
    };
    return SafePropertyRead;
  }(AST));
  exports.SafePropertyRead = SafePropertyRead;
  var KeyedRead = (function(_super) {
    __extends(KeyedRead, _super);
    function KeyedRead(obj, key) {
      _super.call(this);
      this.obj = obj;
      this.key = key;
    }
    KeyedRead.prototype.visit = function(visitor, context) {
      if (context === void 0) {
        context = null;
      }
      return visitor.visitKeyedRead(this, context);
    };
    return KeyedRead;
  }(AST));
  exports.KeyedRead = KeyedRead;
  var KeyedWrite = (function(_super) {
    __extends(KeyedWrite, _super);
    function KeyedWrite(obj, key, value) {
      _super.call(this);
      this.obj = obj;
      this.key = key;
      this.value = value;
    }
    KeyedWrite.prototype.visit = function(visitor, context) {
      if (context === void 0) {
        context = null;
      }
      return visitor.visitKeyedWrite(this, context);
    };
    return KeyedWrite;
  }(AST));
  exports.KeyedWrite = KeyedWrite;
  var BindingPipe = (function(_super) {
    __extends(BindingPipe, _super);
    function BindingPipe(exp, name, args) {
      _super.call(this);
      this.exp = exp;
      this.name = name;
      this.args = args;
    }
    BindingPipe.prototype.visit = function(visitor, context) {
      if (context === void 0) {
        context = null;
      }
      return visitor.visitPipe(this, context);
    };
    return BindingPipe;
  }(AST));
  exports.BindingPipe = BindingPipe;
  var LiteralPrimitive = (function(_super) {
    __extends(LiteralPrimitive, _super);
    function LiteralPrimitive(value) {
      _super.call(this);
      this.value = value;
    }
    LiteralPrimitive.prototype.visit = function(visitor, context) {
      if (context === void 0) {
        context = null;
      }
      return visitor.visitLiteralPrimitive(this, context);
    };
    return LiteralPrimitive;
  }(AST));
  exports.LiteralPrimitive = LiteralPrimitive;
  var LiteralArray = (function(_super) {
    __extends(LiteralArray, _super);
    function LiteralArray(expressions) {
      _super.call(this);
      this.expressions = expressions;
    }
    LiteralArray.prototype.visit = function(visitor, context) {
      if (context === void 0) {
        context = null;
      }
      return visitor.visitLiteralArray(this, context);
    };
    return LiteralArray;
  }(AST));
  exports.LiteralArray = LiteralArray;
  var LiteralMap = (function(_super) {
    __extends(LiteralMap, _super);
    function LiteralMap(keys, values) {
      _super.call(this);
      this.keys = keys;
      this.values = values;
    }
    LiteralMap.prototype.visit = function(visitor, context) {
      if (context === void 0) {
        context = null;
      }
      return visitor.visitLiteralMap(this, context);
    };
    return LiteralMap;
  }(AST));
  exports.LiteralMap = LiteralMap;
  var Interpolation = (function(_super) {
    __extends(Interpolation, _super);
    function Interpolation(strings, expressions) {
      _super.call(this);
      this.strings = strings;
      this.expressions = expressions;
    }
    Interpolation.prototype.visit = function(visitor, context) {
      if (context === void 0) {
        context = null;
      }
      return visitor.visitInterpolation(this, context);
    };
    return Interpolation;
  }(AST));
  exports.Interpolation = Interpolation;
  var Binary = (function(_super) {
    __extends(Binary, _super);
    function Binary(operation, left, right) {
      _super.call(this);
      this.operation = operation;
      this.left = left;
      this.right = right;
    }
    Binary.prototype.visit = function(visitor, context) {
      if (context === void 0) {
        context = null;
      }
      return visitor.visitBinary(this, context);
    };
    return Binary;
  }(AST));
  exports.Binary = Binary;
  var PrefixNot = (function(_super) {
    __extends(PrefixNot, _super);
    function PrefixNot(expression) {
      _super.call(this);
      this.expression = expression;
    }
    PrefixNot.prototype.visit = function(visitor, context) {
      if (context === void 0) {
        context = null;
      }
      return visitor.visitPrefixNot(this, context);
    };
    return PrefixNot;
  }(AST));
  exports.PrefixNot = PrefixNot;
  var MethodCall = (function(_super) {
    __extends(MethodCall, _super);
    function MethodCall(receiver, name, args) {
      _super.call(this);
      this.receiver = receiver;
      this.name = name;
      this.args = args;
    }
    MethodCall.prototype.visit = function(visitor, context) {
      if (context === void 0) {
        context = null;
      }
      return visitor.visitMethodCall(this, context);
    };
    return MethodCall;
  }(AST));
  exports.MethodCall = MethodCall;
  var SafeMethodCall = (function(_super) {
    __extends(SafeMethodCall, _super);
    function SafeMethodCall(receiver, name, args) {
      _super.call(this);
      this.receiver = receiver;
      this.name = name;
      this.args = args;
    }
    SafeMethodCall.prototype.visit = function(visitor, context) {
      if (context === void 0) {
        context = null;
      }
      return visitor.visitSafeMethodCall(this, context);
    };
    return SafeMethodCall;
  }(AST));
  exports.SafeMethodCall = SafeMethodCall;
  var FunctionCall = (function(_super) {
    __extends(FunctionCall, _super);
    function FunctionCall(target, args) {
      _super.call(this);
      this.target = target;
      this.args = args;
    }
    FunctionCall.prototype.visit = function(visitor, context) {
      if (context === void 0) {
        context = null;
      }
      return visitor.visitFunctionCall(this, context);
    };
    return FunctionCall;
  }(AST));
  exports.FunctionCall = FunctionCall;
  var ASTWithSource = (function(_super) {
    __extends(ASTWithSource, _super);
    function ASTWithSource(ast, source, location) {
      _super.call(this);
      this.ast = ast;
      this.source = source;
      this.location = location;
    }
    ASTWithSource.prototype.visit = function(visitor, context) {
      if (context === void 0) {
        context = null;
      }
      return this.ast.visit(visitor, context);
    };
    ASTWithSource.prototype.toString = function() {
      return this.source + " in " + this.location;
    };
    return ASTWithSource;
  }(AST));
  exports.ASTWithSource = ASTWithSource;
  var TemplateBinding = (function() {
    function TemplateBinding(key, keyIsVar, name, expression) {
      this.key = key;
      this.keyIsVar = keyIsVar;
      this.name = name;
      this.expression = expression;
    }
    return TemplateBinding;
  }());
  exports.TemplateBinding = TemplateBinding;
  var RecursiveAstVisitor = (function() {
    function RecursiveAstVisitor() {}
    RecursiveAstVisitor.prototype.visitBinary = function(ast, context) {
      ast.left.visit(this);
      ast.right.visit(this);
      return null;
    };
    RecursiveAstVisitor.prototype.visitChain = function(ast, context) {
      return this.visitAll(ast.expressions, context);
    };
    RecursiveAstVisitor.prototype.visitConditional = function(ast, context) {
      ast.condition.visit(this);
      ast.trueExp.visit(this);
      ast.falseExp.visit(this);
      return null;
    };
    RecursiveAstVisitor.prototype.visitPipe = function(ast, context) {
      ast.exp.visit(this);
      this.visitAll(ast.args, context);
      return null;
    };
    RecursiveAstVisitor.prototype.visitFunctionCall = function(ast, context) {
      ast.target.visit(this);
      this.visitAll(ast.args, context);
      return null;
    };
    RecursiveAstVisitor.prototype.visitImplicitReceiver = function(ast, context) {
      return null;
    };
    RecursiveAstVisitor.prototype.visitInterpolation = function(ast, context) {
      return this.visitAll(ast.expressions, context);
    };
    RecursiveAstVisitor.prototype.visitKeyedRead = function(ast, context) {
      ast.obj.visit(this);
      ast.key.visit(this);
      return null;
    };
    RecursiveAstVisitor.prototype.visitKeyedWrite = function(ast, context) {
      ast.obj.visit(this);
      ast.key.visit(this);
      ast.value.visit(this);
      return null;
    };
    RecursiveAstVisitor.prototype.visitLiteralArray = function(ast, context) {
      return this.visitAll(ast.expressions, context);
    };
    RecursiveAstVisitor.prototype.visitLiteralMap = function(ast, context) {
      return this.visitAll(ast.values, context);
    };
    RecursiveAstVisitor.prototype.visitLiteralPrimitive = function(ast, context) {
      return null;
    };
    RecursiveAstVisitor.prototype.visitMethodCall = function(ast, context) {
      ast.receiver.visit(this);
      return this.visitAll(ast.args, context);
    };
    RecursiveAstVisitor.prototype.visitPrefixNot = function(ast, context) {
      ast.expression.visit(this);
      return null;
    };
    RecursiveAstVisitor.prototype.visitPropertyRead = function(ast, context) {
      ast.receiver.visit(this);
      return null;
    };
    RecursiveAstVisitor.prototype.visitPropertyWrite = function(ast, context) {
      ast.receiver.visit(this);
      ast.value.visit(this);
      return null;
    };
    RecursiveAstVisitor.prototype.visitSafePropertyRead = function(ast, context) {
      ast.receiver.visit(this);
      return null;
    };
    RecursiveAstVisitor.prototype.visitSafeMethodCall = function(ast, context) {
      ast.receiver.visit(this);
      return this.visitAll(ast.args, context);
    };
    RecursiveAstVisitor.prototype.visitAll = function(asts, context) {
      var _this = this;
      asts.forEach(function(ast) {
        return ast.visit(_this, context);
      });
      return null;
    };
    RecursiveAstVisitor.prototype.visitQuote = function(ast, context) {
      return null;
    };
    return RecursiveAstVisitor;
  }());
  exports.RecursiveAstVisitor = RecursiveAstVisitor;
  var AstTransformer = (function() {
    function AstTransformer() {}
    AstTransformer.prototype.visitImplicitReceiver = function(ast, context) {
      return ast;
    };
    AstTransformer.prototype.visitInterpolation = function(ast, context) {
      return new Interpolation(ast.strings, this.visitAll(ast.expressions));
    };
    AstTransformer.prototype.visitLiteralPrimitive = function(ast, context) {
      return new LiteralPrimitive(ast.value);
    };
    AstTransformer.prototype.visitPropertyRead = function(ast, context) {
      return new PropertyRead(ast.receiver.visit(this), ast.name);
    };
    AstTransformer.prototype.visitPropertyWrite = function(ast, context) {
      return new PropertyWrite(ast.receiver.visit(this), ast.name, ast.value);
    };
    AstTransformer.prototype.visitSafePropertyRead = function(ast, context) {
      return new SafePropertyRead(ast.receiver.visit(this), ast.name);
    };
    AstTransformer.prototype.visitMethodCall = function(ast, context) {
      return new MethodCall(ast.receiver.visit(this), ast.name, this.visitAll(ast.args));
    };
    AstTransformer.prototype.visitSafeMethodCall = function(ast, context) {
      return new SafeMethodCall(ast.receiver.visit(this), ast.name, this.visitAll(ast.args));
    };
    AstTransformer.prototype.visitFunctionCall = function(ast, context) {
      return new FunctionCall(ast.target.visit(this), this.visitAll(ast.args));
    };
    AstTransformer.prototype.visitLiteralArray = function(ast, context) {
      return new LiteralArray(this.visitAll(ast.expressions));
    };
    AstTransformer.prototype.visitLiteralMap = function(ast, context) {
      return new LiteralMap(ast.keys, this.visitAll(ast.values));
    };
    AstTransformer.prototype.visitBinary = function(ast, context) {
      return new Binary(ast.operation, ast.left.visit(this), ast.right.visit(this));
    };
    AstTransformer.prototype.visitPrefixNot = function(ast, context) {
      return new PrefixNot(ast.expression.visit(this));
    };
    AstTransformer.prototype.visitConditional = function(ast, context) {
      return new Conditional(ast.condition.visit(this), ast.trueExp.visit(this), ast.falseExp.visit(this));
    };
    AstTransformer.prototype.visitPipe = function(ast, context) {
      return new BindingPipe(ast.exp.visit(this), ast.name, this.visitAll(ast.args));
    };
    AstTransformer.prototype.visitKeyedRead = function(ast, context) {
      return new KeyedRead(ast.obj.visit(this), ast.key.visit(this));
    };
    AstTransformer.prototype.visitKeyedWrite = function(ast, context) {
      return new KeyedWrite(ast.obj.visit(this), ast.key.visit(this), ast.value.visit(this));
    };
    AstTransformer.prototype.visitAll = function(asts) {
      var res = collection_1.ListWrapper.createFixedSize(asts.length);
      for (var i = 0; i < asts.length; ++i) {
        res[i] = asts[i].visit(this);
      }
      return res;
    };
    AstTransformer.prototype.visitChain = function(ast, context) {
      return new Chain(this.visitAll(ast.expressions));
    };
    AstTransformer.prototype.visitQuote = function(ast, context) {
      return new Quote(ast.prefix, ast.uninterpretedExpression, ast.location);
    };
    return AstTransformer;
  }());
  exports.AstTransformer = AstTransformer;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/expression_parser/lexer.js", ["@angular/core", "../chars", "../facade/exceptions", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var chars = $__require('../chars');
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  (function(TokenType) {
    TokenType[TokenType["Character"] = 0] = "Character";
    TokenType[TokenType["Identifier"] = 1] = "Identifier";
    TokenType[TokenType["Keyword"] = 2] = "Keyword";
    TokenType[TokenType["String"] = 3] = "String";
    TokenType[TokenType["Operator"] = 4] = "Operator";
    TokenType[TokenType["Number"] = 5] = "Number";
  })(exports.TokenType || (exports.TokenType = {}));
  var TokenType = exports.TokenType;
  var KEYWORDS = ['var', 'let', 'null', 'undefined', 'true', 'false', 'if', 'else'];
  var Lexer = (function() {
    function Lexer() {}
    Lexer.prototype.tokenize = function(text) {
      var scanner = new _Scanner(text);
      var tokens = [];
      var token = scanner.scanToken();
      while (token != null) {
        tokens.push(token);
        token = scanner.scanToken();
      }
      return tokens;
    };
    Lexer.decorators = [{type: core_1.Injectable}];
    return Lexer;
  }());
  exports.Lexer = Lexer;
  var Token = (function() {
    function Token(index, type, numValue, strValue) {
      this.index = index;
      this.type = type;
      this.numValue = numValue;
      this.strValue = strValue;
    }
    Token.prototype.isCharacter = function(code) {
      return (this.type == TokenType.Character && this.numValue == code);
    };
    Token.prototype.isNumber = function() {
      return (this.type == TokenType.Number);
    };
    Token.prototype.isString = function() {
      return (this.type == TokenType.String);
    };
    Token.prototype.isOperator = function(operater) {
      return (this.type == TokenType.Operator && this.strValue == operater);
    };
    Token.prototype.isIdentifier = function() {
      return (this.type == TokenType.Identifier);
    };
    Token.prototype.isKeyword = function() {
      return (this.type == TokenType.Keyword);
    };
    Token.prototype.isKeywordDeprecatedVar = function() {
      return (this.type == TokenType.Keyword && this.strValue == 'var');
    };
    Token.prototype.isKeywordLet = function() {
      return (this.type == TokenType.Keyword && this.strValue == 'let');
    };
    Token.prototype.isKeywordNull = function() {
      return (this.type == TokenType.Keyword && this.strValue == 'null');
    };
    Token.prototype.isKeywordUndefined = function() {
      return (this.type == TokenType.Keyword && this.strValue == 'undefined');
    };
    Token.prototype.isKeywordTrue = function() {
      return (this.type == TokenType.Keyword && this.strValue == 'true');
    };
    Token.prototype.isKeywordFalse = function() {
      return (this.type == TokenType.Keyword && this.strValue == 'false');
    };
    Token.prototype.toNumber = function() {
      return (this.type == TokenType.Number) ? this.numValue : -1;
    };
    Token.prototype.toString = function() {
      switch (this.type) {
        case TokenType.Character:
        case TokenType.Identifier:
        case TokenType.Keyword:
        case TokenType.Operator:
        case TokenType.String:
          return this.strValue;
        case TokenType.Number:
          return this.numValue.toString();
        default:
          return null;
      }
    };
    return Token;
  }());
  exports.Token = Token;
  function newCharacterToken(index, code) {
    return new Token(index, TokenType.Character, code, lang_1.StringWrapper.fromCharCode(code));
  }
  function newIdentifierToken(index, text) {
    return new Token(index, TokenType.Identifier, 0, text);
  }
  function newKeywordToken(index, text) {
    return new Token(index, TokenType.Keyword, 0, text);
  }
  function newOperatorToken(index, text) {
    return new Token(index, TokenType.Operator, 0, text);
  }
  function newStringToken(index, text) {
    return new Token(index, TokenType.String, 0, text);
  }
  function newNumberToken(index, n) {
    return new Token(index, TokenType.Number, n, '');
  }
  exports.EOF = new Token(-1, TokenType.Character, 0, '');
  var ScannerError = (function(_super) {
    __extends(ScannerError, _super);
    function ScannerError(message) {
      _super.call(this);
      this.message = message;
    }
    ScannerError.prototype.toString = function() {
      return this.message;
    };
    return ScannerError;
  }(exceptions_1.BaseException));
  exports.ScannerError = ScannerError;
  var _Scanner = (function() {
    function _Scanner(input) {
      this.input = input;
      this.peek = 0;
      this.index = -1;
      this.length = input.length;
      this.advance();
    }
    _Scanner.prototype.advance = function() {
      this.peek = ++this.index >= this.length ? chars.$EOF : lang_1.StringWrapper.charCodeAt(this.input, this.index);
    };
    _Scanner.prototype.scanToken = function() {
      var input = this.input,
          length = this.length,
          peek = this.peek,
          index = this.index;
      while (peek <= chars.$SPACE) {
        if (++index >= length) {
          peek = chars.$EOF;
          break;
        } else {
          peek = lang_1.StringWrapper.charCodeAt(input, index);
        }
      }
      this.peek = peek;
      this.index = index;
      if (index >= length) {
        return null;
      }
      if (isIdentifierStart(peek))
        return this.scanIdentifier();
      if (chars.isDigit(peek))
        return this.scanNumber(index);
      var start = index;
      switch (peek) {
        case chars.$PERIOD:
          this.advance();
          return chars.isDigit(this.peek) ? this.scanNumber(start) : newCharacterToken(start, chars.$PERIOD);
        case chars.$LPAREN:
        case chars.$RPAREN:
        case chars.$LBRACE:
        case chars.$RBRACE:
        case chars.$LBRACKET:
        case chars.$RBRACKET:
        case chars.$COMMA:
        case chars.$COLON:
        case chars.$SEMICOLON:
          return this.scanCharacter(start, peek);
        case chars.$SQ:
        case chars.$DQ:
          return this.scanString();
        case chars.$HASH:
        case chars.$PLUS:
        case chars.$MINUS:
        case chars.$STAR:
        case chars.$SLASH:
        case chars.$PERCENT:
        case chars.$CARET:
          return this.scanOperator(start, lang_1.StringWrapper.fromCharCode(peek));
        case chars.$QUESTION:
          return this.scanComplexOperator(start, '?', chars.$PERIOD, '.');
        case chars.$LT:
        case chars.$GT:
          return this.scanComplexOperator(start, lang_1.StringWrapper.fromCharCode(peek), chars.$EQ, '=');
        case chars.$BANG:
        case chars.$EQ:
          return this.scanComplexOperator(start, lang_1.StringWrapper.fromCharCode(peek), chars.$EQ, '=', chars.$EQ, '=');
        case chars.$AMPERSAND:
          return this.scanComplexOperator(start, '&', chars.$AMPERSAND, '&');
        case chars.$BAR:
          return this.scanComplexOperator(start, '|', chars.$BAR, '|');
        case chars.$NBSP:
          while (chars.isWhitespace(this.peek))
            this.advance();
          return this.scanToken();
      }
      this.error("Unexpected character [" + lang_1.StringWrapper.fromCharCode(peek) + "]", 0);
      return null;
    };
    _Scanner.prototype.scanCharacter = function(start, code) {
      this.advance();
      return newCharacterToken(start, code);
    };
    _Scanner.prototype.scanOperator = function(start, str) {
      this.advance();
      return newOperatorToken(start, str);
    };
    _Scanner.prototype.scanComplexOperator = function(start, one, twoCode, two, threeCode, three) {
      this.advance();
      var str = one;
      if (this.peek == twoCode) {
        this.advance();
        str += two;
      }
      if (lang_1.isPresent(threeCode) && this.peek == threeCode) {
        this.advance();
        str += three;
      }
      return newOperatorToken(start, str);
    };
    _Scanner.prototype.scanIdentifier = function() {
      var start = this.index;
      this.advance();
      while (isIdentifierPart(this.peek))
        this.advance();
      var str = this.input.substring(start, this.index);
      return KEYWORDS.indexOf(str) > -1 ? newKeywordToken(start, str) : newIdentifierToken(start, str);
    };
    _Scanner.prototype.scanNumber = function(start) {
      var simple = (this.index === start);
      this.advance();
      while (true) {
        if (chars.isDigit(this.peek)) {} else if (this.peek == chars.$PERIOD) {
          simple = false;
        } else if (isExponentStart(this.peek)) {
          this.advance();
          if (isExponentSign(this.peek))
            this.advance();
          if (!chars.isDigit(this.peek))
            this.error('Invalid exponent', -1);
          simple = false;
        } else {
          break;
        }
        this.advance();
      }
      var str = this.input.substring(start, this.index);
      var value = simple ? lang_1.NumberWrapper.parseIntAutoRadix(str) : lang_1.NumberWrapper.parseFloat(str);
      return newNumberToken(start, value);
    };
    _Scanner.prototype.scanString = function() {
      var start = this.index;
      var quote = this.peek;
      this.advance();
      var buffer;
      var marker = this.index;
      var input = this.input;
      while (this.peek != quote) {
        if (this.peek == chars.$BACKSLASH) {
          if (buffer == null)
            buffer = new lang_1.StringJoiner();
          buffer.add(input.substring(marker, this.index));
          this.advance();
          var unescapedCode;
          if (this.peek == chars.$u) {
            var hex = input.substring(this.index + 1, this.index + 5);
            try {
              unescapedCode = lang_1.NumberWrapper.parseInt(hex, 16);
            } catch (e) {
              this.error("Invalid unicode escape [\\u" + hex + "]", 0);
            }
            for (var i = 0; i < 5; i++) {
              this.advance();
            }
          } else {
            unescapedCode = unescape(this.peek);
            this.advance();
          }
          buffer.add(lang_1.StringWrapper.fromCharCode(unescapedCode));
          marker = this.index;
        } else if (this.peek == chars.$EOF) {
          this.error('Unterminated quote', 0);
        } else {
          this.advance();
        }
      }
      var last = input.substring(marker, this.index);
      this.advance();
      var unescaped = last;
      if (buffer != null) {
        buffer.add(last);
        unescaped = buffer.toString();
      }
      return newStringToken(start, unescaped);
    };
    _Scanner.prototype.error = function(message, offset) {
      var position = this.index + offset;
      throw new ScannerError("Lexer Error: " + message + " at column " + position + " in expression [" + this.input + "]");
    };
    return _Scanner;
  }());
  function isIdentifierStart(code) {
    return (chars.$a <= code && code <= chars.$z) || (chars.$A <= code && code <= chars.$Z) || (code == chars.$_) || (code == chars.$$);
  }
  function isIdentifier(input) {
    if (input.length == 0)
      return false;
    var scanner = new _Scanner(input);
    if (!isIdentifierStart(scanner.peek))
      return false;
    scanner.advance();
    while (scanner.peek !== chars.$EOF) {
      if (!isIdentifierPart(scanner.peek))
        return false;
      scanner.advance();
    }
    return true;
  }
  exports.isIdentifier = isIdentifier;
  function isIdentifierPart(code) {
    return chars.isAsciiLetter(code) || chars.isDigit(code) || (code == chars.$_) || (code == chars.$$);
  }
  function isExponentStart(code) {
    return code == chars.$e || code == chars.$E;
  }
  function isExponentSign(code) {
    return code == chars.$MINUS || code == chars.$PLUS;
  }
  function isQuote(code) {
    return code === chars.$SQ || code === chars.$DQ || code === chars.$BT;
  }
  exports.isQuote = isQuote;
  function unescape(code) {
    switch (code) {
      case chars.$n:
        return chars.$LF;
      case chars.$f:
        return chars.$FF;
      case chars.$r:
        return chars.$CR;
      case chars.$t:
        return chars.$TAB;
      case chars.$v:
        return chars.$VTAB;
      default:
        return code;
    }
  }
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/expression_parser/parser.js", ["@angular/core", "../chars", "../facade/collection", "../facade/exceptions", "../facade/lang", "../interpolation_config", "./ast", "./lexer"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var chars = $__require('../chars');
  var collection_1 = $__require('../facade/collection');
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var interpolation_config_1 = $__require('../interpolation_config');
  var ast_1 = $__require('./ast');
  var lexer_1 = $__require('./lexer');
  var _implicitReceiver = new ast_1.ImplicitReceiver();
  var ParseException = (function(_super) {
    __extends(ParseException, _super);
    function ParseException(message, input, errLocation, ctxLocation) {
      _super.call(this, "Parser Error: " + message + " " + errLocation + " [" + input + "] in " + ctxLocation);
    }
    return ParseException;
  }(exceptions_1.BaseException));
  var SplitInterpolation = (function() {
    function SplitInterpolation(strings, expressions) {
      this.strings = strings;
      this.expressions = expressions;
    }
    return SplitInterpolation;
  }());
  exports.SplitInterpolation = SplitInterpolation;
  var TemplateBindingParseResult = (function() {
    function TemplateBindingParseResult(templateBindings, warnings) {
      this.templateBindings = templateBindings;
      this.warnings = warnings;
    }
    return TemplateBindingParseResult;
  }());
  exports.TemplateBindingParseResult = TemplateBindingParseResult;
  function _createInterpolateRegExp(config) {
    var regexp = lang_1.escapeRegExp(config.start) + '([\\s\\S]*?)' + lang_1.escapeRegExp(config.end);
    return lang_1.RegExpWrapper.create(regexp, 'g');
  }
  var Parser = (function() {
    function Parser(_lexer) {
      this._lexer = _lexer;
    }
    Parser.prototype.parseAction = function(input, location, interpolationConfig) {
      if (interpolationConfig === void 0) {
        interpolationConfig = interpolation_config_1.DEFAULT_INTERPOLATION_CONFIG;
      }
      this._checkNoInterpolation(input, location, interpolationConfig);
      var tokens = this._lexer.tokenize(this._stripComments(input));
      var ast = new _ParseAST(input, location, tokens, true).parseChain();
      return new ast_1.ASTWithSource(ast, input, location);
    };
    Parser.prototype.parseBinding = function(input, location, interpolationConfig) {
      if (interpolationConfig === void 0) {
        interpolationConfig = interpolation_config_1.DEFAULT_INTERPOLATION_CONFIG;
      }
      var ast = this._parseBindingAst(input, location, interpolationConfig);
      return new ast_1.ASTWithSource(ast, input, location);
    };
    Parser.prototype.parseSimpleBinding = function(input, location, interpolationConfig) {
      if (interpolationConfig === void 0) {
        interpolationConfig = interpolation_config_1.DEFAULT_INTERPOLATION_CONFIG;
      }
      var ast = this._parseBindingAst(input, location, interpolationConfig);
      if (!SimpleExpressionChecker.check(ast)) {
        throw new ParseException('Host binding expression can only contain field access and constants', input, location);
      }
      return new ast_1.ASTWithSource(ast, input, location);
    };
    Parser.prototype._parseBindingAst = function(input, location, interpolationConfig) {
      var quote = this._parseQuote(input, location);
      if (lang_1.isPresent(quote)) {
        return quote;
      }
      this._checkNoInterpolation(input, location, interpolationConfig);
      var tokens = this._lexer.tokenize(this._stripComments(input));
      return new _ParseAST(input, location, tokens, false).parseChain();
    };
    Parser.prototype._parseQuote = function(input, location) {
      if (lang_1.isBlank(input))
        return null;
      var prefixSeparatorIndex = input.indexOf(':');
      if (prefixSeparatorIndex == -1)
        return null;
      var prefix = input.substring(0, prefixSeparatorIndex).trim();
      if (!lexer_1.isIdentifier(prefix))
        return null;
      var uninterpretedExpression = input.substring(prefixSeparatorIndex + 1);
      return new ast_1.Quote(prefix, uninterpretedExpression, location);
    };
    Parser.prototype.parseTemplateBindings = function(input, location) {
      var tokens = this._lexer.tokenize(input);
      return new _ParseAST(input, location, tokens, false).parseTemplateBindings();
    };
    Parser.prototype.parseInterpolation = function(input, location, interpolationConfig) {
      if (interpolationConfig === void 0) {
        interpolationConfig = interpolation_config_1.DEFAULT_INTERPOLATION_CONFIG;
      }
      var split = this.splitInterpolation(input, location, interpolationConfig);
      if (split == null)
        return null;
      var expressions = [];
      for (var i = 0; i < split.expressions.length; ++i) {
        var tokens = this._lexer.tokenize(this._stripComments(split.expressions[i]));
        var ast = new _ParseAST(input, location, tokens, false).parseChain();
        expressions.push(ast);
      }
      return new ast_1.ASTWithSource(new ast_1.Interpolation(split.strings, expressions), input, location);
    };
    Parser.prototype.splitInterpolation = function(input, location, interpolationConfig) {
      if (interpolationConfig === void 0) {
        interpolationConfig = interpolation_config_1.DEFAULT_INTERPOLATION_CONFIG;
      }
      var regexp = _createInterpolateRegExp(interpolationConfig);
      var parts = lang_1.StringWrapper.split(input, regexp);
      if (parts.length <= 1) {
        return null;
      }
      var strings = [];
      var expressions = [];
      for (var i = 0; i < parts.length; i++) {
        var part = parts[i];
        if (i % 2 === 0) {
          strings.push(part);
        } else if (part.trim().length > 0) {
          expressions.push(part);
        } else {
          throw new ParseException('Blank expressions are not allowed in interpolated strings', input, "at column " + this._findInterpolationErrorColumn(parts, i, interpolationConfig) + " in", location);
        }
      }
      return new SplitInterpolation(strings, expressions);
    };
    Parser.prototype.wrapLiteralPrimitive = function(input, location) {
      return new ast_1.ASTWithSource(new ast_1.LiteralPrimitive(input), input, location);
    };
    Parser.prototype._stripComments = function(input) {
      var i = this._commentStart(input);
      return lang_1.isPresent(i) ? input.substring(0, i).trim() : input;
    };
    Parser.prototype._commentStart = function(input) {
      var outerQuote = null;
      for (var i = 0; i < input.length - 1; i++) {
        var char = lang_1.StringWrapper.charCodeAt(input, i);
        var nextChar = lang_1.StringWrapper.charCodeAt(input, i + 1);
        if (char === chars.$SLASH && nextChar == chars.$SLASH && lang_1.isBlank(outerQuote))
          return i;
        if (outerQuote === char) {
          outerQuote = null;
        } else if (lang_1.isBlank(outerQuote) && lexer_1.isQuote(char)) {
          outerQuote = char;
        }
      }
      return null;
    };
    Parser.prototype._checkNoInterpolation = function(input, location, interpolationConfig) {
      var regexp = _createInterpolateRegExp(interpolationConfig);
      var parts = lang_1.StringWrapper.split(input, regexp);
      if (parts.length > 1) {
        throw new ParseException("Got interpolation (" + interpolationConfig.start + interpolationConfig.end + ") where expression was expected", input, "at column " + this._findInterpolationErrorColumn(parts, 1, interpolationConfig) + " in", location);
      }
    };
    Parser.prototype._findInterpolationErrorColumn = function(parts, partInErrIdx, interpolationConfig) {
      var errLocation = '';
      for (var j = 0; j < partInErrIdx; j++) {
        errLocation += j % 2 === 0 ? parts[j] : "" + interpolationConfig.start + parts[j] + interpolationConfig.end;
      }
      return errLocation.length;
    };
    Parser.decorators = [{type: core_1.Injectable}];
    Parser.ctorParameters = [{type: lexer_1.Lexer}];
    return Parser;
  }());
  exports.Parser = Parser;
  var _ParseAST = (function() {
    function _ParseAST(input, location, tokens, parseAction) {
      this.input = input;
      this.location = location;
      this.tokens = tokens;
      this.parseAction = parseAction;
      this.index = 0;
    }
    _ParseAST.prototype.peek = function(offset) {
      var i = this.index + offset;
      return i < this.tokens.length ? this.tokens[i] : lexer_1.EOF;
    };
    Object.defineProperty(_ParseAST.prototype, "next", {
      get: function() {
        return this.peek(0);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(_ParseAST.prototype, "inputIndex", {
      get: function() {
        return (this.index < this.tokens.length) ? this.next.index : this.input.length;
      },
      enumerable: true,
      configurable: true
    });
    _ParseAST.prototype.advance = function() {
      this.index++;
    };
    _ParseAST.prototype.optionalCharacter = function(code) {
      if (this.next.isCharacter(code)) {
        this.advance();
        return true;
      } else {
        return false;
      }
    };
    _ParseAST.prototype.peekKeywordLet = function() {
      return this.next.isKeywordLet();
    };
    _ParseAST.prototype.peekDeprecatedKeywordVar = function() {
      return this.next.isKeywordDeprecatedVar();
    };
    _ParseAST.prototype.peekDeprecatedOperatorHash = function() {
      return this.next.isOperator('#');
    };
    _ParseAST.prototype.expectCharacter = function(code) {
      if (this.optionalCharacter(code))
        return;
      this.error("Missing expected " + lang_1.StringWrapper.fromCharCode(code));
    };
    _ParseAST.prototype.optionalOperator = function(op) {
      if (this.next.isOperator(op)) {
        this.advance();
        return true;
      } else {
        return false;
      }
    };
    _ParseAST.prototype.expectOperator = function(operator) {
      if (this.optionalOperator(operator))
        return;
      this.error("Missing expected operator " + operator);
    };
    _ParseAST.prototype.expectIdentifierOrKeyword = function() {
      var n = this.next;
      if (!n.isIdentifier() && !n.isKeyword()) {
        this.error("Unexpected token " + n + ", expected identifier or keyword");
      }
      this.advance();
      return n.toString();
    };
    _ParseAST.prototype.expectIdentifierOrKeywordOrString = function() {
      var n = this.next;
      if (!n.isIdentifier() && !n.isKeyword() && !n.isString()) {
        this.error("Unexpected token " + n + ", expected identifier, keyword, or string");
      }
      this.advance();
      return n.toString();
    };
    _ParseAST.prototype.parseChain = function() {
      var exprs = [];
      while (this.index < this.tokens.length) {
        var expr = this.parsePipe();
        exprs.push(expr);
        if (this.optionalCharacter(chars.$SEMICOLON)) {
          if (!this.parseAction) {
            this.error('Binding expression cannot contain chained expression');
          }
          while (this.optionalCharacter(chars.$SEMICOLON)) {}
        } else if (this.index < this.tokens.length) {
          this.error("Unexpected token '" + this.next + "'");
        }
      }
      if (exprs.length == 0)
        return new ast_1.EmptyExpr();
      if (exprs.length == 1)
        return exprs[0];
      return new ast_1.Chain(exprs);
    };
    _ParseAST.prototype.parsePipe = function() {
      var result = this.parseExpression();
      if (this.optionalOperator('|')) {
        if (this.parseAction) {
          this.error('Cannot have a pipe in an action expression');
        }
        do {
          var name = this.expectIdentifierOrKeyword();
          var args = [];
          while (this.optionalCharacter(chars.$COLON)) {
            args.push(this.parseExpression());
          }
          result = new ast_1.BindingPipe(result, name, args);
        } while (this.optionalOperator('|'));
      }
      return result;
    };
    _ParseAST.prototype.parseExpression = function() {
      return this.parseConditional();
    };
    _ParseAST.prototype.parseConditional = function() {
      var start = this.inputIndex;
      var result = this.parseLogicalOr();
      if (this.optionalOperator('?')) {
        var yes = this.parsePipe();
        if (!this.optionalCharacter(chars.$COLON)) {
          var end = this.inputIndex;
          var expression = this.input.substring(start, end);
          this.error("Conditional expression " + expression + " requires all 3 expressions");
        }
        var no = this.parsePipe();
        return new ast_1.Conditional(result, yes, no);
      } else {
        return result;
      }
    };
    _ParseAST.prototype.parseLogicalOr = function() {
      var result = this.parseLogicalAnd();
      while (this.optionalOperator('||')) {
        result = new ast_1.Binary('||', result, this.parseLogicalAnd());
      }
      return result;
    };
    _ParseAST.prototype.parseLogicalAnd = function() {
      var result = this.parseEquality();
      while (this.optionalOperator('&&')) {
        result = new ast_1.Binary('&&', result, this.parseEquality());
      }
      return result;
    };
    _ParseAST.prototype.parseEquality = function() {
      var result = this.parseRelational();
      while (true) {
        if (this.optionalOperator('==')) {
          result = new ast_1.Binary('==', result, this.parseRelational());
        } else if (this.optionalOperator('===')) {
          result = new ast_1.Binary('===', result, this.parseRelational());
        } else if (this.optionalOperator('!=')) {
          result = new ast_1.Binary('!=', result, this.parseRelational());
        } else if (this.optionalOperator('!==')) {
          result = new ast_1.Binary('!==', result, this.parseRelational());
        } else {
          return result;
        }
      }
    };
    _ParseAST.prototype.parseRelational = function() {
      var result = this.parseAdditive();
      while (true) {
        if (this.optionalOperator('<')) {
          result = new ast_1.Binary('<', result, this.parseAdditive());
        } else if (this.optionalOperator('>')) {
          result = new ast_1.Binary('>', result, this.parseAdditive());
        } else if (this.optionalOperator('<=')) {
          result = new ast_1.Binary('<=', result, this.parseAdditive());
        } else if (this.optionalOperator('>=')) {
          result = new ast_1.Binary('>=', result, this.parseAdditive());
        } else {
          return result;
        }
      }
    };
    _ParseAST.prototype.parseAdditive = function() {
      var result = this.parseMultiplicative();
      while (true) {
        if (this.optionalOperator('+')) {
          result = new ast_1.Binary('+', result, this.parseMultiplicative());
        } else if (this.optionalOperator('-')) {
          result = new ast_1.Binary('-', result, this.parseMultiplicative());
        } else {
          return result;
        }
      }
    };
    _ParseAST.prototype.parseMultiplicative = function() {
      var result = this.parsePrefix();
      while (true) {
        if (this.optionalOperator('*')) {
          result = new ast_1.Binary('*', result, this.parsePrefix());
        } else if (this.optionalOperator('%')) {
          result = new ast_1.Binary('%', result, this.parsePrefix());
        } else if (this.optionalOperator('/')) {
          result = new ast_1.Binary('/', result, this.parsePrefix());
        } else {
          return result;
        }
      }
    };
    _ParseAST.prototype.parsePrefix = function() {
      if (this.optionalOperator('+')) {
        return this.parsePrefix();
      } else if (this.optionalOperator('-')) {
        return new ast_1.Binary('-', new ast_1.LiteralPrimitive(0), this.parsePrefix());
      } else if (this.optionalOperator('!')) {
        return new ast_1.PrefixNot(this.parsePrefix());
      } else {
        return this.parseCallChain();
      }
    };
    _ParseAST.prototype.parseCallChain = function() {
      var result = this.parsePrimary();
      while (true) {
        if (this.optionalCharacter(chars.$PERIOD)) {
          result = this.parseAccessMemberOrMethodCall(result, false);
        } else if (this.optionalOperator('?.')) {
          result = this.parseAccessMemberOrMethodCall(result, true);
        } else if (this.optionalCharacter(chars.$LBRACKET)) {
          var key = this.parsePipe();
          this.expectCharacter(chars.$RBRACKET);
          if (this.optionalOperator('=')) {
            var value = this.parseConditional();
            result = new ast_1.KeyedWrite(result, key, value);
          } else {
            result = new ast_1.KeyedRead(result, key);
          }
        } else if (this.optionalCharacter(chars.$LPAREN)) {
          var args = this.parseCallArguments();
          this.expectCharacter(chars.$RPAREN);
          result = new ast_1.FunctionCall(result, args);
        } else {
          return result;
        }
      }
    };
    _ParseAST.prototype.parsePrimary = function() {
      if (this.optionalCharacter(chars.$LPAREN)) {
        var result = this.parsePipe();
        this.expectCharacter(chars.$RPAREN);
        return result;
      } else if (this.next.isKeywordNull() || this.next.isKeywordUndefined()) {
        this.advance();
        return new ast_1.LiteralPrimitive(null);
      } else if (this.next.isKeywordTrue()) {
        this.advance();
        return new ast_1.LiteralPrimitive(true);
      } else if (this.next.isKeywordFalse()) {
        this.advance();
        return new ast_1.LiteralPrimitive(false);
      } else if (this.optionalCharacter(chars.$LBRACKET)) {
        var elements = this.parseExpressionList(chars.$RBRACKET);
        this.expectCharacter(chars.$RBRACKET);
        return new ast_1.LiteralArray(elements);
      } else if (this.next.isCharacter(chars.$LBRACE)) {
        return this.parseLiteralMap();
      } else if (this.next.isIdentifier()) {
        return this.parseAccessMemberOrMethodCall(_implicitReceiver, false);
      } else if (this.next.isNumber()) {
        var value = this.next.toNumber();
        this.advance();
        return new ast_1.LiteralPrimitive(value);
      } else if (this.next.isString()) {
        var literalValue = this.next.toString();
        this.advance();
        return new ast_1.LiteralPrimitive(literalValue);
      } else if (this.index >= this.tokens.length) {
        this.error("Unexpected end of expression: " + this.input);
      } else {
        this.error("Unexpected token " + this.next);
      }
      throw new exceptions_1.BaseException('Fell through all cases in parsePrimary');
    };
    _ParseAST.prototype.parseExpressionList = function(terminator) {
      var result = [];
      if (!this.next.isCharacter(terminator)) {
        do {
          result.push(this.parsePipe());
        } while (this.optionalCharacter(chars.$COMMA));
      }
      return result;
    };
    _ParseAST.prototype.parseLiteralMap = function() {
      var keys = [];
      var values = [];
      this.expectCharacter(chars.$LBRACE);
      if (!this.optionalCharacter(chars.$RBRACE)) {
        do {
          var key = this.expectIdentifierOrKeywordOrString();
          keys.push(key);
          this.expectCharacter(chars.$COLON);
          values.push(this.parsePipe());
        } while (this.optionalCharacter(chars.$COMMA));
        this.expectCharacter(chars.$RBRACE);
      }
      return new ast_1.LiteralMap(keys, values);
    };
    _ParseAST.prototype.parseAccessMemberOrMethodCall = function(receiver, isSafe) {
      if (isSafe === void 0) {
        isSafe = false;
      }
      var id = this.expectIdentifierOrKeyword();
      if (this.optionalCharacter(chars.$LPAREN)) {
        var args = this.parseCallArguments();
        this.expectCharacter(chars.$RPAREN);
        return isSafe ? new ast_1.SafeMethodCall(receiver, id, args) : new ast_1.MethodCall(receiver, id, args);
      } else {
        if (isSafe) {
          if (this.optionalOperator('=')) {
            this.error('The \'?.\' operator cannot be used in the assignment');
          } else {
            return new ast_1.SafePropertyRead(receiver, id);
          }
        } else {
          if (this.optionalOperator('=')) {
            if (!this.parseAction) {
              this.error('Bindings cannot contain assignments');
            }
            var value = this.parseConditional();
            return new ast_1.PropertyWrite(receiver, id, value);
          } else {
            return new ast_1.PropertyRead(receiver, id);
          }
        }
      }
      return null;
    };
    _ParseAST.prototype.parseCallArguments = function() {
      if (this.next.isCharacter(chars.$RPAREN))
        return [];
      var positionals = [];
      do {
        positionals.push(this.parsePipe());
      } while (this.optionalCharacter(chars.$COMMA));
      return positionals;
    };
    _ParseAST.prototype.expectTemplateBindingKey = function() {
      var result = '';
      var operatorFound = false;
      do {
        result += this.expectIdentifierOrKeywordOrString();
        operatorFound = this.optionalOperator('-');
        if (operatorFound) {
          result += '-';
        }
      } while (operatorFound);
      return result.toString();
    };
    _ParseAST.prototype.parseTemplateBindings = function() {
      var bindings = [];
      var prefix = null;
      var warnings = [];
      while (this.index < this.tokens.length) {
        var keyIsVar = this.peekKeywordLet();
        if (!keyIsVar && this.peekDeprecatedKeywordVar()) {
          keyIsVar = true;
          warnings.push("\"var\" inside of expressions is deprecated. Use \"let\" instead!");
        }
        if (!keyIsVar && this.peekDeprecatedOperatorHash()) {
          keyIsVar = true;
          warnings.push("\"#\" inside of expressions is deprecated. Use \"let\" instead!");
        }
        if (keyIsVar) {
          this.advance();
        }
        var key = this.expectTemplateBindingKey();
        if (!keyIsVar) {
          if (prefix == null) {
            prefix = key;
          } else {
            key = prefix + key[0].toUpperCase() + key.substring(1);
          }
        }
        this.optionalCharacter(chars.$COLON);
        var name = null;
        var expression = null;
        if (keyIsVar) {
          if (this.optionalOperator('=')) {
            name = this.expectTemplateBindingKey();
          } else {
            name = '\$implicit';
          }
        } else if (this.next !== lexer_1.EOF && !this.peekKeywordLet() && !this.peekDeprecatedKeywordVar() && !this.peekDeprecatedOperatorHash()) {
          var start = this.inputIndex;
          var ast = this.parsePipe();
          var source = this.input.substring(start, this.inputIndex);
          expression = new ast_1.ASTWithSource(ast, source, this.location);
        }
        bindings.push(new ast_1.TemplateBinding(key, keyIsVar, name, expression));
        if (!this.optionalCharacter(chars.$SEMICOLON)) {
          this.optionalCharacter(chars.$COMMA);
        }
      }
      return new TemplateBindingParseResult(bindings, warnings);
    };
    _ParseAST.prototype.error = function(message, index) {
      if (index === void 0) {
        index = null;
      }
      if (lang_1.isBlank(index))
        index = this.index;
      var location = (index < this.tokens.length) ? "at column " + (this.tokens[index].index + 1) + " in" : "at the end of the expression";
      throw new ParseException(message, this.input, location, this.location);
    };
    return _ParseAST;
  }());
  exports._ParseAST = _ParseAST;
  var SimpleExpressionChecker = (function() {
    function SimpleExpressionChecker() {
      this.simple = true;
    }
    SimpleExpressionChecker.check = function(ast) {
      var s = new SimpleExpressionChecker();
      ast.visit(s);
      return s.simple;
    };
    SimpleExpressionChecker.prototype.visitImplicitReceiver = function(ast, context) {};
    SimpleExpressionChecker.prototype.visitInterpolation = function(ast, context) {
      this.simple = false;
    };
    SimpleExpressionChecker.prototype.visitLiteralPrimitive = function(ast, context) {};
    SimpleExpressionChecker.prototype.visitPropertyRead = function(ast, context) {};
    SimpleExpressionChecker.prototype.visitPropertyWrite = function(ast, context) {
      this.simple = false;
    };
    SimpleExpressionChecker.prototype.visitSafePropertyRead = function(ast, context) {
      this.simple = false;
    };
    SimpleExpressionChecker.prototype.visitMethodCall = function(ast, context) {
      this.simple = false;
    };
    SimpleExpressionChecker.prototype.visitSafeMethodCall = function(ast, context) {
      this.simple = false;
    };
    SimpleExpressionChecker.prototype.visitFunctionCall = function(ast, context) {
      this.simple = false;
    };
    SimpleExpressionChecker.prototype.visitLiteralArray = function(ast, context) {
      this.visitAll(ast.expressions);
    };
    SimpleExpressionChecker.prototype.visitLiteralMap = function(ast, context) {
      this.visitAll(ast.values);
    };
    SimpleExpressionChecker.prototype.visitBinary = function(ast, context) {
      this.simple = false;
    };
    SimpleExpressionChecker.prototype.visitPrefixNot = function(ast, context) {
      this.simple = false;
    };
    SimpleExpressionChecker.prototype.visitConditional = function(ast, context) {
      this.simple = false;
    };
    SimpleExpressionChecker.prototype.visitPipe = function(ast, context) {
      this.simple = false;
    };
    SimpleExpressionChecker.prototype.visitKeyedRead = function(ast, context) {
      this.simple = false;
    };
    SimpleExpressionChecker.prototype.visitKeyedWrite = function(ast, context) {
      this.simple = false;
    };
    SimpleExpressionChecker.prototype.visitAll = function(asts) {
      var res = collection_1.ListWrapper.createFixedSize(asts.length);
      for (var i = 0; i < asts.length; ++i) {
        res[i] = asts[i].visit(this);
      }
      return res;
    };
    SimpleExpressionChecker.prototype.visitChain = function(ast, context) {
      this.simple = false;
    };
    SimpleExpressionChecker.prototype.visitQuote = function(ast, context) {
      this.simple = false;
    };
    return SimpleExpressionChecker;
  }());
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/chars.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  exports.$EOF = 0;
  exports.$TAB = 9;
  exports.$LF = 10;
  exports.$VTAB = 11;
  exports.$FF = 12;
  exports.$CR = 13;
  exports.$SPACE = 32;
  exports.$BANG = 33;
  exports.$DQ = 34;
  exports.$HASH = 35;
  exports.$$ = 36;
  exports.$PERCENT = 37;
  exports.$AMPERSAND = 38;
  exports.$SQ = 39;
  exports.$LPAREN = 40;
  exports.$RPAREN = 41;
  exports.$STAR = 42;
  exports.$PLUS = 43;
  exports.$COMMA = 44;
  exports.$MINUS = 45;
  exports.$PERIOD = 46;
  exports.$SLASH = 47;
  exports.$COLON = 58;
  exports.$SEMICOLON = 59;
  exports.$LT = 60;
  exports.$EQ = 61;
  exports.$GT = 62;
  exports.$QUESTION = 63;
  exports.$0 = 48;
  exports.$9 = 57;
  exports.$A = 65;
  exports.$E = 69;
  exports.$F = 70;
  exports.$X = 88;
  exports.$Z = 90;
  exports.$LBRACKET = 91;
  exports.$BACKSLASH = 92;
  exports.$RBRACKET = 93;
  exports.$CARET = 94;
  exports.$_ = 95;
  exports.$a = 97;
  exports.$e = 101;
  exports.$f = 102;
  exports.$n = 110;
  exports.$r = 114;
  exports.$t = 116;
  exports.$u = 117;
  exports.$v = 118;
  exports.$x = 120;
  exports.$z = 122;
  exports.$LBRACE = 123;
  exports.$BAR = 124;
  exports.$RBRACE = 125;
  exports.$NBSP = 160;
  exports.$PIPE = 124;
  exports.$TILDA = 126;
  exports.$AT = 64;
  exports.$BT = 96;
  function isWhitespace(code) {
    return (code >= exports.$TAB && code <= exports.$SPACE) || (code == exports.$NBSP);
  }
  exports.isWhitespace = isWhitespace;
  function isDigit(code) {
    return exports.$0 <= code && code <= exports.$9;
  }
  exports.isDigit = isDigit;
  function isAsciiLetter(code) {
    return code >= exports.$a && code <= exports.$z || code >= exports.$A && code <= exports.$Z;
  }
  exports.isAsciiLetter = isAsciiLetter;
  function isAsciiHexDigit(code) {
    return code >= exports.$a && code <= exports.$f || code >= exports.$A && code <= exports.$F || isDigit(code);
  }
  exports.isAsciiHexDigit = isAsciiHexDigit;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/interpolation_config.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  exports.DEFAULT_INTERPOLATION_CONFIG = {
    start: '{{',
    end: '}}'
  };
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/html_lexer.js", ["./chars", "./facade/lang", "./html_tags", "./interpolation_config", "./parse_util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var chars = $__require('./chars');
  var lang_1 = $__require('./facade/lang');
  var html_tags_1 = $__require('./html_tags');
  var interpolation_config_1 = $__require('./interpolation_config');
  var parse_util_1 = $__require('./parse_util');
  (function(HtmlTokenType) {
    HtmlTokenType[HtmlTokenType["TAG_OPEN_START"] = 0] = "TAG_OPEN_START";
    HtmlTokenType[HtmlTokenType["TAG_OPEN_END"] = 1] = "TAG_OPEN_END";
    HtmlTokenType[HtmlTokenType["TAG_OPEN_END_VOID"] = 2] = "TAG_OPEN_END_VOID";
    HtmlTokenType[HtmlTokenType["TAG_CLOSE"] = 3] = "TAG_CLOSE";
    HtmlTokenType[HtmlTokenType["TEXT"] = 4] = "TEXT";
    HtmlTokenType[HtmlTokenType["ESCAPABLE_RAW_TEXT"] = 5] = "ESCAPABLE_RAW_TEXT";
    HtmlTokenType[HtmlTokenType["RAW_TEXT"] = 6] = "RAW_TEXT";
    HtmlTokenType[HtmlTokenType["COMMENT_START"] = 7] = "COMMENT_START";
    HtmlTokenType[HtmlTokenType["COMMENT_END"] = 8] = "COMMENT_END";
    HtmlTokenType[HtmlTokenType["CDATA_START"] = 9] = "CDATA_START";
    HtmlTokenType[HtmlTokenType["CDATA_END"] = 10] = "CDATA_END";
    HtmlTokenType[HtmlTokenType["ATTR_NAME"] = 11] = "ATTR_NAME";
    HtmlTokenType[HtmlTokenType["ATTR_VALUE"] = 12] = "ATTR_VALUE";
    HtmlTokenType[HtmlTokenType["DOC_TYPE"] = 13] = "DOC_TYPE";
    HtmlTokenType[HtmlTokenType["EXPANSION_FORM_START"] = 14] = "EXPANSION_FORM_START";
    HtmlTokenType[HtmlTokenType["EXPANSION_CASE_VALUE"] = 15] = "EXPANSION_CASE_VALUE";
    HtmlTokenType[HtmlTokenType["EXPANSION_CASE_EXP_START"] = 16] = "EXPANSION_CASE_EXP_START";
    HtmlTokenType[HtmlTokenType["EXPANSION_CASE_EXP_END"] = 17] = "EXPANSION_CASE_EXP_END";
    HtmlTokenType[HtmlTokenType["EXPANSION_FORM_END"] = 18] = "EXPANSION_FORM_END";
    HtmlTokenType[HtmlTokenType["EOF"] = 19] = "EOF";
  })(exports.HtmlTokenType || (exports.HtmlTokenType = {}));
  var HtmlTokenType = exports.HtmlTokenType;
  var HtmlToken = (function() {
    function HtmlToken(type, parts, sourceSpan) {
      this.type = type;
      this.parts = parts;
      this.sourceSpan = sourceSpan;
    }
    return HtmlToken;
  }());
  exports.HtmlToken = HtmlToken;
  var HtmlTokenError = (function(_super) {
    __extends(HtmlTokenError, _super);
    function HtmlTokenError(errorMsg, tokenType, span) {
      _super.call(this, span, errorMsg);
      this.tokenType = tokenType;
    }
    return HtmlTokenError;
  }(parse_util_1.ParseError));
  exports.HtmlTokenError = HtmlTokenError;
  var HtmlTokenizeResult = (function() {
    function HtmlTokenizeResult(tokens, errors) {
      this.tokens = tokens;
      this.errors = errors;
    }
    return HtmlTokenizeResult;
  }());
  exports.HtmlTokenizeResult = HtmlTokenizeResult;
  function tokenizeHtml(sourceContent, sourceUrl, tokenizeExpansionForms, interpolationConfig) {
    if (tokenizeExpansionForms === void 0) {
      tokenizeExpansionForms = false;
    }
    if (interpolationConfig === void 0) {
      interpolationConfig = interpolation_config_1.DEFAULT_INTERPOLATION_CONFIG;
    }
    return new _HtmlTokenizer(new parse_util_1.ParseSourceFile(sourceContent, sourceUrl), tokenizeExpansionForms, interpolationConfig).tokenize();
  }
  exports.tokenizeHtml = tokenizeHtml;
  var CR_OR_CRLF_REGEXP = /\r\n?/g;
  function unexpectedCharacterErrorMsg(charCode) {
    var char = charCode === chars.$EOF ? 'EOF' : lang_1.StringWrapper.fromCharCode(charCode);
    return "Unexpected character \"" + char + "\"";
  }
  function unknownEntityErrorMsg(entitySrc) {
    return "Unknown entity \"" + entitySrc + "\" - use the \"&#<decimal>;\" or  \"&#x<hex>;\" syntax";
  }
  var ControlFlowError = (function() {
    function ControlFlowError(error) {
      this.error = error;
    }
    return ControlFlowError;
  }());
  var _HtmlTokenizer = (function() {
    function _HtmlTokenizer(file, tokenizeExpansionForms, interpolationConfig) {
      if (interpolationConfig === void 0) {
        interpolationConfig = interpolation_config_1.DEFAULT_INTERPOLATION_CONFIG;
      }
      this.file = file;
      this.tokenizeExpansionForms = tokenizeExpansionForms;
      this.interpolationConfig = interpolationConfig;
      this._peek = -1;
      this._nextPeek = -1;
      this._index = -1;
      this._line = 0;
      this._column = -1;
      this._expansionCaseStack = [];
      this._inInterpolation = false;
      this.tokens = [];
      this.errors = [];
      this._input = file.content;
      this._length = file.content.length;
      this._advance();
    }
    _HtmlTokenizer.prototype._processCarriageReturns = function(content) {
      return lang_1.StringWrapper.replaceAll(content, CR_OR_CRLF_REGEXP, '\n');
    };
    _HtmlTokenizer.prototype.tokenize = function() {
      while (this._peek !== chars.$EOF) {
        var start = this._getLocation();
        try {
          if (this._attemptCharCode(chars.$LT)) {
            if (this._attemptCharCode(chars.$BANG)) {
              if (this._attemptCharCode(chars.$LBRACKET)) {
                this._consumeCdata(start);
              } else if (this._attemptCharCode(chars.$MINUS)) {
                this._consumeComment(start);
              } else {
                this._consumeDocType(start);
              }
            } else if (this._attemptCharCode(chars.$SLASH)) {
              this._consumeTagClose(start);
            } else {
              this._consumeTagOpen(start);
            }
          } else if (isExpansionFormStart(this._input, this._index, this.interpolationConfig.start) && this.tokenizeExpansionForms) {
            this._consumeExpansionFormStart();
          } else if (isExpansionCaseStart(this._peek) && this._isInExpansionForm() && this.tokenizeExpansionForms) {
            this._consumeExpansionCaseStart();
          } else if (this._peek === chars.$RBRACE && this._isInExpansionCase() && this.tokenizeExpansionForms) {
            this._consumeExpansionCaseEnd();
          } else if (this._peek === chars.$RBRACE && this._isInExpansionForm() && this.tokenizeExpansionForms) {
            this._consumeExpansionFormEnd();
          } else {
            this._consumeText();
          }
        } catch (e) {
          if (e instanceof ControlFlowError) {
            this.errors.push(e.error);
          } else {
            throw e;
          }
        }
      }
      this._beginToken(HtmlTokenType.EOF);
      this._endToken([]);
      return new HtmlTokenizeResult(mergeTextTokens(this.tokens), this.errors);
    };
    _HtmlTokenizer.prototype._getLocation = function() {
      return new parse_util_1.ParseLocation(this.file, this._index, this._line, this._column);
    };
    _HtmlTokenizer.prototype._getSpan = function(start, end) {
      if (lang_1.isBlank(start)) {
        start = this._getLocation();
      }
      if (lang_1.isBlank(end)) {
        end = this._getLocation();
      }
      return new parse_util_1.ParseSourceSpan(start, end);
    };
    _HtmlTokenizer.prototype._beginToken = function(type, start) {
      if (start === void 0) {
        start = null;
      }
      if (lang_1.isBlank(start)) {
        start = this._getLocation();
      }
      this._currentTokenStart = start;
      this._currentTokenType = type;
    };
    _HtmlTokenizer.prototype._endToken = function(parts, end) {
      if (end === void 0) {
        end = null;
      }
      if (lang_1.isBlank(end)) {
        end = this._getLocation();
      }
      var token = new HtmlToken(this._currentTokenType, parts, new parse_util_1.ParseSourceSpan(this._currentTokenStart, end));
      this.tokens.push(token);
      this._currentTokenStart = null;
      this._currentTokenType = null;
      return token;
    };
    _HtmlTokenizer.prototype._createError = function(msg, span) {
      var error = new HtmlTokenError(msg, this._currentTokenType, span);
      this._currentTokenStart = null;
      this._currentTokenType = null;
      return new ControlFlowError(error);
    };
    _HtmlTokenizer.prototype._advance = function() {
      if (this._index >= this._length) {
        throw this._createError(unexpectedCharacterErrorMsg(chars.$EOF), this._getSpan());
      }
      if (this._peek === chars.$LF) {
        this._line++;
        this._column = 0;
      } else if (this._peek !== chars.$LF && this._peek !== chars.$CR) {
        this._column++;
      }
      this._index++;
      this._peek = this._index >= this._length ? chars.$EOF : lang_1.StringWrapper.charCodeAt(this._input, this._index);
      this._nextPeek = this._index + 1 >= this._length ? chars.$EOF : lang_1.StringWrapper.charCodeAt(this._input, this._index + 1);
    };
    _HtmlTokenizer.prototype._attemptCharCode = function(charCode) {
      if (this._peek === charCode) {
        this._advance();
        return true;
      }
      return false;
    };
    _HtmlTokenizer.prototype._attemptCharCodeCaseInsensitive = function(charCode) {
      if (compareCharCodeCaseInsensitive(this._peek, charCode)) {
        this._advance();
        return true;
      }
      return false;
    };
    _HtmlTokenizer.prototype._requireCharCode = function(charCode) {
      var location = this._getLocation();
      if (!this._attemptCharCode(charCode)) {
        throw this._createError(unexpectedCharacterErrorMsg(this._peek), this._getSpan(location, location));
      }
    };
    _HtmlTokenizer.prototype._attemptStr = function(chars) {
      var len = chars.length;
      if (this._index + len > this._length) {
        return false;
      }
      var initialPosition = this._savePosition();
      for (var i = 0; i < len; i++) {
        if (!this._attemptCharCode(lang_1.StringWrapper.charCodeAt(chars, i))) {
          this._restorePosition(initialPosition);
          return false;
        }
      }
      return true;
    };
    _HtmlTokenizer.prototype._attemptStrCaseInsensitive = function(chars) {
      for (var i = 0; i < chars.length; i++) {
        if (!this._attemptCharCodeCaseInsensitive(lang_1.StringWrapper.charCodeAt(chars, i))) {
          return false;
        }
      }
      return true;
    };
    _HtmlTokenizer.prototype._requireStr = function(chars) {
      var location = this._getLocation();
      if (!this._attemptStr(chars)) {
        throw this._createError(unexpectedCharacterErrorMsg(this._peek), this._getSpan(location));
      }
    };
    _HtmlTokenizer.prototype._attemptCharCodeUntilFn = function(predicate) {
      while (!predicate(this._peek)) {
        this._advance();
      }
    };
    _HtmlTokenizer.prototype._requireCharCodeUntilFn = function(predicate, len) {
      var start = this._getLocation();
      this._attemptCharCodeUntilFn(predicate);
      if (this._index - start.offset < len) {
        throw this._createError(unexpectedCharacterErrorMsg(this._peek), this._getSpan(start, start));
      }
    };
    _HtmlTokenizer.prototype._attemptUntilChar = function(char) {
      while (this._peek !== char) {
        this._advance();
      }
    };
    _HtmlTokenizer.prototype._readChar = function(decodeEntities) {
      if (decodeEntities && this._peek === chars.$AMPERSAND) {
        return this._decodeEntity();
      } else {
        var index = this._index;
        this._advance();
        return this._input[index];
      }
    };
    _HtmlTokenizer.prototype._decodeEntity = function() {
      var start = this._getLocation();
      this._advance();
      if (this._attemptCharCode(chars.$HASH)) {
        var isHex = this._attemptCharCode(chars.$x) || this._attemptCharCode(chars.$X);
        var numberStart = this._getLocation().offset;
        this._attemptCharCodeUntilFn(isDigitEntityEnd);
        if (this._peek != chars.$SEMICOLON) {
          throw this._createError(unexpectedCharacterErrorMsg(this._peek), this._getSpan());
        }
        this._advance();
        var strNum = this._input.substring(numberStart, this._index - 1);
        try {
          var charCode = lang_1.NumberWrapper.parseInt(strNum, isHex ? 16 : 10);
          return lang_1.StringWrapper.fromCharCode(charCode);
        } catch (e) {
          var entity = this._input.substring(start.offset + 1, this._index - 1);
          throw this._createError(unknownEntityErrorMsg(entity), this._getSpan(start));
        }
      } else {
        var startPosition = this._savePosition();
        this._attemptCharCodeUntilFn(isNamedEntityEnd);
        if (this._peek != chars.$SEMICOLON) {
          this._restorePosition(startPosition);
          return '&';
        }
        this._advance();
        var name_1 = this._input.substring(start.offset + 1, this._index - 1);
        var char = html_tags_1.NAMED_ENTITIES[name_1];
        if (lang_1.isBlank(char)) {
          throw this._createError(unknownEntityErrorMsg(name_1), this._getSpan(start));
        }
        return char;
      }
    };
    _HtmlTokenizer.prototype._consumeRawText = function(decodeEntities, firstCharOfEnd, attemptEndRest) {
      var tagCloseStart;
      var textStart = this._getLocation();
      this._beginToken(decodeEntities ? HtmlTokenType.ESCAPABLE_RAW_TEXT : HtmlTokenType.RAW_TEXT, textStart);
      var parts = [];
      while (true) {
        tagCloseStart = this._getLocation();
        if (this._attemptCharCode(firstCharOfEnd) && attemptEndRest()) {
          break;
        }
        if (this._index > tagCloseStart.offset) {
          parts.push(this._input.substring(tagCloseStart.offset, this._index));
        }
        while (this._peek !== firstCharOfEnd) {
          parts.push(this._readChar(decodeEntities));
        }
      }
      return this._endToken([this._processCarriageReturns(parts.join(''))], tagCloseStart);
    };
    _HtmlTokenizer.prototype._consumeComment = function(start) {
      var _this = this;
      this._beginToken(HtmlTokenType.COMMENT_START, start);
      this._requireCharCode(chars.$MINUS);
      this._endToken([]);
      var textToken = this._consumeRawText(false, chars.$MINUS, function() {
        return _this._attemptStr('->');
      });
      this._beginToken(HtmlTokenType.COMMENT_END, textToken.sourceSpan.end);
      this._endToken([]);
    };
    _HtmlTokenizer.prototype._consumeCdata = function(start) {
      var _this = this;
      this._beginToken(HtmlTokenType.CDATA_START, start);
      this._requireStr('CDATA[');
      this._endToken([]);
      var textToken = this._consumeRawText(false, chars.$RBRACKET, function() {
        return _this._attemptStr(']>');
      });
      this._beginToken(HtmlTokenType.CDATA_END, textToken.sourceSpan.end);
      this._endToken([]);
    };
    _HtmlTokenizer.prototype._consumeDocType = function(start) {
      this._beginToken(HtmlTokenType.DOC_TYPE, start);
      this._attemptUntilChar(chars.$GT);
      this._advance();
      this._endToken([this._input.substring(start.offset + 2, this._index - 1)]);
    };
    _HtmlTokenizer.prototype._consumePrefixAndName = function() {
      var nameOrPrefixStart = this._index;
      var prefix = null;
      while (this._peek !== chars.$COLON && !isPrefixEnd(this._peek)) {
        this._advance();
      }
      var nameStart;
      if (this._peek === chars.$COLON) {
        this._advance();
        prefix = this._input.substring(nameOrPrefixStart, this._index - 1);
        nameStart = this._index;
      } else {
        nameStart = nameOrPrefixStart;
      }
      this._requireCharCodeUntilFn(isNameEnd, this._index === nameStart ? 1 : 0);
      var name = this._input.substring(nameStart, this._index);
      return [prefix, name];
    };
    _HtmlTokenizer.prototype._consumeTagOpen = function(start) {
      var savedPos = this._savePosition();
      var lowercaseTagName;
      try {
        if (!chars.isAsciiLetter(this._peek)) {
          throw this._createError(unexpectedCharacterErrorMsg(this._peek), this._getSpan());
        }
        var nameStart = this._index;
        this._consumeTagOpenStart(start);
        lowercaseTagName = this._input.substring(nameStart, this._index).toLowerCase();
        this._attemptCharCodeUntilFn(isNotWhitespace);
        while (this._peek !== chars.$SLASH && this._peek !== chars.$GT) {
          this._consumeAttributeName();
          this._attemptCharCodeUntilFn(isNotWhitespace);
          if (this._attemptCharCode(chars.$EQ)) {
            this._attemptCharCodeUntilFn(isNotWhitespace);
            this._consumeAttributeValue();
          }
          this._attemptCharCodeUntilFn(isNotWhitespace);
        }
        this._consumeTagOpenEnd();
      } catch (e) {
        if (e instanceof ControlFlowError) {
          this._restorePosition(savedPos);
          this._beginToken(HtmlTokenType.TEXT, start);
          this._endToken(['<']);
          return;
        }
        throw e;
      }
      var contentTokenType = html_tags_1.getHtmlTagDefinition(lowercaseTagName).contentType;
      if (contentTokenType === html_tags_1.HtmlTagContentType.RAW_TEXT) {
        this._consumeRawTextWithTagClose(lowercaseTagName, false);
      } else if (contentTokenType === html_tags_1.HtmlTagContentType.ESCAPABLE_RAW_TEXT) {
        this._consumeRawTextWithTagClose(lowercaseTagName, true);
      }
    };
    _HtmlTokenizer.prototype._consumeRawTextWithTagClose = function(lowercaseTagName, decodeEntities) {
      var _this = this;
      var textToken = this._consumeRawText(decodeEntities, chars.$LT, function() {
        if (!_this._attemptCharCode(chars.$SLASH))
          return false;
        _this._attemptCharCodeUntilFn(isNotWhitespace);
        if (!_this._attemptStrCaseInsensitive(lowercaseTagName))
          return false;
        _this._attemptCharCodeUntilFn(isNotWhitespace);
        if (!_this._attemptCharCode(chars.$GT))
          return false;
        return true;
      });
      this._beginToken(HtmlTokenType.TAG_CLOSE, textToken.sourceSpan.end);
      this._endToken([null, lowercaseTagName]);
    };
    _HtmlTokenizer.prototype._consumeTagOpenStart = function(start) {
      this._beginToken(HtmlTokenType.TAG_OPEN_START, start);
      var parts = this._consumePrefixAndName();
      this._endToken(parts);
    };
    _HtmlTokenizer.prototype._consumeAttributeName = function() {
      this._beginToken(HtmlTokenType.ATTR_NAME);
      var prefixAndName = this._consumePrefixAndName();
      this._endToken(prefixAndName);
    };
    _HtmlTokenizer.prototype._consumeAttributeValue = function() {
      this._beginToken(HtmlTokenType.ATTR_VALUE);
      var value;
      if (this._peek === chars.$SQ || this._peek === chars.$DQ) {
        var quoteChar = this._peek;
        this._advance();
        var parts = [];
        while (this._peek !== quoteChar) {
          parts.push(this._readChar(true));
        }
        value = parts.join('');
        this._advance();
      } else {
        var valueStart = this._index;
        this._requireCharCodeUntilFn(isNameEnd, 1);
        value = this._input.substring(valueStart, this._index);
      }
      this._endToken([this._processCarriageReturns(value)]);
    };
    _HtmlTokenizer.prototype._consumeTagOpenEnd = function() {
      var tokenType = this._attemptCharCode(chars.$SLASH) ? HtmlTokenType.TAG_OPEN_END_VOID : HtmlTokenType.TAG_OPEN_END;
      this._beginToken(tokenType);
      this._requireCharCode(chars.$GT);
      this._endToken([]);
    };
    _HtmlTokenizer.prototype._consumeTagClose = function(start) {
      this._beginToken(HtmlTokenType.TAG_CLOSE, start);
      this._attemptCharCodeUntilFn(isNotWhitespace);
      var prefixAndName = this._consumePrefixAndName();
      this._attemptCharCodeUntilFn(isNotWhitespace);
      this._requireCharCode(chars.$GT);
      this._endToken(prefixAndName);
    };
    _HtmlTokenizer.prototype._consumeExpansionFormStart = function() {
      this._beginToken(HtmlTokenType.EXPANSION_FORM_START, this._getLocation());
      this._requireCharCode(chars.$LBRACE);
      this._endToken([]);
      this._beginToken(HtmlTokenType.RAW_TEXT, this._getLocation());
      var condition = this._readUntil(chars.$COMMA);
      this._endToken([condition], this._getLocation());
      this._requireCharCode(chars.$COMMA);
      this._attemptCharCodeUntilFn(isNotWhitespace);
      this._beginToken(HtmlTokenType.RAW_TEXT, this._getLocation());
      var type = this._readUntil(chars.$COMMA);
      this._endToken([type], this._getLocation());
      this._requireCharCode(chars.$COMMA);
      this._attemptCharCodeUntilFn(isNotWhitespace);
      this._expansionCaseStack.push(HtmlTokenType.EXPANSION_FORM_START);
    };
    _HtmlTokenizer.prototype._consumeExpansionCaseStart = function() {
      this._beginToken(HtmlTokenType.EXPANSION_CASE_VALUE, this._getLocation());
      var value = this._readUntil(chars.$LBRACE).trim();
      this._endToken([value], this._getLocation());
      this._attemptCharCodeUntilFn(isNotWhitespace);
      this._beginToken(HtmlTokenType.EXPANSION_CASE_EXP_START, this._getLocation());
      this._requireCharCode(chars.$LBRACE);
      this._endToken([], this._getLocation());
      this._attemptCharCodeUntilFn(isNotWhitespace);
      this._expansionCaseStack.push(HtmlTokenType.EXPANSION_CASE_EXP_START);
    };
    _HtmlTokenizer.prototype._consumeExpansionCaseEnd = function() {
      this._beginToken(HtmlTokenType.EXPANSION_CASE_EXP_END, this._getLocation());
      this._requireCharCode(chars.$RBRACE);
      this._endToken([], this._getLocation());
      this._attemptCharCodeUntilFn(isNotWhitespace);
      this._expansionCaseStack.pop();
    };
    _HtmlTokenizer.prototype._consumeExpansionFormEnd = function() {
      this._beginToken(HtmlTokenType.EXPANSION_FORM_END, this._getLocation());
      this._requireCharCode(chars.$RBRACE);
      this._endToken([]);
      this._expansionCaseStack.pop();
    };
    _HtmlTokenizer.prototype._consumeText = function() {
      var start = this._getLocation();
      this._beginToken(HtmlTokenType.TEXT, start);
      var parts = [];
      do {
        if (this._attemptStr(this.interpolationConfig.start)) {
          parts.push(this.interpolationConfig.start);
          this._inInterpolation = true;
        } else if (this._attemptStr(this.interpolationConfig.end) && this._inInterpolation) {
          parts.push(this.interpolationConfig.end);
          this._inInterpolation = false;
        } else {
          parts.push(this._readChar(true));
        }
      } while (!this._isTextEnd());
      this._endToken([this._processCarriageReturns(parts.join(''))]);
    };
    _HtmlTokenizer.prototype._isTextEnd = function() {
      if (this._peek === chars.$LT || this._peek === chars.$EOF) {
        return true;
      }
      if (this.tokenizeExpansionForms) {
        if (isExpansionFormStart(this._input, this._index, this.interpolationConfig.start)) {
          return true;
        }
        if (this._peek === chars.$RBRACE && !this._inInterpolation && this._isInExpansionCase()) {
          return true;
        }
      }
      return false;
    };
    _HtmlTokenizer.prototype._savePosition = function() {
      return [this._peek, this._index, this._column, this._line, this.tokens.length];
    };
    _HtmlTokenizer.prototype._readUntil = function(char) {
      var start = this._index;
      this._attemptUntilChar(char);
      return this._input.substring(start, this._index);
    };
    _HtmlTokenizer.prototype._restorePosition = function(position) {
      this._peek = position[0];
      this._index = position[1];
      this._column = position[2];
      this._line = position[3];
      var nbTokens = position[4];
      if (nbTokens < this.tokens.length) {
        this.tokens = this.tokens.slice(0, nbTokens);
      }
    };
    _HtmlTokenizer.prototype._isInExpansionCase = function() {
      return this._expansionCaseStack.length > 0 && this._expansionCaseStack[this._expansionCaseStack.length - 1] === HtmlTokenType.EXPANSION_CASE_EXP_START;
    };
    _HtmlTokenizer.prototype._isInExpansionForm = function() {
      return this._expansionCaseStack.length > 0 && this._expansionCaseStack[this._expansionCaseStack.length - 1] === HtmlTokenType.EXPANSION_FORM_START;
    };
    return _HtmlTokenizer;
  }());
  function isNotWhitespace(code) {
    return !chars.isWhitespace(code) || code === chars.$EOF;
  }
  function isNameEnd(code) {
    return chars.isWhitespace(code) || code === chars.$GT || code === chars.$SLASH || code === chars.$SQ || code === chars.$DQ || code === chars.$EQ;
  }
  function isPrefixEnd(code) {
    return (code < chars.$a || chars.$z < code) && (code < chars.$A || chars.$Z < code) && (code < chars.$0 || code > chars.$9);
  }
  function isDigitEntityEnd(code) {
    return code == chars.$SEMICOLON || code == chars.$EOF || !chars.isAsciiHexDigit(code);
  }
  function isNamedEntityEnd(code) {
    return code == chars.$SEMICOLON || code == chars.$EOF || !chars.isAsciiLetter(code);
  }
  function isExpansionFormStart(input, offset, interpolationStart) {
    return input.charCodeAt(offset) == chars.$LBRACE && input.indexOf(interpolationStart, offset) != offset;
  }
  function isExpansionCaseStart(peek) {
    return peek === chars.$EQ || chars.isAsciiLetter(peek);
  }
  function compareCharCodeCaseInsensitive(code1, code2) {
    return toUpperCaseCharCode(code1) == toUpperCaseCharCode(code2);
  }
  function toUpperCaseCharCode(code) {
    return code >= chars.$a && code <= chars.$z ? code - chars.$a + chars.$A : code;
  }
  function mergeTextTokens(srcTokens) {
    var dstTokens = [];
    var lastDstToken;
    for (var i = 0; i < srcTokens.length; i++) {
      var token = srcTokens[i];
      if (lang_1.isPresent(lastDstToken) && lastDstToken.type == HtmlTokenType.TEXT && token.type == HtmlTokenType.TEXT) {
        lastDstToken.parts[0] += token.parts[0];
        lastDstToken.sourceSpan.end = token.sourceSpan.end;
      } else {
        lastDstToken = token;
        dstTokens.push(lastDstToken);
      }
    }
    return dstTokens;
  }
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/html_parser.js", ["@angular/core", "../src/facade/lang", "../src/facade/collection", "./html_ast", "./html_lexer", "./parse_util", "./html_tags"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var lang_1 = $__require('../src/facade/lang');
  var collection_1 = $__require('../src/facade/collection');
  var html_ast_1 = $__require('./html_ast');
  var html_lexer_1 = $__require('./html_lexer');
  var parse_util_1 = $__require('./parse_util');
  var html_tags_1 = $__require('./html_tags');
  var HtmlTreeError = (function(_super) {
    __extends(HtmlTreeError, _super);
    function HtmlTreeError(elementName, span, msg) {
      _super.call(this, span, msg);
      this.elementName = elementName;
    }
    HtmlTreeError.create = function(elementName, span, msg) {
      return new HtmlTreeError(elementName, span, msg);
    };
    return HtmlTreeError;
  }(parse_util_1.ParseError));
  exports.HtmlTreeError = HtmlTreeError;
  var HtmlParseTreeResult = (function() {
    function HtmlParseTreeResult(rootNodes, errors) {
      this.rootNodes = rootNodes;
      this.errors = errors;
    }
    return HtmlParseTreeResult;
  }());
  exports.HtmlParseTreeResult = HtmlParseTreeResult;
  var HtmlParser = (function() {
    function HtmlParser() {}
    HtmlParser.prototype.parse = function(sourceContent, sourceUrl, parseExpansionForms) {
      if (parseExpansionForms === void 0) {
        parseExpansionForms = false;
      }
      var tokensAndErrors = html_lexer_1.tokenizeHtml(sourceContent, sourceUrl, parseExpansionForms);
      var treeAndErrors = new TreeBuilder(tokensAndErrors.tokens).build();
      return new HtmlParseTreeResult(treeAndErrors.rootNodes, tokensAndErrors.errors.concat(treeAndErrors.errors));
    };
    HtmlParser.decorators = [{type: core_1.Injectable}];
    return HtmlParser;
  }());
  exports.HtmlParser = HtmlParser;
  var TreeBuilder = (function() {
    function TreeBuilder(tokens) {
      this.tokens = tokens;
      this.index = -1;
      this.rootNodes = [];
      this.errors = [];
      this.elementStack = [];
      this._advance();
    }
    TreeBuilder.prototype.build = function() {
      while (this.peek.type !== html_lexer_1.HtmlTokenType.EOF) {
        if (this.peek.type === html_lexer_1.HtmlTokenType.TAG_OPEN_START) {
          this._consumeStartTag(this._advance());
        } else if (this.peek.type === html_lexer_1.HtmlTokenType.TAG_CLOSE) {
          this._consumeEndTag(this._advance());
        } else if (this.peek.type === html_lexer_1.HtmlTokenType.CDATA_START) {
          this._closeVoidElement();
          this._consumeCdata(this._advance());
        } else if (this.peek.type === html_lexer_1.HtmlTokenType.COMMENT_START) {
          this._closeVoidElement();
          this._consumeComment(this._advance());
        } else if (this.peek.type === html_lexer_1.HtmlTokenType.TEXT || this.peek.type === html_lexer_1.HtmlTokenType.RAW_TEXT || this.peek.type === html_lexer_1.HtmlTokenType.ESCAPABLE_RAW_TEXT) {
          this._closeVoidElement();
          this._consumeText(this._advance());
        } else if (this.peek.type === html_lexer_1.HtmlTokenType.EXPANSION_FORM_START) {
          this._consumeExpansion(this._advance());
        } else {
          this._advance();
        }
      }
      return new HtmlParseTreeResult(this.rootNodes, this.errors);
    };
    TreeBuilder.prototype._advance = function() {
      var prev = this.peek;
      if (this.index < this.tokens.length - 1) {
        this.index++;
      }
      this.peek = this.tokens[this.index];
      return prev;
    };
    TreeBuilder.prototype._advanceIf = function(type) {
      if (this.peek.type === type) {
        return this._advance();
      }
      return null;
    };
    TreeBuilder.prototype._consumeCdata = function(startToken) {
      this._consumeText(this._advance());
      this._advanceIf(html_lexer_1.HtmlTokenType.CDATA_END);
    };
    TreeBuilder.prototype._consumeComment = function(token) {
      var text = this._advanceIf(html_lexer_1.HtmlTokenType.RAW_TEXT);
      this._advanceIf(html_lexer_1.HtmlTokenType.COMMENT_END);
      var value = lang_1.isPresent(text) ? text.parts[0].trim() : null;
      this._addToParent(new html_ast_1.HtmlCommentAst(value, token.sourceSpan));
    };
    TreeBuilder.prototype._consumeExpansion = function(token) {
      var switchValue = this._advance();
      var type = this._advance();
      var cases = [];
      while (this.peek.type === html_lexer_1.HtmlTokenType.EXPANSION_CASE_VALUE) {
        var expCase = this._parseExpansionCase();
        if (lang_1.isBlank(expCase))
          return;
        cases.push(expCase);
      }
      if (this.peek.type !== html_lexer_1.HtmlTokenType.EXPANSION_FORM_END) {
        this.errors.push(HtmlTreeError.create(null, this.peek.sourceSpan, "Invalid expansion form. Missing '}'."));
        return;
      }
      this._advance();
      var mainSourceSpan = new parse_util_1.ParseSourceSpan(token.sourceSpan.start, this.peek.sourceSpan.end);
      this._addToParent(new html_ast_1.HtmlExpansionAst(switchValue.parts[0], type.parts[0], cases, mainSourceSpan, switchValue.sourceSpan));
    };
    TreeBuilder.prototype._parseExpansionCase = function() {
      var value = this._advance();
      if (this.peek.type !== html_lexer_1.HtmlTokenType.EXPANSION_CASE_EXP_START) {
        this.errors.push(HtmlTreeError.create(null, this.peek.sourceSpan, "Invalid expansion form. Missing '{'.,"));
        return null;
      }
      var start = this._advance();
      var exp = this._collectExpansionExpTokens(start);
      if (lang_1.isBlank(exp))
        return null;
      var end = this._advance();
      exp.push(new html_lexer_1.HtmlToken(html_lexer_1.HtmlTokenType.EOF, [], end.sourceSpan));
      var parsedExp = new TreeBuilder(exp).build();
      if (parsedExp.errors.length > 0) {
        this.errors = this.errors.concat(parsedExp.errors);
        return null;
      }
      var sourceSpan = new parse_util_1.ParseSourceSpan(value.sourceSpan.start, end.sourceSpan.end);
      var expSourceSpan = new parse_util_1.ParseSourceSpan(start.sourceSpan.start, end.sourceSpan.end);
      return new html_ast_1.HtmlExpansionCaseAst(value.parts[0], parsedExp.rootNodes, sourceSpan, value.sourceSpan, expSourceSpan);
    };
    TreeBuilder.prototype._collectExpansionExpTokens = function(start) {
      var exp = [];
      var expansionFormStack = [html_lexer_1.HtmlTokenType.EXPANSION_CASE_EXP_START];
      while (true) {
        if (this.peek.type === html_lexer_1.HtmlTokenType.EXPANSION_FORM_START || this.peek.type === html_lexer_1.HtmlTokenType.EXPANSION_CASE_EXP_START) {
          expansionFormStack.push(this.peek.type);
        }
        if (this.peek.type === html_lexer_1.HtmlTokenType.EXPANSION_CASE_EXP_END) {
          if (lastOnStack(expansionFormStack, html_lexer_1.HtmlTokenType.EXPANSION_CASE_EXP_START)) {
            expansionFormStack.pop();
            if (expansionFormStack.length == 0)
              return exp;
          } else {
            this.errors.push(HtmlTreeError.create(null, start.sourceSpan, "Invalid expansion form. Missing '}'."));
            return null;
          }
        }
        if (this.peek.type === html_lexer_1.HtmlTokenType.EXPANSION_FORM_END) {
          if (lastOnStack(expansionFormStack, html_lexer_1.HtmlTokenType.EXPANSION_FORM_START)) {
            expansionFormStack.pop();
          } else {
            this.errors.push(HtmlTreeError.create(null, start.sourceSpan, "Invalid expansion form. Missing '}'."));
            return null;
          }
        }
        if (this.peek.type === html_lexer_1.HtmlTokenType.EOF) {
          this.errors.push(HtmlTreeError.create(null, start.sourceSpan, "Invalid expansion form. Missing '}'."));
          return null;
        }
        exp.push(this._advance());
      }
    };
    TreeBuilder.prototype._consumeText = function(token) {
      var text = token.parts[0];
      if (text.length > 0 && text[0] == '\n') {
        var parent_1 = this._getParentElement();
        if (lang_1.isPresent(parent_1) && parent_1.children.length == 0 && html_tags_1.getHtmlTagDefinition(parent_1.name).ignoreFirstLf) {
          text = text.substring(1);
        }
      }
      if (text.length > 0) {
        this._addToParent(new html_ast_1.HtmlTextAst(text, token.sourceSpan));
      }
    };
    TreeBuilder.prototype._closeVoidElement = function() {
      if (this.elementStack.length > 0) {
        var el = collection_1.ListWrapper.last(this.elementStack);
        if (html_tags_1.getHtmlTagDefinition(el.name).isVoid) {
          this.elementStack.pop();
        }
      }
    };
    TreeBuilder.prototype._consumeStartTag = function(startTagToken) {
      var prefix = startTagToken.parts[0];
      var name = startTagToken.parts[1];
      var attrs = [];
      while (this.peek.type === html_lexer_1.HtmlTokenType.ATTR_NAME) {
        attrs.push(this._consumeAttr(this._advance()));
      }
      var fullName = getElementFullName(prefix, name, this._getParentElement());
      var selfClosing = false;
      if (this.peek.type === html_lexer_1.HtmlTokenType.TAG_OPEN_END_VOID) {
        this._advance();
        selfClosing = true;
        if (html_tags_1.getNsPrefix(fullName) == null && !html_tags_1.getHtmlTagDefinition(fullName).isVoid) {
          this.errors.push(HtmlTreeError.create(fullName, startTagToken.sourceSpan, "Only void and foreign elements can be self closed \"" + startTagToken.parts[1] + "\""));
        }
      } else if (this.peek.type === html_lexer_1.HtmlTokenType.TAG_OPEN_END) {
        this._advance();
        selfClosing = false;
      }
      var end = this.peek.sourceSpan.start;
      var span = new parse_util_1.ParseSourceSpan(startTagToken.sourceSpan.start, end);
      var el = new html_ast_1.HtmlElementAst(fullName, attrs, [], span, span, null);
      this._pushElement(el);
      if (selfClosing) {
        this._popElement(fullName);
        el.endSourceSpan = span;
      }
    };
    TreeBuilder.prototype._pushElement = function(el) {
      if (this.elementStack.length > 0) {
        var parentEl = collection_1.ListWrapper.last(this.elementStack);
        if (html_tags_1.getHtmlTagDefinition(parentEl.name).isClosedByChild(el.name)) {
          this.elementStack.pop();
        }
      }
      var tagDef = html_tags_1.getHtmlTagDefinition(el.name);
      var _a = this._getParentElementSkippingContainers(),
          parent = _a.parent,
          container = _a.container;
      if (lang_1.isPresent(parent) && tagDef.requireExtraParent(parent.name)) {
        var newParent = new html_ast_1.HtmlElementAst(tagDef.parentToAdd, [], [], el.sourceSpan, el.startSourceSpan, el.endSourceSpan);
        this._insertBeforeContainer(parent, container, newParent);
      }
      this._addToParent(el);
      this.elementStack.push(el);
    };
    TreeBuilder.prototype._consumeEndTag = function(endTagToken) {
      var fullName = getElementFullName(endTagToken.parts[0], endTagToken.parts[1], this._getParentElement());
      if (this._getParentElement()) {
        this._getParentElement().endSourceSpan = endTagToken.sourceSpan;
      }
      if (html_tags_1.getHtmlTagDefinition(fullName).isVoid) {
        this.errors.push(HtmlTreeError.create(fullName, endTagToken.sourceSpan, "Void elements do not have end tags \"" + endTagToken.parts[1] + "\""));
      } else if (!this._popElement(fullName)) {
        this.errors.push(HtmlTreeError.create(fullName, endTagToken.sourceSpan, "Unexpected closing tag \"" + endTagToken.parts[1] + "\""));
      }
    };
    TreeBuilder.prototype._popElement = function(fullName) {
      for (var stackIndex = this.elementStack.length - 1; stackIndex >= 0; stackIndex--) {
        var el = this.elementStack[stackIndex];
        if (el.name == fullName) {
          collection_1.ListWrapper.splice(this.elementStack, stackIndex, this.elementStack.length - stackIndex);
          return true;
        }
        if (!html_tags_1.getHtmlTagDefinition(el.name).closedByParent) {
          return false;
        }
      }
      return false;
    };
    TreeBuilder.prototype._consumeAttr = function(attrName) {
      var fullName = html_tags_1.mergeNsAndName(attrName.parts[0], attrName.parts[1]);
      var end = attrName.sourceSpan.end;
      var value = '';
      if (this.peek.type === html_lexer_1.HtmlTokenType.ATTR_VALUE) {
        var valueToken = this._advance();
        value = valueToken.parts[0];
        end = valueToken.sourceSpan.end;
      }
      return new html_ast_1.HtmlAttrAst(fullName, value, new parse_util_1.ParseSourceSpan(attrName.sourceSpan.start, end));
    };
    TreeBuilder.prototype._getParentElement = function() {
      return this.elementStack.length > 0 ? collection_1.ListWrapper.last(this.elementStack) : null;
    };
    TreeBuilder.prototype._getParentElementSkippingContainers = function() {
      var container = null;
      for (var i = this.elementStack.length - 1; i >= 0; i--) {
        if (this.elementStack[i].name !== 'ng-container') {
          return {
            parent: this.elementStack[i],
            container: container
          };
        }
        container = this.elementStack[i];
      }
      return {
        parent: collection_1.ListWrapper.last(this.elementStack),
        container: container
      };
    };
    TreeBuilder.prototype._addToParent = function(node) {
      var parent = this._getParentElement();
      if (lang_1.isPresent(parent)) {
        parent.children.push(node);
      } else {
        this.rootNodes.push(node);
      }
    };
    TreeBuilder.prototype._insertBeforeContainer = function(parent, container, node) {
      if (!container) {
        this._addToParent(node);
        this.elementStack.push(node);
      } else {
        if (parent) {
          var index = parent.children.indexOf(container);
          parent.children[index] = node;
        } else {
          this.rootNodes.push(node);
        }
        node.children.push(container);
        this.elementStack.splice(this.elementStack.indexOf(container), 0, node);
      }
    };
    return TreeBuilder;
  }());
  function getElementFullName(prefix, localName, parentElement) {
    if (lang_1.isBlank(prefix)) {
      prefix = html_tags_1.getHtmlTagDefinition(localName).implicitNamespacePrefix;
      if (lang_1.isBlank(prefix) && lang_1.isPresent(parentElement)) {
        prefix = html_tags_1.getNsPrefix(parentElement.name);
      }
    }
    return html_tags_1.mergeNsAndName(prefix, localName);
  }
  function lastOnStack(stack, element) {
    return stack.length > 0 && stack[stack.length - 1] === element;
  }
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/schema/element_schema_registry.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var ElementSchemaRegistry = (function() {
    function ElementSchemaRegistry() {}
    return ElementSchemaRegistry;
  }());
  exports.ElementSchemaRegistry = ElementSchemaRegistry;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/html_tags.js", ["../src/facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('../src/facade/lang');
  exports.NAMED_ENTITIES = {
    'Aacute': '\u00C1',
    'aacute': '\u00E1',
    'Acirc': '\u00C2',
    'acirc': '\u00E2',
    'acute': '\u00B4',
    'AElig': '\u00C6',
    'aelig': '\u00E6',
    'Agrave': '\u00C0',
    'agrave': '\u00E0',
    'alefsym': '\u2135',
    'Alpha': '\u0391',
    'alpha': '\u03B1',
    'amp': '&',
    'and': '\u2227',
    'ang': '\u2220',
    'apos': '\u0027',
    'Aring': '\u00C5',
    'aring': '\u00E5',
    'asymp': '\u2248',
    'Atilde': '\u00C3',
    'atilde': '\u00E3',
    'Auml': '\u00C4',
    'auml': '\u00E4',
    'bdquo': '\u201E',
    'Beta': '\u0392',
    'beta': '\u03B2',
    'brvbar': '\u00A6',
    'bull': '\u2022',
    'cap': '\u2229',
    'Ccedil': '\u00C7',
    'ccedil': '\u00E7',
    'cedil': '\u00B8',
    'cent': '\u00A2',
    'Chi': '\u03A7',
    'chi': '\u03C7',
    'circ': '\u02C6',
    'clubs': '\u2663',
    'cong': '\u2245',
    'copy': '\u00A9',
    'crarr': '\u21B5',
    'cup': '\u222A',
    'curren': '\u00A4',
    'dagger': '\u2020',
    'Dagger': '\u2021',
    'darr': '\u2193',
    'dArr': '\u21D3',
    'deg': '\u00B0',
    'Delta': '\u0394',
    'delta': '\u03B4',
    'diams': '\u2666',
    'divide': '\u00F7',
    'Eacute': '\u00C9',
    'eacute': '\u00E9',
    'Ecirc': '\u00CA',
    'ecirc': '\u00EA',
    'Egrave': '\u00C8',
    'egrave': '\u00E8',
    'empty': '\u2205',
    'emsp': '\u2003',
    'ensp': '\u2002',
    'Epsilon': '\u0395',
    'epsilon': '\u03B5',
    'equiv': '\u2261',
    'Eta': '\u0397',
    'eta': '\u03B7',
    'ETH': '\u00D0',
    'eth': '\u00F0',
    'Euml': '\u00CB',
    'euml': '\u00EB',
    'euro': '\u20AC',
    'exist': '\u2203',
    'fnof': '\u0192',
    'forall': '\u2200',
    'frac12': '\u00BD',
    'frac14': '\u00BC',
    'frac34': '\u00BE',
    'frasl': '\u2044',
    'Gamma': '\u0393',
    'gamma': '\u03B3',
    'ge': '\u2265',
    'gt': '>',
    'harr': '\u2194',
    'hArr': '\u21D4',
    'hearts': '\u2665',
    'hellip': '\u2026',
    'Iacute': '\u00CD',
    'iacute': '\u00ED',
    'Icirc': '\u00CE',
    'icirc': '\u00EE',
    'iexcl': '\u00A1',
    'Igrave': '\u00CC',
    'igrave': '\u00EC',
    'image': '\u2111',
    'infin': '\u221E',
    'int': '\u222B',
    'Iota': '\u0399',
    'iota': '\u03B9',
    'iquest': '\u00BF',
    'isin': '\u2208',
    'Iuml': '\u00CF',
    'iuml': '\u00EF',
    'Kappa': '\u039A',
    'kappa': '\u03BA',
    'Lambda': '\u039B',
    'lambda': '\u03BB',
    'lang': '\u27E8',
    'laquo': '\u00AB',
    'larr': '\u2190',
    'lArr': '\u21D0',
    'lceil': '\u2308',
    'ldquo': '\u201C',
    'le': '\u2264',
    'lfloor': '\u230A',
    'lowast': '\u2217',
    'loz': '\u25CA',
    'lrm': '\u200E',
    'lsaquo': '\u2039',
    'lsquo': '\u2018',
    'lt': '<',
    'macr': '\u00AF',
    'mdash': '\u2014',
    'micro': '\u00B5',
    'middot': '\u00B7',
    'minus': '\u2212',
    'Mu': '\u039C',
    'mu': '\u03BC',
    'nabla': '\u2207',
    'nbsp': '\u00A0',
    'ndash': '\u2013',
    'ne': '\u2260',
    'ni': '\u220B',
    'not': '\u00AC',
    'notin': '\u2209',
    'nsub': '\u2284',
    'Ntilde': '\u00D1',
    'ntilde': '\u00F1',
    'Nu': '\u039D',
    'nu': '\u03BD',
    'Oacute': '\u00D3',
    'oacute': '\u00F3',
    'Ocirc': '\u00D4',
    'ocirc': '\u00F4',
    'OElig': '\u0152',
    'oelig': '\u0153',
    'Ograve': '\u00D2',
    'ograve': '\u00F2',
    'oline': '\u203E',
    'Omega': '\u03A9',
    'omega': '\u03C9',
    'Omicron': '\u039F',
    'omicron': '\u03BF',
    'oplus': '\u2295',
    'or': '\u2228',
    'ordf': '\u00AA',
    'ordm': '\u00BA',
    'Oslash': '\u00D8',
    'oslash': '\u00F8',
    'Otilde': '\u00D5',
    'otilde': '\u00F5',
    'otimes': '\u2297',
    'Ouml': '\u00D6',
    'ouml': '\u00F6',
    'para': '\u00B6',
    'permil': '\u2030',
    'perp': '\u22A5',
    'Phi': '\u03A6',
    'phi': '\u03C6',
    'Pi': '\u03A0',
    'pi': '\u03C0',
    'piv': '\u03D6',
    'plusmn': '\u00B1',
    'pound': '\u00A3',
    'prime': '\u2032',
    'Prime': '\u2033',
    'prod': '\u220F',
    'prop': '\u221D',
    'Psi': '\u03A8',
    'psi': '\u03C8',
    'quot': '\u0022',
    'radic': '\u221A',
    'rang': '\u27E9',
    'raquo': '\u00BB',
    'rarr': '\u2192',
    'rArr': '\u21D2',
    'rceil': '\u2309',
    'rdquo': '\u201D',
    'real': '\u211C',
    'reg': '\u00AE',
    'rfloor': '\u230B',
    'Rho': '\u03A1',
    'rho': '\u03C1',
    'rlm': '\u200F',
    'rsaquo': '\u203A',
    'rsquo': '\u2019',
    'sbquo': '\u201A',
    'Scaron': '\u0160',
    'scaron': '\u0161',
    'sdot': '\u22C5',
    'sect': '\u00A7',
    'shy': '\u00AD',
    'Sigma': '\u03A3',
    'sigma': '\u03C3',
    'sigmaf': '\u03C2',
    'sim': '\u223C',
    'spades': '\u2660',
    'sub': '\u2282',
    'sube': '\u2286',
    'sum': '\u2211',
    'sup': '\u2283',
    'sup1': '\u00B9',
    'sup2': '\u00B2',
    'sup3': '\u00B3',
    'supe': '\u2287',
    'szlig': '\u00DF',
    'Tau': '\u03A4',
    'tau': '\u03C4',
    'there4': '\u2234',
    'Theta': '\u0398',
    'theta': '\u03B8',
    'thetasym': '\u03D1',
    'thinsp': '\u2009',
    'THORN': '\u00DE',
    'thorn': '\u00FE',
    'tilde': '\u02DC',
    'times': '\u00D7',
    'trade': '\u2122',
    'Uacute': '\u00DA',
    'uacute': '\u00FA',
    'uarr': '\u2191',
    'uArr': '\u21D1',
    'Ucirc': '\u00DB',
    'ucirc': '\u00FB',
    'Ugrave': '\u00D9',
    'ugrave': '\u00F9',
    'uml': '\u00A8',
    'upsih': '\u03D2',
    'Upsilon': '\u03A5',
    'upsilon': '\u03C5',
    'Uuml': '\u00DC',
    'uuml': '\u00FC',
    'weierp': '\u2118',
    'Xi': '\u039E',
    'xi': '\u03BE',
    'Yacute': '\u00DD',
    'yacute': '\u00FD',
    'yen': '\u00A5',
    'yuml': '\u00FF',
    'Yuml': '\u0178',
    'Zeta': '\u0396',
    'zeta': '\u03B6',
    'zwj': '\u200D',
    'zwnj': '\u200C'
  };
  (function(HtmlTagContentType) {
    HtmlTagContentType[HtmlTagContentType["RAW_TEXT"] = 0] = "RAW_TEXT";
    HtmlTagContentType[HtmlTagContentType["ESCAPABLE_RAW_TEXT"] = 1] = "ESCAPABLE_RAW_TEXT";
    HtmlTagContentType[HtmlTagContentType["PARSABLE_DATA"] = 2] = "PARSABLE_DATA";
  })(exports.HtmlTagContentType || (exports.HtmlTagContentType = {}));
  var HtmlTagContentType = exports.HtmlTagContentType;
  var HtmlTagDefinition = (function() {
    function HtmlTagDefinition(_a) {
      var _this = this;
      var _b = _a === void 0 ? {} : _a,
          closedByChildren = _b.closedByChildren,
          requiredParents = _b.requiredParents,
          implicitNamespacePrefix = _b.implicitNamespacePrefix,
          contentType = _b.contentType,
          closedByParent = _b.closedByParent,
          isVoid = _b.isVoid,
          ignoreFirstLf = _b.ignoreFirstLf;
      this.closedByChildren = {};
      this.closedByParent = false;
      if (lang_1.isPresent(closedByChildren) && closedByChildren.length > 0) {
        closedByChildren.forEach(function(tagName) {
          return _this.closedByChildren[tagName] = true;
        });
      }
      this.isVoid = lang_1.normalizeBool(isVoid);
      this.closedByParent = lang_1.normalizeBool(closedByParent) || this.isVoid;
      if (lang_1.isPresent(requiredParents) && requiredParents.length > 0) {
        this.requiredParents = {};
        this.parentToAdd = requiredParents[0];
        requiredParents.forEach(function(tagName) {
          return _this.requiredParents[tagName] = true;
        });
      }
      this.implicitNamespacePrefix = implicitNamespacePrefix;
      this.contentType = lang_1.isPresent(contentType) ? contentType : HtmlTagContentType.PARSABLE_DATA;
      this.ignoreFirstLf = lang_1.normalizeBool(ignoreFirstLf);
    }
    HtmlTagDefinition.prototype.requireExtraParent = function(currentParent) {
      if (lang_1.isBlank(this.requiredParents)) {
        return false;
      }
      if (lang_1.isBlank(currentParent)) {
        return true;
      }
      var lcParent = currentParent.toLowerCase();
      return this.requiredParents[lcParent] != true && lcParent != 'template';
    };
    HtmlTagDefinition.prototype.isClosedByChild = function(name) {
      return this.isVoid || lang_1.normalizeBool(this.closedByChildren[name.toLowerCase()]);
    };
    return HtmlTagDefinition;
  }());
  exports.HtmlTagDefinition = HtmlTagDefinition;
  var TAG_DEFINITIONS = {
    'base': new HtmlTagDefinition({isVoid: true}),
    'meta': new HtmlTagDefinition({isVoid: true}),
    'area': new HtmlTagDefinition({isVoid: true}),
    'embed': new HtmlTagDefinition({isVoid: true}),
    'link': new HtmlTagDefinition({isVoid: true}),
    'img': new HtmlTagDefinition({isVoid: true}),
    'input': new HtmlTagDefinition({isVoid: true}),
    'param': new HtmlTagDefinition({isVoid: true}),
    'hr': new HtmlTagDefinition({isVoid: true}),
    'br': new HtmlTagDefinition({isVoid: true}),
    'source': new HtmlTagDefinition({isVoid: true}),
    'track': new HtmlTagDefinition({isVoid: true}),
    'wbr': new HtmlTagDefinition({isVoid: true}),
    'p': new HtmlTagDefinition({
      closedByChildren: ['address', 'article', 'aside', 'blockquote', 'div', 'dl', 'fieldset', 'footer', 'form', 'h1', 'h2', 'h3', 'h4', 'h5', 'h6', 'header', 'hgroup', 'hr', 'main', 'nav', 'ol', 'p', 'pre', 'section', 'table', 'ul'],
      closedByParent: true
    }),
    'thead': new HtmlTagDefinition({closedByChildren: ['tbody', 'tfoot']}),
    'tbody': new HtmlTagDefinition({
      closedByChildren: ['tbody', 'tfoot'],
      closedByParent: true
    }),
    'tfoot': new HtmlTagDefinition({
      closedByChildren: ['tbody'],
      closedByParent: true
    }),
    'tr': new HtmlTagDefinition({
      closedByChildren: ['tr'],
      requiredParents: ['tbody', 'tfoot', 'thead'],
      closedByParent: true
    }),
    'td': new HtmlTagDefinition({
      closedByChildren: ['td', 'th'],
      closedByParent: true
    }),
    'th': new HtmlTagDefinition({
      closedByChildren: ['td', 'th'],
      closedByParent: true
    }),
    'col': new HtmlTagDefinition({
      requiredParents: ['colgroup'],
      isVoid: true
    }),
    'svg': new HtmlTagDefinition({implicitNamespacePrefix: 'svg'}),
    'math': new HtmlTagDefinition({implicitNamespacePrefix: 'math'}),
    'li': new HtmlTagDefinition({
      closedByChildren: ['li'],
      closedByParent: true
    }),
    'dt': new HtmlTagDefinition({closedByChildren: ['dt', 'dd']}),
    'dd': new HtmlTagDefinition({
      closedByChildren: ['dt', 'dd'],
      closedByParent: true
    }),
    'rb': new HtmlTagDefinition({
      closedByChildren: ['rb', 'rt', 'rtc', 'rp'],
      closedByParent: true
    }),
    'rt': new HtmlTagDefinition({
      closedByChildren: ['rb', 'rt', 'rtc', 'rp'],
      closedByParent: true
    }),
    'rtc': new HtmlTagDefinition({
      closedByChildren: ['rb', 'rtc', 'rp'],
      closedByParent: true
    }),
    'rp': new HtmlTagDefinition({
      closedByChildren: ['rb', 'rt', 'rtc', 'rp'],
      closedByParent: true
    }),
    'optgroup': new HtmlTagDefinition({
      closedByChildren: ['optgroup'],
      closedByParent: true
    }),
    'option': new HtmlTagDefinition({
      closedByChildren: ['option', 'optgroup'],
      closedByParent: true
    }),
    'pre': new HtmlTagDefinition({ignoreFirstLf: true}),
    'listing': new HtmlTagDefinition({ignoreFirstLf: true}),
    'style': new HtmlTagDefinition({contentType: HtmlTagContentType.RAW_TEXT}),
    'script': new HtmlTagDefinition({contentType: HtmlTagContentType.RAW_TEXT}),
    'title': new HtmlTagDefinition({contentType: HtmlTagContentType.ESCAPABLE_RAW_TEXT}),
    'textarea': new HtmlTagDefinition({
      contentType: HtmlTagContentType.ESCAPABLE_RAW_TEXT,
      ignoreFirstLf: true
    })
  };
  var DEFAULT_TAG_DEFINITION = new HtmlTagDefinition();
  function getHtmlTagDefinition(tagName) {
    var result = TAG_DEFINITIONS[tagName.toLowerCase()];
    return lang_1.isPresent(result) ? result : DEFAULT_TAG_DEFINITION;
  }
  exports.getHtmlTagDefinition = getHtmlTagDefinition;
  var NS_PREFIX_RE = /^:([^:]+):(.+)/g;
  function splitNsName(elementName) {
    if (elementName[0] != ':') {
      return [null, elementName];
    }
    var match = lang_1.RegExpWrapper.firstMatch(NS_PREFIX_RE, elementName);
    return [match[1], match[2]];
  }
  exports.splitNsName = splitNsName;
  function getNsPrefix(elementName) {
    return splitNsName(elementName)[0];
  }
  exports.getNsPrefix = getNsPrefix;
  function mergeNsAndName(prefix, localName) {
    return lang_1.isPresent(prefix) ? ":" + prefix + ":" + localName : localName;
  }
  exports.mergeNsAndName = mergeNsAndName;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/template_preparser.js", ["../src/facade/lang", "./html_tags"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('../src/facade/lang');
  var html_tags_1 = $__require('./html_tags');
  var NG_CONTENT_SELECT_ATTR = 'select';
  var NG_CONTENT_ELEMENT = 'ng-content';
  var LINK_ELEMENT = 'link';
  var LINK_STYLE_REL_ATTR = 'rel';
  var LINK_STYLE_HREF_ATTR = 'href';
  var LINK_STYLE_REL_VALUE = 'stylesheet';
  var STYLE_ELEMENT = 'style';
  var SCRIPT_ELEMENT = 'script';
  var NG_NON_BINDABLE_ATTR = 'ngNonBindable';
  var NG_PROJECT_AS = 'ngProjectAs';
  function preparseElement(ast) {
    var selectAttr = null;
    var hrefAttr = null;
    var relAttr = null;
    var nonBindable = false;
    var projectAs = null;
    ast.attrs.forEach(function(attr) {
      var lcAttrName = attr.name.toLowerCase();
      if (lcAttrName == NG_CONTENT_SELECT_ATTR) {
        selectAttr = attr.value;
      } else if (lcAttrName == LINK_STYLE_HREF_ATTR) {
        hrefAttr = attr.value;
      } else if (lcAttrName == LINK_STYLE_REL_ATTR) {
        relAttr = attr.value;
      } else if (attr.name == NG_NON_BINDABLE_ATTR) {
        nonBindable = true;
      } else if (attr.name == NG_PROJECT_AS) {
        if (attr.value.length > 0) {
          projectAs = attr.value;
        }
      }
    });
    selectAttr = normalizeNgContentSelect(selectAttr);
    var nodeName = ast.name.toLowerCase();
    var type = PreparsedElementType.OTHER;
    if (html_tags_1.splitNsName(nodeName)[1] == NG_CONTENT_ELEMENT) {
      type = PreparsedElementType.NG_CONTENT;
    } else if (nodeName == STYLE_ELEMENT) {
      type = PreparsedElementType.STYLE;
    } else if (nodeName == SCRIPT_ELEMENT) {
      type = PreparsedElementType.SCRIPT;
    } else if (nodeName == LINK_ELEMENT && relAttr == LINK_STYLE_REL_VALUE) {
      type = PreparsedElementType.STYLESHEET;
    }
    return new PreparsedElement(type, selectAttr, hrefAttr, nonBindable, projectAs);
  }
  exports.preparseElement = preparseElement;
  (function(PreparsedElementType) {
    PreparsedElementType[PreparsedElementType["NG_CONTENT"] = 0] = "NG_CONTENT";
    PreparsedElementType[PreparsedElementType["STYLE"] = 1] = "STYLE";
    PreparsedElementType[PreparsedElementType["STYLESHEET"] = 2] = "STYLESHEET";
    PreparsedElementType[PreparsedElementType["SCRIPT"] = 3] = "SCRIPT";
    PreparsedElementType[PreparsedElementType["OTHER"] = 4] = "OTHER";
  })(exports.PreparsedElementType || (exports.PreparsedElementType = {}));
  var PreparsedElementType = exports.PreparsedElementType;
  var PreparsedElement = (function() {
    function PreparsedElement(type, selectAttr, hrefAttr, nonBindable, projectAs) {
      this.type = type;
      this.selectAttr = selectAttr;
      this.hrefAttr = hrefAttr;
      this.nonBindable = nonBindable;
      this.projectAs = projectAs;
    }
    return PreparsedElement;
  }());
  exports.PreparsedElement = PreparsedElement;
  function normalizeNgContentSelect(selectAttr) {
    if (lang_1.isBlank(selectAttr) || selectAttr.length === 0) {
      return '*';
    }
    return selectAttr;
  }
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/style_url_resolver.js", ["../src/facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('../src/facade/lang');
  var StyleWithImports = (function() {
    function StyleWithImports(style, styleUrls) {
      this.style = style;
      this.styleUrls = styleUrls;
    }
    return StyleWithImports;
  }());
  exports.StyleWithImports = StyleWithImports;
  function isStyleUrlResolvable(url) {
    if (lang_1.isBlank(url) || url.length === 0 || url[0] == '/')
      return false;
    var schemeMatch = lang_1.RegExpWrapper.firstMatch(_urlWithSchemaRe, url);
    return lang_1.isBlank(schemeMatch) || schemeMatch[1] == 'package' || schemeMatch[1] == 'asset';
  }
  exports.isStyleUrlResolvable = isStyleUrlResolvable;
  function extractStyleUrls(resolver, baseUrl, cssText) {
    var foundUrls = [];
    var modifiedCssText = lang_1.StringWrapper.replaceAllMapped(cssText, _cssImportRe, function(m) {
      var url = lang_1.isPresent(m[1]) ? m[1] : m[2];
      if (!isStyleUrlResolvable(url)) {
        return m[0];
      }
      foundUrls.push(resolver.resolve(baseUrl, url));
      return '';
    });
    return new StyleWithImports(modifiedCssText, foundUrls);
  }
  exports.extractStyleUrls = extractStyleUrls;
  var _cssImportRe = /@import\s+(?:url\()?\s*(?:(?:['"]([^'"]*))|([^;\)\s]*))[^;]*;?/g;
  var _urlWithSchemaRe = /^([a-zA-Z\-\+\.]+):/g;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/html_ast.js", ["../src/facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('../src/facade/lang');
  var HtmlTextAst = (function() {
    function HtmlTextAst(value, sourceSpan) {
      this.value = value;
      this.sourceSpan = sourceSpan;
    }
    HtmlTextAst.prototype.visit = function(visitor, context) {
      return visitor.visitText(this, context);
    };
    return HtmlTextAst;
  }());
  exports.HtmlTextAst = HtmlTextAst;
  var HtmlExpansionAst = (function() {
    function HtmlExpansionAst(switchValue, type, cases, sourceSpan, switchValueSourceSpan) {
      this.switchValue = switchValue;
      this.type = type;
      this.cases = cases;
      this.sourceSpan = sourceSpan;
      this.switchValueSourceSpan = switchValueSourceSpan;
    }
    HtmlExpansionAst.prototype.visit = function(visitor, context) {
      return visitor.visitExpansion(this, context);
    };
    return HtmlExpansionAst;
  }());
  exports.HtmlExpansionAst = HtmlExpansionAst;
  var HtmlExpansionCaseAst = (function() {
    function HtmlExpansionCaseAst(value, expression, sourceSpan, valueSourceSpan, expSourceSpan) {
      this.value = value;
      this.expression = expression;
      this.sourceSpan = sourceSpan;
      this.valueSourceSpan = valueSourceSpan;
      this.expSourceSpan = expSourceSpan;
    }
    HtmlExpansionCaseAst.prototype.visit = function(visitor, context) {
      return visitor.visitExpansionCase(this, context);
    };
    return HtmlExpansionCaseAst;
  }());
  exports.HtmlExpansionCaseAst = HtmlExpansionCaseAst;
  var HtmlAttrAst = (function() {
    function HtmlAttrAst(name, value, sourceSpan) {
      this.name = name;
      this.value = value;
      this.sourceSpan = sourceSpan;
    }
    HtmlAttrAst.prototype.visit = function(visitor, context) {
      return visitor.visitAttr(this, context);
    };
    return HtmlAttrAst;
  }());
  exports.HtmlAttrAst = HtmlAttrAst;
  var HtmlElementAst = (function() {
    function HtmlElementAst(name, attrs, children, sourceSpan, startSourceSpan, endSourceSpan) {
      this.name = name;
      this.attrs = attrs;
      this.children = children;
      this.sourceSpan = sourceSpan;
      this.startSourceSpan = startSourceSpan;
      this.endSourceSpan = endSourceSpan;
    }
    HtmlElementAst.prototype.visit = function(visitor, context) {
      return visitor.visitElement(this, context);
    };
    return HtmlElementAst;
  }());
  exports.HtmlElementAst = HtmlElementAst;
  var HtmlCommentAst = (function() {
    function HtmlCommentAst(value, sourceSpan) {
      this.value = value;
      this.sourceSpan = sourceSpan;
    }
    HtmlCommentAst.prototype.visit = function(visitor, context) {
      return visitor.visitComment(this, context);
    };
    return HtmlCommentAst;
  }());
  exports.HtmlCommentAst = HtmlCommentAst;
  function htmlVisitAll(visitor, asts, context) {
    if (context === void 0) {
      context = null;
    }
    var result = [];
    asts.forEach(function(ast) {
      var astResult = ast.visit(visitor, context);
      if (lang_1.isPresent(astResult)) {
        result.push(astResult);
      }
    });
    return result;
  }
  exports.htmlVisitAll = htmlVisitAll;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/provider_parser.js", ["../src/facade/collection", "../src/facade/lang", "./compile_metadata", "./identifiers", "./parse_util", "./template_ast"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var collection_1 = $__require('../src/facade/collection');
  var lang_1 = $__require('../src/facade/lang');
  var compile_metadata_1 = $__require('./compile_metadata');
  var identifiers_1 = $__require('./identifiers');
  var parse_util_1 = $__require('./parse_util');
  var template_ast_1 = $__require('./template_ast');
  var ProviderError = (function(_super) {
    __extends(ProviderError, _super);
    function ProviderError(message, span) {
      _super.call(this, span, message);
    }
    return ProviderError;
  }(parse_util_1.ParseError));
  exports.ProviderError = ProviderError;
  var ProviderViewContext = (function() {
    function ProviderViewContext(component, sourceSpan) {
      var _this = this;
      this.component = component;
      this.sourceSpan = sourceSpan;
      this.errors = [];
      this.viewQueries = _getViewQueries(component);
      this.viewProviders = new compile_metadata_1.CompileTokenMap();
      _normalizeProviders(component.viewProviders, sourceSpan, this.errors).forEach(function(provider) {
        if (lang_1.isBlank(_this.viewProviders.get(provider.token))) {
          _this.viewProviders.add(provider.token, true);
        }
      });
    }
    return ProviderViewContext;
  }());
  exports.ProviderViewContext = ProviderViewContext;
  var ProviderElementContext = (function() {
    function ProviderElementContext(_viewContext, _parent, _isViewRoot, _directiveAsts, attrs, refs, _sourceSpan) {
      var _this = this;
      this._viewContext = _viewContext;
      this._parent = _parent;
      this._isViewRoot = _isViewRoot;
      this._directiveAsts = _directiveAsts;
      this._sourceSpan = _sourceSpan;
      this._transformedProviders = new compile_metadata_1.CompileTokenMap();
      this._seenProviders = new compile_metadata_1.CompileTokenMap();
      this._hasViewContainer = false;
      this._attrs = {};
      attrs.forEach(function(attrAst) {
        return _this._attrs[attrAst.name] = attrAst.value;
      });
      var directivesMeta = _directiveAsts.map(function(directiveAst) {
        return directiveAst.directive;
      });
      this._allProviders = _resolveProvidersFromDirectives(directivesMeta, _sourceSpan, _viewContext.errors);
      this._contentQueries = _getContentQueries(directivesMeta);
      var queriedTokens = new compile_metadata_1.CompileTokenMap();
      this._allProviders.values().forEach(function(provider) {
        _this._addQueryReadsTo(provider.token, queriedTokens);
      });
      refs.forEach(function(refAst) {
        _this._addQueryReadsTo(new compile_metadata_1.CompileTokenMetadata({value: refAst.name}), queriedTokens);
      });
      if (lang_1.isPresent(queriedTokens.get(identifiers_1.identifierToken(identifiers_1.Identifiers.ViewContainerRef)))) {
        this._hasViewContainer = true;
      }
      this._allProviders.values().forEach(function(provider) {
        var eager = provider.eager || lang_1.isPresent(queriedTokens.get(provider.token));
        if (eager) {
          _this._getOrCreateLocalProvider(provider.providerType, provider.token, true);
        }
      });
    }
    ProviderElementContext.prototype.afterElement = function() {
      var _this = this;
      this._allProviders.values().forEach(function(provider) {
        _this._getOrCreateLocalProvider(provider.providerType, provider.token, false);
      });
    };
    Object.defineProperty(ProviderElementContext.prototype, "transformProviders", {
      get: function() {
        return this._transformedProviders.values();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ProviderElementContext.prototype, "transformedDirectiveAsts", {
      get: function() {
        var sortedProviderTypes = this._transformedProviders.values().map(function(provider) {
          return provider.token.identifier;
        });
        var sortedDirectives = collection_1.ListWrapper.clone(this._directiveAsts);
        collection_1.ListWrapper.sort(sortedDirectives, function(dir1, dir2) {
          return sortedProviderTypes.indexOf(dir1.directive.type) - sortedProviderTypes.indexOf(dir2.directive.type);
        });
        return sortedDirectives;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ProviderElementContext.prototype, "transformedHasViewContainer", {
      get: function() {
        return this._hasViewContainer;
      },
      enumerable: true,
      configurable: true
    });
    ProviderElementContext.prototype._addQueryReadsTo = function(token, queryReadTokens) {
      this._getQueriesFor(token).forEach(function(query) {
        var queryReadToken = lang_1.isPresent(query.read) ? query.read : token;
        if (lang_1.isBlank(queryReadTokens.get(queryReadToken))) {
          queryReadTokens.add(queryReadToken, true);
        }
      });
    };
    ProviderElementContext.prototype._getQueriesFor = function(token) {
      var result = [];
      var currentEl = this;
      var distance = 0;
      var queries;
      while (currentEl !== null) {
        queries = currentEl._contentQueries.get(token);
        if (lang_1.isPresent(queries)) {
          collection_1.ListWrapper.addAll(result, queries.filter(function(query) {
            return query.descendants || distance <= 1;
          }));
        }
        if (currentEl._directiveAsts.length > 0) {
          distance++;
        }
        currentEl = currentEl._parent;
      }
      queries = this._viewContext.viewQueries.get(token);
      if (lang_1.isPresent(queries)) {
        collection_1.ListWrapper.addAll(result, queries);
      }
      return result;
    };
    ProviderElementContext.prototype._getOrCreateLocalProvider = function(requestingProviderType, token, eager) {
      var _this = this;
      var resolvedProvider = this._allProviders.get(token);
      if (lang_1.isBlank(resolvedProvider) || ((requestingProviderType === template_ast_1.ProviderAstType.Directive || requestingProviderType === template_ast_1.ProviderAstType.PublicService) && resolvedProvider.providerType === template_ast_1.ProviderAstType.PrivateService) || ((requestingProviderType === template_ast_1.ProviderAstType.PrivateService || requestingProviderType === template_ast_1.ProviderAstType.PublicService) && resolvedProvider.providerType === template_ast_1.ProviderAstType.Builtin)) {
        return null;
      }
      var transformedProviderAst = this._transformedProviders.get(token);
      if (lang_1.isPresent(transformedProviderAst)) {
        return transformedProviderAst;
      }
      if (lang_1.isPresent(this._seenProviders.get(token))) {
        this._viewContext.errors.push(new ProviderError("Cannot instantiate cyclic dependency! " + token.name, this._sourceSpan));
        return null;
      }
      this._seenProviders.add(token, true);
      var transformedProviders = resolvedProvider.providers.map(function(provider) {
        var transformedUseValue = provider.useValue;
        var transformedUseExisting = provider.useExisting;
        var transformedDeps;
        if (lang_1.isPresent(provider.useExisting)) {
          var existingDiDep = _this._getDependency(resolvedProvider.providerType, new compile_metadata_1.CompileDiDependencyMetadata({token: provider.useExisting}), eager);
          if (lang_1.isPresent(existingDiDep.token)) {
            transformedUseExisting = existingDiDep.token;
          } else {
            transformedUseExisting = null;
            transformedUseValue = existingDiDep.value;
          }
        } else if (lang_1.isPresent(provider.useFactory)) {
          var deps = lang_1.isPresent(provider.deps) ? provider.deps : provider.useFactory.diDeps;
          transformedDeps = deps.map(function(dep) {
            return _this._getDependency(resolvedProvider.providerType, dep, eager);
          });
        } else if (lang_1.isPresent(provider.useClass)) {
          var deps = lang_1.isPresent(provider.deps) ? provider.deps : provider.useClass.diDeps;
          transformedDeps = deps.map(function(dep) {
            return _this._getDependency(resolvedProvider.providerType, dep, eager);
          });
        }
        return _transformProvider(provider, {
          useExisting: transformedUseExisting,
          useValue: transformedUseValue,
          deps: transformedDeps
        });
      });
      transformedProviderAst = _transformProviderAst(resolvedProvider, {
        eager: eager,
        providers: transformedProviders
      });
      this._transformedProviders.add(token, transformedProviderAst);
      return transformedProviderAst;
    };
    ProviderElementContext.prototype._getLocalDependency = function(requestingProviderType, dep, eager) {
      if (eager === void 0) {
        eager = null;
      }
      if (dep.isAttribute) {
        var attrValue = this._attrs[dep.token.value];
        return new compile_metadata_1.CompileDiDependencyMetadata({
          isValue: true,
          value: lang_1.normalizeBlank(attrValue)
        });
      }
      if (lang_1.isPresent(dep.query) || lang_1.isPresent(dep.viewQuery)) {
        return dep;
      }
      if (lang_1.isPresent(dep.token)) {
        if ((requestingProviderType === template_ast_1.ProviderAstType.Directive || requestingProviderType === template_ast_1.ProviderAstType.Component)) {
          if (dep.token.equalsTo(identifiers_1.identifierToken(identifiers_1.Identifiers.Renderer)) || dep.token.equalsTo(identifiers_1.identifierToken(identifiers_1.Identifiers.ElementRef)) || dep.token.equalsTo(identifiers_1.identifierToken(identifiers_1.Identifiers.ChangeDetectorRef)) || dep.token.equalsTo(identifiers_1.identifierToken(identifiers_1.Identifiers.TemplateRef))) {
            return dep;
          }
          if (dep.token.equalsTo(identifiers_1.identifierToken(identifiers_1.Identifiers.ViewContainerRef))) {
            this._hasViewContainer = true;
          }
        }
        if (dep.token.equalsTo(identifiers_1.identifierToken(identifiers_1.Identifiers.Injector))) {
          return dep;
        }
        if (lang_1.isPresent(this._getOrCreateLocalProvider(requestingProviderType, dep.token, eager))) {
          return dep;
        }
      }
      return null;
    };
    ProviderElementContext.prototype._getDependency = function(requestingProviderType, dep, eager) {
      if (eager === void 0) {
        eager = null;
      }
      var currElement = this;
      var currEager = eager;
      var result = null;
      if (!dep.isSkipSelf) {
        result = this._getLocalDependency(requestingProviderType, dep, eager);
      }
      if (dep.isSelf) {
        if (lang_1.isBlank(result) && dep.isOptional) {
          result = new compile_metadata_1.CompileDiDependencyMetadata({
            isValue: true,
            value: null
          });
        }
      } else {
        while (lang_1.isBlank(result) && lang_1.isPresent(currElement._parent)) {
          var prevElement = currElement;
          currElement = currElement._parent;
          if (prevElement._isViewRoot) {
            currEager = false;
          }
          result = currElement._getLocalDependency(template_ast_1.ProviderAstType.PublicService, dep, currEager);
        }
        if (lang_1.isBlank(result)) {
          if (!dep.isHost || this._viewContext.component.type.isHost || identifiers_1.identifierToken(this._viewContext.component.type).equalsTo(dep.token) || lang_1.isPresent(this._viewContext.viewProviders.get(dep.token))) {
            result = dep;
          } else {
            result = dep.isOptional ? result = new compile_metadata_1.CompileDiDependencyMetadata({
              isValue: true,
              value: null
            }) : null;
          }
        }
      }
      if (lang_1.isBlank(result)) {
        this._viewContext.errors.push(new ProviderError("No provider for " + dep.token.name, this._sourceSpan));
      }
      return result;
    };
    return ProviderElementContext;
  }());
  exports.ProviderElementContext = ProviderElementContext;
  function _transformProvider(provider, _a) {
    var useExisting = _a.useExisting,
        useValue = _a.useValue,
        deps = _a.deps;
    return new compile_metadata_1.CompileProviderMetadata({
      token: provider.token,
      useClass: provider.useClass,
      useExisting: useExisting,
      useFactory: provider.useFactory,
      useValue: useValue,
      deps: deps,
      multi: provider.multi
    });
  }
  function _transformProviderAst(provider, _a) {
    var eager = _a.eager,
        providers = _a.providers;
    return new template_ast_1.ProviderAst(provider.token, provider.multiProvider, provider.eager || eager, providers, provider.providerType, provider.sourceSpan);
  }
  function _normalizeProviders(providers, sourceSpan, targetErrors, targetProviders) {
    if (targetProviders === void 0) {
      targetProviders = null;
    }
    if (lang_1.isBlank(targetProviders)) {
      targetProviders = [];
    }
    if (lang_1.isPresent(providers)) {
      providers.forEach(function(provider) {
        if (lang_1.isArray(provider)) {
          _normalizeProviders(provider, sourceSpan, targetErrors, targetProviders);
        } else {
          var normalizeProvider;
          if (provider instanceof compile_metadata_1.CompileProviderMetadata) {
            normalizeProvider = provider;
          } else if (provider instanceof compile_metadata_1.CompileTypeMetadata) {
            normalizeProvider = new compile_metadata_1.CompileProviderMetadata({
              token: new compile_metadata_1.CompileTokenMetadata({identifier: provider}),
              useClass: provider
            });
          } else {
            targetErrors.push(new ProviderError("Unknown provider type " + provider, sourceSpan));
          }
          if (lang_1.isPresent(normalizeProvider)) {
            targetProviders.push(normalizeProvider);
          }
        }
      });
    }
    return targetProviders;
  }
  function _resolveProvidersFromDirectives(directives, sourceSpan, targetErrors) {
    var providersByToken = new compile_metadata_1.CompileTokenMap();
    directives.forEach(function(directive) {
      var dirProvider = new compile_metadata_1.CompileProviderMetadata({
        token: new compile_metadata_1.CompileTokenMetadata({identifier: directive.type}),
        useClass: directive.type
      });
      _resolveProviders([dirProvider], directive.isComponent ? template_ast_1.ProviderAstType.Component : template_ast_1.ProviderAstType.Directive, true, sourceSpan, targetErrors, providersByToken);
    });
    var directivesWithComponentFirst = directives.filter(function(dir) {
      return dir.isComponent;
    }).concat(directives.filter(function(dir) {
      return !dir.isComponent;
    }));
    directivesWithComponentFirst.forEach(function(directive) {
      _resolveProviders(_normalizeProviders(directive.providers, sourceSpan, targetErrors), template_ast_1.ProviderAstType.PublicService, false, sourceSpan, targetErrors, providersByToken);
      _resolveProviders(_normalizeProviders(directive.viewProviders, sourceSpan, targetErrors), template_ast_1.ProviderAstType.PrivateService, false, sourceSpan, targetErrors, providersByToken);
    });
    return providersByToken;
  }
  function _resolveProviders(providers, providerType, eager, sourceSpan, targetErrors, targetProvidersByToken) {
    providers.forEach(function(provider) {
      var resolvedProvider = targetProvidersByToken.get(provider.token);
      if (lang_1.isPresent(resolvedProvider) && resolvedProvider.multiProvider !== provider.multi) {
        targetErrors.push(new ProviderError("Mixing multi and non multi provider is not possible for token " + resolvedProvider.token.name, sourceSpan));
      }
      if (lang_1.isBlank(resolvedProvider)) {
        resolvedProvider = new template_ast_1.ProviderAst(provider.token, provider.multi, eager, [provider], providerType, sourceSpan);
        targetProvidersByToken.add(provider.token, resolvedProvider);
      } else {
        if (!provider.multi) {
          collection_1.ListWrapper.clear(resolvedProvider.providers);
        }
        resolvedProvider.providers.push(provider);
      }
    });
  }
  function _getViewQueries(component) {
    var viewQueries = new compile_metadata_1.CompileTokenMap();
    if (lang_1.isPresent(component.viewQueries)) {
      component.viewQueries.forEach(function(query) {
        return _addQueryToTokenMap(viewQueries, query);
      });
    }
    component.type.diDeps.forEach(function(dep) {
      if (lang_1.isPresent(dep.viewQuery)) {
        _addQueryToTokenMap(viewQueries, dep.viewQuery);
      }
    });
    return viewQueries;
  }
  function _getContentQueries(directives) {
    var contentQueries = new compile_metadata_1.CompileTokenMap();
    directives.forEach(function(directive) {
      if (lang_1.isPresent(directive.queries)) {
        directive.queries.forEach(function(query) {
          return _addQueryToTokenMap(contentQueries, query);
        });
      }
      directive.type.diDeps.forEach(function(dep) {
        if (lang_1.isPresent(dep.query)) {
          _addQueryToTokenMap(contentQueries, dep.query);
        }
      });
    });
    return contentQueries;
  }
  function _addQueryToTokenMap(map, query) {
    query.selectors.forEach(function(token) {
      var entry = map.get(token);
      if (lang_1.isBlank(entry)) {
        entry = [];
        map.add(token, entry);
      }
      entry.push(query);
    });
  }
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/template_parser.js", ["@angular/core", "../core_private", "../src/facade/collection", "../src/facade/lang", "../src/facade/exceptions", "./expression_parser/ast", "./expression_parser/parser", "./html_parser", "./html_tags", "./parse_util", "./template_ast", "./selector", "./schema/element_schema_registry", "./template_preparser", "./style_url_resolver", "./html_ast", "./util", "./identifiers", "./provider_parser"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var core_private_1 = $__require('../core_private');
  var collection_1 = $__require('../src/facade/collection');
  var lang_1 = $__require('../src/facade/lang');
  var exceptions_1 = $__require('../src/facade/exceptions');
  var ast_1 = $__require('./expression_parser/ast');
  var parser_1 = $__require('./expression_parser/parser');
  var html_parser_1 = $__require('./html_parser');
  var html_tags_1 = $__require('./html_tags');
  var parse_util_1 = $__require('./parse_util');
  var template_ast_1 = $__require('./template_ast');
  var selector_1 = $__require('./selector');
  var element_schema_registry_1 = $__require('./schema/element_schema_registry');
  var template_preparser_1 = $__require('./template_preparser');
  var style_url_resolver_1 = $__require('./style_url_resolver');
  var html_ast_1 = $__require('./html_ast');
  var util_1 = $__require('./util');
  var identifiers_1 = $__require('./identifiers');
  var provider_parser_1 = $__require('./provider_parser');
  var BIND_NAME_REGEXP = /^(?:(?:(?:(bind-)|(var-)|(let-)|(ref-|#)|(on-)|(bindon-)|(animate-|@))(.+))|\[\(([^\)]+)\)\]|\[([^\]]+)\]|\(([^\)]+)\))$/g;
  var TEMPLATE_ELEMENT = 'template';
  var TEMPLATE_ATTR = 'template';
  var TEMPLATE_ATTR_PREFIX = '*';
  var CLASS_ATTR = 'class';
  var PROPERTY_PARTS_SEPARATOR = '.';
  var ATTRIBUTE_PREFIX = 'attr';
  var CLASS_PREFIX = 'class';
  var STYLE_PREFIX = 'style';
  var TEXT_CSS_SELECTOR = selector_1.CssSelector.parse('*')[0];
  exports.TEMPLATE_TRANSFORMS = new core_1.OpaqueToken('TemplateTransforms');
  var TemplateParseError = (function(_super) {
    __extends(TemplateParseError, _super);
    function TemplateParseError(message, span, level) {
      _super.call(this, span, message, level);
    }
    return TemplateParseError;
  }(parse_util_1.ParseError));
  exports.TemplateParseError = TemplateParseError;
  var TemplateParseResult = (function() {
    function TemplateParseResult(templateAst, errors) {
      this.templateAst = templateAst;
      this.errors = errors;
    }
    return TemplateParseResult;
  }());
  exports.TemplateParseResult = TemplateParseResult;
  var TemplateParser = (function() {
    function TemplateParser(_exprParser, _schemaRegistry, _htmlParser, _console, transforms) {
      this._exprParser = _exprParser;
      this._schemaRegistry = _schemaRegistry;
      this._htmlParser = _htmlParser;
      this._console = _console;
      this.transforms = transforms;
    }
    TemplateParser.prototype.parse = function(component, template, directives, pipes, templateUrl) {
      var result = this.tryParse(component, template, directives, pipes, templateUrl);
      var warnings = result.errors.filter(function(error) {
        return error.level === parse_util_1.ParseErrorLevel.WARNING;
      });
      var errors = result.errors.filter(function(error) {
        return error.level === parse_util_1.ParseErrorLevel.FATAL;
      });
      if (warnings.length > 0) {
        this._console.warn("Template parse warnings:\n" + warnings.join('\n'));
      }
      if (errors.length > 0) {
        var errorString = errors.join('\n');
        throw new exceptions_1.BaseException("Template parse errors:\n" + errorString);
      }
      return result.templateAst;
    };
    TemplateParser.prototype.tryParse = function(component, template, directives, pipes, templateUrl) {
      var htmlAstWithErrors = this._htmlParser.parse(template, templateUrl);
      var errors = htmlAstWithErrors.errors;
      var result;
      if (htmlAstWithErrors.rootNodes.length > 0) {
        var uniqDirectives = removeDuplicates(directives);
        var uniqPipes = removeDuplicates(pipes);
        var providerViewContext = new provider_parser_1.ProviderViewContext(component, htmlAstWithErrors.rootNodes[0].sourceSpan);
        var parseVisitor = new TemplateParseVisitor(providerViewContext, uniqDirectives, uniqPipes, this._exprParser, this._schemaRegistry);
        result = html_ast_1.htmlVisitAll(parseVisitor, htmlAstWithErrors.rootNodes, EMPTY_ELEMENT_CONTEXT);
        errors = errors.concat(parseVisitor.errors).concat(providerViewContext.errors);
      } else {
        result = [];
      }
      this._assertNoReferenceDuplicationOnTemplate(result, errors);
      if (errors.length > 0) {
        return new TemplateParseResult(result, errors);
      }
      if (lang_1.isPresent(this.transforms)) {
        this.transforms.forEach(function(transform) {
          result = template_ast_1.templateVisitAll(transform, result);
        });
      }
      return new TemplateParseResult(result, errors);
    };
    TemplateParser.prototype._assertNoReferenceDuplicationOnTemplate = function(result, errors) {
      var existingReferences = [];
      result.filter(function(element) {
        return !!element.references;
      }).forEach(function(element) {
        return element.references.forEach(function(reference) {
          var name = reference.name;
          if (existingReferences.indexOf(name) < 0) {
            existingReferences.push(name);
          } else {
            var error = new TemplateParseError("Reference \"#" + name + "\" is defined several times", reference.sourceSpan, parse_util_1.ParseErrorLevel.FATAL);
            errors.push(error);
          }
        });
      });
    };
    TemplateParser.decorators = [{type: core_1.Injectable}];
    TemplateParser.ctorParameters = [{type: parser_1.Parser}, {type: element_schema_registry_1.ElementSchemaRegistry}, {type: html_parser_1.HtmlParser}, {type: core_private_1.Console}, {
      type: Array,
      decorators: [{type: core_1.Optional}, {
        type: core_1.Inject,
        args: [exports.TEMPLATE_TRANSFORMS]
      }]
    }];
    return TemplateParser;
  }());
  exports.TemplateParser = TemplateParser;
  var TemplateParseVisitor = (function() {
    function TemplateParseVisitor(providerViewContext, directives, pipes, _exprParser, _schemaRegistry) {
      var _this = this;
      this.providerViewContext = providerViewContext;
      this._exprParser = _exprParser;
      this._schemaRegistry = _schemaRegistry;
      this.errors = [];
      this.directivesIndex = new Map();
      this.ngContentCount = 0;
      this.selectorMatcher = new selector_1.SelectorMatcher();
      var tempMeta = providerViewContext.component.template;
      if (lang_1.isPresent(tempMeta) && lang_1.isPresent(tempMeta.interpolation)) {
        this._interpolationConfig = {
          start: tempMeta.interpolation[0],
          end: tempMeta.interpolation[1]
        };
      }
      collection_1.ListWrapper.forEachWithIndex(directives, function(directive, index) {
        var selector = selector_1.CssSelector.parse(directive.selector);
        _this.selectorMatcher.addSelectables(selector, directive);
        _this.directivesIndex.set(directive, index);
      });
      this.pipesByName = new Map();
      pipes.forEach(function(pipe) {
        return _this.pipesByName.set(pipe.name, pipe);
      });
    }
    TemplateParseVisitor.prototype._reportError = function(message, sourceSpan, level) {
      if (level === void 0) {
        level = parse_util_1.ParseErrorLevel.FATAL;
      }
      this.errors.push(new TemplateParseError(message, sourceSpan, level));
    };
    TemplateParseVisitor.prototype._parseInterpolation = function(value, sourceSpan) {
      var sourceInfo = sourceSpan.start.toString();
      try {
        var ast = this._exprParser.parseInterpolation(value, sourceInfo, this._interpolationConfig);
        this._checkPipes(ast, sourceSpan);
        if (lang_1.isPresent(ast) && ast.ast.expressions.length > core_private_1.MAX_INTERPOLATION_VALUES) {
          throw new exceptions_1.BaseException("Only support at most " + core_private_1.MAX_INTERPOLATION_VALUES + " interpolation values!");
        }
        return ast;
      } catch (e) {
        this._reportError("" + e, sourceSpan);
        return this._exprParser.wrapLiteralPrimitive('ERROR', sourceInfo);
      }
    };
    TemplateParseVisitor.prototype._parseAction = function(value, sourceSpan) {
      var sourceInfo = sourceSpan.start.toString();
      try {
        var ast = this._exprParser.parseAction(value, sourceInfo, this._interpolationConfig);
        this._checkPipes(ast, sourceSpan);
        return ast;
      } catch (e) {
        this._reportError("" + e, sourceSpan);
        return this._exprParser.wrapLiteralPrimitive('ERROR', sourceInfo);
      }
    };
    TemplateParseVisitor.prototype._parseBinding = function(value, sourceSpan) {
      var sourceInfo = sourceSpan.start.toString();
      try {
        var ast = this._exprParser.parseBinding(value, sourceInfo, this._interpolationConfig);
        this._checkPipes(ast, sourceSpan);
        return ast;
      } catch (e) {
        this._reportError("" + e, sourceSpan);
        return this._exprParser.wrapLiteralPrimitive('ERROR', sourceInfo);
      }
    };
    TemplateParseVisitor.prototype._parseTemplateBindings = function(value, sourceSpan) {
      var _this = this;
      var sourceInfo = sourceSpan.start.toString();
      try {
        var bindingsResult = this._exprParser.parseTemplateBindings(value, sourceInfo);
        bindingsResult.templateBindings.forEach(function(binding) {
          if (lang_1.isPresent(binding.expression)) {
            _this._checkPipes(binding.expression, sourceSpan);
          }
        });
        bindingsResult.warnings.forEach(function(warning) {
          _this._reportError(warning, sourceSpan, parse_util_1.ParseErrorLevel.WARNING);
        });
        return bindingsResult.templateBindings;
      } catch (e) {
        this._reportError("" + e, sourceSpan);
        return [];
      }
    };
    TemplateParseVisitor.prototype._checkPipes = function(ast, sourceSpan) {
      var _this = this;
      if (lang_1.isPresent(ast)) {
        var collector = new PipeCollector();
        ast.visit(collector);
        collector.pipes.forEach(function(pipeName) {
          if (!_this.pipesByName.has(pipeName)) {
            _this._reportError("The pipe '" + pipeName + "' could not be found", sourceSpan);
          }
        });
      }
    };
    TemplateParseVisitor.prototype.visitExpansion = function(ast, context) {
      return null;
    };
    TemplateParseVisitor.prototype.visitExpansionCase = function(ast, context) {
      return null;
    };
    TemplateParseVisitor.prototype.visitText = function(ast, parent) {
      var ngContentIndex = parent.findNgContentIndex(TEXT_CSS_SELECTOR);
      var expr = this._parseInterpolation(ast.value, ast.sourceSpan);
      if (lang_1.isPresent(expr)) {
        return new template_ast_1.BoundTextAst(expr, ngContentIndex, ast.sourceSpan);
      } else {
        return new template_ast_1.TextAst(ast.value, ngContentIndex, ast.sourceSpan);
      }
    };
    TemplateParseVisitor.prototype.visitAttr = function(ast, contex) {
      return new template_ast_1.AttrAst(ast.name, ast.value, ast.sourceSpan);
    };
    TemplateParseVisitor.prototype.visitComment = function(ast, context) {
      return null;
    };
    TemplateParseVisitor.prototype.visitElement = function(element, parent) {
      var _this = this;
      var nodeName = element.name;
      var preparsedElement = template_preparser_1.preparseElement(element);
      if (preparsedElement.type === template_preparser_1.PreparsedElementType.SCRIPT || preparsedElement.type === template_preparser_1.PreparsedElementType.STYLE) {
        return null;
      }
      if (preparsedElement.type === template_preparser_1.PreparsedElementType.STYLESHEET && style_url_resolver_1.isStyleUrlResolvable(preparsedElement.hrefAttr)) {
        return null;
      }
      var matchableAttrs = [];
      var elementOrDirectiveProps = [];
      var elementOrDirectiveRefs = [];
      var elementVars = [];
      var animationProps = [];
      var events = [];
      var templateElementOrDirectiveProps = [];
      var templateMatchableAttrs = [];
      var templateElementVars = [];
      var hasInlineTemplates = false;
      var attrs = [];
      var lcElName = html_tags_1.splitNsName(nodeName.toLowerCase())[1];
      var isTemplateElement = lcElName == TEMPLATE_ELEMENT;
      element.attrs.forEach(function(attr) {
        var hasBinding = _this._parseAttr(isTemplateElement, attr, matchableAttrs, elementOrDirectiveProps, animationProps, events, elementOrDirectiveRefs, elementVars);
        var hasTemplateBinding = _this._parseInlineTemplateBinding(attr, templateMatchableAttrs, templateElementOrDirectiveProps, templateElementVars);
        if (hasTemplateBinding && hasInlineTemplates) {
          _this._reportError("Can't have multiple template bindings on one element. Use only one attribute named 'template' or prefixed with *", attr.sourceSpan);
        }
        if (!hasBinding && !hasTemplateBinding) {
          attrs.push(_this.visitAttr(attr, null));
          matchableAttrs.push([attr.name, attr.value]);
        }
        if (hasTemplateBinding) {
          hasInlineTemplates = true;
        }
      });
      var elementCssSelector = createElementCssSelector(nodeName, matchableAttrs);
      var directiveMetas = this._parseDirectives(this.selectorMatcher, elementCssSelector);
      var references = [];
      var directiveAsts = this._createDirectiveAsts(isTemplateElement, element.name, directiveMetas, elementOrDirectiveProps, elementOrDirectiveRefs, element.sourceSpan, references);
      var elementProps = this._createElementPropertyAsts(element.name, elementOrDirectiveProps, directiveAsts).concat(animationProps);
      var isViewRoot = parent.isTemplateElement || hasInlineTemplates;
      var providerContext = new provider_parser_1.ProviderElementContext(this.providerViewContext, parent.providerContext, isViewRoot, directiveAsts, attrs, references, element.sourceSpan);
      var children = html_ast_1.htmlVisitAll(preparsedElement.nonBindable ? NON_BINDABLE_VISITOR : this, element.children, ElementContext.create(isTemplateElement, directiveAsts, isTemplateElement ? parent.providerContext : providerContext));
      providerContext.afterElement();
      var projectionSelector = lang_1.isPresent(preparsedElement.projectAs) ? selector_1.CssSelector.parse(preparsedElement.projectAs)[0] : elementCssSelector;
      var ngContentIndex = parent.findNgContentIndex(projectionSelector);
      var parsedElement;
      if (preparsedElement.type === template_preparser_1.PreparsedElementType.NG_CONTENT) {
        if (lang_1.isPresent(element.children) && element.children.length > 0) {
          this._reportError("<ng-content> element cannot have content. <ng-content> must be immediately followed by </ng-content>", element.sourceSpan);
        }
        parsedElement = new template_ast_1.NgContentAst(this.ngContentCount++, hasInlineTemplates ? null : ngContentIndex, element.sourceSpan);
      } else if (isTemplateElement) {
        this._assertAllEventsPublishedByDirectives(directiveAsts, events);
        this._assertNoComponentsNorElementBindingsOnTemplate(directiveAsts, elementProps, element.sourceSpan);
        parsedElement = new template_ast_1.EmbeddedTemplateAst(attrs, events, references, elementVars, providerContext.transformedDirectiveAsts, providerContext.transformProviders, providerContext.transformedHasViewContainer, children, hasInlineTemplates ? null : ngContentIndex, element.sourceSpan);
      } else {
        this._assertOnlyOneComponent(directiveAsts, element.sourceSpan);
        var ngContentIndex_1 = hasInlineTemplates ? null : parent.findNgContentIndex(projectionSelector);
        parsedElement = new template_ast_1.ElementAst(nodeName, attrs, elementProps, events, references, providerContext.transformedDirectiveAsts, providerContext.transformProviders, providerContext.transformedHasViewContainer, children, hasInlineTemplates ? null : ngContentIndex_1, element.sourceSpan);
      }
      if (hasInlineTemplates) {
        var templateCssSelector = createElementCssSelector(TEMPLATE_ELEMENT, templateMatchableAttrs);
        var templateDirectiveMetas = this._parseDirectives(this.selectorMatcher, templateCssSelector);
        var templateDirectiveAsts = this._createDirectiveAsts(true, element.name, templateDirectiveMetas, templateElementOrDirectiveProps, [], element.sourceSpan, []);
        var templateElementProps = this._createElementPropertyAsts(element.name, templateElementOrDirectiveProps, templateDirectiveAsts);
        this._assertNoComponentsNorElementBindingsOnTemplate(templateDirectiveAsts, templateElementProps, element.sourceSpan);
        var templateProviderContext = new provider_parser_1.ProviderElementContext(this.providerViewContext, parent.providerContext, parent.isTemplateElement, templateDirectiveAsts, [], [], element.sourceSpan);
        templateProviderContext.afterElement();
        parsedElement = new template_ast_1.EmbeddedTemplateAst([], [], [], templateElementVars, templateProviderContext.transformedDirectiveAsts, templateProviderContext.transformProviders, templateProviderContext.transformedHasViewContainer, [parsedElement], ngContentIndex, element.sourceSpan);
      }
      return parsedElement;
    };
    TemplateParseVisitor.prototype._parseInlineTemplateBinding = function(attr, targetMatchableAttrs, targetProps, targetVars) {
      var templateBindingsSource = null;
      if (attr.name == TEMPLATE_ATTR) {
        templateBindingsSource = attr.value;
      } else if (attr.name.startsWith(TEMPLATE_ATTR_PREFIX)) {
        var key = attr.name.substring(TEMPLATE_ATTR_PREFIX.length);
        templateBindingsSource = (attr.value.length == 0) ? key : key + ' ' + attr.value;
      }
      if (lang_1.isPresent(templateBindingsSource)) {
        var bindings = this._parseTemplateBindings(templateBindingsSource, attr.sourceSpan);
        for (var i = 0; i < bindings.length; i++) {
          var binding = bindings[i];
          if (binding.keyIsVar) {
            targetVars.push(new template_ast_1.VariableAst(binding.key, binding.name, attr.sourceSpan));
          } else if (lang_1.isPresent(binding.expression)) {
            this._parsePropertyAst(binding.key, binding.expression, attr.sourceSpan, targetMatchableAttrs, targetProps);
          } else {
            targetMatchableAttrs.push([binding.key, '']);
            this._parseLiteralAttr(binding.key, null, attr.sourceSpan, targetProps);
          }
        }
        return true;
      }
      return false;
    };
    TemplateParseVisitor.prototype._parseAttr = function(isTemplateElement, attr, targetMatchableAttrs, targetProps, targetAnimationProps, targetEvents, targetRefs, targetVars) {
      var attrName = this._normalizeAttributeName(attr.name);
      var attrValue = attr.value;
      var bindParts = lang_1.RegExpWrapper.firstMatch(BIND_NAME_REGEXP, attrName);
      var hasBinding = false;
      if (lang_1.isPresent(bindParts)) {
        hasBinding = true;
        if (lang_1.isPresent(bindParts[1])) {
          this._parseProperty(bindParts[8], attrValue, attr.sourceSpan, targetMatchableAttrs, targetProps);
        } else if (lang_1.isPresent(bindParts[2])) {
          var identifier = bindParts[8];
          if (isTemplateElement) {
            this._reportError("\"var-\" on <template> elements is deprecated. Use \"let-\" instead!", attr.sourceSpan, parse_util_1.ParseErrorLevel.WARNING);
            this._parseVariable(identifier, attrValue, attr.sourceSpan, targetVars);
          } else {
            this._reportError("\"var-\" on non <template> elements is deprecated. Use \"ref-\" instead!", attr.sourceSpan, parse_util_1.ParseErrorLevel.WARNING);
            this._parseReference(identifier, attrValue, attr.sourceSpan, targetRefs);
          }
        } else if (lang_1.isPresent(bindParts[3])) {
          if (isTemplateElement) {
            var identifier = bindParts[8];
            this._parseVariable(identifier, attrValue, attr.sourceSpan, targetVars);
          } else {
            this._reportError("\"let-\" is only supported on template elements.", attr.sourceSpan);
          }
        } else if (lang_1.isPresent(bindParts[4])) {
          var identifier = bindParts[8];
          this._parseReference(identifier, attrValue, attr.sourceSpan, targetRefs);
        } else if (lang_1.isPresent(bindParts[5])) {
          this._parseEvent(bindParts[8], attrValue, attr.sourceSpan, targetMatchableAttrs, targetEvents);
        } else if (lang_1.isPresent(bindParts[6])) {
          this._parseProperty(bindParts[8], attrValue, attr.sourceSpan, targetMatchableAttrs, targetProps);
          this._parseAssignmentEvent(bindParts[8], attrValue, attr.sourceSpan, targetMatchableAttrs, targetEvents);
        } else if (lang_1.isPresent(bindParts[7])) {
          this._parseAnimation(bindParts[8], attrValue, attr.sourceSpan, targetMatchableAttrs, targetAnimationProps);
        } else if (lang_1.isPresent(bindParts[9])) {
          this._parseProperty(bindParts[9], attrValue, attr.sourceSpan, targetMatchableAttrs, targetProps);
          this._parseAssignmentEvent(bindParts[9], attrValue, attr.sourceSpan, targetMatchableAttrs, targetEvents);
        } else if (lang_1.isPresent(bindParts[10])) {
          this._parseProperty(bindParts[10], attrValue, attr.sourceSpan, targetMatchableAttrs, targetProps);
        } else if (lang_1.isPresent(bindParts[11])) {
          this._parseEvent(bindParts[11], attrValue, attr.sourceSpan, targetMatchableAttrs, targetEvents);
        }
      } else {
        hasBinding = this._parsePropertyInterpolation(attrName, attrValue, attr.sourceSpan, targetMatchableAttrs, targetProps);
      }
      if (!hasBinding) {
        this._parseLiteralAttr(attrName, attrValue, attr.sourceSpan, targetProps);
      }
      return hasBinding;
    };
    TemplateParseVisitor.prototype._normalizeAttributeName = function(attrName) {
      return attrName.toLowerCase().startsWith('data-') ? attrName.substring(5) : attrName;
    };
    TemplateParseVisitor.prototype._parseVariable = function(identifier, value, sourceSpan, targetVars) {
      if (identifier.indexOf('-') > -1) {
        this._reportError("\"-\" is not allowed in variable names", sourceSpan);
      }
      targetVars.push(new template_ast_1.VariableAst(identifier, value, sourceSpan));
    };
    TemplateParseVisitor.prototype._parseReference = function(identifier, value, sourceSpan, targetRefs) {
      if (identifier.indexOf('-') > -1) {
        this._reportError("\"-\" is not allowed in reference names", sourceSpan);
      }
      targetRefs.push(new ElementOrDirectiveRef(identifier, value, sourceSpan));
    };
    TemplateParseVisitor.prototype._parseProperty = function(name, expression, sourceSpan, targetMatchableAttrs, targetProps) {
      this._parsePropertyAst(name, this._parseBinding(expression, sourceSpan), sourceSpan, targetMatchableAttrs, targetProps);
    };
    TemplateParseVisitor.prototype._parseAnimation = function(name, expression, sourceSpan, targetMatchableAttrs, targetAnimationProps) {
      if (!lang_1.isPresent(expression) || expression.length == 0) {
        expression = 'null';
      }
      var ast = this._parseBinding(expression, sourceSpan);
      targetMatchableAttrs.push([name, ast.source]);
      targetAnimationProps.push(new template_ast_1.BoundElementPropertyAst(name, template_ast_1.PropertyBindingType.Animation, core_private_1.SecurityContext.NONE, ast, null, sourceSpan));
    };
    TemplateParseVisitor.prototype._parsePropertyInterpolation = function(name, value, sourceSpan, targetMatchableAttrs, targetProps) {
      var expr = this._parseInterpolation(value, sourceSpan);
      if (lang_1.isPresent(expr)) {
        this._parsePropertyAst(name, expr, sourceSpan, targetMatchableAttrs, targetProps);
        return true;
      }
      return false;
    };
    TemplateParseVisitor.prototype._parsePropertyAst = function(name, ast, sourceSpan, targetMatchableAttrs, targetProps) {
      targetMatchableAttrs.push([name, ast.source]);
      targetProps.push(new BoundElementOrDirectiveProperty(name, ast, false, sourceSpan));
    };
    TemplateParseVisitor.prototype._parseAssignmentEvent = function(name, expression, sourceSpan, targetMatchableAttrs, targetEvents) {
      this._parseEvent(name + "Change", expression + "=$event", sourceSpan, targetMatchableAttrs, targetEvents);
    };
    TemplateParseVisitor.prototype._parseEvent = function(name, expression, sourceSpan, targetMatchableAttrs, targetEvents) {
      var parts = util_1.splitAtColon(name, [null, name]);
      var target = parts[0];
      var eventName = parts[1];
      var ast = this._parseAction(expression, sourceSpan);
      targetMatchableAttrs.push([name, ast.source]);
      targetEvents.push(new template_ast_1.BoundEventAst(eventName, target, ast, sourceSpan));
    };
    TemplateParseVisitor.prototype._parseLiteralAttr = function(name, value, sourceSpan, targetProps) {
      targetProps.push(new BoundElementOrDirectiveProperty(name, this._exprParser.wrapLiteralPrimitive(value, ''), true, sourceSpan));
    };
    TemplateParseVisitor.prototype._parseDirectives = function(selectorMatcher, elementCssSelector) {
      var _this = this;
      var directives = collection_1.ListWrapper.createFixedSize(this.directivesIndex.size);
      selectorMatcher.match(elementCssSelector, function(selector, directive) {
        directives[_this.directivesIndex.get(directive)] = directive;
      });
      return directives.filter(function(dir) {
        return lang_1.isPresent(dir);
      });
    };
    TemplateParseVisitor.prototype._createDirectiveAsts = function(isTemplateElement, elementName, directives, props, elementOrDirectiveRefs, sourceSpan, targetReferences) {
      var _this = this;
      var matchedReferences = new Set();
      var component = null;
      var directiveAsts = directives.map(function(directive) {
        if (directive.isComponent) {
          component = directive;
        }
        var hostProperties = [];
        var hostEvents = [];
        var directiveProperties = [];
        _this._createDirectiveHostPropertyAsts(elementName, directive.hostProperties, sourceSpan, hostProperties);
        _this._createDirectiveHostEventAsts(directive.hostListeners, sourceSpan, hostEvents);
        _this._createDirectivePropertyAsts(directive.inputs, props, directiveProperties);
        elementOrDirectiveRefs.forEach(function(elOrDirRef) {
          if ((elOrDirRef.value.length === 0 && directive.isComponent) || (directive.exportAs == elOrDirRef.value)) {
            targetReferences.push(new template_ast_1.ReferenceAst(elOrDirRef.name, identifiers_1.identifierToken(directive.type), elOrDirRef.sourceSpan));
            matchedReferences.add(elOrDirRef.name);
          }
        });
        return new template_ast_1.DirectiveAst(directive, directiveProperties, hostProperties, hostEvents, sourceSpan);
      });
      elementOrDirectiveRefs.forEach(function(elOrDirRef) {
        if (elOrDirRef.value.length > 0) {
          if (!collection_1.SetWrapper.has(matchedReferences, elOrDirRef.name)) {
            _this._reportError("There is no directive with \"exportAs\" set to \"" + elOrDirRef.value + "\"", elOrDirRef.sourceSpan);
          }
          ;
        } else if (lang_1.isBlank(component)) {
          var refToken = null;
          if (isTemplateElement) {
            refToken = identifiers_1.identifierToken(identifiers_1.Identifiers.TemplateRef);
          }
          targetReferences.push(new template_ast_1.ReferenceAst(elOrDirRef.name, refToken, elOrDirRef.sourceSpan));
        }
      });
      return directiveAsts;
    };
    TemplateParseVisitor.prototype._createDirectiveHostPropertyAsts = function(elementName, hostProps, sourceSpan, targetPropertyAsts) {
      var _this = this;
      if (lang_1.isPresent(hostProps)) {
        collection_1.StringMapWrapper.forEach(hostProps, function(expression, propName) {
          var exprAst = _this._parseBinding(expression, sourceSpan);
          targetPropertyAsts.push(_this._createElementPropertyAst(elementName, propName, exprAst, sourceSpan));
        });
      }
    };
    TemplateParseVisitor.prototype._createDirectiveHostEventAsts = function(hostListeners, sourceSpan, targetEventAsts) {
      var _this = this;
      if (lang_1.isPresent(hostListeners)) {
        collection_1.StringMapWrapper.forEach(hostListeners, function(expression, propName) {
          _this._parseEvent(propName, expression, sourceSpan, [], targetEventAsts);
        });
      }
    };
    TemplateParseVisitor.prototype._createDirectivePropertyAsts = function(directiveProperties, boundProps, targetBoundDirectiveProps) {
      if (lang_1.isPresent(directiveProperties)) {
        var boundPropsByName = new Map();
        boundProps.forEach(function(boundProp) {
          var prevValue = boundPropsByName.get(boundProp.name);
          if (lang_1.isBlank(prevValue) || prevValue.isLiteral) {
            boundPropsByName.set(boundProp.name, boundProp);
          }
        });
        collection_1.StringMapWrapper.forEach(directiveProperties, function(elProp, dirProp) {
          var boundProp = boundPropsByName.get(elProp);
          if (lang_1.isPresent(boundProp)) {
            targetBoundDirectiveProps.push(new template_ast_1.BoundDirectivePropertyAst(dirProp, boundProp.name, boundProp.expression, boundProp.sourceSpan));
          }
        });
      }
    };
    TemplateParseVisitor.prototype._createElementPropertyAsts = function(elementName, props, directives) {
      var _this = this;
      var boundElementProps = [];
      var boundDirectivePropsIndex = new Map();
      directives.forEach(function(directive) {
        directive.inputs.forEach(function(prop) {
          boundDirectivePropsIndex.set(prop.templateName, prop);
        });
      });
      props.forEach(function(prop) {
        if (!prop.isLiteral && lang_1.isBlank(boundDirectivePropsIndex.get(prop.name))) {
          boundElementProps.push(_this._createElementPropertyAst(elementName, prop.name, prop.expression, prop.sourceSpan));
        }
      });
      return boundElementProps;
    };
    TemplateParseVisitor.prototype._createElementPropertyAst = function(elementName, name, ast, sourceSpan) {
      var unit = null;
      var bindingType;
      var boundPropertyName;
      var parts = name.split(PROPERTY_PARTS_SEPARATOR);
      var securityContext;
      if (parts.length === 1) {
        boundPropertyName = this._schemaRegistry.getMappedPropName(parts[0]);
        securityContext = this._schemaRegistry.securityContext(elementName, boundPropertyName);
        bindingType = template_ast_1.PropertyBindingType.Property;
        if (!this._schemaRegistry.hasProperty(elementName, boundPropertyName)) {
          this._reportError("Can't bind to '" + boundPropertyName + "' since it isn't a known native property", sourceSpan);
        }
      } else {
        if (parts[0] == ATTRIBUTE_PREFIX) {
          boundPropertyName = parts[1];
          if (boundPropertyName.toLowerCase().startsWith('on')) {
            this._reportError(("Binding to event attribute '" + boundPropertyName + "' is disallowed ") + ("for security reasons, please use (" + boundPropertyName.slice(2) + ")=..."), sourceSpan);
          }
          securityContext = this._schemaRegistry.securityContext(elementName, this._schemaRegistry.getMappedPropName(boundPropertyName));
          var nsSeparatorIdx = boundPropertyName.indexOf(':');
          if (nsSeparatorIdx > -1) {
            var ns = boundPropertyName.substring(0, nsSeparatorIdx);
            var name_1 = boundPropertyName.substring(nsSeparatorIdx + 1);
            boundPropertyName = html_tags_1.mergeNsAndName(ns, name_1);
          }
          bindingType = template_ast_1.PropertyBindingType.Attribute;
        } else if (parts[0] == CLASS_PREFIX) {
          boundPropertyName = parts[1];
          bindingType = template_ast_1.PropertyBindingType.Class;
          securityContext = core_private_1.SecurityContext.NONE;
        } else if (parts[0] == STYLE_PREFIX) {
          unit = parts.length > 2 ? parts[2] : null;
          boundPropertyName = parts[1];
          bindingType = template_ast_1.PropertyBindingType.Style;
          securityContext = core_private_1.SecurityContext.STYLE;
        } else {
          this._reportError("Invalid property name '" + name + "'", sourceSpan);
          bindingType = null;
          securityContext = null;
        }
      }
      return new template_ast_1.BoundElementPropertyAst(boundPropertyName, bindingType, securityContext, ast, unit, sourceSpan);
    };
    TemplateParseVisitor.prototype._findComponentDirectiveNames = function(directives) {
      var componentTypeNames = [];
      directives.forEach(function(directive) {
        var typeName = directive.directive.type.name;
        if (directive.directive.isComponent) {
          componentTypeNames.push(typeName);
        }
      });
      return componentTypeNames;
    };
    TemplateParseVisitor.prototype._assertOnlyOneComponent = function(directives, sourceSpan) {
      var componentTypeNames = this._findComponentDirectiveNames(directives);
      if (componentTypeNames.length > 1) {
        this._reportError("More than one component: " + componentTypeNames.join(','), sourceSpan);
      }
    };
    TemplateParseVisitor.prototype._assertNoComponentsNorElementBindingsOnTemplate = function(directives, elementProps, sourceSpan) {
      var _this = this;
      var componentTypeNames = this._findComponentDirectiveNames(directives);
      if (componentTypeNames.length > 0) {
        this._reportError("Components on an embedded template: " + componentTypeNames.join(','), sourceSpan);
      }
      elementProps.forEach(function(prop) {
        _this._reportError("Property binding " + prop.name + " not used by any directive on an embedded template. Make sure that the property name is spelled correctly and all directives are listed in the \"directives\" section.", sourceSpan);
      });
    };
    TemplateParseVisitor.prototype._assertAllEventsPublishedByDirectives = function(directives, events) {
      var _this = this;
      var allDirectiveEvents = new Set();
      directives.forEach(function(directive) {
        collection_1.StringMapWrapper.forEach(directive.directive.outputs, function(eventName) {
          allDirectiveEvents.add(eventName);
        });
      });
      events.forEach(function(event) {
        if (lang_1.isPresent(event.target) || !collection_1.SetWrapper.has(allDirectiveEvents, event.name)) {
          _this._reportError("Event binding " + event.fullName + " not emitted by any directive on an embedded template. Make sure that the event name is spelled correctly and all directives are listed in the \"directives\" section.", event.sourceSpan);
        }
      });
    };
    return TemplateParseVisitor;
  }());
  var NonBindableVisitor = (function() {
    function NonBindableVisitor() {}
    NonBindableVisitor.prototype.visitElement = function(ast, parent) {
      var preparsedElement = template_preparser_1.preparseElement(ast);
      if (preparsedElement.type === template_preparser_1.PreparsedElementType.SCRIPT || preparsedElement.type === template_preparser_1.PreparsedElementType.STYLE || preparsedElement.type === template_preparser_1.PreparsedElementType.STYLESHEET) {
        return null;
      }
      var attrNameAndValues = ast.attrs.map(function(attrAst) {
        return [attrAst.name, attrAst.value];
      });
      var selector = createElementCssSelector(ast.name, attrNameAndValues);
      var ngContentIndex = parent.findNgContentIndex(selector);
      var children = html_ast_1.htmlVisitAll(this, ast.children, EMPTY_ELEMENT_CONTEXT);
      return new template_ast_1.ElementAst(ast.name, html_ast_1.htmlVisitAll(this, ast.attrs), [], [], [], [], [], false, children, ngContentIndex, ast.sourceSpan);
    };
    NonBindableVisitor.prototype.visitComment = function(ast, context) {
      return null;
    };
    NonBindableVisitor.prototype.visitAttr = function(ast, context) {
      return new template_ast_1.AttrAst(ast.name, ast.value, ast.sourceSpan);
    };
    NonBindableVisitor.prototype.visitText = function(ast, parent) {
      var ngContentIndex = parent.findNgContentIndex(TEXT_CSS_SELECTOR);
      return new template_ast_1.TextAst(ast.value, ngContentIndex, ast.sourceSpan);
    };
    NonBindableVisitor.prototype.visitExpansion = function(ast, context) {
      return ast;
    };
    NonBindableVisitor.prototype.visitExpansionCase = function(ast, context) {
      return ast;
    };
    return NonBindableVisitor;
  }());
  var BoundElementOrDirectiveProperty = (function() {
    function BoundElementOrDirectiveProperty(name, expression, isLiteral, sourceSpan) {
      this.name = name;
      this.expression = expression;
      this.isLiteral = isLiteral;
      this.sourceSpan = sourceSpan;
    }
    return BoundElementOrDirectiveProperty;
  }());
  var ElementOrDirectiveRef = (function() {
    function ElementOrDirectiveRef(name, value, sourceSpan) {
      this.name = name;
      this.value = value;
      this.sourceSpan = sourceSpan;
    }
    return ElementOrDirectiveRef;
  }());
  function splitClasses(classAttrValue) {
    return lang_1.StringWrapper.split(classAttrValue.trim(), /\s+/g);
  }
  exports.splitClasses = splitClasses;
  var ElementContext = (function() {
    function ElementContext(isTemplateElement, _ngContentIndexMatcher, _wildcardNgContentIndex, providerContext) {
      this.isTemplateElement = isTemplateElement;
      this._ngContentIndexMatcher = _ngContentIndexMatcher;
      this._wildcardNgContentIndex = _wildcardNgContentIndex;
      this.providerContext = providerContext;
    }
    ElementContext.create = function(isTemplateElement, directives, providerContext) {
      var matcher = new selector_1.SelectorMatcher();
      var wildcardNgContentIndex = null;
      var component = directives.find(function(directive) {
        return directive.directive.isComponent;
      });
      if (lang_1.isPresent(component)) {
        var ngContentSelectors = component.directive.template.ngContentSelectors;
        for (var i = 0; i < ngContentSelectors.length; i++) {
          var selector = ngContentSelectors[i];
          if (lang_1.StringWrapper.equals(selector, '*')) {
            wildcardNgContentIndex = i;
          } else {
            matcher.addSelectables(selector_1.CssSelector.parse(ngContentSelectors[i]), i);
          }
        }
      }
      return new ElementContext(isTemplateElement, matcher, wildcardNgContentIndex, providerContext);
    };
    ElementContext.prototype.findNgContentIndex = function(selector) {
      var ngContentIndices = [];
      this._ngContentIndexMatcher.match(selector, function(selector, ngContentIndex) {
        ngContentIndices.push(ngContentIndex);
      });
      collection_1.ListWrapper.sort(ngContentIndices);
      if (lang_1.isPresent(this._wildcardNgContentIndex)) {
        ngContentIndices.push(this._wildcardNgContentIndex);
      }
      return ngContentIndices.length > 0 ? ngContentIndices[0] : null;
    };
    return ElementContext;
  }());
  function createElementCssSelector(elementName, matchableAttrs) {
    var cssSelector = new selector_1.CssSelector();
    var elNameNoNs = html_tags_1.splitNsName(elementName)[1];
    cssSelector.setElement(elNameNoNs);
    for (var i = 0; i < matchableAttrs.length; i++) {
      var attrName = matchableAttrs[i][0];
      var attrNameNoNs = html_tags_1.splitNsName(attrName)[1];
      var attrValue = matchableAttrs[i][1];
      cssSelector.addAttribute(attrNameNoNs, attrValue);
      if (attrName.toLowerCase() == CLASS_ATTR) {
        var classes = splitClasses(attrValue);
        classes.forEach(function(className) {
          return cssSelector.addClassName(className);
        });
      }
    }
    return cssSelector;
  }
  var EMPTY_ELEMENT_CONTEXT = new ElementContext(true, new selector_1.SelectorMatcher(), null, null);
  var NON_BINDABLE_VISITOR = new NonBindableVisitor();
  var PipeCollector = (function(_super) {
    __extends(PipeCollector, _super);
    function PipeCollector() {
      _super.apply(this, arguments);
      this.pipes = new Set();
    }
    PipeCollector.prototype.visitPipe = function(ast, context) {
      this.pipes.add(ast.name);
      ast.exp.visit(this);
      this.visitAll(ast.args, context);
      return null;
    };
    return PipeCollector;
  }(ast_1.RecursiveAstVisitor));
  exports.PipeCollector = PipeCollector;
  function removeDuplicates(items) {
    var res = [];
    items.forEach(function(item) {
      var hasMatch = res.filter(function(r) {
        return r.type.name == item.type.name && r.type.moduleUrl == item.type.moduleUrl && r.type.runtime == item.type.runtime;
      }).length > 0;
      if (!hasMatch) {
        res.push(item);
      }
    });
    return res;
  }
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/config.js", ["@angular/core", "../src/facade/exceptions", "./identifiers"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var exceptions_1 = $__require('../src/facade/exceptions');
  var identifiers_1 = $__require('./identifiers');
  var CompilerConfig = (function() {
    function CompilerConfig(_a) {
      var _b = _a === void 0 ? {} : _a,
          _c = _b.renderTypes,
          renderTypes = _c === void 0 ? new DefaultRenderTypes() : _c,
          _d = _b.defaultEncapsulation,
          defaultEncapsulation = _d === void 0 ? core_1.ViewEncapsulation.Emulated : _d,
          genDebugInfo = _b.genDebugInfo,
          logBindingUpdate = _b.logBindingUpdate,
          _e = _b.useJit,
          useJit = _e === void 0 ? true : _e,
          _f = _b.platformDirectives,
          platformDirectives = _f === void 0 ? [] : _f,
          _g = _b.platformPipes,
          platformPipes = _g === void 0 ? [] : _g;
      this.renderTypes = renderTypes;
      this.defaultEncapsulation = defaultEncapsulation;
      this._genDebugInfo = genDebugInfo;
      this._logBindingUpdate = logBindingUpdate;
      this.useJit = useJit;
      this.platformDirectives = platformDirectives;
      this.platformPipes = platformPipes;
    }
    Object.defineProperty(CompilerConfig.prototype, "genDebugInfo", {
      get: function() {
        return this._genDebugInfo === void 0 ? core_1.isDevMode() : this._genDebugInfo;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(CompilerConfig.prototype, "logBindingUpdate", {
      get: function() {
        return this._logBindingUpdate === void 0 ? core_1.isDevMode() : this._logBindingUpdate;
      },
      enumerable: true,
      configurable: true
    });
    return CompilerConfig;
  }());
  exports.CompilerConfig = CompilerConfig;
  var RenderTypes = (function() {
    function RenderTypes() {}
    Object.defineProperty(RenderTypes.prototype, "renderer", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(RenderTypes.prototype, "renderText", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(RenderTypes.prototype, "renderElement", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(RenderTypes.prototype, "renderComment", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(RenderTypes.prototype, "renderNode", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(RenderTypes.prototype, "renderEvent", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    return RenderTypes;
  }());
  exports.RenderTypes = RenderTypes;
  var DefaultRenderTypes = (function() {
    function DefaultRenderTypes() {
      this.renderer = identifiers_1.Identifiers.Renderer;
      this.renderText = null;
      this.renderElement = null;
      this.renderComment = null;
      this.renderNode = null;
      this.renderEvent = null;
    }
    return DefaultRenderTypes;
  }());
  exports.DefaultRenderTypes = DefaultRenderTypes;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/view_compiler/property_binder.js", ["../../core_private", "../facade/lang", "../identifiers", "../output/output_ast", "./constants", "../template_ast", "../util", "./expression_converter", "./compile_binding", "@angular/core"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_private_1 = $__require('../../core_private');
  var lang_1 = $__require('../facade/lang');
  var identifiers_1 = $__require('../identifiers');
  var o = $__require('../output/output_ast');
  var constants_1 = $__require('./constants');
  var template_ast_1 = $__require('../template_ast');
  var util_1 = $__require('../util');
  var expression_converter_1 = $__require('./expression_converter');
  var compile_binding_1 = $__require('./compile_binding');
  var core_1 = $__require('@angular/core');
  function createBindFieldExpr(exprIndex) {
    return o.THIS_EXPR.prop("_expr_" + exprIndex);
  }
  function createCurrValueExpr(exprIndex) {
    return o.variable("currVal_" + exprIndex);
  }
  function bind(view, currValExpr, fieldExpr, parsedExpression, context, actions, method) {
    var checkExpression = expression_converter_1.convertCdExpressionToIr(view, context, parsedExpression, constants_1.DetectChangesVars.valUnwrapper);
    if (lang_1.isBlank(checkExpression.expression)) {
      return;
    }
    view.fields.push(new o.ClassField(fieldExpr.name, null, [o.StmtModifier.Private]));
    view.createMethod.addStmt(o.THIS_EXPR.prop(fieldExpr.name).set(o.importExpr(identifiers_1.Identifiers.uninitialized)).toStmt());
    if (checkExpression.needsValueUnwrapper) {
      var initValueUnwrapperStmt = constants_1.DetectChangesVars.valUnwrapper.callMethod('reset', []).toStmt();
      method.addStmt(initValueUnwrapperStmt);
    }
    method.addStmt(currValExpr.set(checkExpression.expression).toDeclStmt(null, [o.StmtModifier.Final]));
    var condition = o.importExpr(identifiers_1.Identifiers.checkBinding).callFn([constants_1.DetectChangesVars.throwOnChange, fieldExpr, currValExpr]);
    if (checkExpression.needsValueUnwrapper) {
      condition = constants_1.DetectChangesVars.valUnwrapper.prop('hasWrappedValue').or(condition);
    }
    method.addStmt(new o.IfStmt(condition, actions.concat([o.THIS_EXPR.prop(fieldExpr.name).set(currValExpr).toStmt()])));
  }
  function bindRenderText(boundText, compileNode, view) {
    var bindingIndex = view.bindings.length;
    view.bindings.push(new compile_binding_1.CompileBinding(compileNode, boundText));
    var currValExpr = createCurrValueExpr(bindingIndex);
    var valueField = createBindFieldExpr(bindingIndex);
    view.detectChangesRenderPropertiesMethod.resetDebugInfo(compileNode.nodeIndex, boundText);
    bind(view, currValExpr, valueField, boundText.value, view.componentContext, [o.THIS_EXPR.prop('renderer').callMethod('setText', [compileNode.renderNode, currValExpr]).toStmt()], view.detectChangesRenderPropertiesMethod);
  }
  exports.bindRenderText = bindRenderText;
  function bindAndWriteToRenderer(boundProps, context, compileElement) {
    var view = compileElement.view;
    var renderNode = compileElement.renderNode;
    boundProps.forEach(function(boundProp) {
      var bindingIndex = view.bindings.length;
      view.bindings.push(new compile_binding_1.CompileBinding(compileElement, boundProp));
      view.detectChangesRenderPropertiesMethod.resetDebugInfo(compileElement.nodeIndex, boundProp);
      var fieldExpr = createBindFieldExpr(bindingIndex);
      var currValExpr = createCurrValueExpr(bindingIndex);
      var renderMethod;
      var oldRenderValue = sanitizedValue(boundProp, fieldExpr);
      var renderValue = sanitizedValue(boundProp, currValExpr);
      var updateStmts = [];
      switch (boundProp.type) {
        case template_ast_1.PropertyBindingType.Property:
          if (view.genConfig.logBindingUpdate) {
            updateStmts.push(logBindingUpdateStmt(renderNode, boundProp.name, renderValue));
          }
          updateStmts.push(o.THIS_EXPR.prop('renderer').callMethod('setElementProperty', [renderNode, o.literal(boundProp.name), renderValue]).toStmt());
          break;
        case template_ast_1.PropertyBindingType.Attribute:
          renderValue = renderValue.isBlank().conditional(o.NULL_EXPR, renderValue.callMethod('toString', []));
          updateStmts.push(o.THIS_EXPR.prop('renderer').callMethod('setElementAttribute', [renderNode, o.literal(boundProp.name), renderValue]).toStmt());
          break;
        case template_ast_1.PropertyBindingType.Class:
          updateStmts.push(o.THIS_EXPR.prop('renderer').callMethod('setElementClass', [renderNode, o.literal(boundProp.name), renderValue]).toStmt());
          break;
        case template_ast_1.PropertyBindingType.Style:
          var strValue = renderValue.callMethod('toString', []);
          if (lang_1.isPresent(boundProp.unit)) {
            strValue = strValue.plus(o.literal(boundProp.unit));
          }
          renderValue = renderValue.isBlank().conditional(o.NULL_EXPR, strValue);
          updateStmts.push(o.THIS_EXPR.prop('renderer').callMethod('setElementStyle', [renderNode, o.literal(boundProp.name), renderValue]).toStmt());
          break;
        case template_ast_1.PropertyBindingType.Animation:
          var animationName = boundProp.name;
          var animation = view.componentView.animations.get(animationName);
          if (!lang_1.isPresent(animation)) {
            throw new core_1.BaseException("Internal Error: couldn't find an animation entry for " + boundProp.name);
          }
          var emptyStateValue = o.literal(core_private_1.EMPTY_STATE);
          var oldRenderVar = o.variable('oldRenderVar');
          updateStmts.push(oldRenderVar.set(oldRenderValue).toDeclStmt());
          updateStmts.push(new o.IfStmt(oldRenderVar.equals(o.importExpr(identifiers_1.Identifiers.uninitialized)), [oldRenderVar.set(emptyStateValue).toStmt()]));
          var newRenderVar = o.variable('newRenderVar');
          updateStmts.push(newRenderVar.set(renderValue).toDeclStmt());
          updateStmts.push(new o.IfStmt(newRenderVar.equals(o.importExpr(identifiers_1.Identifiers.uninitialized)), [newRenderVar.set(emptyStateValue).toStmt()]));
          updateStmts.push(animation.fnVariable.callFn([o.THIS_EXPR, renderNode, oldRenderVar, newRenderVar]).toStmt());
          view.detachMethod.addStmt(animation.fnVariable.callFn([o.THIS_EXPR, renderNode, oldRenderValue, emptyStateValue]).toStmt());
          break;
      }
      bind(view, currValExpr, fieldExpr, boundProp.value, context, updateStmts, view.detectChangesRenderPropertiesMethod);
    });
  }
  function sanitizedValue(boundProp, renderValue) {
    var enumValue;
    switch (boundProp.securityContext) {
      case core_private_1.SecurityContext.NONE:
        return renderValue;
      case core_private_1.SecurityContext.HTML:
        enumValue = 'HTML';
        break;
      case core_private_1.SecurityContext.STYLE:
        enumValue = 'STYLE';
        break;
      case core_private_1.SecurityContext.SCRIPT:
        enumValue = 'SCRIPT';
        break;
      case core_private_1.SecurityContext.URL:
        enumValue = 'URL';
        break;
      case core_private_1.SecurityContext.RESOURCE_URL:
        enumValue = 'RESOURCE_URL';
        break;
      default:
        throw new Error("internal error, unexpected SecurityContext " + boundProp.securityContext + ".");
    }
    var ctx = constants_1.ViewProperties.viewUtils.prop('sanitizer');
    var args = [o.importExpr(identifiers_1.Identifiers.SecurityContext).prop(enumValue), renderValue];
    return ctx.callMethod('sanitize', args);
  }
  function bindRenderInputs(boundProps, compileElement) {
    bindAndWriteToRenderer(boundProps, compileElement.view.componentContext, compileElement);
  }
  exports.bindRenderInputs = bindRenderInputs;
  function bindDirectiveHostProps(directiveAst, directiveInstance, compileElement) {
    bindAndWriteToRenderer(directiveAst.hostProperties, directiveInstance, compileElement);
  }
  exports.bindDirectiveHostProps = bindDirectiveHostProps;
  function bindDirectiveInputs(directiveAst, directiveInstance, compileElement) {
    if (directiveAst.inputs.length === 0) {
      return;
    }
    var view = compileElement.view;
    var detectChangesInInputsMethod = view.detectChangesInInputsMethod;
    detectChangesInInputsMethod.resetDebugInfo(compileElement.nodeIndex, compileElement.sourceAst);
    var lifecycleHooks = directiveAst.directive.lifecycleHooks;
    var calcChangesMap = lifecycleHooks.indexOf(core_private_1.LifecycleHooks.OnChanges) !== -1;
    var isOnPushComp = directiveAst.directive.isComponent && !core_private_1.isDefaultChangeDetectionStrategy(directiveAst.directive.changeDetection);
    if (calcChangesMap) {
      detectChangesInInputsMethod.addStmt(constants_1.DetectChangesVars.changes.set(o.NULL_EXPR).toStmt());
    }
    if (isOnPushComp) {
      detectChangesInInputsMethod.addStmt(constants_1.DetectChangesVars.changed.set(o.literal(false)).toStmt());
    }
    directiveAst.inputs.forEach(function(input) {
      var bindingIndex = view.bindings.length;
      view.bindings.push(new compile_binding_1.CompileBinding(compileElement, input));
      detectChangesInInputsMethod.resetDebugInfo(compileElement.nodeIndex, input);
      var fieldExpr = createBindFieldExpr(bindingIndex);
      var currValExpr = createCurrValueExpr(bindingIndex);
      var statements = [directiveInstance.prop(input.directiveName).set(currValExpr).toStmt()];
      if (calcChangesMap) {
        statements.push(new o.IfStmt(constants_1.DetectChangesVars.changes.identical(o.NULL_EXPR), [constants_1.DetectChangesVars.changes.set(o.literalMap([], new o.MapType(o.importType(identifiers_1.Identifiers.SimpleChange)))).toStmt()]));
        statements.push(constants_1.DetectChangesVars.changes.key(o.literal(input.directiveName)).set(o.importExpr(identifiers_1.Identifiers.SimpleChange).instantiate([fieldExpr, currValExpr])).toStmt());
      }
      if (isOnPushComp) {
        statements.push(constants_1.DetectChangesVars.changed.set(o.literal(true)).toStmt());
      }
      if (view.genConfig.logBindingUpdate) {
        statements.push(logBindingUpdateStmt(compileElement.renderNode, input.directiveName, currValExpr));
      }
      bind(view, currValExpr, fieldExpr, input.value, view.componentContext, statements, detectChangesInInputsMethod);
    });
    if (isOnPushComp) {
      detectChangesInInputsMethod.addStmt(new o.IfStmt(constants_1.DetectChangesVars.changed, [compileElement.appElement.prop('componentView').callMethod('markAsCheckOnce', []).toStmt()]));
    }
  }
  exports.bindDirectiveInputs = bindDirectiveInputs;
  function logBindingUpdateStmt(renderNode, propName, value) {
    return o.THIS_EXPR.prop('renderer').callMethod('setBindingDebugInfo', [renderNode, o.literal("ng-reflect-" + util_1.camelCaseToDashCase(propName)), value.isBlank().conditional(o.NULL_EXPR, value.callMethod('toString', []))]).toStmt();
  }
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/view_compiler/compile_binding.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var CompileBinding = (function() {
    function CompileBinding(node, sourceAst) {
      this.node = node;
      this.sourceAst = sourceAst;
    }
    return CompileBinding;
  }());
  exports.CompileBinding = CompileBinding;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/view_compiler/expression_converter.js", ["../facade/exceptions", "../facade/lang", "../identifiers", "../output/output_ast"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var identifiers_1 = $__require('../identifiers');
  var o = $__require('../output/output_ast');
  var IMPLICIT_RECEIVER = o.variable('#implicit');
  var ExpressionWithWrappedValueInfo = (function() {
    function ExpressionWithWrappedValueInfo(expression, needsValueUnwrapper) {
      this.expression = expression;
      this.needsValueUnwrapper = needsValueUnwrapper;
    }
    return ExpressionWithWrappedValueInfo;
  }());
  exports.ExpressionWithWrappedValueInfo = ExpressionWithWrappedValueInfo;
  function convertCdExpressionToIr(nameResolver, implicitReceiver, expression, valueUnwrapper) {
    var visitor = new _AstToIrVisitor(nameResolver, implicitReceiver, valueUnwrapper);
    var irAst = expression.visit(visitor, _Mode.Expression);
    return new ExpressionWithWrappedValueInfo(irAst, visitor.needsValueUnwrapper);
  }
  exports.convertCdExpressionToIr = convertCdExpressionToIr;
  function convertCdStatementToIr(nameResolver, implicitReceiver, stmt) {
    var visitor = new _AstToIrVisitor(nameResolver, implicitReceiver, null);
    var statements = [];
    flattenStatements(stmt.visit(visitor, _Mode.Statement), statements);
    return statements;
  }
  exports.convertCdStatementToIr = convertCdStatementToIr;
  var _Mode;
  (function(_Mode) {
    _Mode[_Mode["Statement"] = 0] = "Statement";
    _Mode[_Mode["Expression"] = 1] = "Expression";
  })(_Mode || (_Mode = {}));
  function ensureStatementMode(mode, ast) {
    if (mode !== _Mode.Statement) {
      throw new exceptions_1.BaseException("Expected a statement, but saw " + ast);
    }
  }
  function ensureExpressionMode(mode, ast) {
    if (mode !== _Mode.Expression) {
      throw new exceptions_1.BaseException("Expected an expression, but saw " + ast);
    }
  }
  function convertToStatementIfNeeded(mode, expr) {
    if (mode === _Mode.Statement) {
      return expr.toStmt();
    } else {
      return expr;
    }
  }
  var _AstToIrVisitor = (function() {
    function _AstToIrVisitor(_nameResolver, _implicitReceiver, _valueUnwrapper) {
      this._nameResolver = _nameResolver;
      this._implicitReceiver = _implicitReceiver;
      this._valueUnwrapper = _valueUnwrapper;
      this.needsValueUnwrapper = false;
    }
    _AstToIrVisitor.prototype.visitBinary = function(ast, mode) {
      var op;
      switch (ast.operation) {
        case '+':
          op = o.BinaryOperator.Plus;
          break;
        case '-':
          op = o.BinaryOperator.Minus;
          break;
        case '*':
          op = o.BinaryOperator.Multiply;
          break;
        case '/':
          op = o.BinaryOperator.Divide;
          break;
        case '%':
          op = o.BinaryOperator.Modulo;
          break;
        case '&&':
          op = o.BinaryOperator.And;
          break;
        case '||':
          op = o.BinaryOperator.Or;
          break;
        case '==':
          op = o.BinaryOperator.Equals;
          break;
        case '!=':
          op = o.BinaryOperator.NotEquals;
          break;
        case '===':
          op = o.BinaryOperator.Identical;
          break;
        case '!==':
          op = o.BinaryOperator.NotIdentical;
          break;
        case '<':
          op = o.BinaryOperator.Lower;
          break;
        case '>':
          op = o.BinaryOperator.Bigger;
          break;
        case '<=':
          op = o.BinaryOperator.LowerEquals;
          break;
        case '>=':
          op = o.BinaryOperator.BiggerEquals;
          break;
        default:
          throw new exceptions_1.BaseException("Unsupported operation " + ast.operation);
      }
      return convertToStatementIfNeeded(mode, new o.BinaryOperatorExpr(op, ast.left.visit(this, _Mode.Expression), ast.right.visit(this, _Mode.Expression)));
    };
    _AstToIrVisitor.prototype.visitChain = function(ast, mode) {
      ensureStatementMode(mode, ast);
      return this.visitAll(ast.expressions, mode);
    };
    _AstToIrVisitor.prototype.visitConditional = function(ast, mode) {
      var value = ast.condition.visit(this, _Mode.Expression);
      return convertToStatementIfNeeded(mode, value.conditional(ast.trueExp.visit(this, _Mode.Expression), ast.falseExp.visit(this, _Mode.Expression)));
    };
    _AstToIrVisitor.prototype.visitPipe = function(ast, mode) {
      var input = ast.exp.visit(this, _Mode.Expression);
      var args = this.visitAll(ast.args, _Mode.Expression);
      var value = this._nameResolver.callPipe(ast.name, input, args);
      this.needsValueUnwrapper = true;
      return convertToStatementIfNeeded(mode, this._valueUnwrapper.callMethod('unwrap', [value]));
    };
    _AstToIrVisitor.prototype.visitFunctionCall = function(ast, mode) {
      return convertToStatementIfNeeded(mode, ast.target.visit(this, _Mode.Expression).callFn(this.visitAll(ast.args, _Mode.Expression)));
    };
    _AstToIrVisitor.prototype.visitImplicitReceiver = function(ast, mode) {
      ensureExpressionMode(mode, ast);
      return IMPLICIT_RECEIVER;
    };
    _AstToIrVisitor.prototype.visitInterpolation = function(ast, mode) {
      ensureExpressionMode(mode, ast);
      var args = [o.literal(ast.expressions.length)];
      for (var i = 0; i < ast.strings.length - 1; i++) {
        args.push(o.literal(ast.strings[i]));
        args.push(ast.expressions[i].visit(this, _Mode.Expression));
      }
      args.push(o.literal(ast.strings[ast.strings.length - 1]));
      return o.importExpr(identifiers_1.Identifiers.interpolate).callFn(args);
    };
    _AstToIrVisitor.prototype.visitKeyedRead = function(ast, mode) {
      return convertToStatementIfNeeded(mode, ast.obj.visit(this, _Mode.Expression).key(ast.key.visit(this, _Mode.Expression)));
    };
    _AstToIrVisitor.prototype.visitKeyedWrite = function(ast, mode) {
      var obj = ast.obj.visit(this, _Mode.Expression);
      var key = ast.key.visit(this, _Mode.Expression);
      var value = ast.value.visit(this, _Mode.Expression);
      return convertToStatementIfNeeded(mode, obj.key(key).set(value));
    };
    _AstToIrVisitor.prototype.visitLiteralArray = function(ast, mode) {
      return convertToStatementIfNeeded(mode, this._nameResolver.createLiteralArray(this.visitAll(ast.expressions, mode)));
    };
    _AstToIrVisitor.prototype.visitLiteralMap = function(ast, mode) {
      var parts = [];
      for (var i = 0; i < ast.keys.length; i++) {
        parts.push([ast.keys[i], ast.values[i].visit(this, _Mode.Expression)]);
      }
      return convertToStatementIfNeeded(mode, this._nameResolver.createLiteralMap(parts));
    };
    _AstToIrVisitor.prototype.visitLiteralPrimitive = function(ast, mode) {
      return convertToStatementIfNeeded(mode, o.literal(ast.value));
    };
    _AstToIrVisitor.prototype.visitMethodCall = function(ast, mode) {
      var args = this.visitAll(ast.args, _Mode.Expression);
      var result = null;
      var receiver = ast.receiver.visit(this, _Mode.Expression);
      if (receiver === IMPLICIT_RECEIVER) {
        var varExpr = this._nameResolver.getLocal(ast.name);
        if (lang_1.isPresent(varExpr)) {
          result = varExpr.callFn(args);
        } else {
          receiver = this._implicitReceiver;
        }
      }
      if (lang_1.isBlank(result)) {
        result = receiver.callMethod(ast.name, args);
      }
      return convertToStatementIfNeeded(mode, result);
    };
    _AstToIrVisitor.prototype.visitPrefixNot = function(ast, mode) {
      return convertToStatementIfNeeded(mode, o.not(ast.expression.visit(this, _Mode.Expression)));
    };
    _AstToIrVisitor.prototype.visitPropertyRead = function(ast, mode) {
      var result = null;
      var receiver = ast.receiver.visit(this, _Mode.Expression);
      if (receiver === IMPLICIT_RECEIVER) {
        result = this._nameResolver.getLocal(ast.name);
        if (lang_1.isBlank(result)) {
          receiver = this._implicitReceiver;
        }
      }
      if (lang_1.isBlank(result)) {
        result = receiver.prop(ast.name);
      }
      return convertToStatementIfNeeded(mode, result);
    };
    _AstToIrVisitor.prototype.visitPropertyWrite = function(ast, mode) {
      var receiver = ast.receiver.visit(this, _Mode.Expression);
      if (receiver === IMPLICIT_RECEIVER) {
        var varExpr = this._nameResolver.getLocal(ast.name);
        if (lang_1.isPresent(varExpr)) {
          throw new exceptions_1.BaseException('Cannot assign to a reference or variable!');
        }
        receiver = this._implicitReceiver;
      }
      return convertToStatementIfNeeded(mode, receiver.prop(ast.name).set(ast.value.visit(this, _Mode.Expression)));
    };
    _AstToIrVisitor.prototype.visitSafePropertyRead = function(ast, mode) {
      var receiver = ast.receiver.visit(this, _Mode.Expression);
      return convertToStatementIfNeeded(mode, receiver.isBlank().conditional(o.NULL_EXPR, receiver.prop(ast.name)));
    };
    _AstToIrVisitor.prototype.visitSafeMethodCall = function(ast, mode) {
      var receiver = ast.receiver.visit(this, _Mode.Expression);
      var args = this.visitAll(ast.args, _Mode.Expression);
      return convertToStatementIfNeeded(mode, receiver.isBlank().conditional(o.NULL_EXPR, receiver.callMethod(ast.name, args)));
    };
    _AstToIrVisitor.prototype.visitAll = function(asts, mode) {
      var _this = this;
      return asts.map(function(ast) {
        return ast.visit(_this, mode);
      });
    };
    _AstToIrVisitor.prototype.visitQuote = function(ast, mode) {
      throw new exceptions_1.BaseException('Quotes are not supported for evaluation!');
    };
    return _AstToIrVisitor;
  }());
  function flattenStatements(arg, output) {
    if (lang_1.isArray(arg)) {
      arg.forEach(function(entry) {
        return flattenStatements(entry, output);
      });
    } else {
      output.push(arg);
    }
  }
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/view_compiler/event_binder.js", ["../facade/collection", "../facade/lang", "../output/output_ast", "./compile_binding", "./compile_method", "./constants", "./expression_converter"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var o = $__require('../output/output_ast');
  var compile_binding_1 = $__require('./compile_binding');
  var compile_method_1 = $__require('./compile_method');
  var constants_1 = $__require('./constants');
  var expression_converter_1 = $__require('./expression_converter');
  var CompileEventListener = (function() {
    function CompileEventListener(compileElement, eventTarget, eventName, listenerIndex) {
      this.compileElement = compileElement;
      this.eventTarget = eventTarget;
      this.eventName = eventName;
      this._hasComponentHostListener = false;
      this._actionResultExprs = [];
      this._method = new compile_method_1.CompileMethod(compileElement.view);
      this._methodName = "_handle_" + santitizeEventName(eventName) + "_" + compileElement.nodeIndex + "_" + listenerIndex;
      this._eventParam = new o.FnParam(constants_1.EventHandlerVars.event.name, o.importType(this.compileElement.view.genConfig.renderTypes.renderEvent));
    }
    CompileEventListener.getOrCreate = function(compileElement, eventTarget, eventName, targetEventListeners) {
      var listener = targetEventListeners.find(function(listener) {
        return listener.eventTarget == eventTarget && listener.eventName == eventName;
      });
      if (lang_1.isBlank(listener)) {
        listener = new CompileEventListener(compileElement, eventTarget, eventName, targetEventListeners.length);
        targetEventListeners.push(listener);
      }
      return listener;
    };
    CompileEventListener.prototype.addAction = function(hostEvent, directive, directiveInstance) {
      if (lang_1.isPresent(directive) && directive.isComponent) {
        this._hasComponentHostListener = true;
      }
      this._method.resetDebugInfo(this.compileElement.nodeIndex, hostEvent);
      var context = lang_1.isPresent(directiveInstance) ? directiveInstance : this.compileElement.view.componentContext;
      var actionStmts = expression_converter_1.convertCdStatementToIr(this.compileElement.view, context, hostEvent.handler);
      var lastIndex = actionStmts.length - 1;
      if (lastIndex >= 0) {
        var lastStatement = actionStmts[lastIndex];
        var returnExpr = convertStmtIntoExpression(lastStatement);
        var preventDefaultVar = o.variable("pd_" + this._actionResultExprs.length);
        this._actionResultExprs.push(preventDefaultVar);
        if (lang_1.isPresent(returnExpr)) {
          actionStmts[lastIndex] = preventDefaultVar.set(returnExpr.cast(o.DYNAMIC_TYPE).notIdentical(o.literal(false))).toDeclStmt(null, [o.StmtModifier.Final]);
        }
      }
      this._method.addStmts(actionStmts);
    };
    CompileEventListener.prototype.finishMethod = function() {
      var markPathToRootStart = this._hasComponentHostListener ? this.compileElement.appElement.prop('componentView') : o.THIS_EXPR;
      var resultExpr = o.literal(true);
      this._actionResultExprs.forEach(function(expr) {
        resultExpr = resultExpr.and(expr);
      });
      var stmts = [markPathToRootStart.callMethod('markPathToRootAsCheckOnce', []).toStmt()].concat(this._method.finish()).concat([new o.ReturnStatement(resultExpr)]);
      this.compileElement.view.eventHandlerMethods.push(new o.ClassMethod(this._methodName, [this._eventParam], stmts, o.BOOL_TYPE, [o.StmtModifier.Private]));
    };
    CompileEventListener.prototype.listenToRenderer = function() {
      var listenExpr;
      var eventListener = o.THIS_EXPR.callMethod('eventHandler', [o.THIS_EXPR.prop(this._methodName).callMethod(o.BuiltinMethod.bind, [o.THIS_EXPR])]);
      if (lang_1.isPresent(this.eventTarget)) {
        listenExpr = constants_1.ViewProperties.renderer.callMethod('listenGlobal', [o.literal(this.eventTarget), o.literal(this.eventName), eventListener]);
      } else {
        listenExpr = constants_1.ViewProperties.renderer.callMethod('listen', [this.compileElement.renderNode, o.literal(this.eventName), eventListener]);
      }
      var disposable = o.variable("disposable_" + this.compileElement.view.disposables.length);
      this.compileElement.view.disposables.push(disposable);
      this.compileElement.view.createMethod.addStmt(disposable.set(listenExpr).toDeclStmt(o.FUNCTION_TYPE, [o.StmtModifier.Private]));
    };
    CompileEventListener.prototype.listenToDirective = function(directiveInstance, observablePropName) {
      var subscription = o.variable("subscription_" + this.compileElement.view.subscriptions.length);
      this.compileElement.view.subscriptions.push(subscription);
      var eventListener = o.THIS_EXPR.callMethod('eventHandler', [o.THIS_EXPR.prop(this._methodName).callMethod(o.BuiltinMethod.bind, [o.THIS_EXPR])]);
      this.compileElement.view.createMethod.addStmt(subscription.set(directiveInstance.prop(observablePropName).callMethod(o.BuiltinMethod.SubscribeObservable, [eventListener])).toDeclStmt(null, [o.StmtModifier.Final]));
    };
    return CompileEventListener;
  }());
  exports.CompileEventListener = CompileEventListener;
  function collectEventListeners(hostEvents, dirs, compileElement) {
    var eventListeners = [];
    hostEvents.forEach(function(hostEvent) {
      compileElement.view.bindings.push(new compile_binding_1.CompileBinding(compileElement, hostEvent));
      var listener = CompileEventListener.getOrCreate(compileElement, hostEvent.target, hostEvent.name, eventListeners);
      listener.addAction(hostEvent, null, null);
    });
    collection_1.ListWrapper.forEachWithIndex(dirs, function(directiveAst, i) {
      var directiveInstance = compileElement.directiveInstances[i];
      directiveAst.hostEvents.forEach(function(hostEvent) {
        compileElement.view.bindings.push(new compile_binding_1.CompileBinding(compileElement, hostEvent));
        var listener = CompileEventListener.getOrCreate(compileElement, hostEvent.target, hostEvent.name, eventListeners);
        listener.addAction(hostEvent, directiveAst.directive, directiveInstance);
      });
    });
    eventListeners.forEach(function(listener) {
      return listener.finishMethod();
    });
    return eventListeners;
  }
  exports.collectEventListeners = collectEventListeners;
  function bindDirectiveOutputs(directiveAst, directiveInstance, eventListeners) {
    collection_1.StringMapWrapper.forEach(directiveAst.directive.outputs, function(eventName, observablePropName) {
      eventListeners.filter(function(listener) {
        return listener.eventName == eventName;
      }).forEach(function(listener) {
        listener.listenToDirective(directiveInstance, observablePropName);
      });
    });
  }
  exports.bindDirectiveOutputs = bindDirectiveOutputs;
  function bindRenderOutputs(eventListeners) {
    eventListeners.forEach(function(listener) {
      return listener.listenToRenderer();
    });
  }
  exports.bindRenderOutputs = bindRenderOutputs;
  function convertStmtIntoExpression(stmt) {
    if (stmt instanceof o.ExpressionStatement) {
      return stmt.expr;
    } else if (stmt instanceof o.ReturnStatement) {
      return stmt.value;
    }
    return null;
  }
  function santitizeEventName(name) {
    return lang_1.StringWrapper.replaceAll(name, /[^a-zA-Z_]/g, '_');
  }
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/view_compiler/lifecycle_binder.js", ["../../core_private", "../output/output_ast", "./constants"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_private_1 = $__require('../../core_private');
  var o = $__require('../output/output_ast');
  var constants_1 = $__require('./constants');
  var STATE_IS_NEVER_CHECKED = o.THIS_EXPR.prop('numberOfChecks').identical(new o.LiteralExpr(0));
  var NOT_THROW_ON_CHANGES = o.not(constants_1.DetectChangesVars.throwOnChange);
  function bindDirectiveDetectChangesLifecycleCallbacks(directiveAst, directiveInstance, compileElement) {
    var view = compileElement.view;
    var detectChangesInInputsMethod = view.detectChangesInInputsMethod;
    var lifecycleHooks = directiveAst.directive.lifecycleHooks;
    if (lifecycleHooks.indexOf(core_private_1.LifecycleHooks.OnChanges) !== -1 && directiveAst.inputs.length > 0) {
      detectChangesInInputsMethod.addStmt(new o.IfStmt(constants_1.DetectChangesVars.changes.notIdentical(o.NULL_EXPR), [directiveInstance.callMethod('ngOnChanges', [constants_1.DetectChangesVars.changes]).toStmt()]));
    }
    if (lifecycleHooks.indexOf(core_private_1.LifecycleHooks.OnInit) !== -1) {
      detectChangesInInputsMethod.addStmt(new o.IfStmt(STATE_IS_NEVER_CHECKED.and(NOT_THROW_ON_CHANGES), [directiveInstance.callMethod('ngOnInit', []).toStmt()]));
    }
    if (lifecycleHooks.indexOf(core_private_1.LifecycleHooks.DoCheck) !== -1) {
      detectChangesInInputsMethod.addStmt(new o.IfStmt(NOT_THROW_ON_CHANGES, [directiveInstance.callMethod('ngDoCheck', []).toStmt()]));
    }
  }
  exports.bindDirectiveDetectChangesLifecycleCallbacks = bindDirectiveDetectChangesLifecycleCallbacks;
  function bindDirectiveAfterContentLifecycleCallbacks(directiveMeta, directiveInstance, compileElement) {
    var view = compileElement.view;
    var lifecycleHooks = directiveMeta.lifecycleHooks;
    var afterContentLifecycleCallbacksMethod = view.afterContentLifecycleCallbacksMethod;
    afterContentLifecycleCallbacksMethod.resetDebugInfo(compileElement.nodeIndex, compileElement.sourceAst);
    if (lifecycleHooks.indexOf(core_private_1.LifecycleHooks.AfterContentInit) !== -1) {
      afterContentLifecycleCallbacksMethod.addStmt(new o.IfStmt(STATE_IS_NEVER_CHECKED, [directiveInstance.callMethod('ngAfterContentInit', []).toStmt()]));
    }
    if (lifecycleHooks.indexOf(core_private_1.LifecycleHooks.AfterContentChecked) !== -1) {
      afterContentLifecycleCallbacksMethod.addStmt(directiveInstance.callMethod('ngAfterContentChecked', []).toStmt());
    }
  }
  exports.bindDirectiveAfterContentLifecycleCallbacks = bindDirectiveAfterContentLifecycleCallbacks;
  function bindDirectiveAfterViewLifecycleCallbacks(directiveMeta, directiveInstance, compileElement) {
    var view = compileElement.view;
    var lifecycleHooks = directiveMeta.lifecycleHooks;
    var afterViewLifecycleCallbacksMethod = view.afterViewLifecycleCallbacksMethod;
    afterViewLifecycleCallbacksMethod.resetDebugInfo(compileElement.nodeIndex, compileElement.sourceAst);
    if (lifecycleHooks.indexOf(core_private_1.LifecycleHooks.AfterViewInit) !== -1) {
      afterViewLifecycleCallbacksMethod.addStmt(new o.IfStmt(STATE_IS_NEVER_CHECKED, [directiveInstance.callMethod('ngAfterViewInit', []).toStmt()]));
    }
    if (lifecycleHooks.indexOf(core_private_1.LifecycleHooks.AfterViewChecked) !== -1) {
      afterViewLifecycleCallbacksMethod.addStmt(directiveInstance.callMethod('ngAfterViewChecked', []).toStmt());
    }
  }
  exports.bindDirectiveAfterViewLifecycleCallbacks = bindDirectiveAfterViewLifecycleCallbacks;
  function bindDirectiveDestroyLifecycleCallbacks(directiveMeta, directiveInstance, compileElement) {
    var onDestroyMethod = compileElement.view.destroyMethod;
    onDestroyMethod.resetDebugInfo(compileElement.nodeIndex, compileElement.sourceAst);
    if (directiveMeta.lifecycleHooks.indexOf(core_private_1.LifecycleHooks.OnDestroy) !== -1) {
      onDestroyMethod.addStmt(directiveInstance.callMethod('ngOnDestroy', []).toStmt());
    }
  }
  exports.bindDirectiveDestroyLifecycleCallbacks = bindDirectiveDestroyLifecycleCallbacks;
  function bindPipeDestroyLifecycleCallbacks(pipeMeta, pipeInstance, view) {
    var onDestroyMethod = view.destroyMethod;
    if (pipeMeta.lifecycleHooks.indexOf(core_private_1.LifecycleHooks.OnDestroy) !== -1) {
      onDestroyMethod.addStmt(pipeInstance.callMethod('ngOnDestroy', []).toStmt());
    }
  }
  exports.bindPipeDestroyLifecycleCallbacks = bindPipeDestroyLifecycleCallbacks;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/view_compiler/view_binder.js", ["../facade/collection", "../template_ast", "./property_binder", "./event_binder", "./lifecycle_binder"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var collection_1 = $__require('../facade/collection');
  var template_ast_1 = $__require('../template_ast');
  var property_binder_1 = $__require('./property_binder');
  var event_binder_1 = $__require('./event_binder');
  var lifecycle_binder_1 = $__require('./lifecycle_binder');
  function bindView(view, parsedTemplate) {
    var visitor = new ViewBinderVisitor(view);
    template_ast_1.templateVisitAll(visitor, parsedTemplate);
    view.pipes.forEach(function(pipe) {
      lifecycle_binder_1.bindPipeDestroyLifecycleCallbacks(pipe.meta, pipe.instance, pipe.view);
    });
  }
  exports.bindView = bindView;
  var ViewBinderVisitor = (function() {
    function ViewBinderVisitor(view) {
      this.view = view;
      this._nodeIndex = 0;
    }
    ViewBinderVisitor.prototype.visitBoundText = function(ast, parent) {
      var node = this.view.nodes[this._nodeIndex++];
      property_binder_1.bindRenderText(ast, node, this.view);
      return null;
    };
    ViewBinderVisitor.prototype.visitText = function(ast, parent) {
      this._nodeIndex++;
      return null;
    };
    ViewBinderVisitor.prototype.visitNgContent = function(ast, parent) {
      return null;
    };
    ViewBinderVisitor.prototype.visitElement = function(ast, parent) {
      var compileElement = this.view.nodes[this._nodeIndex++];
      var eventListeners = event_binder_1.collectEventListeners(ast.outputs, ast.directives, compileElement);
      property_binder_1.bindRenderInputs(ast.inputs, compileElement);
      event_binder_1.bindRenderOutputs(eventListeners);
      collection_1.ListWrapper.forEachWithIndex(ast.directives, function(directiveAst, index) {
        var directiveInstance = compileElement.directiveInstances[index];
        property_binder_1.bindDirectiveInputs(directiveAst, directiveInstance, compileElement);
        lifecycle_binder_1.bindDirectiveDetectChangesLifecycleCallbacks(directiveAst, directiveInstance, compileElement);
        property_binder_1.bindDirectiveHostProps(directiveAst, directiveInstance, compileElement);
        event_binder_1.bindDirectiveOutputs(directiveAst, directiveInstance, eventListeners);
      });
      template_ast_1.templateVisitAll(this, ast.children, compileElement);
      collection_1.ListWrapper.forEachWithIndex(ast.directives, function(directiveAst, index) {
        var directiveInstance = compileElement.directiveInstances[index];
        lifecycle_binder_1.bindDirectiveAfterContentLifecycleCallbacks(directiveAst.directive, directiveInstance, compileElement);
        lifecycle_binder_1.bindDirectiveAfterViewLifecycleCallbacks(directiveAst.directive, directiveInstance, compileElement);
        lifecycle_binder_1.bindDirectiveDestroyLifecycleCallbacks(directiveAst.directive, directiveInstance, compileElement);
      });
      return null;
    };
    ViewBinderVisitor.prototype.visitEmbeddedTemplate = function(ast, parent) {
      var compileElement = this.view.nodes[this._nodeIndex++];
      var eventListeners = event_binder_1.collectEventListeners(ast.outputs, ast.directives, compileElement);
      collection_1.ListWrapper.forEachWithIndex(ast.directives, function(directiveAst, index) {
        var directiveInstance = compileElement.directiveInstances[index];
        property_binder_1.bindDirectiveInputs(directiveAst, directiveInstance, compileElement);
        lifecycle_binder_1.bindDirectiveDetectChangesLifecycleCallbacks(directiveAst, directiveInstance, compileElement);
        event_binder_1.bindDirectiveOutputs(directiveAst, directiveInstance, eventListeners);
        lifecycle_binder_1.bindDirectiveAfterContentLifecycleCallbacks(directiveAst.directive, directiveInstance, compileElement);
        lifecycle_binder_1.bindDirectiveAfterViewLifecycleCallbacks(directiveAst.directive, directiveInstance, compileElement);
        lifecycle_binder_1.bindDirectiveDestroyLifecycleCallbacks(directiveAst.directive, directiveInstance, compileElement);
      });
      bindView(compileElement.embeddedView, ast.children);
      return null;
    };
    ViewBinderVisitor.prototype.visitAttr = function(ast, ctx) {
      return null;
    };
    ViewBinderVisitor.prototype.visitDirective = function(ast, ctx) {
      return null;
    };
    ViewBinderVisitor.prototype.visitEvent = function(ast, eventTargetAndNames) {
      return null;
    };
    ViewBinderVisitor.prototype.visitReference = function(ast, ctx) {
      return null;
    };
    ViewBinderVisitor.prototype.visitVariable = function(ast, ctx) {
      return null;
    };
    ViewBinderVisitor.prototype.visitDirectiveProperty = function(ast, context) {
      return null;
    };
    ViewBinderVisitor.prototype.visitElementProperty = function(ast, context) {
      return null;
    };
    return ViewBinderVisitor;
  }());
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/facade/math.js", ["./lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('./lang');
  exports.Math = lang_1.global.Math;
  exports.NaN = typeof exports.NaN;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/parse_util.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var ParseLocation = (function() {
    function ParseLocation(file, offset, line, col) {
      this.file = file;
      this.offset = offset;
      this.line = line;
      this.col = col;
    }
    ParseLocation.prototype.toString = function() {
      return this.file.url + "@" + this.line + ":" + this.col;
    };
    return ParseLocation;
  }());
  exports.ParseLocation = ParseLocation;
  var ParseSourceFile = (function() {
    function ParseSourceFile(content, url) {
      this.content = content;
      this.url = url;
    }
    return ParseSourceFile;
  }());
  exports.ParseSourceFile = ParseSourceFile;
  var ParseSourceSpan = (function() {
    function ParseSourceSpan(start, end) {
      this.start = start;
      this.end = end;
    }
    ParseSourceSpan.prototype.toString = function() {
      return this.start.file.content.substring(this.start.offset, this.end.offset);
    };
    return ParseSourceSpan;
  }());
  exports.ParseSourceSpan = ParseSourceSpan;
  (function(ParseErrorLevel) {
    ParseErrorLevel[ParseErrorLevel["WARNING"] = 0] = "WARNING";
    ParseErrorLevel[ParseErrorLevel["FATAL"] = 1] = "FATAL";
  })(exports.ParseErrorLevel || (exports.ParseErrorLevel = {}));
  var ParseErrorLevel = exports.ParseErrorLevel;
  var ParseError = (function() {
    function ParseError(span, msg, level) {
      if (level === void 0) {
        level = ParseErrorLevel.FATAL;
      }
      this.span = span;
      this.msg = msg;
      this.level = level;
    }
    ParseError.prototype.toString = function() {
      var source = this.span.start.file.content;
      var ctxStart = this.span.start.offset;
      if (ctxStart > source.length - 1) {
        ctxStart = source.length - 1;
      }
      var ctxEnd = ctxStart;
      var ctxLen = 0;
      var ctxLines = 0;
      while (ctxLen < 100 && ctxStart > 0) {
        ctxStart--;
        ctxLen++;
        if (source[ctxStart] == '\n') {
          if (++ctxLines == 3) {
            break;
          }
        }
      }
      ctxLen = 0;
      ctxLines = 0;
      while (ctxLen < 100 && ctxEnd < source.length - 1) {
        ctxEnd++;
        ctxLen++;
        if (source[ctxEnd] == '\n') {
          if (++ctxLines == 3) {
            break;
          }
        }
      }
      var context = source.substring(ctxStart, this.span.start.offset) + '[ERROR ->]' + source.substring(this.span.start.offset, ctxEnd + 1);
      return this.msg + " (\"" + context + "\"): " + this.span.start;
    };
    return ParseError;
  }());
  exports.ParseError = ParseError;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/animation/animation_ast.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var AnimationAst = (function() {
    function AnimationAst() {
      this.startTime = 0;
      this.playTime = 0;
    }
    return AnimationAst;
  }());
  exports.AnimationAst = AnimationAst;
  var AnimationStateAst = (function(_super) {
    __extends(AnimationStateAst, _super);
    function AnimationStateAst() {
      _super.apply(this, arguments);
    }
    return AnimationStateAst;
  }(AnimationAst));
  exports.AnimationStateAst = AnimationStateAst;
  var AnimationEntryAst = (function(_super) {
    __extends(AnimationEntryAst, _super);
    function AnimationEntryAst(name, stateDeclarations, stateTransitions) {
      _super.call(this);
      this.name = name;
      this.stateDeclarations = stateDeclarations;
      this.stateTransitions = stateTransitions;
    }
    AnimationEntryAst.prototype.visit = function(visitor, context) {
      return visitor.visitAnimationEntry(this, context);
    };
    return AnimationEntryAst;
  }(AnimationAst));
  exports.AnimationEntryAst = AnimationEntryAst;
  var AnimationStateDeclarationAst = (function(_super) {
    __extends(AnimationStateDeclarationAst, _super);
    function AnimationStateDeclarationAst(stateName, styles) {
      _super.call(this);
      this.stateName = stateName;
      this.styles = styles;
    }
    AnimationStateDeclarationAst.prototype.visit = function(visitor, context) {
      return visitor.visitAnimationStateDeclaration(this, context);
    };
    return AnimationStateDeclarationAst;
  }(AnimationStateAst));
  exports.AnimationStateDeclarationAst = AnimationStateDeclarationAst;
  var AnimationStateTransitionExpression = (function() {
    function AnimationStateTransitionExpression(fromState, toState) {
      this.fromState = fromState;
      this.toState = toState;
    }
    return AnimationStateTransitionExpression;
  }());
  exports.AnimationStateTransitionExpression = AnimationStateTransitionExpression;
  var AnimationStateTransitionAst = (function(_super) {
    __extends(AnimationStateTransitionAst, _super);
    function AnimationStateTransitionAst(stateChanges, animation) {
      _super.call(this);
      this.stateChanges = stateChanges;
      this.animation = animation;
    }
    AnimationStateTransitionAst.prototype.visit = function(visitor, context) {
      return visitor.visitAnimationStateTransition(this, context);
    };
    return AnimationStateTransitionAst;
  }(AnimationStateAst));
  exports.AnimationStateTransitionAst = AnimationStateTransitionAst;
  var AnimationStepAst = (function(_super) {
    __extends(AnimationStepAst, _super);
    function AnimationStepAst(startingStyles, keyframes, duration, delay, easing) {
      _super.call(this);
      this.startingStyles = startingStyles;
      this.keyframes = keyframes;
      this.duration = duration;
      this.delay = delay;
      this.easing = easing;
    }
    AnimationStepAst.prototype.visit = function(visitor, context) {
      return visitor.visitAnimationStep(this, context);
    };
    return AnimationStepAst;
  }(AnimationAst));
  exports.AnimationStepAst = AnimationStepAst;
  var AnimationStylesAst = (function(_super) {
    __extends(AnimationStylesAst, _super);
    function AnimationStylesAst(styles) {
      _super.call(this);
      this.styles = styles;
    }
    AnimationStylesAst.prototype.visit = function(visitor, context) {
      return visitor.visitAnimationStyles(this, context);
    };
    return AnimationStylesAst;
  }(AnimationAst));
  exports.AnimationStylesAst = AnimationStylesAst;
  var AnimationKeyframeAst = (function(_super) {
    __extends(AnimationKeyframeAst, _super);
    function AnimationKeyframeAst(offset, styles) {
      _super.call(this);
      this.offset = offset;
      this.styles = styles;
    }
    AnimationKeyframeAst.prototype.visit = function(visitor, context) {
      return visitor.visitAnimationKeyframe(this, context);
    };
    return AnimationKeyframeAst;
  }(AnimationAst));
  exports.AnimationKeyframeAst = AnimationKeyframeAst;
  var AnimationWithStepsAst = (function(_super) {
    __extends(AnimationWithStepsAst, _super);
    function AnimationWithStepsAst(steps) {
      _super.call(this);
      this.steps = steps;
    }
    return AnimationWithStepsAst;
  }(AnimationAst));
  exports.AnimationWithStepsAst = AnimationWithStepsAst;
  var AnimationGroupAst = (function(_super) {
    __extends(AnimationGroupAst, _super);
    function AnimationGroupAst(steps) {
      _super.call(this, steps);
    }
    AnimationGroupAst.prototype.visit = function(visitor, context) {
      return visitor.visitAnimationGroup(this, context);
    };
    return AnimationGroupAst;
  }(AnimationWithStepsAst));
  exports.AnimationGroupAst = AnimationGroupAst;
  var AnimationSequenceAst = (function(_super) {
    __extends(AnimationSequenceAst, _super);
    function AnimationSequenceAst(steps) {
      _super.call(this, steps);
    }
    AnimationSequenceAst.prototype.visit = function(visitor, context) {
      return visitor.visitAnimationSequence(this, context);
    };
    return AnimationSequenceAst;
  }(AnimationWithStepsAst));
  exports.AnimationSequenceAst = AnimationSequenceAst;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/animation/styles_collection.js", ["../facade/collection", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var StylesCollectionEntry = (function() {
    function StylesCollectionEntry(time, value) {
      this.time = time;
      this.value = value;
    }
    StylesCollectionEntry.prototype.matches = function(time, value) {
      return time == this.time && value == this.value;
    };
    return StylesCollectionEntry;
  }());
  exports.StylesCollectionEntry = StylesCollectionEntry;
  var StylesCollection = (function() {
    function StylesCollection() {
      this.styles = {};
    }
    StylesCollection.prototype.insertAtTime = function(property, time, value) {
      var tuple = new StylesCollectionEntry(time, value);
      var entries = this.styles[property];
      if (!lang_1.isPresent(entries)) {
        entries = this.styles[property] = [];
      }
      var insertionIndex = 0;
      for (var i = entries.length - 1; i >= 0; i--) {
        if (entries[i].time <= time) {
          insertionIndex = i + 1;
          break;
        }
      }
      collection_1.ListWrapper.insert(entries, insertionIndex, tuple);
    };
    StylesCollection.prototype.getByIndex = function(property, index) {
      var items = this.styles[property];
      if (lang_1.isPresent(items)) {
        return index >= items.length ? null : items[index];
      }
      return null;
    };
    StylesCollection.prototype.indexOfAtOrBeforeTime = function(property, time) {
      var entries = this.styles[property];
      if (lang_1.isPresent(entries)) {
        for (var i = entries.length - 1; i >= 0; i--) {
          if (entries[i].time <= time)
            return i;
        }
      }
      return null;
    };
    return StylesCollection;
  }());
  exports.StylesCollection = StylesCollection;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/animation/animation_parser.js", ["../../core_private", "../compile_metadata", "../facade/collection", "../facade/lang", "../facade/math", "../parse_util", "./animation_ast", "./styles_collection"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_private_1 = $__require('../../core_private');
  var compile_metadata_1 = $__require('../compile_metadata');
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var math_1 = $__require('../facade/math');
  var parse_util_1 = $__require('../parse_util');
  var animation_ast_1 = $__require('./animation_ast');
  var styles_collection_1 = $__require('./styles_collection');
  var _INITIAL_KEYFRAME = 0;
  var _TERMINAL_KEYFRAME = 1;
  var _ONE_SECOND = 1000;
  var AnimationParseError = (function(_super) {
    __extends(AnimationParseError, _super);
    function AnimationParseError(message) {
      _super.call(this, null, message);
    }
    AnimationParseError.prototype.toString = function() {
      return "" + this.msg;
    };
    return AnimationParseError;
  }(parse_util_1.ParseError));
  exports.AnimationParseError = AnimationParseError;
  var ParsedAnimationResult = (function() {
    function ParsedAnimationResult(ast, errors) {
      this.ast = ast;
      this.errors = errors;
    }
    return ParsedAnimationResult;
  }());
  exports.ParsedAnimationResult = ParsedAnimationResult;
  function parseAnimationEntry(entry) {
    var errors = [];
    var stateStyles = {};
    var transitions = [];
    var stateDeclarationAsts = [];
    entry.definitions.forEach(function(def) {
      if (def instanceof compile_metadata_1.CompileAnimationStateDeclarationMetadata) {
        _parseAnimationDeclarationStates(def, errors).forEach(function(ast) {
          stateDeclarationAsts.push(ast);
          stateStyles[ast.stateName] = ast.styles;
        });
      } else {
        transitions.push(def);
      }
    });
    var stateTransitionAsts = transitions.map(function(transDef) {
      return _parseAnimationStateTransition(transDef, stateStyles, errors);
    });
    var ast = new animation_ast_1.AnimationEntryAst(entry.name, stateDeclarationAsts, stateTransitionAsts);
    return new ParsedAnimationResult(ast, errors);
  }
  exports.parseAnimationEntry = parseAnimationEntry;
  function _parseAnimationDeclarationStates(stateMetadata, errors) {
    var styleValues = [];
    stateMetadata.styles.styles.forEach(function(stylesEntry) {
      if (lang_1.isStringMap(stylesEntry)) {
        styleValues.push(stylesEntry);
      } else {
        errors.push(new AnimationParseError("State based animations cannot contain references to other states"));
      }
    });
    var defStyles = new animation_ast_1.AnimationStylesAst(styleValues);
    var states = stateMetadata.stateNameExpr.split(/\s*,\s*/);
    return states.map(function(state) {
      return new animation_ast_1.AnimationStateDeclarationAst(state, defStyles);
    });
  }
  function _parseAnimationStateTransition(transitionStateMetadata, stateStyles, errors) {
    var styles = new styles_collection_1.StylesCollection();
    var transitionExprs = [];
    var transitionStates = transitionStateMetadata.stateChangeExpr.split(/\s*,\s*/);
    transitionStates.forEach(function(expr) {
      _parseAnimationTransitionExpr(expr, errors).forEach(function(transExpr) {
        transitionExprs.push(transExpr);
      });
    });
    var entry = _normalizeAnimationEntry(transitionStateMetadata.steps);
    var animation = _normalizeStyleSteps(entry, stateStyles, errors);
    var animationAst = _parseTransitionAnimation(animation, 0, styles, stateStyles, errors);
    if (errors.length == 0) {
      _fillAnimationAstStartingKeyframes(animationAst, styles, errors);
    }
    var sequenceAst = (animationAst instanceof animation_ast_1.AnimationSequenceAst) ? animationAst : new animation_ast_1.AnimationSequenceAst([animationAst]);
    return new animation_ast_1.AnimationStateTransitionAst(transitionExprs, sequenceAst);
  }
  function _parseAnimationTransitionExpr(eventStr, errors) {
    var expressions = [];
    var match = eventStr.match(/^(\*|[-\w]+)\s*(<?[=-]>)\s*(\*|[-\w]+)$/);
    if (!lang_1.isPresent(match) || match.length < 4) {
      errors.push(new AnimationParseError("the provided " + eventStr + " is not of a supported format"));
      return expressions;
    }
    var fromState = match[1];
    var separator = match[2];
    var toState = match[3];
    expressions.push(new animation_ast_1.AnimationStateTransitionExpression(fromState, toState));
    var isFullAnyStateExpr = fromState == core_private_1.ANY_STATE && toState == core_private_1.ANY_STATE;
    if (separator[0] == '<' && !isFullAnyStateExpr) {
      expressions.push(new animation_ast_1.AnimationStateTransitionExpression(toState, fromState));
    }
    return expressions;
  }
  function _fetchSylesFromState(stateName, stateStyles) {
    var entry = stateStyles[stateName];
    if (lang_1.isPresent(entry)) {
      var styles = entry.styles;
      return new compile_metadata_1.CompileAnimationStyleMetadata(0, styles);
    }
    return null;
  }
  function _normalizeAnimationEntry(entry) {
    return lang_1.isArray(entry) ? new compile_metadata_1.CompileAnimationSequenceMetadata(entry) : entry;
  }
  function _normalizeStyleMetadata(entry, stateStyles, errors) {
    var normalizedStyles = [];
    entry.styles.forEach(function(styleEntry) {
      if (lang_1.isString(styleEntry)) {
        collection_1.ListWrapper.addAll(normalizedStyles, _resolveStylesFromState(styleEntry, stateStyles, errors));
      } else {
        normalizedStyles.push(styleEntry);
      }
    });
    return normalizedStyles;
  }
  function _normalizeStyleSteps(entry, stateStyles, errors) {
    var steps = _normalizeStyleStepEntry(entry, stateStyles, errors);
    return new compile_metadata_1.CompileAnimationSequenceMetadata(steps);
  }
  function _mergeAnimationStyles(stylesList, newItem) {
    if (lang_1.isStringMap(newItem) && stylesList.length > 0) {
      var lastIndex = stylesList.length - 1;
      var lastItem = stylesList[lastIndex];
      if (lang_1.isStringMap(lastItem)) {
        stylesList[lastIndex] = collection_1.StringMapWrapper.merge(lastItem, newItem);
        return;
      }
    }
    stylesList.push(newItem);
  }
  function _normalizeStyleStepEntry(entry, stateStyles, errors) {
    var steps;
    if (entry instanceof compile_metadata_1.CompileAnimationWithStepsMetadata) {
      steps = entry.steps;
    } else {
      return [entry];
    }
    var newSteps = [];
    var combinedStyles;
    steps.forEach(function(step) {
      if (step instanceof compile_metadata_1.CompileAnimationStyleMetadata) {
        if (!lang_1.isPresent(combinedStyles)) {
          combinedStyles = [];
        }
        _normalizeStyleMetadata(step, stateStyles, errors).forEach(function(entry) {
          _mergeAnimationStyles(combinedStyles, entry);
        });
      } else {
        if (lang_1.isPresent(combinedStyles)) {
          newSteps.push(new compile_metadata_1.CompileAnimationStyleMetadata(0, combinedStyles));
          combinedStyles = null;
        }
        if (step instanceof compile_metadata_1.CompileAnimationAnimateMetadata) {
          var animateStyleValue = step.styles;
          if (animateStyleValue instanceof compile_metadata_1.CompileAnimationStyleMetadata) {
            animateStyleValue.styles = _normalizeStyleMetadata(animateStyleValue, stateStyles, errors);
          } else if (animateStyleValue instanceof compile_metadata_1.CompileAnimationKeyframesSequenceMetadata) {
            animateStyleValue.steps.forEach(function(step) {
              step.styles = _normalizeStyleMetadata(step, stateStyles, errors);
            });
          }
        } else if (step instanceof compile_metadata_1.CompileAnimationWithStepsMetadata) {
          var innerSteps = _normalizeStyleStepEntry(step, stateStyles, errors);
          step = step instanceof compile_metadata_1.CompileAnimationGroupMetadata ? new compile_metadata_1.CompileAnimationGroupMetadata(innerSteps) : new compile_metadata_1.CompileAnimationSequenceMetadata(innerSteps);
        }
        newSteps.push(step);
      }
    });
    if (lang_1.isPresent(combinedStyles)) {
      newSteps.push(new compile_metadata_1.CompileAnimationStyleMetadata(0, combinedStyles));
    }
    return newSteps;
  }
  function _resolveStylesFromState(stateName, stateStyles, errors) {
    var styles = [];
    if (stateName[0] != ':') {
      errors.push(new AnimationParseError("Animation states via styles must be prefixed with a \":\""));
    } else {
      var normalizedStateName = stateName.substring(1);
      var value = stateStyles[normalizedStateName];
      if (!lang_1.isPresent(value)) {
        errors.push(new AnimationParseError("Unable to apply styles due to missing a state: \"" + normalizedStateName + "\""));
      } else {
        value.styles.forEach(function(stylesEntry) {
          if (lang_1.isStringMap(stylesEntry)) {
            styles.push(stylesEntry);
          }
        });
      }
    }
    return styles;
  }
  var _AnimationTimings = (function() {
    function _AnimationTimings(duration, delay, easing) {
      this.duration = duration;
      this.delay = delay;
      this.easing = easing;
    }
    return _AnimationTimings;
  }());
  function _parseAnimationKeyframes(keyframeSequence, currentTime, collectedStyles, stateStyles, errors) {
    var totalEntries = keyframeSequence.steps.length;
    var totalOffsets = 0;
    keyframeSequence.steps.forEach(function(step) {
      return totalOffsets += (lang_1.isPresent(step.offset) ? 1 : 0);
    });
    if (totalOffsets > 0 && totalOffsets < totalEntries) {
      errors.push(new AnimationParseError("Not all style() entries contain an offset for the provided keyframe()"));
      totalOffsets = totalEntries;
    }
    var limit = totalEntries - 1;
    var margin = totalOffsets == 0 ? (1 / limit) : 0;
    var rawKeyframes = [];
    var index = 0;
    var doSortKeyframes = false;
    var lastOffset = 0;
    keyframeSequence.steps.forEach(function(styleMetadata) {
      var offset = styleMetadata.offset;
      var keyframeStyles = {};
      styleMetadata.styles.forEach(function(entry) {
        collection_1.StringMapWrapper.forEach(entry, function(value, prop) {
          if (prop != 'offset') {
            keyframeStyles[prop] = value;
          }
        });
      });
      if (lang_1.isPresent(offset)) {
        doSortKeyframes = doSortKeyframes || (offset < lastOffset);
      } else {
        offset = index == limit ? _TERMINAL_KEYFRAME : (margin * index);
      }
      rawKeyframes.push([offset, keyframeStyles]);
      lastOffset = offset;
      index++;
    });
    if (doSortKeyframes) {
      collection_1.ListWrapper.sort(rawKeyframes, function(a, b) {
        return a[0] <= b[0] ? -1 : 1;
      });
    }
    var i;
    var firstKeyframe = rawKeyframes[0];
    if (firstKeyframe[0] != _INITIAL_KEYFRAME) {
      collection_1.ListWrapper.insert(rawKeyframes, 0, firstKeyframe = [_INITIAL_KEYFRAME, {}]);
    }
    var firstKeyframeStyles = firstKeyframe[1];
    var limit = rawKeyframes.length - 1;
    var lastKeyframe = rawKeyframes[limit];
    if (lastKeyframe[0] != _TERMINAL_KEYFRAME) {
      rawKeyframes.push(lastKeyframe = [_TERMINAL_KEYFRAME, {}]);
      limit++;
    }
    var lastKeyframeStyles = lastKeyframe[1];
    for (i = 1; i <= limit; i++) {
      var entry = rawKeyframes[i];
      var styles = entry[1];
      collection_1.StringMapWrapper.forEach(styles, function(value, prop) {
        if (!lang_1.isPresent(firstKeyframeStyles[prop])) {
          firstKeyframeStyles[prop] = core_private_1.FILL_STYLE_FLAG;
        }
      });
    }
    for (i = limit - 1; i >= 0; i--) {
      var entry = rawKeyframes[i];
      var styles = entry[1];
      collection_1.StringMapWrapper.forEach(styles, function(value, prop) {
        if (!lang_1.isPresent(lastKeyframeStyles[prop])) {
          lastKeyframeStyles[prop] = value;
        }
      });
    }
    return rawKeyframes.map(function(entry) {
      return new animation_ast_1.AnimationKeyframeAst(entry[0], new animation_ast_1.AnimationStylesAst([entry[1]]));
    });
  }
  function _parseTransitionAnimation(entry, currentTime, collectedStyles, stateStyles, errors) {
    var ast;
    var playTime = 0;
    var startingTime = currentTime;
    if (entry instanceof compile_metadata_1.CompileAnimationWithStepsMetadata) {
      var maxDuration = 0;
      var steps = [];
      var isGroup = entry instanceof compile_metadata_1.CompileAnimationGroupMetadata;
      var previousStyles;
      entry.steps.forEach(function(entry) {
        var time = isGroup ? startingTime : currentTime;
        if (entry instanceof compile_metadata_1.CompileAnimationStyleMetadata) {
          entry.styles.forEach(function(stylesEntry) {
            var map = stylesEntry;
            collection_1.StringMapWrapper.forEach(map, function(value, prop) {
              collectedStyles.insertAtTime(prop, time, value);
            });
          });
          previousStyles = entry.styles;
          return;
        }
        var innerAst = _parseTransitionAnimation(entry, time, collectedStyles, stateStyles, errors);
        if (lang_1.isPresent(previousStyles)) {
          if (entry instanceof compile_metadata_1.CompileAnimationWithStepsMetadata) {
            var startingStyles = new animation_ast_1.AnimationStylesAst(previousStyles);
            steps.push(new animation_ast_1.AnimationStepAst(startingStyles, [], 0, 0, ''));
          } else {
            var innerStep = innerAst;
            collection_1.ListWrapper.addAll(innerStep.startingStyles.styles, previousStyles);
          }
          previousStyles = null;
        }
        var astDuration = innerAst.playTime;
        currentTime += astDuration;
        playTime += astDuration;
        maxDuration = math_1.Math.max(astDuration, maxDuration);
        steps.push(innerAst);
      });
      if (lang_1.isPresent(previousStyles)) {
        var startingStyles = new animation_ast_1.AnimationStylesAst(previousStyles);
        steps.push(new animation_ast_1.AnimationStepAst(startingStyles, [], 0, 0, ''));
      }
      if (isGroup) {
        ast = new animation_ast_1.AnimationGroupAst(steps);
        playTime = maxDuration;
        currentTime = startingTime + playTime;
      } else {
        ast = new animation_ast_1.AnimationSequenceAst(steps);
      }
    } else if (entry instanceof compile_metadata_1.CompileAnimationAnimateMetadata) {
      var timings = _parseTimeExpression(entry.timings, errors);
      var styles = entry.styles;
      var keyframes;
      if (styles instanceof compile_metadata_1.CompileAnimationKeyframesSequenceMetadata) {
        keyframes = _parseAnimationKeyframes(styles, currentTime, collectedStyles, stateStyles, errors);
      } else {
        var styleData = styles;
        var offset = _TERMINAL_KEYFRAME;
        var styleAst = new animation_ast_1.AnimationStylesAst(styleData.styles);
        var keyframe = new animation_ast_1.AnimationKeyframeAst(offset, styleAst);
        keyframes = [keyframe];
      }
      ast = new animation_ast_1.AnimationStepAst(new animation_ast_1.AnimationStylesAst([]), keyframes, timings.duration, timings.delay, timings.easing);
      playTime = timings.duration + timings.delay;
      currentTime += playTime;
      keyframes.forEach(function(keyframe) {
        return keyframe.styles.styles.forEach(function(entry) {
          return collection_1.StringMapWrapper.forEach(entry, function(value, prop) {
            return collectedStyles.insertAtTime(prop, currentTime, value);
          });
        });
      });
    } else {
      ast = new animation_ast_1.AnimationStepAst(null, [], 0, 0, '');
    }
    ast.playTime = playTime;
    ast.startTime = startingTime;
    return ast;
  }
  function _fillAnimationAstStartingKeyframes(ast, collectedStyles, errors) {
    if ((ast instanceof animation_ast_1.AnimationStepAst) && ast.keyframes.length > 0) {
      var keyframes = ast.keyframes;
      if (keyframes.length == 1) {
        var endKeyframe = keyframes[0];
        var startKeyframe = _createStartKeyframeFromEndKeyframe(endKeyframe, ast.startTime, ast.playTime, collectedStyles, errors);
        ast.keyframes = [startKeyframe, endKeyframe];
      }
    } else if (ast instanceof animation_ast_1.AnimationWithStepsAst) {
      ast.steps.forEach(function(entry) {
        return _fillAnimationAstStartingKeyframes(entry, collectedStyles, errors);
      });
    }
  }
  function _parseTimeExpression(exp, errors) {
    var regex = /^([\.\d]+)(m?s)(?:\s+([\.\d]+)(m?s))?(?:\s+([-a-z]+(?:\(.+?\))?))?/gi;
    var duration;
    var delay = 0;
    var easing = null;
    if (lang_1.isString(exp)) {
      var matches = lang_1.RegExpWrapper.firstMatch(regex, exp);
      if (!lang_1.isPresent(matches)) {
        errors.push(new AnimationParseError("The provided timing value \"" + exp + "\" is invalid."));
        return new _AnimationTimings(0, 0, null);
      }
      var durationMatch = lang_1.NumberWrapper.parseFloat(matches[1]);
      var durationUnit = matches[2];
      if (durationUnit == 's') {
        durationMatch *= _ONE_SECOND;
      }
      duration = math_1.Math.floor(durationMatch);
      var delayMatch = matches[3];
      var delayUnit = matches[4];
      if (lang_1.isPresent(delayMatch)) {
        var delayVal = lang_1.NumberWrapper.parseFloat(delayMatch);
        if (lang_1.isPresent(delayUnit) && delayUnit == 's') {
          delayVal *= _ONE_SECOND;
        }
        delay = math_1.Math.floor(delayVal);
      }
      var easingVal = matches[5];
      if (!lang_1.isBlank(easingVal)) {
        easing = easingVal;
      }
    } else {
      duration = exp;
    }
    return new _AnimationTimings(duration, delay, easing);
  }
  function _createStartKeyframeFromEndKeyframe(endKeyframe, startTime, duration, collectedStyles, errors) {
    var values = {};
    var endTime = startTime + duration;
    endKeyframe.styles.styles.forEach(function(styleData) {
      collection_1.StringMapWrapper.forEach(styleData, function(val, prop) {
        if (prop == 'offset')
          return;
        var resultIndex = collectedStyles.indexOfAtOrBeforeTime(prop, startTime);
        var resultEntry,
            nextEntry,
            value;
        if (lang_1.isPresent(resultIndex)) {
          resultEntry = collectedStyles.getByIndex(prop, resultIndex);
          value = resultEntry.value;
          nextEntry = collectedStyles.getByIndex(prop, resultIndex + 1);
        } else {
          value = core_private_1.FILL_STYLE_FLAG;
        }
        if (lang_1.isPresent(nextEntry) && !nextEntry.matches(endTime, val)) {
          errors.push(new AnimationParseError("The animated CSS property \"" + prop + "\" unexpectedly changes between steps \"" + resultEntry.time + "ms\" and \"" + endTime + "ms\" at \"" + nextEntry.time + "ms\""));
        }
        values[prop] = value;
      });
    });
    return new animation_ast_1.AnimationKeyframeAst(_INITIAL_KEYFRAME, new animation_ast_1.AnimationStylesAst([values]));
  }
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/animation/animation_compiler.js", ["../../core_private", "../facade/collection", "../facade/exceptions", "../facade/lang", "../identifiers", "../output/output_ast", "./animation_ast", "./animation_parser"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_private_1 = $__require('../../core_private');
  var collection_1 = $__require('../facade/collection');
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var identifiers_1 = $__require('../identifiers');
  var o = $__require('../output/output_ast');
  var animation_ast_1 = $__require('./animation_ast');
  var animation_parser_1 = $__require('./animation_parser');
  var CompiledAnimation = (function() {
    function CompiledAnimation(name, statesMapStatement, statesVariableName, fnStatement, fnVariable) {
      this.name = name;
      this.statesMapStatement = statesMapStatement;
      this.statesVariableName = statesVariableName;
      this.fnStatement = fnStatement;
      this.fnVariable = fnVariable;
    }
    return CompiledAnimation;
  }());
  exports.CompiledAnimation = CompiledAnimation;
  var AnimationCompiler = (function() {
    function AnimationCompiler() {}
    AnimationCompiler.prototype.compileComponent = function(component) {
      var compiledAnimations = [];
      var index = 0;
      component.template.animations.forEach(function(entry) {
        var result = animation_parser_1.parseAnimationEntry(entry);
        if (result.errors.length > 0) {
          var errorMessage = '';
          result.errors.forEach(function(error) {
            errorMessage += '\n- ' + error.msg;
          });
          throw new exceptions_1.BaseException(("Unable to parse the animation sequence for \"" + entry.name + "\" due to the following errors: ") + errorMessage);
        }
        var factoryName = component.type.name + "_" + entry.name + "_" + index;
        index++;
        var visitor = new _AnimationBuilder(entry.name, factoryName);
        compiledAnimations.push(visitor.build(result.ast));
      });
      return compiledAnimations;
    };
    return AnimationCompiler;
  }());
  exports.AnimationCompiler = AnimationCompiler;
  var _ANIMATION_FACTORY_ELEMENT_VAR = o.variable('element');
  var _ANIMATION_DEFAULT_STATE_VAR = o.variable('defaultStateStyles');
  var _ANIMATION_FACTORY_VIEW_VAR = o.variable('view');
  var _ANIMATION_FACTORY_RENDERER_VAR = _ANIMATION_FACTORY_VIEW_VAR.prop('renderer');
  var _ANIMATION_CURRENT_STATE_VAR = o.variable('currentState');
  var _ANIMATION_NEXT_STATE_VAR = o.variable('nextState');
  var _ANIMATION_PLAYER_VAR = o.variable('player');
  var _ANIMATION_START_STATE_STYLES_VAR = o.variable('startStateStyles');
  var _ANIMATION_END_STATE_STYLES_VAR = o.variable('endStateStyles');
  var _ANIMATION_COLLECTED_STYLES = o.variable('collectedStyles');
  var EMPTY_MAP = o.literalMap([]);
  var _AnimationBuilder = (function() {
    function _AnimationBuilder(animationName, factoryName) {
      this.animationName = animationName;
      this._fnVarName = factoryName + '_factory';
      this._statesMapVarName = factoryName + '_states';
      this._statesMapVar = o.variable(this._statesMapVarName);
    }
    _AnimationBuilder.prototype.visitAnimationStyles = function(ast, context) {
      var stylesArr = [];
      if (context.isExpectingFirstStyleStep) {
        stylesArr.push(_ANIMATION_START_STATE_STYLES_VAR);
        context.isExpectingFirstStyleStep = false;
      }
      ast.styles.forEach(function(entry) {
        stylesArr.push(o.literalMap(collection_1.StringMapWrapper.keys(entry).map(function(key) {
          return [key, o.literal(entry[key])];
        })));
      });
      return o.importExpr(identifiers_1.Identifiers.AnimationStyles).instantiate([o.importExpr(identifiers_1.Identifiers.collectAndResolveStyles).callFn([_ANIMATION_COLLECTED_STYLES, o.literalArr(stylesArr)])]);
    };
    _AnimationBuilder.prototype.visitAnimationKeyframe = function(ast, context) {
      return o.importExpr(identifiers_1.Identifiers.AnimationKeyframe).instantiate([o.literal(ast.offset), ast.styles.visit(this, context)]);
    };
    _AnimationBuilder.prototype.visitAnimationStep = function(ast, context) {
      var _this = this;
      if (context.endStateAnimateStep === ast) {
        return this._visitEndStateAnimation(ast, context);
      }
      var startingStylesExpr = ast.startingStyles.visit(this, context);
      var keyframeExpressions = ast.keyframes.map(function(keyframeEntry) {
        return keyframeEntry.visit(_this, context);
      });
      return this._callAnimateMethod(ast, startingStylesExpr, o.literalArr(keyframeExpressions));
    };
    _AnimationBuilder.prototype._visitEndStateAnimation = function(ast, context) {
      var _this = this;
      var startingStylesExpr = ast.startingStyles.visit(this, context);
      var keyframeExpressions = ast.keyframes.map(function(keyframe) {
        return keyframe.visit(_this, context);
      });
      var keyframesExpr = o.importExpr(identifiers_1.Identifiers.balanceAnimationKeyframes).callFn([_ANIMATION_COLLECTED_STYLES, _ANIMATION_END_STATE_STYLES_VAR, o.literalArr(keyframeExpressions)]);
      return this._callAnimateMethod(ast, startingStylesExpr, keyframesExpr);
    };
    _AnimationBuilder.prototype._callAnimateMethod = function(ast, startingStylesExpr, keyframesExpr) {
      return _ANIMATION_FACTORY_RENDERER_VAR.callMethod('animate', [_ANIMATION_FACTORY_ELEMENT_VAR, startingStylesExpr, keyframesExpr, o.literal(ast.duration), o.literal(ast.delay), o.literal(ast.easing)]);
    };
    _AnimationBuilder.prototype.visitAnimationSequence = function(ast, context) {
      var _this = this;
      var playerExprs = ast.steps.map(function(step) {
        return step.visit(_this, context);
      });
      return o.importExpr(identifiers_1.Identifiers.AnimationSequencePlayer).instantiate([o.literalArr(playerExprs)]);
    };
    _AnimationBuilder.prototype.visitAnimationGroup = function(ast, context) {
      var _this = this;
      var playerExprs = ast.steps.map(function(step) {
        return step.visit(_this, context);
      });
      return o.importExpr(identifiers_1.Identifiers.AnimationGroupPlayer).instantiate([o.literalArr(playerExprs)]);
    };
    _AnimationBuilder.prototype.visitAnimationStateDeclaration = function(ast, context) {
      var flatStyles = {};
      _getStylesArray(ast).forEach(function(entry) {
        collection_1.StringMapWrapper.forEach(entry, function(value, key) {
          flatStyles[key] = value;
        });
      });
      context.stateMap.registerState(ast.stateName, flatStyles);
    };
    _AnimationBuilder.prototype.visitAnimationStateTransition = function(ast, context) {
      var steps = ast.animation.steps;
      var lastStep = steps[steps.length - 1];
      if (_isEndStateAnimateStep(lastStep)) {
        context.endStateAnimateStep = lastStep;
      }
      context.isExpectingFirstStyleStep = true;
      var stateChangePreconditions = [];
      ast.stateChanges.forEach(function(stateChange) {
        stateChangePreconditions.push(_compareToAnimationStateExpr(_ANIMATION_CURRENT_STATE_VAR, stateChange.fromState).and(_compareToAnimationStateExpr(_ANIMATION_NEXT_STATE_VAR, stateChange.toState)));
        if (stateChange.fromState != core_private_1.ANY_STATE) {
          context.stateMap.registerState(stateChange.fromState);
        }
        if (stateChange.toState != core_private_1.ANY_STATE) {
          context.stateMap.registerState(stateChange.toState);
        }
      });
      var animationPlayerExpr = ast.animation.visit(this, context);
      var reducedStateChangesPrecondition = stateChangePreconditions.reduce(function(a, b) {
        return a.or(b);
      });
      var precondition = _ANIMATION_PLAYER_VAR.equals(o.NULL_EXPR).and(reducedStateChangesPrecondition);
      return new o.IfStmt(precondition, [_ANIMATION_PLAYER_VAR.set(animationPlayerExpr).toStmt()]);
    };
    _AnimationBuilder.prototype.visitAnimationEntry = function(ast, context) {
      var _this = this;
      ast.stateDeclarations.forEach(function(def) {
        return def.visit(_this, context);
      });
      context.stateMap.registerState(core_private_1.DEFAULT_STATE, {});
      var statements = [];
      statements.push(_ANIMATION_FACTORY_VIEW_VAR.callMethod('cancelActiveAnimation', [_ANIMATION_FACTORY_ELEMENT_VAR, o.literal(this.animationName), _ANIMATION_NEXT_STATE_VAR.equals(o.literal(core_private_1.EMPTY_STATE))]).toStmt());
      statements.push(_ANIMATION_COLLECTED_STYLES.set(EMPTY_MAP).toDeclStmt());
      statements.push(_ANIMATION_PLAYER_VAR.set(o.NULL_EXPR).toDeclStmt());
      statements.push(_ANIMATION_DEFAULT_STATE_VAR.set(this._statesMapVar.key(o.literal(core_private_1.DEFAULT_STATE))).toDeclStmt());
      statements.push(_ANIMATION_START_STATE_STYLES_VAR.set(this._statesMapVar.key(_ANIMATION_CURRENT_STATE_VAR)).toDeclStmt());
      statements.push(new o.IfStmt(_ANIMATION_START_STATE_STYLES_VAR.equals(o.NULL_EXPR), [_ANIMATION_START_STATE_STYLES_VAR.set(_ANIMATION_DEFAULT_STATE_VAR).toStmt()]));
      statements.push(_ANIMATION_END_STATE_STYLES_VAR.set(this._statesMapVar.key(_ANIMATION_NEXT_STATE_VAR)).toDeclStmt());
      statements.push(new o.IfStmt(_ANIMATION_END_STATE_STYLES_VAR.equals(o.NULL_EXPR), [_ANIMATION_END_STATE_STYLES_VAR.set(_ANIMATION_DEFAULT_STATE_VAR).toStmt()]));
      var RENDER_STYLES_FN = o.importExpr(identifiers_1.Identifiers.renderStyles);
      statements.push(RENDER_STYLES_FN.callFn([_ANIMATION_FACTORY_ELEMENT_VAR, _ANIMATION_FACTORY_RENDERER_VAR, o.importExpr(identifiers_1.Identifiers.clearStyles).callFn([_ANIMATION_START_STATE_STYLES_VAR])]).toStmt());
      ast.stateTransitions.forEach(function(transAst) {
        return statements.push(transAst.visit(_this, context));
      });
      statements.push(new o.IfStmt(_ANIMATION_PLAYER_VAR.equals(o.NULL_EXPR), [_ANIMATION_PLAYER_VAR.set(o.importExpr(identifiers_1.Identifiers.NoOpAnimationPlayer).instantiate([])).toStmt()]));
      statements.push(_ANIMATION_PLAYER_VAR.callMethod('onDone', [o.fn([], [RENDER_STYLES_FN.callFn([_ANIMATION_FACTORY_ELEMENT_VAR, _ANIMATION_FACTORY_RENDERER_VAR, o.importExpr(identifiers_1.Identifiers.prepareFinalAnimationStyles).callFn([_ANIMATION_START_STATE_STYLES_VAR, _ANIMATION_END_STATE_STYLES_VAR])]).toStmt()])]).toStmt());
      statements.push(_ANIMATION_FACTORY_VIEW_VAR.callMethod('registerAndStartAnimation', [_ANIMATION_FACTORY_ELEMENT_VAR, o.literal(this.animationName), _ANIMATION_PLAYER_VAR]).toStmt());
      return o.fn([new o.FnParam(_ANIMATION_FACTORY_VIEW_VAR.name, o.importType(identifiers_1.Identifiers.AppView, [o.DYNAMIC_TYPE])), new o.FnParam(_ANIMATION_FACTORY_ELEMENT_VAR.name, o.DYNAMIC_TYPE), new o.FnParam(_ANIMATION_CURRENT_STATE_VAR.name, o.DYNAMIC_TYPE), new o.FnParam(_ANIMATION_NEXT_STATE_VAR.name, o.DYNAMIC_TYPE)], statements);
    };
    _AnimationBuilder.prototype.build = function(ast) {
      var context = new _AnimationBuilderContext();
      var fnStatement = ast.visit(this, context).toDeclStmt(this._fnVarName);
      var fnVariable = o.variable(this._fnVarName);
      var lookupMap = [];
      collection_1.StringMapWrapper.forEach(context.stateMap.states, function(value, stateName) {
        var variableValue = EMPTY_MAP;
        if (lang_1.isPresent(value)) {
          var styleMap_1 = [];
          collection_1.StringMapWrapper.forEach(value, function(value, key) {
            styleMap_1.push([key, o.literal(value)]);
          });
          variableValue = o.literalMap(styleMap_1);
        }
        lookupMap.push([stateName, variableValue]);
      });
      var compiledStatesMapExpr = this._statesMapVar.set(o.literalMap(lookupMap)).toDeclStmt();
      return new CompiledAnimation(this.animationName, compiledStatesMapExpr, this._statesMapVarName, fnStatement, fnVariable);
    };
    return _AnimationBuilder;
  }());
  var _AnimationBuilderContext = (function() {
    function _AnimationBuilderContext() {
      this.stateMap = new _AnimationBuilderStateMap();
      this.endStateAnimateStep = null;
      this.isExpectingFirstStyleStep = false;
    }
    return _AnimationBuilderContext;
  }());
  var _AnimationBuilderStateMap = (function() {
    function _AnimationBuilderStateMap() {
      this._states = {};
    }
    Object.defineProperty(_AnimationBuilderStateMap.prototype, "states", {
      get: function() {
        return this._states;
      },
      enumerable: true,
      configurable: true
    });
    _AnimationBuilderStateMap.prototype.registerState = function(name, value) {
      if (value === void 0) {
        value = null;
      }
      var existingEntry = this._states[name];
      if (lang_1.isBlank(existingEntry)) {
        this._states[name] = value;
      }
    };
    return _AnimationBuilderStateMap;
  }());
  function _compareToAnimationStateExpr(value, animationState) {
    var emptyStateLiteral = o.literal(core_private_1.EMPTY_STATE);
    switch (animationState) {
      case core_private_1.EMPTY_STATE:
        return value.equals(emptyStateLiteral);
      case core_private_1.ANY_STATE:
        return o.literal(true);
      default:
        return value.equals(o.literal(animationState));
    }
  }
  function _isEndStateAnimateStep(step) {
    if (step instanceof animation_ast_1.AnimationStepAst && step.duration > 0 && step.keyframes.length == 2) {
      var styles1 = _getStylesArray(step.keyframes[0])[0];
      var styles2 = _getStylesArray(step.keyframes[1])[0];
      return collection_1.StringMapWrapper.isEmpty(styles1) && collection_1.StringMapWrapper.isEmpty(styles2);
    }
    return false;
  }
  function _getStylesArray(obj) {
    return obj.styles.styles;
  }
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/template_ast.js", ["../src/facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('../src/facade/lang');
  var TextAst = (function() {
    function TextAst(value, ngContentIndex, sourceSpan) {
      this.value = value;
      this.ngContentIndex = ngContentIndex;
      this.sourceSpan = sourceSpan;
    }
    TextAst.prototype.visit = function(visitor, context) {
      return visitor.visitText(this, context);
    };
    return TextAst;
  }());
  exports.TextAst = TextAst;
  var BoundTextAst = (function() {
    function BoundTextAst(value, ngContentIndex, sourceSpan) {
      this.value = value;
      this.ngContentIndex = ngContentIndex;
      this.sourceSpan = sourceSpan;
    }
    BoundTextAst.prototype.visit = function(visitor, context) {
      return visitor.visitBoundText(this, context);
    };
    return BoundTextAst;
  }());
  exports.BoundTextAst = BoundTextAst;
  var AttrAst = (function() {
    function AttrAst(name, value, sourceSpan) {
      this.name = name;
      this.value = value;
      this.sourceSpan = sourceSpan;
    }
    AttrAst.prototype.visit = function(visitor, context) {
      return visitor.visitAttr(this, context);
    };
    return AttrAst;
  }());
  exports.AttrAst = AttrAst;
  var BoundElementPropertyAst = (function() {
    function BoundElementPropertyAst(name, type, securityContext, value, unit, sourceSpan) {
      this.name = name;
      this.type = type;
      this.securityContext = securityContext;
      this.value = value;
      this.unit = unit;
      this.sourceSpan = sourceSpan;
    }
    BoundElementPropertyAst.prototype.visit = function(visitor, context) {
      return visitor.visitElementProperty(this, context);
    };
    return BoundElementPropertyAst;
  }());
  exports.BoundElementPropertyAst = BoundElementPropertyAst;
  var BoundEventAst = (function() {
    function BoundEventAst(name, target, handler, sourceSpan) {
      this.name = name;
      this.target = target;
      this.handler = handler;
      this.sourceSpan = sourceSpan;
    }
    BoundEventAst.prototype.visit = function(visitor, context) {
      return visitor.visitEvent(this, context);
    };
    Object.defineProperty(BoundEventAst.prototype, "fullName", {
      get: function() {
        if (lang_1.isPresent(this.target)) {
          return this.target + ":" + this.name;
        } else {
          return this.name;
        }
      },
      enumerable: true,
      configurable: true
    });
    return BoundEventAst;
  }());
  exports.BoundEventAst = BoundEventAst;
  var ReferenceAst = (function() {
    function ReferenceAst(name, value, sourceSpan) {
      this.name = name;
      this.value = value;
      this.sourceSpan = sourceSpan;
    }
    ReferenceAst.prototype.visit = function(visitor, context) {
      return visitor.visitReference(this, context);
    };
    return ReferenceAst;
  }());
  exports.ReferenceAst = ReferenceAst;
  var VariableAst = (function() {
    function VariableAst(name, value, sourceSpan) {
      this.name = name;
      this.value = value;
      this.sourceSpan = sourceSpan;
    }
    VariableAst.prototype.visit = function(visitor, context) {
      return visitor.visitVariable(this, context);
    };
    return VariableAst;
  }());
  exports.VariableAst = VariableAst;
  var ElementAst = (function() {
    function ElementAst(name, attrs, inputs, outputs, references, directives, providers, hasViewContainer, children, ngContentIndex, sourceSpan) {
      this.name = name;
      this.attrs = attrs;
      this.inputs = inputs;
      this.outputs = outputs;
      this.references = references;
      this.directives = directives;
      this.providers = providers;
      this.hasViewContainer = hasViewContainer;
      this.children = children;
      this.ngContentIndex = ngContentIndex;
      this.sourceSpan = sourceSpan;
    }
    ElementAst.prototype.visit = function(visitor, context) {
      return visitor.visitElement(this, context);
    };
    return ElementAst;
  }());
  exports.ElementAst = ElementAst;
  var EmbeddedTemplateAst = (function() {
    function EmbeddedTemplateAst(attrs, outputs, references, variables, directives, providers, hasViewContainer, children, ngContentIndex, sourceSpan) {
      this.attrs = attrs;
      this.outputs = outputs;
      this.references = references;
      this.variables = variables;
      this.directives = directives;
      this.providers = providers;
      this.hasViewContainer = hasViewContainer;
      this.children = children;
      this.ngContentIndex = ngContentIndex;
      this.sourceSpan = sourceSpan;
    }
    EmbeddedTemplateAst.prototype.visit = function(visitor, context) {
      return visitor.visitEmbeddedTemplate(this, context);
    };
    return EmbeddedTemplateAst;
  }());
  exports.EmbeddedTemplateAst = EmbeddedTemplateAst;
  var BoundDirectivePropertyAst = (function() {
    function BoundDirectivePropertyAst(directiveName, templateName, value, sourceSpan) {
      this.directiveName = directiveName;
      this.templateName = templateName;
      this.value = value;
      this.sourceSpan = sourceSpan;
    }
    BoundDirectivePropertyAst.prototype.visit = function(visitor, context) {
      return visitor.visitDirectiveProperty(this, context);
    };
    return BoundDirectivePropertyAst;
  }());
  exports.BoundDirectivePropertyAst = BoundDirectivePropertyAst;
  var DirectiveAst = (function() {
    function DirectiveAst(directive, inputs, hostProperties, hostEvents, sourceSpan) {
      this.directive = directive;
      this.inputs = inputs;
      this.hostProperties = hostProperties;
      this.hostEvents = hostEvents;
      this.sourceSpan = sourceSpan;
    }
    DirectiveAst.prototype.visit = function(visitor, context) {
      return visitor.visitDirective(this, context);
    };
    return DirectiveAst;
  }());
  exports.DirectiveAst = DirectiveAst;
  var ProviderAst = (function() {
    function ProviderAst(token, multiProvider, eager, providers, providerType, sourceSpan) {
      this.token = token;
      this.multiProvider = multiProvider;
      this.eager = eager;
      this.providers = providers;
      this.providerType = providerType;
      this.sourceSpan = sourceSpan;
    }
    ProviderAst.prototype.visit = function(visitor, context) {
      return null;
    };
    return ProviderAst;
  }());
  exports.ProviderAst = ProviderAst;
  (function(ProviderAstType) {
    ProviderAstType[ProviderAstType["PublicService"] = 0] = "PublicService";
    ProviderAstType[ProviderAstType["PrivateService"] = 1] = "PrivateService";
    ProviderAstType[ProviderAstType["Component"] = 2] = "Component";
    ProviderAstType[ProviderAstType["Directive"] = 3] = "Directive";
    ProviderAstType[ProviderAstType["Builtin"] = 4] = "Builtin";
  })(exports.ProviderAstType || (exports.ProviderAstType = {}));
  var ProviderAstType = exports.ProviderAstType;
  var NgContentAst = (function() {
    function NgContentAst(index, ngContentIndex, sourceSpan) {
      this.index = index;
      this.ngContentIndex = ngContentIndex;
      this.sourceSpan = sourceSpan;
    }
    NgContentAst.prototype.visit = function(visitor, context) {
      return visitor.visitNgContent(this, context);
    };
    return NgContentAst;
  }());
  exports.NgContentAst = NgContentAst;
  (function(PropertyBindingType) {
    PropertyBindingType[PropertyBindingType["Property"] = 0] = "Property";
    PropertyBindingType[PropertyBindingType["Attribute"] = 1] = "Attribute";
    PropertyBindingType[PropertyBindingType["Class"] = 2] = "Class";
    PropertyBindingType[PropertyBindingType["Style"] = 3] = "Style";
    PropertyBindingType[PropertyBindingType["Animation"] = 4] = "Animation";
  })(exports.PropertyBindingType || (exports.PropertyBindingType = {}));
  var PropertyBindingType = exports.PropertyBindingType;
  function templateVisitAll(visitor, asts, context) {
    if (context === void 0) {
      context = null;
    }
    var result = [];
    asts.forEach(function(ast) {
      var astResult = ast.visit(visitor, context);
      if (lang_1.isPresent(astResult)) {
        result.push(astResult);
      }
    });
    return result;
  }
  exports.templateVisitAll = templateVisitAll;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/view_compiler/compile_element.js", ["@angular/core", "../facade/collection", "../facade/lang", "../identifiers", "../output/output_ast", "../template_ast", "./constants", "../compile_metadata", "./util", "./compile_query", "./compile_method", "../util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var identifiers_1 = $__require('../identifiers');
  var o = $__require('../output/output_ast');
  var template_ast_1 = $__require('../template_ast');
  var constants_1 = $__require('./constants');
  var compile_metadata_1 = $__require('../compile_metadata');
  var util_1 = $__require('./util');
  var compile_query_1 = $__require('./compile_query');
  var compile_method_1 = $__require('./compile_method');
  var util_2 = $__require('../util');
  var CompileNode = (function() {
    function CompileNode(parent, view, nodeIndex, renderNode, sourceAst) {
      this.parent = parent;
      this.view = view;
      this.nodeIndex = nodeIndex;
      this.renderNode = renderNode;
      this.sourceAst = sourceAst;
    }
    CompileNode.prototype.isNull = function() {
      return lang_1.isBlank(this.renderNode);
    };
    CompileNode.prototype.isRootElement = function() {
      return this.view != this.parent.view;
    };
    return CompileNode;
  }());
  exports.CompileNode = CompileNode;
  var CompileElement = (function(_super) {
    __extends(CompileElement, _super);
    function CompileElement(parent, view, nodeIndex, renderNode, sourceAst, component, _directives, _resolvedProvidersArray, hasViewContainer, hasEmbeddedView, references) {
      var _this = this;
      _super.call(this, parent, view, nodeIndex, renderNode, sourceAst);
      this.component = component;
      this._directives = _directives;
      this._resolvedProvidersArray = _resolvedProvidersArray;
      this.hasViewContainer = hasViewContainer;
      this.hasEmbeddedView = hasEmbeddedView;
      this._compViewExpr = null;
      this._instances = new compile_metadata_1.CompileTokenMap();
      this._queryCount = 0;
      this._queries = new compile_metadata_1.CompileTokenMap();
      this._componentConstructorViewQueryLists = [];
      this.contentNodesByNgContentIndex = null;
      this.referenceTokens = {};
      references.forEach(function(ref) {
        return _this.referenceTokens[ref.name] = ref.value;
      });
      this.elementRef = o.importExpr(identifiers_1.Identifiers.ElementRef).instantiate([this.renderNode]);
      this._instances.add(identifiers_1.identifierToken(identifiers_1.Identifiers.ElementRef), this.elementRef);
      this.injector = o.THIS_EXPR.callMethod('injector', [o.literal(this.nodeIndex)]);
      this._instances.add(identifiers_1.identifierToken(identifiers_1.Identifiers.Injector), this.injector);
      this._instances.add(identifiers_1.identifierToken(identifiers_1.Identifiers.Renderer), o.THIS_EXPR.prop('renderer'));
      if (this.hasViewContainer || this.hasEmbeddedView || lang_1.isPresent(this.component)) {
        this._createAppElement();
      }
    }
    CompileElement.createNull = function() {
      return new CompileElement(null, null, null, null, null, null, [], [], false, false, []);
    };
    CompileElement.prototype._createAppElement = function() {
      var fieldName = "_appEl_" + this.nodeIndex;
      var parentNodeIndex = this.isRootElement() ? null : this.parent.nodeIndex;
      this.view.fields.push(new o.ClassField(fieldName, o.importType(identifiers_1.Identifiers.AppElement), [o.StmtModifier.Private]));
      var statement = o.THIS_EXPR.prop(fieldName).set(o.importExpr(identifiers_1.Identifiers.AppElement).instantiate([o.literal(this.nodeIndex), o.literal(parentNodeIndex), o.THIS_EXPR, this.renderNode])).toStmt();
      this.view.createMethod.addStmt(statement);
      this.appElement = o.THIS_EXPR.prop(fieldName);
      this._instances.add(identifiers_1.identifierToken(identifiers_1.Identifiers.AppElement), this.appElement);
    };
    CompileElement.prototype.createComponentFactoryResolver = function(precompileComponent) {
      if (!precompileComponent || precompileComponent.length === 0) {
        return;
      }
      var createComponentFactoryResolverExpr = o.importExpr(identifiers_1.Identifiers.CodegenComponentFactoryResolver).instantiate([o.literalArr(precompileComponent.map(function(precompiledComponent) {
        return o.importExpr(precompiledComponent);
      })), util_1.injectFromViewParentInjector(identifiers_1.identifierToken(identifiers_1.Identifiers.ComponentFactoryResolver), false)]);
      var provider = new compile_metadata_1.CompileProviderMetadata({
        token: identifiers_1.identifierToken(identifiers_1.Identifiers.ComponentFactoryResolver),
        useValue: createComponentFactoryResolverExpr
      });
      this._resolvedProvidersArray.unshift(new template_ast_1.ProviderAst(provider.token, false, true, [provider], template_ast_1.ProviderAstType.PrivateService, this.sourceAst.sourceSpan));
    };
    CompileElement.prototype.setComponentView = function(compViewExpr) {
      this._compViewExpr = compViewExpr;
      this.contentNodesByNgContentIndex = collection_1.ListWrapper.createFixedSize(this.component.template.ngContentSelectors.length);
      for (var i = 0; i < this.contentNodesByNgContentIndex.length; i++) {
        this.contentNodesByNgContentIndex[i] = [];
      }
    };
    CompileElement.prototype.setEmbeddedView = function(embeddedView) {
      this.embeddedView = embeddedView;
      if (lang_1.isPresent(embeddedView)) {
        var createTemplateRefExpr = o.importExpr(identifiers_1.Identifiers.TemplateRef_).instantiate([this.appElement, this.embeddedView.viewFactory]);
        var provider = new compile_metadata_1.CompileProviderMetadata({
          token: identifiers_1.identifierToken(identifiers_1.Identifiers.TemplateRef),
          useValue: createTemplateRefExpr
        });
        this._resolvedProvidersArray.unshift(new template_ast_1.ProviderAst(provider.token, false, true, [provider], template_ast_1.ProviderAstType.Builtin, this.sourceAst.sourceSpan));
      }
    };
    CompileElement.prototype.beforeChildren = function() {
      var _this = this;
      if (this.hasViewContainer) {
        this._instances.add(identifiers_1.identifierToken(identifiers_1.Identifiers.ViewContainerRef), this.appElement.prop('vcRef'));
      }
      this._resolvedProviders = new compile_metadata_1.CompileTokenMap();
      this._resolvedProvidersArray.forEach(function(provider) {
        return _this._resolvedProviders.add(provider.token, provider);
      });
      this._resolvedProviders.values().forEach(function(resolvedProvider) {
        var providerValueExpressions = resolvedProvider.providers.map(function(provider) {
          if (lang_1.isPresent(provider.useExisting)) {
            return _this._getDependency(resolvedProvider.providerType, new compile_metadata_1.CompileDiDependencyMetadata({token: provider.useExisting}));
          } else if (lang_1.isPresent(provider.useFactory)) {
            var deps = lang_1.isPresent(provider.deps) ? provider.deps : provider.useFactory.diDeps;
            var depsExpr = deps.map(function(dep) {
              return _this._getDependency(resolvedProvider.providerType, dep);
            });
            return o.importExpr(provider.useFactory).callFn(depsExpr);
          } else if (lang_1.isPresent(provider.useClass)) {
            var deps = lang_1.isPresent(provider.deps) ? provider.deps : provider.useClass.diDeps;
            var depsExpr = deps.map(function(dep) {
              return _this._getDependency(resolvedProvider.providerType, dep);
            });
            return o.importExpr(provider.useClass).instantiate(depsExpr, o.importType(provider.useClass));
          } else {
            return _convertValueToOutputAst(provider.useValue);
          }
        });
        var propName = "_" + resolvedProvider.token.name + "_" + _this.nodeIndex + "_" + _this._instances.size;
        var instance = createProviderProperty(propName, resolvedProvider, providerValueExpressions, resolvedProvider.multiProvider, resolvedProvider.eager, _this);
        _this._instances.add(resolvedProvider.token, instance);
      });
      this.directiveInstances = this._directives.map(function(directive) {
        return _this._instances.get(identifiers_1.identifierToken(directive.type));
      });
      for (var i = 0; i < this.directiveInstances.length; i++) {
        var directiveInstance = this.directiveInstances[i];
        var directive = this._directives[i];
        directive.queries.forEach(function(queryMeta) {
          _this._addQuery(queryMeta, directiveInstance);
        });
      }
      var queriesWithReads = [];
      this._resolvedProviders.values().forEach(function(resolvedProvider) {
        var queriesForProvider = _this._getQueriesFor(resolvedProvider.token);
        collection_1.ListWrapper.addAll(queriesWithReads, queriesForProvider.map(function(query) {
          return new _QueryWithRead(query, resolvedProvider.token);
        }));
      });
      collection_1.StringMapWrapper.forEach(this.referenceTokens, function(_, varName) {
        var token = _this.referenceTokens[varName];
        var varValue;
        if (lang_1.isPresent(token)) {
          varValue = _this._instances.get(token);
        } else {
          varValue = _this.renderNode;
        }
        _this.view.locals.set(varName, varValue);
        var varToken = new compile_metadata_1.CompileTokenMetadata({value: varName});
        collection_1.ListWrapper.addAll(queriesWithReads, _this._getQueriesFor(varToken).map(function(query) {
          return new _QueryWithRead(query, varToken);
        }));
      });
      queriesWithReads.forEach(function(queryWithRead) {
        var value;
        if (lang_1.isPresent(queryWithRead.read.identifier)) {
          value = _this._instances.get(queryWithRead.read);
        } else {
          var token = _this.referenceTokens[queryWithRead.read.value];
          if (lang_1.isPresent(token)) {
            value = _this._instances.get(token);
          } else {
            value = _this.elementRef;
          }
        }
        if (lang_1.isPresent(value)) {
          queryWithRead.query.addValue(value, _this.view);
        }
      });
      if (lang_1.isPresent(this.component)) {
        var componentConstructorViewQueryList = lang_1.isPresent(this.component) ? o.literalArr(this._componentConstructorViewQueryLists) : o.NULL_EXPR;
        var compExpr = lang_1.isPresent(this.getComponent()) ? this.getComponent() : o.NULL_EXPR;
        this.view.createMethod.addStmt(this.appElement.callMethod('initComponent', [compExpr, componentConstructorViewQueryList, this._compViewExpr]).toStmt());
      }
    };
    CompileElement.prototype.afterChildren = function(childNodeCount) {
      var _this = this;
      this._resolvedProviders.values().forEach(function(resolvedProvider) {
        var providerExpr = _this._instances.get(resolvedProvider.token);
        var providerChildNodeCount = resolvedProvider.providerType === template_ast_1.ProviderAstType.PrivateService ? 0 : childNodeCount;
        _this.view.injectorGetMethod.addStmt(createInjectInternalCondition(_this.nodeIndex, providerChildNodeCount, resolvedProvider, providerExpr));
      });
      this._queries.values().forEach(function(queries) {
        return queries.forEach(function(query) {
          return query.afterChildren(_this.view.createMethod, _this.view.updateContentQueriesMethod);
        });
      });
    };
    CompileElement.prototype.addContentNode = function(ngContentIndex, nodeExpr) {
      this.contentNodesByNgContentIndex[ngContentIndex].push(nodeExpr);
    };
    CompileElement.prototype.getComponent = function() {
      return lang_1.isPresent(this.component) ? this._instances.get(identifiers_1.identifierToken(this.component.type)) : null;
    };
    CompileElement.prototype.getProviderTokens = function() {
      return this._resolvedProviders.values().map(function(resolvedProvider) {
        return util_1.createDiTokenExpression(resolvedProvider.token);
      });
    };
    CompileElement.prototype._getQueriesFor = function(token) {
      var result = [];
      var currentEl = this;
      var distance = 0;
      var queries;
      while (!currentEl.isNull()) {
        queries = currentEl._queries.get(token);
        if (lang_1.isPresent(queries)) {
          collection_1.ListWrapper.addAll(result, queries.filter(function(query) {
            return query.meta.descendants || distance <= 1;
          }));
        }
        if (currentEl._directives.length > 0) {
          distance++;
        }
        currentEl = currentEl.parent;
      }
      queries = this.view.componentView.viewQueries.get(token);
      if (lang_1.isPresent(queries)) {
        collection_1.ListWrapper.addAll(result, queries);
      }
      return result;
    };
    CompileElement.prototype._addQuery = function(queryMeta, directiveInstance) {
      var propName = "_query_" + queryMeta.selectors[0].name + "_" + this.nodeIndex + "_" + this._queryCount++;
      var queryList = compile_query_1.createQueryList(queryMeta, directiveInstance, propName, this.view);
      var query = new compile_query_1.CompileQuery(queryMeta, queryList, directiveInstance, this.view);
      compile_query_1.addQueryToTokenMap(this._queries, query);
      return query;
    };
    CompileElement.prototype._getLocalDependency = function(requestingProviderType, dep) {
      var result = null;
      if (lang_1.isBlank(result) && lang_1.isPresent(dep.query)) {
        result = this._addQuery(dep.query, null).queryList;
      }
      if (lang_1.isBlank(result) && lang_1.isPresent(dep.viewQuery)) {
        result = compile_query_1.createQueryList(dep.viewQuery, null, "_viewQuery_" + dep.viewQuery.selectors[0].name + "_" + this.nodeIndex + "_" + this._componentConstructorViewQueryLists.length, this.view);
        this._componentConstructorViewQueryLists.push(result);
      }
      if (lang_1.isPresent(dep.token)) {
        if (lang_1.isBlank(result)) {
          if (dep.token.equalsTo(identifiers_1.identifierToken(identifiers_1.Identifiers.ChangeDetectorRef))) {
            if (requestingProviderType === template_ast_1.ProviderAstType.Component) {
              return this._compViewExpr.prop('ref');
            } else {
              return util_1.getPropertyInView(o.THIS_EXPR.prop('ref'), this.view, this.view.componentView);
            }
          }
        }
        if (lang_1.isBlank(result)) {
          var resolvedProvider = this._resolvedProviders.get(dep.token);
          if (resolvedProvider && (requestingProviderType === template_ast_1.ProviderAstType.Directive || requestingProviderType === template_ast_1.ProviderAstType.PublicService) && resolvedProvider.providerType === template_ast_1.ProviderAstType.PrivateService) {
            return null;
          }
          result = this._instances.get(dep.token);
        }
      }
      return result;
    };
    CompileElement.prototype._getDependency = function(requestingProviderType, dep) {
      var currElement = this;
      var result = null;
      if (dep.isValue) {
        result = o.literal(dep.value);
      }
      if (lang_1.isBlank(result) && !dep.isSkipSelf) {
        result = this._getLocalDependency(requestingProviderType, dep);
      }
      while (lang_1.isBlank(result) && !currElement.parent.isNull()) {
        currElement = currElement.parent;
        result = currElement._getLocalDependency(template_ast_1.ProviderAstType.PublicService, new compile_metadata_1.CompileDiDependencyMetadata({token: dep.token}));
      }
      if (lang_1.isBlank(result)) {
        result = util_1.injectFromViewParentInjector(dep.token, dep.isOptional);
      }
      if (lang_1.isBlank(result)) {
        result = o.NULL_EXPR;
      }
      return util_1.getPropertyInView(result, this.view, currElement.view);
    };
    return CompileElement;
  }(CompileNode));
  exports.CompileElement = CompileElement;
  function createInjectInternalCondition(nodeIndex, childNodeCount, provider, providerExpr) {
    var indexCondition;
    if (childNodeCount > 0) {
      indexCondition = o.literal(nodeIndex).lowerEquals(constants_1.InjectMethodVars.requestNodeIndex).and(constants_1.InjectMethodVars.requestNodeIndex.lowerEquals(o.literal(nodeIndex + childNodeCount)));
    } else {
      indexCondition = o.literal(nodeIndex).identical(constants_1.InjectMethodVars.requestNodeIndex);
    }
    return new o.IfStmt(constants_1.InjectMethodVars.token.identical(util_1.createDiTokenExpression(provider.token)).and(indexCondition), [new o.ReturnStatement(providerExpr)]);
  }
  function createProviderProperty(propName, provider, providerValueExpressions, isMulti, isEager, compileElement) {
    var view = compileElement.view;
    var resolvedProviderValueExpr;
    var type;
    if (isMulti) {
      resolvedProviderValueExpr = o.literalArr(providerValueExpressions);
      type = new o.ArrayType(o.DYNAMIC_TYPE);
    } else {
      resolvedProviderValueExpr = providerValueExpressions[0];
      type = providerValueExpressions[0].type;
    }
    if (lang_1.isBlank(type)) {
      type = o.DYNAMIC_TYPE;
    }
    if (isEager) {
      view.fields.push(new o.ClassField(propName, type));
      view.createMethod.addStmt(o.THIS_EXPR.prop(propName).set(resolvedProviderValueExpr).toStmt());
    } else {
      var internalField = "_" + propName;
      view.fields.push(new o.ClassField(internalField, type));
      var getter = new compile_method_1.CompileMethod(view);
      getter.resetDebugInfo(compileElement.nodeIndex, compileElement.sourceAst);
      getter.addStmt(new o.IfStmt(o.THIS_EXPR.prop(internalField).isBlank(), [o.THIS_EXPR.prop(internalField).set(resolvedProviderValueExpr).toStmt()]));
      getter.addStmt(new o.ReturnStatement(o.THIS_EXPR.prop(internalField)));
      view.getters.push(new o.ClassGetter(propName, getter.finish(), type));
    }
    return o.THIS_EXPR.prop(propName);
  }
  var _QueryWithRead = (function() {
    function _QueryWithRead(query, match) {
      this.query = query;
      this.read = lang_1.isPresent(query.meta.read) ? query.meta.read : match;
    }
    return _QueryWithRead;
  }());
  function _convertValueToOutputAst(value) {
    return util_2.visitValue(value, new _ValueOutputAstTransformer(), null);
  }
  var _ValueOutputAstTransformer = (function(_super) {
    __extends(_ValueOutputAstTransformer, _super);
    function _ValueOutputAstTransformer() {
      _super.apply(this, arguments);
    }
    _ValueOutputAstTransformer.prototype.visitArray = function(arr, context) {
      var _this = this;
      return o.literalArr(arr.map(function(value) {
        return util_2.visitValue(value, _this, context);
      }));
    };
    _ValueOutputAstTransformer.prototype.visitStringMap = function(map, context) {
      var _this = this;
      var entries = [];
      collection_1.StringMapWrapper.forEach(map, function(value, key) {
        entries.push([key, util_2.visitValue(value, _this, context)]);
      });
      return o.literalMap(entries);
    };
    _ValueOutputAstTransformer.prototype.visitPrimitive = function(value, context) {
      return o.literal(value);
    };
    _ValueOutputAstTransformer.prototype.visitOther = function(value, context) {
      if (value instanceof compile_metadata_1.CompileIdentifierMetadata) {
        return o.importExpr(value);
      } else if (value instanceof o.Expression) {
        return value;
      } else {
        throw new core_1.BaseException("Illegal state: Don't now how to compile value " + value);
      }
    };
    return _ValueOutputAstTransformer;
  }(util_2.ValueTransformer));
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/view_compiler/compile_method.js", ["../facade/collection", "../facade/lang", "../output/output_ast"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var o = $__require('../output/output_ast');
  var _DebugState = (function() {
    function _DebugState(nodeIndex, sourceAst) {
      this.nodeIndex = nodeIndex;
      this.sourceAst = sourceAst;
    }
    return _DebugState;
  }());
  var NULL_DEBUG_STATE = new _DebugState(null, null);
  var CompileMethod = (function() {
    function CompileMethod(_view) {
      this._view = _view;
      this._newState = NULL_DEBUG_STATE;
      this._currState = NULL_DEBUG_STATE;
      this._bodyStatements = [];
      this._debugEnabled = this._view.genConfig.genDebugInfo;
    }
    CompileMethod.prototype._updateDebugContextIfNeeded = function() {
      if (this._newState.nodeIndex !== this._currState.nodeIndex || this._newState.sourceAst !== this._currState.sourceAst) {
        var expr = this._updateDebugContext(this._newState);
        if (lang_1.isPresent(expr)) {
          this._bodyStatements.push(expr.toStmt());
        }
      }
    };
    CompileMethod.prototype._updateDebugContext = function(newState) {
      this._currState = this._newState = newState;
      if (this._debugEnabled) {
        var sourceLocation = lang_1.isPresent(newState.sourceAst) ? newState.sourceAst.sourceSpan.start : null;
        return o.THIS_EXPR.callMethod('debug', [o.literal(newState.nodeIndex), lang_1.isPresent(sourceLocation) ? o.literal(sourceLocation.line) : o.NULL_EXPR, lang_1.isPresent(sourceLocation) ? o.literal(sourceLocation.col) : o.NULL_EXPR]);
      } else {
        return null;
      }
    };
    CompileMethod.prototype.resetDebugInfoExpr = function(nodeIndex, templateAst) {
      var res = this._updateDebugContext(new _DebugState(nodeIndex, templateAst));
      return lang_1.isPresent(res) ? res : o.NULL_EXPR;
    };
    CompileMethod.prototype.resetDebugInfo = function(nodeIndex, templateAst) {
      this._newState = new _DebugState(nodeIndex, templateAst);
    };
    CompileMethod.prototype.addStmt = function(stmt) {
      this._updateDebugContextIfNeeded();
      this._bodyStatements.push(stmt);
    };
    CompileMethod.prototype.addStmts = function(stmts) {
      this._updateDebugContextIfNeeded();
      collection_1.ListWrapper.addAll(this._bodyStatements, stmts);
    };
    CompileMethod.prototype.finish = function() {
      return this._bodyStatements;
    };
    CompileMethod.prototype.isEmpty = function() {
      return this._bodyStatements.length === 0;
    };
    return CompileMethod;
  }());
  exports.CompileMethod = CompileMethod;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/view_compiler/compile_pipe.js", ["../facade/exceptions", "../facade/lang", "../identifiers", "../output/output_ast", "./util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var identifiers_1 = $__require('../identifiers');
  var o = $__require('../output/output_ast');
  var util_1 = $__require('./util');
  var _PurePipeProxy = (function() {
    function _PurePipeProxy(view, instance, argCount) {
      this.view = view;
      this.instance = instance;
      this.argCount = argCount;
    }
    return _PurePipeProxy;
  }());
  var CompilePipe = (function() {
    function CompilePipe(view, meta) {
      this.view = view;
      this.meta = meta;
      this._purePipeProxies = [];
      this.instance = o.THIS_EXPR.prop("_pipe_" + meta.name + "_" + view.pipeCount++);
    }
    CompilePipe.call = function(view, name, args) {
      var compView = view.componentView;
      var meta = _findPipeMeta(compView, name);
      var pipe;
      if (meta.pure) {
        pipe = compView.purePipes.get(name);
        if (lang_1.isBlank(pipe)) {
          pipe = new CompilePipe(compView, meta);
          compView.purePipes.set(name, pipe);
          compView.pipes.push(pipe);
        }
      } else {
        pipe = new CompilePipe(view, meta);
        view.pipes.push(pipe);
      }
      return pipe._call(view, args);
    };
    Object.defineProperty(CompilePipe.prototype, "pure", {
      get: function() {
        return this.meta.pure;
      },
      enumerable: true,
      configurable: true
    });
    CompilePipe.prototype.create = function() {
      var _this = this;
      var deps = this.meta.type.diDeps.map(function(diDep) {
        if (diDep.token.equalsTo(identifiers_1.identifierToken(identifiers_1.Identifiers.ChangeDetectorRef))) {
          return util_1.getPropertyInView(o.THIS_EXPR.prop('ref'), _this.view, _this.view.componentView);
        }
        return util_1.injectFromViewParentInjector(diDep.token, false);
      });
      this.view.fields.push(new o.ClassField(this.instance.name, o.importType(this.meta.type)));
      this.view.createMethod.resetDebugInfo(null, null);
      this.view.createMethod.addStmt(o.THIS_EXPR.prop(this.instance.name).set(o.importExpr(this.meta.type).instantiate(deps)).toStmt());
      this._purePipeProxies.forEach(function(purePipeProxy) {
        var pipeInstanceSeenFromPureProxy = util_1.getPropertyInView(_this.instance, purePipeProxy.view, _this.view);
        util_1.createPureProxy(pipeInstanceSeenFromPureProxy.prop('transform').callMethod(o.BuiltinMethod.bind, [pipeInstanceSeenFromPureProxy]), purePipeProxy.argCount, purePipeProxy.instance, purePipeProxy.view);
      });
    };
    CompilePipe.prototype._call = function(callingView, args) {
      if (this.meta.pure) {
        var purePipeProxy = new _PurePipeProxy(callingView, o.THIS_EXPR.prop(this.instance.name + "_" + this._purePipeProxies.length), args.length);
        this._purePipeProxies.push(purePipeProxy);
        return o.importExpr(identifiers_1.Identifiers.castByValue).callFn([purePipeProxy.instance, util_1.getPropertyInView(this.instance.prop('transform'), callingView, this.view)]).callFn(args);
      } else {
        return util_1.getPropertyInView(this.instance, callingView, this.view).callMethod('transform', args);
      }
    };
    return CompilePipe;
  }());
  exports.CompilePipe = CompilePipe;
  function _findPipeMeta(view, name) {
    var pipeMeta = null;
    for (var i = view.pipeMetas.length - 1; i >= 0; i--) {
      var localPipeMeta = view.pipeMetas[i];
      if (localPipeMeta.name == name) {
        pipeMeta = localPipeMeta;
        break;
      }
    }
    if (lang_1.isBlank(pipeMeta)) {
      throw new exceptions_1.BaseException("Illegal state: Could not find pipe " + name + " although the parser should have detected this error!");
    }
    return pipeMeta;
  }
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/view_compiler/compile_query.js", ["../facade/collection", "../facade/lang", "../identifiers", "../output/output_ast", "./util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var identifiers_1 = $__require('../identifiers');
  var o = $__require('../output/output_ast');
  var util_1 = $__require('./util');
  var ViewQueryValues = (function() {
    function ViewQueryValues(view, values) {
      this.view = view;
      this.values = values;
    }
    return ViewQueryValues;
  }());
  var CompileQuery = (function() {
    function CompileQuery(meta, queryList, ownerDirectiveExpression, view) {
      this.meta = meta;
      this.queryList = queryList;
      this.ownerDirectiveExpression = ownerDirectiveExpression;
      this.view = view;
      this._values = new ViewQueryValues(view, []);
    }
    CompileQuery.prototype.addValue = function(value, view) {
      var currentView = view;
      var elPath = [];
      while (lang_1.isPresent(currentView) && currentView !== this.view) {
        var parentEl = currentView.declarationElement;
        elPath.unshift(parentEl);
        currentView = parentEl.view;
      }
      var queryListForDirtyExpr = util_1.getPropertyInView(this.queryList, view, this.view);
      var viewValues = this._values;
      elPath.forEach(function(el) {
        var last = viewValues.values.length > 0 ? viewValues.values[viewValues.values.length - 1] : null;
        if (last instanceof ViewQueryValues && last.view === el.embeddedView) {
          viewValues = last;
        } else {
          var newViewValues = new ViewQueryValues(el.embeddedView, []);
          viewValues.values.push(newViewValues);
          viewValues = newViewValues;
        }
      });
      viewValues.values.push(value);
      if (elPath.length > 0) {
        view.dirtyParentQueriesMethod.addStmt(queryListForDirtyExpr.callMethod('setDirty', []).toStmt());
      }
    };
    CompileQuery.prototype._isStatic = function() {
      return !this._values.values.some(function(value) {
        return value instanceof ViewQueryValues;
      });
    };
    CompileQuery.prototype.afterChildren = function(targetStaticMethod, targetDynamicMethod) {
      var values = createQueryValues(this._values);
      var updateStmts = [this.queryList.callMethod('reset', [o.literalArr(values)]).toStmt()];
      if (lang_1.isPresent(this.ownerDirectiveExpression)) {
        var valueExpr = this.meta.first ? this.queryList.prop('first') : this.queryList;
        updateStmts.push(this.ownerDirectiveExpression.prop(this.meta.propertyName).set(valueExpr).toStmt());
      }
      if (!this.meta.first) {
        updateStmts.push(this.queryList.callMethod('notifyOnChanges', []).toStmt());
      }
      if (this.meta.first && this._isStatic()) {
        targetStaticMethod.addStmts(updateStmts);
      } else {
        targetDynamicMethod.addStmt(new o.IfStmt(this.queryList.prop('dirty'), updateStmts));
      }
    };
    return CompileQuery;
  }());
  exports.CompileQuery = CompileQuery;
  function createQueryValues(viewValues) {
    return collection_1.ListWrapper.flatten(viewValues.values.map(function(entry) {
      if (entry instanceof ViewQueryValues) {
        return mapNestedViews(entry.view.declarationElement.appElement, entry.view, createQueryValues(entry));
      } else {
        return entry;
      }
    }));
  }
  function mapNestedViews(declarationAppElement, view, expressions) {
    var adjustedExpressions = expressions.map(function(expr) {
      return o.replaceVarInExpression(o.THIS_EXPR.name, o.variable('nestedView'), expr);
    });
    return declarationAppElement.callMethod('mapNestedViews', [o.variable(view.className), o.fn([new o.FnParam('nestedView', view.classType)], [new o.ReturnStatement(o.literalArr(adjustedExpressions))])]);
  }
  function createQueryList(query, directiveInstance, propertyName, compileView) {
    compileView.fields.push(new o.ClassField(propertyName, o.importType(identifiers_1.Identifiers.QueryList, [o.DYNAMIC_TYPE])));
    var expr = o.THIS_EXPR.prop(propertyName);
    compileView.createMethod.addStmt(o.THIS_EXPR.prop(propertyName).set(o.importExpr(identifiers_1.Identifiers.QueryList, [o.DYNAMIC_TYPE]).instantiate([])).toStmt());
    return expr;
  }
  exports.createQueryList = createQueryList;
  function addQueryToTokenMap(map, query) {
    query.meta.selectors.forEach(function(selector) {
      var entry = map.get(selector);
      if (lang_1.isBlank(entry)) {
        entry = [];
        map.add(selector, entry);
      }
      entry.push(query);
    });
  }
  exports.addQueryToTokenMap = addQueryToTokenMap;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/view_compiler/compile_view.js", ["../../core_private", "../compile_metadata", "../facade/collection", "../facade/lang", "../identifiers", "../output/output_ast", "./compile_method", "./compile_pipe", "./compile_query", "./constants", "./util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_private_1 = $__require('../../core_private');
  var compile_metadata_1 = $__require('../compile_metadata');
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var identifiers_1 = $__require('../identifiers');
  var o = $__require('../output/output_ast');
  var compile_method_1 = $__require('./compile_method');
  var compile_pipe_1 = $__require('./compile_pipe');
  var compile_query_1 = $__require('./compile_query');
  var constants_1 = $__require('./constants');
  var util_1 = $__require('./util');
  var CompileView = (function() {
    function CompileView(component, genConfig, pipeMetas, styles, animations, viewIndex, declarationElement, templateVariableBindings) {
      var _this = this;
      this.component = component;
      this.genConfig = genConfig;
      this.pipeMetas = pipeMetas;
      this.styles = styles;
      this.viewIndex = viewIndex;
      this.declarationElement = declarationElement;
      this.templateVariableBindings = templateVariableBindings;
      this.nodes = [];
      this.rootNodesOrAppElements = [];
      this.bindings = [];
      this.classStatements = [];
      this.eventHandlerMethods = [];
      this.fields = [];
      this.getters = [];
      this.disposables = [];
      this.subscriptions = [];
      this.purePipes = new Map();
      this.pipes = [];
      this.locals = new Map();
      this.literalArrayCount = 0;
      this.literalMapCount = 0;
      this.pipeCount = 0;
      this.animations = new Map();
      animations.forEach(function(entry) {
        return _this.animations.set(entry.name, entry);
      });
      this.createMethod = new compile_method_1.CompileMethod(this);
      this.injectorGetMethod = new compile_method_1.CompileMethod(this);
      this.updateContentQueriesMethod = new compile_method_1.CompileMethod(this);
      this.dirtyParentQueriesMethod = new compile_method_1.CompileMethod(this);
      this.updateViewQueriesMethod = new compile_method_1.CompileMethod(this);
      this.detectChangesInInputsMethod = new compile_method_1.CompileMethod(this);
      this.detectChangesRenderPropertiesMethod = new compile_method_1.CompileMethod(this);
      this.afterContentLifecycleCallbacksMethod = new compile_method_1.CompileMethod(this);
      this.afterViewLifecycleCallbacksMethod = new compile_method_1.CompileMethod(this);
      this.destroyMethod = new compile_method_1.CompileMethod(this);
      this.detachMethod = new compile_method_1.CompileMethod(this);
      this.viewType = getViewType(component, viewIndex);
      this.className = "_View_" + component.type.name + viewIndex;
      this.classType = o.importType(new compile_metadata_1.CompileIdentifierMetadata({name: this.className}));
      this.viewFactory = o.variable(util_1.getViewFactoryName(component, viewIndex));
      if (this.viewType === core_private_1.ViewType.COMPONENT || this.viewType === core_private_1.ViewType.HOST) {
        this.componentView = this;
      } else {
        this.componentView = this.declarationElement.view.componentView;
      }
      this.componentContext = util_1.getPropertyInView(o.THIS_EXPR.prop('context'), this, this.componentView);
      var viewQueries = new compile_metadata_1.CompileTokenMap();
      if (this.viewType === core_private_1.ViewType.COMPONENT) {
        var directiveInstance = o.THIS_EXPR.prop('context');
        collection_1.ListWrapper.forEachWithIndex(this.component.viewQueries, function(queryMeta, queryIndex) {
          var propName = "_viewQuery_" + queryMeta.selectors[0].name + "_" + queryIndex;
          var queryList = compile_query_1.createQueryList(queryMeta, directiveInstance, propName, _this);
          var query = new compile_query_1.CompileQuery(queryMeta, queryList, directiveInstance, _this);
          compile_query_1.addQueryToTokenMap(viewQueries, query);
        });
        var constructorViewQueryCount = 0;
        this.component.type.diDeps.forEach(function(dep) {
          if (lang_1.isPresent(dep.viewQuery)) {
            var queryList = o.THIS_EXPR.prop('declarationAppElement').prop('componentConstructorViewQueries').key(o.literal(constructorViewQueryCount++));
            var query = new compile_query_1.CompileQuery(dep.viewQuery, queryList, null, _this);
            compile_query_1.addQueryToTokenMap(viewQueries, query);
          }
        });
      }
      this.viewQueries = viewQueries;
      templateVariableBindings.forEach(function(entry) {
        _this.locals.set(entry[1], o.THIS_EXPR.prop('context').prop(entry[0]));
      });
      if (!this.declarationElement.isNull()) {
        this.declarationElement.setEmbeddedView(this);
      }
    }
    CompileView.prototype.callPipe = function(name, input, args) {
      return compile_pipe_1.CompilePipe.call(this, name, [input].concat(args));
    };
    CompileView.prototype.getLocal = function(name) {
      if (name == constants_1.EventHandlerVars.event.name) {
        return constants_1.EventHandlerVars.event;
      }
      var currView = this;
      var result = currView.locals.get(name);
      while (lang_1.isBlank(result) && lang_1.isPresent(currView.declarationElement.view)) {
        currView = currView.declarationElement.view;
        result = currView.locals.get(name);
      }
      if (lang_1.isPresent(result)) {
        return util_1.getPropertyInView(result, this, currView);
      } else {
        return null;
      }
    };
    CompileView.prototype.createLiteralArray = function(values) {
      if (values.length === 0) {
        return o.importExpr(identifiers_1.Identifiers.EMPTY_ARRAY);
      }
      var proxyExpr = o.THIS_EXPR.prop("_arr_" + this.literalArrayCount++);
      var proxyParams = [];
      var proxyReturnEntries = [];
      for (var i = 0; i < values.length; i++) {
        var paramName = "p" + i;
        proxyParams.push(new o.FnParam(paramName));
        proxyReturnEntries.push(o.variable(paramName));
      }
      util_1.createPureProxy(o.fn(proxyParams, [new o.ReturnStatement(o.literalArr(proxyReturnEntries))], new o.ArrayType(o.DYNAMIC_TYPE)), values.length, proxyExpr, this);
      return proxyExpr.callFn(values);
    };
    CompileView.prototype.createLiteralMap = function(entries) {
      if (entries.length === 0) {
        return o.importExpr(identifiers_1.Identifiers.EMPTY_MAP);
      }
      var proxyExpr = o.THIS_EXPR.prop("_map_" + this.literalMapCount++);
      var proxyParams = [];
      var proxyReturnEntries = [];
      var values = [];
      for (var i = 0; i < entries.length; i++) {
        var paramName = "p" + i;
        proxyParams.push(new o.FnParam(paramName));
        proxyReturnEntries.push([entries[i][0], o.variable(paramName)]);
        values.push(entries[i][1]);
      }
      util_1.createPureProxy(o.fn(proxyParams, [new o.ReturnStatement(o.literalMap(proxyReturnEntries))], new o.MapType(o.DYNAMIC_TYPE)), entries.length, proxyExpr, this);
      return proxyExpr.callFn(values);
    };
    CompileView.prototype.afterNodes = function() {
      var _this = this;
      this.pipes.forEach(function(pipe) {
        return pipe.create();
      });
      this.viewQueries.values().forEach(function(queries) {
        return queries.forEach(function(query) {
          return query.afterChildren(_this.createMethod, _this.updateViewQueriesMethod);
        });
      });
    };
    return CompileView;
  }());
  exports.CompileView = CompileView;
  function getViewType(component, embeddedTemplateIndex) {
    if (embeddedTemplateIndex > 0) {
      return core_private_1.ViewType.EMBEDDED;
    } else if (component.type.isHost) {
      return core_private_1.ViewType.HOST;
    } else {
      return core_private_1.ViewType.COMPONENT;
    }
  }
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/view_compiler/constants.js", ["@angular/core", "../../core_private", "../compile_metadata", "../facade/lang", "../identifiers", "../output/output_ast"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var core_private_1 = $__require('../../core_private');
  var compile_metadata_1 = $__require('../compile_metadata');
  var lang_1 = $__require('../facade/lang');
  var identifiers_1 = $__require('../identifiers');
  var o = $__require('../output/output_ast');
  function _enumExpression(classIdentifier, value) {
    if (lang_1.isBlank(value))
      return o.NULL_EXPR;
    var name = lang_1.resolveEnumToken(classIdentifier.runtime, value);
    return o.importExpr(new compile_metadata_1.CompileIdentifierMetadata({
      name: classIdentifier.name + "." + name,
      moduleUrl: classIdentifier.moduleUrl,
      runtime: value
    }));
  }
  var ViewTypeEnum = (function() {
    function ViewTypeEnum() {}
    ViewTypeEnum.fromValue = function(value) {
      return _enumExpression(identifiers_1.Identifiers.ViewType, value);
    };
    ViewTypeEnum.HOST = ViewTypeEnum.fromValue(core_private_1.ViewType.HOST);
    ViewTypeEnum.COMPONENT = ViewTypeEnum.fromValue(core_private_1.ViewType.COMPONENT);
    ViewTypeEnum.EMBEDDED = ViewTypeEnum.fromValue(core_private_1.ViewType.EMBEDDED);
    return ViewTypeEnum;
  }());
  exports.ViewTypeEnum = ViewTypeEnum;
  var ViewEncapsulationEnum = (function() {
    function ViewEncapsulationEnum() {}
    ViewEncapsulationEnum.fromValue = function(value) {
      return _enumExpression(identifiers_1.Identifiers.ViewEncapsulation, value);
    };
    ViewEncapsulationEnum.Emulated = ViewEncapsulationEnum.fromValue(core_1.ViewEncapsulation.Emulated);
    ViewEncapsulationEnum.Native = ViewEncapsulationEnum.fromValue(core_1.ViewEncapsulation.Native);
    ViewEncapsulationEnum.None = ViewEncapsulationEnum.fromValue(core_1.ViewEncapsulation.None);
    return ViewEncapsulationEnum;
  }());
  exports.ViewEncapsulationEnum = ViewEncapsulationEnum;
  var ChangeDetectionStrategyEnum = (function() {
    function ChangeDetectionStrategyEnum() {}
    ChangeDetectionStrategyEnum.fromValue = function(value) {
      return _enumExpression(identifiers_1.Identifiers.ChangeDetectionStrategy, value);
    };
    ChangeDetectionStrategyEnum.OnPush = ChangeDetectionStrategyEnum.fromValue(core_1.ChangeDetectionStrategy.OnPush);
    ChangeDetectionStrategyEnum.Default = ChangeDetectionStrategyEnum.fromValue(core_1.ChangeDetectionStrategy.Default);
    return ChangeDetectionStrategyEnum;
  }());
  exports.ChangeDetectionStrategyEnum = ChangeDetectionStrategyEnum;
  var ChangeDetectorStatusEnum = (function() {
    function ChangeDetectorStatusEnum() {}
    ChangeDetectorStatusEnum.fromValue = function(value) {
      return _enumExpression(identifiers_1.Identifiers.ChangeDetectorStatus, value);
    };
    ChangeDetectorStatusEnum.CheckOnce = ChangeDetectorStatusEnum.fromValue(core_private_1.ChangeDetectorStatus.CheckOnce);
    ChangeDetectorStatusEnum.Checked = ChangeDetectorStatusEnum.fromValue(core_private_1.ChangeDetectorStatus.Checked);
    ChangeDetectorStatusEnum.CheckAlways = ChangeDetectorStatusEnum.fromValue(core_private_1.ChangeDetectorStatus.CheckAlways);
    ChangeDetectorStatusEnum.Detached = ChangeDetectorStatusEnum.fromValue(core_private_1.ChangeDetectorStatus.Detached);
    ChangeDetectorStatusEnum.Errored = ChangeDetectorStatusEnum.fromValue(core_private_1.ChangeDetectorStatus.Errored);
    ChangeDetectorStatusEnum.Destroyed = ChangeDetectorStatusEnum.fromValue(core_private_1.ChangeDetectorStatus.Destroyed);
    return ChangeDetectorStatusEnum;
  }());
  exports.ChangeDetectorStatusEnum = ChangeDetectorStatusEnum;
  var ViewConstructorVars = (function() {
    function ViewConstructorVars() {}
    ViewConstructorVars.viewUtils = o.variable('viewUtils');
    ViewConstructorVars.parentInjector = o.variable('parentInjector');
    ViewConstructorVars.declarationEl = o.variable('declarationEl');
    return ViewConstructorVars;
  }());
  exports.ViewConstructorVars = ViewConstructorVars;
  var ViewProperties = (function() {
    function ViewProperties() {}
    ViewProperties.renderer = o.THIS_EXPR.prop('renderer');
    ViewProperties.projectableNodes = o.THIS_EXPR.prop('projectableNodes');
    ViewProperties.viewUtils = o.THIS_EXPR.prop('viewUtils');
    return ViewProperties;
  }());
  exports.ViewProperties = ViewProperties;
  var EventHandlerVars = (function() {
    function EventHandlerVars() {}
    EventHandlerVars.event = o.variable('$event');
    return EventHandlerVars;
  }());
  exports.EventHandlerVars = EventHandlerVars;
  var InjectMethodVars = (function() {
    function InjectMethodVars() {}
    InjectMethodVars.token = o.variable('token');
    InjectMethodVars.requestNodeIndex = o.variable('requestNodeIndex');
    InjectMethodVars.notFoundResult = o.variable('notFoundResult');
    return InjectMethodVars;
  }());
  exports.InjectMethodVars = InjectMethodVars;
  var DetectChangesVars = (function() {
    function DetectChangesVars() {}
    DetectChangesVars.throwOnChange = o.variable("throwOnChange");
    DetectChangesVars.changes = o.variable("changes");
    DetectChangesVars.changed = o.variable("changed");
    DetectChangesVars.valUnwrapper = o.variable("valUnwrapper");
    return DetectChangesVars;
  }());
  exports.DetectChangesVars = DetectChangesVars;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/output/output_ast.js", ["../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var lang_1 = $__require('../facade/lang');
  (function(TypeModifier) {
    TypeModifier[TypeModifier["Const"] = 0] = "Const";
  })(exports.TypeModifier || (exports.TypeModifier = {}));
  var TypeModifier = exports.TypeModifier;
  var Type = (function() {
    function Type(modifiers) {
      if (modifiers === void 0) {
        modifiers = null;
      }
      this.modifiers = modifiers;
      if (lang_1.isBlank(modifiers)) {
        this.modifiers = [];
      }
    }
    Type.prototype.hasModifier = function(modifier) {
      return this.modifiers.indexOf(modifier) !== -1;
    };
    return Type;
  }());
  exports.Type = Type;
  (function(BuiltinTypeName) {
    BuiltinTypeName[BuiltinTypeName["Dynamic"] = 0] = "Dynamic";
    BuiltinTypeName[BuiltinTypeName["Bool"] = 1] = "Bool";
    BuiltinTypeName[BuiltinTypeName["String"] = 2] = "String";
    BuiltinTypeName[BuiltinTypeName["Int"] = 3] = "Int";
    BuiltinTypeName[BuiltinTypeName["Number"] = 4] = "Number";
    BuiltinTypeName[BuiltinTypeName["Function"] = 5] = "Function";
  })(exports.BuiltinTypeName || (exports.BuiltinTypeName = {}));
  var BuiltinTypeName = exports.BuiltinTypeName;
  var BuiltinType = (function(_super) {
    __extends(BuiltinType, _super);
    function BuiltinType(name, modifiers) {
      if (modifiers === void 0) {
        modifiers = null;
      }
      _super.call(this, modifiers);
      this.name = name;
    }
    BuiltinType.prototype.visitType = function(visitor, context) {
      return visitor.visitBuiltintType(this, context);
    };
    return BuiltinType;
  }(Type));
  exports.BuiltinType = BuiltinType;
  var ExternalType = (function(_super) {
    __extends(ExternalType, _super);
    function ExternalType(value, typeParams, modifiers) {
      if (typeParams === void 0) {
        typeParams = null;
      }
      if (modifiers === void 0) {
        modifiers = null;
      }
      _super.call(this, modifiers);
      this.value = value;
      this.typeParams = typeParams;
    }
    ExternalType.prototype.visitType = function(visitor, context) {
      return visitor.visitExternalType(this, context);
    };
    return ExternalType;
  }(Type));
  exports.ExternalType = ExternalType;
  var ArrayType = (function(_super) {
    __extends(ArrayType, _super);
    function ArrayType(of, modifiers) {
      if (modifiers === void 0) {
        modifiers = null;
      }
      _super.call(this, modifiers);
      this.of = of;
    }
    ArrayType.prototype.visitType = function(visitor, context) {
      return visitor.visitArrayType(this, context);
    };
    return ArrayType;
  }(Type));
  exports.ArrayType = ArrayType;
  var MapType = (function(_super) {
    __extends(MapType, _super);
    function MapType(valueType, modifiers) {
      if (modifiers === void 0) {
        modifiers = null;
      }
      _super.call(this, modifiers);
      this.valueType = valueType;
    }
    MapType.prototype.visitType = function(visitor, context) {
      return visitor.visitMapType(this, context);
    };
    return MapType;
  }(Type));
  exports.MapType = MapType;
  exports.DYNAMIC_TYPE = new BuiltinType(BuiltinTypeName.Dynamic);
  exports.BOOL_TYPE = new BuiltinType(BuiltinTypeName.Bool);
  exports.INT_TYPE = new BuiltinType(BuiltinTypeName.Int);
  exports.NUMBER_TYPE = new BuiltinType(BuiltinTypeName.Number);
  exports.STRING_TYPE = new BuiltinType(BuiltinTypeName.String);
  exports.FUNCTION_TYPE = new BuiltinType(BuiltinTypeName.Function);
  (function(BinaryOperator) {
    BinaryOperator[BinaryOperator["Equals"] = 0] = "Equals";
    BinaryOperator[BinaryOperator["NotEquals"] = 1] = "NotEquals";
    BinaryOperator[BinaryOperator["Identical"] = 2] = "Identical";
    BinaryOperator[BinaryOperator["NotIdentical"] = 3] = "NotIdentical";
    BinaryOperator[BinaryOperator["Minus"] = 4] = "Minus";
    BinaryOperator[BinaryOperator["Plus"] = 5] = "Plus";
    BinaryOperator[BinaryOperator["Divide"] = 6] = "Divide";
    BinaryOperator[BinaryOperator["Multiply"] = 7] = "Multiply";
    BinaryOperator[BinaryOperator["Modulo"] = 8] = "Modulo";
    BinaryOperator[BinaryOperator["And"] = 9] = "And";
    BinaryOperator[BinaryOperator["Or"] = 10] = "Or";
    BinaryOperator[BinaryOperator["Lower"] = 11] = "Lower";
    BinaryOperator[BinaryOperator["LowerEquals"] = 12] = "LowerEquals";
    BinaryOperator[BinaryOperator["Bigger"] = 13] = "Bigger";
    BinaryOperator[BinaryOperator["BiggerEquals"] = 14] = "BiggerEquals";
  })(exports.BinaryOperator || (exports.BinaryOperator = {}));
  var BinaryOperator = exports.BinaryOperator;
  var Expression = (function() {
    function Expression(type) {
      this.type = type;
    }
    Expression.prototype.prop = function(name) {
      return new ReadPropExpr(this, name);
    };
    Expression.prototype.key = function(index, type) {
      if (type === void 0) {
        type = null;
      }
      return new ReadKeyExpr(this, index, type);
    };
    Expression.prototype.callMethod = function(name, params) {
      return new InvokeMethodExpr(this, name, params);
    };
    Expression.prototype.callFn = function(params) {
      return new InvokeFunctionExpr(this, params);
    };
    Expression.prototype.instantiate = function(params, type) {
      if (type === void 0) {
        type = null;
      }
      return new InstantiateExpr(this, params, type);
    };
    Expression.prototype.conditional = function(trueCase, falseCase) {
      if (falseCase === void 0) {
        falseCase = null;
      }
      return new ConditionalExpr(this, trueCase, falseCase);
    };
    Expression.prototype.equals = function(rhs) {
      return new BinaryOperatorExpr(BinaryOperator.Equals, this, rhs);
    };
    Expression.prototype.notEquals = function(rhs) {
      return new BinaryOperatorExpr(BinaryOperator.NotEquals, this, rhs);
    };
    Expression.prototype.identical = function(rhs) {
      return new BinaryOperatorExpr(BinaryOperator.Identical, this, rhs);
    };
    Expression.prototype.notIdentical = function(rhs) {
      return new BinaryOperatorExpr(BinaryOperator.NotIdentical, this, rhs);
    };
    Expression.prototype.minus = function(rhs) {
      return new BinaryOperatorExpr(BinaryOperator.Minus, this, rhs);
    };
    Expression.prototype.plus = function(rhs) {
      return new BinaryOperatorExpr(BinaryOperator.Plus, this, rhs);
    };
    Expression.prototype.divide = function(rhs) {
      return new BinaryOperatorExpr(BinaryOperator.Divide, this, rhs);
    };
    Expression.prototype.multiply = function(rhs) {
      return new BinaryOperatorExpr(BinaryOperator.Multiply, this, rhs);
    };
    Expression.prototype.modulo = function(rhs) {
      return new BinaryOperatorExpr(BinaryOperator.Modulo, this, rhs);
    };
    Expression.prototype.and = function(rhs) {
      return new BinaryOperatorExpr(BinaryOperator.And, this, rhs);
    };
    Expression.prototype.or = function(rhs) {
      return new BinaryOperatorExpr(BinaryOperator.Or, this, rhs);
    };
    Expression.prototype.lower = function(rhs) {
      return new BinaryOperatorExpr(BinaryOperator.Lower, this, rhs);
    };
    Expression.prototype.lowerEquals = function(rhs) {
      return new BinaryOperatorExpr(BinaryOperator.LowerEquals, this, rhs);
    };
    Expression.prototype.bigger = function(rhs) {
      return new BinaryOperatorExpr(BinaryOperator.Bigger, this, rhs);
    };
    Expression.prototype.biggerEquals = function(rhs) {
      return new BinaryOperatorExpr(BinaryOperator.BiggerEquals, this, rhs);
    };
    Expression.prototype.isBlank = function() {
      return this.equals(exports.NULL_EXPR);
    };
    Expression.prototype.cast = function(type) {
      return new CastExpr(this, type);
    };
    Expression.prototype.toStmt = function() {
      return new ExpressionStatement(this);
    };
    return Expression;
  }());
  exports.Expression = Expression;
  (function(BuiltinVar) {
    BuiltinVar[BuiltinVar["This"] = 0] = "This";
    BuiltinVar[BuiltinVar["Super"] = 1] = "Super";
    BuiltinVar[BuiltinVar["CatchError"] = 2] = "CatchError";
    BuiltinVar[BuiltinVar["CatchStack"] = 3] = "CatchStack";
  })(exports.BuiltinVar || (exports.BuiltinVar = {}));
  var BuiltinVar = exports.BuiltinVar;
  var ReadVarExpr = (function(_super) {
    __extends(ReadVarExpr, _super);
    function ReadVarExpr(name, type) {
      if (type === void 0) {
        type = null;
      }
      _super.call(this, type);
      if (lang_1.isString(name)) {
        this.name = name;
        this.builtin = null;
      } else {
        this.name = null;
        this.builtin = name;
      }
    }
    ReadVarExpr.prototype.visitExpression = function(visitor, context) {
      return visitor.visitReadVarExpr(this, context);
    };
    ReadVarExpr.prototype.set = function(value) {
      return new WriteVarExpr(this.name, value);
    };
    return ReadVarExpr;
  }(Expression));
  exports.ReadVarExpr = ReadVarExpr;
  var WriteVarExpr = (function(_super) {
    __extends(WriteVarExpr, _super);
    function WriteVarExpr(name, value, type) {
      if (type === void 0) {
        type = null;
      }
      _super.call(this, lang_1.isPresent(type) ? type : value.type);
      this.name = name;
      this.value = value;
    }
    WriteVarExpr.prototype.visitExpression = function(visitor, context) {
      return visitor.visitWriteVarExpr(this, context);
    };
    WriteVarExpr.prototype.toDeclStmt = function(type, modifiers) {
      if (type === void 0) {
        type = null;
      }
      if (modifiers === void 0) {
        modifiers = null;
      }
      return new DeclareVarStmt(this.name, this.value, type, modifiers);
    };
    return WriteVarExpr;
  }(Expression));
  exports.WriteVarExpr = WriteVarExpr;
  var WriteKeyExpr = (function(_super) {
    __extends(WriteKeyExpr, _super);
    function WriteKeyExpr(receiver, index, value, type) {
      if (type === void 0) {
        type = null;
      }
      _super.call(this, lang_1.isPresent(type) ? type : value.type);
      this.receiver = receiver;
      this.index = index;
      this.value = value;
    }
    WriteKeyExpr.prototype.visitExpression = function(visitor, context) {
      return visitor.visitWriteKeyExpr(this, context);
    };
    return WriteKeyExpr;
  }(Expression));
  exports.WriteKeyExpr = WriteKeyExpr;
  var WritePropExpr = (function(_super) {
    __extends(WritePropExpr, _super);
    function WritePropExpr(receiver, name, value, type) {
      if (type === void 0) {
        type = null;
      }
      _super.call(this, lang_1.isPresent(type) ? type : value.type);
      this.receiver = receiver;
      this.name = name;
      this.value = value;
    }
    WritePropExpr.prototype.visitExpression = function(visitor, context) {
      return visitor.visitWritePropExpr(this, context);
    };
    return WritePropExpr;
  }(Expression));
  exports.WritePropExpr = WritePropExpr;
  (function(BuiltinMethod) {
    BuiltinMethod[BuiltinMethod["ConcatArray"] = 0] = "ConcatArray";
    BuiltinMethod[BuiltinMethod["SubscribeObservable"] = 1] = "SubscribeObservable";
    BuiltinMethod[BuiltinMethod["bind"] = 2] = "bind";
  })(exports.BuiltinMethod || (exports.BuiltinMethod = {}));
  var BuiltinMethod = exports.BuiltinMethod;
  var InvokeMethodExpr = (function(_super) {
    __extends(InvokeMethodExpr, _super);
    function InvokeMethodExpr(receiver, method, args, type) {
      if (type === void 0) {
        type = null;
      }
      _super.call(this, type);
      this.receiver = receiver;
      this.args = args;
      if (lang_1.isString(method)) {
        this.name = method;
        this.builtin = null;
      } else {
        this.name = null;
        this.builtin = method;
      }
    }
    InvokeMethodExpr.prototype.visitExpression = function(visitor, context) {
      return visitor.visitInvokeMethodExpr(this, context);
    };
    return InvokeMethodExpr;
  }(Expression));
  exports.InvokeMethodExpr = InvokeMethodExpr;
  var InvokeFunctionExpr = (function(_super) {
    __extends(InvokeFunctionExpr, _super);
    function InvokeFunctionExpr(fn, args, type) {
      if (type === void 0) {
        type = null;
      }
      _super.call(this, type);
      this.fn = fn;
      this.args = args;
    }
    InvokeFunctionExpr.prototype.visitExpression = function(visitor, context) {
      return visitor.visitInvokeFunctionExpr(this, context);
    };
    return InvokeFunctionExpr;
  }(Expression));
  exports.InvokeFunctionExpr = InvokeFunctionExpr;
  var InstantiateExpr = (function(_super) {
    __extends(InstantiateExpr, _super);
    function InstantiateExpr(classExpr, args, type) {
      _super.call(this, type);
      this.classExpr = classExpr;
      this.args = args;
    }
    InstantiateExpr.prototype.visitExpression = function(visitor, context) {
      return visitor.visitInstantiateExpr(this, context);
    };
    return InstantiateExpr;
  }(Expression));
  exports.InstantiateExpr = InstantiateExpr;
  var LiteralExpr = (function(_super) {
    __extends(LiteralExpr, _super);
    function LiteralExpr(value, type) {
      if (type === void 0) {
        type = null;
      }
      _super.call(this, type);
      this.value = value;
    }
    LiteralExpr.prototype.visitExpression = function(visitor, context) {
      return visitor.visitLiteralExpr(this, context);
    };
    return LiteralExpr;
  }(Expression));
  exports.LiteralExpr = LiteralExpr;
  var ExternalExpr = (function(_super) {
    __extends(ExternalExpr, _super);
    function ExternalExpr(value, type, typeParams) {
      if (type === void 0) {
        type = null;
      }
      if (typeParams === void 0) {
        typeParams = null;
      }
      _super.call(this, type);
      this.value = value;
      this.typeParams = typeParams;
    }
    ExternalExpr.prototype.visitExpression = function(visitor, context) {
      return visitor.visitExternalExpr(this, context);
    };
    return ExternalExpr;
  }(Expression));
  exports.ExternalExpr = ExternalExpr;
  var ConditionalExpr = (function(_super) {
    __extends(ConditionalExpr, _super);
    function ConditionalExpr(condition, trueCase, falseCase, type) {
      if (falseCase === void 0) {
        falseCase = null;
      }
      if (type === void 0) {
        type = null;
      }
      _super.call(this, lang_1.isPresent(type) ? type : trueCase.type);
      this.condition = condition;
      this.falseCase = falseCase;
      this.trueCase = trueCase;
    }
    ConditionalExpr.prototype.visitExpression = function(visitor, context) {
      return visitor.visitConditionalExpr(this, context);
    };
    return ConditionalExpr;
  }(Expression));
  exports.ConditionalExpr = ConditionalExpr;
  var NotExpr = (function(_super) {
    __extends(NotExpr, _super);
    function NotExpr(condition) {
      _super.call(this, exports.BOOL_TYPE);
      this.condition = condition;
    }
    NotExpr.prototype.visitExpression = function(visitor, context) {
      return visitor.visitNotExpr(this, context);
    };
    return NotExpr;
  }(Expression));
  exports.NotExpr = NotExpr;
  var CastExpr = (function(_super) {
    __extends(CastExpr, _super);
    function CastExpr(value, type) {
      _super.call(this, type);
      this.value = value;
    }
    CastExpr.prototype.visitExpression = function(visitor, context) {
      return visitor.visitCastExpr(this, context);
    };
    return CastExpr;
  }(Expression));
  exports.CastExpr = CastExpr;
  var FnParam = (function() {
    function FnParam(name, type) {
      if (type === void 0) {
        type = null;
      }
      this.name = name;
      this.type = type;
    }
    return FnParam;
  }());
  exports.FnParam = FnParam;
  var FunctionExpr = (function(_super) {
    __extends(FunctionExpr, _super);
    function FunctionExpr(params, statements, type) {
      if (type === void 0) {
        type = null;
      }
      _super.call(this, type);
      this.params = params;
      this.statements = statements;
    }
    FunctionExpr.prototype.visitExpression = function(visitor, context) {
      return visitor.visitFunctionExpr(this, context);
    };
    FunctionExpr.prototype.toDeclStmt = function(name, modifiers) {
      if (modifiers === void 0) {
        modifiers = null;
      }
      return new DeclareFunctionStmt(name, this.params, this.statements, this.type, modifiers);
    };
    return FunctionExpr;
  }(Expression));
  exports.FunctionExpr = FunctionExpr;
  var BinaryOperatorExpr = (function(_super) {
    __extends(BinaryOperatorExpr, _super);
    function BinaryOperatorExpr(operator, lhs, rhs, type) {
      if (type === void 0) {
        type = null;
      }
      _super.call(this, lang_1.isPresent(type) ? type : lhs.type);
      this.operator = operator;
      this.rhs = rhs;
      this.lhs = lhs;
    }
    BinaryOperatorExpr.prototype.visitExpression = function(visitor, context) {
      return visitor.visitBinaryOperatorExpr(this, context);
    };
    return BinaryOperatorExpr;
  }(Expression));
  exports.BinaryOperatorExpr = BinaryOperatorExpr;
  var ReadPropExpr = (function(_super) {
    __extends(ReadPropExpr, _super);
    function ReadPropExpr(receiver, name, type) {
      if (type === void 0) {
        type = null;
      }
      _super.call(this, type);
      this.receiver = receiver;
      this.name = name;
    }
    ReadPropExpr.prototype.visitExpression = function(visitor, context) {
      return visitor.visitReadPropExpr(this, context);
    };
    ReadPropExpr.prototype.set = function(value) {
      return new WritePropExpr(this.receiver, this.name, value);
    };
    return ReadPropExpr;
  }(Expression));
  exports.ReadPropExpr = ReadPropExpr;
  var ReadKeyExpr = (function(_super) {
    __extends(ReadKeyExpr, _super);
    function ReadKeyExpr(receiver, index, type) {
      if (type === void 0) {
        type = null;
      }
      _super.call(this, type);
      this.receiver = receiver;
      this.index = index;
    }
    ReadKeyExpr.prototype.visitExpression = function(visitor, context) {
      return visitor.visitReadKeyExpr(this, context);
    };
    ReadKeyExpr.prototype.set = function(value) {
      return new WriteKeyExpr(this.receiver, this.index, value);
    };
    return ReadKeyExpr;
  }(Expression));
  exports.ReadKeyExpr = ReadKeyExpr;
  var LiteralArrayExpr = (function(_super) {
    __extends(LiteralArrayExpr, _super);
    function LiteralArrayExpr(entries, type) {
      if (type === void 0) {
        type = null;
      }
      _super.call(this, type);
      this.entries = entries;
    }
    LiteralArrayExpr.prototype.visitExpression = function(visitor, context) {
      return visitor.visitLiteralArrayExpr(this, context);
    };
    return LiteralArrayExpr;
  }(Expression));
  exports.LiteralArrayExpr = LiteralArrayExpr;
  var LiteralMapExpr = (function(_super) {
    __extends(LiteralMapExpr, _super);
    function LiteralMapExpr(entries, type) {
      if (type === void 0) {
        type = null;
      }
      _super.call(this, type);
      this.entries = entries;
      this.valueType = null;
      if (lang_1.isPresent(type)) {
        this.valueType = type.valueType;
      }
    }
    LiteralMapExpr.prototype.visitExpression = function(visitor, context) {
      return visitor.visitLiteralMapExpr(this, context);
    };
    return LiteralMapExpr;
  }(Expression));
  exports.LiteralMapExpr = LiteralMapExpr;
  exports.THIS_EXPR = new ReadVarExpr(BuiltinVar.This);
  exports.SUPER_EXPR = new ReadVarExpr(BuiltinVar.Super);
  exports.CATCH_ERROR_VAR = new ReadVarExpr(BuiltinVar.CatchError);
  exports.CATCH_STACK_VAR = new ReadVarExpr(BuiltinVar.CatchStack);
  exports.NULL_EXPR = new LiteralExpr(null, null);
  (function(StmtModifier) {
    StmtModifier[StmtModifier["Final"] = 0] = "Final";
    StmtModifier[StmtModifier["Private"] = 1] = "Private";
  })(exports.StmtModifier || (exports.StmtModifier = {}));
  var StmtModifier = exports.StmtModifier;
  var Statement = (function() {
    function Statement(modifiers) {
      if (modifiers === void 0) {
        modifiers = null;
      }
      this.modifiers = modifiers;
      if (lang_1.isBlank(modifiers)) {
        this.modifiers = [];
      }
    }
    Statement.prototype.hasModifier = function(modifier) {
      return this.modifiers.indexOf(modifier) !== -1;
    };
    return Statement;
  }());
  exports.Statement = Statement;
  var DeclareVarStmt = (function(_super) {
    __extends(DeclareVarStmt, _super);
    function DeclareVarStmt(name, value, type, modifiers) {
      if (type === void 0) {
        type = null;
      }
      if (modifiers === void 0) {
        modifiers = null;
      }
      _super.call(this, modifiers);
      this.name = name;
      this.value = value;
      this.type = lang_1.isPresent(type) ? type : value.type;
    }
    DeclareVarStmt.prototype.visitStatement = function(visitor, context) {
      return visitor.visitDeclareVarStmt(this, context);
    };
    return DeclareVarStmt;
  }(Statement));
  exports.DeclareVarStmt = DeclareVarStmt;
  var DeclareFunctionStmt = (function(_super) {
    __extends(DeclareFunctionStmt, _super);
    function DeclareFunctionStmt(name, params, statements, type, modifiers) {
      if (type === void 0) {
        type = null;
      }
      if (modifiers === void 0) {
        modifiers = null;
      }
      _super.call(this, modifiers);
      this.name = name;
      this.params = params;
      this.statements = statements;
      this.type = type;
    }
    DeclareFunctionStmt.prototype.visitStatement = function(visitor, context) {
      return visitor.visitDeclareFunctionStmt(this, context);
    };
    return DeclareFunctionStmt;
  }(Statement));
  exports.DeclareFunctionStmt = DeclareFunctionStmt;
  var ExpressionStatement = (function(_super) {
    __extends(ExpressionStatement, _super);
    function ExpressionStatement(expr) {
      _super.call(this);
      this.expr = expr;
    }
    ExpressionStatement.prototype.visitStatement = function(visitor, context) {
      return visitor.visitExpressionStmt(this, context);
    };
    return ExpressionStatement;
  }(Statement));
  exports.ExpressionStatement = ExpressionStatement;
  var ReturnStatement = (function(_super) {
    __extends(ReturnStatement, _super);
    function ReturnStatement(value) {
      _super.call(this);
      this.value = value;
    }
    ReturnStatement.prototype.visitStatement = function(visitor, context) {
      return visitor.visitReturnStmt(this, context);
    };
    return ReturnStatement;
  }(Statement));
  exports.ReturnStatement = ReturnStatement;
  var AbstractClassPart = (function() {
    function AbstractClassPart(type, modifiers) {
      if (type === void 0) {
        type = null;
      }
      this.type = type;
      this.modifiers = modifiers;
      if (lang_1.isBlank(modifiers)) {
        this.modifiers = [];
      }
    }
    AbstractClassPart.prototype.hasModifier = function(modifier) {
      return this.modifiers.indexOf(modifier) !== -1;
    };
    return AbstractClassPart;
  }());
  exports.AbstractClassPart = AbstractClassPart;
  var ClassField = (function(_super) {
    __extends(ClassField, _super);
    function ClassField(name, type, modifiers) {
      if (type === void 0) {
        type = null;
      }
      if (modifiers === void 0) {
        modifiers = null;
      }
      _super.call(this, type, modifiers);
      this.name = name;
    }
    return ClassField;
  }(AbstractClassPart));
  exports.ClassField = ClassField;
  var ClassMethod = (function(_super) {
    __extends(ClassMethod, _super);
    function ClassMethod(name, params, body, type, modifiers) {
      if (type === void 0) {
        type = null;
      }
      if (modifiers === void 0) {
        modifiers = null;
      }
      _super.call(this, type, modifiers);
      this.name = name;
      this.params = params;
      this.body = body;
    }
    return ClassMethod;
  }(AbstractClassPart));
  exports.ClassMethod = ClassMethod;
  var ClassGetter = (function(_super) {
    __extends(ClassGetter, _super);
    function ClassGetter(name, body, type, modifiers) {
      if (type === void 0) {
        type = null;
      }
      if (modifiers === void 0) {
        modifiers = null;
      }
      _super.call(this, type, modifiers);
      this.name = name;
      this.body = body;
    }
    return ClassGetter;
  }(AbstractClassPart));
  exports.ClassGetter = ClassGetter;
  var ClassStmt = (function(_super) {
    __extends(ClassStmt, _super);
    function ClassStmt(name, parent, fields, getters, constructorMethod, methods, modifiers) {
      if (modifiers === void 0) {
        modifiers = null;
      }
      _super.call(this, modifiers);
      this.name = name;
      this.parent = parent;
      this.fields = fields;
      this.getters = getters;
      this.constructorMethod = constructorMethod;
      this.methods = methods;
    }
    ClassStmt.prototype.visitStatement = function(visitor, context) {
      return visitor.visitDeclareClassStmt(this, context);
    };
    return ClassStmt;
  }(Statement));
  exports.ClassStmt = ClassStmt;
  var IfStmt = (function(_super) {
    __extends(IfStmt, _super);
    function IfStmt(condition, trueCase, falseCase) {
      if (falseCase === void 0) {
        falseCase = [];
      }
      _super.call(this);
      this.condition = condition;
      this.trueCase = trueCase;
      this.falseCase = falseCase;
    }
    IfStmt.prototype.visitStatement = function(visitor, context) {
      return visitor.visitIfStmt(this, context);
    };
    return IfStmt;
  }(Statement));
  exports.IfStmt = IfStmt;
  var CommentStmt = (function(_super) {
    __extends(CommentStmt, _super);
    function CommentStmt(comment) {
      _super.call(this);
      this.comment = comment;
    }
    CommentStmt.prototype.visitStatement = function(visitor, context) {
      return visitor.visitCommentStmt(this, context);
    };
    return CommentStmt;
  }(Statement));
  exports.CommentStmt = CommentStmt;
  var TryCatchStmt = (function(_super) {
    __extends(TryCatchStmt, _super);
    function TryCatchStmt(bodyStmts, catchStmts) {
      _super.call(this);
      this.bodyStmts = bodyStmts;
      this.catchStmts = catchStmts;
    }
    TryCatchStmt.prototype.visitStatement = function(visitor, context) {
      return visitor.visitTryCatchStmt(this, context);
    };
    return TryCatchStmt;
  }(Statement));
  exports.TryCatchStmt = TryCatchStmt;
  var ThrowStmt = (function(_super) {
    __extends(ThrowStmt, _super);
    function ThrowStmt(error) {
      _super.call(this);
      this.error = error;
    }
    ThrowStmt.prototype.visitStatement = function(visitor, context) {
      return visitor.visitThrowStmt(this, context);
    };
    return ThrowStmt;
  }(Statement));
  exports.ThrowStmt = ThrowStmt;
  var ExpressionTransformer = (function() {
    function ExpressionTransformer() {}
    ExpressionTransformer.prototype.visitReadVarExpr = function(ast, context) {
      return ast;
    };
    ExpressionTransformer.prototype.visitWriteVarExpr = function(expr, context) {
      return new WriteVarExpr(expr.name, expr.value.visitExpression(this, context));
    };
    ExpressionTransformer.prototype.visitWriteKeyExpr = function(expr, context) {
      return new WriteKeyExpr(expr.receiver.visitExpression(this, context), expr.index.visitExpression(this, context), expr.value.visitExpression(this, context));
    };
    ExpressionTransformer.prototype.visitWritePropExpr = function(expr, context) {
      return new WritePropExpr(expr.receiver.visitExpression(this, context), expr.name, expr.value.visitExpression(this, context));
    };
    ExpressionTransformer.prototype.visitInvokeMethodExpr = function(ast, context) {
      var method = lang_1.isPresent(ast.builtin) ? ast.builtin : ast.name;
      return new InvokeMethodExpr(ast.receiver.visitExpression(this, context), method, this.visitAllExpressions(ast.args, context), ast.type);
    };
    ExpressionTransformer.prototype.visitInvokeFunctionExpr = function(ast, context) {
      return new InvokeFunctionExpr(ast.fn.visitExpression(this, context), this.visitAllExpressions(ast.args, context), ast.type);
    };
    ExpressionTransformer.prototype.visitInstantiateExpr = function(ast, context) {
      return new InstantiateExpr(ast.classExpr.visitExpression(this, context), this.visitAllExpressions(ast.args, context), ast.type);
    };
    ExpressionTransformer.prototype.visitLiteralExpr = function(ast, context) {
      return ast;
    };
    ExpressionTransformer.prototype.visitExternalExpr = function(ast, context) {
      return ast;
    };
    ExpressionTransformer.prototype.visitConditionalExpr = function(ast, context) {
      return new ConditionalExpr(ast.condition.visitExpression(this, context), ast.trueCase.visitExpression(this, context), ast.falseCase.visitExpression(this, context));
    };
    ExpressionTransformer.prototype.visitNotExpr = function(ast, context) {
      return new NotExpr(ast.condition.visitExpression(this, context));
    };
    ExpressionTransformer.prototype.visitCastExpr = function(ast, context) {
      return new CastExpr(ast.value.visitExpression(this, context), context);
    };
    ExpressionTransformer.prototype.visitFunctionExpr = function(ast, context) {
      return ast;
    };
    ExpressionTransformer.prototype.visitBinaryOperatorExpr = function(ast, context) {
      return new BinaryOperatorExpr(ast.operator, ast.lhs.visitExpression(this, context), ast.rhs.visitExpression(this, context), ast.type);
    };
    ExpressionTransformer.prototype.visitReadPropExpr = function(ast, context) {
      return new ReadPropExpr(ast.receiver.visitExpression(this, context), ast.name, ast.type);
    };
    ExpressionTransformer.prototype.visitReadKeyExpr = function(ast, context) {
      return new ReadKeyExpr(ast.receiver.visitExpression(this, context), ast.index.visitExpression(this, context), ast.type);
    };
    ExpressionTransformer.prototype.visitLiteralArrayExpr = function(ast, context) {
      return new LiteralArrayExpr(this.visitAllExpressions(ast.entries, context));
    };
    ExpressionTransformer.prototype.visitLiteralMapExpr = function(ast, context) {
      var _this = this;
      return new LiteralMapExpr(ast.entries.map(function(entry) {
        return [entry[0], entry[1].visitExpression(_this, context)];
      }));
    };
    ExpressionTransformer.prototype.visitAllExpressions = function(exprs, context) {
      var _this = this;
      return exprs.map(function(expr) {
        return expr.visitExpression(_this, context);
      });
    };
    ExpressionTransformer.prototype.visitDeclareVarStmt = function(stmt, context) {
      return new DeclareVarStmt(stmt.name, stmt.value.visitExpression(this, context), stmt.type, stmt.modifiers);
    };
    ExpressionTransformer.prototype.visitDeclareFunctionStmt = function(stmt, context) {
      return stmt;
    };
    ExpressionTransformer.prototype.visitExpressionStmt = function(stmt, context) {
      return new ExpressionStatement(stmt.expr.visitExpression(this, context));
    };
    ExpressionTransformer.prototype.visitReturnStmt = function(stmt, context) {
      return new ReturnStatement(stmt.value.visitExpression(this, context));
    };
    ExpressionTransformer.prototype.visitDeclareClassStmt = function(stmt, context) {
      return stmt;
    };
    ExpressionTransformer.prototype.visitIfStmt = function(stmt, context) {
      return new IfStmt(stmt.condition.visitExpression(this, context), this.visitAllStatements(stmt.trueCase, context), this.visitAllStatements(stmt.falseCase, context));
    };
    ExpressionTransformer.prototype.visitTryCatchStmt = function(stmt, context) {
      return new TryCatchStmt(this.visitAllStatements(stmt.bodyStmts, context), this.visitAllStatements(stmt.catchStmts, context));
    };
    ExpressionTransformer.prototype.visitThrowStmt = function(stmt, context) {
      return new ThrowStmt(stmt.error.visitExpression(this, context));
    };
    ExpressionTransformer.prototype.visitCommentStmt = function(stmt, context) {
      return stmt;
    };
    ExpressionTransformer.prototype.visitAllStatements = function(stmts, context) {
      var _this = this;
      return stmts.map(function(stmt) {
        return stmt.visitStatement(_this, context);
      });
    };
    return ExpressionTransformer;
  }());
  exports.ExpressionTransformer = ExpressionTransformer;
  var RecursiveExpressionVisitor = (function() {
    function RecursiveExpressionVisitor() {}
    RecursiveExpressionVisitor.prototype.visitReadVarExpr = function(ast, context) {
      return ast;
    };
    RecursiveExpressionVisitor.prototype.visitWriteVarExpr = function(expr, context) {
      expr.value.visitExpression(this, context);
      return expr;
    };
    RecursiveExpressionVisitor.prototype.visitWriteKeyExpr = function(expr, context) {
      expr.receiver.visitExpression(this, context);
      expr.index.visitExpression(this, context);
      expr.value.visitExpression(this, context);
      return expr;
    };
    RecursiveExpressionVisitor.prototype.visitWritePropExpr = function(expr, context) {
      expr.receiver.visitExpression(this, context);
      expr.value.visitExpression(this, context);
      return expr;
    };
    RecursiveExpressionVisitor.prototype.visitInvokeMethodExpr = function(ast, context) {
      ast.receiver.visitExpression(this, context);
      this.visitAllExpressions(ast.args, context);
      return ast;
    };
    RecursiveExpressionVisitor.prototype.visitInvokeFunctionExpr = function(ast, context) {
      ast.fn.visitExpression(this, context);
      this.visitAllExpressions(ast.args, context);
      return ast;
    };
    RecursiveExpressionVisitor.prototype.visitInstantiateExpr = function(ast, context) {
      ast.classExpr.visitExpression(this, context);
      this.visitAllExpressions(ast.args, context);
      return ast;
    };
    RecursiveExpressionVisitor.prototype.visitLiteralExpr = function(ast, context) {
      return ast;
    };
    RecursiveExpressionVisitor.prototype.visitExternalExpr = function(ast, context) {
      return ast;
    };
    RecursiveExpressionVisitor.prototype.visitConditionalExpr = function(ast, context) {
      ast.condition.visitExpression(this, context);
      ast.trueCase.visitExpression(this, context);
      ast.falseCase.visitExpression(this, context);
      return ast;
    };
    RecursiveExpressionVisitor.prototype.visitNotExpr = function(ast, context) {
      ast.condition.visitExpression(this, context);
      return ast;
    };
    RecursiveExpressionVisitor.prototype.visitCastExpr = function(ast, context) {
      ast.value.visitExpression(this, context);
      return ast;
    };
    RecursiveExpressionVisitor.prototype.visitFunctionExpr = function(ast, context) {
      return ast;
    };
    RecursiveExpressionVisitor.prototype.visitBinaryOperatorExpr = function(ast, context) {
      ast.lhs.visitExpression(this, context);
      ast.rhs.visitExpression(this, context);
      return ast;
    };
    RecursiveExpressionVisitor.prototype.visitReadPropExpr = function(ast, context) {
      ast.receiver.visitExpression(this, context);
      return ast;
    };
    RecursiveExpressionVisitor.prototype.visitReadKeyExpr = function(ast, context) {
      ast.receiver.visitExpression(this, context);
      ast.index.visitExpression(this, context);
      return ast;
    };
    RecursiveExpressionVisitor.prototype.visitLiteralArrayExpr = function(ast, context) {
      this.visitAllExpressions(ast.entries, context);
      return ast;
    };
    RecursiveExpressionVisitor.prototype.visitLiteralMapExpr = function(ast, context) {
      var _this = this;
      ast.entries.forEach(function(entry) {
        return entry[1].visitExpression(_this, context);
      });
      return ast;
    };
    RecursiveExpressionVisitor.prototype.visitAllExpressions = function(exprs, context) {
      var _this = this;
      exprs.forEach(function(expr) {
        return expr.visitExpression(_this, context);
      });
    };
    RecursiveExpressionVisitor.prototype.visitDeclareVarStmt = function(stmt, context) {
      stmt.value.visitExpression(this, context);
      return stmt;
    };
    RecursiveExpressionVisitor.prototype.visitDeclareFunctionStmt = function(stmt, context) {
      return stmt;
    };
    RecursiveExpressionVisitor.prototype.visitExpressionStmt = function(stmt, context) {
      stmt.expr.visitExpression(this, context);
      return stmt;
    };
    RecursiveExpressionVisitor.prototype.visitReturnStmt = function(stmt, context) {
      stmt.value.visitExpression(this, context);
      return stmt;
    };
    RecursiveExpressionVisitor.prototype.visitDeclareClassStmt = function(stmt, context) {
      return stmt;
    };
    RecursiveExpressionVisitor.prototype.visitIfStmt = function(stmt, context) {
      stmt.condition.visitExpression(this, context);
      this.visitAllStatements(stmt.trueCase, context);
      this.visitAllStatements(stmt.falseCase, context);
      return stmt;
    };
    RecursiveExpressionVisitor.prototype.visitTryCatchStmt = function(stmt, context) {
      this.visitAllStatements(stmt.bodyStmts, context);
      this.visitAllStatements(stmt.catchStmts, context);
      return stmt;
    };
    RecursiveExpressionVisitor.prototype.visitThrowStmt = function(stmt, context) {
      stmt.error.visitExpression(this, context);
      return stmt;
    };
    RecursiveExpressionVisitor.prototype.visitCommentStmt = function(stmt, context) {
      return stmt;
    };
    RecursiveExpressionVisitor.prototype.visitAllStatements = function(stmts, context) {
      var _this = this;
      stmts.forEach(function(stmt) {
        return stmt.visitStatement(_this, context);
      });
    };
    return RecursiveExpressionVisitor;
  }());
  exports.RecursiveExpressionVisitor = RecursiveExpressionVisitor;
  function replaceVarInExpression(varName, newValue, expression) {
    var transformer = new _ReplaceVariableTransformer(varName, newValue);
    return expression.visitExpression(transformer, null);
  }
  exports.replaceVarInExpression = replaceVarInExpression;
  var _ReplaceVariableTransformer = (function(_super) {
    __extends(_ReplaceVariableTransformer, _super);
    function _ReplaceVariableTransformer(_varName, _newValue) {
      _super.call(this);
      this._varName = _varName;
      this._newValue = _newValue;
    }
    _ReplaceVariableTransformer.prototype.visitReadVarExpr = function(ast, context) {
      return ast.name == this._varName ? this._newValue : ast;
    };
    return _ReplaceVariableTransformer;
  }(ExpressionTransformer));
  function findReadVarNames(stmts) {
    var finder = new _VariableFinder();
    finder.visitAllStatements(stmts, null);
    return finder.varNames;
  }
  exports.findReadVarNames = findReadVarNames;
  var _VariableFinder = (function(_super) {
    __extends(_VariableFinder, _super);
    function _VariableFinder() {
      _super.apply(this, arguments);
      this.varNames = new Set();
    }
    _VariableFinder.prototype.visitReadVarExpr = function(ast, context) {
      this.varNames.add(ast.name);
      return null;
    };
    return _VariableFinder;
  }(RecursiveExpressionVisitor));
  function variable(name, type) {
    if (type === void 0) {
      type = null;
    }
    return new ReadVarExpr(name, type);
  }
  exports.variable = variable;
  function importExpr(id, typeParams) {
    if (typeParams === void 0) {
      typeParams = null;
    }
    return new ExternalExpr(id, null, typeParams);
  }
  exports.importExpr = importExpr;
  function importType(id, typeParams, typeModifiers) {
    if (typeParams === void 0) {
      typeParams = null;
    }
    if (typeModifiers === void 0) {
      typeModifiers = null;
    }
    return lang_1.isPresent(id) ? new ExternalType(id, typeParams, typeModifiers) : null;
  }
  exports.importType = importType;
  function literal(value, type) {
    if (type === void 0) {
      type = null;
    }
    return new LiteralExpr(value, type);
  }
  exports.literal = literal;
  function literalArr(values, type) {
    if (type === void 0) {
      type = null;
    }
    return new LiteralArrayExpr(values, type);
  }
  exports.literalArr = literalArr;
  function literalMap(values, type) {
    if (type === void 0) {
      type = null;
    }
    return new LiteralMapExpr(values, type);
  }
  exports.literalMap = literalMap;
  function not(expr) {
    return new NotExpr(expr);
  }
  exports.not = not;
  function fn(params, body, type) {
    if (type === void 0) {
      type = null;
    }
    return new FunctionExpr(params, body, type);
  }
  exports.fn = fn;
  return module.exports;
});

System.registerDynamic("@angular/compiler/core_private.js", ["@angular/core"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  exports.isDefaultChangeDetectionStrategy = core_1.__core_private__.isDefaultChangeDetectionStrategy;
  exports.ChangeDetectorStatus = core_1.__core_private__.ChangeDetectorStatus;
  exports.CHANGE_DETECTION_STRATEGY_VALUES = core_1.__core_private__.CHANGE_DETECTION_STRATEGY_VALUES;
  exports.constructDependencies = core_1.__core_private__.constructDependencies;
  exports.LifecycleHooks = core_1.__core_private__.LifecycleHooks;
  exports.LIFECYCLE_HOOKS_VALUES = core_1.__core_private__.LIFECYCLE_HOOKS_VALUES;
  exports.ReflectorReader = core_1.__core_private__.ReflectorReader;
  exports.ReflectorComponentResolver = core_1.__core_private__.ReflectorComponentResolver;
  exports.AppElement = core_1.__core_private__.AppElement;
  exports.CodegenComponentFactoryResolver = core_1.__core_private__.CodegenComponentFactoryResolver;
  exports.AppView = core_1.__core_private__.AppView;
  exports.DebugAppView = core_1.__core_private__.DebugAppView;
  exports.ViewType = core_1.__core_private__.ViewType;
  exports.MAX_INTERPOLATION_VALUES = core_1.__core_private__.MAX_INTERPOLATION_VALUES;
  exports.checkBinding = core_1.__core_private__.checkBinding;
  exports.flattenNestedViewRenderNodes = core_1.__core_private__.flattenNestedViewRenderNodes;
  exports.interpolate = core_1.__core_private__.interpolate;
  exports.ViewUtils = core_1.__core_private__.ViewUtils;
  exports.VIEW_ENCAPSULATION_VALUES = core_1.__core_private__.VIEW_ENCAPSULATION_VALUES;
  exports.DebugContext = core_1.__core_private__.DebugContext;
  exports.StaticNodeDebugInfo = core_1.__core_private__.StaticNodeDebugInfo;
  exports.devModeEqual = core_1.__core_private__.devModeEqual;
  exports.uninitialized = core_1.__core_private__.uninitialized;
  exports.ValueUnwrapper = core_1.__core_private__.ValueUnwrapper;
  exports.TemplateRef_ = core_1.__core_private__.TemplateRef_;
  exports.RenderDebugInfo = core_1.__core_private__.RenderDebugInfo;
  exports.SecurityContext = core_1.__core_private__.SecurityContext;
  exports.SanitizationService = core_1.__core_private__.SanitizationService;
  exports.createProvider = core_1.__core_private__.createProvider;
  exports.isProviderLiteral = core_1.__core_private__.isProviderLiteral;
  exports.EMPTY_ARRAY = core_1.__core_private__.EMPTY_ARRAY;
  exports.EMPTY_MAP = core_1.__core_private__.EMPTY_MAP;
  exports.pureProxy1 = core_1.__core_private__.pureProxy1;
  exports.pureProxy2 = core_1.__core_private__.pureProxy2;
  exports.pureProxy3 = core_1.__core_private__.pureProxy3;
  exports.pureProxy4 = core_1.__core_private__.pureProxy4;
  exports.pureProxy5 = core_1.__core_private__.pureProxy5;
  exports.pureProxy6 = core_1.__core_private__.pureProxy6;
  exports.pureProxy7 = core_1.__core_private__.pureProxy7;
  exports.pureProxy8 = core_1.__core_private__.pureProxy8;
  exports.pureProxy9 = core_1.__core_private__.pureProxy9;
  exports.pureProxy10 = core_1.__core_private__.pureProxy10;
  exports.castByValue = core_1.__core_private__.castByValue;
  exports.Console = core_1.__core_private__.Console;
  exports.reflector = core_1.__core_private__.reflector;
  exports.NoOpAnimationPlayer = core_1.__core_private__.NoOpAnimationPlayer;
  exports.AnimationPlayer = core_1.__core_private__.AnimationPlayer;
  exports.NoOpAnimationDriver = core_1.__core_private__.NoOpAnimationDriver;
  exports.AnimationDriver = core_1.__core_private__.AnimationDriver;
  exports.AnimationSequencePlayer = core_1.__core_private__.AnimationSequencePlayer;
  exports.AnimationGroupPlayer = core_1.__core_private__.AnimationGroupPlayer;
  exports.AnimationKeyframe = core_1.__core_private__.AnimationKeyframe;
  exports.AnimationStyles = core_1.__core_private__.AnimationStyles;
  exports.ANY_STATE = core_1.__core_private__.ANY_STATE;
  exports.DEFAULT_STATE = core_1.__core_private__.DEFAULT_STATE;
  exports.EMPTY_STATE = core_1.__core_private__.EMPTY_STATE;
  exports.FILL_STYLE_FLAG = core_1.__core_private__.FILL_STYLE_FLAG;
  exports.prepareFinalAnimationStyles = core_1.__core_private__.prepareFinalAnimationStyles;
  exports.balanceAnimationKeyframes = core_1.__core_private__.balanceAnimationKeyframes;
  exports.flattenStyles = core_1.__core_private__.flattenStyles;
  exports.clearStyles = core_1.__core_private__.clearStyles;
  exports.collectAndResolveStyles = core_1.__core_private__.collectAndResolveStyles;
  exports.renderStyles = core_1.__core_private__.renderStyles;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/facade/base_wrapped_exception.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var BaseWrappedException = (function(_super) {
    __extends(BaseWrappedException, _super);
    function BaseWrappedException(message) {
      _super.call(this, message);
    }
    Object.defineProperty(BaseWrappedException.prototype, "wrapperMessage", {
      get: function() {
        return '';
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "wrapperStack", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "originalException", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "originalStack", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "context", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "message", {
      get: function() {
        return '';
      },
      enumerable: true,
      configurable: true
    });
    return BaseWrappedException;
  }(Error));
  exports.BaseWrappedException = BaseWrappedException;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/facade/exception_handler.js", ["./base_wrapped_exception", "./collection", "./lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var base_wrapped_exception_1 = $__require('./base_wrapped_exception');
  var collection_1 = $__require('./collection');
  var lang_1 = $__require('./lang');
  var _ArrayLogger = (function() {
    function _ArrayLogger() {
      this.res = [];
    }
    _ArrayLogger.prototype.log = function(s) {
      this.res.push(s);
    };
    _ArrayLogger.prototype.logError = function(s) {
      this.res.push(s);
    };
    _ArrayLogger.prototype.logGroup = function(s) {
      this.res.push(s);
    };
    _ArrayLogger.prototype.logGroupEnd = function() {};
    ;
    return _ArrayLogger;
  }());
  var ExceptionHandler = (function() {
    function ExceptionHandler(_logger, _rethrowException) {
      if (_rethrowException === void 0) {
        _rethrowException = true;
      }
      this._logger = _logger;
      this._rethrowException = _rethrowException;
    }
    ExceptionHandler.exceptionToString = function(exception, stackTrace, reason) {
      if (stackTrace === void 0) {
        stackTrace = null;
      }
      if (reason === void 0) {
        reason = null;
      }
      var l = new _ArrayLogger();
      var e = new ExceptionHandler(l, false);
      e.call(exception, stackTrace, reason);
      return l.res.join('\n');
    };
    ExceptionHandler.prototype.call = function(exception, stackTrace, reason) {
      if (stackTrace === void 0) {
        stackTrace = null;
      }
      if (reason === void 0) {
        reason = null;
      }
      var originalException = this._findOriginalException(exception);
      var originalStack = this._findOriginalStack(exception);
      var context = this._findContext(exception);
      this._logger.logGroup("EXCEPTION: " + this._extractMessage(exception));
      if (lang_1.isPresent(stackTrace) && lang_1.isBlank(originalStack)) {
        this._logger.logError('STACKTRACE:');
        this._logger.logError(this._longStackTrace(stackTrace));
      }
      if (lang_1.isPresent(reason)) {
        this._logger.logError("REASON: " + reason);
      }
      if (lang_1.isPresent(originalException)) {
        this._logger.logError("ORIGINAL EXCEPTION: " + this._extractMessage(originalException));
      }
      if (lang_1.isPresent(originalStack)) {
        this._logger.logError('ORIGINAL STACKTRACE:');
        this._logger.logError(this._longStackTrace(originalStack));
      }
      if (lang_1.isPresent(context)) {
        this._logger.logError('ERROR CONTEXT:');
        this._logger.logError(context);
      }
      this._logger.logGroupEnd();
      if (this._rethrowException)
        throw exception;
    };
    ExceptionHandler.prototype._extractMessage = function(exception) {
      return exception instanceof base_wrapped_exception_1.BaseWrappedException ? exception.wrapperMessage : exception.toString();
    };
    ExceptionHandler.prototype._longStackTrace = function(stackTrace) {
      return collection_1.isListLikeIterable(stackTrace) ? stackTrace.join('\n\n-----async gap-----\n') : stackTrace.toString();
    };
    ExceptionHandler.prototype._findContext = function(exception) {
      try {
        if (!(exception instanceof base_wrapped_exception_1.BaseWrappedException))
          return null;
        return lang_1.isPresent(exception.context) ? exception.context : this._findContext(exception.originalException);
      } catch (e) {
        return null;
      }
    };
    ExceptionHandler.prototype._findOriginalException = function(exception) {
      if (!(exception instanceof base_wrapped_exception_1.BaseWrappedException))
        return null;
      var e = exception.originalException;
      while (e instanceof base_wrapped_exception_1.BaseWrappedException && lang_1.isPresent(e.originalException)) {
        e = e.originalException;
      }
      return e;
    };
    ExceptionHandler.prototype._findOriginalStack = function(exception) {
      if (!(exception instanceof base_wrapped_exception_1.BaseWrappedException))
        return null;
      var e = exception;
      var stack = exception.originalStack;
      while (e instanceof base_wrapped_exception_1.BaseWrappedException && lang_1.isPresent(e.originalException)) {
        e = e.originalException;
        if (e instanceof base_wrapped_exception_1.BaseWrappedException && lang_1.isPresent(e.originalException)) {
          stack = e.originalStack;
        }
      }
      return stack;
    };
    return ExceptionHandler;
  }());
  exports.ExceptionHandler = ExceptionHandler;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/facade/exceptions.js", ["./base_wrapped_exception", "./exception_handler"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var base_wrapped_exception_1 = $__require('./base_wrapped_exception');
  var exception_handler_1 = $__require('./exception_handler');
  var exception_handler_2 = $__require('./exception_handler');
  exports.ExceptionHandler = exception_handler_2.ExceptionHandler;
  var BaseException = (function(_super) {
    __extends(BaseException, _super);
    function BaseException(message) {
      if (message === void 0) {
        message = '--';
      }
      _super.call(this, message);
      this.message = message;
      this.stack = (new Error(message)).stack;
    }
    BaseException.prototype.toString = function() {
      return this.message;
    };
    return BaseException;
  }(Error));
  exports.BaseException = BaseException;
  var WrappedException = (function(_super) {
    __extends(WrappedException, _super);
    function WrappedException(_wrapperMessage, _originalException, _originalStack, _context) {
      _super.call(this, _wrapperMessage);
      this._wrapperMessage = _wrapperMessage;
      this._originalException = _originalException;
      this._originalStack = _originalStack;
      this._context = _context;
      this._wrapperStack = (new Error(_wrapperMessage)).stack;
    }
    Object.defineProperty(WrappedException.prototype, "wrapperMessage", {
      get: function() {
        return this._wrapperMessage;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "wrapperStack", {
      get: function() {
        return this._wrapperStack;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "originalException", {
      get: function() {
        return this._originalException;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "originalStack", {
      get: function() {
        return this._originalStack;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "context", {
      get: function() {
        return this._context;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "message", {
      get: function() {
        return exception_handler_1.ExceptionHandler.exceptionToString(this);
      },
      enumerable: true,
      configurable: true
    });
    WrappedException.prototype.toString = function() {
      return this.message;
    };
    return WrappedException;
  }(base_wrapped_exception_1.BaseWrappedException));
  exports.WrappedException = WrappedException;
  function makeTypeError(message) {
    return new TypeError(message);
  }
  exports.makeTypeError = makeTypeError;
  function unimplemented() {
    throw new BaseException('unimplemented');
  }
  exports.unimplemented = unimplemented;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/selector.js", ["../src/facade/collection", "../src/facade/exceptions", "../src/facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var collection_1 = $__require('../src/facade/collection');
  var exceptions_1 = $__require('../src/facade/exceptions');
  var lang_1 = $__require('../src/facade/lang');
  var _EMPTY_ATTR_VALUE = '';
  var _SELECTOR_REGEXP = lang_1.RegExpWrapper.create('(\\:not\\()|' + '([-\\w]+)|' + '(?:\\.([-\\w]+))|' + '(?:\\[([-\\w*]+)(?:=([^\\]]*))?\\])|' + '(\\))|' + '(\\s*,\\s*)');
  var CssSelector = (function() {
    function CssSelector() {
      this.element = null;
      this.classNames = [];
      this.attrs = [];
      this.notSelectors = [];
    }
    CssSelector.parse = function(selector) {
      var results = [];
      var _addResult = function(res, cssSel) {
        if (cssSel.notSelectors.length > 0 && lang_1.isBlank(cssSel.element) && collection_1.ListWrapper.isEmpty(cssSel.classNames) && collection_1.ListWrapper.isEmpty(cssSel.attrs)) {
          cssSel.element = '*';
        }
        res.push(cssSel);
      };
      var cssSelector = new CssSelector();
      var matcher = lang_1.RegExpWrapper.matcher(_SELECTOR_REGEXP, selector);
      var match;
      var current = cssSelector;
      var inNot = false;
      while (lang_1.isPresent(match = lang_1.RegExpMatcherWrapper.next(matcher))) {
        if (lang_1.isPresent(match[1])) {
          if (inNot) {
            throw new exceptions_1.BaseException('Nesting :not is not allowed in a selector');
          }
          inNot = true;
          current = new CssSelector();
          cssSelector.notSelectors.push(current);
        }
        if (lang_1.isPresent(match[2])) {
          current.setElement(match[2]);
        }
        if (lang_1.isPresent(match[3])) {
          current.addClassName(match[3]);
        }
        if (lang_1.isPresent(match[4])) {
          current.addAttribute(match[4], match[5]);
        }
        if (lang_1.isPresent(match[6])) {
          inNot = false;
          current = cssSelector;
        }
        if (lang_1.isPresent(match[7])) {
          if (inNot) {
            throw new exceptions_1.BaseException('Multiple selectors in :not are not supported');
          }
          _addResult(results, cssSelector);
          cssSelector = current = new CssSelector();
        }
      }
      _addResult(results, cssSelector);
      return results;
    };
    CssSelector.prototype.isElementSelector = function() {
      return lang_1.isPresent(this.element) && collection_1.ListWrapper.isEmpty(this.classNames) && collection_1.ListWrapper.isEmpty(this.attrs) && this.notSelectors.length === 0;
    };
    CssSelector.prototype.setElement = function(element) {
      if (element === void 0) {
        element = null;
      }
      this.element = element;
    };
    CssSelector.prototype.getMatchingElementTemplate = function() {
      var tagName = lang_1.isPresent(this.element) ? this.element : 'div';
      var classAttr = this.classNames.length > 0 ? " class=\"" + this.classNames.join(' ') + "\"" : '';
      var attrs = '';
      for (var i = 0; i < this.attrs.length; i += 2) {
        var attrName = this.attrs[i];
        var attrValue = this.attrs[i + 1] !== '' ? "=\"" + this.attrs[i + 1] + "\"" : '';
        attrs += " " + attrName + attrValue;
      }
      return "<" + tagName + classAttr + attrs + "></" + tagName + ">";
    };
    CssSelector.prototype.addAttribute = function(name, value) {
      if (value === void 0) {
        value = _EMPTY_ATTR_VALUE;
      }
      this.attrs.push(name);
      if (lang_1.isPresent(value)) {
        value = value.toLowerCase();
      } else {
        value = _EMPTY_ATTR_VALUE;
      }
      this.attrs.push(value);
    };
    CssSelector.prototype.addClassName = function(name) {
      this.classNames.push(name.toLowerCase());
    };
    CssSelector.prototype.toString = function() {
      var res = '';
      if (lang_1.isPresent(this.element)) {
        res += this.element;
      }
      if (lang_1.isPresent(this.classNames)) {
        for (var i = 0; i < this.classNames.length; i++) {
          res += '.' + this.classNames[i];
        }
      }
      if (lang_1.isPresent(this.attrs)) {
        for (var i = 0; i < this.attrs.length; ) {
          var attrName = this.attrs[i++];
          var attrValue = this.attrs[i++];
          res += '[' + attrName;
          if (attrValue.length > 0) {
            res += '=' + attrValue;
          }
          res += ']';
        }
      }
      this.notSelectors.forEach(function(notSelector) {
        return res += ":not(" + notSelector + ")";
      });
      return res;
    };
    return CssSelector;
  }());
  exports.CssSelector = CssSelector;
  var SelectorMatcher = (function() {
    function SelectorMatcher() {
      this._elementMap = new collection_1.Map();
      this._elementPartialMap = new collection_1.Map();
      this._classMap = new collection_1.Map();
      this._classPartialMap = new collection_1.Map();
      this._attrValueMap = new collection_1.Map();
      this._attrValuePartialMap = new collection_1.Map();
      this._listContexts = [];
    }
    SelectorMatcher.createNotMatcher = function(notSelectors) {
      var notMatcher = new SelectorMatcher();
      notMatcher.addSelectables(notSelectors, null);
      return notMatcher;
    };
    SelectorMatcher.prototype.addSelectables = function(cssSelectors, callbackCtxt) {
      var listContext = null;
      if (cssSelectors.length > 1) {
        listContext = new SelectorListContext(cssSelectors);
        this._listContexts.push(listContext);
      }
      for (var i = 0; i < cssSelectors.length; i++) {
        this._addSelectable(cssSelectors[i], callbackCtxt, listContext);
      }
    };
    SelectorMatcher.prototype._addSelectable = function(cssSelector, callbackCtxt, listContext) {
      var matcher = this;
      var element = cssSelector.element;
      var classNames = cssSelector.classNames;
      var attrs = cssSelector.attrs;
      var selectable = new SelectorContext(cssSelector, callbackCtxt, listContext);
      if (lang_1.isPresent(element)) {
        var isTerminal = attrs.length === 0 && classNames.length === 0;
        if (isTerminal) {
          this._addTerminal(matcher._elementMap, element, selectable);
        } else {
          matcher = this._addPartial(matcher._elementPartialMap, element);
        }
      }
      if (lang_1.isPresent(classNames)) {
        for (var index = 0; index < classNames.length; index++) {
          var isTerminal = attrs.length === 0 && index === classNames.length - 1;
          var className = classNames[index];
          if (isTerminal) {
            this._addTerminal(matcher._classMap, className, selectable);
          } else {
            matcher = this._addPartial(matcher._classPartialMap, className);
          }
        }
      }
      if (lang_1.isPresent(attrs)) {
        for (var index = 0; index < attrs.length; ) {
          var isTerminal = index === attrs.length - 2;
          var attrName = attrs[index++];
          var attrValue = attrs[index++];
          if (isTerminal) {
            var terminalMap = matcher._attrValueMap;
            var terminalValuesMap = terminalMap.get(attrName);
            if (lang_1.isBlank(terminalValuesMap)) {
              terminalValuesMap = new collection_1.Map();
              terminalMap.set(attrName, terminalValuesMap);
            }
            this._addTerminal(terminalValuesMap, attrValue, selectable);
          } else {
            var parttialMap = matcher._attrValuePartialMap;
            var partialValuesMap = parttialMap.get(attrName);
            if (lang_1.isBlank(partialValuesMap)) {
              partialValuesMap = new collection_1.Map();
              parttialMap.set(attrName, partialValuesMap);
            }
            matcher = this._addPartial(partialValuesMap, attrValue);
          }
        }
      }
    };
    SelectorMatcher.prototype._addTerminal = function(map, name, selectable) {
      var terminalList = map.get(name);
      if (lang_1.isBlank(terminalList)) {
        terminalList = [];
        map.set(name, terminalList);
      }
      terminalList.push(selectable);
    };
    SelectorMatcher.prototype._addPartial = function(map, name) {
      var matcher = map.get(name);
      if (lang_1.isBlank(matcher)) {
        matcher = new SelectorMatcher();
        map.set(name, matcher);
      }
      return matcher;
    };
    SelectorMatcher.prototype.match = function(cssSelector, matchedCallback) {
      var result = false;
      var element = cssSelector.element;
      var classNames = cssSelector.classNames;
      var attrs = cssSelector.attrs;
      for (var i = 0; i < this._listContexts.length; i++) {
        this._listContexts[i].alreadyMatched = false;
      }
      result = this._matchTerminal(this._elementMap, element, cssSelector, matchedCallback) || result;
      result = this._matchPartial(this._elementPartialMap, element, cssSelector, matchedCallback) || result;
      if (lang_1.isPresent(classNames)) {
        for (var index = 0; index < classNames.length; index++) {
          var className = classNames[index];
          result = this._matchTerminal(this._classMap, className, cssSelector, matchedCallback) || result;
          result = this._matchPartial(this._classPartialMap, className, cssSelector, matchedCallback) || result;
        }
      }
      if (lang_1.isPresent(attrs)) {
        for (var index = 0; index < attrs.length; ) {
          var attrName = attrs[index++];
          var attrValue = attrs[index++];
          var terminalValuesMap = this._attrValueMap.get(attrName);
          if (!lang_1.StringWrapper.equals(attrValue, _EMPTY_ATTR_VALUE)) {
            result = this._matchTerminal(terminalValuesMap, _EMPTY_ATTR_VALUE, cssSelector, matchedCallback) || result;
          }
          result = this._matchTerminal(terminalValuesMap, attrValue, cssSelector, matchedCallback) || result;
          var partialValuesMap = this._attrValuePartialMap.get(attrName);
          if (!lang_1.StringWrapper.equals(attrValue, _EMPTY_ATTR_VALUE)) {
            result = this._matchPartial(partialValuesMap, _EMPTY_ATTR_VALUE, cssSelector, matchedCallback) || result;
          }
          result = this._matchPartial(partialValuesMap, attrValue, cssSelector, matchedCallback) || result;
        }
      }
      return result;
    };
    SelectorMatcher.prototype._matchTerminal = function(map, name, cssSelector, matchedCallback) {
      if (lang_1.isBlank(map) || lang_1.isBlank(name)) {
        return false;
      }
      var selectables = map.get(name);
      var starSelectables = map.get('*');
      if (lang_1.isPresent(starSelectables)) {
        selectables = selectables.concat(starSelectables);
      }
      if (lang_1.isBlank(selectables)) {
        return false;
      }
      var selectable;
      var result = false;
      for (var index = 0; index < selectables.length; index++) {
        selectable = selectables[index];
        result = selectable.finalize(cssSelector, matchedCallback) || result;
      }
      return result;
    };
    SelectorMatcher.prototype._matchPartial = function(map, name, cssSelector, matchedCallback) {
      if (lang_1.isBlank(map) || lang_1.isBlank(name)) {
        return false;
      }
      var nestedSelector = map.get(name);
      if (lang_1.isBlank(nestedSelector)) {
        return false;
      }
      return nestedSelector.match(cssSelector, matchedCallback);
    };
    return SelectorMatcher;
  }());
  exports.SelectorMatcher = SelectorMatcher;
  var SelectorListContext = (function() {
    function SelectorListContext(selectors) {
      this.selectors = selectors;
      this.alreadyMatched = false;
    }
    return SelectorListContext;
  }());
  exports.SelectorListContext = SelectorListContext;
  var SelectorContext = (function() {
    function SelectorContext(selector, cbContext, listContext) {
      this.selector = selector;
      this.cbContext = cbContext;
      this.listContext = listContext;
      this.notSelectors = selector.notSelectors;
    }
    SelectorContext.prototype.finalize = function(cssSelector, callback) {
      var result = true;
      if (this.notSelectors.length > 0 && (lang_1.isBlank(this.listContext) || !this.listContext.alreadyMatched)) {
        var notMatcher = SelectorMatcher.createNotMatcher(this.notSelectors);
        result = !notMatcher.match(cssSelector, null);
      }
      if (result && lang_1.isPresent(callback) && (lang_1.isBlank(this.listContext) || !this.listContext.alreadyMatched)) {
        if (lang_1.isPresent(this.listContext)) {
          this.listContext.alreadyMatched = true;
        }
        callback(this.selector, this.cbContext);
      }
      return result;
    };
    return SelectorContext;
  }());
  exports.SelectorContext = SelectorContext;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/url_resolver.js", ["@angular/core", "../src/facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var lang_1 = $__require('../src/facade/lang');
  var _ASSET_SCHEME = 'asset:';
  function createUrlResolverWithoutPackagePrefix() {
    return new UrlResolver();
  }
  exports.createUrlResolverWithoutPackagePrefix = createUrlResolverWithoutPackagePrefix;
  function createOfflineCompileUrlResolver() {
    return new UrlResolver(_ASSET_SCHEME);
  }
  exports.createOfflineCompileUrlResolver = createOfflineCompileUrlResolver;
  exports.DEFAULT_PACKAGE_URL_PROVIDER = {
    provide: core_1.PACKAGE_ROOT_URL,
    useValue: '/'
  };
  var UrlResolver = (function() {
    function UrlResolver(_packagePrefix) {
      if (_packagePrefix === void 0) {
        _packagePrefix = null;
      }
      this._packagePrefix = _packagePrefix;
    }
    UrlResolver.prototype.resolve = function(baseUrl, url) {
      var resolvedUrl = url;
      if (lang_1.isPresent(baseUrl) && baseUrl.length > 0) {
        resolvedUrl = _resolveUrl(baseUrl, resolvedUrl);
      }
      var resolvedParts = _split(resolvedUrl);
      var prefix = this._packagePrefix;
      if (lang_1.isPresent(prefix) && lang_1.isPresent(resolvedParts) && resolvedParts[_ComponentIndex.Scheme] == 'package') {
        var path = resolvedParts[_ComponentIndex.Path];
        if (this._packagePrefix === _ASSET_SCHEME) {
          var pathSegements = path.split(/\//);
          resolvedUrl = "asset:" + pathSegements[0] + "/lib/" + pathSegements.slice(1).join('/');
        } else {
          prefix = lang_1.StringWrapper.stripRight(prefix, '/');
          path = lang_1.StringWrapper.stripLeft(path, '/');
          return prefix + "/" + path;
        }
      }
      return resolvedUrl;
    };
    UrlResolver.decorators = [{type: core_1.Injectable}];
    UrlResolver.ctorParameters = [{
      type: undefined,
      decorators: [{
        type: core_1.Inject,
        args: [core_1.PACKAGE_ROOT_URL]
      }]
    }];
    return UrlResolver;
  }());
  exports.UrlResolver = UrlResolver;
  function getUrlScheme(url) {
    var match = _split(url);
    return (match && match[_ComponentIndex.Scheme]) || '';
  }
  exports.getUrlScheme = getUrlScheme;
  function _buildFromEncodedParts(opt_scheme, opt_userInfo, opt_domain, opt_port, opt_path, opt_queryData, opt_fragment) {
    var out = [];
    if (lang_1.isPresent(opt_scheme)) {
      out.push(opt_scheme + ':');
    }
    if (lang_1.isPresent(opt_domain)) {
      out.push('//');
      if (lang_1.isPresent(opt_userInfo)) {
        out.push(opt_userInfo + '@');
      }
      out.push(opt_domain);
      if (lang_1.isPresent(opt_port)) {
        out.push(':' + opt_port);
      }
    }
    if (lang_1.isPresent(opt_path)) {
      out.push(opt_path);
    }
    if (lang_1.isPresent(opt_queryData)) {
      out.push('?' + opt_queryData);
    }
    if (lang_1.isPresent(opt_fragment)) {
      out.push('#' + opt_fragment);
    }
    return out.join('');
  }
  var _splitRe = lang_1.RegExpWrapper.create('^' + '(?:' + '([^:/?#.]+)' + ':)?' + '(?://' + '(?:([^/?#]*)@)?' + '([\\w\\d\\-\\u0100-\\uffff.%]*)' + '(?::([0-9]+))?' + ')?' + '([^?#]+)?' + '(?:\\?([^#]*))?' + '(?:#(.*))?' + '$');
  var _ComponentIndex;
  (function(_ComponentIndex) {
    _ComponentIndex[_ComponentIndex["Scheme"] = 1] = "Scheme";
    _ComponentIndex[_ComponentIndex["UserInfo"] = 2] = "UserInfo";
    _ComponentIndex[_ComponentIndex["Domain"] = 3] = "Domain";
    _ComponentIndex[_ComponentIndex["Port"] = 4] = "Port";
    _ComponentIndex[_ComponentIndex["Path"] = 5] = "Path";
    _ComponentIndex[_ComponentIndex["QueryData"] = 6] = "QueryData";
    _ComponentIndex[_ComponentIndex["Fragment"] = 7] = "Fragment";
  })(_ComponentIndex || (_ComponentIndex = {}));
  function _split(uri) {
    return lang_1.RegExpWrapper.firstMatch(_splitRe, uri);
  }
  function _removeDotSegments(path) {
    if (path == '/')
      return '/';
    var leadingSlash = path[0] == '/' ? '/' : '';
    var trailingSlash = path[path.length - 1] === '/' ? '/' : '';
    var segments = path.split('/');
    var out = [];
    var up = 0;
    for (var pos = 0; pos < segments.length; pos++) {
      var segment = segments[pos];
      switch (segment) {
        case '':
        case '.':
          break;
        case '..':
          if (out.length > 0) {
            out.pop();
          } else {
            up++;
          }
          break;
        default:
          out.push(segment);
      }
    }
    if (leadingSlash == '') {
      while (up-- > 0) {
        out.unshift('..');
      }
      if (out.length === 0)
        out.push('.');
    }
    return leadingSlash + out.join('/') + trailingSlash;
  }
  function _joinAndCanonicalizePath(parts) {
    var path = parts[_ComponentIndex.Path];
    path = lang_1.isBlank(path) ? '' : _removeDotSegments(path);
    parts[_ComponentIndex.Path] = path;
    return _buildFromEncodedParts(parts[_ComponentIndex.Scheme], parts[_ComponentIndex.UserInfo], parts[_ComponentIndex.Domain], parts[_ComponentIndex.Port], path, parts[_ComponentIndex.QueryData], parts[_ComponentIndex.Fragment]);
  }
  function _resolveUrl(base, url) {
    var parts = _split(encodeURI(url));
    var baseParts = _split(base);
    if (lang_1.isPresent(parts[_ComponentIndex.Scheme])) {
      return _joinAndCanonicalizePath(parts);
    } else {
      parts[_ComponentIndex.Scheme] = baseParts[_ComponentIndex.Scheme];
    }
    for (var i = _ComponentIndex.Scheme; i <= _ComponentIndex.Port; i++) {
      if (lang_1.isBlank(parts[i])) {
        parts[i] = baseParts[i];
      }
    }
    if (parts[_ComponentIndex.Path][0] == '/') {
      return _joinAndCanonicalizePath(parts);
    }
    var path = baseParts[_ComponentIndex.Path];
    if (lang_1.isBlank(path))
      path = '/';
    var index = path.lastIndexOf('/');
    path = path.substring(0, index + 1) + parts[_ComponentIndex.Path];
    parts[_ComponentIndex.Path] = path;
    return _joinAndCanonicalizePath(parts);
  }
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/compile_metadata.js", ["@angular/core", "../core_private", "../src/facade/collection", "../src/facade/exceptions", "../src/facade/lang", "./selector", "./url_resolver", "./util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var core_private_1 = $__require('../core_private');
  var collection_1 = $__require('../src/facade/collection');
  var exceptions_1 = $__require('../src/facade/exceptions');
  var lang_1 = $__require('../src/facade/lang');
  var selector_1 = $__require('./selector');
  var url_resolver_1 = $__require('./url_resolver');
  var util_1 = $__require('./util');
  var HOST_REG_EXP = /^(?:(?:\[([^\]]+)\])|(?:\(([^\)]+)\)))$/g;
  var CompileMetadataWithIdentifier = (function() {
    function CompileMetadataWithIdentifier() {}
    Object.defineProperty(CompileMetadataWithIdentifier.prototype, "identifier", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    return CompileMetadataWithIdentifier;
  }());
  exports.CompileMetadataWithIdentifier = CompileMetadataWithIdentifier;
  var CompileMetadataWithType = (function(_super) {
    __extends(CompileMetadataWithType, _super);
    function CompileMetadataWithType() {
      _super.apply(this, arguments);
    }
    Object.defineProperty(CompileMetadataWithType.prototype, "type", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(CompileMetadataWithType.prototype, "identifier", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    return CompileMetadataWithType;
  }(CompileMetadataWithIdentifier));
  exports.CompileMetadataWithType = CompileMetadataWithType;
  function metadataFromJson(data) {
    return _COMPILE_METADATA_FROM_JSON[data['class']](data);
  }
  exports.metadataFromJson = metadataFromJson;
  var CompileAnimationEntryMetadata = (function() {
    function CompileAnimationEntryMetadata(name, definitions) {
      if (name === void 0) {
        name = null;
      }
      if (definitions === void 0) {
        definitions = null;
      }
      this.name = name;
      this.definitions = definitions;
    }
    CompileAnimationEntryMetadata.fromJson = function(data) {
      var value = data['value'];
      var defs = _arrayFromJson(value['definitions'], metadataFromJson);
      return new CompileAnimationEntryMetadata(value['name'], defs);
    };
    CompileAnimationEntryMetadata.prototype.toJson = function() {
      return {
        'class': 'AnimationEntryMetadata',
        'value': {
          'name': this.name,
          'definitions': _arrayToJson(this.definitions)
        }
      };
    };
    return CompileAnimationEntryMetadata;
  }());
  exports.CompileAnimationEntryMetadata = CompileAnimationEntryMetadata;
  var CompileAnimationStateMetadata = (function() {
    function CompileAnimationStateMetadata() {}
    return CompileAnimationStateMetadata;
  }());
  exports.CompileAnimationStateMetadata = CompileAnimationStateMetadata;
  var CompileAnimationStateDeclarationMetadata = (function(_super) {
    __extends(CompileAnimationStateDeclarationMetadata, _super);
    function CompileAnimationStateDeclarationMetadata(stateNameExpr, styles) {
      _super.call(this);
      this.stateNameExpr = stateNameExpr;
      this.styles = styles;
    }
    CompileAnimationStateDeclarationMetadata.fromJson = function(data) {
      var value = data['value'];
      var styles = _objFromJson(value['styles'], metadataFromJson);
      return new CompileAnimationStateDeclarationMetadata(value['stateNameExpr'], styles);
    };
    CompileAnimationStateDeclarationMetadata.prototype.toJson = function() {
      return {
        'class': 'AnimationStateDeclarationMetadata',
        'value': {
          'stateNameExpr': this.stateNameExpr,
          'styles': this.styles.toJson()
        }
      };
    };
    return CompileAnimationStateDeclarationMetadata;
  }(CompileAnimationStateMetadata));
  exports.CompileAnimationStateDeclarationMetadata = CompileAnimationStateDeclarationMetadata;
  var CompileAnimationStateTransitionMetadata = (function(_super) {
    __extends(CompileAnimationStateTransitionMetadata, _super);
    function CompileAnimationStateTransitionMetadata(stateChangeExpr, steps) {
      _super.call(this);
      this.stateChangeExpr = stateChangeExpr;
      this.steps = steps;
    }
    CompileAnimationStateTransitionMetadata.fromJson = function(data) {
      var value = data['value'];
      var steps = _objFromJson(value['steps'], metadataFromJson);
      return new CompileAnimationStateTransitionMetadata(value['stateChangeExpr'], steps);
    };
    CompileAnimationStateTransitionMetadata.prototype.toJson = function() {
      return {
        'class': 'AnimationStateTransitionMetadata',
        'value': {
          'stateChangeExpr': this.stateChangeExpr,
          'steps': this.steps.toJson()
        }
      };
    };
    return CompileAnimationStateTransitionMetadata;
  }(CompileAnimationStateMetadata));
  exports.CompileAnimationStateTransitionMetadata = CompileAnimationStateTransitionMetadata;
  var CompileAnimationMetadata = (function() {
    function CompileAnimationMetadata() {}
    return CompileAnimationMetadata;
  }());
  exports.CompileAnimationMetadata = CompileAnimationMetadata;
  var CompileAnimationKeyframesSequenceMetadata = (function(_super) {
    __extends(CompileAnimationKeyframesSequenceMetadata, _super);
    function CompileAnimationKeyframesSequenceMetadata(steps) {
      if (steps === void 0) {
        steps = [];
      }
      _super.call(this);
      this.steps = steps;
    }
    CompileAnimationKeyframesSequenceMetadata.fromJson = function(data) {
      var steps = _arrayFromJson(data['value'], metadataFromJson);
      return new CompileAnimationKeyframesSequenceMetadata(steps);
    };
    CompileAnimationKeyframesSequenceMetadata.prototype.toJson = function() {
      return {
        'class': 'AnimationKeyframesSequenceMetadata',
        'value': _arrayToJson(this.steps)
      };
    };
    return CompileAnimationKeyframesSequenceMetadata;
  }(CompileAnimationMetadata));
  exports.CompileAnimationKeyframesSequenceMetadata = CompileAnimationKeyframesSequenceMetadata;
  var CompileAnimationStyleMetadata = (function(_super) {
    __extends(CompileAnimationStyleMetadata, _super);
    function CompileAnimationStyleMetadata(offset, styles) {
      if (styles === void 0) {
        styles = null;
      }
      _super.call(this);
      this.offset = offset;
      this.styles = styles;
    }
    CompileAnimationStyleMetadata.fromJson = function(data) {
      var value = data['value'];
      var offsetVal = value['offset'];
      var offset = lang_1.isPresent(offsetVal) ? lang_1.NumberWrapper.parseFloat(offsetVal) : null;
      var styles = value['styles'];
      return new CompileAnimationStyleMetadata(offset, styles);
    };
    CompileAnimationStyleMetadata.prototype.toJson = function() {
      return {
        'class': 'AnimationStyleMetadata',
        'value': {
          'offset': this.offset,
          'styles': this.styles
        }
      };
    };
    return CompileAnimationStyleMetadata;
  }(CompileAnimationMetadata));
  exports.CompileAnimationStyleMetadata = CompileAnimationStyleMetadata;
  var CompileAnimationAnimateMetadata = (function(_super) {
    __extends(CompileAnimationAnimateMetadata, _super);
    function CompileAnimationAnimateMetadata(timings, styles) {
      if (timings === void 0) {
        timings = 0;
      }
      if (styles === void 0) {
        styles = null;
      }
      _super.call(this);
      this.timings = timings;
      this.styles = styles;
    }
    CompileAnimationAnimateMetadata.fromJson = function(data) {
      var value = data['value'];
      var timings = value['timings'];
      var styles = _objFromJson(value['styles'], metadataFromJson);
      return new CompileAnimationAnimateMetadata(timings, styles);
    };
    CompileAnimationAnimateMetadata.prototype.toJson = function() {
      return {
        'class': 'AnimationAnimateMetadata',
        'value': {
          'timings': this.timings,
          'styles': _objToJson(this.styles)
        }
      };
    };
    return CompileAnimationAnimateMetadata;
  }(CompileAnimationMetadata));
  exports.CompileAnimationAnimateMetadata = CompileAnimationAnimateMetadata;
  var CompileAnimationWithStepsMetadata = (function(_super) {
    __extends(CompileAnimationWithStepsMetadata, _super);
    function CompileAnimationWithStepsMetadata(steps) {
      if (steps === void 0) {
        steps = null;
      }
      _super.call(this);
      this.steps = steps;
    }
    return CompileAnimationWithStepsMetadata;
  }(CompileAnimationMetadata));
  exports.CompileAnimationWithStepsMetadata = CompileAnimationWithStepsMetadata;
  var CompileAnimationSequenceMetadata = (function(_super) {
    __extends(CompileAnimationSequenceMetadata, _super);
    function CompileAnimationSequenceMetadata(steps) {
      if (steps === void 0) {
        steps = null;
      }
      _super.call(this, steps);
    }
    CompileAnimationSequenceMetadata.fromJson = function(data) {
      var steps = _arrayFromJson(data['value'], metadataFromJson);
      return new CompileAnimationSequenceMetadata(steps);
    };
    CompileAnimationSequenceMetadata.prototype.toJson = function() {
      return {
        'class': 'AnimationSequenceMetadata',
        'value': _arrayToJson(this.steps)
      };
    };
    return CompileAnimationSequenceMetadata;
  }(CompileAnimationWithStepsMetadata));
  exports.CompileAnimationSequenceMetadata = CompileAnimationSequenceMetadata;
  var CompileAnimationGroupMetadata = (function(_super) {
    __extends(CompileAnimationGroupMetadata, _super);
    function CompileAnimationGroupMetadata(steps) {
      if (steps === void 0) {
        steps = null;
      }
      _super.call(this, steps);
    }
    CompileAnimationGroupMetadata.fromJson = function(data) {
      var steps = _arrayFromJson(data['value'], metadataFromJson);
      return new CompileAnimationGroupMetadata(steps);
    };
    CompileAnimationGroupMetadata.prototype.toJson = function() {
      return {
        'class': 'AnimationGroupMetadata',
        'value': _arrayToJson(this.steps)
      };
    };
    return CompileAnimationGroupMetadata;
  }(CompileAnimationWithStepsMetadata));
  exports.CompileAnimationGroupMetadata = CompileAnimationGroupMetadata;
  var CompileIdentifierMetadata = (function() {
    function CompileIdentifierMetadata(_a) {
      var _b = _a === void 0 ? {} : _a,
          runtime = _b.runtime,
          name = _b.name,
          moduleUrl = _b.moduleUrl,
          prefix = _b.prefix,
          value = _b.value;
      this.runtime = runtime;
      this.name = name;
      this.prefix = prefix;
      this.moduleUrl = moduleUrl;
      this.value = value;
    }
    CompileIdentifierMetadata.fromJson = function(data) {
      var value = lang_1.isArray(data['value']) ? _arrayFromJson(data['value'], metadataFromJson) : _objFromJson(data['value'], metadataFromJson);
      return new CompileIdentifierMetadata({
        name: data['name'],
        prefix: data['prefix'],
        moduleUrl: data['moduleUrl'],
        value: value
      });
    };
    CompileIdentifierMetadata.prototype.toJson = function() {
      var value = lang_1.isArray(this.value) ? _arrayToJson(this.value) : _objToJson(this.value);
      return {
        'class': 'Identifier',
        'name': this.name,
        'moduleUrl': this.moduleUrl,
        'prefix': this.prefix,
        'value': value
      };
    };
    Object.defineProperty(CompileIdentifierMetadata.prototype, "identifier", {
      get: function() {
        return this;
      },
      enumerable: true,
      configurable: true
    });
    return CompileIdentifierMetadata;
  }());
  exports.CompileIdentifierMetadata = CompileIdentifierMetadata;
  var CompileDiDependencyMetadata = (function() {
    function CompileDiDependencyMetadata(_a) {
      var _b = _a === void 0 ? {} : _a,
          isAttribute = _b.isAttribute,
          isSelf = _b.isSelf,
          isHost = _b.isHost,
          isSkipSelf = _b.isSkipSelf,
          isOptional = _b.isOptional,
          isValue = _b.isValue,
          query = _b.query,
          viewQuery = _b.viewQuery,
          token = _b.token,
          value = _b.value;
      this.isAttribute = lang_1.normalizeBool(isAttribute);
      this.isSelf = lang_1.normalizeBool(isSelf);
      this.isHost = lang_1.normalizeBool(isHost);
      this.isSkipSelf = lang_1.normalizeBool(isSkipSelf);
      this.isOptional = lang_1.normalizeBool(isOptional);
      this.isValue = lang_1.normalizeBool(isValue);
      this.query = query;
      this.viewQuery = viewQuery;
      this.token = token;
      this.value = value;
    }
    CompileDiDependencyMetadata.fromJson = function(data) {
      return new CompileDiDependencyMetadata({
        token: _objFromJson(data['token'], CompileTokenMetadata.fromJson),
        query: _objFromJson(data['query'], CompileQueryMetadata.fromJson),
        viewQuery: _objFromJson(data['viewQuery'], CompileQueryMetadata.fromJson),
        value: data['value'],
        isAttribute: data['isAttribute'],
        isSelf: data['isSelf'],
        isHost: data['isHost'],
        isSkipSelf: data['isSkipSelf'],
        isOptional: data['isOptional'],
        isValue: data['isValue']
      });
    };
    CompileDiDependencyMetadata.prototype.toJson = function() {
      return {
        'token': _objToJson(this.token),
        'query': _objToJson(this.query),
        'viewQuery': _objToJson(this.viewQuery),
        'value': this.value,
        'isAttribute': this.isAttribute,
        'isSelf': this.isSelf,
        'isHost': this.isHost,
        'isSkipSelf': this.isSkipSelf,
        'isOptional': this.isOptional,
        'isValue': this.isValue
      };
    };
    return CompileDiDependencyMetadata;
  }());
  exports.CompileDiDependencyMetadata = CompileDiDependencyMetadata;
  var CompileProviderMetadata = (function() {
    function CompileProviderMetadata(_a) {
      var token = _a.token,
          useClass = _a.useClass,
          useValue = _a.useValue,
          useExisting = _a.useExisting,
          useFactory = _a.useFactory,
          deps = _a.deps,
          multi = _a.multi;
      this.token = token;
      this.useClass = useClass;
      this.useValue = useValue;
      this.useExisting = useExisting;
      this.useFactory = useFactory;
      this.deps = lang_1.normalizeBlank(deps);
      this.multi = lang_1.normalizeBool(multi);
    }
    CompileProviderMetadata.fromJson = function(data) {
      return new CompileProviderMetadata({
        token: _objFromJson(data['token'], CompileTokenMetadata.fromJson),
        useClass: _objFromJson(data['useClass'], CompileTypeMetadata.fromJson),
        useExisting: _objFromJson(data['useExisting'], CompileTokenMetadata.fromJson),
        useValue: _objFromJson(data['useValue'], CompileIdentifierMetadata.fromJson),
        useFactory: _objFromJson(data['useFactory'], CompileFactoryMetadata.fromJson),
        multi: data['multi'],
        deps: _arrayFromJson(data['deps'], CompileDiDependencyMetadata.fromJson)
      });
    };
    CompileProviderMetadata.prototype.toJson = function() {
      return {
        'class': 'Provider',
        'token': _objToJson(this.token),
        'useClass': _objToJson(this.useClass),
        'useExisting': _objToJson(this.useExisting),
        'useValue': _objToJson(this.useValue),
        'useFactory': _objToJson(this.useFactory),
        'multi': this.multi,
        'deps': _arrayToJson(this.deps)
      };
    };
    return CompileProviderMetadata;
  }());
  exports.CompileProviderMetadata = CompileProviderMetadata;
  var CompileFactoryMetadata = (function() {
    function CompileFactoryMetadata(_a) {
      var runtime = _a.runtime,
          name = _a.name,
          moduleUrl = _a.moduleUrl,
          prefix = _a.prefix,
          diDeps = _a.diDeps,
          value = _a.value;
      this.runtime = runtime;
      this.name = name;
      this.prefix = prefix;
      this.moduleUrl = moduleUrl;
      this.diDeps = _normalizeArray(diDeps);
      this.value = value;
    }
    Object.defineProperty(CompileFactoryMetadata.prototype, "identifier", {
      get: function() {
        return this;
      },
      enumerable: true,
      configurable: true
    });
    CompileFactoryMetadata.fromJson = function(data) {
      return new CompileFactoryMetadata({
        name: data['name'],
        prefix: data['prefix'],
        moduleUrl: data['moduleUrl'],
        value: data['value'],
        diDeps: _arrayFromJson(data['diDeps'], CompileDiDependencyMetadata.fromJson)
      });
    };
    CompileFactoryMetadata.prototype.toJson = function() {
      return {
        'class': 'Factory',
        'name': this.name,
        'prefix': this.prefix,
        'moduleUrl': this.moduleUrl,
        'value': this.value,
        'diDeps': _arrayToJson(this.diDeps)
      };
    };
    return CompileFactoryMetadata;
  }());
  exports.CompileFactoryMetadata = CompileFactoryMetadata;
  var UNDEFINED = new Object();
  var CompileTokenMetadata = (function() {
    function CompileTokenMetadata(_a) {
      var value = _a.value,
          identifier = _a.identifier,
          identifierIsInstance = _a.identifierIsInstance;
      this._assetCacheKey = UNDEFINED;
      this.value = value;
      this.identifier = identifier;
      this.identifierIsInstance = lang_1.normalizeBool(identifierIsInstance);
    }
    CompileTokenMetadata.fromJson = function(data) {
      return new CompileTokenMetadata({
        value: data['value'],
        identifier: _objFromJson(data['identifier'], CompileIdentifierMetadata.fromJson),
        identifierIsInstance: data['identifierIsInstance']
      });
    };
    CompileTokenMetadata.prototype.toJson = function() {
      return {
        'value': this.value,
        'identifier': _objToJson(this.identifier),
        'identifierIsInstance': this.identifierIsInstance
      };
    };
    Object.defineProperty(CompileTokenMetadata.prototype, "runtimeCacheKey", {
      get: function() {
        if (lang_1.isPresent(this.identifier)) {
          return this.identifier.runtime;
        } else {
          return this.value;
        }
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(CompileTokenMetadata.prototype, "assetCacheKey", {
      get: function() {
        if (this._assetCacheKey === UNDEFINED) {
          if (lang_1.isPresent(this.identifier)) {
            if (lang_1.isPresent(this.identifier.moduleUrl) && lang_1.isPresent(url_resolver_1.getUrlScheme(this.identifier.moduleUrl))) {
              var uri = core_private_1.reflector.importUri({
                'filePath': this.identifier.moduleUrl,
                'name': this.identifier.name
              });
              this._assetCacheKey = this.identifier.name + "|" + uri + "|" + this.identifierIsInstance;
            } else {
              this._assetCacheKey = null;
            }
          } else {
            this._assetCacheKey = this.value;
          }
        }
        return this._assetCacheKey;
      },
      enumerable: true,
      configurable: true
    });
    CompileTokenMetadata.prototype.equalsTo = function(token2) {
      var rk = this.runtimeCacheKey;
      var ak = this.assetCacheKey;
      return (lang_1.isPresent(rk) && rk == token2.runtimeCacheKey) || (lang_1.isPresent(ak) && ak == token2.assetCacheKey);
    };
    Object.defineProperty(CompileTokenMetadata.prototype, "name", {
      get: function() {
        return lang_1.isPresent(this.value) ? util_1.sanitizeIdentifier(this.value) : this.identifier.name;
      },
      enumerable: true,
      configurable: true
    });
    return CompileTokenMetadata;
  }());
  exports.CompileTokenMetadata = CompileTokenMetadata;
  var CompileTokenMap = (function() {
    function CompileTokenMap() {
      this._valueMap = new Map();
      this._values = [];
    }
    CompileTokenMap.prototype.add = function(token, value) {
      var existing = this.get(token);
      if (lang_1.isPresent(existing)) {
        throw new exceptions_1.BaseException("Can only add to a TokenMap! Token: " + token.name);
      }
      this._values.push(value);
      var rk = token.runtimeCacheKey;
      if (lang_1.isPresent(rk)) {
        this._valueMap.set(rk, value);
      }
      var ak = token.assetCacheKey;
      if (lang_1.isPresent(ak)) {
        this._valueMap.set(ak, value);
      }
    };
    CompileTokenMap.prototype.get = function(token) {
      var rk = token.runtimeCacheKey;
      var ak = token.assetCacheKey;
      var result;
      if (lang_1.isPresent(rk)) {
        result = this._valueMap.get(rk);
      }
      if (lang_1.isBlank(result) && lang_1.isPresent(ak)) {
        result = this._valueMap.get(ak);
      }
      return result;
    };
    CompileTokenMap.prototype.values = function() {
      return this._values;
    };
    Object.defineProperty(CompileTokenMap.prototype, "size", {
      get: function() {
        return this._values.length;
      },
      enumerable: true,
      configurable: true
    });
    return CompileTokenMap;
  }());
  exports.CompileTokenMap = CompileTokenMap;
  var CompileTypeMetadata = (function() {
    function CompileTypeMetadata(_a) {
      var _b = _a === void 0 ? {} : _a,
          runtime = _b.runtime,
          name = _b.name,
          moduleUrl = _b.moduleUrl,
          prefix = _b.prefix,
          isHost = _b.isHost,
          value = _b.value,
          diDeps = _b.diDeps;
      this.runtime = runtime;
      this.name = name;
      this.moduleUrl = moduleUrl;
      this.prefix = prefix;
      this.isHost = lang_1.normalizeBool(isHost);
      this.value = value;
      this.diDeps = _normalizeArray(diDeps);
    }
    CompileTypeMetadata.fromJson = function(data) {
      return new CompileTypeMetadata({
        name: data['name'],
        moduleUrl: data['moduleUrl'],
        prefix: data['prefix'],
        isHost: data['isHost'],
        value: data['value'],
        diDeps: _arrayFromJson(data['diDeps'], CompileDiDependencyMetadata.fromJson)
      });
    };
    Object.defineProperty(CompileTypeMetadata.prototype, "identifier", {
      get: function() {
        return this;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(CompileTypeMetadata.prototype, "type", {
      get: function() {
        return this;
      },
      enumerable: true,
      configurable: true
    });
    CompileTypeMetadata.prototype.toJson = function() {
      return {
        'class': 'Type',
        'name': this.name,
        'moduleUrl': this.moduleUrl,
        'prefix': this.prefix,
        'isHost': this.isHost,
        'value': this.value,
        'diDeps': _arrayToJson(this.diDeps)
      };
    };
    return CompileTypeMetadata;
  }());
  exports.CompileTypeMetadata = CompileTypeMetadata;
  var CompileQueryMetadata = (function() {
    function CompileQueryMetadata(_a) {
      var _b = _a === void 0 ? {} : _a,
          selectors = _b.selectors,
          descendants = _b.descendants,
          first = _b.first,
          propertyName = _b.propertyName,
          read = _b.read;
      this.selectors = selectors;
      this.descendants = lang_1.normalizeBool(descendants);
      this.first = lang_1.normalizeBool(first);
      this.propertyName = propertyName;
      this.read = read;
    }
    CompileQueryMetadata.fromJson = function(data) {
      return new CompileQueryMetadata({
        selectors: _arrayFromJson(data['selectors'], CompileTokenMetadata.fromJson),
        descendants: data['descendants'],
        first: data['first'],
        propertyName: data['propertyName'],
        read: _objFromJson(data['read'], CompileTokenMetadata.fromJson)
      });
    };
    CompileQueryMetadata.prototype.toJson = function() {
      return {
        'selectors': _arrayToJson(this.selectors),
        'descendants': this.descendants,
        'first': this.first,
        'propertyName': this.propertyName,
        'read': _objToJson(this.read)
      };
    };
    return CompileQueryMetadata;
  }());
  exports.CompileQueryMetadata = CompileQueryMetadata;
  var CompileStylesheetMetadata = (function() {
    function CompileStylesheetMetadata(_a) {
      var _b = _a === void 0 ? {} : _a,
          moduleUrl = _b.moduleUrl,
          styles = _b.styles,
          styleUrls = _b.styleUrls;
      this.moduleUrl = moduleUrl;
      this.styles = _normalizeArray(styles);
      this.styleUrls = _normalizeArray(styleUrls);
    }
    CompileStylesheetMetadata.fromJson = function(data) {
      return new CompileStylesheetMetadata({
        moduleUrl: data['moduleUrl'],
        styles: data['styles'],
        styleUrls: data['styleUrls']
      });
    };
    CompileStylesheetMetadata.prototype.toJson = function() {
      return {
        'moduleUrl': this.moduleUrl,
        'styles': this.styles,
        'styleUrls': this.styleUrls
      };
    };
    return CompileStylesheetMetadata;
  }());
  exports.CompileStylesheetMetadata = CompileStylesheetMetadata;
  var CompileTemplateMetadata = (function() {
    function CompileTemplateMetadata(_a) {
      var _b = _a === void 0 ? {} : _a,
          encapsulation = _b.encapsulation,
          template = _b.template,
          templateUrl = _b.templateUrl,
          styles = _b.styles,
          styleUrls = _b.styleUrls,
          externalStylesheets = _b.externalStylesheets,
          animations = _b.animations,
          ngContentSelectors = _b.ngContentSelectors,
          interpolation = _b.interpolation;
      this.encapsulation = encapsulation;
      this.template = template;
      this.templateUrl = templateUrl;
      this.styles = _normalizeArray(styles);
      this.styleUrls = _normalizeArray(styleUrls);
      this.externalStylesheets = _normalizeArray(externalStylesheets);
      this.animations = lang_1.isPresent(animations) ? collection_1.ListWrapper.flatten(animations) : [];
      this.ngContentSelectors = lang_1.isPresent(ngContentSelectors) ? ngContentSelectors : [];
      if (lang_1.isPresent(interpolation) && interpolation.length != 2) {
        throw new exceptions_1.BaseException("'interpolation' should have a start and an end symbol.");
      }
      this.interpolation = interpolation;
    }
    CompileTemplateMetadata.fromJson = function(data) {
      var animations = _arrayFromJson(data['animations'], metadataFromJson);
      return new CompileTemplateMetadata({
        encapsulation: lang_1.isPresent(data['encapsulation']) ? core_private_1.VIEW_ENCAPSULATION_VALUES[data['encapsulation']] : data['encapsulation'],
        template: data['template'],
        templateUrl: data['templateUrl'],
        styles: data['styles'],
        styleUrls: data['styleUrls'],
        externalStylesheets: _arrayFromJson(data['externalStylesheets'], CompileStylesheetMetadata.fromJson),
        animations: animations,
        ngContentSelectors: data['ngContentSelectors'],
        interpolation: data['interpolation']
      });
    };
    CompileTemplateMetadata.prototype.toJson = function() {
      return {
        'encapsulation': lang_1.isPresent(this.encapsulation) ? lang_1.serializeEnum(this.encapsulation) : this.encapsulation,
        'template': this.template,
        'templateUrl': this.templateUrl,
        'styles': this.styles,
        'styleUrls': this.styleUrls,
        'externalStylesheets': _objToJson(this.externalStylesheets),
        'animations': _objToJson(this.animations),
        'ngContentSelectors': this.ngContentSelectors,
        'interpolation': this.interpolation
      };
    };
    return CompileTemplateMetadata;
  }());
  exports.CompileTemplateMetadata = CompileTemplateMetadata;
  var CompileDirectiveMetadata = (function() {
    function CompileDirectiveMetadata(_a) {
      var _b = _a === void 0 ? {} : _a,
          type = _b.type,
          isComponent = _b.isComponent,
          selector = _b.selector,
          exportAs = _b.exportAs,
          changeDetection = _b.changeDetection,
          inputs = _b.inputs,
          outputs = _b.outputs,
          hostListeners = _b.hostListeners,
          hostProperties = _b.hostProperties,
          hostAttributes = _b.hostAttributes,
          lifecycleHooks = _b.lifecycleHooks,
          providers = _b.providers,
          viewProviders = _b.viewProviders,
          queries = _b.queries,
          viewQueries = _b.viewQueries,
          precompile = _b.precompile,
          template = _b.template;
      this.type = type;
      this.isComponent = isComponent;
      this.selector = selector;
      this.exportAs = exportAs;
      this.changeDetection = changeDetection;
      this.inputs = inputs;
      this.outputs = outputs;
      this.hostListeners = hostListeners;
      this.hostProperties = hostProperties;
      this.hostAttributes = hostAttributes;
      this.lifecycleHooks = _normalizeArray(lifecycleHooks);
      this.providers = _normalizeArray(providers);
      this.viewProviders = _normalizeArray(viewProviders);
      this.queries = _normalizeArray(queries);
      this.viewQueries = _normalizeArray(viewQueries);
      this.precompile = _normalizeArray(precompile);
      this.template = template;
    }
    CompileDirectiveMetadata.create = function(_a) {
      var _b = _a === void 0 ? {} : _a,
          type = _b.type,
          isComponent = _b.isComponent,
          selector = _b.selector,
          exportAs = _b.exportAs,
          changeDetection = _b.changeDetection,
          inputs = _b.inputs,
          outputs = _b.outputs,
          host = _b.host,
          lifecycleHooks = _b.lifecycleHooks,
          providers = _b.providers,
          viewProviders = _b.viewProviders,
          queries = _b.queries,
          viewQueries = _b.viewQueries,
          precompile = _b.precompile,
          template = _b.template;
      var hostListeners = {};
      var hostProperties = {};
      var hostAttributes = {};
      if (lang_1.isPresent(host)) {
        collection_1.StringMapWrapper.forEach(host, function(value, key) {
          var matches = lang_1.RegExpWrapper.firstMatch(HOST_REG_EXP, key);
          if (lang_1.isBlank(matches)) {
            hostAttributes[key] = value;
          } else if (lang_1.isPresent(matches[1])) {
            hostProperties[matches[1]] = value;
          } else if (lang_1.isPresent(matches[2])) {
            hostListeners[matches[2]] = value;
          }
        });
      }
      var inputsMap = {};
      if (lang_1.isPresent(inputs)) {
        inputs.forEach(function(bindConfig) {
          var parts = util_1.splitAtColon(bindConfig, [bindConfig, bindConfig]);
          inputsMap[parts[0]] = parts[1];
        });
      }
      var outputsMap = {};
      if (lang_1.isPresent(outputs)) {
        outputs.forEach(function(bindConfig) {
          var parts = util_1.splitAtColon(bindConfig, [bindConfig, bindConfig]);
          outputsMap[parts[0]] = parts[1];
        });
      }
      return new CompileDirectiveMetadata({
        type: type,
        isComponent: lang_1.normalizeBool(isComponent),
        selector: selector,
        exportAs: exportAs,
        changeDetection: changeDetection,
        inputs: inputsMap,
        outputs: outputsMap,
        hostListeners: hostListeners,
        hostProperties: hostProperties,
        hostAttributes: hostAttributes,
        lifecycleHooks: lang_1.isPresent(lifecycleHooks) ? lifecycleHooks : [],
        providers: providers,
        viewProviders: viewProviders,
        queries: queries,
        viewQueries: viewQueries,
        precompile: precompile,
        template: template
      });
    };
    Object.defineProperty(CompileDirectiveMetadata.prototype, "identifier", {
      get: function() {
        return this.type;
      },
      enumerable: true,
      configurable: true
    });
    CompileDirectiveMetadata.fromJson = function(data) {
      return new CompileDirectiveMetadata({
        isComponent: data['isComponent'],
        selector: data['selector'],
        exportAs: data['exportAs'],
        type: lang_1.isPresent(data['type']) ? CompileTypeMetadata.fromJson(data['type']) : data['type'],
        changeDetection: lang_1.isPresent(data['changeDetection']) ? core_private_1.CHANGE_DETECTION_STRATEGY_VALUES[data['changeDetection']] : data['changeDetection'],
        inputs: data['inputs'],
        outputs: data['outputs'],
        hostListeners: data['hostListeners'],
        hostProperties: data['hostProperties'],
        hostAttributes: data['hostAttributes'],
        lifecycleHooks: data['lifecycleHooks'].map(function(hookValue) {
          return core_private_1.LIFECYCLE_HOOKS_VALUES[hookValue];
        }),
        template: lang_1.isPresent(data['template']) ? CompileTemplateMetadata.fromJson(data['template']) : data['template'],
        providers: _arrayFromJson(data['providers'], metadataFromJson),
        viewProviders: _arrayFromJson(data['viewProviders'], metadataFromJson),
        queries: _arrayFromJson(data['queries'], CompileQueryMetadata.fromJson),
        viewQueries: _arrayFromJson(data['viewQueries'], CompileQueryMetadata.fromJson),
        precompile: _arrayFromJson(data['precompile'], CompileTypeMetadata.fromJson)
      });
    };
    CompileDirectiveMetadata.prototype.toJson = function() {
      return {
        'class': 'Directive',
        'isComponent': this.isComponent,
        'selector': this.selector,
        'exportAs': this.exportAs,
        'type': lang_1.isPresent(this.type) ? this.type.toJson() : this.type,
        'changeDetection': lang_1.isPresent(this.changeDetection) ? lang_1.serializeEnum(this.changeDetection) : this.changeDetection,
        'inputs': this.inputs,
        'outputs': this.outputs,
        'hostListeners': this.hostListeners,
        'hostProperties': this.hostProperties,
        'hostAttributes': this.hostAttributes,
        'lifecycleHooks': this.lifecycleHooks.map(function(hook) {
          return lang_1.serializeEnum(hook);
        }),
        'template': lang_1.isPresent(this.template) ? this.template.toJson() : this.template,
        'providers': _arrayToJson(this.providers),
        'viewProviders': _arrayToJson(this.viewProviders),
        'queries': _arrayToJson(this.queries),
        'viewQueries': _arrayToJson(this.viewQueries),
        'precompile': _arrayToJson(this.precompile)
      };
    };
    return CompileDirectiveMetadata;
  }());
  exports.CompileDirectiveMetadata = CompileDirectiveMetadata;
  function createHostComponentMeta(componentType, componentSelector) {
    var template = selector_1.CssSelector.parse(componentSelector)[0].getMatchingElementTemplate();
    return CompileDirectiveMetadata.create({
      type: new CompileTypeMetadata({
        runtime: Object,
        name: componentType.name + "_Host",
        moduleUrl: componentType.moduleUrl,
        isHost: true
      }),
      template: new CompileTemplateMetadata({
        template: template,
        templateUrl: '',
        styles: [],
        styleUrls: [],
        ngContentSelectors: [],
        animations: []
      }),
      changeDetection: core_1.ChangeDetectionStrategy.Default,
      inputs: [],
      outputs: [],
      host: {},
      lifecycleHooks: [],
      isComponent: true,
      selector: '*',
      providers: [],
      viewProviders: [],
      queries: [],
      viewQueries: []
    });
  }
  exports.createHostComponentMeta = createHostComponentMeta;
  var CompilePipeMetadata = (function() {
    function CompilePipeMetadata(_a) {
      var _b = _a === void 0 ? {} : _a,
          type = _b.type,
          name = _b.name,
          pure = _b.pure,
          lifecycleHooks = _b.lifecycleHooks;
      this.type = type;
      this.name = name;
      this.pure = lang_1.normalizeBool(pure);
      this.lifecycleHooks = _normalizeArray(lifecycleHooks);
    }
    Object.defineProperty(CompilePipeMetadata.prototype, "identifier", {
      get: function() {
        return this.type;
      },
      enumerable: true,
      configurable: true
    });
    CompilePipeMetadata.fromJson = function(data) {
      return new CompilePipeMetadata({
        type: lang_1.isPresent(data['type']) ? CompileTypeMetadata.fromJson(data['type']) : data['type'],
        name: data['name'],
        pure: data['pure']
      });
    };
    CompilePipeMetadata.prototype.toJson = function() {
      return {
        'class': 'Pipe',
        'type': lang_1.isPresent(this.type) ? this.type.toJson() : null,
        'name': this.name,
        'pure': this.pure
      };
    };
    return CompilePipeMetadata;
  }());
  exports.CompilePipeMetadata = CompilePipeMetadata;
  var _COMPILE_METADATA_FROM_JSON = {
    'Directive': CompileDirectiveMetadata.fromJson,
    'Pipe': CompilePipeMetadata.fromJson,
    'Type': CompileTypeMetadata.fromJson,
    'Provider': CompileProviderMetadata.fromJson,
    'Identifier': CompileIdentifierMetadata.fromJson,
    'Factory': CompileFactoryMetadata.fromJson,
    'AnimationEntryMetadata': CompileAnimationEntryMetadata.fromJson,
    'AnimationStateDeclarationMetadata': CompileAnimationStateDeclarationMetadata.fromJson,
    'AnimationStateTransitionMetadata': CompileAnimationStateTransitionMetadata.fromJson,
    'AnimationSequenceMetadata': CompileAnimationSequenceMetadata.fromJson,
    'AnimationGroupMetadata': CompileAnimationGroupMetadata.fromJson,
    'AnimationAnimateMetadata': CompileAnimationAnimateMetadata.fromJson,
    'AnimationStyleMetadata': CompileAnimationStyleMetadata.fromJson,
    'AnimationKeyframesSequenceMetadata': CompileAnimationKeyframesSequenceMetadata.fromJson
  };
  function _arrayFromJson(obj, fn) {
    return lang_1.isBlank(obj) ? null : obj.map(function(o) {
      return _objFromJson(o, fn);
    });
  }
  function _arrayToJson(obj) {
    return lang_1.isBlank(obj) ? null : obj.map(_objToJson);
  }
  function _objFromJson(obj, fn) {
    if (lang_1.isArray(obj))
      return _arrayFromJson(obj, fn);
    if (lang_1.isString(obj) || lang_1.isBlank(obj) || lang_1.isBoolean(obj) || lang_1.isNumber(obj))
      return obj;
    return fn(obj);
  }
  function _objToJson(obj) {
    if (lang_1.isArray(obj))
      return _arrayToJson(obj);
    if (lang_1.isString(obj) || lang_1.isBlank(obj) || lang_1.isBoolean(obj) || lang_1.isNumber(obj))
      return obj;
    return obj.toJson();
  }
  function _normalizeArray(obj) {
    return lang_1.isPresent(obj) ? obj : [];
  }
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/facade/collection.js", ["./lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('./lang');
  exports.Map = lang_1.global.Map;
  exports.Set = lang_1.global.Set;
  var createMapFromPairs = (function() {
    try {
      if (new exports.Map([[1, 2]]).size === 1) {
        return function createMapFromPairs(pairs) {
          return new exports.Map(pairs);
        };
      }
    } catch (e) {}
    return function createMapAndPopulateFromPairs(pairs) {
      var map = new exports.Map();
      for (var i = 0; i < pairs.length; i++) {
        var pair = pairs[i];
        map.set(pair[0], pair[1]);
      }
      return map;
    };
  })();
  var createMapFromMap = (function() {
    try {
      if (new exports.Map(new exports.Map())) {
        return function createMapFromMap(m) {
          return new exports.Map(m);
        };
      }
    } catch (e) {}
    return function createMapAndPopulateFromMap(m) {
      var map = new exports.Map();
      m.forEach(function(v, k) {
        map.set(k, v);
      });
      return map;
    };
  })();
  var _clearValues = (function() {
    if ((new exports.Map()).keys().next) {
      return function _clearValues(m) {
        var keyIterator = m.keys();
        var k;
        while (!((k = keyIterator.next()).done)) {
          m.set(k.value, null);
        }
      };
    } else {
      return function _clearValuesWithForeEach(m) {
        m.forEach(function(v, k) {
          m.set(k, null);
        });
      };
    }
  })();
  var _arrayFromMap = (function() {
    try {
      if ((new exports.Map()).values().next) {
        return function createArrayFromMap(m, getValues) {
          return getValues ? Array.from(m.values()) : Array.from(m.keys());
        };
      }
    } catch (e) {}
    return function createArrayFromMapWithForeach(m, getValues) {
      var res = ListWrapper.createFixedSize(m.size),
          i = 0;
      m.forEach(function(v, k) {
        res[i] = getValues ? v : k;
        i++;
      });
      return res;
    };
  })();
  var MapWrapper = (function() {
    function MapWrapper() {}
    MapWrapper.clone = function(m) {
      return createMapFromMap(m);
    };
    MapWrapper.createFromStringMap = function(stringMap) {
      var result = new exports.Map();
      for (var prop in stringMap) {
        result.set(prop, stringMap[prop]);
      }
      return result;
    };
    MapWrapper.toStringMap = function(m) {
      var r = {};
      m.forEach(function(v, k) {
        return r[k] = v;
      });
      return r;
    };
    MapWrapper.createFromPairs = function(pairs) {
      return createMapFromPairs(pairs);
    };
    MapWrapper.clearValues = function(m) {
      _clearValues(m);
    };
    MapWrapper.iterable = function(m) {
      return m;
    };
    MapWrapper.keys = function(m) {
      return _arrayFromMap(m, false);
    };
    MapWrapper.values = function(m) {
      return _arrayFromMap(m, true);
    };
    return MapWrapper;
  }());
  exports.MapWrapper = MapWrapper;
  var StringMapWrapper = (function() {
    function StringMapWrapper() {}
    StringMapWrapper.create = function() {
      return {};
    };
    StringMapWrapper.contains = function(map, key) {
      return map.hasOwnProperty(key);
    };
    StringMapWrapper.get = function(map, key) {
      return map.hasOwnProperty(key) ? map[key] : undefined;
    };
    StringMapWrapper.set = function(map, key, value) {
      map[key] = value;
    };
    StringMapWrapper.keys = function(map) {
      return Object.keys(map);
    };
    StringMapWrapper.values = function(map) {
      return Object.keys(map).reduce(function(r, a) {
        r.push(map[a]);
        return r;
      }, []);
    };
    StringMapWrapper.isEmpty = function(map) {
      for (var prop in map) {
        return false;
      }
      return true;
    };
    StringMapWrapper.delete = function(map, key) {
      delete map[key];
    };
    StringMapWrapper.forEach = function(map, callback) {
      for (var prop in map) {
        if (map.hasOwnProperty(prop)) {
          callback(map[prop], prop);
        }
      }
    };
    StringMapWrapper.merge = function(m1, m2) {
      var m = {};
      for (var attr in m1) {
        if (m1.hasOwnProperty(attr)) {
          m[attr] = m1[attr];
        }
      }
      for (var attr in m2) {
        if (m2.hasOwnProperty(attr)) {
          m[attr] = m2[attr];
        }
      }
      return m;
    };
    StringMapWrapper.equals = function(m1, m2) {
      var k1 = Object.keys(m1);
      var k2 = Object.keys(m2);
      if (k1.length != k2.length) {
        return false;
      }
      var key;
      for (var i = 0; i < k1.length; i++) {
        key = k1[i];
        if (m1[key] !== m2[key]) {
          return false;
        }
      }
      return true;
    };
    return StringMapWrapper;
  }());
  exports.StringMapWrapper = StringMapWrapper;
  var ListWrapper = (function() {
    function ListWrapper() {}
    ListWrapper.createFixedSize = function(size) {
      return new Array(size);
    };
    ListWrapper.createGrowableSize = function(size) {
      return new Array(size);
    };
    ListWrapper.clone = function(array) {
      return array.slice(0);
    };
    ListWrapper.forEachWithIndex = function(array, fn) {
      for (var i = 0; i < array.length; i++) {
        fn(array[i], i);
      }
    };
    ListWrapper.first = function(array) {
      if (!array)
        return null;
      return array[0];
    };
    ListWrapper.last = function(array) {
      if (!array || array.length == 0)
        return null;
      return array[array.length - 1];
    };
    ListWrapper.indexOf = function(array, value, startIndex) {
      if (startIndex === void 0) {
        startIndex = 0;
      }
      return array.indexOf(value, startIndex);
    };
    ListWrapper.contains = function(list, el) {
      return list.indexOf(el) !== -1;
    };
    ListWrapper.reversed = function(array) {
      var a = ListWrapper.clone(array);
      return a.reverse();
    };
    ListWrapper.concat = function(a, b) {
      return a.concat(b);
    };
    ListWrapper.insert = function(list, index, value) {
      list.splice(index, 0, value);
    };
    ListWrapper.removeAt = function(list, index) {
      var res = list[index];
      list.splice(index, 1);
      return res;
    };
    ListWrapper.removeAll = function(list, items) {
      for (var i = 0; i < items.length; ++i) {
        var index = list.indexOf(items[i]);
        list.splice(index, 1);
      }
    };
    ListWrapper.remove = function(list, el) {
      var index = list.indexOf(el);
      if (index > -1) {
        list.splice(index, 1);
        return true;
      }
      return false;
    };
    ListWrapper.clear = function(list) {
      list.length = 0;
    };
    ListWrapper.isEmpty = function(list) {
      return list.length == 0;
    };
    ListWrapper.fill = function(list, value, start, end) {
      if (start === void 0) {
        start = 0;
      }
      if (end === void 0) {
        end = null;
      }
      list.fill(value, start, end === null ? list.length : end);
    };
    ListWrapper.equals = function(a, b) {
      if (a.length != b.length)
        return false;
      for (var i = 0; i < a.length; ++i) {
        if (a[i] !== b[i])
          return false;
      }
      return true;
    };
    ListWrapper.slice = function(l, from, to) {
      if (from === void 0) {
        from = 0;
      }
      if (to === void 0) {
        to = null;
      }
      return l.slice(from, to === null ? undefined : to);
    };
    ListWrapper.splice = function(l, from, length) {
      return l.splice(from, length);
    };
    ListWrapper.sort = function(l, compareFn) {
      if (lang_1.isPresent(compareFn)) {
        l.sort(compareFn);
      } else {
        l.sort();
      }
    };
    ListWrapper.toString = function(l) {
      return l.toString();
    };
    ListWrapper.toJSON = function(l) {
      return JSON.stringify(l);
    };
    ListWrapper.maximum = function(list, predicate) {
      if (list.length == 0) {
        return null;
      }
      var solution = null;
      var maxValue = -Infinity;
      for (var index = 0; index < list.length; index++) {
        var candidate = list[index];
        if (lang_1.isBlank(candidate)) {
          continue;
        }
        var candidateValue = predicate(candidate);
        if (candidateValue > maxValue) {
          solution = candidate;
          maxValue = candidateValue;
        }
      }
      return solution;
    };
    ListWrapper.flatten = function(list) {
      var target = [];
      _flattenArray(list, target);
      return target;
    };
    ListWrapper.addAll = function(list, source) {
      for (var i = 0; i < source.length; i++) {
        list.push(source[i]);
      }
    };
    return ListWrapper;
  }());
  exports.ListWrapper = ListWrapper;
  function _flattenArray(source, target) {
    if (lang_1.isPresent(source)) {
      for (var i = 0; i < source.length; i++) {
        var item = source[i];
        if (lang_1.isArray(item)) {
          _flattenArray(item, target);
        } else {
          target.push(item);
        }
      }
    }
    return target;
  }
  function isListLikeIterable(obj) {
    if (!lang_1.isJsObject(obj))
      return false;
    return lang_1.isArray(obj) || (!(obj instanceof exports.Map) && lang_1.getSymbolIterator() in obj);
  }
  exports.isListLikeIterable = isListLikeIterable;
  function areIterablesEqual(a, b, comparator) {
    var iterator1 = a[lang_1.getSymbolIterator()]();
    var iterator2 = b[lang_1.getSymbolIterator()]();
    while (true) {
      var item1 = iterator1.next();
      var item2 = iterator2.next();
      if (item1.done && item2.done)
        return true;
      if (item1.done || item2.done)
        return false;
      if (!comparator(item1.value, item2.value))
        return false;
    }
  }
  exports.areIterablesEqual = areIterablesEqual;
  function iterateListLike(obj, fn) {
    if (lang_1.isArray(obj)) {
      for (var i = 0; i < obj.length; i++) {
        fn(obj[i]);
      }
    } else {
      var iterator = obj[lang_1.getSymbolIterator()]();
      var item;
      while (!((item = iterator.next()).done)) {
        fn(item.value);
      }
    }
  }
  exports.iterateListLike = iterateListLike;
  var createSetFromList = (function() {
    var test = new exports.Set([1, 2, 3]);
    if (test.size === 3) {
      return function createSetFromList(lst) {
        return new exports.Set(lst);
      };
    } else {
      return function createSetAndPopulateFromList(lst) {
        var res = new exports.Set(lst);
        if (res.size !== lst.length) {
          for (var i = 0; i < lst.length; i++) {
            res.add(lst[i]);
          }
        }
        return res;
      };
    }
  })();
  var SetWrapper = (function() {
    function SetWrapper() {}
    SetWrapper.createFromList = function(lst) {
      return createSetFromList(lst);
    };
    SetWrapper.has = function(s, key) {
      return s.has(key);
    };
    SetWrapper.delete = function(m, k) {
      m.delete(k);
    };
    return SetWrapper;
  }());
  exports.SetWrapper = SetWrapper;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/facade/lang.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var globalScope;
  if (typeof window === 'undefined') {
    if (typeof WorkerGlobalScope !== 'undefined' && self instanceof WorkerGlobalScope) {
      globalScope = self;
    } else {
      globalScope = global;
    }
  } else {
    globalScope = window;
  }
  function scheduleMicroTask(fn) {
    Zone.current.scheduleMicroTask('scheduleMicrotask', fn);
  }
  exports.scheduleMicroTask = scheduleMicroTask;
  exports.IS_DART = false;
  var _global = globalScope;
  exports.global = _global;
  exports.Type = Function;
  function getTypeNameForDebugging(type) {
    if (type['name']) {
      return type['name'];
    }
    return typeof type;
  }
  exports.getTypeNameForDebugging = getTypeNameForDebugging;
  exports.Math = _global.Math;
  exports.Date = _global.Date;
  _global.assert = function assert(condition) {};
  function isPresent(obj) {
    return obj !== undefined && obj !== null;
  }
  exports.isPresent = isPresent;
  function isBlank(obj) {
    return obj === undefined || obj === null;
  }
  exports.isBlank = isBlank;
  function isBoolean(obj) {
    return typeof obj === 'boolean';
  }
  exports.isBoolean = isBoolean;
  function isNumber(obj) {
    return typeof obj === 'number';
  }
  exports.isNumber = isNumber;
  function isString(obj) {
    return typeof obj === 'string';
  }
  exports.isString = isString;
  function isFunction(obj) {
    return typeof obj === 'function';
  }
  exports.isFunction = isFunction;
  function isType(obj) {
    return isFunction(obj);
  }
  exports.isType = isType;
  function isStringMap(obj) {
    return typeof obj === 'object' && obj !== null;
  }
  exports.isStringMap = isStringMap;
  var STRING_MAP_PROTO = Object.getPrototypeOf({});
  function isStrictStringMap(obj) {
    return isStringMap(obj) && Object.getPrototypeOf(obj) === STRING_MAP_PROTO;
  }
  exports.isStrictStringMap = isStrictStringMap;
  function isPromise(obj) {
    return obj instanceof _global.Promise;
  }
  exports.isPromise = isPromise;
  function isArray(obj) {
    return Array.isArray(obj);
  }
  exports.isArray = isArray;
  function isDate(obj) {
    return obj instanceof exports.Date && !isNaN(obj.valueOf());
  }
  exports.isDate = isDate;
  function noop() {}
  exports.noop = noop;
  function stringify(token) {
    if (typeof token === 'string') {
      return token;
    }
    if (token === undefined || token === null) {
      return '' + token;
    }
    if (token.name) {
      return token.name;
    }
    if (token.overriddenName) {
      return token.overriddenName;
    }
    var res = token.toString();
    var newLineIndex = res.indexOf('\n');
    return (newLineIndex === -1) ? res : res.substring(0, newLineIndex);
  }
  exports.stringify = stringify;
  function serializeEnum(val) {
    return val;
  }
  exports.serializeEnum = serializeEnum;
  function deserializeEnum(val, values) {
    return val;
  }
  exports.deserializeEnum = deserializeEnum;
  function resolveEnumToken(enumValue, val) {
    return enumValue[val];
  }
  exports.resolveEnumToken = resolveEnumToken;
  var StringWrapper = (function() {
    function StringWrapper() {}
    StringWrapper.fromCharCode = function(code) {
      return String.fromCharCode(code);
    };
    StringWrapper.charCodeAt = function(s, index) {
      return s.charCodeAt(index);
    };
    StringWrapper.split = function(s, regExp) {
      return s.split(regExp);
    };
    StringWrapper.equals = function(s, s2) {
      return s === s2;
    };
    StringWrapper.stripLeft = function(s, charVal) {
      if (s && s.length) {
        var pos = 0;
        for (var i = 0; i < s.length; i++) {
          if (s[i] != charVal)
            break;
          pos++;
        }
        s = s.substring(pos);
      }
      return s;
    };
    StringWrapper.stripRight = function(s, charVal) {
      if (s && s.length) {
        var pos = s.length;
        for (var i = s.length - 1; i >= 0; i--) {
          if (s[i] != charVal)
            break;
          pos--;
        }
        s = s.substring(0, pos);
      }
      return s;
    };
    StringWrapper.replace = function(s, from, replace) {
      return s.replace(from, replace);
    };
    StringWrapper.replaceAll = function(s, from, replace) {
      return s.replace(from, replace);
    };
    StringWrapper.slice = function(s, from, to) {
      if (from === void 0) {
        from = 0;
      }
      if (to === void 0) {
        to = null;
      }
      return s.slice(from, to === null ? undefined : to);
    };
    StringWrapper.replaceAllMapped = function(s, from, cb) {
      return s.replace(from, function() {
        var matches = [];
        for (var _i = 0; _i < arguments.length; _i++) {
          matches[_i - 0] = arguments[_i];
        }
        matches.splice(-2, 2);
        return cb(matches);
      });
    };
    StringWrapper.contains = function(s, substr) {
      return s.indexOf(substr) != -1;
    };
    StringWrapper.compare = function(a, b) {
      if (a < b) {
        return -1;
      } else if (a > b) {
        return 1;
      } else {
        return 0;
      }
    };
    return StringWrapper;
  }());
  exports.StringWrapper = StringWrapper;
  var StringJoiner = (function() {
    function StringJoiner(parts) {
      if (parts === void 0) {
        parts = [];
      }
      this.parts = parts;
    }
    StringJoiner.prototype.add = function(part) {
      this.parts.push(part);
    };
    StringJoiner.prototype.toString = function() {
      return this.parts.join('');
    };
    return StringJoiner;
  }());
  exports.StringJoiner = StringJoiner;
  var NumberParseError = (function(_super) {
    __extends(NumberParseError, _super);
    function NumberParseError(message) {
      _super.call(this);
      this.message = message;
    }
    NumberParseError.prototype.toString = function() {
      return this.message;
    };
    return NumberParseError;
  }(Error));
  exports.NumberParseError = NumberParseError;
  var NumberWrapper = (function() {
    function NumberWrapper() {}
    NumberWrapper.toFixed = function(n, fractionDigits) {
      return n.toFixed(fractionDigits);
    };
    NumberWrapper.equal = function(a, b) {
      return a === b;
    };
    NumberWrapper.parseIntAutoRadix = function(text) {
      var result = parseInt(text);
      if (isNaN(result)) {
        throw new NumberParseError('Invalid integer literal when parsing ' + text);
      }
      return result;
    };
    NumberWrapper.parseInt = function(text, radix) {
      if (radix == 10) {
        if (/^(\-|\+)?[0-9]+$/.test(text)) {
          return parseInt(text, radix);
        }
      } else if (radix == 16) {
        if (/^(\-|\+)?[0-9ABCDEFabcdef]+$/.test(text)) {
          return parseInt(text, radix);
        }
      } else {
        var result = parseInt(text, radix);
        if (!isNaN(result)) {
          return result;
        }
      }
      throw new NumberParseError('Invalid integer literal when parsing ' + text + ' in base ' + radix);
    };
    NumberWrapper.parseFloat = function(text) {
      return parseFloat(text);
    };
    Object.defineProperty(NumberWrapper, "NaN", {
      get: function() {
        return NaN;
      },
      enumerable: true,
      configurable: true
    });
    NumberWrapper.isNumeric = function(value) {
      return !isNaN(value - parseFloat(value));
    };
    NumberWrapper.isNaN = function(value) {
      return isNaN(value);
    };
    NumberWrapper.isInteger = function(value) {
      return Number.isInteger(value);
    };
    return NumberWrapper;
  }());
  exports.NumberWrapper = NumberWrapper;
  exports.RegExp = _global.RegExp;
  var RegExpWrapper = (function() {
    function RegExpWrapper() {}
    RegExpWrapper.create = function(regExpStr, flags) {
      if (flags === void 0) {
        flags = '';
      }
      flags = flags.replace(/g/g, '');
      return new _global.RegExp(regExpStr, flags + 'g');
    };
    RegExpWrapper.firstMatch = function(regExp, input) {
      regExp.lastIndex = 0;
      return regExp.exec(input);
    };
    RegExpWrapper.test = function(regExp, input) {
      regExp.lastIndex = 0;
      return regExp.test(input);
    };
    RegExpWrapper.matcher = function(regExp, input) {
      regExp.lastIndex = 0;
      return {
        re: regExp,
        input: input
      };
    };
    RegExpWrapper.replaceAll = function(regExp, input, replace) {
      var c = regExp.exec(input);
      var res = '';
      regExp.lastIndex = 0;
      var prev = 0;
      while (c) {
        res += input.substring(prev, c.index);
        res += replace(c);
        prev = c.index + c[0].length;
        regExp.lastIndex = prev;
        c = regExp.exec(input);
      }
      res += input.substring(prev);
      return res;
    };
    return RegExpWrapper;
  }());
  exports.RegExpWrapper = RegExpWrapper;
  var RegExpMatcherWrapper = (function() {
    function RegExpMatcherWrapper() {}
    RegExpMatcherWrapper.next = function(matcher) {
      return matcher.re.exec(matcher.input);
    };
    return RegExpMatcherWrapper;
  }());
  exports.RegExpMatcherWrapper = RegExpMatcherWrapper;
  var FunctionWrapper = (function() {
    function FunctionWrapper() {}
    FunctionWrapper.apply = function(fn, posArgs) {
      return fn.apply(null, posArgs);
    };
    FunctionWrapper.bind = function(fn, scope) {
      return fn.bind(scope);
    };
    return FunctionWrapper;
  }());
  exports.FunctionWrapper = FunctionWrapper;
  function looseIdentical(a, b) {
    return a === b || typeof a === 'number' && typeof b === 'number' && isNaN(a) && isNaN(b);
  }
  exports.looseIdentical = looseIdentical;
  function getMapKey(value) {
    return value;
  }
  exports.getMapKey = getMapKey;
  function normalizeBlank(obj) {
    return isBlank(obj) ? null : obj;
  }
  exports.normalizeBlank = normalizeBlank;
  function normalizeBool(obj) {
    return isBlank(obj) ? false : obj;
  }
  exports.normalizeBool = normalizeBool;
  function isJsObject(o) {
    return o !== null && (typeof o === 'function' || typeof o === 'object');
  }
  exports.isJsObject = isJsObject;
  function print(obj) {
    console.log(obj);
  }
  exports.print = print;
  function warn(obj) {
    console.warn(obj);
  }
  exports.warn = warn;
  var Json = (function() {
    function Json() {}
    Json.parse = function(s) {
      return _global.JSON.parse(s);
    };
    Json.stringify = function(data) {
      return _global.JSON.stringify(data, null, 2);
    };
    return Json;
  }());
  exports.Json = Json;
  var DateWrapper = (function() {
    function DateWrapper() {}
    DateWrapper.create = function(year, month, day, hour, minutes, seconds, milliseconds) {
      if (month === void 0) {
        month = 1;
      }
      if (day === void 0) {
        day = 1;
      }
      if (hour === void 0) {
        hour = 0;
      }
      if (minutes === void 0) {
        minutes = 0;
      }
      if (seconds === void 0) {
        seconds = 0;
      }
      if (milliseconds === void 0) {
        milliseconds = 0;
      }
      return new exports.Date(year, month - 1, day, hour, minutes, seconds, milliseconds);
    };
    DateWrapper.fromISOString = function(str) {
      return new exports.Date(str);
    };
    DateWrapper.fromMillis = function(ms) {
      return new exports.Date(ms);
    };
    DateWrapper.toMillis = function(date) {
      return date.getTime();
    };
    DateWrapper.now = function() {
      return new exports.Date();
    };
    DateWrapper.toJson = function(date) {
      return date.toJSON();
    };
    return DateWrapper;
  }());
  exports.DateWrapper = DateWrapper;
  function setValueOnPath(global, path, value) {
    var parts = path.split('.');
    var obj = global;
    while (parts.length > 1) {
      var name = parts.shift();
      if (obj.hasOwnProperty(name) && isPresent(obj[name])) {
        obj = obj[name];
      } else {
        obj = obj[name] = {};
      }
    }
    if (obj === undefined || obj === null) {
      obj = {};
    }
    obj[parts.shift()] = value;
  }
  exports.setValueOnPath = setValueOnPath;
  var _symbolIterator = null;
  function getSymbolIterator() {
    if (isBlank(_symbolIterator)) {
      if (isPresent(globalScope.Symbol) && isPresent(Symbol.iterator)) {
        _symbolIterator = Symbol.iterator;
      } else {
        var keys = Object.getOwnPropertyNames(Map.prototype);
        for (var i = 0; i < keys.length; ++i) {
          var key = keys[i];
          if (key !== 'entries' && key !== 'size' && Map.prototype[key] === Map.prototype['entries']) {
            _symbolIterator = key;
          }
        }
      }
    }
    return _symbolIterator;
  }
  exports.getSymbolIterator = getSymbolIterator;
  function evalExpression(sourceUrl, expr, declarations, vars) {
    var fnBody = declarations + "\nreturn " + expr + "\n//# sourceURL=" + sourceUrl;
    var fnArgNames = [];
    var fnArgValues = [];
    for (var argName in vars) {
      fnArgNames.push(argName);
      fnArgValues.push(vars[argName]);
    }
    return new (Function.bind.apply(Function, [void 0].concat(fnArgNames.concat(fnBody))))().apply(void 0, fnArgValues);
  }
  exports.evalExpression = evalExpression;
  function isPrimitive(obj) {
    return !isJsObject(obj);
  }
  exports.isPrimitive = isPrimitive;
  function hasConstructor(value, type) {
    return value.constructor === type;
  }
  exports.hasConstructor = hasConstructor;
  function escape(s) {
    return _global.encodeURI(s);
  }
  exports.escape = escape;
  function escapeRegExp(s) {
    return s.replace(/([.*+?^=!:${}()|[\]\/\\])/g, '\\$1');
  }
  exports.escapeRegExp = escapeRegExp;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/util.js", ["./facade/collection", "./facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var collection_1 = $__require('./facade/collection');
  var lang_1 = $__require('./facade/lang');
  exports.MODULE_SUFFIX = lang_1.IS_DART ? '.dart' : '';
  var CAMEL_CASE_REGEXP = /([A-Z])/g;
  function camelCaseToDashCase(input) {
    return lang_1.StringWrapper.replaceAllMapped(input, CAMEL_CASE_REGEXP, function(m) {
      return '-' + m[1].toLowerCase();
    });
  }
  exports.camelCaseToDashCase = camelCaseToDashCase;
  function splitAtColon(input, defaultValues) {
    var parts = lang_1.StringWrapper.split(input.trim(), /\s*:\s*/g);
    if (parts.length > 1) {
      return parts;
    } else {
      return defaultValues;
    }
  }
  exports.splitAtColon = splitAtColon;
  function sanitizeIdentifier(name) {
    return lang_1.StringWrapper.replaceAll(name, /\W/g, '_');
  }
  exports.sanitizeIdentifier = sanitizeIdentifier;
  function visitValue(value, visitor, context) {
    if (lang_1.isArray(value)) {
      return visitor.visitArray(value, context);
    } else if (lang_1.isStrictStringMap(value)) {
      return visitor.visitStringMap(value, context);
    } else if (lang_1.isBlank(value) || lang_1.isPrimitive(value)) {
      return visitor.visitPrimitive(value, context);
    } else {
      return visitor.visitOther(value, context);
    }
  }
  exports.visitValue = visitValue;
  var ValueTransformer = (function() {
    function ValueTransformer() {}
    ValueTransformer.prototype.visitArray = function(arr, context) {
      var _this = this;
      return arr.map(function(value) {
        return visitValue(value, _this, context);
      });
    };
    ValueTransformer.prototype.visitStringMap = function(map, context) {
      var _this = this;
      var result = {};
      collection_1.StringMapWrapper.forEach(map, function(value, key) {
        result[key] = visitValue(value, _this, context);
      });
      return result;
    };
    ValueTransformer.prototype.visitPrimitive = function(value, context) {
      return value;
    };
    ValueTransformer.prototype.visitOther = function(value, context) {
      return value;
    };
    return ValueTransformer;
  }());
  exports.ValueTransformer = ValueTransformer;
  function assetUrl(pkg, path, type) {
    if (path === void 0) {
      path = null;
    }
    if (type === void 0) {
      type = 'src';
    }
    if (lang_1.IS_DART) {
      if (path == null) {
        return "asset:angular2/" + pkg + "/" + pkg + ".dart";
      } else {
        return "asset:angular2/lib/" + pkg + "/src/" + path + ".dart";
      }
    } else {
      if (path == null) {
        return "asset:@angular/lib/" + pkg + "/index";
      } else {
        return "asset:@angular/lib/" + pkg + "/src/" + path;
      }
    }
  }
  exports.assetUrl = assetUrl;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/identifiers.js", ["@angular/core", "../core_private", "./compile_metadata", "./util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var core_private_1 = $__require('../core_private');
  var compile_metadata_1 = $__require('./compile_metadata');
  var util_1 = $__require('./util');
  var APP_VIEW_MODULE_URL = util_1.assetUrl('core', 'linker/view');
  var VIEW_UTILS_MODULE_URL = util_1.assetUrl('core', 'linker/view_utils');
  var CD_MODULE_URL = util_1.assetUrl('core', 'change_detection/change_detection');
  var impViewUtils = core_private_1.ViewUtils;
  var impAppView = core_private_1.AppView;
  var impDebugAppView = core_private_1.DebugAppView;
  var impDebugContext = core_private_1.DebugContext;
  var impAppElement = core_private_1.AppElement;
  var impElementRef = core_1.ElementRef;
  var impViewContainerRef = core_1.ViewContainerRef;
  var impChangeDetectorRef = core_1.ChangeDetectorRef;
  var impRenderComponentType = core_1.RenderComponentType;
  var impQueryList = core_1.QueryList;
  var impTemplateRef = core_1.TemplateRef;
  var impTemplateRef_ = core_private_1.TemplateRef_;
  var impValueUnwrapper = core_private_1.ValueUnwrapper;
  var impInjector = core_1.Injector;
  var impViewEncapsulation = core_1.ViewEncapsulation;
  var impViewType = core_private_1.ViewType;
  var impChangeDetectionStrategy = core_1.ChangeDetectionStrategy;
  var impStaticNodeDebugInfo = core_private_1.StaticNodeDebugInfo;
  var impRenderer = core_1.Renderer;
  var impSimpleChange = core_1.SimpleChange;
  var impUninitialized = core_private_1.uninitialized;
  var impChangeDetectorStatus = core_private_1.ChangeDetectorStatus;
  var impFlattenNestedViewRenderNodes = core_private_1.flattenNestedViewRenderNodes;
  var impDevModeEqual = core_private_1.devModeEqual;
  var impInterpolate = core_private_1.interpolate;
  var impCheckBinding = core_private_1.checkBinding;
  var impCastByValue = core_private_1.castByValue;
  var impEMPTY_ARRAY = core_private_1.EMPTY_ARRAY;
  var impEMPTY_MAP = core_private_1.EMPTY_MAP;
  var impAnimationGroupPlayer = core_private_1.AnimationGroupPlayer;
  var impAnimationSequencePlayer = core_private_1.AnimationSequencePlayer;
  var impAnimationKeyframe = core_private_1.AnimationKeyframe;
  var impAnimationStyles = core_private_1.AnimationStyles;
  var impNoOpAnimationPlayer = core_private_1.NoOpAnimationPlayer;
  var ANIMATION_STYLE_UTIL_ASSET_URL = util_1.assetUrl('core', 'animation/animation_style_util');
  var Identifiers = (function() {
    function Identifiers() {}
    Identifiers.ViewUtils = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'ViewUtils',
      moduleUrl: util_1.assetUrl('core', 'linker/view_utils'),
      runtime: impViewUtils
    });
    Identifiers.AppView = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'AppView',
      moduleUrl: APP_VIEW_MODULE_URL,
      runtime: impAppView
    });
    Identifiers.DebugAppView = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'DebugAppView',
      moduleUrl: APP_VIEW_MODULE_URL,
      runtime: impDebugAppView
    });
    Identifiers.AppElement = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'AppElement',
      moduleUrl: util_1.assetUrl('core', 'linker/element'),
      runtime: impAppElement
    });
    Identifiers.ElementRef = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'ElementRef',
      moduleUrl: util_1.assetUrl('core', 'linker/element_ref'),
      runtime: impElementRef
    });
    Identifiers.ViewContainerRef = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'ViewContainerRef',
      moduleUrl: util_1.assetUrl('core', 'linker/view_container_ref'),
      runtime: impViewContainerRef
    });
    Identifiers.ChangeDetectorRef = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'ChangeDetectorRef',
      moduleUrl: util_1.assetUrl('core', 'change_detection/change_detector_ref'),
      runtime: impChangeDetectorRef
    });
    Identifiers.RenderComponentType = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'RenderComponentType',
      moduleUrl: util_1.assetUrl('core', 'render/api'),
      runtime: impRenderComponentType
    });
    Identifiers.QueryList = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'QueryList',
      moduleUrl: util_1.assetUrl('core', 'linker/query_list'),
      runtime: impQueryList
    });
    Identifiers.TemplateRef = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'TemplateRef',
      moduleUrl: util_1.assetUrl('core', 'linker/template_ref'),
      runtime: impTemplateRef
    });
    Identifiers.TemplateRef_ = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'TemplateRef_',
      moduleUrl: util_1.assetUrl('core', 'linker/template_ref'),
      runtime: impTemplateRef_
    });
    Identifiers.CodegenComponentFactoryResolver = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'CodegenComponentFactoryResolver',
      moduleUrl: util_1.assetUrl('core', 'linker/component_factory_resolver'),
      runtime: core_private_1.CodegenComponentFactoryResolver
    });
    Identifiers.ComponentFactoryResolver = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'ComponentFactoryResolver',
      moduleUrl: util_1.assetUrl('core', 'linker/component_factory_resolver'),
      runtime: core_1.ComponentFactoryResolver
    });
    Identifiers.ValueUnwrapper = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'ValueUnwrapper',
      moduleUrl: CD_MODULE_URL,
      runtime: impValueUnwrapper
    });
    Identifiers.Injector = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'Injector',
      moduleUrl: util_1.assetUrl('core', 'di/injector'),
      runtime: impInjector
    });
    Identifiers.ViewEncapsulation = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'ViewEncapsulation',
      moduleUrl: util_1.assetUrl('core', 'metadata/view'),
      runtime: impViewEncapsulation
    });
    Identifiers.ViewType = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'ViewType',
      moduleUrl: util_1.assetUrl('core', 'linker/view_type'),
      runtime: impViewType
    });
    Identifiers.ChangeDetectionStrategy = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'ChangeDetectionStrategy',
      moduleUrl: CD_MODULE_URL,
      runtime: impChangeDetectionStrategy
    });
    Identifiers.StaticNodeDebugInfo = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'StaticNodeDebugInfo',
      moduleUrl: util_1.assetUrl('core', 'linker/debug_context'),
      runtime: impStaticNodeDebugInfo
    });
    Identifiers.DebugContext = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'DebugContext',
      moduleUrl: util_1.assetUrl('core', 'linker/debug_context'),
      runtime: impDebugContext
    });
    Identifiers.Renderer = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'Renderer',
      moduleUrl: util_1.assetUrl('core', 'render/api'),
      runtime: impRenderer
    });
    Identifiers.SimpleChange = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'SimpleChange',
      moduleUrl: CD_MODULE_URL,
      runtime: impSimpleChange
    });
    Identifiers.uninitialized = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'uninitialized',
      moduleUrl: CD_MODULE_URL,
      runtime: impUninitialized
    });
    Identifiers.ChangeDetectorStatus = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'ChangeDetectorStatus',
      moduleUrl: CD_MODULE_URL,
      runtime: impChangeDetectorStatus
    });
    Identifiers.checkBinding = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'checkBinding',
      moduleUrl: VIEW_UTILS_MODULE_URL,
      runtime: impCheckBinding
    });
    Identifiers.flattenNestedViewRenderNodes = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'flattenNestedViewRenderNodes',
      moduleUrl: VIEW_UTILS_MODULE_URL,
      runtime: impFlattenNestedViewRenderNodes
    });
    Identifiers.devModeEqual = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'devModeEqual',
      moduleUrl: CD_MODULE_URL,
      runtime: impDevModeEqual
    });
    Identifiers.interpolate = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'interpolate',
      moduleUrl: VIEW_UTILS_MODULE_URL,
      runtime: impInterpolate
    });
    Identifiers.castByValue = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'castByValue',
      moduleUrl: VIEW_UTILS_MODULE_URL,
      runtime: impCastByValue
    });
    Identifiers.EMPTY_ARRAY = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'EMPTY_ARRAY',
      moduleUrl: VIEW_UTILS_MODULE_URL,
      runtime: impEMPTY_ARRAY
    });
    Identifiers.EMPTY_MAP = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'EMPTY_MAP',
      moduleUrl: VIEW_UTILS_MODULE_URL,
      runtime: impEMPTY_MAP
    });
    Identifiers.pureProxies = [null, new compile_metadata_1.CompileIdentifierMetadata({
      name: 'pureProxy1',
      moduleUrl: VIEW_UTILS_MODULE_URL,
      runtime: core_private_1.pureProxy1
    }), new compile_metadata_1.CompileIdentifierMetadata({
      name: 'pureProxy2',
      moduleUrl: VIEW_UTILS_MODULE_URL,
      runtime: core_private_1.pureProxy2
    }), new compile_metadata_1.CompileIdentifierMetadata({
      name: 'pureProxy3',
      moduleUrl: VIEW_UTILS_MODULE_URL,
      runtime: core_private_1.pureProxy3
    }), new compile_metadata_1.CompileIdentifierMetadata({
      name: 'pureProxy4',
      moduleUrl: VIEW_UTILS_MODULE_URL,
      runtime: core_private_1.pureProxy4
    }), new compile_metadata_1.CompileIdentifierMetadata({
      name: 'pureProxy5',
      moduleUrl: VIEW_UTILS_MODULE_URL,
      runtime: core_private_1.pureProxy5
    }), new compile_metadata_1.CompileIdentifierMetadata({
      name: 'pureProxy6',
      moduleUrl: VIEW_UTILS_MODULE_URL,
      runtime: core_private_1.pureProxy6
    }), new compile_metadata_1.CompileIdentifierMetadata({
      name: 'pureProxy7',
      moduleUrl: VIEW_UTILS_MODULE_URL,
      runtime: core_private_1.pureProxy7
    }), new compile_metadata_1.CompileIdentifierMetadata({
      name: 'pureProxy8',
      moduleUrl: VIEW_UTILS_MODULE_URL,
      runtime: core_private_1.pureProxy8
    }), new compile_metadata_1.CompileIdentifierMetadata({
      name: 'pureProxy9',
      moduleUrl: VIEW_UTILS_MODULE_URL,
      runtime: core_private_1.pureProxy9
    }), new compile_metadata_1.CompileIdentifierMetadata({
      name: 'pureProxy10',
      moduleUrl: VIEW_UTILS_MODULE_URL,
      runtime: core_private_1.pureProxy10
    })];
    Identifiers.SecurityContext = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'SecurityContext',
      moduleUrl: util_1.assetUrl('core', 'security'),
      runtime: core_private_1.SecurityContext
    });
    Identifiers.AnimationKeyframe = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'AnimationKeyframe',
      moduleUrl: util_1.assetUrl('core', 'animation/animation_keyframe'),
      runtime: impAnimationKeyframe
    });
    Identifiers.AnimationStyles = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'AnimationStyles',
      moduleUrl: util_1.assetUrl('core', 'animation/animation_styles'),
      runtime: impAnimationStyles
    });
    Identifiers.NoOpAnimationPlayer = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'NoOpAnimationPlayer',
      moduleUrl: util_1.assetUrl('core', 'animation/animation_player'),
      runtime: impNoOpAnimationPlayer
    });
    Identifiers.AnimationGroupPlayer = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'AnimationGroupPlayer',
      moduleUrl: util_1.assetUrl('core', 'animation/animation_group_player'),
      runtime: impAnimationGroupPlayer
    });
    Identifiers.AnimationSequencePlayer = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'AnimationSequencePlayer',
      moduleUrl: util_1.assetUrl('core', 'animation/animation_sequence_player'),
      runtime: impAnimationSequencePlayer
    });
    Identifiers.prepareFinalAnimationStyles = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'prepareFinalAnimationStyles',
      moduleUrl: ANIMATION_STYLE_UTIL_ASSET_URL,
      runtime: core_private_1.prepareFinalAnimationStyles
    });
    Identifiers.balanceAnimationKeyframes = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'balanceAnimationKeyframes',
      moduleUrl: ANIMATION_STYLE_UTIL_ASSET_URL,
      runtime: core_private_1.balanceAnimationKeyframes
    });
    Identifiers.clearStyles = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'clearStyles',
      moduleUrl: ANIMATION_STYLE_UTIL_ASSET_URL,
      runtime: core_private_1.clearStyles
    });
    Identifiers.renderStyles = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'renderStyles',
      moduleUrl: ANIMATION_STYLE_UTIL_ASSET_URL,
      runtime: core_private_1.renderStyles
    });
    Identifiers.collectAndResolveStyles = new compile_metadata_1.CompileIdentifierMetadata({
      name: 'collectAndResolveStyles',
      moduleUrl: ANIMATION_STYLE_UTIL_ASSET_URL,
      runtime: core_private_1.collectAndResolveStyles
    });
    return Identifiers;
  }());
  exports.Identifiers = Identifiers;
  function identifierToken(identifier) {
    return new compile_metadata_1.CompileTokenMetadata({identifier: identifier});
  }
  exports.identifierToken = identifierToken;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/view_compiler/util.js", ["../facade/exceptions", "../facade/lang", "../output/output_ast", "../identifiers"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var o = $__require('../output/output_ast');
  var identifiers_1 = $__require('../identifiers');
  function getPropertyInView(property, callingView, definedView) {
    if (callingView === definedView) {
      return property;
    } else {
      var viewProp = o.THIS_EXPR;
      var currView = callingView;
      while (currView !== definedView && lang_1.isPresent(currView.declarationElement.view)) {
        currView = currView.declarationElement.view;
        viewProp = viewProp.prop('parent');
      }
      if (currView !== definedView) {
        throw new exceptions_1.BaseException("Internal error: Could not calculate a property in a parent view: " + property);
      }
      if (property instanceof o.ReadPropExpr) {
        var readPropExpr_1 = property;
        if (definedView.fields.some(function(field) {
          return field.name == readPropExpr_1.name;
        }) || definedView.getters.some(function(field) {
          return field.name == readPropExpr_1.name;
        })) {
          viewProp = viewProp.cast(definedView.classType);
        }
      }
      return o.replaceVarInExpression(o.THIS_EXPR.name, viewProp, property);
    }
  }
  exports.getPropertyInView = getPropertyInView;
  function injectFromViewParentInjector(token, optional) {
    var args = [createDiTokenExpression(token)];
    if (optional) {
      args.push(o.NULL_EXPR);
    }
    return o.THIS_EXPR.prop('parentInjector').callMethod('get', args);
  }
  exports.injectFromViewParentInjector = injectFromViewParentInjector;
  function getViewFactoryName(component, embeddedTemplateIndex) {
    return "viewFactory_" + component.type.name + embeddedTemplateIndex;
  }
  exports.getViewFactoryName = getViewFactoryName;
  function createDiTokenExpression(token) {
    if (lang_1.isPresent(token.value)) {
      return o.literal(token.value);
    } else if (token.identifierIsInstance) {
      return o.importExpr(token.identifier).instantiate([], o.importType(token.identifier, [], [o.TypeModifier.Const]));
    } else {
      return o.importExpr(token.identifier);
    }
  }
  exports.createDiTokenExpression = createDiTokenExpression;
  function createFlatArray(expressions) {
    var lastNonArrayExpressions = [];
    var result = o.literalArr([]);
    for (var i = 0; i < expressions.length; i++) {
      var expr = expressions[i];
      if (expr.type instanceof o.ArrayType) {
        if (lastNonArrayExpressions.length > 0) {
          result = result.callMethod(o.BuiltinMethod.ConcatArray, [o.literalArr(lastNonArrayExpressions)]);
          lastNonArrayExpressions = [];
        }
        result = result.callMethod(o.BuiltinMethod.ConcatArray, [expr]);
      } else {
        lastNonArrayExpressions.push(expr);
      }
    }
    if (lastNonArrayExpressions.length > 0) {
      result = result.callMethod(o.BuiltinMethod.ConcatArray, [o.literalArr(lastNonArrayExpressions)]);
    }
    return result;
  }
  exports.createFlatArray = createFlatArray;
  function createPureProxy(fn, argCount, pureProxyProp, view) {
    view.fields.push(new o.ClassField(pureProxyProp.name, null));
    var pureProxyId = argCount < identifiers_1.Identifiers.pureProxies.length ? identifiers_1.Identifiers.pureProxies[argCount] : null;
    if (lang_1.isBlank(pureProxyId)) {
      throw new exceptions_1.BaseException("Unsupported number of argument for pure functions: " + argCount);
    }
    view.createMethod.addStmt(o.THIS_EXPR.prop(pureProxyProp.name).set(o.importExpr(pureProxyId).callFn([fn])).toStmt());
  }
  exports.createPureProxy = createPureProxy;
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/view_compiler/view_builder.js", ["@angular/core", "../../core_private", "../animation/animation_compiler", "../compile_metadata", "../facade/collection", "../facade/lang", "../identifiers", "../output/output_ast", "../template_ast", "./compile_element", "./compile_view", "./constants", "./util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var core_private_1 = $__require('../../core_private');
  var animation_compiler_1 = $__require('../animation/animation_compiler');
  var compile_metadata_1 = $__require('../compile_metadata');
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var identifiers_1 = $__require('../identifiers');
  var o = $__require('../output/output_ast');
  var template_ast_1 = $__require('../template_ast');
  var compile_element_1 = $__require('./compile_element');
  var compile_view_1 = $__require('./compile_view');
  var constants_1 = $__require('./constants');
  var util_1 = $__require('./util');
  var IMPLICIT_TEMPLATE_VAR = '\$implicit';
  var CLASS_ATTR = 'class';
  var STYLE_ATTR = 'style';
  var NG_CONTAINER_TAG = 'ng-container';
  var parentRenderNodeVar = o.variable('parentRenderNode');
  var rootSelectorVar = o.variable('rootSelector');
  var ViewFactoryDependency = (function() {
    function ViewFactoryDependency(comp, placeholder) {
      this.comp = comp;
      this.placeholder = placeholder;
    }
    return ViewFactoryDependency;
  }());
  exports.ViewFactoryDependency = ViewFactoryDependency;
  var ComponentFactoryDependency = (function() {
    function ComponentFactoryDependency(comp, placeholder) {
      this.comp = comp;
      this.placeholder = placeholder;
    }
    return ComponentFactoryDependency;
  }());
  exports.ComponentFactoryDependency = ComponentFactoryDependency;
  function buildView(view, template, targetDependencies) {
    var builderVisitor = new ViewBuilderVisitor(view, targetDependencies);
    template_ast_1.templateVisitAll(builderVisitor, template, view.declarationElement.isNull() ? view.declarationElement : view.declarationElement.parent);
    return builderVisitor.nestedViewCount;
  }
  exports.buildView = buildView;
  function finishView(view, targetStatements) {
    view.afterNodes();
    createViewTopLevelStmts(view, targetStatements);
    view.nodes.forEach(function(node) {
      if (node instanceof compile_element_1.CompileElement && node.hasEmbeddedView) {
        finishView(node.embeddedView, targetStatements);
      }
    });
  }
  exports.finishView = finishView;
  var ViewBuilderVisitor = (function() {
    function ViewBuilderVisitor(view, targetDependencies) {
      this.view = view;
      this.targetDependencies = targetDependencies;
      this.nestedViewCount = 0;
      this._animationCompiler = new animation_compiler_1.AnimationCompiler();
    }
    ViewBuilderVisitor.prototype._isRootNode = function(parent) {
      return parent.view !== this.view;
    };
    ViewBuilderVisitor.prototype._addRootNodeAndProject = function(node) {
      var projectedNode = _getOuterContainerOrSelf(node);
      var parent = projectedNode.parent;
      var ngContentIndex = projectedNode.sourceAst.ngContentIndex;
      var vcAppEl = (node instanceof compile_element_1.CompileElement && node.hasViewContainer) ? node.appElement : null;
      if (this._isRootNode(parent)) {
        if (this.view.viewType !== core_private_1.ViewType.COMPONENT) {
          this.view.rootNodesOrAppElements.push(lang_1.isPresent(vcAppEl) ? vcAppEl : node.renderNode);
        }
      } else if (lang_1.isPresent(parent.component) && lang_1.isPresent(ngContentIndex)) {
        parent.addContentNode(ngContentIndex, lang_1.isPresent(vcAppEl) ? vcAppEl : node.renderNode);
      }
    };
    ViewBuilderVisitor.prototype._getParentRenderNode = function(parent) {
      parent = _getOuterContainerParentOrSelf(parent);
      if (this._isRootNode(parent)) {
        if (this.view.viewType === core_private_1.ViewType.COMPONENT) {
          return parentRenderNodeVar;
        } else {
          return o.NULL_EXPR;
        }
      } else {
        return lang_1.isPresent(parent.component) && parent.component.template.encapsulation !== core_1.ViewEncapsulation.Native ? o.NULL_EXPR : parent.renderNode;
      }
    };
    ViewBuilderVisitor.prototype.visitBoundText = function(ast, parent) {
      return this._visitText(ast, '', parent);
    };
    ViewBuilderVisitor.prototype.visitText = function(ast, parent) {
      return this._visitText(ast, ast.value, parent);
    };
    ViewBuilderVisitor.prototype._visitText = function(ast, value, parent) {
      var fieldName = "_text_" + this.view.nodes.length;
      this.view.fields.push(new o.ClassField(fieldName, o.importType(this.view.genConfig.renderTypes.renderText)));
      var renderNode = o.THIS_EXPR.prop(fieldName);
      var compileNode = new compile_element_1.CompileNode(parent, this.view, this.view.nodes.length, renderNode, ast);
      var createRenderNode = o.THIS_EXPR.prop(fieldName).set(constants_1.ViewProperties.renderer.callMethod('createText', [this._getParentRenderNode(parent), o.literal(value), this.view.createMethod.resetDebugInfoExpr(this.view.nodes.length, ast)])).toStmt();
      this.view.nodes.push(compileNode);
      this.view.createMethod.addStmt(createRenderNode);
      this._addRootNodeAndProject(compileNode);
      return renderNode;
    };
    ViewBuilderVisitor.prototype.visitNgContent = function(ast, parent) {
      this.view.createMethod.resetDebugInfo(null, ast);
      var parentRenderNode = this._getParentRenderNode(parent);
      var nodesExpression = constants_1.ViewProperties.projectableNodes.key(o.literal(ast.index), new o.ArrayType(o.importType(this.view.genConfig.renderTypes.renderNode)));
      if (parentRenderNode !== o.NULL_EXPR) {
        this.view.createMethod.addStmt(constants_1.ViewProperties.renderer.callMethod('projectNodes', [parentRenderNode, o.importExpr(identifiers_1.Identifiers.flattenNestedViewRenderNodes).callFn([nodesExpression])]).toStmt());
      } else if (this._isRootNode(parent)) {
        if (this.view.viewType !== core_private_1.ViewType.COMPONENT) {
          this.view.rootNodesOrAppElements.push(nodesExpression);
        }
      } else {
        if (lang_1.isPresent(parent.component) && lang_1.isPresent(ast.ngContentIndex)) {
          parent.addContentNode(ast.ngContentIndex, nodesExpression);
        }
      }
      return null;
    };
    ViewBuilderVisitor.prototype.visitElement = function(ast, parent) {
      var _this = this;
      var nodeIndex = this.view.nodes.length;
      var createRenderNodeExpr;
      var debugContextExpr = this.view.createMethod.resetDebugInfoExpr(nodeIndex, ast);
      if (nodeIndex === 0 && this.view.viewType === core_private_1.ViewType.HOST) {
        createRenderNodeExpr = o.THIS_EXPR.callMethod('selectOrCreateHostElement', [o.literal(ast.name), rootSelectorVar, debugContextExpr]);
      } else {
        if (ast.name === NG_CONTAINER_TAG) {
          createRenderNodeExpr = constants_1.ViewProperties.renderer.callMethod('createTemplateAnchor', [this._getParentRenderNode(parent), debugContextExpr]);
        } else {
          createRenderNodeExpr = constants_1.ViewProperties.renderer.callMethod('createElement', [this._getParentRenderNode(parent), o.literal(ast.name), debugContextExpr]);
        }
      }
      var fieldName = "_el_" + nodeIndex;
      this.view.fields.push(new o.ClassField(fieldName, o.importType(this.view.genConfig.renderTypes.renderElement)));
      this.view.createMethod.addStmt(o.THIS_EXPR.prop(fieldName).set(createRenderNodeExpr).toStmt());
      var renderNode = o.THIS_EXPR.prop(fieldName);
      var directives = ast.directives.map(function(directiveAst) {
        return directiveAst.directive;
      });
      var component = directives.find(function(directive) {
        return directive.isComponent;
      });
      var htmlAttrs = _readHtmlAttrs(ast.attrs);
      var attrNameAndValues = _mergeHtmlAndDirectiveAttrs(htmlAttrs, directives);
      for (var i = 0; i < attrNameAndValues.length; i++) {
        var attrName = attrNameAndValues[i][0];
        var attrValue = attrNameAndValues[i][1];
        this.view.createMethod.addStmt(constants_1.ViewProperties.renderer.callMethod('setElementAttribute', [renderNode, o.literal(attrName), o.literal(attrValue)]).toStmt());
      }
      var compileElement = new compile_element_1.CompileElement(parent, this.view, nodeIndex, renderNode, ast, component, directives, ast.providers, ast.hasViewContainer, false, ast.references);
      this.view.nodes.push(compileElement);
      var compViewExpr = null;
      if (lang_1.isPresent(component)) {
        var nestedComponentIdentifier = new compile_metadata_1.CompileIdentifierMetadata({name: util_1.getViewFactoryName(component, 0)});
        this.targetDependencies.push(new ViewFactoryDependency(component.type, nestedComponentIdentifier));
        var precompileComponentIdentifiers = component.precompile.map(function(precompileComp) {
          var id = new compile_metadata_1.CompileIdentifierMetadata({name: precompileComp.name});
          _this.targetDependencies.push(new ComponentFactoryDependency(precompileComp, id));
          return id;
        });
        compileElement.createComponentFactoryResolver(precompileComponentIdentifiers);
        compViewExpr = o.variable("compView_" + nodeIndex);
        compileElement.setComponentView(compViewExpr);
        this.view.createMethod.addStmt(compViewExpr.set(o.importExpr(nestedComponentIdentifier).callFn([constants_1.ViewProperties.viewUtils, compileElement.injector, compileElement.appElement])).toDeclStmt());
      }
      compileElement.beforeChildren();
      this._addRootNodeAndProject(compileElement);
      template_ast_1.templateVisitAll(this, ast.children, compileElement);
      compileElement.afterChildren(this.view.nodes.length - nodeIndex - 1);
      if (lang_1.isPresent(compViewExpr)) {
        var codeGenContentNodes;
        if (this.view.component.type.isHost) {
          codeGenContentNodes = constants_1.ViewProperties.projectableNodes;
        } else {
          codeGenContentNodes = o.literalArr(compileElement.contentNodesByNgContentIndex.map(function(nodes) {
            return util_1.createFlatArray(nodes);
          }));
        }
        this.view.createMethod.addStmt(compViewExpr.callMethod('create', [compileElement.getComponent(), codeGenContentNodes, o.NULL_EXPR]).toStmt());
      }
      return null;
    };
    ViewBuilderVisitor.prototype.visitEmbeddedTemplate = function(ast, parent) {
      var nodeIndex = this.view.nodes.length;
      var fieldName = "_anchor_" + nodeIndex;
      this.view.fields.push(new o.ClassField(fieldName, o.importType(this.view.genConfig.renderTypes.renderComment)));
      this.view.createMethod.addStmt(o.THIS_EXPR.prop(fieldName).set(constants_1.ViewProperties.renderer.callMethod('createTemplateAnchor', [this._getParentRenderNode(parent), this.view.createMethod.resetDebugInfoExpr(nodeIndex, ast)])).toStmt());
      var renderNode = o.THIS_EXPR.prop(fieldName);
      var templateVariableBindings = ast.variables.map(function(varAst) {
        return [varAst.value.length > 0 ? varAst.value : IMPLICIT_TEMPLATE_VAR, varAst.name];
      });
      var directives = ast.directives.map(function(directiveAst) {
        return directiveAst.directive;
      });
      var compileElement = new compile_element_1.CompileElement(parent, this.view, nodeIndex, renderNode, ast, null, directives, ast.providers, ast.hasViewContainer, true, ast.references);
      this.view.nodes.push(compileElement);
      var compiledAnimations = this._animationCompiler.compileComponent(this.view.component);
      this.nestedViewCount++;
      var embeddedView = new compile_view_1.CompileView(this.view.component, this.view.genConfig, this.view.pipeMetas, o.NULL_EXPR, compiledAnimations, this.view.viewIndex + this.nestedViewCount, compileElement, templateVariableBindings);
      this.nestedViewCount += buildView(embeddedView, ast.children, this.targetDependencies);
      compileElement.beforeChildren();
      this._addRootNodeAndProject(compileElement);
      compileElement.afterChildren(0);
      return null;
    };
    ViewBuilderVisitor.prototype.visitAttr = function(ast, ctx) {
      return null;
    };
    ViewBuilderVisitor.prototype.visitDirective = function(ast, ctx) {
      return null;
    };
    ViewBuilderVisitor.prototype.visitEvent = function(ast, eventTargetAndNames) {
      return null;
    };
    ViewBuilderVisitor.prototype.visitReference = function(ast, ctx) {
      return null;
    };
    ViewBuilderVisitor.prototype.visitVariable = function(ast, ctx) {
      return null;
    };
    ViewBuilderVisitor.prototype.visitDirectiveProperty = function(ast, context) {
      return null;
    };
    ViewBuilderVisitor.prototype.visitElementProperty = function(ast, context) {
      return null;
    };
    return ViewBuilderVisitor;
  }());
  function _getOuterContainerOrSelf(node) {
    var view = node.view;
    while (_isNgContainer(node.parent, view)) {
      node = node.parent;
    }
    return node;
  }
  function _getOuterContainerParentOrSelf(el) {
    var view = el.view;
    while (_isNgContainer(el, view)) {
      el = el.parent;
    }
    return el;
  }
  function _isNgContainer(node, view) {
    return !node.isNull() && node.sourceAst.name === NG_CONTAINER_TAG && node.view === view;
  }
  function _mergeHtmlAndDirectiveAttrs(declaredHtmlAttrs, directives) {
    var result = {};
    collection_1.StringMapWrapper.forEach(declaredHtmlAttrs, function(value, key) {
      result[key] = value;
    });
    directives.forEach(function(directiveMeta) {
      collection_1.StringMapWrapper.forEach(directiveMeta.hostAttributes, function(value, name) {
        var prevValue = result[name];
        result[name] = lang_1.isPresent(prevValue) ? mergeAttributeValue(name, prevValue, value) : value;
      });
    });
    return mapToKeyValueArray(result);
  }
  function _readHtmlAttrs(attrs) {
    var htmlAttrs = {};
    attrs.forEach(function(ast) {
      htmlAttrs[ast.name] = ast.value;
    });
    return htmlAttrs;
  }
  function mergeAttributeValue(attrName, attrValue1, attrValue2) {
    if (attrName == CLASS_ATTR || attrName == STYLE_ATTR) {
      return attrValue1 + " " + attrValue2;
    } else {
      return attrValue2;
    }
  }
  function mapToKeyValueArray(data) {
    var entryArray = [];
    collection_1.StringMapWrapper.forEach(data, function(value, name) {
      entryArray.push([name, value]);
    });
    collection_1.ListWrapper.sort(entryArray, function(entry1, entry2) {
      return lang_1.StringWrapper.compare(entry1[0], entry2[0]);
    });
    return entryArray;
  }
  function createViewTopLevelStmts(view, targetStatements) {
    var nodeDebugInfosVar = o.NULL_EXPR;
    if (view.genConfig.genDebugInfo) {
      nodeDebugInfosVar = o.variable("nodeDebugInfos_" + view.component.type.name + view.viewIndex);
      targetStatements.push(nodeDebugInfosVar.set(o.literalArr(view.nodes.map(createStaticNodeDebugInfo), new o.ArrayType(new o.ExternalType(identifiers_1.Identifiers.StaticNodeDebugInfo), [o.TypeModifier.Const]))).toDeclStmt(null, [o.StmtModifier.Final]));
    }
    var renderCompTypeVar = o.variable("renderType_" + view.component.type.name);
    if (view.viewIndex === 0) {
      targetStatements.push(renderCompTypeVar.set(o.NULL_EXPR).toDeclStmt(o.importType(identifiers_1.Identifiers.RenderComponentType)));
    }
    var viewClass = createViewClass(view, renderCompTypeVar, nodeDebugInfosVar);
    targetStatements.push(viewClass);
    targetStatements.push(createViewFactory(view, viewClass, renderCompTypeVar));
  }
  function createStaticNodeDebugInfo(node) {
    var compileElement = node instanceof compile_element_1.CompileElement ? node : null;
    var providerTokens = [];
    var componentToken = o.NULL_EXPR;
    var varTokenEntries = [];
    if (lang_1.isPresent(compileElement)) {
      providerTokens = compileElement.getProviderTokens();
      if (lang_1.isPresent(compileElement.component)) {
        componentToken = util_1.createDiTokenExpression(identifiers_1.identifierToken(compileElement.component.type));
      }
      collection_1.StringMapWrapper.forEach(compileElement.referenceTokens, function(token, varName) {
        varTokenEntries.push([varName, lang_1.isPresent(token) ? util_1.createDiTokenExpression(token) : o.NULL_EXPR]);
      });
    }
    return o.importExpr(identifiers_1.Identifiers.StaticNodeDebugInfo).instantiate([o.literalArr(providerTokens, new o.ArrayType(o.DYNAMIC_TYPE, [o.TypeModifier.Const])), componentToken, o.literalMap(varTokenEntries, new o.MapType(o.DYNAMIC_TYPE, [o.TypeModifier.Const]))], o.importType(identifiers_1.Identifiers.StaticNodeDebugInfo, null, [o.TypeModifier.Const]));
  }
  function createViewClass(view, renderCompTypeVar, nodeDebugInfosVar) {
    var viewConstructorArgs = [new o.FnParam(constants_1.ViewConstructorVars.viewUtils.name, o.importType(identifiers_1.Identifiers.ViewUtils)), new o.FnParam(constants_1.ViewConstructorVars.parentInjector.name, o.importType(identifiers_1.Identifiers.Injector)), new o.FnParam(constants_1.ViewConstructorVars.declarationEl.name, o.importType(identifiers_1.Identifiers.AppElement))];
    var superConstructorArgs = [o.variable(view.className), renderCompTypeVar, constants_1.ViewTypeEnum.fromValue(view.viewType), constants_1.ViewConstructorVars.viewUtils, constants_1.ViewConstructorVars.parentInjector, constants_1.ViewConstructorVars.declarationEl, constants_1.ChangeDetectorStatusEnum.fromValue(getChangeDetectionMode(view))];
    if (view.genConfig.genDebugInfo) {
      superConstructorArgs.push(nodeDebugInfosVar);
    }
    var viewConstructor = new o.ClassMethod(null, viewConstructorArgs, [o.SUPER_EXPR.callFn(superConstructorArgs).toStmt()]);
    var viewMethods = [new o.ClassMethod('createInternal', [new o.FnParam(rootSelectorVar.name, o.STRING_TYPE)], generateCreateMethod(view), o.importType(identifiers_1.Identifiers.AppElement)), new o.ClassMethod('injectorGetInternal', [new o.FnParam(constants_1.InjectMethodVars.token.name, o.DYNAMIC_TYPE), new o.FnParam(constants_1.InjectMethodVars.requestNodeIndex.name, o.NUMBER_TYPE), new o.FnParam(constants_1.InjectMethodVars.notFoundResult.name, o.DYNAMIC_TYPE)], addReturnValuefNotEmpty(view.injectorGetMethod.finish(), constants_1.InjectMethodVars.notFoundResult), o.DYNAMIC_TYPE), new o.ClassMethod('detectChangesInternal', [new o.FnParam(constants_1.DetectChangesVars.throwOnChange.name, o.BOOL_TYPE)], generateDetectChangesMethod(view)), new o.ClassMethod('dirtyParentQueriesInternal', [], view.dirtyParentQueriesMethod.finish()), new o.ClassMethod('destroyInternal', [], view.destroyMethod.finish()), new o.ClassMethod('detachInternal', [], view.detachMethod.finish())].concat(view.eventHandlerMethods);
    var superClass = view.genConfig.genDebugInfo ? identifiers_1.Identifiers.DebugAppView : identifiers_1.Identifiers.AppView;
    var viewClass = new o.ClassStmt(view.className, o.importExpr(superClass, [getContextType(view)]), view.fields, view.getters, viewConstructor, viewMethods.filter(function(method) {
      return method.body.length > 0;
    }));
    return viewClass;
  }
  function createViewFactory(view, viewClass, renderCompTypeVar) {
    var viewFactoryArgs = [new o.FnParam(constants_1.ViewConstructorVars.viewUtils.name, o.importType(identifiers_1.Identifiers.ViewUtils)), new o.FnParam(constants_1.ViewConstructorVars.parentInjector.name, o.importType(identifiers_1.Identifiers.Injector)), new o.FnParam(constants_1.ViewConstructorVars.declarationEl.name, o.importType(identifiers_1.Identifiers.AppElement))];
    var initRenderCompTypeStmts = [];
    var templateUrlInfo;
    if (view.component.template.templateUrl == view.component.type.moduleUrl) {
      templateUrlInfo = view.component.type.moduleUrl + " class " + view.component.type.name + " - inline template";
    } else {
      templateUrlInfo = view.component.template.templateUrl;
    }
    if (view.viewIndex === 0) {
      initRenderCompTypeStmts = [new o.IfStmt(renderCompTypeVar.identical(o.NULL_EXPR), [renderCompTypeVar.set(constants_1.ViewConstructorVars.viewUtils.callMethod('createRenderComponentType', [o.literal(templateUrlInfo), o.literal(view.component.template.ngContentSelectors.length), constants_1.ViewEncapsulationEnum.fromValue(view.component.template.encapsulation), view.styles])).toStmt()])];
    }
    return o.fn(viewFactoryArgs, initRenderCompTypeStmts.concat([new o.ReturnStatement(o.variable(viewClass.name).instantiate(viewClass.constructorMethod.params.map(function(param) {
      return o.variable(param.name);
    })))]), o.importType(identifiers_1.Identifiers.AppView, [getContextType(view)])).toDeclStmt(view.viewFactory.name, [o.StmtModifier.Final]);
  }
  function generateCreateMethod(view) {
    var parentRenderNodeExpr = o.NULL_EXPR;
    var parentRenderNodeStmts = [];
    if (view.viewType === core_private_1.ViewType.COMPONENT) {
      parentRenderNodeExpr = constants_1.ViewProperties.renderer.callMethod('createViewRoot', [o.THIS_EXPR.prop('declarationAppElement').prop('nativeElement')]);
      parentRenderNodeStmts = [parentRenderNodeVar.set(parentRenderNodeExpr).toDeclStmt(o.importType(view.genConfig.renderTypes.renderNode), [o.StmtModifier.Final])];
    }
    var resultExpr;
    if (view.viewType === core_private_1.ViewType.HOST) {
      resultExpr = view.nodes[0].appElement;
    } else {
      resultExpr = o.NULL_EXPR;
    }
    return parentRenderNodeStmts.concat(view.createMethod.finish(), [o.THIS_EXPR.callMethod('init', [util_1.createFlatArray(view.rootNodesOrAppElements), o.literalArr(view.nodes.map(function(node) {
      return node.renderNode;
    })), o.literalArr(view.disposables), o.literalArr(view.subscriptions)]).toStmt(), new o.ReturnStatement(resultExpr)]);
  }
  function generateDetectChangesMethod(view) {
    var stmts = [];
    if (view.detectChangesInInputsMethod.isEmpty() && view.updateContentQueriesMethod.isEmpty() && view.afterContentLifecycleCallbacksMethod.isEmpty() && view.detectChangesRenderPropertiesMethod.isEmpty() && view.updateViewQueriesMethod.isEmpty() && view.afterViewLifecycleCallbacksMethod.isEmpty()) {
      return stmts;
    }
    collection_1.ListWrapper.addAll(stmts, view.detectChangesInInputsMethod.finish());
    stmts.push(o.THIS_EXPR.callMethod('detectContentChildrenChanges', [constants_1.DetectChangesVars.throwOnChange]).toStmt());
    var afterContentStmts = view.updateContentQueriesMethod.finish().concat(view.afterContentLifecycleCallbacksMethod.finish());
    if (afterContentStmts.length > 0) {
      stmts.push(new o.IfStmt(o.not(constants_1.DetectChangesVars.throwOnChange), afterContentStmts));
    }
    collection_1.ListWrapper.addAll(stmts, view.detectChangesRenderPropertiesMethod.finish());
    stmts.push(o.THIS_EXPR.callMethod('detectViewChildrenChanges', [constants_1.DetectChangesVars.throwOnChange]).toStmt());
    var afterViewStmts = view.updateViewQueriesMethod.finish().concat(view.afterViewLifecycleCallbacksMethod.finish());
    if (afterViewStmts.length > 0) {
      stmts.push(new o.IfStmt(o.not(constants_1.DetectChangesVars.throwOnChange), afterViewStmts));
    }
    var varStmts = [];
    var readVars = o.findReadVarNames(stmts);
    if (collection_1.SetWrapper.has(readVars, constants_1.DetectChangesVars.changed.name)) {
      varStmts.push(constants_1.DetectChangesVars.changed.set(o.literal(true)).toDeclStmt(o.BOOL_TYPE));
    }
    if (collection_1.SetWrapper.has(readVars, constants_1.DetectChangesVars.changes.name)) {
      varStmts.push(constants_1.DetectChangesVars.changes.set(o.NULL_EXPR).toDeclStmt(new o.MapType(o.importType(identifiers_1.Identifiers.SimpleChange))));
    }
    if (collection_1.SetWrapper.has(readVars, constants_1.DetectChangesVars.valUnwrapper.name)) {
      varStmts.push(constants_1.DetectChangesVars.valUnwrapper.set(o.importExpr(identifiers_1.Identifiers.ValueUnwrapper).instantiate([])).toDeclStmt(null, [o.StmtModifier.Final]));
    }
    return varStmts.concat(stmts);
  }
  function addReturnValuefNotEmpty(statements, value) {
    if (statements.length > 0) {
      return statements.concat([new o.ReturnStatement(value)]);
    } else {
      return statements;
    }
  }
  function getContextType(view) {
    if (view.viewType === core_private_1.ViewType.COMPONENT) {
      return o.importType(view.component.type);
    }
    return o.DYNAMIC_TYPE;
  }
  function getChangeDetectionMode(view) {
    var mode;
    if (view.viewType === core_private_1.ViewType.COMPONENT) {
      mode = core_private_1.isDefaultChangeDetectionStrategy(view.component.changeDetection) ? core_private_1.ChangeDetectorStatus.CheckAlways : core_private_1.ChangeDetectorStatus.CheckOnce;
    } else {
      mode = core_private_1.ChangeDetectorStatus.CheckAlways;
    }
    return mode;
  }
  return module.exports;
});

System.registerDynamic("@angular/compiler/src/view_compiler/view_compiler.js", ["@angular/core", "../animation/animation_compiler", "../config", "./compile_element", "./compile_view", "./view_binder", "./view_builder"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var animation_compiler_1 = $__require('../animation/animation_compiler');
  var config_1 = $__require('../config');
  var compile_element_1 = $__require('./compile_element');
  var compile_view_1 = $__require('./compile_view');
  var view_binder_1 = $__require('./view_binder');
  var view_builder_1 = $__require('./view_builder');
  var view_builder_2 = $__require('./view_builder');
  exports.ComponentFactoryDependency = view_builder_2.ComponentFactoryDependency;
  exports.ViewFactoryDependency = view_builder_2.ViewFactoryDependency;
  var ViewCompileResult = (function() {
    function ViewCompileResult(statements, viewFactoryVar, dependencies) {
      this.statements = statements;
      this.viewFactoryVar = viewFactoryVar;
      this.dependencies = dependencies;
    }
    return ViewCompileResult;
  }());
  exports.ViewCompileResult = ViewCompileResult;
  var ViewCompiler = (function() {
    function ViewCompiler(_genConfig) {
      this._genConfig = _genConfig;
      this._animationCompiler = new animation_compiler_1.AnimationCompiler();
    }
    ViewCompiler.prototype.compileComponent = function(component, template, styles, pipes) {
      var dependencies = [];
      var compiledAnimations = this._animationCompiler.compileComponent(component);
      var statements = [];
      compiledAnimations.map(function(entry) {
        statements.push(entry.statesMapStatement);
        statements.push(entry.fnStatement);
      });
      var view = new compile_view_1.CompileView(component, this._genConfig, pipes, styles, compiledAnimations, 0, compile_element_1.CompileElement.createNull(), []);
      view_builder_1.buildView(view, template, dependencies);
      view_binder_1.bindView(view, template);
      view_builder_1.finishView(view, statements);
      return new ViewCompileResult(statements, view.viewFactory.name, dependencies);
    };
    ViewCompiler.decorators = [{type: core_1.Injectable}];
    ViewCompiler.ctorParameters = [{type: config_1.CompilerConfig}];
    return ViewCompiler;
  }());
  exports.ViewCompiler = ViewCompiler;
  return module.exports;
});

System.registerDynamic("@angular/compiler/private_export.js", ["./src/directive_normalizer", "./src/expression_parser/lexer", "./src/expression_parser/parser", "./src/html_parser", "./src/i18n/i18n_html_parser", "./src/i18n/message", "./src/i18n/message_extractor", "./src/i18n/xmb_serializer", "./src/metadata_resolver", "./src/output/path_util", "./src/output/ts_emitter", "./src/parse_util", "./src/schema/dom_element_schema_registry", "./src/selector", "./src/style_compiler", "./src/template_parser", "./src/view_compiler/view_compiler"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var directive_normalizer = $__require('./src/directive_normalizer');
  var lexer = $__require('./src/expression_parser/lexer');
  var parser = $__require('./src/expression_parser/parser');
  var html_parser = $__require('./src/html_parser');
  var i18n_html_parser = $__require('./src/i18n/i18n_html_parser');
  var i18n_message = $__require('./src/i18n/message');
  var i18n_extractor = $__require('./src/i18n/message_extractor');
  var xmb_serializer = $__require('./src/i18n/xmb_serializer');
  var metadata_resolver = $__require('./src/metadata_resolver');
  var path_util = $__require('./src/output/path_util');
  var ts_emitter = $__require('./src/output/ts_emitter');
  var parse_util = $__require('./src/parse_util');
  var dom_element_schema_registry = $__require('./src/schema/dom_element_schema_registry');
  var selector = $__require('./src/selector');
  var style_compiler = $__require('./src/style_compiler');
  var template_parser = $__require('./src/template_parser');
  var view_compiler = $__require('./src/view_compiler/view_compiler');
  var __compiler_private__;
  (function(__compiler_private__) {
    __compiler_private__.SelectorMatcher = selector.SelectorMatcher;
    __compiler_private__.CssSelector = selector.CssSelector;
    __compiler_private__.AssetUrl = path_util.AssetUrl;
    __compiler_private__.ImportGenerator = path_util.ImportGenerator;
    __compiler_private__.CompileMetadataResolver = metadata_resolver.CompileMetadataResolver;
    __compiler_private__.HtmlParser = html_parser.HtmlParser;
    __compiler_private__.I18nHtmlParser = i18n_html_parser.I18nHtmlParser;
    __compiler_private__.ExtractionResult = i18n_extractor.ExtractionResult;
    __compiler_private__.Message = i18n_message.Message;
    __compiler_private__.MessageExtractor = i18n_extractor.MessageExtractor;
    __compiler_private__.removeDuplicates = i18n_extractor.removeDuplicates;
    __compiler_private__.serializeXmb = xmb_serializer.serializeXmb;
    __compiler_private__.deserializeXmb = xmb_serializer.deserializeXmb;
    __compiler_private__.DirectiveNormalizer = directive_normalizer.DirectiveNormalizer;
    __compiler_private__.Lexer = lexer.Lexer;
    __compiler_private__.Parser = parser.Parser;
    __compiler_private__.ParseLocation = parse_util.ParseLocation;
    __compiler_private__.ParseError = parse_util.ParseError;
    __compiler_private__.ParseErrorLevel = parse_util.ParseErrorLevel;
    __compiler_private__.ParseSourceFile = parse_util.ParseSourceFile;
    __compiler_private__.ParseSourceSpan = parse_util.ParseSourceSpan;
    __compiler_private__.TemplateParser = template_parser.TemplateParser;
    __compiler_private__.DomElementSchemaRegistry = dom_element_schema_registry.DomElementSchemaRegistry;
    __compiler_private__.StyleCompiler = style_compiler.StyleCompiler;
    __compiler_private__.ViewCompiler = view_compiler.ViewCompiler;
    __compiler_private__.TypeScriptEmitter = ts_emitter.TypeScriptEmitter;
  })(__compiler_private__ = exports.__compiler_private__ || (exports.__compiler_private__ = {}));
  return module.exports;
});

System.registerDynamic("@angular/compiler/compiler.js", ["./src/compiler", "./src/schema/element_schema_registry", "./src/template_ast", "./private_export"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  function __export(m) {
    for (var p in m)
      if (!exports.hasOwnProperty(p))
        exports[p] = m[p];
  }
  var compiler_1 = $__require('./src/compiler');
  exports.COMPILER_PROVIDERS = compiler_1.COMPILER_PROVIDERS;
  exports.CompileDiDependencyMetadata = compiler_1.CompileDiDependencyMetadata;
  exports.CompileDirectiveMetadata = compiler_1.CompileDirectiveMetadata;
  exports.CompileFactoryMetadata = compiler_1.CompileFactoryMetadata;
  exports.CompileIdentifierMetadata = compiler_1.CompileIdentifierMetadata;
  exports.CompileMetadataWithIdentifier = compiler_1.CompileMetadataWithIdentifier;
  exports.CompileMetadataWithType = compiler_1.CompileMetadataWithType;
  exports.CompilePipeMetadata = compiler_1.CompilePipeMetadata;
  exports.CompileProviderMetadata = compiler_1.CompileProviderMetadata;
  exports.CompileQueryMetadata = compiler_1.CompileQueryMetadata;
  exports.CompileTemplateMetadata = compiler_1.CompileTemplateMetadata;
  exports.CompileTokenMetadata = compiler_1.CompileTokenMetadata;
  exports.CompileTypeMetadata = compiler_1.CompileTypeMetadata;
  exports.CompilerConfig = compiler_1.CompilerConfig;
  exports.DEFAULT_PACKAGE_URL_PROVIDER = compiler_1.DEFAULT_PACKAGE_URL_PROVIDER;
  exports.DirectiveResolver = compiler_1.DirectiveResolver;
  exports.NormalizedComponentWithViewDirectives = compiler_1.NormalizedComponentWithViewDirectives;
  exports.OfflineCompiler = compiler_1.OfflineCompiler;
  exports.PipeResolver = compiler_1.PipeResolver;
  exports.RenderTypes = compiler_1.RenderTypes;
  exports.RuntimeCompiler = compiler_1.RuntimeCompiler;
  exports.SourceModule = compiler_1.SourceModule;
  exports.TEMPLATE_TRANSFORMS = compiler_1.TEMPLATE_TRANSFORMS;
  exports.UrlResolver = compiler_1.UrlResolver;
  exports.ViewResolver = compiler_1.ViewResolver;
  exports.XHR = compiler_1.XHR;
  exports.createOfflineCompileUrlResolver = compiler_1.createOfflineCompileUrlResolver;
  var element_schema_registry_1 = $__require('./src/schema/element_schema_registry');
  exports.ElementSchemaRegistry = element_schema_registry_1.ElementSchemaRegistry;
  __export($__require('./src/template_ast'));
  __export($__require('./private_export'));
  return module.exports;
});

System.registerDynamic("@angular/compiler", ["./compiler"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  function __export(m) {
    for (var p in m)
      if (!exports.hasOwnProperty(p))
        exports[p] = m[p];
  }
  __export($__require('./compiler'));
  return module.exports;
});

System.registerDynamic("@angular/forms/src/directives/ng_control_status.js", ["@angular/core", "../facade/lang", "./ng_control"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var lang_1 = $__require('../facade/lang');
  var ng_control_1 = $__require('./ng_control');
  var NgControlStatus = (function() {
    function NgControlStatus(cd) {
      this._cd = cd;
    }
    Object.defineProperty(NgControlStatus.prototype, "ngClassUntouched", {
      get: function() {
        return lang_1.isPresent(this._cd.control) ? this._cd.control.untouched : false;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgControlStatus.prototype, "ngClassTouched", {
      get: function() {
        return lang_1.isPresent(this._cd.control) ? this._cd.control.touched : false;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgControlStatus.prototype, "ngClassPristine", {
      get: function() {
        return lang_1.isPresent(this._cd.control) ? this._cd.control.pristine : false;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgControlStatus.prototype, "ngClassDirty", {
      get: function() {
        return lang_1.isPresent(this._cd.control) ? this._cd.control.dirty : false;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgControlStatus.prototype, "ngClassValid", {
      get: function() {
        return lang_1.isPresent(this._cd.control) ? this._cd.control.valid : false;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgControlStatus.prototype, "ngClassInvalid", {
      get: function() {
        return lang_1.isPresent(this._cd.control) ? !this._cd.control.valid : false;
      },
      enumerable: true,
      configurable: true
    });
    NgControlStatus.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: '[formControlName],[ngModel],[formControl]',
        host: {
          '[class.ng-untouched]': 'ngClassUntouched',
          '[class.ng-touched]': 'ngClassTouched',
          '[class.ng-pristine]': 'ngClassPristine',
          '[class.ng-dirty]': 'ngClassDirty',
          '[class.ng-valid]': 'ngClassValid',
          '[class.ng-invalid]': 'ngClassInvalid'
        }
      }]
    }];
    NgControlStatus.ctorParameters = [{
      type: ng_control_1.NgControl,
      decorators: [{type: core_1.Self}]
    }];
    return NgControlStatus;
  }());
  exports.NgControlStatus = NgControlStatus;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/directives/ng_form.js", ["@angular/core", "../facade/async", "../facade/collection", "../facade/lang", "../model", "../validators", "./control_container", "./shared"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var async_1 = $__require('../facade/async');
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var model_1 = $__require('../model');
  var validators_1 = $__require('../validators');
  var control_container_1 = $__require('./control_container');
  var shared_1 = $__require('./shared');
  exports.formDirectiveProvider = {
    provide: control_container_1.ControlContainer,
    useExisting: core_1.forwardRef(function() {
      return NgForm;
    })
  };
  var NgForm = (function(_super) {
    __extends(NgForm, _super);
    function NgForm(validators, asyncValidators) {
      _super.call(this);
      this._submitted = false;
      this.ngSubmit = new async_1.EventEmitter();
      this.form = new model_1.FormGroup({}, null, shared_1.composeValidators(validators), shared_1.composeAsyncValidators(asyncValidators));
    }
    Object.defineProperty(NgForm.prototype, "submitted", {
      get: function() {
        return this._submitted;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgForm.prototype, "formDirective", {
      get: function() {
        return this;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgForm.prototype, "control", {
      get: function() {
        return this.form;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgForm.prototype, "path", {
      get: function() {
        return [];
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgForm.prototype, "controls", {
      get: function() {
        return this.form.controls;
      },
      enumerable: true,
      configurable: true
    });
    NgForm.prototype.addControl = function(dir) {
      var _this = this;
      async_1.PromiseWrapper.scheduleMicrotask(function() {
        var container = _this._findContainer(dir.path);
        dir._control = container.registerControl(dir.name, dir.control);
        shared_1.setUpControl(dir.control, dir);
        dir.control.updateValueAndValidity({emitEvent: false});
      });
    };
    NgForm.prototype.getControl = function(dir) {
      return this.form.find(dir.path);
    };
    NgForm.prototype.removeControl = function(dir) {
      var _this = this;
      async_1.PromiseWrapper.scheduleMicrotask(function() {
        var container = _this._findContainer(dir.path);
        if (lang_1.isPresent(container)) {
          container.removeControl(dir.name);
        }
      });
    };
    NgForm.prototype.addFormGroup = function(dir) {
      var _this = this;
      async_1.PromiseWrapper.scheduleMicrotask(function() {
        var container = _this._findContainer(dir.path);
        var group = new model_1.FormGroup({});
        shared_1.setUpFormContainer(group, dir);
        container.registerControl(dir.name, group);
        group.updateValueAndValidity({emitEvent: false});
      });
    };
    NgForm.prototype.removeFormGroup = function(dir) {
      var _this = this;
      async_1.PromiseWrapper.scheduleMicrotask(function() {
        var container = _this._findContainer(dir.path);
        if (lang_1.isPresent(container)) {
          container.removeControl(dir.name);
        }
      });
    };
    NgForm.prototype.getFormGroup = function(dir) {
      return this.form.find(dir.path);
    };
    NgForm.prototype.updateModel = function(dir, value) {
      var _this = this;
      async_1.PromiseWrapper.scheduleMicrotask(function() {
        var ctrl = _this.form.find(dir.path);
        ctrl.updateValue(value);
      });
    };
    NgForm.prototype.onSubmit = function() {
      this._submitted = true;
      async_1.ObservableWrapper.callEmit(this.ngSubmit, null);
      return false;
    };
    NgForm.prototype._findContainer = function(path) {
      path.pop();
      return collection_1.ListWrapper.isEmpty(path) ? this.form : this.form.find(path);
    };
    NgForm.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: 'form:not([ngNoForm]):not([formGroup]),ngForm,[ngForm]',
        providers: [exports.formDirectiveProvider],
        host: {'(submit)': 'onSubmit()'},
        outputs: ['ngSubmit'],
        exportAs: 'ngForm'
      }]
    }];
    NgForm.ctorParameters = [{
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [validators_1.NG_VALIDATORS]
      }]
    }, {
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [validators_1.NG_ASYNC_VALIDATORS]
      }]
    }];
    return NgForm;
  }(control_container_1.ControlContainer));
  exports.NgForm = NgForm;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/directives/ng_model.js", ["@angular/core", "../facade/async", "../facade/exceptions", "../model", "../validators", "./control_container", "./control_value_accessor", "./ng_control", "./shared"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var async_1 = $__require('../facade/async');
  var exceptions_1 = $__require('../facade/exceptions');
  var model_1 = $__require('../model');
  var validators_1 = $__require('../validators');
  var control_container_1 = $__require('./control_container');
  var control_value_accessor_1 = $__require('./control_value_accessor');
  var ng_control_1 = $__require('./ng_control');
  var shared_1 = $__require('./shared');
  exports.formControlBinding = {
    provide: ng_control_1.NgControl,
    useExisting: core_1.forwardRef(function() {
      return NgModel;
    })
  };
  var NgModel = (function(_super) {
    __extends(NgModel, _super);
    function NgModel(_parent, _validators, _asyncValidators, valueAccessors) {
      _super.call(this);
      this._parent = _parent;
      this._validators = _validators;
      this._asyncValidators = _asyncValidators;
      this._control = new model_1.FormControl();
      this._registered = false;
      this.update = new async_1.EventEmitter();
      this.valueAccessor = shared_1.selectValueAccessor(this, valueAccessors);
    }
    NgModel.prototype.ngOnChanges = function(changes) {
      this._checkName();
      if (!this._registered)
        this._setUpControl();
      if (shared_1.isPropertyUpdated(changes, this.viewModel)) {
        this._updateValue(this.model);
        this.viewModel = this.model;
      }
    };
    NgModel.prototype.ngOnDestroy = function() {
      this.formDirective && this.formDirective.removeControl(this);
    };
    Object.defineProperty(NgModel.prototype, "control", {
      get: function() {
        return this._control;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgModel.prototype, "path", {
      get: function() {
        return this._parent ? shared_1.controlPath(this.name, this._parent) : [];
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgModel.prototype, "formDirective", {
      get: function() {
        return this._parent ? this._parent.formDirective : null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgModel.prototype, "validator", {
      get: function() {
        return shared_1.composeValidators(this._validators);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgModel.prototype, "asyncValidator", {
      get: function() {
        return shared_1.composeAsyncValidators(this._asyncValidators);
      },
      enumerable: true,
      configurable: true
    });
    NgModel.prototype.viewToModelUpdate = function(newValue) {
      this.viewModel = newValue;
      async_1.ObservableWrapper.callEmit(this.update, newValue);
    };
    NgModel.prototype._setUpControl = function() {
      this._isStandalone() ? this._setUpStandalone() : this.formDirective.addControl(this);
      this._registered = true;
    };
    NgModel.prototype._isStandalone = function() {
      return !this._parent || (this.options && this.options.standalone);
    };
    NgModel.prototype._setUpStandalone = function() {
      shared_1.setUpControl(this._control, this);
      this._control.updateValueAndValidity({emitEvent: false});
    };
    NgModel.prototype._checkName = function() {
      if (this.options && this.options.name)
        this.name = this.options.name;
      if (!this._isStandalone() && !this.name) {
        throw new exceptions_1.BaseException("If ngModel is used within a form tag, either the name attribute must be set\n                      or the form control must be defined as 'standalone' in ngModelOptions.\n\n                      Example 1: <input [(ngModel)]=\"person.firstName\" name=\"first\">\n                      Example 2: <input [(ngModel)]=\"person.firstName\" [ngModelOptions]=\"{standalone: true}\">\n                   ");
      }
    };
    NgModel.prototype._updateValue = function(value) {
      var _this = this;
      async_1.PromiseWrapper.scheduleMicrotask(function() {
        _this.control.updateValue(value);
      });
    };
    NgModel.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: '[ngModel]:not([formControlName]):not([formControl])',
        providers: [exports.formControlBinding],
        exportAs: 'ngModel'
      }]
    }];
    NgModel.ctorParameters = [{
      type: control_container_1.ControlContainer,
      decorators: [{type: core_1.Optional}, {type: core_1.Host}]
    }, {
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [validators_1.NG_VALIDATORS]
      }]
    }, {
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [validators_1.NG_ASYNC_VALIDATORS]
      }]
    }, {
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [control_value_accessor_1.NG_VALUE_ACCESSOR]
      }]
    }];
    NgModel.propDecorators = {
      'model': [{
        type: core_1.Input,
        args: ['ngModel']
      }],
      'name': [{type: core_1.Input}],
      'options': [{
        type: core_1.Input,
        args: ['ngModelOptions']
      }],
      'update': [{
        type: core_1.Output,
        args: ['ngModelChange']
      }]
    };
    return NgModel;
  }(ng_control_1.NgControl));
  exports.NgModel = NgModel;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/directives/ng_model_group.js", ["@angular/core", "../validators", "./abstract_form_group_directive", "./control_container"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var validators_1 = $__require('../validators');
  var abstract_form_group_directive_1 = $__require('./abstract_form_group_directive');
  var control_container_1 = $__require('./control_container');
  exports.modelGroupProvider = {
    provide: control_container_1.ControlContainer,
    useExisting: core_1.forwardRef(function() {
      return NgModelGroup;
    })
  };
  var NgModelGroup = (function(_super) {
    __extends(NgModelGroup, _super);
    function NgModelGroup(parent, validators, asyncValidators) {
      _super.call(this);
      this._parent = parent;
      this._validators = validators;
      this._asyncValidators = asyncValidators;
    }
    NgModelGroup.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: '[ngModelGroup]',
        providers: [exports.modelGroupProvider],
        exportAs: 'ngModelGroup'
      }]
    }];
    NgModelGroup.ctorParameters = [{
      type: control_container_1.ControlContainer,
      decorators: [{type: core_1.Host}, {type: core_1.SkipSelf}]
    }, {
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [validators_1.NG_VALIDATORS]
      }]
    }, {
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [validators_1.NG_ASYNC_VALIDATORS]
      }]
    }];
    NgModelGroup.propDecorators = {'name': [{
        type: core_1.Input,
        args: ['ngModelGroup']
      }]};
    return NgModelGroup;
  }(abstract_form_group_directive_1.AbstractFormGroupDirective));
  exports.NgModelGroup = NgModelGroup;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/directives/reactive_directives/form_array_name.js", ["@angular/core", "../../validators", "../control_container", "../shared"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var validators_1 = $__require('../../validators');
  var control_container_1 = $__require('../control_container');
  var shared_1 = $__require('../shared');
  exports.formArrayNameProvider = {
    provide: control_container_1.ControlContainer,
    useExisting: core_1.forwardRef(function() {
      return FormArrayName;
    })
  };
  var FormArrayName = (function(_super) {
    __extends(FormArrayName, _super);
    function FormArrayName(parent, validators, asyncValidators) {
      _super.call(this);
      this._parent = parent;
      this._validators = validators;
      this._asyncValidators = asyncValidators;
    }
    FormArrayName.prototype.ngOnInit = function() {
      this.formDirective.addFormArray(this);
    };
    FormArrayName.prototype.ngOnDestroy = function() {
      this.formDirective.removeFormArray(this);
    };
    Object.defineProperty(FormArrayName.prototype, "control", {
      get: function() {
        return this.formDirective.getFormArray(this);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(FormArrayName.prototype, "formDirective", {
      get: function() {
        return this._parent.formDirective;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(FormArrayName.prototype, "path", {
      get: function() {
        return shared_1.controlPath(this.name, this._parent);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(FormArrayName.prototype, "validator", {
      get: function() {
        return shared_1.composeValidators(this._validators);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(FormArrayName.prototype, "asyncValidator", {
      get: function() {
        return shared_1.composeAsyncValidators(this._asyncValidators);
      },
      enumerable: true,
      configurable: true
    });
    FormArrayName.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: '[formArrayName]',
        providers: [exports.formArrayNameProvider]
      }]
    }];
    FormArrayName.ctorParameters = [{
      type: control_container_1.ControlContainer,
      decorators: [{type: core_1.Host}, {type: core_1.SkipSelf}]
    }, {
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [validators_1.NG_VALIDATORS]
      }]
    }, {
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [validators_1.NG_ASYNC_VALIDATORS]
      }]
    }];
    FormArrayName.propDecorators = {'name': [{
        type: core_1.Input,
        args: ['formArrayName']
      }]};
    return FormArrayName;
  }(control_container_1.ControlContainer));
  exports.FormArrayName = FormArrayName;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/directives/reactive_directives/form_control_directive.js", ["@angular/core", "../../facade/async", "../../facade/collection", "../../validators", "../control_value_accessor", "../ng_control", "../shared"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var async_1 = $__require('../../facade/async');
  var collection_1 = $__require('../../facade/collection');
  var validators_1 = $__require('../../validators');
  var control_value_accessor_1 = $__require('../control_value_accessor');
  var ng_control_1 = $__require('../ng_control');
  var shared_1 = $__require('../shared');
  exports.formControlBinding = {
    provide: ng_control_1.NgControl,
    useExisting: core_1.forwardRef(function() {
      return FormControlDirective;
    })
  };
  var FormControlDirective = (function(_super) {
    __extends(FormControlDirective, _super);
    function FormControlDirective(_validators, _asyncValidators, valueAccessors) {
      _super.call(this);
      this._validators = _validators;
      this._asyncValidators = _asyncValidators;
      this.update = new async_1.EventEmitter();
      this.valueAccessor = shared_1.selectValueAccessor(this, valueAccessors);
    }
    FormControlDirective.prototype.ngOnChanges = function(changes) {
      if (this._isControlChanged(changes)) {
        shared_1.setUpControl(this.form, this);
        this.form.updateValueAndValidity({emitEvent: false});
      }
      if (shared_1.isPropertyUpdated(changes, this.viewModel)) {
        this.form.updateValue(this.model);
        this.viewModel = this.model;
      }
    };
    Object.defineProperty(FormControlDirective.prototype, "path", {
      get: function() {
        return [];
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(FormControlDirective.prototype, "validator", {
      get: function() {
        return shared_1.composeValidators(this._validators);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(FormControlDirective.prototype, "asyncValidator", {
      get: function() {
        return shared_1.composeAsyncValidators(this._asyncValidators);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(FormControlDirective.prototype, "control", {
      get: function() {
        return this.form;
      },
      enumerable: true,
      configurable: true
    });
    FormControlDirective.prototype.viewToModelUpdate = function(newValue) {
      this.viewModel = newValue;
      async_1.ObservableWrapper.callEmit(this.update, newValue);
    };
    FormControlDirective.prototype._isControlChanged = function(changes) {
      return collection_1.StringMapWrapper.contains(changes, 'form');
    };
    FormControlDirective.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: '[formControl]',
        providers: [exports.formControlBinding],
        exportAs: 'ngForm'
      }]
    }];
    FormControlDirective.ctorParameters = [{
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [validators_1.NG_VALIDATORS]
      }]
    }, {
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [validators_1.NG_ASYNC_VALIDATORS]
      }]
    }, {
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [control_value_accessor_1.NG_VALUE_ACCESSOR]
      }]
    }];
    FormControlDirective.propDecorators = {
      'form': [{
        type: core_1.Input,
        args: ['formControl']
      }],
      'model': [{
        type: core_1.Input,
        args: ['ngModel']
      }],
      'update': [{
        type: core_1.Output,
        args: ['ngModelChange']
      }]
    };
    return FormControlDirective;
  }(ng_control_1.NgControl));
  exports.FormControlDirective = FormControlDirective;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/directives/reactive_directives/form_control_name.js", ["@angular/core", "../../facade/async", "../../validators", "../control_container", "../control_value_accessor", "../ng_control", "../shared"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var async_1 = $__require('../../facade/async');
  var validators_1 = $__require('../../validators');
  var control_container_1 = $__require('../control_container');
  var control_value_accessor_1 = $__require('../control_value_accessor');
  var ng_control_1 = $__require('../ng_control');
  var shared_1 = $__require('../shared');
  exports.controlNameBinding = {
    provide: ng_control_1.NgControl,
    useExisting: core_1.forwardRef(function() {
      return FormControlName;
    })
  };
  var FormControlName = (function(_super) {
    __extends(FormControlName, _super);
    function FormControlName(_parent, _validators, _asyncValidators, valueAccessors) {
      _super.call(this);
      this._parent = _parent;
      this._validators = _validators;
      this._asyncValidators = _asyncValidators;
      this._added = false;
      this.update = new async_1.EventEmitter();
      this.valueAccessor = shared_1.selectValueAccessor(this, valueAccessors);
    }
    FormControlName.prototype.ngOnChanges = function(changes) {
      if (!this._added) {
        this.formDirective.addControl(this);
        this._added = true;
      }
      if (shared_1.isPropertyUpdated(changes, this.viewModel)) {
        this.viewModel = this.model;
        this.formDirective.updateModel(this, this.model);
      }
    };
    FormControlName.prototype.ngOnDestroy = function() {
      this.formDirective.removeControl(this);
    };
    FormControlName.prototype.viewToModelUpdate = function(newValue) {
      this.viewModel = newValue;
      async_1.ObservableWrapper.callEmit(this.update, newValue);
    };
    Object.defineProperty(FormControlName.prototype, "path", {
      get: function() {
        return shared_1.controlPath(this.name, this._parent);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(FormControlName.prototype, "formDirective", {
      get: function() {
        return this._parent.formDirective;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(FormControlName.prototype, "validator", {
      get: function() {
        return shared_1.composeValidators(this._validators);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(FormControlName.prototype, "asyncValidator", {
      get: function() {
        return shared_1.composeAsyncValidators(this._asyncValidators);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(FormControlName.prototype, "control", {
      get: function() {
        return this.formDirective.getControl(this);
      },
      enumerable: true,
      configurable: true
    });
    FormControlName.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: '[formControlName]',
        providers: [exports.controlNameBinding]
      }]
    }];
    FormControlName.ctorParameters = [{
      type: control_container_1.ControlContainer,
      decorators: [{type: core_1.Host}, {type: core_1.SkipSelf}]
    }, {
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [validators_1.NG_VALIDATORS]
      }]
    }, {
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [validators_1.NG_ASYNC_VALIDATORS]
      }]
    }, {
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [control_value_accessor_1.NG_VALUE_ACCESSOR]
      }]
    }];
    FormControlName.propDecorators = {
      'name': [{
        type: core_1.Input,
        args: ['formControlName']
      }],
      'model': [{
        type: core_1.Input,
        args: ['ngModel']
      }],
      'update': [{
        type: core_1.Output,
        args: ['ngModelChange']
      }]
    };
    return FormControlName;
  }(ng_control_1.NgControl));
  exports.FormControlName = FormControlName;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/directives/reactive_directives/form_group_directive.js", ["@angular/core", "../../facade/async", "../../facade/collection", "../../facade/exceptions", "../../facade/lang", "../../validators", "../control_container", "../shared"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var async_1 = $__require('../../facade/async');
  var collection_1 = $__require('../../facade/collection');
  var exceptions_1 = $__require('../../facade/exceptions');
  var lang_1 = $__require('../../facade/lang');
  var validators_1 = $__require('../../validators');
  var control_container_1 = $__require('../control_container');
  var shared_1 = $__require('../shared');
  exports.formDirectiveProvider = {
    provide: control_container_1.ControlContainer,
    useExisting: core_1.forwardRef(function() {
      return FormGroupDirective;
    })
  };
  var FormGroupDirective = (function(_super) {
    __extends(FormGroupDirective, _super);
    function FormGroupDirective(_validators, _asyncValidators) {
      _super.call(this);
      this._validators = _validators;
      this._asyncValidators = _asyncValidators;
      this._submitted = false;
      this.directives = [];
      this.form = null;
      this.ngSubmit = new async_1.EventEmitter();
    }
    FormGroupDirective.prototype.ngOnChanges = function(changes) {
      this._checkFormPresent();
      if (collection_1.StringMapWrapper.contains(changes, 'form')) {
        var sync = shared_1.composeValidators(this._validators);
        this.form.validator = validators_1.Validators.compose([this.form.validator, sync]);
        var async = shared_1.composeAsyncValidators(this._asyncValidators);
        this.form.asyncValidator = validators_1.Validators.composeAsync([this.form.asyncValidator, async]);
        this.form.updateValueAndValidity({
          onlySelf: true,
          emitEvent: false
        });
      }
      this._updateDomValue();
    };
    Object.defineProperty(FormGroupDirective.prototype, "submitted", {
      get: function() {
        return this._submitted;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(FormGroupDirective.prototype, "formDirective", {
      get: function() {
        return this;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(FormGroupDirective.prototype, "control", {
      get: function() {
        return this.form;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(FormGroupDirective.prototype, "path", {
      get: function() {
        return [];
      },
      enumerable: true,
      configurable: true
    });
    FormGroupDirective.prototype.addControl = function(dir) {
      var ctrl = this.form.find(dir.path);
      shared_1.setUpControl(ctrl, dir);
      ctrl.updateValueAndValidity({emitEvent: false});
      this.directives.push(dir);
    };
    FormGroupDirective.prototype.getControl = function(dir) {
      return this.form.find(dir.path);
    };
    FormGroupDirective.prototype.removeControl = function(dir) {
      collection_1.ListWrapper.remove(this.directives, dir);
    };
    FormGroupDirective.prototype.addFormGroup = function(dir) {
      var ctrl = this.form.find(dir.path);
      shared_1.setUpFormContainer(ctrl, dir);
      ctrl.updateValueAndValidity({emitEvent: false});
    };
    FormGroupDirective.prototype.removeFormGroup = function(dir) {};
    FormGroupDirective.prototype.getFormGroup = function(dir) {
      return this.form.find(dir.path);
    };
    FormGroupDirective.prototype.addFormArray = function(dir) {
      var ctrl = this.form.find(dir.path);
      shared_1.setUpFormContainer(ctrl, dir);
      ctrl.updateValueAndValidity({emitEvent: false});
    };
    FormGroupDirective.prototype.removeFormArray = function(dir) {};
    FormGroupDirective.prototype.getFormArray = function(dir) {
      return this.form.find(dir.path);
    };
    FormGroupDirective.prototype.updateModel = function(dir, value) {
      var ctrl = this.form.find(dir.path);
      ctrl.updateValue(value);
    };
    FormGroupDirective.prototype.onSubmit = function() {
      this._submitted = true;
      async_1.ObservableWrapper.callEmit(this.ngSubmit, null);
      return false;
    };
    FormGroupDirective.prototype._updateDomValue = function() {
      var _this = this;
      this.directives.forEach(function(dir) {
        var ctrl = _this.form.find(dir.path);
        dir.valueAccessor.writeValue(ctrl.value);
      });
    };
    FormGroupDirective.prototype._checkFormPresent = function() {
      if (lang_1.isBlank(this.form)) {
        throw new exceptions_1.BaseException("formGroup expects a FormGroup instance. Please pass one in.\n           Example: <form [formGroup]=\"myFormGroup\">\n      ");
      }
    };
    FormGroupDirective.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: '[formGroup]',
        providers: [exports.formDirectiveProvider],
        host: {'(submit)': 'onSubmit()'},
        exportAs: 'ngForm'
      }]
    }];
    FormGroupDirective.ctorParameters = [{
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [validators_1.NG_VALIDATORS]
      }]
    }, {
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [validators_1.NG_ASYNC_VALIDATORS]
      }]
    }];
    FormGroupDirective.propDecorators = {
      'form': [{
        type: core_1.Input,
        args: ['formGroup']
      }],
      'ngSubmit': [{type: core_1.Output}]
    };
    return FormGroupDirective;
  }(control_container_1.ControlContainer));
  exports.FormGroupDirective = FormGroupDirective;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/directives/abstract_form_group_directive.js", ["./control_container", "./shared"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var control_container_1 = $__require('./control_container');
  var shared_1 = $__require('./shared');
  var AbstractFormGroupDirective = (function(_super) {
    __extends(AbstractFormGroupDirective, _super);
    function AbstractFormGroupDirective() {
      _super.apply(this, arguments);
    }
    AbstractFormGroupDirective.prototype.ngOnInit = function() {
      this.formDirective.addFormGroup(this);
    };
    AbstractFormGroupDirective.prototype.ngOnDestroy = function() {
      this.formDirective.removeFormGroup(this);
    };
    Object.defineProperty(AbstractFormGroupDirective.prototype, "control", {
      get: function() {
        return this.formDirective.getFormGroup(this);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractFormGroupDirective.prototype, "path", {
      get: function() {
        return shared_1.controlPath(this.name, this._parent);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractFormGroupDirective.prototype, "formDirective", {
      get: function() {
        return this._parent.formDirective;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractFormGroupDirective.prototype, "validator", {
      get: function() {
        return shared_1.composeValidators(this._validators);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractFormGroupDirective.prototype, "asyncValidator", {
      get: function() {
        return shared_1.composeAsyncValidators(this._asyncValidators);
      },
      enumerable: true,
      configurable: true
    });
    return AbstractFormGroupDirective;
  }(control_container_1.ControlContainer));
  exports.AbstractFormGroupDirective = AbstractFormGroupDirective;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/directives/control_container.js", ["./abstract_control_directive"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var abstract_control_directive_1 = $__require('./abstract_control_directive');
  var ControlContainer = (function(_super) {
    __extends(ControlContainer, _super);
    function ControlContainer() {
      _super.apply(this, arguments);
    }
    Object.defineProperty(ControlContainer.prototype, "formDirective", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ControlContainer.prototype, "path", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    return ControlContainer;
  }(abstract_control_directive_1.AbstractControlDirective));
  exports.ControlContainer = ControlContainer;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/directives/reactive_directives/form_group_name.js", ["@angular/core", "../../validators", "../abstract_form_group_directive", "../control_container"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var validators_1 = $__require('../../validators');
  var abstract_form_group_directive_1 = $__require('../abstract_form_group_directive');
  var control_container_1 = $__require('../control_container');
  exports.formGroupNameProvider = {
    provide: control_container_1.ControlContainer,
    useExisting: core_1.forwardRef(function() {
      return FormGroupName;
    })
  };
  var FormGroupName = (function(_super) {
    __extends(FormGroupName, _super);
    function FormGroupName(parent, validators, asyncValidators) {
      _super.call(this);
      this._parent = parent;
      this._validators = validators;
      this._asyncValidators = asyncValidators;
    }
    FormGroupName.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: '[formGroupName]',
        providers: [exports.formGroupNameProvider]
      }]
    }];
    FormGroupName.ctorParameters = [{
      type: control_container_1.ControlContainer,
      decorators: [{type: core_1.Host}, {type: core_1.SkipSelf}]
    }, {
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [validators_1.NG_VALIDATORS]
      }]
    }, {
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [validators_1.NG_ASYNC_VALIDATORS]
      }]
    }];
    FormGroupName.propDecorators = {'name': [{
        type: core_1.Input,
        args: ['formGroupName']
      }]};
    return FormGroupName;
  }(abstract_form_group_directive_1.AbstractFormGroupDirective));
  exports.FormGroupName = FormGroupName;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/directives/validators.js", ["@angular/core", "../facade/lang", "../validators"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var lang_1 = $__require('../facade/lang');
  var validators_1 = $__require('../validators');
  var REQUIRED = validators_1.Validators.required;
  exports.REQUIRED_VALIDATOR = {
    provide: validators_1.NG_VALIDATORS,
    useValue: REQUIRED,
    multi: true
  };
  var RequiredValidator = (function() {
    function RequiredValidator() {}
    RequiredValidator.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: '[required][formControlName],[required][formControl],[required][ngModel]',
        providers: [exports.REQUIRED_VALIDATOR]
      }]
    }];
    return RequiredValidator;
  }());
  exports.RequiredValidator = RequiredValidator;
  exports.MIN_LENGTH_VALIDATOR = {
    provide: validators_1.NG_VALIDATORS,
    useExisting: core_1.forwardRef(function() {
      return MinLengthValidator;
    }),
    multi: true
  };
  var MinLengthValidator = (function() {
    function MinLengthValidator(minLength) {
      this._validator = validators_1.Validators.minLength(lang_1.NumberWrapper.parseInt(minLength, 10));
    }
    MinLengthValidator.prototype.validate = function(c) {
      return this._validator(c);
    };
    MinLengthValidator.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: '[minlength][formControlName],[minlength][formControl],[minlength][ngModel]',
        providers: [exports.MIN_LENGTH_VALIDATOR]
      }]
    }];
    MinLengthValidator.ctorParameters = [{
      type: undefined,
      decorators: [{
        type: core_1.Attribute,
        args: ['minlength']
      }]
    }];
    return MinLengthValidator;
  }());
  exports.MinLengthValidator = MinLengthValidator;
  exports.MAX_LENGTH_VALIDATOR = {
    provide: validators_1.NG_VALIDATORS,
    useExisting: core_1.forwardRef(function() {
      return MaxLengthValidator;
    }),
    multi: true
  };
  var MaxLengthValidator = (function() {
    function MaxLengthValidator(maxLength) {
      this._validator = validators_1.Validators.maxLength(lang_1.NumberWrapper.parseInt(maxLength, 10));
    }
    MaxLengthValidator.prototype.validate = function(c) {
      return this._validator(c);
    };
    MaxLengthValidator.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: '[maxlength][formControlName],[maxlength][formControl],[maxlength][ngModel]',
        providers: [exports.MAX_LENGTH_VALIDATOR]
      }]
    }];
    MaxLengthValidator.ctorParameters = [{
      type: undefined,
      decorators: [{
        type: core_1.Attribute,
        args: ['maxlength']
      }]
    }];
    return MaxLengthValidator;
  }());
  exports.MaxLengthValidator = MaxLengthValidator;
  exports.PATTERN_VALIDATOR = {
    provide: validators_1.NG_VALIDATORS,
    useExisting: core_1.forwardRef(function() {
      return PatternValidator;
    }),
    multi: true
  };
  var PatternValidator = (function() {
    function PatternValidator(pattern) {
      this._validator = validators_1.Validators.pattern(pattern);
    }
    PatternValidator.prototype.validate = function(c) {
      return this._validator(c);
    };
    PatternValidator.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: '[pattern][formControlName],[pattern][formControl],[pattern][ngModel]',
        providers: [exports.PATTERN_VALIDATOR]
      }]
    }];
    PatternValidator.ctorParameters = [{
      type: undefined,
      decorators: [{
        type: core_1.Attribute,
        args: ['pattern']
      }]
    }];
    return PatternValidator;
  }());
  exports.PatternValidator = PatternValidator;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/directives.js", ["./directives/checkbox_value_accessor", "./directives/default_value_accessor", "./directives/ng_control_status", "./directives/ng_form", "./directives/ng_model", "./directives/ng_model_group", "./directives/number_value_accessor", "./directives/radio_control_value_accessor", "./directives/reactive_directives/form_array_name", "./directives/reactive_directives/form_control_directive", "./directives/reactive_directives/form_control_name", "./directives/reactive_directives/form_group_directive", "./directives/reactive_directives/form_group_name", "./directives/select_control_value_accessor", "./directives/select_multiple_control_value_accessor", "./directives/validators", "./directives/ng_control"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var checkbox_value_accessor_1 = $__require('./directives/checkbox_value_accessor');
  var default_value_accessor_1 = $__require('./directives/default_value_accessor');
  var ng_control_status_1 = $__require('./directives/ng_control_status');
  var ng_form_1 = $__require('./directives/ng_form');
  var ng_model_1 = $__require('./directives/ng_model');
  var ng_model_group_1 = $__require('./directives/ng_model_group');
  var number_value_accessor_1 = $__require('./directives/number_value_accessor');
  var radio_control_value_accessor_1 = $__require('./directives/radio_control_value_accessor');
  var form_array_name_1 = $__require('./directives/reactive_directives/form_array_name');
  var form_control_directive_1 = $__require('./directives/reactive_directives/form_control_directive');
  var form_control_name_1 = $__require('./directives/reactive_directives/form_control_name');
  var form_group_directive_1 = $__require('./directives/reactive_directives/form_group_directive');
  var form_group_name_1 = $__require('./directives/reactive_directives/form_group_name');
  var select_control_value_accessor_1 = $__require('./directives/select_control_value_accessor');
  var select_multiple_control_value_accessor_1 = $__require('./directives/select_multiple_control_value_accessor');
  var validators_1 = $__require('./directives/validators');
  var checkbox_value_accessor_2 = $__require('./directives/checkbox_value_accessor');
  exports.CheckboxControlValueAccessor = checkbox_value_accessor_2.CheckboxControlValueAccessor;
  var default_value_accessor_2 = $__require('./directives/default_value_accessor');
  exports.DefaultValueAccessor = default_value_accessor_2.DefaultValueAccessor;
  var ng_control_1 = $__require('./directives/ng_control');
  exports.NgControl = ng_control_1.NgControl;
  var ng_control_status_2 = $__require('./directives/ng_control_status');
  exports.NgControlStatus = ng_control_status_2.NgControlStatus;
  var ng_form_2 = $__require('./directives/ng_form');
  exports.NgForm = ng_form_2.NgForm;
  var ng_model_2 = $__require('./directives/ng_model');
  exports.NgModel = ng_model_2.NgModel;
  var ng_model_group_2 = $__require('./directives/ng_model_group');
  exports.NgModelGroup = ng_model_group_2.NgModelGroup;
  var number_value_accessor_2 = $__require('./directives/number_value_accessor');
  exports.NumberValueAccessor = number_value_accessor_2.NumberValueAccessor;
  var radio_control_value_accessor_2 = $__require('./directives/radio_control_value_accessor');
  exports.RadioControlValueAccessor = radio_control_value_accessor_2.RadioControlValueAccessor;
  var form_array_name_2 = $__require('./directives/reactive_directives/form_array_name');
  exports.FormArrayName = form_array_name_2.FormArrayName;
  var form_control_directive_2 = $__require('./directives/reactive_directives/form_control_directive');
  exports.FormControlDirective = form_control_directive_2.FormControlDirective;
  var form_control_name_2 = $__require('./directives/reactive_directives/form_control_name');
  exports.FormControlName = form_control_name_2.FormControlName;
  var form_group_directive_2 = $__require('./directives/reactive_directives/form_group_directive');
  exports.FormGroupDirective = form_group_directive_2.FormGroupDirective;
  var form_group_name_2 = $__require('./directives/reactive_directives/form_group_name');
  exports.FormGroupName = form_group_name_2.FormGroupName;
  var select_control_value_accessor_2 = $__require('./directives/select_control_value_accessor');
  exports.NgSelectOption = select_control_value_accessor_2.NgSelectOption;
  exports.SelectControlValueAccessor = select_control_value_accessor_2.SelectControlValueAccessor;
  var select_multiple_control_value_accessor_2 = $__require('./directives/select_multiple_control_value_accessor');
  exports.NgSelectMultipleOption = select_multiple_control_value_accessor_2.NgSelectMultipleOption;
  exports.SelectMultipleControlValueAccessor = select_multiple_control_value_accessor_2.SelectMultipleControlValueAccessor;
  var validators_2 = $__require('./directives/validators');
  exports.MaxLengthValidator = validators_2.MaxLengthValidator;
  exports.MinLengthValidator = validators_2.MinLengthValidator;
  exports.PatternValidator = validators_2.PatternValidator;
  exports.RequiredValidator = validators_2.RequiredValidator;
  exports.FORM_DIRECTIVES = [ng_model_1.NgModel, ng_model_group_1.NgModelGroup, ng_form_1.NgForm, select_control_value_accessor_1.NgSelectOption, select_multiple_control_value_accessor_1.NgSelectMultipleOption, default_value_accessor_1.DefaultValueAccessor, number_value_accessor_1.NumberValueAccessor, checkbox_value_accessor_1.CheckboxControlValueAccessor, select_control_value_accessor_1.SelectControlValueAccessor, select_multiple_control_value_accessor_1.SelectMultipleControlValueAccessor, radio_control_value_accessor_1.RadioControlValueAccessor, ng_control_status_1.NgControlStatus, validators_1.RequiredValidator, validators_1.MinLengthValidator, validators_1.MaxLengthValidator, validators_1.PatternValidator];
  exports.REACTIVE_FORM_DIRECTIVES = [form_control_directive_1.FormControlDirective, form_group_directive_1.FormGroupDirective, form_control_name_1.FormControlName, form_group_name_1.FormGroupName, form_array_name_1.FormArrayName];
  return module.exports;
});

System.registerDynamic("@angular/forms/src/validators.js", ["@angular/core", "./facade/async", "./facade/collection", "./facade/lang", "./facade/promise"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var async_1 = $__require('./facade/async');
  var collection_1 = $__require('./facade/collection');
  var lang_1 = $__require('./facade/lang');
  var promise_1 = $__require('./facade/promise');
  exports.NG_VALIDATORS = new core_1.OpaqueToken('NgValidators');
  exports.NG_ASYNC_VALIDATORS = new core_1.OpaqueToken('NgAsyncValidators');
  var Validators = (function() {
    function Validators() {}
    Validators.required = function(control) {
      return lang_1.isBlank(control.value) || (lang_1.isString(control.value) && control.value == '') ? {'required': true} : null;
    };
    Validators.minLength = function(minLength) {
      return function(control) {
        if (lang_1.isPresent(Validators.required(control)))
          return null;
        var v = control.value;
        return v.length < minLength ? {'minlength': {
            'requiredLength': minLength,
            'actualLength': v.length
          }} : null;
      };
    };
    Validators.maxLength = function(maxLength) {
      return function(control) {
        if (lang_1.isPresent(Validators.required(control)))
          return null;
        var v = control.value;
        return v.length > maxLength ? {'maxlength': {
            'requiredLength': maxLength,
            'actualLength': v.length
          }} : null;
      };
    };
    Validators.pattern = function(pattern) {
      return function(control) {
        if (lang_1.isPresent(Validators.required(control)))
          return null;
        var regex = new RegExp("^" + pattern + "$");
        var v = control.value;
        return regex.test(v) ? null : {'pattern': {
            'requiredPattern': "^" + pattern + "$",
            'actualValue': v
          }};
      };
    };
    Validators.nullValidator = function(c) {
      return null;
    };
    Validators.compose = function(validators) {
      if (lang_1.isBlank(validators))
        return null;
      var presentValidators = validators.filter(lang_1.isPresent);
      if (presentValidators.length == 0)
        return null;
      return function(control) {
        return _mergeErrors(_executeValidators(control, presentValidators));
      };
    };
    Validators.composeAsync = function(validators) {
      if (lang_1.isBlank(validators))
        return null;
      var presentValidators = validators.filter(lang_1.isPresent);
      if (presentValidators.length == 0)
        return null;
      return function(control) {
        var promises = _executeAsyncValidators(control, presentValidators).map(_convertToPromise);
        return promise_1.PromiseWrapper.all(promises).then(_mergeErrors);
      };
    };
    return Validators;
  }());
  exports.Validators = Validators;
  function _convertToPromise(obj) {
    return lang_1.isPromise(obj) ? obj : async_1.ObservableWrapper.toPromise(obj);
  }
  function _executeValidators(control, validators) {
    return validators.map(function(v) {
      return v(control);
    });
  }
  function _executeAsyncValidators(control, validators) {
    return validators.map(function(v) {
      return v(control);
    });
  }
  function _mergeErrors(arrayOfErrors) {
    var res = arrayOfErrors.reduce(function(res, errors) {
      return lang_1.isPresent(errors) ? collection_1.StringMapWrapper.merge(res, errors) : res;
    }, {});
    return collection_1.StringMapWrapper.isEmpty(res) ? null : res;
  }
  return module.exports;
});

System.registerDynamic("@angular/forms/src/directives/checkbox_value_accessor.js", ["@angular/core", "./control_value_accessor"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var control_value_accessor_1 = $__require('./control_value_accessor');
  exports.CHECKBOX_VALUE_ACCESSOR = {
    provide: control_value_accessor_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function() {
      return CheckboxControlValueAccessor;
    }),
    multi: true
  };
  var CheckboxControlValueAccessor = (function() {
    function CheckboxControlValueAccessor(_renderer, _elementRef) {
      this._renderer = _renderer;
      this._elementRef = _elementRef;
      this.onChange = function(_) {};
      this.onTouched = function() {};
    }
    CheckboxControlValueAccessor.prototype.writeValue = function(value) {
      this._renderer.setElementProperty(this._elementRef.nativeElement, 'checked', value);
    };
    CheckboxControlValueAccessor.prototype.registerOnChange = function(fn) {
      this.onChange = fn;
    };
    CheckboxControlValueAccessor.prototype.registerOnTouched = function(fn) {
      this.onTouched = fn;
    };
    CheckboxControlValueAccessor.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: 'input[type=checkbox][formControlName],input[type=checkbox][formControl],input[type=checkbox][ngModel]',
        host: {
          '(change)': 'onChange($event.target.checked)',
          '(blur)': 'onTouched()'
        },
        providers: [exports.CHECKBOX_VALUE_ACCESSOR]
      }]
    }];
    CheckboxControlValueAccessor.ctorParameters = [{type: core_1.Renderer}, {type: core_1.ElementRef}];
    return CheckboxControlValueAccessor;
  }());
  exports.CheckboxControlValueAccessor = CheckboxControlValueAccessor;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/directives/default_value_accessor.js", ["@angular/core", "../facade/lang", "./control_value_accessor"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var lang_1 = $__require('../facade/lang');
  var control_value_accessor_1 = $__require('./control_value_accessor');
  exports.DEFAULT_VALUE_ACCESSOR = {
    provide: control_value_accessor_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function() {
      return DefaultValueAccessor;
    }),
    multi: true
  };
  var DefaultValueAccessor = (function() {
    function DefaultValueAccessor(_renderer, _elementRef) {
      this._renderer = _renderer;
      this._elementRef = _elementRef;
      this.onChange = function(_) {};
      this.onTouched = function() {};
    }
    DefaultValueAccessor.prototype.writeValue = function(value) {
      var normalizedValue = lang_1.isBlank(value) ? '' : value;
      this._renderer.setElementProperty(this._elementRef.nativeElement, 'value', normalizedValue);
    };
    DefaultValueAccessor.prototype.registerOnChange = function(fn) {
      this.onChange = fn;
    };
    DefaultValueAccessor.prototype.registerOnTouched = function(fn) {
      this.onTouched = fn;
    };
    DefaultValueAccessor.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: 'input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]',
        host: {
          '(input)': 'onChange($event.target.value)',
          '(blur)': 'onTouched()'
        },
        providers: [exports.DEFAULT_VALUE_ACCESSOR]
      }]
    }];
    DefaultValueAccessor.ctorParameters = [{type: core_1.Renderer}, {type: core_1.ElementRef}];
    return DefaultValueAccessor;
  }());
  exports.DefaultValueAccessor = DefaultValueAccessor;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/directives/normalize_validator.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  function normalizeValidator(validator) {
    if (validator.validate !== undefined) {
      return function(c) {
        return validator.validate(c);
      };
    } else {
      return validator;
    }
  }
  exports.normalizeValidator = normalizeValidator;
  function normalizeAsyncValidator(validator) {
    if (validator.validate !== undefined) {
      return function(c) {
        return validator.validate(c);
      };
    } else {
      return validator;
    }
  }
  exports.normalizeAsyncValidator = normalizeAsyncValidator;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/directives/number_value_accessor.js", ["@angular/core", "../facade/lang", "./control_value_accessor"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var lang_1 = $__require('../facade/lang');
  var control_value_accessor_1 = $__require('./control_value_accessor');
  exports.NUMBER_VALUE_ACCESSOR = {
    provide: control_value_accessor_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function() {
      return NumberValueAccessor;
    }),
    multi: true
  };
  var NumberValueAccessor = (function() {
    function NumberValueAccessor(_renderer, _elementRef) {
      this._renderer = _renderer;
      this._elementRef = _elementRef;
      this.onChange = function(_) {};
      this.onTouched = function() {};
    }
    NumberValueAccessor.prototype.writeValue = function(value) {
      this._renderer.setElementProperty(this._elementRef.nativeElement, 'value', value);
    };
    NumberValueAccessor.prototype.registerOnChange = function(fn) {
      this.onChange = function(value) {
        fn(value == '' ? null : lang_1.NumberWrapper.parseFloat(value));
      };
    };
    NumberValueAccessor.prototype.registerOnTouched = function(fn) {
      this.onTouched = fn;
    };
    NumberValueAccessor.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: 'input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]',
        host: {
          '(change)': 'onChange($event.target.value)',
          '(input)': 'onChange($event.target.value)',
          '(blur)': 'onTouched()'
        },
        providers: [exports.NUMBER_VALUE_ACCESSOR]
      }]
    }];
    NumberValueAccessor.ctorParameters = [{type: core_1.Renderer}, {type: core_1.ElementRef}];
    return NumberValueAccessor;
  }());
  exports.NumberValueAccessor = NumberValueAccessor;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/facade/base_wrapped_exception.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var BaseWrappedException = (function(_super) {
    __extends(BaseWrappedException, _super);
    function BaseWrappedException(message) {
      _super.call(this, message);
    }
    Object.defineProperty(BaseWrappedException.prototype, "wrapperMessage", {
      get: function() {
        return '';
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "wrapperStack", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "originalException", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "originalStack", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "context", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "message", {
      get: function() {
        return '';
      },
      enumerable: true,
      configurable: true
    });
    return BaseWrappedException;
  }(Error));
  exports.BaseWrappedException = BaseWrappedException;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/facade/exception_handler.js", ["./base_wrapped_exception", "./collection", "./lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var base_wrapped_exception_1 = $__require('./base_wrapped_exception');
  var collection_1 = $__require('./collection');
  var lang_1 = $__require('./lang');
  var _ArrayLogger = (function() {
    function _ArrayLogger() {
      this.res = [];
    }
    _ArrayLogger.prototype.log = function(s) {
      this.res.push(s);
    };
    _ArrayLogger.prototype.logError = function(s) {
      this.res.push(s);
    };
    _ArrayLogger.prototype.logGroup = function(s) {
      this.res.push(s);
    };
    _ArrayLogger.prototype.logGroupEnd = function() {};
    ;
    return _ArrayLogger;
  }());
  var ExceptionHandler = (function() {
    function ExceptionHandler(_logger, _rethrowException) {
      if (_rethrowException === void 0) {
        _rethrowException = true;
      }
      this._logger = _logger;
      this._rethrowException = _rethrowException;
    }
    ExceptionHandler.exceptionToString = function(exception, stackTrace, reason) {
      if (stackTrace === void 0) {
        stackTrace = null;
      }
      if (reason === void 0) {
        reason = null;
      }
      var l = new _ArrayLogger();
      var e = new ExceptionHandler(l, false);
      e.call(exception, stackTrace, reason);
      return l.res.join('\n');
    };
    ExceptionHandler.prototype.call = function(exception, stackTrace, reason) {
      if (stackTrace === void 0) {
        stackTrace = null;
      }
      if (reason === void 0) {
        reason = null;
      }
      var originalException = this._findOriginalException(exception);
      var originalStack = this._findOriginalStack(exception);
      var context = this._findContext(exception);
      this._logger.logGroup("EXCEPTION: " + this._extractMessage(exception));
      if (lang_1.isPresent(stackTrace) && lang_1.isBlank(originalStack)) {
        this._logger.logError('STACKTRACE:');
        this._logger.logError(this._longStackTrace(stackTrace));
      }
      if (lang_1.isPresent(reason)) {
        this._logger.logError("REASON: " + reason);
      }
      if (lang_1.isPresent(originalException)) {
        this._logger.logError("ORIGINAL EXCEPTION: " + this._extractMessage(originalException));
      }
      if (lang_1.isPresent(originalStack)) {
        this._logger.logError('ORIGINAL STACKTRACE:');
        this._logger.logError(this._longStackTrace(originalStack));
      }
      if (lang_1.isPresent(context)) {
        this._logger.logError('ERROR CONTEXT:');
        this._logger.logError(context);
      }
      this._logger.logGroupEnd();
      if (this._rethrowException)
        throw exception;
    };
    ExceptionHandler.prototype._extractMessage = function(exception) {
      return exception instanceof base_wrapped_exception_1.BaseWrappedException ? exception.wrapperMessage : exception.toString();
    };
    ExceptionHandler.prototype._longStackTrace = function(stackTrace) {
      return collection_1.isListLikeIterable(stackTrace) ? stackTrace.join('\n\n-----async gap-----\n') : stackTrace.toString();
    };
    ExceptionHandler.prototype._findContext = function(exception) {
      try {
        if (!(exception instanceof base_wrapped_exception_1.BaseWrappedException))
          return null;
        return lang_1.isPresent(exception.context) ? exception.context : this._findContext(exception.originalException);
      } catch (e) {
        return null;
      }
    };
    ExceptionHandler.prototype._findOriginalException = function(exception) {
      if (!(exception instanceof base_wrapped_exception_1.BaseWrappedException))
        return null;
      var e = exception.originalException;
      while (e instanceof base_wrapped_exception_1.BaseWrappedException && lang_1.isPresent(e.originalException)) {
        e = e.originalException;
      }
      return e;
    };
    ExceptionHandler.prototype._findOriginalStack = function(exception) {
      if (!(exception instanceof base_wrapped_exception_1.BaseWrappedException))
        return null;
      var e = exception;
      var stack = exception.originalStack;
      while (e instanceof base_wrapped_exception_1.BaseWrappedException && lang_1.isPresent(e.originalException)) {
        e = e.originalException;
        if (e instanceof base_wrapped_exception_1.BaseWrappedException && lang_1.isPresent(e.originalException)) {
          stack = e.originalStack;
        }
      }
      return stack;
    };
    return ExceptionHandler;
  }());
  exports.ExceptionHandler = ExceptionHandler;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/facade/exceptions.js", ["./base_wrapped_exception", "./exception_handler"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var base_wrapped_exception_1 = $__require('./base_wrapped_exception');
  var exception_handler_1 = $__require('./exception_handler');
  var exception_handler_2 = $__require('./exception_handler');
  exports.ExceptionHandler = exception_handler_2.ExceptionHandler;
  var BaseException = (function(_super) {
    __extends(BaseException, _super);
    function BaseException(message) {
      if (message === void 0) {
        message = '--';
      }
      _super.call(this, message);
      this.message = message;
      this.stack = (new Error(message)).stack;
    }
    BaseException.prototype.toString = function() {
      return this.message;
    };
    return BaseException;
  }(Error));
  exports.BaseException = BaseException;
  var WrappedException = (function(_super) {
    __extends(WrappedException, _super);
    function WrappedException(_wrapperMessage, _originalException, _originalStack, _context) {
      _super.call(this, _wrapperMessage);
      this._wrapperMessage = _wrapperMessage;
      this._originalException = _originalException;
      this._originalStack = _originalStack;
      this._context = _context;
      this._wrapperStack = (new Error(_wrapperMessage)).stack;
    }
    Object.defineProperty(WrappedException.prototype, "wrapperMessage", {
      get: function() {
        return this._wrapperMessage;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "wrapperStack", {
      get: function() {
        return this._wrapperStack;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "originalException", {
      get: function() {
        return this._originalException;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "originalStack", {
      get: function() {
        return this._originalStack;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "context", {
      get: function() {
        return this._context;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "message", {
      get: function() {
        return exception_handler_1.ExceptionHandler.exceptionToString(this);
      },
      enumerable: true,
      configurable: true
    });
    WrappedException.prototype.toString = function() {
      return this.message;
    };
    return WrappedException;
  }(base_wrapped_exception_1.BaseWrappedException));
  exports.WrappedException = WrappedException;
  function makeTypeError(message) {
    return new TypeError(message);
  }
  exports.makeTypeError = makeTypeError;
  function unimplemented() {
    throw new BaseException('unimplemented');
  }
  exports.unimplemented = unimplemented;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/directives/abstract_control_directive.js", ["../facade/exceptions", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var AbstractControlDirective = (function() {
    function AbstractControlDirective() {}
    Object.defineProperty(AbstractControlDirective.prototype, "control", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControlDirective.prototype, "value", {
      get: function() {
        return lang_1.isPresent(this.control) ? this.control.value : null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControlDirective.prototype, "valid", {
      get: function() {
        return lang_1.isPresent(this.control) ? this.control.valid : null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControlDirective.prototype, "errors", {
      get: function() {
        return lang_1.isPresent(this.control) ? this.control.errors : null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControlDirective.prototype, "pristine", {
      get: function() {
        return lang_1.isPresent(this.control) ? this.control.pristine : null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControlDirective.prototype, "dirty", {
      get: function() {
        return lang_1.isPresent(this.control) ? this.control.dirty : null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControlDirective.prototype, "touched", {
      get: function() {
        return lang_1.isPresent(this.control) ? this.control.touched : null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControlDirective.prototype, "untouched", {
      get: function() {
        return lang_1.isPresent(this.control) ? this.control.untouched : null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControlDirective.prototype, "statusChanges", {
      get: function() {
        return lang_1.isPresent(this.control) ? this.control.statusChanges : null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControlDirective.prototype, "valueChanges", {
      get: function() {
        return lang_1.isPresent(this.control) ? this.control.valueChanges : null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControlDirective.prototype, "path", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    return AbstractControlDirective;
  }());
  exports.AbstractControlDirective = AbstractControlDirective;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/directives/ng_control.js", ["../facade/exceptions", "./abstract_control_directive"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var exceptions_1 = $__require('../facade/exceptions');
  var abstract_control_directive_1 = $__require('./abstract_control_directive');
  var NgControl = (function(_super) {
    __extends(NgControl, _super);
    function NgControl() {
      _super.apply(this, arguments);
      this.name = null;
      this.valueAccessor = null;
    }
    Object.defineProperty(NgControl.prototype, "validator", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgControl.prototype, "asyncValidator", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    return NgControl;
  }(abstract_control_directive_1.AbstractControlDirective));
  exports.NgControl = NgControl;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/directives/radio_control_value_accessor.js", ["@angular/core", "../facade/collection", "../facade/exceptions", "../facade/lang", "./control_value_accessor", "./ng_control"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var collection_1 = $__require('../facade/collection');
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var control_value_accessor_1 = $__require('./control_value_accessor');
  var ng_control_1 = $__require('./ng_control');
  exports.RADIO_VALUE_ACCESSOR = {
    provide: control_value_accessor_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function() {
      return RadioControlValueAccessor;
    }),
    multi: true
  };
  var RadioControlRegistry = (function() {
    function RadioControlRegistry() {
      this._accessors = [];
    }
    RadioControlRegistry.prototype.add = function(control, accessor) {
      this._accessors.push([control, accessor]);
    };
    RadioControlRegistry.prototype.remove = function(accessor) {
      var indexToRemove = -1;
      for (var i = 0; i < this._accessors.length; ++i) {
        if (this._accessors[i][1] === accessor) {
          indexToRemove = i;
        }
      }
      collection_1.ListWrapper.removeAt(this._accessors, indexToRemove);
    };
    RadioControlRegistry.prototype.select = function(accessor) {
      var _this = this;
      this._accessors.forEach(function(c) {
        if (_this._isSameGroup(c, accessor) && c[1] !== accessor) {
          c[1].fireUncheck(accessor.value);
        }
      });
    };
    RadioControlRegistry.prototype._isSameGroup = function(controlPair, accessor) {
      if (!controlPair[0].control)
        return false;
      return controlPair[0].control.root === accessor._control.control.root && controlPair[1].name === accessor.name;
    };
    RadioControlRegistry.decorators = [{type: core_1.Injectable}];
    return RadioControlRegistry;
  }());
  exports.RadioControlRegistry = RadioControlRegistry;
  var RadioControlValueAccessor = (function() {
    function RadioControlValueAccessor(_renderer, _elementRef, _registry, _injector) {
      this._renderer = _renderer;
      this._elementRef = _elementRef;
      this._registry = _registry;
      this._injector = _injector;
      this.onChange = function() {};
      this.onTouched = function() {};
    }
    RadioControlValueAccessor.prototype.ngOnInit = function() {
      this._control = this._injector.get(ng_control_1.NgControl);
      this._checkName();
      this._registry.add(this._control, this);
    };
    RadioControlValueAccessor.prototype.ngOnDestroy = function() {
      this._registry.remove(this);
    };
    RadioControlValueAccessor.prototype.writeValue = function(value) {
      this._state = value === this.value;
      if (lang_1.isPresent(value)) {
        this._renderer.setElementProperty(this._elementRef.nativeElement, 'checked', this._state);
      }
    };
    RadioControlValueAccessor.prototype.registerOnChange = function(fn) {
      var _this = this;
      this._fn = fn;
      this.onChange = function() {
        fn(_this.value);
        _this._registry.select(_this);
      };
    };
    RadioControlValueAccessor.prototype.fireUncheck = function(value) {
      this.writeValue(value);
    };
    RadioControlValueAccessor.prototype.registerOnTouched = function(fn) {
      this.onTouched = fn;
    };
    RadioControlValueAccessor.prototype._checkName = function() {
      if (this.name && this.formControlName && this.name !== this.formControlName) {
        this._throwNameError();
      }
      if (!this.name && this.formControlName)
        this.name = this.formControlName;
    };
    RadioControlValueAccessor.prototype._throwNameError = function() {
      throw new exceptions_1.BaseException("\n      If you define both a name and a formControlName attribute on your radio button, their values\n      must match. Ex: <input type=\"radio\" formControlName=\"food\" name=\"food\">\n    ");
    };
    RadioControlValueAccessor.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: 'input[type=radio][formControlName],input[type=radio][formControl],input[type=radio][ngModel]',
        host: {
          '(change)': 'onChange()',
          '(blur)': 'onTouched()'
        },
        providers: [exports.RADIO_VALUE_ACCESSOR]
      }]
    }];
    RadioControlValueAccessor.ctorParameters = [{type: core_1.Renderer}, {type: core_1.ElementRef}, {type: RadioControlRegistry}, {type: core_1.Injector}];
    RadioControlValueAccessor.propDecorators = {
      'name': [{type: core_1.Input}],
      'formControlName': [{type: core_1.Input}],
      'value': [{type: core_1.Input}]
    };
    return RadioControlValueAccessor;
  }());
  exports.RadioControlValueAccessor = RadioControlValueAccessor;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/directives/select_control_value_accessor.js", ["@angular/core", "../facade/collection", "../facade/lang", "./control_value_accessor"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var control_value_accessor_1 = $__require('./control_value_accessor');
  exports.SELECT_VALUE_ACCESSOR = {
    provide: control_value_accessor_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function() {
      return SelectControlValueAccessor;
    }),
    multi: true
  };
  function _buildValueString(id, value) {
    if (lang_1.isBlank(id))
      return "" + value;
    if (!lang_1.isPrimitive(value))
      value = 'Object';
    return lang_1.StringWrapper.slice(id + ": " + value, 0, 50);
  }
  function _extractId(valueString) {
    return valueString.split(':')[0];
  }
  var SelectControlValueAccessor = (function() {
    function SelectControlValueAccessor(_renderer, _elementRef) {
      this._renderer = _renderer;
      this._elementRef = _elementRef;
      this._optionMap = new Map();
      this._idCounter = 0;
      this.onChange = function(_) {};
      this.onTouched = function() {};
    }
    SelectControlValueAccessor.prototype.writeValue = function(value) {
      this.value = value;
      var valueString = _buildValueString(this._getOptionId(value), value);
      this._renderer.setElementProperty(this._elementRef.nativeElement, 'value', valueString);
    };
    SelectControlValueAccessor.prototype.registerOnChange = function(fn) {
      var _this = this;
      this.onChange = function(valueString) {
        _this.value = valueString;
        fn(_this._getOptionValue(valueString));
      };
    };
    SelectControlValueAccessor.prototype.registerOnTouched = function(fn) {
      this.onTouched = fn;
    };
    SelectControlValueAccessor.prototype._registerOption = function() {
      return (this._idCounter++).toString();
    };
    SelectControlValueAccessor.prototype._getOptionId = function(value) {
      for (var _i = 0,
          _a = collection_1.MapWrapper.keys(this._optionMap); _i < _a.length; _i++) {
        var id = _a[_i];
        if (lang_1.looseIdentical(this._optionMap.get(id), value))
          return id;
      }
      return null;
    };
    SelectControlValueAccessor.prototype._getOptionValue = function(valueString) {
      var value = this._optionMap.get(_extractId(valueString));
      return lang_1.isPresent(value) ? value : valueString;
    };
    SelectControlValueAccessor.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: 'select:not([multiple])[formControlName],select:not([multiple])[formControl],select:not([multiple])[ngModel]',
        host: {
          '(change)': 'onChange($event.target.value)',
          '(blur)': 'onTouched()'
        },
        providers: [exports.SELECT_VALUE_ACCESSOR]
      }]
    }];
    SelectControlValueAccessor.ctorParameters = [{type: core_1.Renderer}, {type: core_1.ElementRef}];
    return SelectControlValueAccessor;
  }());
  exports.SelectControlValueAccessor = SelectControlValueAccessor;
  var NgSelectOption = (function() {
    function NgSelectOption(_element, _renderer, _select) {
      this._element = _element;
      this._renderer = _renderer;
      this._select = _select;
      if (lang_1.isPresent(this._select))
        this.id = this._select._registerOption();
    }
    Object.defineProperty(NgSelectOption.prototype, "ngValue", {
      set: function(value) {
        if (this._select == null)
          return;
        this._select._optionMap.set(this.id, value);
        this._setElementValue(_buildValueString(this.id, value));
        this._select.writeValue(this._select.value);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgSelectOption.prototype, "value", {
      set: function(value) {
        this._setElementValue(value);
        if (lang_1.isPresent(this._select))
          this._select.writeValue(this._select.value);
      },
      enumerable: true,
      configurable: true
    });
    NgSelectOption.prototype._setElementValue = function(value) {
      this._renderer.setElementProperty(this._element.nativeElement, 'value', value);
    };
    NgSelectOption.prototype.ngOnDestroy = function() {
      if (lang_1.isPresent(this._select)) {
        this._select._optionMap.delete(this.id);
        this._select.writeValue(this._select.value);
      }
    };
    NgSelectOption.decorators = [{
      type: core_1.Directive,
      args: [{selector: 'option'}]
    }];
    NgSelectOption.ctorParameters = [{type: core_1.ElementRef}, {type: core_1.Renderer}, {
      type: SelectControlValueAccessor,
      decorators: [{type: core_1.Optional}, {type: core_1.Host}]
    }];
    NgSelectOption.propDecorators = {
      'ngValue': [{
        type: core_1.Input,
        args: ['ngValue']
      }],
      'value': [{
        type: core_1.Input,
        args: ['value']
      }]
    };
    return NgSelectOption;
  }());
  exports.NgSelectOption = NgSelectOption;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/directives/control_value_accessor.js", ["@angular/core"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  exports.NG_VALUE_ACCESSOR = new core_1.OpaqueToken('NgValueAccessor');
  return module.exports;
});

System.registerDynamic("@angular/forms/src/directives/select_multiple_control_value_accessor.js", ["@angular/core", "../facade/collection", "../facade/lang", "./control_value_accessor"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var control_value_accessor_1 = $__require('./control_value_accessor');
  var SELECT_MULTIPLE_VALUE_ACCESSOR = {
    provide: control_value_accessor_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function() {
      return SelectMultipleControlValueAccessor;
    }),
    multi: true
  };
  function _buildValueString(id, value) {
    if (lang_1.isBlank(id))
      return "" + value;
    if (lang_1.isString(value))
      value = "'" + value + "'";
    if (!lang_1.isPrimitive(value))
      value = 'Object';
    return lang_1.StringWrapper.slice(id + ": " + value, 0, 50);
  }
  function _extractId(valueString) {
    return valueString.split(':')[0];
  }
  var HTMLCollection = (function() {
    function HTMLCollection() {}
    return HTMLCollection;
  }());
  var SelectMultipleControlValueAccessor = (function() {
    function SelectMultipleControlValueAccessor() {
      this._optionMap = new Map();
      this._idCounter = 0;
      this.onChange = function(_) {};
      this.onTouched = function() {};
    }
    SelectMultipleControlValueAccessor.prototype.writeValue = function(value) {
      var _this = this;
      this.value = value;
      if (value == null)
        return;
      var values = value;
      var ids = values.map(function(v) {
        return _this._getOptionId(v);
      });
      this._optionMap.forEach(function(opt, o) {
        opt._setSelected(ids.indexOf(o.toString()) > -1);
      });
    };
    SelectMultipleControlValueAccessor.prototype.registerOnChange = function(fn) {
      var _this = this;
      this.onChange = function(_) {
        var selected = [];
        if (_.hasOwnProperty('selectedOptions')) {
          var options = _.selectedOptions;
          for (var i = 0; i < options.length; i++) {
            var opt = options.item(i);
            var val = _this._getOptionValue(opt.value);
            selected.push(val);
          }
        } else {
          var options = _.options;
          for (var i = 0; i < options.length; i++) {
            var opt = options.item(i);
            if (opt.selected) {
              var val = _this._getOptionValue(opt.value);
              selected.push(val);
            }
          }
        }
        fn(selected);
      };
    };
    SelectMultipleControlValueAccessor.prototype.registerOnTouched = function(fn) {
      this.onTouched = fn;
    };
    SelectMultipleControlValueAccessor.prototype._registerOption = function(value) {
      var id = (this._idCounter++).toString();
      this._optionMap.set(id, value);
      return id;
    };
    SelectMultipleControlValueAccessor.prototype._getOptionId = function(value) {
      for (var _i = 0,
          _a = collection_1.MapWrapper.keys(this._optionMap); _i < _a.length; _i++) {
        var id = _a[_i];
        if (lang_1.looseIdentical(this._optionMap.get(id)._value, value))
          return id;
      }
      return null;
    };
    SelectMultipleControlValueAccessor.prototype._getOptionValue = function(valueString) {
      var opt = this._optionMap.get(_extractId(valueString));
      return lang_1.isPresent(opt) ? opt._value : valueString;
    };
    SelectMultipleControlValueAccessor.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: 'select[multiple][formControlName],select[multiple][formControl],select[multiple][ngModel]',
        host: {
          '(input)': 'onChange($event.target)',
          '(blur)': 'onTouched()'
        },
        providers: [SELECT_MULTIPLE_VALUE_ACCESSOR]
      }]
    }];
    SelectMultipleControlValueAccessor.ctorParameters = [];
    return SelectMultipleControlValueAccessor;
  }());
  exports.SelectMultipleControlValueAccessor = SelectMultipleControlValueAccessor;
  var NgSelectMultipleOption = (function() {
    function NgSelectMultipleOption(_element, _renderer, _select) {
      this._element = _element;
      this._renderer = _renderer;
      this._select = _select;
      if (lang_1.isPresent(this._select)) {
        this.id = this._select._registerOption(this);
      }
    }
    Object.defineProperty(NgSelectMultipleOption.prototype, "ngValue", {
      set: function(value) {
        if (this._select == null)
          return;
        this._value = value;
        this._setElementValue(_buildValueString(this.id, value));
        this._select.writeValue(this._select.value);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgSelectMultipleOption.prototype, "value", {
      set: function(value) {
        if (lang_1.isPresent(this._select)) {
          this._value = value;
          this._setElementValue(_buildValueString(this.id, value));
          this._select.writeValue(this._select.value);
        } else {
          this._setElementValue(value);
        }
      },
      enumerable: true,
      configurable: true
    });
    NgSelectMultipleOption.prototype._setElementValue = function(value) {
      this._renderer.setElementProperty(this._element.nativeElement, 'value', value);
    };
    NgSelectMultipleOption.prototype._setSelected = function(selected) {
      this._renderer.setElementProperty(this._element.nativeElement, 'selected', selected);
    };
    NgSelectMultipleOption.prototype.ngOnDestroy = function() {
      if (lang_1.isPresent(this._select)) {
        this._select._optionMap.delete(this.id);
        this._select.writeValue(this._select.value);
      }
    };
    NgSelectMultipleOption.decorators = [{
      type: core_1.Directive,
      args: [{selector: 'option'}]
    }];
    NgSelectMultipleOption.ctorParameters = [{type: core_1.ElementRef}, {type: core_1.Renderer}, {
      type: SelectMultipleControlValueAccessor,
      decorators: [{type: core_1.Optional}, {type: core_1.Host}]
    }];
    NgSelectMultipleOption.propDecorators = {
      'ngValue': [{
        type: core_1.Input,
        args: ['ngValue']
      }],
      'value': [{
        type: core_1.Input,
        args: ['value']
      }]
    };
    return NgSelectMultipleOption;
  }());
  exports.NgSelectMultipleOption = NgSelectMultipleOption;
  exports.SELECT_DIRECTIVES = [SelectMultipleControlValueAccessor, NgSelectMultipleOption];
  return module.exports;
});

System.registerDynamic("@angular/forms/src/directives/shared.js", ["../facade/collection", "../facade/exceptions", "../facade/lang", "../validators", "./checkbox_value_accessor", "./default_value_accessor", "./normalize_validator", "./number_value_accessor", "./radio_control_value_accessor", "./select_control_value_accessor", "./select_multiple_control_value_accessor"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var collection_1 = $__require('../facade/collection');
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var validators_1 = $__require('../validators');
  var checkbox_value_accessor_1 = $__require('./checkbox_value_accessor');
  var default_value_accessor_1 = $__require('./default_value_accessor');
  var normalize_validator_1 = $__require('./normalize_validator');
  var number_value_accessor_1 = $__require('./number_value_accessor');
  var radio_control_value_accessor_1 = $__require('./radio_control_value_accessor');
  var select_control_value_accessor_1 = $__require('./select_control_value_accessor');
  var select_multiple_control_value_accessor_1 = $__require('./select_multiple_control_value_accessor');
  function controlPath(name, parent) {
    var p = collection_1.ListWrapper.clone(parent.path);
    p.push(name);
    return p;
  }
  exports.controlPath = controlPath;
  function setUpControl(control, dir) {
    if (lang_1.isBlank(control))
      _throwError(dir, 'Cannot find control');
    if (lang_1.isBlank(dir.valueAccessor))
      _throwError(dir, 'No value accessor for');
    control.validator = validators_1.Validators.compose([control.validator, dir.validator]);
    control.asyncValidator = validators_1.Validators.composeAsync([control.asyncValidator, dir.asyncValidator]);
    dir.valueAccessor.writeValue(control.value);
    dir.valueAccessor.registerOnChange(function(newValue) {
      dir.viewToModelUpdate(newValue);
      control.updateValue(newValue, {emitModelToViewChange: false});
      control.markAsDirty();
    });
    control.registerOnChange(function(newValue) {
      return dir.valueAccessor.writeValue(newValue);
    });
    dir.valueAccessor.registerOnTouched(function() {
      return control.markAsTouched();
    });
  }
  exports.setUpControl = setUpControl;
  function setUpFormContainer(control, dir) {
    if (lang_1.isBlank(control))
      _throwError(dir, 'Cannot find control');
    control.validator = validators_1.Validators.compose([control.validator, dir.validator]);
    control.asyncValidator = validators_1.Validators.composeAsync([control.asyncValidator, dir.asyncValidator]);
  }
  exports.setUpFormContainer = setUpFormContainer;
  function _throwError(dir, message) {
    var path = dir.path.join(' -> ');
    throw new exceptions_1.BaseException(message + " '" + path + "'");
  }
  function composeValidators(validators) {
    return lang_1.isPresent(validators) ? validators_1.Validators.compose(validators.map(normalize_validator_1.normalizeValidator)) : null;
  }
  exports.composeValidators = composeValidators;
  function composeAsyncValidators(validators) {
    return lang_1.isPresent(validators) ? validators_1.Validators.composeAsync(validators.map(normalize_validator_1.normalizeAsyncValidator)) : null;
  }
  exports.composeAsyncValidators = composeAsyncValidators;
  function isPropertyUpdated(changes, viewModel) {
    if (!collection_1.StringMapWrapper.contains(changes, 'model'))
      return false;
    var change = changes['model'];
    if (change.isFirstChange())
      return true;
    return !lang_1.looseIdentical(viewModel, change.currentValue);
  }
  exports.isPropertyUpdated = isPropertyUpdated;
  function selectValueAccessor(dir, valueAccessors) {
    if (lang_1.isBlank(valueAccessors))
      return null;
    var defaultAccessor;
    var builtinAccessor;
    var customAccessor;
    valueAccessors.forEach(function(v) {
      if (lang_1.hasConstructor(v, default_value_accessor_1.DefaultValueAccessor)) {
        defaultAccessor = v;
      } else if (lang_1.hasConstructor(v, checkbox_value_accessor_1.CheckboxControlValueAccessor) || lang_1.hasConstructor(v, number_value_accessor_1.NumberValueAccessor) || lang_1.hasConstructor(v, select_control_value_accessor_1.SelectControlValueAccessor) || lang_1.hasConstructor(v, select_multiple_control_value_accessor_1.SelectMultipleControlValueAccessor) || lang_1.hasConstructor(v, radio_control_value_accessor_1.RadioControlValueAccessor)) {
        if (lang_1.isPresent(builtinAccessor))
          _throwError(dir, 'More than one built-in value accessor matches');
        builtinAccessor = v;
      } else {
        if (lang_1.isPresent(customAccessor))
          _throwError(dir, 'More than one custom value accessor matches');
        customAccessor = v;
      }
    });
    if (lang_1.isPresent(customAccessor))
      return customAccessor;
    if (lang_1.isPresent(builtinAccessor))
      return builtinAccessor;
    if (lang_1.isPresent(defaultAccessor))
      return defaultAccessor;
    _throwError(dir, 'No valid value accessor for');
    return null;
  }
  exports.selectValueAccessor = selectValueAccessor;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/facade/promise.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var PromiseCompleter = (function() {
    function PromiseCompleter() {
      var _this = this;
      this.promise = new Promise(function(res, rej) {
        _this.resolve = res;
        _this.reject = rej;
      });
    }
    return PromiseCompleter;
  }());
  exports.PromiseCompleter = PromiseCompleter;
  var PromiseWrapper = (function() {
    function PromiseWrapper() {}
    PromiseWrapper.resolve = function(obj) {
      return Promise.resolve(obj);
    };
    PromiseWrapper.reject = function(obj, _) {
      return Promise.reject(obj);
    };
    PromiseWrapper.catchError = function(promise, onError) {
      return promise.catch(onError);
    };
    PromiseWrapper.all = function(promises) {
      if (promises.length == 0)
        return Promise.resolve([]);
      return Promise.all(promises);
    };
    PromiseWrapper.then = function(promise, success, rejection) {
      return promise.then(success, rejection);
    };
    PromiseWrapper.wrap = function(computation) {
      return new Promise(function(res, rej) {
        try {
          res(computation());
        } catch (e) {
          rej(e);
        }
      });
    };
    PromiseWrapper.scheduleMicrotask = function(computation) {
      PromiseWrapper.then(PromiseWrapper.resolve(null), computation, function(_) {});
    };
    PromiseWrapper.completer = function() {
      return new PromiseCompleter();
    };
    return PromiseWrapper;
  }());
  exports.PromiseWrapper = PromiseWrapper;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/facade/async.js", ["rxjs/Subject", "rxjs/observable/PromiseObservable", "rxjs/operator/toPromise", "./lang", "rxjs/Observable", "./promise"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var Subject_1 = $__require('rxjs/Subject');
  var PromiseObservable_1 = $__require('rxjs/observable/PromiseObservable');
  var toPromise_1 = $__require('rxjs/operator/toPromise');
  var lang_1 = $__require('./lang');
  var Observable_1 = $__require('rxjs/Observable');
  exports.Observable = Observable_1.Observable;
  var Subject_2 = $__require('rxjs/Subject');
  exports.Subject = Subject_2.Subject;
  var promise_1 = $__require('./promise');
  exports.PromiseCompleter = promise_1.PromiseCompleter;
  exports.PromiseWrapper = promise_1.PromiseWrapper;
  var TimerWrapper = (function() {
    function TimerWrapper() {}
    TimerWrapper.setTimeout = function(fn, millis) {
      return lang_1.global.setTimeout(fn, millis);
    };
    TimerWrapper.clearTimeout = function(id) {
      lang_1.global.clearTimeout(id);
    };
    TimerWrapper.setInterval = function(fn, millis) {
      return lang_1.global.setInterval(fn, millis);
    };
    TimerWrapper.clearInterval = function(id) {
      lang_1.global.clearInterval(id);
    };
    return TimerWrapper;
  }());
  exports.TimerWrapper = TimerWrapper;
  var ObservableWrapper = (function() {
    function ObservableWrapper() {}
    ObservableWrapper.subscribe = function(emitter, onNext, onError, onComplete) {
      if (onComplete === void 0) {
        onComplete = function() {};
      }
      onError = (typeof onError === 'function') && onError || lang_1.noop;
      onComplete = (typeof onComplete === 'function') && onComplete || lang_1.noop;
      return emitter.subscribe({
        next: onNext,
        error: onError,
        complete: onComplete
      });
    };
    ObservableWrapper.isObservable = function(obs) {
      return !!obs.subscribe;
    };
    ObservableWrapper.hasSubscribers = function(obs) {
      return obs.observers.length > 0;
    };
    ObservableWrapper.dispose = function(subscription) {
      subscription.unsubscribe();
    };
    ObservableWrapper.callNext = function(emitter, value) {
      emitter.emit(value);
    };
    ObservableWrapper.callEmit = function(emitter, value) {
      emitter.emit(value);
    };
    ObservableWrapper.callError = function(emitter, error) {
      emitter.error(error);
    };
    ObservableWrapper.callComplete = function(emitter) {
      emitter.complete();
    };
    ObservableWrapper.fromPromise = function(promise) {
      return PromiseObservable_1.PromiseObservable.create(promise);
    };
    ObservableWrapper.toPromise = function(obj) {
      return toPromise_1.toPromise.call(obj);
    };
    return ObservableWrapper;
  }());
  exports.ObservableWrapper = ObservableWrapper;
  var EventEmitter = (function(_super) {
    __extends(EventEmitter, _super);
    function EventEmitter(isAsync) {
      if (isAsync === void 0) {
        isAsync = false;
      }
      _super.call(this);
      this.__isAsync = isAsync;
    }
    EventEmitter.prototype.emit = function(value) {
      _super.prototype.next.call(this, value);
    };
    EventEmitter.prototype.next = function(value) {
      _super.prototype.next.call(this, value);
    };
    EventEmitter.prototype.subscribe = function(generatorOrNext, error, complete) {
      var schedulerFn;
      var errorFn = function(err) {
        return null;
      };
      var completeFn = function() {
        return null;
      };
      if (generatorOrNext && typeof generatorOrNext === 'object') {
        schedulerFn = this.__isAsync ? function(value) {
          setTimeout(function() {
            return generatorOrNext.next(value);
          });
        } : function(value) {
          generatorOrNext.next(value);
        };
        if (generatorOrNext.error) {
          errorFn = this.__isAsync ? function(err) {
            setTimeout(function() {
              return generatorOrNext.error(err);
            });
          } : function(err) {
            generatorOrNext.error(err);
          };
        }
        if (generatorOrNext.complete) {
          completeFn = this.__isAsync ? function() {
            setTimeout(function() {
              return generatorOrNext.complete();
            });
          } : function() {
            generatorOrNext.complete();
          };
        }
      } else {
        schedulerFn = this.__isAsync ? function(value) {
          setTimeout(function() {
            return generatorOrNext(value);
          });
        } : function(value) {
          generatorOrNext(value);
        };
        if (error) {
          errorFn = this.__isAsync ? function(err) {
            setTimeout(function() {
              return error(err);
            });
          } : function(err) {
            error(err);
          };
        }
        if (complete) {
          completeFn = this.__isAsync ? function() {
            setTimeout(function() {
              return complete();
            });
          } : function() {
            complete();
          };
        }
      }
      return _super.prototype.subscribe.call(this, schedulerFn, errorFn, completeFn);
    };
    return EventEmitter;
  }(Subject_1.Subject));
  exports.EventEmitter = EventEmitter;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/facade/collection.js", ["./lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('./lang');
  exports.Map = lang_1.global.Map;
  exports.Set = lang_1.global.Set;
  var createMapFromPairs = (function() {
    try {
      if (new exports.Map([[1, 2]]).size === 1) {
        return function createMapFromPairs(pairs) {
          return new exports.Map(pairs);
        };
      }
    } catch (e) {}
    return function createMapAndPopulateFromPairs(pairs) {
      var map = new exports.Map();
      for (var i = 0; i < pairs.length; i++) {
        var pair = pairs[i];
        map.set(pair[0], pair[1]);
      }
      return map;
    };
  })();
  var createMapFromMap = (function() {
    try {
      if (new exports.Map(new exports.Map())) {
        return function createMapFromMap(m) {
          return new exports.Map(m);
        };
      }
    } catch (e) {}
    return function createMapAndPopulateFromMap(m) {
      var map = new exports.Map();
      m.forEach(function(v, k) {
        map.set(k, v);
      });
      return map;
    };
  })();
  var _clearValues = (function() {
    if ((new exports.Map()).keys().next) {
      return function _clearValues(m) {
        var keyIterator = m.keys();
        var k;
        while (!((k = keyIterator.next()).done)) {
          m.set(k.value, null);
        }
      };
    } else {
      return function _clearValuesWithForeEach(m) {
        m.forEach(function(v, k) {
          m.set(k, null);
        });
      };
    }
  })();
  var _arrayFromMap = (function() {
    try {
      if ((new exports.Map()).values().next) {
        return function createArrayFromMap(m, getValues) {
          return getValues ? Array.from(m.values()) : Array.from(m.keys());
        };
      }
    } catch (e) {}
    return function createArrayFromMapWithForeach(m, getValues) {
      var res = ListWrapper.createFixedSize(m.size),
          i = 0;
      m.forEach(function(v, k) {
        res[i] = getValues ? v : k;
        i++;
      });
      return res;
    };
  })();
  var MapWrapper = (function() {
    function MapWrapper() {}
    MapWrapper.clone = function(m) {
      return createMapFromMap(m);
    };
    MapWrapper.createFromStringMap = function(stringMap) {
      var result = new exports.Map();
      for (var prop in stringMap) {
        result.set(prop, stringMap[prop]);
      }
      return result;
    };
    MapWrapper.toStringMap = function(m) {
      var r = {};
      m.forEach(function(v, k) {
        return r[k] = v;
      });
      return r;
    };
    MapWrapper.createFromPairs = function(pairs) {
      return createMapFromPairs(pairs);
    };
    MapWrapper.clearValues = function(m) {
      _clearValues(m);
    };
    MapWrapper.iterable = function(m) {
      return m;
    };
    MapWrapper.keys = function(m) {
      return _arrayFromMap(m, false);
    };
    MapWrapper.values = function(m) {
      return _arrayFromMap(m, true);
    };
    return MapWrapper;
  }());
  exports.MapWrapper = MapWrapper;
  var StringMapWrapper = (function() {
    function StringMapWrapper() {}
    StringMapWrapper.create = function() {
      return {};
    };
    StringMapWrapper.contains = function(map, key) {
      return map.hasOwnProperty(key);
    };
    StringMapWrapper.get = function(map, key) {
      return map.hasOwnProperty(key) ? map[key] : undefined;
    };
    StringMapWrapper.set = function(map, key, value) {
      map[key] = value;
    };
    StringMapWrapper.keys = function(map) {
      return Object.keys(map);
    };
    StringMapWrapper.values = function(map) {
      return Object.keys(map).reduce(function(r, a) {
        r.push(map[a]);
        return r;
      }, []);
    };
    StringMapWrapper.isEmpty = function(map) {
      for (var prop in map) {
        return false;
      }
      return true;
    };
    StringMapWrapper.delete = function(map, key) {
      delete map[key];
    };
    StringMapWrapper.forEach = function(map, callback) {
      for (var prop in map) {
        if (map.hasOwnProperty(prop)) {
          callback(map[prop], prop);
        }
      }
    };
    StringMapWrapper.merge = function(m1, m2) {
      var m = {};
      for (var attr in m1) {
        if (m1.hasOwnProperty(attr)) {
          m[attr] = m1[attr];
        }
      }
      for (var attr in m2) {
        if (m2.hasOwnProperty(attr)) {
          m[attr] = m2[attr];
        }
      }
      return m;
    };
    StringMapWrapper.equals = function(m1, m2) {
      var k1 = Object.keys(m1);
      var k2 = Object.keys(m2);
      if (k1.length != k2.length) {
        return false;
      }
      var key;
      for (var i = 0; i < k1.length; i++) {
        key = k1[i];
        if (m1[key] !== m2[key]) {
          return false;
        }
      }
      return true;
    };
    return StringMapWrapper;
  }());
  exports.StringMapWrapper = StringMapWrapper;
  var ListWrapper = (function() {
    function ListWrapper() {}
    ListWrapper.createFixedSize = function(size) {
      return new Array(size);
    };
    ListWrapper.createGrowableSize = function(size) {
      return new Array(size);
    };
    ListWrapper.clone = function(array) {
      return array.slice(0);
    };
    ListWrapper.forEachWithIndex = function(array, fn) {
      for (var i = 0; i < array.length; i++) {
        fn(array[i], i);
      }
    };
    ListWrapper.first = function(array) {
      if (!array)
        return null;
      return array[0];
    };
    ListWrapper.last = function(array) {
      if (!array || array.length == 0)
        return null;
      return array[array.length - 1];
    };
    ListWrapper.indexOf = function(array, value, startIndex) {
      if (startIndex === void 0) {
        startIndex = 0;
      }
      return array.indexOf(value, startIndex);
    };
    ListWrapper.contains = function(list, el) {
      return list.indexOf(el) !== -1;
    };
    ListWrapper.reversed = function(array) {
      var a = ListWrapper.clone(array);
      return a.reverse();
    };
    ListWrapper.concat = function(a, b) {
      return a.concat(b);
    };
    ListWrapper.insert = function(list, index, value) {
      list.splice(index, 0, value);
    };
    ListWrapper.removeAt = function(list, index) {
      var res = list[index];
      list.splice(index, 1);
      return res;
    };
    ListWrapper.removeAll = function(list, items) {
      for (var i = 0; i < items.length; ++i) {
        var index = list.indexOf(items[i]);
        list.splice(index, 1);
      }
    };
    ListWrapper.remove = function(list, el) {
      var index = list.indexOf(el);
      if (index > -1) {
        list.splice(index, 1);
        return true;
      }
      return false;
    };
    ListWrapper.clear = function(list) {
      list.length = 0;
    };
    ListWrapper.isEmpty = function(list) {
      return list.length == 0;
    };
    ListWrapper.fill = function(list, value, start, end) {
      if (start === void 0) {
        start = 0;
      }
      if (end === void 0) {
        end = null;
      }
      list.fill(value, start, end === null ? list.length : end);
    };
    ListWrapper.equals = function(a, b) {
      if (a.length != b.length)
        return false;
      for (var i = 0; i < a.length; ++i) {
        if (a[i] !== b[i])
          return false;
      }
      return true;
    };
    ListWrapper.slice = function(l, from, to) {
      if (from === void 0) {
        from = 0;
      }
      if (to === void 0) {
        to = null;
      }
      return l.slice(from, to === null ? undefined : to);
    };
    ListWrapper.splice = function(l, from, length) {
      return l.splice(from, length);
    };
    ListWrapper.sort = function(l, compareFn) {
      if (lang_1.isPresent(compareFn)) {
        l.sort(compareFn);
      } else {
        l.sort();
      }
    };
    ListWrapper.toString = function(l) {
      return l.toString();
    };
    ListWrapper.toJSON = function(l) {
      return JSON.stringify(l);
    };
    ListWrapper.maximum = function(list, predicate) {
      if (list.length == 0) {
        return null;
      }
      var solution = null;
      var maxValue = -Infinity;
      for (var index = 0; index < list.length; index++) {
        var candidate = list[index];
        if (lang_1.isBlank(candidate)) {
          continue;
        }
        var candidateValue = predicate(candidate);
        if (candidateValue > maxValue) {
          solution = candidate;
          maxValue = candidateValue;
        }
      }
      return solution;
    };
    ListWrapper.flatten = function(list) {
      var target = [];
      _flattenArray(list, target);
      return target;
    };
    ListWrapper.addAll = function(list, source) {
      for (var i = 0; i < source.length; i++) {
        list.push(source[i]);
      }
    };
    return ListWrapper;
  }());
  exports.ListWrapper = ListWrapper;
  function _flattenArray(source, target) {
    if (lang_1.isPresent(source)) {
      for (var i = 0; i < source.length; i++) {
        var item = source[i];
        if (lang_1.isArray(item)) {
          _flattenArray(item, target);
        } else {
          target.push(item);
        }
      }
    }
    return target;
  }
  function isListLikeIterable(obj) {
    if (!lang_1.isJsObject(obj))
      return false;
    return lang_1.isArray(obj) || (!(obj instanceof exports.Map) && lang_1.getSymbolIterator() in obj);
  }
  exports.isListLikeIterable = isListLikeIterable;
  function areIterablesEqual(a, b, comparator) {
    var iterator1 = a[lang_1.getSymbolIterator()]();
    var iterator2 = b[lang_1.getSymbolIterator()]();
    while (true) {
      var item1 = iterator1.next();
      var item2 = iterator2.next();
      if (item1.done && item2.done)
        return true;
      if (item1.done || item2.done)
        return false;
      if (!comparator(item1.value, item2.value))
        return false;
    }
  }
  exports.areIterablesEqual = areIterablesEqual;
  function iterateListLike(obj, fn) {
    if (lang_1.isArray(obj)) {
      for (var i = 0; i < obj.length; i++) {
        fn(obj[i]);
      }
    } else {
      var iterator = obj[lang_1.getSymbolIterator()]();
      var item;
      while (!((item = iterator.next()).done)) {
        fn(item.value);
      }
    }
  }
  exports.iterateListLike = iterateListLike;
  var createSetFromList = (function() {
    var test = new exports.Set([1, 2, 3]);
    if (test.size === 3) {
      return function createSetFromList(lst) {
        return new exports.Set(lst);
      };
    } else {
      return function createSetAndPopulateFromList(lst) {
        var res = new exports.Set(lst);
        if (res.size !== lst.length) {
          for (var i = 0; i < lst.length; i++) {
            res.add(lst[i]);
          }
        }
        return res;
      };
    }
  })();
  var SetWrapper = (function() {
    function SetWrapper() {}
    SetWrapper.createFromList = function(lst) {
      return createSetFromList(lst);
    };
    SetWrapper.has = function(s, key) {
      return s.has(key);
    };
    SetWrapper.delete = function(m, k) {
      m.delete(k);
    };
    return SetWrapper;
  }());
  exports.SetWrapper = SetWrapper;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/facade/lang.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var globalScope;
  if (typeof window === 'undefined') {
    if (typeof WorkerGlobalScope !== 'undefined' && self instanceof WorkerGlobalScope) {
      globalScope = self;
    } else {
      globalScope = global;
    }
  } else {
    globalScope = window;
  }
  function scheduleMicroTask(fn) {
    Zone.current.scheduleMicroTask('scheduleMicrotask', fn);
  }
  exports.scheduleMicroTask = scheduleMicroTask;
  exports.IS_DART = false;
  var _global = globalScope;
  exports.global = _global;
  exports.Type = Function;
  function getTypeNameForDebugging(type) {
    if (type['name']) {
      return type['name'];
    }
    return typeof type;
  }
  exports.getTypeNameForDebugging = getTypeNameForDebugging;
  exports.Math = _global.Math;
  exports.Date = _global.Date;
  _global.assert = function assert(condition) {};
  function isPresent(obj) {
    return obj !== undefined && obj !== null;
  }
  exports.isPresent = isPresent;
  function isBlank(obj) {
    return obj === undefined || obj === null;
  }
  exports.isBlank = isBlank;
  function isBoolean(obj) {
    return typeof obj === 'boolean';
  }
  exports.isBoolean = isBoolean;
  function isNumber(obj) {
    return typeof obj === 'number';
  }
  exports.isNumber = isNumber;
  function isString(obj) {
    return typeof obj === 'string';
  }
  exports.isString = isString;
  function isFunction(obj) {
    return typeof obj === 'function';
  }
  exports.isFunction = isFunction;
  function isType(obj) {
    return isFunction(obj);
  }
  exports.isType = isType;
  function isStringMap(obj) {
    return typeof obj === 'object' && obj !== null;
  }
  exports.isStringMap = isStringMap;
  var STRING_MAP_PROTO = Object.getPrototypeOf({});
  function isStrictStringMap(obj) {
    return isStringMap(obj) && Object.getPrototypeOf(obj) === STRING_MAP_PROTO;
  }
  exports.isStrictStringMap = isStrictStringMap;
  function isPromise(obj) {
    return obj instanceof _global.Promise;
  }
  exports.isPromise = isPromise;
  function isArray(obj) {
    return Array.isArray(obj);
  }
  exports.isArray = isArray;
  function isDate(obj) {
    return obj instanceof exports.Date && !isNaN(obj.valueOf());
  }
  exports.isDate = isDate;
  function noop() {}
  exports.noop = noop;
  function stringify(token) {
    if (typeof token === 'string') {
      return token;
    }
    if (token === undefined || token === null) {
      return '' + token;
    }
    if (token.name) {
      return token.name;
    }
    if (token.overriddenName) {
      return token.overriddenName;
    }
    var res = token.toString();
    var newLineIndex = res.indexOf('\n');
    return (newLineIndex === -1) ? res : res.substring(0, newLineIndex);
  }
  exports.stringify = stringify;
  function serializeEnum(val) {
    return val;
  }
  exports.serializeEnum = serializeEnum;
  function deserializeEnum(val, values) {
    return val;
  }
  exports.deserializeEnum = deserializeEnum;
  function resolveEnumToken(enumValue, val) {
    return enumValue[val];
  }
  exports.resolveEnumToken = resolveEnumToken;
  var StringWrapper = (function() {
    function StringWrapper() {}
    StringWrapper.fromCharCode = function(code) {
      return String.fromCharCode(code);
    };
    StringWrapper.charCodeAt = function(s, index) {
      return s.charCodeAt(index);
    };
    StringWrapper.split = function(s, regExp) {
      return s.split(regExp);
    };
    StringWrapper.equals = function(s, s2) {
      return s === s2;
    };
    StringWrapper.stripLeft = function(s, charVal) {
      if (s && s.length) {
        var pos = 0;
        for (var i = 0; i < s.length; i++) {
          if (s[i] != charVal)
            break;
          pos++;
        }
        s = s.substring(pos);
      }
      return s;
    };
    StringWrapper.stripRight = function(s, charVal) {
      if (s && s.length) {
        var pos = s.length;
        for (var i = s.length - 1; i >= 0; i--) {
          if (s[i] != charVal)
            break;
          pos--;
        }
        s = s.substring(0, pos);
      }
      return s;
    };
    StringWrapper.replace = function(s, from, replace) {
      return s.replace(from, replace);
    };
    StringWrapper.replaceAll = function(s, from, replace) {
      return s.replace(from, replace);
    };
    StringWrapper.slice = function(s, from, to) {
      if (from === void 0) {
        from = 0;
      }
      if (to === void 0) {
        to = null;
      }
      return s.slice(from, to === null ? undefined : to);
    };
    StringWrapper.replaceAllMapped = function(s, from, cb) {
      return s.replace(from, function() {
        var matches = [];
        for (var _i = 0; _i < arguments.length; _i++) {
          matches[_i - 0] = arguments[_i];
        }
        matches.splice(-2, 2);
        return cb(matches);
      });
    };
    StringWrapper.contains = function(s, substr) {
      return s.indexOf(substr) != -1;
    };
    StringWrapper.compare = function(a, b) {
      if (a < b) {
        return -1;
      } else if (a > b) {
        return 1;
      } else {
        return 0;
      }
    };
    return StringWrapper;
  }());
  exports.StringWrapper = StringWrapper;
  var StringJoiner = (function() {
    function StringJoiner(parts) {
      if (parts === void 0) {
        parts = [];
      }
      this.parts = parts;
    }
    StringJoiner.prototype.add = function(part) {
      this.parts.push(part);
    };
    StringJoiner.prototype.toString = function() {
      return this.parts.join('');
    };
    return StringJoiner;
  }());
  exports.StringJoiner = StringJoiner;
  var NumberParseError = (function(_super) {
    __extends(NumberParseError, _super);
    function NumberParseError(message) {
      _super.call(this);
      this.message = message;
    }
    NumberParseError.prototype.toString = function() {
      return this.message;
    };
    return NumberParseError;
  }(Error));
  exports.NumberParseError = NumberParseError;
  var NumberWrapper = (function() {
    function NumberWrapper() {}
    NumberWrapper.toFixed = function(n, fractionDigits) {
      return n.toFixed(fractionDigits);
    };
    NumberWrapper.equal = function(a, b) {
      return a === b;
    };
    NumberWrapper.parseIntAutoRadix = function(text) {
      var result = parseInt(text);
      if (isNaN(result)) {
        throw new NumberParseError('Invalid integer literal when parsing ' + text);
      }
      return result;
    };
    NumberWrapper.parseInt = function(text, radix) {
      if (radix == 10) {
        if (/^(\-|\+)?[0-9]+$/.test(text)) {
          return parseInt(text, radix);
        }
      } else if (radix == 16) {
        if (/^(\-|\+)?[0-9ABCDEFabcdef]+$/.test(text)) {
          return parseInt(text, radix);
        }
      } else {
        var result = parseInt(text, radix);
        if (!isNaN(result)) {
          return result;
        }
      }
      throw new NumberParseError('Invalid integer literal when parsing ' + text + ' in base ' + radix);
    };
    NumberWrapper.parseFloat = function(text) {
      return parseFloat(text);
    };
    Object.defineProperty(NumberWrapper, "NaN", {
      get: function() {
        return NaN;
      },
      enumerable: true,
      configurable: true
    });
    NumberWrapper.isNumeric = function(value) {
      return !isNaN(value - parseFloat(value));
    };
    NumberWrapper.isNaN = function(value) {
      return isNaN(value);
    };
    NumberWrapper.isInteger = function(value) {
      return Number.isInteger(value);
    };
    return NumberWrapper;
  }());
  exports.NumberWrapper = NumberWrapper;
  exports.RegExp = _global.RegExp;
  var RegExpWrapper = (function() {
    function RegExpWrapper() {}
    RegExpWrapper.create = function(regExpStr, flags) {
      if (flags === void 0) {
        flags = '';
      }
      flags = flags.replace(/g/g, '');
      return new _global.RegExp(regExpStr, flags + 'g');
    };
    RegExpWrapper.firstMatch = function(regExp, input) {
      regExp.lastIndex = 0;
      return regExp.exec(input);
    };
    RegExpWrapper.test = function(regExp, input) {
      regExp.lastIndex = 0;
      return regExp.test(input);
    };
    RegExpWrapper.matcher = function(regExp, input) {
      regExp.lastIndex = 0;
      return {
        re: regExp,
        input: input
      };
    };
    RegExpWrapper.replaceAll = function(regExp, input, replace) {
      var c = regExp.exec(input);
      var res = '';
      regExp.lastIndex = 0;
      var prev = 0;
      while (c) {
        res += input.substring(prev, c.index);
        res += replace(c);
        prev = c.index + c[0].length;
        regExp.lastIndex = prev;
        c = regExp.exec(input);
      }
      res += input.substring(prev);
      return res;
    };
    return RegExpWrapper;
  }());
  exports.RegExpWrapper = RegExpWrapper;
  var RegExpMatcherWrapper = (function() {
    function RegExpMatcherWrapper() {}
    RegExpMatcherWrapper.next = function(matcher) {
      return matcher.re.exec(matcher.input);
    };
    return RegExpMatcherWrapper;
  }());
  exports.RegExpMatcherWrapper = RegExpMatcherWrapper;
  var FunctionWrapper = (function() {
    function FunctionWrapper() {}
    FunctionWrapper.apply = function(fn, posArgs) {
      return fn.apply(null, posArgs);
    };
    FunctionWrapper.bind = function(fn, scope) {
      return fn.bind(scope);
    };
    return FunctionWrapper;
  }());
  exports.FunctionWrapper = FunctionWrapper;
  function looseIdentical(a, b) {
    return a === b || typeof a === 'number' && typeof b === 'number' && isNaN(a) && isNaN(b);
  }
  exports.looseIdentical = looseIdentical;
  function getMapKey(value) {
    return value;
  }
  exports.getMapKey = getMapKey;
  function normalizeBlank(obj) {
    return isBlank(obj) ? null : obj;
  }
  exports.normalizeBlank = normalizeBlank;
  function normalizeBool(obj) {
    return isBlank(obj) ? false : obj;
  }
  exports.normalizeBool = normalizeBool;
  function isJsObject(o) {
    return o !== null && (typeof o === 'function' || typeof o === 'object');
  }
  exports.isJsObject = isJsObject;
  function print(obj) {
    console.log(obj);
  }
  exports.print = print;
  function warn(obj) {
    console.warn(obj);
  }
  exports.warn = warn;
  var Json = (function() {
    function Json() {}
    Json.parse = function(s) {
      return _global.JSON.parse(s);
    };
    Json.stringify = function(data) {
      return _global.JSON.stringify(data, null, 2);
    };
    return Json;
  }());
  exports.Json = Json;
  var DateWrapper = (function() {
    function DateWrapper() {}
    DateWrapper.create = function(year, month, day, hour, minutes, seconds, milliseconds) {
      if (month === void 0) {
        month = 1;
      }
      if (day === void 0) {
        day = 1;
      }
      if (hour === void 0) {
        hour = 0;
      }
      if (minutes === void 0) {
        minutes = 0;
      }
      if (seconds === void 0) {
        seconds = 0;
      }
      if (milliseconds === void 0) {
        milliseconds = 0;
      }
      return new exports.Date(year, month - 1, day, hour, minutes, seconds, milliseconds);
    };
    DateWrapper.fromISOString = function(str) {
      return new exports.Date(str);
    };
    DateWrapper.fromMillis = function(ms) {
      return new exports.Date(ms);
    };
    DateWrapper.toMillis = function(date) {
      return date.getTime();
    };
    DateWrapper.now = function() {
      return new exports.Date();
    };
    DateWrapper.toJson = function(date) {
      return date.toJSON();
    };
    return DateWrapper;
  }());
  exports.DateWrapper = DateWrapper;
  function setValueOnPath(global, path, value) {
    var parts = path.split('.');
    var obj = global;
    while (parts.length > 1) {
      var name = parts.shift();
      if (obj.hasOwnProperty(name) && isPresent(obj[name])) {
        obj = obj[name];
      } else {
        obj = obj[name] = {};
      }
    }
    if (obj === undefined || obj === null) {
      obj = {};
    }
    obj[parts.shift()] = value;
  }
  exports.setValueOnPath = setValueOnPath;
  var _symbolIterator = null;
  function getSymbolIterator() {
    if (isBlank(_symbolIterator)) {
      if (isPresent(globalScope.Symbol) && isPresent(Symbol.iterator)) {
        _symbolIterator = Symbol.iterator;
      } else {
        var keys = Object.getOwnPropertyNames(Map.prototype);
        for (var i = 0; i < keys.length; ++i) {
          var key = keys[i];
          if (key !== 'entries' && key !== 'size' && Map.prototype[key] === Map.prototype['entries']) {
            _symbolIterator = key;
          }
        }
      }
    }
    return _symbolIterator;
  }
  exports.getSymbolIterator = getSymbolIterator;
  function evalExpression(sourceUrl, expr, declarations, vars) {
    var fnBody = declarations + "\nreturn " + expr + "\n//# sourceURL=" + sourceUrl;
    var fnArgNames = [];
    var fnArgValues = [];
    for (var argName in vars) {
      fnArgNames.push(argName);
      fnArgValues.push(vars[argName]);
    }
    return new (Function.bind.apply(Function, [void 0].concat(fnArgNames.concat(fnBody))))().apply(void 0, fnArgValues);
  }
  exports.evalExpression = evalExpression;
  function isPrimitive(obj) {
    return !isJsObject(obj);
  }
  exports.isPrimitive = isPrimitive;
  function hasConstructor(value, type) {
    return value.constructor === type;
  }
  exports.hasConstructor = hasConstructor;
  function escape(s) {
    return _global.encodeURI(s);
  }
  exports.escape = escape;
  function escapeRegExp(s) {
    return s.replace(/([.*+?^=!:${}()|[\]\/\\])/g, '\\$1');
  }
  exports.escapeRegExp = escapeRegExp;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/model.js", ["./directives/shared", "./facade/async", "./facade/collection", "./facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var shared_1 = $__require('./directives/shared');
  var async_1 = $__require('./facade/async');
  var collection_1 = $__require('./facade/collection');
  var lang_1 = $__require('./facade/lang');
  exports.VALID = 'VALID';
  exports.INVALID = 'INVALID';
  exports.PENDING = 'PENDING';
  function isControl(control) {
    return control instanceof AbstractControl;
  }
  exports.isControl = isControl;
  function _find(control, path) {
    if (lang_1.isBlank(path))
      return null;
    if (!(path instanceof Array)) {
      path = path.split('/');
    }
    if (path instanceof Array && collection_1.ListWrapper.isEmpty(path))
      return null;
    return path.reduce(function(v, name) {
      if (v instanceof FormGroup) {
        return lang_1.isPresent(v.controls[name]) ? v.controls[name] : null;
      } else if (v instanceof FormArray) {
        var index = name;
        return lang_1.isPresent(v.at(index)) ? v.at(index) : null;
      } else {
        return null;
      }
    }, control);
  }
  function toObservable(r) {
    return lang_1.isPromise(r) ? async_1.ObservableWrapper.fromPromise(r) : r;
  }
  function coerceToValidator(validator) {
    return Array.isArray(validator) ? shared_1.composeValidators(validator) : validator;
  }
  function coerceToAsyncValidator(asyncValidator) {
    return Array.isArray(asyncValidator) ? shared_1.composeAsyncValidators(asyncValidator) : asyncValidator;
  }
  var AbstractControl = (function() {
    function AbstractControl(validator, asyncValidator) {
      this.validator = validator;
      this.asyncValidator = asyncValidator;
      this._pristine = true;
      this._touched = false;
    }
    Object.defineProperty(AbstractControl.prototype, "value", {
      get: function() {
        return this._value;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControl.prototype, "status", {
      get: function() {
        return this._status;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControl.prototype, "valid", {
      get: function() {
        return this._status === exports.VALID;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControl.prototype, "errors", {
      get: function() {
        return this._errors;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControl.prototype, "pristine", {
      get: function() {
        return this._pristine;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControl.prototype, "dirty", {
      get: function() {
        return !this.pristine;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControl.prototype, "touched", {
      get: function() {
        return this._touched;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControl.prototype, "untouched", {
      get: function() {
        return !this._touched;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControl.prototype, "valueChanges", {
      get: function() {
        return this._valueChanges;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControl.prototype, "statusChanges", {
      get: function() {
        return this._statusChanges;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControl.prototype, "pending", {
      get: function() {
        return this._status == exports.PENDING;
      },
      enumerable: true,
      configurable: true
    });
    AbstractControl.prototype.setAsyncValidators = function(newValidator) {
      this.asyncValidator = coerceToAsyncValidator(newValidator);
    };
    AbstractControl.prototype.clearAsyncValidators = function() {
      this.asyncValidator = null;
    };
    AbstractControl.prototype.setValidators = function(newValidator) {
      this.validator = coerceToValidator(newValidator);
    };
    AbstractControl.prototype.clearValidators = function() {
      this.validator = null;
    };
    AbstractControl.prototype.markAsTouched = function() {
      this._touched = true;
    };
    AbstractControl.prototype.markAsDirty = function(_a) {
      var onlySelf = (_a === void 0 ? {} : _a).onlySelf;
      onlySelf = lang_1.normalizeBool(onlySelf);
      this._pristine = false;
      if (lang_1.isPresent(this._parent) && !onlySelf) {
        this._parent.markAsDirty({onlySelf: onlySelf});
      }
    };
    AbstractControl.prototype.markAsPending = function(_a) {
      var onlySelf = (_a === void 0 ? {} : _a).onlySelf;
      onlySelf = lang_1.normalizeBool(onlySelf);
      this._status = exports.PENDING;
      if (lang_1.isPresent(this._parent) && !onlySelf) {
        this._parent.markAsPending({onlySelf: onlySelf});
      }
    };
    AbstractControl.prototype.setParent = function(parent) {
      this._parent = parent;
    };
    AbstractControl.prototype.updateValueAndValidity = function(_a) {
      var _b = _a === void 0 ? {} : _a,
          onlySelf = _b.onlySelf,
          emitEvent = _b.emitEvent;
      onlySelf = lang_1.normalizeBool(onlySelf);
      emitEvent = lang_1.isPresent(emitEvent) ? emitEvent : true;
      this._updateValue();
      this._errors = this._runValidator();
      this._status = this._calculateStatus();
      if (this._status == exports.VALID || this._status == exports.PENDING) {
        this._runAsyncValidator(emitEvent);
      }
      if (emitEvent) {
        async_1.ObservableWrapper.callEmit(this._valueChanges, this._value);
        async_1.ObservableWrapper.callEmit(this._statusChanges, this._status);
      }
      if (lang_1.isPresent(this._parent) && !onlySelf) {
        this._parent.updateValueAndValidity({
          onlySelf: onlySelf,
          emitEvent: emitEvent
        });
      }
    };
    AbstractControl.prototype._runValidator = function() {
      return lang_1.isPresent(this.validator) ? this.validator(this) : null;
    };
    AbstractControl.prototype._runAsyncValidator = function(emitEvent) {
      var _this = this;
      if (lang_1.isPresent(this.asyncValidator)) {
        this._status = exports.PENDING;
        this._cancelExistingSubscription();
        var obs = toObservable(this.asyncValidator(this));
        this._asyncValidationSubscription = async_1.ObservableWrapper.subscribe(obs, function(res) {
          return _this.setErrors(res, {emitEvent: emitEvent});
        });
      }
    };
    AbstractControl.prototype._cancelExistingSubscription = function() {
      if (lang_1.isPresent(this._asyncValidationSubscription)) {
        async_1.ObservableWrapper.dispose(this._asyncValidationSubscription);
      }
    };
    AbstractControl.prototype.setErrors = function(errors, _a) {
      var emitEvent = (_a === void 0 ? {} : _a).emitEvent;
      emitEvent = lang_1.isPresent(emitEvent) ? emitEvent : true;
      this._errors = errors;
      this._updateControlsErrors(emitEvent);
    };
    AbstractControl.prototype.find = function(path) {
      return _find(this, path);
    };
    AbstractControl.prototype.getError = function(errorCode, path) {
      if (path === void 0) {
        path = null;
      }
      var control = lang_1.isPresent(path) && !collection_1.ListWrapper.isEmpty(path) ? this.find(path) : this;
      if (lang_1.isPresent(control) && lang_1.isPresent(control._errors)) {
        return collection_1.StringMapWrapper.get(control._errors, errorCode);
      } else {
        return null;
      }
    };
    AbstractControl.prototype.hasError = function(errorCode, path) {
      if (path === void 0) {
        path = null;
      }
      return lang_1.isPresent(this.getError(errorCode, path));
    };
    Object.defineProperty(AbstractControl.prototype, "root", {
      get: function() {
        var x = this;
        while (lang_1.isPresent(x._parent)) {
          x = x._parent;
        }
        return x;
      },
      enumerable: true,
      configurable: true
    });
    AbstractControl.prototype._updateControlsErrors = function(emitEvent) {
      this._status = this._calculateStatus();
      if (emitEvent) {
        async_1.ObservableWrapper.callEmit(this._statusChanges, this._status);
      }
      if (lang_1.isPresent(this._parent)) {
        this._parent._updateControlsErrors(emitEvent);
      }
    };
    AbstractControl.prototype._initObservables = function() {
      this._valueChanges = new async_1.EventEmitter();
      this._statusChanges = new async_1.EventEmitter();
    };
    AbstractControl.prototype._calculateStatus = function() {
      if (lang_1.isPresent(this._errors))
        return exports.INVALID;
      if (this._anyControlsHaveStatus(exports.PENDING))
        return exports.PENDING;
      if (this._anyControlsHaveStatus(exports.INVALID))
        return exports.INVALID;
      return exports.VALID;
    };
    return AbstractControl;
  }());
  exports.AbstractControl = AbstractControl;
  var FormControl = (function(_super) {
    __extends(FormControl, _super);
    function FormControl(value, validator, asyncValidator) {
      if (value === void 0) {
        value = null;
      }
      if (validator === void 0) {
        validator = null;
      }
      if (asyncValidator === void 0) {
        asyncValidator = null;
      }
      _super.call(this, coerceToValidator(validator), coerceToAsyncValidator(asyncValidator));
      this._onChange = [];
      this._value = value;
      this.updateValueAndValidity({
        onlySelf: true,
        emitEvent: false
      });
      this._initObservables();
    }
    FormControl.prototype.updateValue = function(value, _a) {
      var _this = this;
      var _b = _a === void 0 ? {} : _a,
          onlySelf = _b.onlySelf,
          emitEvent = _b.emitEvent,
          emitModelToViewChange = _b.emitModelToViewChange;
      emitModelToViewChange = lang_1.isPresent(emitModelToViewChange) ? emitModelToViewChange : true;
      this._value = value;
      if (this._onChange.length && emitModelToViewChange) {
        this._onChange.forEach(function(changeFn) {
          return changeFn(_this._value);
        });
      }
      this.updateValueAndValidity({
        onlySelf: onlySelf,
        emitEvent: emitEvent
      });
    };
    FormControl.prototype._updateValue = function() {};
    FormControl.prototype._anyControlsHaveStatus = function(status) {
      return false;
    };
    FormControl.prototype.registerOnChange = function(fn) {
      this._onChange.push(fn);
    };
    return FormControl;
  }(AbstractControl));
  exports.FormControl = FormControl;
  var FormGroup = (function(_super) {
    __extends(FormGroup, _super);
    function FormGroup(controls, optionals, validator, asyncValidator) {
      if (optionals === void 0) {
        optionals = null;
      }
      if (validator === void 0) {
        validator = null;
      }
      if (asyncValidator === void 0) {
        asyncValidator = null;
      }
      _super.call(this, validator, asyncValidator);
      this.controls = controls;
      this._optionals = lang_1.isPresent(optionals) ? optionals : {};
      this._initObservables();
      this._setParentForControls();
      this.updateValueAndValidity({
        onlySelf: true,
        emitEvent: false
      });
    }
    FormGroup.prototype.registerControl = function(name, control) {
      if (this.controls[name])
        return this.controls[name];
      this.controls[name] = control;
      control.setParent(this);
      return control;
    };
    FormGroup.prototype.addControl = function(name, control) {
      this.registerControl(name, control);
      this.updateValueAndValidity();
    };
    FormGroup.prototype.removeControl = function(name) {
      collection_1.StringMapWrapper.delete(this.controls, name);
      this.updateValueAndValidity();
    };
    FormGroup.prototype.include = function(controlName) {
      collection_1.StringMapWrapper.set(this._optionals, controlName, true);
      this.updateValueAndValidity();
    };
    FormGroup.prototype.exclude = function(controlName) {
      collection_1.StringMapWrapper.set(this._optionals, controlName, false);
      this.updateValueAndValidity();
    };
    FormGroup.prototype.contains = function(controlName) {
      var c = collection_1.StringMapWrapper.contains(this.controls, controlName);
      return c && this._included(controlName);
    };
    FormGroup.prototype._setParentForControls = function() {
      var _this = this;
      collection_1.StringMapWrapper.forEach(this.controls, function(control, name) {
        control.setParent(_this);
      });
    };
    FormGroup.prototype._updateValue = function() {
      this._value = this._reduceValue();
    };
    FormGroup.prototype._anyControlsHaveStatus = function(status) {
      var _this = this;
      var res = false;
      collection_1.StringMapWrapper.forEach(this.controls, function(control, name) {
        res = res || (_this.contains(name) && control.status == status);
      });
      return res;
    };
    FormGroup.prototype._reduceValue = function() {
      return this._reduceChildren({}, function(acc, control, name) {
        acc[name] = control.value;
        return acc;
      });
    };
    FormGroup.prototype._reduceChildren = function(initValue, fn) {
      var _this = this;
      var res = initValue;
      collection_1.StringMapWrapper.forEach(this.controls, function(control, name) {
        if (_this._included(name)) {
          res = fn(res, control, name);
        }
      });
      return res;
    };
    FormGroup.prototype._included = function(controlName) {
      var isOptional = collection_1.StringMapWrapper.contains(this._optionals, controlName);
      return !isOptional || collection_1.StringMapWrapper.get(this._optionals, controlName);
    };
    return FormGroup;
  }(AbstractControl));
  exports.FormGroup = FormGroup;
  var FormArray = (function(_super) {
    __extends(FormArray, _super);
    function FormArray(controls, validator, asyncValidator) {
      if (validator === void 0) {
        validator = null;
      }
      if (asyncValidator === void 0) {
        asyncValidator = null;
      }
      _super.call(this, validator, asyncValidator);
      this.controls = controls;
      this._initObservables();
      this._setParentForControls();
      this.updateValueAndValidity({
        onlySelf: true,
        emitEvent: false
      });
    }
    FormArray.prototype.at = function(index) {
      return this.controls[index];
    };
    FormArray.prototype.push = function(control) {
      this.controls.push(control);
      control.setParent(this);
      this.updateValueAndValidity();
    };
    FormArray.prototype.insert = function(index, control) {
      collection_1.ListWrapper.insert(this.controls, index, control);
      control.setParent(this);
      this.updateValueAndValidity();
    };
    FormArray.prototype.removeAt = function(index) {
      collection_1.ListWrapper.removeAt(this.controls, index);
      this.updateValueAndValidity();
    };
    Object.defineProperty(FormArray.prototype, "length", {
      get: function() {
        return this.controls.length;
      },
      enumerable: true,
      configurable: true
    });
    FormArray.prototype._updateValue = function() {
      this._value = this.controls.map(function(control) {
        return control.value;
      });
    };
    FormArray.prototype._anyControlsHaveStatus = function(status) {
      return this.controls.some(function(c) {
        return c.status == status;
      });
    };
    FormArray.prototype._setParentForControls = function() {
      var _this = this;
      this.controls.forEach(function(control) {
        control.setParent(_this);
      });
    };
    return FormArray;
  }(AbstractControl));
  exports.FormArray = FormArray;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/form_builder.js", ["@angular/core", "./facade/collection", "./facade/lang", "./model"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var collection_1 = $__require('./facade/collection');
  var lang_1 = $__require('./facade/lang');
  var model_1 = $__require('./model');
  var FormBuilder = (function() {
    function FormBuilder() {}
    FormBuilder.prototype.group = function(controlsConfig, extra) {
      if (extra === void 0) {
        extra = null;
      }
      var controls = this._reduceControls(controlsConfig);
      var optionals = (lang_1.isPresent(extra) ? collection_1.StringMapWrapper.get(extra, 'optionals') : null);
      var validator = lang_1.isPresent(extra) ? collection_1.StringMapWrapper.get(extra, 'validator') : null;
      var asyncValidator = lang_1.isPresent(extra) ? collection_1.StringMapWrapper.get(extra, 'asyncValidator') : null;
      return new model_1.FormGroup(controls, optionals, validator, asyncValidator);
    };
    FormBuilder.prototype.control = function(value, validator, asyncValidator) {
      if (validator === void 0) {
        validator = null;
      }
      if (asyncValidator === void 0) {
        asyncValidator = null;
      }
      return new model_1.FormControl(value, validator, asyncValidator);
    };
    FormBuilder.prototype.array = function(controlsConfig, validator, asyncValidator) {
      var _this = this;
      if (validator === void 0) {
        validator = null;
      }
      if (asyncValidator === void 0) {
        asyncValidator = null;
      }
      var controls = controlsConfig.map(function(c) {
        return _this._createControl(c);
      });
      return new model_1.FormArray(controls, validator, asyncValidator);
    };
    FormBuilder.prototype._reduceControls = function(controlsConfig) {
      var _this = this;
      var controls = {};
      collection_1.StringMapWrapper.forEach(controlsConfig, function(controlConfig, controlName) {
        controls[controlName] = _this._createControl(controlConfig);
      });
      return controls;
    };
    FormBuilder.prototype._createControl = function(controlConfig) {
      if (controlConfig instanceof model_1.FormControl || controlConfig instanceof model_1.FormGroup || controlConfig instanceof model_1.FormArray) {
        return controlConfig;
      } else if (lang_1.isArray(controlConfig)) {
        var value = controlConfig[0];
        var validator = controlConfig.length > 1 ? controlConfig[1] : null;
        var asyncValidator = controlConfig.length > 2 ? controlConfig[2] : null;
        return this.control(value, validator, asyncValidator);
      } else {
        return this.control(controlConfig);
      }
    };
    FormBuilder.decorators = [{type: core_1.Injectable}];
    return FormBuilder;
  }());
  exports.FormBuilder = FormBuilder;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/form_providers.js", ["@angular/common", "@angular/compiler", "@angular/core", "./directives", "./directives/radio_control_value_accessor", "./facade/collection", "./form_builder"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var common_1 = $__require('@angular/common');
  var compiler_1 = $__require('@angular/compiler');
  var core_1 = $__require('@angular/core');
  var directives_1 = $__require('./directives');
  var radio_control_value_accessor_1 = $__require('./directives/radio_control_value_accessor');
  var collection_1 = $__require('./facade/collection');
  var form_builder_1 = $__require('./form_builder');
  exports.FORM_PROVIDERS = [form_builder_1.FormBuilder, radio_control_value_accessor_1.RadioControlRegistry];
  function flatten(platformDirectives) {
    var flattenedDirectives = [];
    platformDirectives.forEach(function(directives) {
      if (Array.isArray(directives)) {
        flattenedDirectives = flattenedDirectives.concat(directives);
      } else {
        flattenedDirectives.push(directives);
      }
    });
    return flattenedDirectives;
  }
  function disableDeprecatedForms() {
    return [{
      provide: compiler_1.CompilerConfig,
      useFactory: function(platformDirectives, platformPipes) {
        var flattenedDirectives = flatten(platformDirectives);
        collection_1.ListWrapper.remove(flattenedDirectives, common_1.FORM_DIRECTIVES);
        return new compiler_1.CompilerConfig({
          platformDirectives: flattenedDirectives,
          platformPipes: platformPipes
        });
      },
      deps: [core_1.PLATFORM_DIRECTIVES, core_1.PLATFORM_PIPES]
    }];
  }
  exports.disableDeprecatedForms = disableDeprecatedForms;
  function provideForms() {
    return [{
      provide: core_1.PLATFORM_DIRECTIVES,
      useValue: directives_1.FORM_DIRECTIVES,
      multi: true
    }, exports.FORM_PROVIDERS];
  }
  exports.provideForms = provideForms;
  return module.exports;
});

System.registerDynamic("@angular/forms/src/forms.js", ["./directives", "./directives/abstract_control_directive", "./directives/checkbox_value_accessor", "./directives/control_container", "./directives/control_value_accessor", "./directives/default_value_accessor", "./directives/ng_control", "./directives/ng_control_status", "./directives/ng_form", "./directives/ng_model", "./directives/ng_model_group", "./directives/reactive_directives/form_array_name", "./directives/reactive_directives/form_control_directive", "./directives/reactive_directives/form_control_name", "./directives/reactive_directives/form_group_directive", "./directives/reactive_directives/form_group_name", "./directives/select_control_value_accessor", "./directives/validators", "./form_builder", "./model", "./validators", "./form_providers"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  function __export(m) {
    for (var p in m)
      if (!exports.hasOwnProperty(p))
        exports[p] = m[p];
  }
  var directives_1 = $__require('./directives');
  exports.FORM_DIRECTIVES = directives_1.FORM_DIRECTIVES;
  exports.REACTIVE_FORM_DIRECTIVES = directives_1.REACTIVE_FORM_DIRECTIVES;
  var abstract_control_directive_1 = $__require('./directives/abstract_control_directive');
  exports.AbstractControlDirective = abstract_control_directive_1.AbstractControlDirective;
  var checkbox_value_accessor_1 = $__require('./directives/checkbox_value_accessor');
  exports.CheckboxControlValueAccessor = checkbox_value_accessor_1.CheckboxControlValueAccessor;
  var control_container_1 = $__require('./directives/control_container');
  exports.ControlContainer = control_container_1.ControlContainer;
  var control_value_accessor_1 = $__require('./directives/control_value_accessor');
  exports.NG_VALUE_ACCESSOR = control_value_accessor_1.NG_VALUE_ACCESSOR;
  var default_value_accessor_1 = $__require('./directives/default_value_accessor');
  exports.DefaultValueAccessor = default_value_accessor_1.DefaultValueAccessor;
  var ng_control_1 = $__require('./directives/ng_control');
  exports.NgControl = ng_control_1.NgControl;
  var ng_control_status_1 = $__require('./directives/ng_control_status');
  exports.NgControlStatus = ng_control_status_1.NgControlStatus;
  var ng_form_1 = $__require('./directives/ng_form');
  exports.NgForm = ng_form_1.NgForm;
  var ng_model_1 = $__require('./directives/ng_model');
  exports.NgModel = ng_model_1.NgModel;
  var ng_model_group_1 = $__require('./directives/ng_model_group');
  exports.NgModelGroup = ng_model_group_1.NgModelGroup;
  var form_array_name_1 = $__require('./directives/reactive_directives/form_array_name');
  exports.FormArrayName = form_array_name_1.FormArrayName;
  var form_control_directive_1 = $__require('./directives/reactive_directives/form_control_directive');
  exports.FormControlDirective = form_control_directive_1.FormControlDirective;
  var form_control_name_1 = $__require('./directives/reactive_directives/form_control_name');
  exports.FormControlName = form_control_name_1.FormControlName;
  var form_group_directive_1 = $__require('./directives/reactive_directives/form_group_directive');
  exports.FormGroupDirective = form_group_directive_1.FormGroupDirective;
  var form_group_name_1 = $__require('./directives/reactive_directives/form_group_name');
  exports.FormGroupName = form_group_name_1.FormGroupName;
  var select_control_value_accessor_1 = $__require('./directives/select_control_value_accessor');
  exports.NgSelectOption = select_control_value_accessor_1.NgSelectOption;
  exports.SelectControlValueAccessor = select_control_value_accessor_1.SelectControlValueAccessor;
  var validators_1 = $__require('./directives/validators');
  exports.MaxLengthValidator = validators_1.MaxLengthValidator;
  exports.MinLengthValidator = validators_1.MinLengthValidator;
  exports.PatternValidator = validators_1.PatternValidator;
  exports.RequiredValidator = validators_1.RequiredValidator;
  var form_builder_1 = $__require('./form_builder');
  exports.FormBuilder = form_builder_1.FormBuilder;
  var model_1 = $__require('./model');
  exports.AbstractControl = model_1.AbstractControl;
  exports.FormArray = model_1.FormArray;
  exports.FormControl = model_1.FormControl;
  exports.FormGroup = model_1.FormGroup;
  var validators_2 = $__require('./validators');
  exports.NG_ASYNC_VALIDATORS = validators_2.NG_ASYNC_VALIDATORS;
  exports.NG_VALIDATORS = validators_2.NG_VALIDATORS;
  exports.Validators = validators_2.Validators;
  __export($__require('./form_providers'));
  return module.exports;
});

System.registerDynamic("@angular/forms", ["./src/forms"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  function __export(m) {
    for (var p in m)
      if (!exports.hasOwnProperty(p))
        exports[p] = m[p];
  }
  __export($__require('./src/forms'));
  return module.exports;
});

System.registerDynamic("ionic-angular/util/debouncer.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var Debouncer = (function() {
    function Debouncer(wait) {
      this.wait = wait;
      this.timer = null;
    }
    Debouncer.prototype.debounce = function(callback) {
      this.callback = callback;
      this.schedule();
    };
    Debouncer.prototype.schedule = function() {
      if (this.timer) {
        clearTimeout(this.timer);
        this.timer = null;
      }
      if (this.wait <= 0) {
        this.callback();
      } else {
        this.timer = setTimeout(this.callback, this.wait);
      }
    };
    return Debouncer;
  }());
  exports.Debouncer = Debouncer;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/searchbar/searchbar.js", ["@angular/core", "@angular/forms", "../../config/config", "../icon/icon", "../../util/util", "../../util/debouncer"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var forms_1 = $__require('@angular/forms');
  var config_1 = $__require('../../config/config');
  var icon_1 = $__require('../icon/icon');
  var util_1 = $__require('../../util/util');
  var debouncer_1 = $__require('../../util/debouncer');
  var Searchbar = (function() {
    function Searchbar(_elementRef, _config, ngControl) {
      this._elementRef = _elementRef;
      this._config = _config;
      this._value = '';
      this._shouldBlur = true;
      this._isActive = false;
      this._debouncer = new debouncer_1.Debouncer(250);
      this.cancelButtonText = 'Cancel';
      this.showCancelButton = false;
      this.placeholder = 'Search';
      this.type = 'search';
      this.ionInput = new core_1.EventEmitter();
      this.ionBlur = new core_1.EventEmitter();
      this.ionFocus = new core_1.EventEmitter();
      this.ionCancel = new core_1.EventEmitter();
      this.ionClear = new core_1.EventEmitter();
      this.onChange = function(_) {};
      this.onTouched = function() {};
      if (ngControl) {
        ngControl.valueAccessor = this;
      }
    }
    Object.defineProperty(Searchbar.prototype, "debounce", {
      get: function() {
        return this._debouncer.wait;
      },
      set: function(val) {
        this._debouncer.wait = val;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Searchbar.prototype, "searchbarInput", {
      set: function(searchbarInput) {
        this._searchbarInput = searchbarInput;
        var inputEle = searchbarInput.nativeElement;
        var autoComplete = (this.autocomplete === '' || this.autocomplete === 'on') ? 'on' : this._config.get('autocomplete', 'off');
        inputEle.setAttribute('autocomplete', autoComplete);
        var autoCorrect = (this.autocorrect === '' || this.autocorrect === 'on') ? 'on' : this._config.get('autocorrect', 'off');
        inputEle.setAttribute('autocorrect', autoCorrect);
        var spellCheck = (this.spellcheck === '' || this.spellcheck === 'true' || this.spellcheck === true) ? true : this._config.getBoolean('spellcheck', false);
        inputEle.setAttribute('spellcheck', spellCheck);
        inputEle.setAttribute('type', this.type);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Searchbar.prototype, "value", {
      get: function() {
        return this._value;
      },
      set: function(val) {
        this._value = val;
      },
      enumerable: true,
      configurable: true
    });
    Searchbar.prototype.ngOnInit = function() {
      var showCancelButton = this.showCancelButton;
      if (typeof showCancelButton === 'string') {
        this.showCancelButton = (showCancelButton === '' || showCancelButton === 'true');
      }
    };
    Searchbar.prototype.ngAfterViewInit = function() {
      this.positionElements();
    };
    Searchbar.prototype.positionElements = function() {
      if (this._config.get('mode') !== 'ios')
        return;
      if (this._searchbarInput && this._searchbarIcon) {
        this.positionInputPlaceholder(this._searchbarInput.nativeElement, this._searchbarIcon.nativeElement);
      }
      if (this._cancelButton && this._cancelButton.nativeElement) {
        this.positionCancelButton(this._cancelButton.nativeElement);
      }
    };
    Searchbar.prototype.positionInputPlaceholder = function(inputEle, iconEle) {
      if (this.shouldAlignLeft()) {
        inputEle.removeAttribute('style');
        iconEle.removeAttribute('style');
      } else {
        var tempSpan = document.createElement('span');
        tempSpan.innerHTML = this.placeholder;
        document.body.appendChild(tempSpan);
        var textWidth = tempSpan.offsetWidth;
        tempSpan.remove();
        var inputLeft = 'calc(50% - ' + (textWidth / 2) + 'px)';
        inputEle.style.paddingLeft = inputLeft;
        var iconLeft = 'calc(50% - ' + ((textWidth / 2) + 30) + 'px)';
        iconEle.style.marginLeft = iconLeft;
      }
    };
    Searchbar.prototype.positionCancelButton = function(cancelButtonEle) {
      if (cancelButtonEle.offsetWidth > 0) {
        if (this._sbHasFocus) {
          cancelButtonEle.style.marginRight = '0';
        } else {
          cancelButtonEle.style.marginRight = -cancelButtonEle.offsetWidth + 'px';
        }
      }
    };
    Searchbar.prototype.shouldAlignLeft = function() {
      return ((this._value && this._value.toString().trim() !== '') || this._sbHasFocus === true);
    };
    Searchbar.prototype.inputChanged = function(ev) {
      var _this = this;
      var value = ev.target.value;
      this._debouncer.debounce(function() {
        _this._value = value;
        _this.onChange(_this._value);
        _this.ionInput.emit(ev);
      });
    };
    Searchbar.prototype.inputFocused = function(ev) {
      this.ionFocus.emit(ev);
      this._sbHasFocus = true;
      this._isActive = true;
      this.positionElements();
    };
    Searchbar.prototype.inputBlurred = function(ev) {
      if (this._shouldBlur === false) {
        this._searchbarInput.nativeElement.focus();
        this._shouldBlur = true;
        return;
      }
      this.ionBlur.emit(ev);
      this._sbHasFocus = false;
      this.positionElements();
    };
    Searchbar.prototype.clearInput = function(ev) {
      this.ionClear.emit(ev);
      if (util_1.isPresent(this._value) && this._value !== '') {
        this._value = '';
        this.onChange(this._value);
        this.ionInput.emit(ev);
      }
      this._shouldBlur = false;
    };
    Searchbar.prototype.cancelSearchbar = function(ev) {
      this.ionCancel.emit(ev);
      this.clearInput(ev);
      this._shouldBlur = true;
      this._isActive = false;
    };
    Searchbar.prototype.writeValue = function(val) {
      this._value = val;
      this.positionElements();
    };
    Searchbar.prototype.registerOnChange = function(fn) {
      this.onChange = fn;
    };
    Searchbar.prototype.registerOnTouched = function(fn) {
      this.onTouched = fn;
    };
    __decorate([core_1.Input(), __metadata('design:type', String)], Searchbar.prototype, "cancelButtonText", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Object)], Searchbar.prototype, "showCancelButton", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Number)], Searchbar.prototype, "debounce", null);
    __decorate([core_1.Input(), __metadata('design:type', String)], Searchbar.prototype, "placeholder", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], Searchbar.prototype, "autocomplete", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], Searchbar.prototype, "autocorrect", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Object)], Searchbar.prototype, "spellcheck", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], Searchbar.prototype, "type", void 0);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], Searchbar.prototype, "ionInput", void 0);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], Searchbar.prototype, "ionBlur", void 0);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], Searchbar.prototype, "ionFocus", void 0);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], Searchbar.prototype, "ionCancel", void 0);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], Searchbar.prototype, "ionClear", void 0);
    __decorate([core_1.HostBinding('class.searchbar-has-focus'), __metadata('design:type', Boolean)], Searchbar.prototype, "_sbHasFocus", void 0);
    __decorate([core_1.ViewChild('searchbarInput'), __metadata('design:type', core_1.ElementRef), __metadata('design:paramtypes', [core_1.ElementRef])], Searchbar.prototype, "searchbarInput", null);
    __decorate([core_1.ViewChild('searchbarIcon'), __metadata('design:type', core_1.ElementRef)], Searchbar.prototype, "_searchbarIcon", void 0);
    __decorate([core_1.ViewChild('cancelButton', {read: core_1.ElementRef}), __metadata('design:type', core_1.ElementRef)], Searchbar.prototype, "_cancelButton", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Object)], Searchbar.prototype, "value", null);
    Searchbar = __decorate([core_1.Component({
      selector: 'ion-searchbar',
      template: '<div class="searchbar-input-container">' + '<button (click)="cancelSearchbar($event)" (mousedown)="cancelSearchbar($event)" clear dark class="searchbar-md-cancel">' + '<ion-icon name="arrow-back"></ion-icon>' + '</button>' + '<div #searchbarIcon class="searchbar-search-icon"></div>' + '<input #searchbarInput [(ngModel)]="_value" [attr.placeholder]="placeholder" (input)="inputChanged($event)" (blur)="inputBlurred($event)" (focus)="inputFocused($event)" class="searchbar-input">' + '<button clear class="searchbar-clear-icon" (click)="clearInput($event)" (mousedown)="clearInput($event)"></button>' + '</div>' + '<button #cancelButton [tabindex]="_isActive ? 1 : -1" clear (click)="cancelSearchbar($event)" (mousedown)="cancelSearchbar($event)" class="searchbar-ios-cancel">{{cancelButtonText}}</button>',
      directives: [icon_1.Icon, forms_1.NgModel],
      host: {
        '[class.searchbar-has-value]': '_value',
        '[class.searchbar-active]': '_isActive',
        '[class.searchbar-show-cancel]': 'showCancelButton',
        '[class.searchbar-left-aligned]': 'shouldAlignLeft()'
      },
      encapsulation: core_1.ViewEncapsulation.None
    }), __param(2, core_1.Optional()), __metadata('design:paramtypes', [core_1.ElementRef, config_1.Config, forms_1.NgControl])], Searchbar);
    return Searchbar;
  }());
  exports.Searchbar = Searchbar;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/nav/nav.js", ["@angular/core", "../app/app", "../../config/config", "../../util/keyboard", "../../gestures/gesture-controller", "../../util/util", "./nav-controller-base", "./view-controller"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var app_1 = $__require('../app/app');
  var config_1 = $__require('../../config/config');
  var keyboard_1 = $__require('../../util/keyboard');
  var gesture_controller_1 = $__require('../../gestures/gesture-controller');
  var util_1 = $__require('../../util/util');
  var nav_controller_base_1 = $__require('./nav-controller-base');
  var view_controller_1 = $__require('./view-controller');
  var Nav = (function(_super) {
    __extends(Nav, _super);
    function Nav(viewCtrl, parent, app, config, keyboard, elementRef, zone, renderer, compiler, gestureCtrl) {
      _super.call(this, parent, app, config, keyboard, elementRef, zone, renderer, compiler, gestureCtrl);
      this._hasInit = false;
      if (viewCtrl) {
        viewCtrl.setContent(this);
        viewCtrl.setContentRef(elementRef);
      }
      if (parent) {
        parent.registerChildNav(this);
      } else if (viewCtrl && viewCtrl.getNav()) {
        this.parent = viewCtrl.getNav();
        this.parent.registerChildNav(this);
      } else if (app && !app.getRootNav()) {
        app.setRootNav(this);
      }
    }
    Object.defineProperty(Nav.prototype, "_vp", {
      set: function(val) {
        this.setViewport(val);
      },
      enumerable: true,
      configurable: true
    });
    Nav.prototype.ngAfterViewInit = function() {
      this._hasInit = true;
      if (this._root) {
        this.push(this._root);
      }
    };
    Object.defineProperty(Nav.prototype, "root", {
      get: function() {
        return this._root;
      },
      set: function(page) {
        this._root = page;
        if (this._hasInit) {
          this.setRoot(page);
        }
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Nav.prototype, "swipeBackEnabled", {
      get: function() {
        return this._sbEnabled;
      },
      set: function(val) {
        this._sbEnabled = util_1.isTrueProperty(val);
      },
      enumerable: true,
      configurable: true
    });
    __decorate([core_1.ViewChild('viewport', {read: core_1.ViewContainerRef}), __metadata('design:type', core_1.ViewContainerRef), __metadata('design:paramtypes', [core_1.ViewContainerRef])], Nav.prototype, "_vp", null);
    __decorate([core_1.Input(), __metadata('design:type', Object)], Nav.prototype, "root", null);
    __decorate([core_1.Input(), __metadata('design:type', Boolean)], Nav.prototype, "swipeBackEnabled", null);
    Nav = __decorate([core_1.Component({
      selector: 'ion-nav',
      template: "\n    <div #viewport nav-viewport></div>\n    <div class=\"nav-decor\"></div>\n  ",
      encapsulation: core_1.ViewEncapsulation.None
    }), __param(0, core_1.Optional()), __param(1, core_1.Optional()), __metadata('design:paramtypes', [view_controller_1.ViewController, nav_controller_base_1.NavControllerBase, app_1.App, config_1.Config, keyboard_1.Keyboard, core_1.ElementRef, core_1.NgZone, core_1.Renderer, core_1.ComponentResolver, gesture_controller_1.GestureController])], Nav);
    return Nav;
  }(nav_controller_base_1.NavControllerBase));
  exports.Nav = Nav;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/nav/nav-pop.js", ["@angular/core", "./nav-controller", "../../util/util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var nav_controller_1 = $__require('./nav-controller');
  var util_1 = $__require('../../util/util');
  var NavPop = (function() {
    function NavPop(_nav) {
      this._nav = _nav;
      if (!_nav) {
        void 0;
      }
    }
    NavPop.prototype.onClick = function() {
      if (this._nav) {
        this._nav.pop(null, util_1.noop);
        return false;
      }
      return true;
    };
    __decorate([core_1.HostListener('click'), __metadata('design:type', Function), __metadata('design:paramtypes', []), __metadata('design:returntype', Boolean)], NavPop.prototype, "onClick", null);
    NavPop = __decorate([core_1.Directive({selector: '[navPop]'}), __param(0, core_1.Optional()), __metadata('design:paramtypes', [nav_controller_1.NavController])], NavPop);
    return NavPop;
  }());
  exports.NavPop = NavPop;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/nav/nav-push.js", ["@angular/core", "./nav-controller", "../../util/util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var nav_controller_1 = $__require('./nav-controller');
  var util_1 = $__require('../../util/util');
  var NavPush = (function() {
    function NavPush(_nav) {
      this._nav = _nav;
      if (!_nav) {
        void 0;
      }
    }
    NavPush.prototype.onClick = function() {
      if (this._nav) {
        this._nav.push(this.navPush, this.navParams, util_1.noop);
        return false;
      }
      return true;
    };
    __decorate([core_1.Input(), __metadata('design:type', Object)], NavPush.prototype, "navPush", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Object)], NavPush.prototype, "navParams", void 0);
    __decorate([core_1.HostListener('click'), __metadata('design:type', Function), __metadata('design:paramtypes', []), __metadata('design:returntype', Boolean)], NavPush.prototype, "onClick", null);
    NavPush = __decorate([core_1.Directive({selector: '[navPush]'}), __param(0, core_1.Optional()), __metadata('design:paramtypes', [nav_controller_1.NavController])], NavPush);
    return NavPush;
  }());
  exports.NavPush = NavPush;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/icon/icon.js", ["@angular/core", "../../config/config"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var config_1 = $__require('../../config/config');
  var Icon = (function() {
    function Icon(config, _elementRef, _renderer) {
      this._elementRef = _elementRef;
      this._renderer = _renderer;
      this._name = '';
      this._ios = '';
      this._md = '';
      this._css = '';
      this.mode = config.get('iconMode');
    }
    Icon.prototype.ngOnDestroy = function() {
      if (this._css) {
        this._renderer.setElementClass(this._elementRef.nativeElement, this._css, false);
      }
    };
    Object.defineProperty(Icon.prototype, "name", {
      get: function() {
        return this._name;
      },
      set: function(val) {
        if (!(/^md-|^ios-|^logo-/.test(val))) {
          val = this.mode + '-' + val;
        }
        this._name = val;
        this.update();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Icon.prototype, "ios", {
      get: function() {
        return this._ios;
      },
      set: function(val) {
        this._ios = val;
        this.update();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Icon.prototype, "md", {
      get: function() {
        return this._md;
      },
      set: function(val) {
        this._md = val;
        this.update();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Icon.prototype, "isActive", {
      get: function() {
        return (this._isActive === undefined || this._isActive === true || this._isActive === 'true');
      },
      set: function(val) {
        this._isActive = val;
        this.update();
      },
      enumerable: true,
      configurable: true
    });
    Icon.prototype.update = function() {
      var css = 'ion-';
      if (this._ios && this.mode === 'ios') {
        css += this._ios;
      } else if (this._md && this.mode === 'md') {
        css += this._md;
      } else {
        css += this._name;
      }
      if (this.mode === 'ios' && !this.isActive && css.indexOf('logo') < 0) {
        css += '-outline';
      }
      if (this._css !== css) {
        if (this._css) {
          this._renderer.setElementClass(this._elementRef.nativeElement, this._css, false);
        }
        this._css = css;
        this._renderer.setElementClass(this._elementRef.nativeElement, css, true);
        this._renderer.setElementAttribute(this._elementRef.nativeElement, 'aria-label', css.replace('ion-', '').replace('ios-', '').replace('md-', '').replace('-', ' '));
      }
    };
    Icon.prototype.addClass = function(className) {
      this._renderer.setElementClass(this._elementRef.nativeElement, className, true);
    };
    __decorate([core_1.Input(), __metadata('design:type', String)], Icon.prototype, "name", null);
    __decorate([core_1.Input(), __metadata('design:type', String)], Icon.prototype, "ios", null);
    __decorate([core_1.Input(), __metadata('design:type', String)], Icon.prototype, "md", null);
    __decorate([core_1.Input(), __metadata('design:type', Boolean)], Icon.prototype, "isActive", null);
    Icon = __decorate([core_1.Directive({
      selector: 'ion-icon',
      host: {'role': 'img'}
    }), __metadata('design:paramtypes', [config_1.Config, core_1.ElementRef, core_1.Renderer])], Icon);
    return Icon;
  }());
  exports.Icon = Icon;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/toolbar/toolbar.js", ["@angular/core", "../../config/config", "../ion", "../nav/view-controller"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var config_1 = $__require('../../config/config');
  var ion_1 = $__require('../ion');
  var view_controller_1 = $__require('../nav/view-controller');
  var Header = (function() {
    function Header(viewCtrl) {
      viewCtrl && viewCtrl.setHeader(this);
    }
    Header = __decorate([core_1.Directive({selector: 'ion-header'}), __param(0, core_1.Optional()), __metadata('design:paramtypes', [view_controller_1.ViewController])], Header);
    return Header;
  }());
  exports.Header = Header;
  var Footer = (function() {
    function Footer(viewCtrl) {
      viewCtrl && viewCtrl.setFooter(this);
    }
    Footer = __decorate([core_1.Directive({selector: 'ion-footer'}), __param(0, core_1.Optional()), __metadata('design:paramtypes', [view_controller_1.ViewController])], Footer);
    return Footer;
  }());
  exports.Footer = Footer;
  var ToolbarBase = (function(_super) {
    __extends(ToolbarBase, _super);
    function ToolbarBase(elementRef) {
      _super.call(this, elementRef);
      this.itemRefs = [];
      this.titleRef = null;
    }
    ToolbarBase.prototype.setTitleCmp = function(titleCmp) {
      this.titleCmp = titleCmp;
    };
    ToolbarBase.prototype.getTitleText = function() {
      return (this.titleCmp && this.titleCmp.getTitleText()) || '';
    };
    ToolbarBase.prototype.getTitleRef = function() {
      return this.titleCmp && this.titleCmp.elementRef;
    };
    ToolbarBase.prototype.getItemRefs = function() {
      return this.itemRefs;
    };
    ToolbarBase.prototype.addItemRef = function(itemElementRef) {
      this.itemRefs.push(itemElementRef);
    };
    return ToolbarBase;
  }(ion_1.Ion));
  exports.ToolbarBase = ToolbarBase;
  var Toolbar = (function(_super) {
    __extends(Toolbar, _super);
    function Toolbar(viewCtrl, header, footer, config, elementRef) {
      _super.call(this, elementRef);
      if (viewCtrl && (header || footer)) {
        viewCtrl.setToolbarRef(elementRef);
      }
      this._sbPadding = config.getBoolean('statusbarPadding');
    }
    Toolbar = __decorate([core_1.Component({
      selector: 'ion-toolbar',
      template: "\n    <div class=\"toolbar-background\"></div>\n    <ng-content select=\"[menuToggle],ion-buttons[left]\"></ng-content>\n    <ng-content select=\"ion-buttons[start]\"></ng-content>\n    <ng-content select=\"ion-buttons[end],ion-buttons[right]\"></ng-content>\n    <div class=\"toolbar-content\">\n      <ng-content></ng-content>\n    </div>\n  ",
      host: {
        'class': 'toolbar',
        '[class.statusbar-padding]': '_sbPadding'
      },
      changeDetection: core_1.ChangeDetectionStrategy.OnPush
    }), __param(0, core_1.Optional()), __param(1, core_1.Optional()), __param(2, core_1.Optional()), __metadata('design:paramtypes', [view_controller_1.ViewController, Header, Footer, config_1.Config, core_1.ElementRef])], Toolbar);
    return Toolbar;
  }(ToolbarBase));
  exports.Toolbar = Toolbar;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/navbar/navbar.js", ["@angular/core", "../app/app", "../../config/config", "../icon/icon", "../ion", "../../util/util", "../nav/nav-controller", "../toolbar/toolbar", "../nav/view-controller"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var app_1 = $__require('../app/app');
  var config_1 = $__require('../../config/config');
  var icon_1 = $__require('../icon/icon');
  var ion_1 = $__require('../ion');
  var util_1 = $__require('../../util/util');
  var nav_controller_1 = $__require('../nav/nav-controller');
  var toolbar_1 = $__require('../toolbar/toolbar');
  var view_controller_1 = $__require('../nav/view-controller');
  var BackButton = (function(_super) {
    __extends(BackButton, _super);
    function BackButton(_nav, elementRef, navbar) {
      _super.call(this, elementRef);
      this._nav = _nav;
      navbar && navbar.setBackButtonRef(elementRef);
    }
    BackButton.prototype.goBack = function(ev) {
      ev.stopPropagation();
      ev.preventDefault();
      this._nav && this._nav.pop();
    };
    BackButton = __decorate([core_1.Directive({
      selector: '.back-button',
      host: {'(click)': 'goBack($event)'}
    }), __param(0, core_1.Optional()), __param(2, core_1.Optional()), __param(2, core_1.Inject(core_1.forwardRef(function() {
      return Navbar;
    }))), __metadata('design:paramtypes', [nav_controller_1.NavController, core_1.ElementRef, Navbar])], BackButton);
    return BackButton;
  }(ion_1.Ion));
  var BackButtonText = (function() {
    function BackButtonText(elementRef, navbar) {
      navbar.setBackButtonTextRef(elementRef);
    }
    BackButtonText = __decorate([core_1.Directive({selector: '.back-button-text'}), __param(1, core_1.Inject(core_1.forwardRef(function() {
      return Navbar;
    }))), __metadata('design:paramtypes', [core_1.ElementRef, Navbar])], BackButtonText);
    return BackButtonText;
  }());
  var ToolbarBackground = (function() {
    function ToolbarBackground(elementRef, navbar) {
      navbar.setBackgroundRef(elementRef);
    }
    ToolbarBackground = __decorate([core_1.Directive({selector: '.toolbar-background'}), __param(1, core_1.Inject(core_1.forwardRef(function() {
      return Navbar;
    }))), __metadata('design:paramtypes', [core_1.ElementRef, Navbar])], ToolbarBackground);
    return ToolbarBackground;
  }());
  var Navbar = (function(_super) {
    __extends(Navbar, _super);
    function Navbar(_app, viewCtrl, elementRef, config) {
      _super.call(this, elementRef);
      this._app = _app;
      this._hidden = false;
      this._hideBb = false;
      viewCtrl && viewCtrl.setNavbar(this);
      this._bbIcon = config.get('backButtonIcon');
      this._bbText = config.get('backButtonText');
      this._sbPadding = config.getBoolean('statusbarPadding', false);
    }
    Object.defineProperty(Navbar.prototype, "hideBackButton", {
      get: function() {
        return this._hideBb;
      },
      set: function(val) {
        this._hideBb = util_1.isTrueProperty(val);
      },
      enumerable: true,
      configurable: true
    });
    Navbar.prototype.setBackButtonText = function(text) {
      this._bbText = text;
    };
    Navbar.prototype.getBackButtonRef = function() {
      return this._bbRef;
    };
    Navbar.prototype.setBackButtonRef = function(backButtonElementRef) {
      this._bbRef = backButtonElementRef;
    };
    Navbar.prototype.getBackButtonTextRef = function() {
      return this._bbtRef;
    };
    Navbar.prototype.setBackButtonTextRef = function(backButtonTextElementRef) {
      this._bbtRef = backButtonTextElementRef;
    };
    Navbar.prototype.setBackgroundRef = function(backgrouneElementRef) {
      this._bgRef = backgrouneElementRef;
    };
    Navbar.prototype.getBackgroundRef = function() {
      return this._bgRef;
    };
    Navbar.prototype.didEnter = function() {
      try {
        this._app.setTitle(this.getTitleText());
      } catch (e) {
        void 0;
      }
    };
    Navbar.prototype.setHidden = function(isHidden) {
      this._hidden = isHidden;
    };
    __decorate([core_1.Input(), __metadata('design:type', Boolean)], Navbar.prototype, "hideBackButton", null);
    Navbar = __decorate([core_1.Component({
      selector: 'ion-navbar',
      template: "\n    <div class=\"toolbar-background\"></div>\n    <button category=\"bar-button\" class=\"back-button\" [hidden]=\"_hideBb\">\n      <span class=\"button-inner\">\n        <ion-icon class=\"back-button-icon\" [name]=\"_bbIcon\"></ion-icon>\n        <span class=\"back-button-text\">\n          <span class=\"back-default\">{{_bbText}}</span>\n        </span>\n      </span>\n    </button>\n    <ng-content select=\"[menuToggle],ion-buttons[left]\"></ng-content>\n    <ng-content select=\"ion-buttons[start]\"></ng-content>\n    <ng-content select=\"ion-buttons[end],ion-buttons[right]\"></ng-content>\n    <div class=\"toolbar-content\">\n      <ng-content></ng-content>\n    </div>\n  ",
      directives: [BackButton, BackButtonText, icon_1.Icon, ToolbarBackground],
      host: {
        '[hidden]': '_hidden',
        'class': 'toolbar',
        '[class.statusbar-padding]': '_sbPadding'
      }
    }), __param(1, core_1.Optional()), __metadata('design:paramtypes', [app_1.App, view_controller_1.ViewController, core_1.ElementRef, config_1.Config])], Navbar);
    return Navbar;
  }(toolbar_1.ToolbarBase));
  exports.Navbar = Navbar;
  var NavbarTemplate = (function() {
    function NavbarTemplate() {
      void 0;
    }
    NavbarTemplate = __decorate([core_1.Directive({selector: 'template[navbar]'}), __metadata('design:paramtypes', [])], NavbarTemplate);
    return NavbarTemplate;
  }());
  exports.NavbarTemplate = NavbarTemplate;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/show-hide-when/show-hide-when.js", ["@angular/core", "../../platform/platform"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var platform_1 = $__require('../../platform/platform');
  var DisplayWhen = (function() {
    function DisplayWhen(conditions, platform, ngZone) {
      var _this = this;
      this.isMatch = false;
      this.platform = platform;
      if (!conditions)
        return;
      this.conditions = conditions.split(',');
      for (var i = 0; i < this.conditions.length; i++) {
        if (this.conditions[i] && platform.is(this.conditions[i])) {
          this.isMatch = true;
          return;
        }
      }
      if (this.orientation()) {
        platform.onResize(function() {
          ngZone.run(function() {
            _this.orientation();
          });
        });
        return;
      }
    }
    DisplayWhen.prototype.orientation = function() {
      for (var i = 0; i < this.conditions.length; i++) {
        if (this.conditions[i] === 'portrait') {
          this.isMatch = this.platform.isPortrait();
          return true;
        }
        if (this.conditions[i] === 'landscape') {
          this.isMatch = this.platform.isLandscape();
          return true;
        }
      }
    };
    return DisplayWhen;
  }());
  exports.DisplayWhen = DisplayWhen;
  var ShowWhen = (function(_super) {
    __extends(ShowWhen, _super);
    function ShowWhen(showWhen, platform, ngZone) {
      _super.call(this, showWhen, platform, ngZone);
    }
    ShowWhen = __decorate([core_1.Directive({
      selector: '[showWhen]',
      host: {'[class.hidden-show-when]': '!isMatch'}
    }), __param(0, core_1.Attribute('showWhen')), __metadata('design:paramtypes', [String, platform_1.Platform, core_1.NgZone])], ShowWhen);
    return ShowWhen;
  }(DisplayWhen));
  exports.ShowWhen = ShowWhen;
  var HideWhen = (function(_super) {
    __extends(HideWhen, _super);
    function HideWhen(hideWhen, platform, ngZone) {
      _super.call(this, hideWhen, platform, ngZone);
    }
    HideWhen = __decorate([core_1.Directive({
      selector: '[hideWhen]',
      host: {'[class.hidden-hide-when]': 'isMatch'}
    }), __param(0, core_1.Attribute('hideWhen')), __metadata('design:paramtypes', [String, platform_1.Platform, core_1.NgZone])], HideWhen);
    return HideWhen;
  }(DisplayWhen));
  exports.HideWhen = HideWhen;
  return module.exports;
});

System.registerDynamic("ionic-angular/config/directives.js", ["@angular/common", "@angular/forms", "../components/menu/menu", "../components/menu/menu-toggle", "../components/menu/menu-close", "../components/backdrop/backdrop", "../components/badge/badge", "../components/button/button", "../components/content/content", "../components/img/img", "../components/scroll/scroll", "../components/infinite-scroll/infinite-scroll", "../components/infinite-scroll/infinite-scroll-content", "../components/refresher/refresher", "../components/refresher/refresher-content", "../components/slides/slides", "../components/tabs/tabs", "../components/tabs/tab", "../components/list/list", "../components/item/item", "../components/item/item-reorder", "../components/item/item-sliding", "../components/virtual-scroll/virtual-scroll", "../components/virtual-scroll/virtual-item", "../components/toolbar/toolbar", "../components/toolbar/toolbar-item", "../components/toolbar/toolbar-title", "../components/icon/icon", "../components/spinner/spinner", "../components/checkbox/checkbox", "../components/select/select", "../components/option/option", "../components/datetime/datetime", "../components/toggle/toggle", "../components/input/input", "../components/label/label", "../components/segment/segment", "../components/radio/radio-button", "../components/radio/radio-group", "../components/range/range", "../components/searchbar/searchbar", "../components/nav/nav", "../components/nav/nav-pop", "../components/nav/nav-push", "../components/navbar/navbar", "../components/show-hide-when/show-hide-when"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var common_1 = $__require('@angular/common');
  var forms_1 = $__require('@angular/forms');
  var menu_1 = $__require('../components/menu/menu');
  var menu_toggle_1 = $__require('../components/menu/menu-toggle');
  var menu_close_1 = $__require('../components/menu/menu-close');
  var backdrop_1 = $__require('../components/backdrop/backdrop');
  var badge_1 = $__require('../components/badge/badge');
  var button_1 = $__require('../components/button/button');
  var content_1 = $__require('../components/content/content');
  var img_1 = $__require('../components/img/img');
  var scroll_1 = $__require('../components/scroll/scroll');
  var infinite_scroll_1 = $__require('../components/infinite-scroll/infinite-scroll');
  var infinite_scroll_content_1 = $__require('../components/infinite-scroll/infinite-scroll-content');
  var refresher_1 = $__require('../components/refresher/refresher');
  var refresher_content_1 = $__require('../components/refresher/refresher-content');
  var slides_1 = $__require('../components/slides/slides');
  var tabs_1 = $__require('../components/tabs/tabs');
  var tab_1 = $__require('../components/tabs/tab');
  var list_1 = $__require('../components/list/list');
  var item_1 = $__require('../components/item/item');
  var item_reorder_1 = $__require('../components/item/item-reorder');
  var item_sliding_1 = $__require('../components/item/item-sliding');
  var virtual_scroll_1 = $__require('../components/virtual-scroll/virtual-scroll');
  var virtual_item_1 = $__require('../components/virtual-scroll/virtual-item');
  var toolbar_1 = $__require('../components/toolbar/toolbar');
  var toolbar_item_1 = $__require('../components/toolbar/toolbar-item');
  var toolbar_title_1 = $__require('../components/toolbar/toolbar-title');
  var icon_1 = $__require('../components/icon/icon');
  var spinner_1 = $__require('../components/spinner/spinner');
  var checkbox_1 = $__require('../components/checkbox/checkbox');
  var select_1 = $__require('../components/select/select');
  var option_1 = $__require('../components/option/option');
  var datetime_1 = $__require('../components/datetime/datetime');
  var toggle_1 = $__require('../components/toggle/toggle');
  var input_1 = $__require('../components/input/input');
  var label_1 = $__require('../components/label/label');
  var segment_1 = $__require('../components/segment/segment');
  var radio_button_1 = $__require('../components/radio/radio-button');
  var radio_group_1 = $__require('../components/radio/radio-group');
  var range_1 = $__require('../components/range/range');
  var searchbar_1 = $__require('../components/searchbar/searchbar');
  var nav_1 = $__require('../components/nav/nav');
  var nav_pop_1 = $__require('../components/nav/nav-pop');
  var nav_push_1 = $__require('../components/nav/nav-push');
  var navbar_1 = $__require('../components/navbar/navbar');
  var show_hide_when_1 = $__require('../components/show-hide-when/show-hide-when');
  exports.IONIC_DIRECTIVES = [common_1.CORE_DIRECTIVES, forms_1.REACTIVE_FORM_DIRECTIVES, menu_1.Menu, menu_toggle_1.MenuToggle, menu_close_1.MenuClose, backdrop_1.Backdrop, badge_1.Badge, button_1.Button, content_1.Content, scroll_1.Scroll, infinite_scroll_1.InfiniteScroll, infinite_scroll_content_1.InfiniteScrollContent, refresher_1.Refresher, refresher_content_1.RefresherContent, img_1.Img, list_1.List, list_1.ListHeader, item_1.Item, item_1.ItemContent, item_sliding_1.ItemSliding, item_sliding_1.ItemOptions, item_reorder_1.ItemReorder, virtual_scroll_1.VirtualScroll, virtual_item_1.VirtualItem, virtual_item_1.VirtualHeader, virtual_item_1.VirtualFooter, slides_1.Slides, slides_1.Slide, slides_1.SlideLazy, tabs_1.Tabs, tab_1.Tab, toolbar_1.Header, toolbar_1.Footer, toolbar_1.Toolbar, toolbar_title_1.ToolbarTitle, toolbar_item_1.ToolbarItem, icon_1.Icon, spinner_1.Spinner, searchbar_1.Searchbar, segment_1.Segment, segment_1.SegmentButton, checkbox_1.Checkbox, radio_group_1.RadioGroup, radio_button_1.RadioButton, range_1.Range, select_1.Select, option_1.Option, datetime_1.DateTime, toggle_1.Toggle, input_1.TextArea, input_1.TextInput, label_1.Label, nav_1.Nav, navbar_1.NavbarTemplate, navbar_1.Navbar, nav_push_1.NavPush, nav_pop_1.NavPop, show_hide_when_1.ShowWhen, show_hide_when_1.HideWhen];
  return module.exports;
});

System.registerDynamic("ionic-angular/components/spinner/spinner.js", ["@angular/core", "@angular/common", "../../config/config"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var common_1 = $__require('@angular/common');
  var config_1 = $__require('../../config/config');
  var Spinner = (function() {
    function Spinner(_config) {
      this._config = _config;
      this._dur = null;
      this.paused = false;
    }
    Object.defineProperty(Spinner.prototype, "name", {
      get: function() {
        return this._name;
      },
      set: function(val) {
        this._name = val;
        this.load();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Spinner.prototype, "duration", {
      get: function() {
        return this._dur;
      },
      set: function(val) {
        this._dur = val;
        this.load();
      },
      enumerable: true,
      configurable: true
    });
    Spinner.prototype.ngOnInit = function() {
      this._init = true;
      this.load();
    };
    Spinner.prototype.load = function() {
      if (this._init) {
        this._l = [];
        this._c = [];
        var name = this._name || this._config.get('spinner', 'ios');
        var spinner = SPINNERS[name];
        if (spinner) {
          this._applied = 'spinner-' + name;
          if (spinner.lines) {
            for (var i = 0,
                l = spinner.lines; i < l; i++) {
              this._l.push(this._loadEle(spinner, i, l));
            }
          } else if (spinner.circles) {
            for (var i = 0,
                l = spinner.circles; i < l; i++) {
              this._c.push(this._loadEle(spinner, i, l));
            }
          }
        }
      }
    };
    Spinner.prototype._loadEle = function(spinner, index, total) {
      var duration = this._dur || spinner.dur;
      var data = spinner.fn(duration, index, total);
      data.style.animationDuration = duration + 'ms';
      return data;
    };
    __decorate([core_1.Input(), __metadata('design:type', String)], Spinner.prototype, "name", null);
    __decorate([core_1.Input(), __metadata('design:type', Number)], Spinner.prototype, "duration", null);
    __decorate([core_1.Input(), __metadata('design:type', Boolean)], Spinner.prototype, "paused", void 0);
    Spinner = __decorate([core_1.Component({
      selector: 'ion-spinner',
      template: "\n    <svg viewBox=\"0 0 64 64\" *ngFor=\"let i of _c\" [ngStyle]=\"i.style\">\n     <circle [attr.r]=\"i.r\" transform=\"translate(32,32)\"></circle>\n    </svg>\n    <svg viewBox=\"0 0 64 64\" *ngFor=\"let i of _l\" [ngStyle]=\"i.style\">\n     <line [attr.y1]=\"i.y1\" [attr.y2]=\"i.y2\" transform=\"translate(32,32)\"></line>\n    </svg>\n  ",
      directives: [common_1.NgFor, common_1.NgStyle],
      host: {
        '[class]': '_applied',
        '[class.spinner-paused]': 'paused'
      },
      changeDetection: core_1.ChangeDetectionStrategy.OnPush,
      encapsulation: core_1.ViewEncapsulation.None
    }), __metadata('design:paramtypes', [config_1.Config])], Spinner);
    return Spinner;
  }());
  exports.Spinner = Spinner;
  var SPINNERS = {
    ios: {
      dur: 1000,
      lines: 12,
      fn: function(dur, index, total) {
        return {
          y1: 17,
          y2: 29,
          style: {
            transform: 'rotate(' + (30 * index + (index < 6 ? 180 : -180)) + 'deg)',
            animationDelay: -(dur - ((dur / total) * index)) + 'ms'
          }
        };
      }
    },
    'ios-small': {
      dur: 1000,
      lines: 12,
      fn: function(dur, index, total) {
        return {
          y1: 12,
          y2: 20,
          style: {
            transform: 'rotate(' + (30 * index + (index < 6 ? 180 : -180)) + 'deg)',
            animationDelay: -(dur - ((dur / total) * index)) + 'ms'
          }
        };
      }
    },
    bubbles: {
      dur: 1000,
      circles: 9,
      fn: function(dur, index, total) {
        return {
          r: 5,
          style: {
            top: 9 * Math.sin(2 * Math.PI * index / total),
            left: 9 * Math.cos(2 * Math.PI * index / total),
            animationDelay: -(dur - ((dur / total) * index)) + 'ms'
          }
        };
      }
    },
    circles: {
      dur: 1000,
      circles: 8,
      fn: function(dur, index, total) {
        return {
          r: 5,
          style: {
            top: 9 * Math.sin(2 * Math.PI * index / total),
            left: 9 * Math.cos(2 * Math.PI * index / total),
            animationDelay: -(dur - ((dur / total) * index)) + 'ms'
          }
        };
      }
    },
    crescent: {
      dur: 750,
      circles: 1,
      fn: function(dur) {
        return {
          r: 26,
          style: {}
        };
      }
    },
    dots: {
      dur: 750,
      circles: 3,
      fn: function(dur, index, total) {
        return {
          r: 6,
          style: {
            left: (9 - (9 * index)),
            animationDelay: -(110 * index) + 'ms'
          }
        };
      }
    }
  };
  return module.exports;
});

System.registerDynamic("ionic-angular/components/loading/loading-component.js", ["@angular/core", "@angular/common", "../../animations/animation", "../backdrop/backdrop", "../../config/config", "../../util/util", "../nav/nav-params", "../spinner/spinner", "../../transitions/transition", "../nav/view-controller"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var common_1 = $__require('@angular/common');
  var animation_1 = $__require('../../animations/animation');
  var backdrop_1 = $__require('../backdrop/backdrop');
  var config_1 = $__require('../../config/config');
  var util_1 = $__require('../../util/util');
  var nav_params_1 = $__require('../nav/nav-params');
  var spinner_1 = $__require('../spinner/spinner');
  var transition_1 = $__require('../../transitions/transition');
  var view_controller_1 = $__require('../nav/view-controller');
  var LoadingCmp = (function() {
    function LoadingCmp(_viewCtrl, _config, _elementRef, params, renderer) {
      this._viewCtrl = _viewCtrl;
      this._config = _config;
      this._elementRef = _elementRef;
      this.d = params.data;
      if (this.d.cssClass) {
        renderer.setElementClass(_elementRef.nativeElement, this.d.cssClass, true);
      }
      this.id = (++loadingIds);
    }
    LoadingCmp.prototype.ngOnInit = function() {
      if (util_1.isUndefined(this.d.spinner)) {
        this.d.spinner = this._config.get('loadingSpinner', this._config.get('spinner', 'ios'));
      }
      this.showSpinner = util_1.isDefined(this.d.spinner) && this.d.spinner !== 'hide';
    };
    LoadingCmp.prototype.ionViewDidEnter = function() {
      var _this = this;
      var activeElement = document.activeElement;
      if (document.activeElement) {
        activeElement.blur();
      }
      this.d.duration ? this.durationTimeout = setTimeout(function() {
        return _this.dismiss('backdrop');
      }, this.d.duration) : null;
    };
    LoadingCmp.prototype.dismiss = function(role) {
      if (this.durationTimeout) {
        clearTimeout(this.durationTimeout);
      }
      return this._viewCtrl.dismiss(null, role);
    };
    LoadingCmp = __decorate([core_1.Component({
      selector: 'ion-loading',
      template: "\n    <ion-backdrop [class.hide-backdrop]=\"!d.showBackdrop\"></ion-backdrop>\n    <div class=\"loading-wrapper\">\n      <div *ngIf=\"showSpinner\" class=\"loading-spinner\">\n        <ion-spinner [name]=\"d.spinner\"></ion-spinner>\n      </div>\n      <div *ngIf=\"d.content\" [innerHTML]=\"d.content\" class=\"loading-content\"></div>\n    </div>\n  ",
      directives: [backdrop_1.Backdrop, common_1.NgIf, spinner_1.Spinner],
      host: {'role': 'dialog'},
      encapsulation: core_1.ViewEncapsulation.None
    }), __metadata('design:paramtypes', [view_controller_1.ViewController, config_1.Config, core_1.ElementRef, nav_params_1.NavParams, core_1.Renderer])], LoadingCmp);
    return LoadingCmp;
  }());
  exports.LoadingCmp = LoadingCmp;
  var LoadingPopIn = (function(_super) {
    __extends(LoadingPopIn, _super);
    function LoadingPopIn(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = enteringView.pageRef().nativeElement;
      var backdrop = new animation_1.Animation(ele.querySelector('ion-backdrop'));
      var wrapper = new animation_1.Animation(ele.querySelector('.loading-wrapper'));
      wrapper.fromTo('opacity', 0.01, 1).fromTo('scale', 1.1, 1);
      backdrop.fromTo('opacity', 0.01, 0.3);
      this.easing('ease-in-out').duration(200).add(backdrop).add(wrapper);
    }
    return LoadingPopIn;
  }(transition_1.Transition));
  transition_1.Transition.register('loading-pop-in', LoadingPopIn);
  var LoadingPopOut = (function(_super) {
    __extends(LoadingPopOut, _super);
    function LoadingPopOut(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = leavingView.pageRef().nativeElement;
      var backdrop = new animation_1.Animation(ele.querySelector('ion-backdrop'));
      var wrapper = new animation_1.Animation(ele.querySelector('.loading-wrapper'));
      wrapper.fromTo('opacity', 0.99, 0).fromTo('scale', 1, 0.9);
      backdrop.fromTo('opacity', 0.3, 0);
      this.easing('ease-in-out').duration(200).add(backdrop).add(wrapper);
    }
    return LoadingPopOut;
  }(transition_1.Transition));
  transition_1.Transition.register('loading-pop-out', LoadingPopOut);
  var LoadingMdPopIn = (function(_super) {
    __extends(LoadingMdPopIn, _super);
    function LoadingMdPopIn(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = enteringView.pageRef().nativeElement;
      var backdrop = new animation_1.Animation(ele.querySelector('ion-backdrop'));
      var wrapper = new animation_1.Animation(ele.querySelector('.loading-wrapper'));
      wrapper.fromTo('opacity', 0.01, 1).fromTo('scale', 1.1, 1);
      backdrop.fromTo('opacity', 0.01, 0.5);
      this.easing('ease-in-out').duration(200).add(backdrop).add(wrapper);
    }
    return LoadingMdPopIn;
  }(transition_1.Transition));
  transition_1.Transition.register('loading-md-pop-in', LoadingMdPopIn);
  var LoadingMdPopOut = (function(_super) {
    __extends(LoadingMdPopOut, _super);
    function LoadingMdPopOut(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = leavingView.pageRef().nativeElement;
      var backdrop = new animation_1.Animation(ele.querySelector('ion-backdrop'));
      var wrapper = new animation_1.Animation(ele.querySelector('.loading-wrapper'));
      wrapper.fromTo('opacity', 0.99, 0).fromTo('scale', 1, 0.9);
      backdrop.fromTo('opacity', 0.5, 0);
      this.easing('ease-in-out').duration(200).add(backdrop).add(wrapper);
    }
    return LoadingMdPopOut;
  }(transition_1.Transition));
  transition_1.Transition.register('loading-md-pop-out', LoadingMdPopOut);
  var LoadingWpPopIn = (function(_super) {
    __extends(LoadingWpPopIn, _super);
    function LoadingWpPopIn(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = enteringView.pageRef().nativeElement;
      var backdrop = new animation_1.Animation(ele.querySelector('ion-backdrop'));
      var wrapper = new animation_1.Animation(ele.querySelector('.loading-wrapper'));
      wrapper.fromTo('opacity', 0.01, 1).fromTo('scale', 1.3, 1);
      backdrop.fromTo('opacity', 0.01, 0.16);
      this.easing('cubic-bezier(0,0 0.05,1)').duration(200).add(backdrop).add(wrapper);
    }
    return LoadingWpPopIn;
  }(transition_1.Transition));
  transition_1.Transition.register('loading-wp-pop-in', LoadingWpPopIn);
  var LoadingWpPopOut = (function(_super) {
    __extends(LoadingWpPopOut, _super);
    function LoadingWpPopOut(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = leavingView.pageRef().nativeElement;
      var backdrop = new animation_1.Animation(ele.querySelector('ion-backdrop'));
      var wrapper = new animation_1.Animation(ele.querySelector('.loading-wrapper'));
      wrapper.fromTo('opacity', 0.99, 0).fromTo('scale', 1, 1.3);
      backdrop.fromTo('opacity', 0.16, 0);
      this.easing('ease-out').duration(150).add(backdrop).add(wrapper);
    }
    return LoadingWpPopOut;
  }(transition_1.Transition));
  transition_1.Transition.register('loading-wp-pop-out', LoadingWpPopOut);
  var loadingIds = -1;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/loading/loading.js", ["@angular/core", "../app/app", "../../util/util", "./loading-component", "../nav/view-controller"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var app_1 = $__require('../app/app');
  var util_1 = $__require('../../util/util');
  var loading_component_1 = $__require('./loading-component');
  var view_controller_1 = $__require('../nav/view-controller');
  var Loading = (function(_super) {
    __extends(Loading, _super);
    function Loading(app, opts) {
      if (opts === void 0) {
        opts = {};
      }
      opts.showBackdrop = util_1.isPresent(opts.showBackdrop) ? !!opts.showBackdrop : true;
      opts.dismissOnPageChange = util_1.isPresent(opts.dismissOnPageChange) ? !!opts.dismissOnPageChange : false;
      _super.call(this, loading_component_1.LoadingCmp, opts);
      this._app = app;
      this.isOverlay = true;
      this.fireOtherLifecycles = false;
    }
    Loading.prototype.getTransitionName = function(direction) {
      var key = (direction === 'back' ? 'loadingLeave' : 'loadingEnter');
      return this._nav && this._nav.config.get(key);
    };
    Loading.prototype.present = function(navOptions) {
      if (navOptions === void 0) {
        navOptions = {};
      }
      return this._app.present(this, navOptions);
    };
    Loading.create = function(opt) {
      void 0;
    };
    return Loading;
  }(view_controller_1.ViewController));
  exports.Loading = Loading;
  var LoadingController = (function() {
    function LoadingController(_app) {
      this._app = _app;
    }
    LoadingController.prototype.create = function(opts) {
      if (opts === void 0) {
        opts = {};
      }
      return new Loading(this._app, opts);
    };
    LoadingController = __decorate([core_1.Injectable(), __metadata('design:paramtypes', [app_1.App])], LoadingController);
    return LoadingController;
  }());
  exports.LoadingController = LoadingController;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/menu/menu-controller.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var MenuController = (function() {
    function MenuController() {
      this._menus = [];
    }
    MenuController.prototype.open = function(menuId) {
      var menu = this.get(menuId);
      if (menu) {
        var openedMenu = this.getOpen();
        if (openedMenu && menu !== openedMenu) {
          openedMenu.setOpen(false, false);
        }
        return menu.open();
      }
      return Promise.resolve(false);
    };
    MenuController.prototype.close = function(menuId) {
      var menu;
      if (menuId) {
        menu = this.get(menuId);
      } else {
        menu = this.getOpen();
      }
      if (menu) {
        return menu.close();
      }
      return Promise.resolve(false);
    };
    MenuController.prototype.toggle = function(menuId) {
      var menu = this.get(menuId);
      if (menu) {
        var openedMenu = this.getOpen();
        if (openedMenu && menu !== openedMenu) {
          openedMenu.setOpen(false, false);
        }
        return menu.toggle();
      }
      return Promise.resolve(false);
    };
    MenuController.prototype.enable = function(shouldEnable, menuId) {
      var menu = this.get(menuId);
      if (menu) {
        return menu.enable(shouldEnable);
      }
    };
    MenuController.prototype.swipeEnable = function(shouldEnable, menuId) {
      var menu = this.get(menuId);
      if (menu) {
        return menu.swipeEnable(shouldEnable);
      }
    };
    MenuController.prototype.isOpen = function(menuId) {
      var menu = this.get(menuId);
      return menu && menu.isOpen || false;
    };
    MenuController.prototype.isEnabled = function(menuId) {
      var menu = this.get(menuId);
      return menu && menu.enabled || false;
    };
    MenuController.prototype.get = function(menuId) {
      var menu;
      if (menuId === 'left' || menuId === 'right') {
        menu = this._menus.find(function(m) {
          return m.side === menuId && m.enabled;
        });
        if (menu)
          return menu;
        return this._menus.find(function(m) {
          return m.side === menuId;
        }) || null;
      } else if (menuId) {
        return this._menus.find(function(m) {
          return m.id === menuId;
        }) || null;
      }
      menu = this._menus.find(function(m) {
        return m.enabled;
      });
      if (menu) {
        return menu;
      }
      return (this._menus.length ? this._menus[0] : null);
    };
    MenuController.prototype.getOpen = function() {
      return this._menus.find(function(m) {
        return m.isOpen;
      });
    };
    MenuController.prototype.getMenus = function() {
      return this._menus;
    };
    MenuController.prototype.register = function(menu) {
      this._menus.push(menu);
    };
    MenuController.prototype.unregister = function(menu) {
      var index = this._menus.indexOf(menu);
      if (index > -1) {
        this._menus.splice(index, 1);
      }
    };
    MenuController.registerType = function(name, cls) {
      menuTypes[name] = cls;
    };
    MenuController.create = function(type, menuCmp, platform) {
      return new menuTypes[type](menuCmp, platform);
    };
    return MenuController;
  }());
  exports.MenuController = MenuController;
  var menuTypes = {};
  return module.exports;
});

System.registerDynamic("ionic-angular/components/modal/modal-component.js", ["@angular/core", "../../config/bootstrap", "../../animations/animation", "../backdrop/backdrop", "../../util/key", "../nav/nav-params", "../../util/util", "../../transitions/page-transition", "../nav/view-controller", "../../util/dom"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var bootstrap_1 = $__require('../../config/bootstrap');
  var animation_1 = $__require('../../animations/animation');
  var backdrop_1 = $__require('../backdrop/backdrop');
  var key_1 = $__require('../../util/key');
  var nav_params_1 = $__require('../nav/nav-params');
  var util_1 = $__require('../../util/util');
  var page_transition_1 = $__require('../../transitions/page-transition');
  var view_controller_1 = $__require('../nav/view-controller');
  var dom_1 = $__require('../../util/dom');
  var ModalCmp = (function() {
    function ModalCmp(_compiler, _renderer, _navParams, _viewCtrl) {
      this._compiler = _compiler;
      this._renderer = _renderer;
      this._navParams = _navParams;
      this._viewCtrl = _viewCtrl;
      this.d = _navParams.data.opts;
    }
    ModalCmp.prototype.loadComponent = function(done) {
      var _this = this;
      var componentType = this._navParams.data.componentType;
      bootstrap_1.addSelector(componentType, 'ion-page');
      this._compiler.resolveComponent(componentType).then(function(componentFactory) {
        var componentRef = _this.viewport.createComponent(componentFactory, _this.viewport.length, _this.viewport.parentInjector);
        _this._renderer.setElementClass(componentRef.location.nativeElement, 'show-page', true);
        var cssClassName = util_1.pascalCaseToDashCase(componentType.name);
        _this._renderer.setElementClass(componentRef.location.nativeElement, cssClassName, true);
        _this._viewCtrl.setInstance(componentRef.instance);
        _this.enabled = true;
        done();
      });
    };
    ModalCmp.prototype.ngAfterViewInit = function() {};
    ModalCmp.prototype.dismiss = function(role) {
      return this._viewCtrl.dismiss(null, role);
    };
    ModalCmp.prototype.bdClick = function() {
      if (this.enabled && this.d.enableBackdropDismiss) {
        this.dismiss('backdrop');
      }
    };
    ModalCmp.prototype._keyUp = function(ev) {
      if (this.enabled && this._viewCtrl.isLast() && ev.keyCode === key_1.Key.ESCAPE) {
        this.bdClick();
      }
    };
    __decorate([core_1.ViewChild('viewport', {read: core_1.ViewContainerRef}), __metadata('design:type', core_1.ViewContainerRef)], ModalCmp.prototype, "viewport", void 0);
    __decorate([core_1.HostListener('body:keyup', ['$event']), __metadata('design:type', Function), __metadata('design:paramtypes', [KeyboardEvent]), __metadata('design:returntype', void 0)], ModalCmp.prototype, "_keyUp", null);
    ModalCmp = __decorate([core_1.Component({
      selector: 'ion-modal',
      template: "\n    <ion-backdrop disableScroll=\"false\" (click)=\"bdClick($event)\"></ion-backdrop>\n    <div class=\"modal-wrapper\">\n      <div #viewport nav-viewport></div>\n    </div>\n  ",
      directives: [backdrop_1.Backdrop]
    }), __metadata('design:paramtypes', [core_1.ComponentResolver, core_1.Renderer, nav_params_1.NavParams, view_controller_1.ViewController])], ModalCmp);
    return ModalCmp;
  }());
  exports.ModalCmp = ModalCmp;
  var ModalSlideIn = (function(_super) {
    __extends(ModalSlideIn, _super);
    function ModalSlideIn(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = enteringView.pageRef().nativeElement;
      var backdropEle = ele.querySelector('ion-backdrop');
      var backdrop = new animation_1.Animation(backdropEle);
      var wrapper = new animation_1.Animation(ele.querySelector('.modal-wrapper'));
      backdrop.fromTo('opacity', 0.01, 0.4);
      wrapper.fromTo('translateY', '100%', '0%');
      this.element(enteringView.pageRef()).easing('cubic-bezier(0.36,0.66,0.04,1)').duration(400).add(backdrop).add(wrapper);
      if (enteringView.hasNavbar()) {
        var enteringNavBar = new animation_1.Animation(enteringView.navbarRef());
        enteringNavBar.before.addClass('show-navbar');
        this.add(enteringNavBar);
      }
    }
    return ModalSlideIn;
  }(page_transition_1.PageTransition));
  page_transition_1.PageTransition.register('modal-slide-in', ModalSlideIn);
  var ModalSlideOut = (function(_super) {
    __extends(ModalSlideOut, _super);
    function ModalSlideOut(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = leavingView.pageRef().nativeElement;
      var backdrop = new animation_1.Animation(ele.querySelector('ion-backdrop'));
      var wrapperEle = ele.querySelector('.modal-wrapper');
      var wrapperEleRect = wrapperEle.getBoundingClientRect();
      var wrapper = new animation_1.Animation(wrapperEle);
      var screenDimensions = dom_1.windowDimensions();
      wrapper.fromTo('translateY', '0px', (screenDimensions.height - wrapperEleRect.top) + "px");
      backdrop.fromTo('opacity', 0.4, 0.0);
      this.element(leavingView.pageRef()).easing('ease-out').duration(250).add(backdrop).add(wrapper);
    }
    return ModalSlideOut;
  }(page_transition_1.PageTransition));
  page_transition_1.PageTransition.register('modal-slide-out', ModalSlideOut);
  var ModalMDSlideIn = (function(_super) {
    __extends(ModalMDSlideIn, _super);
    function ModalMDSlideIn(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = enteringView.pageRef().nativeElement;
      var backdrop = new animation_1.Animation(ele.querySelector('ion-backdrop'));
      var wrapper = new animation_1.Animation(ele.querySelector('.modal-wrapper'));
      backdrop.fromTo('opacity', 0.01, 0.4);
      wrapper.fromTo('translateY', '40px', '0px');
      wrapper.fromTo('opacity', 0.01, 1);
      var DURATION = 280;
      var EASING = 'cubic-bezier(0.36,0.66,0.04,1)';
      this.element(enteringView.pageRef()).easing(EASING).duration(DURATION).add(backdrop).add(wrapper);
      if (enteringView.hasNavbar()) {
        var enteringNavBar = new animation_1.Animation(enteringView.navbarRef());
        enteringNavBar.before.addClass('show-navbar');
        this.add(enteringNavBar);
      }
    }
    return ModalMDSlideIn;
  }(page_transition_1.PageTransition));
  page_transition_1.PageTransition.register('modal-md-slide-in', ModalMDSlideIn);
  var ModalMDSlideOut = (function(_super) {
    __extends(ModalMDSlideOut, _super);
    function ModalMDSlideOut(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = leavingView.pageRef().nativeElement;
      var backdrop = new animation_1.Animation(ele.querySelector('ion-backdrop'));
      var wrapper = new animation_1.Animation(ele.querySelector('.modal-wrapper'));
      backdrop.fromTo('opacity', 0.4, 0.0);
      wrapper.fromTo('translateY', '0px', '40px');
      wrapper.fromTo('opacity', 0.99, 0);
      this.element(leavingView.pageRef()).duration(200).easing('cubic-bezier(0.47,0,0.745,0.715)').add(wrapper).add(backdrop);
    }
    return ModalMDSlideOut;
  }(page_transition_1.PageTransition));
  page_transition_1.PageTransition.register('modal-md-slide-out', ModalMDSlideOut);
  return module.exports;
});

System.registerDynamic("ionic-angular/components/modal/modal.js", ["@angular/core", "../app/app", "../../util/util", "./modal-component", "../nav/view-controller"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var app_1 = $__require('../app/app');
  var util_1 = $__require('../../util/util');
  var modal_component_1 = $__require('./modal-component');
  var view_controller_1 = $__require('../nav/view-controller');
  var Modal = (function(_super) {
    __extends(Modal, _super);
    function Modal(app, componentType, data, opts) {
      if (data === void 0) {
        data = {};
      }
      if (opts === void 0) {
        opts = {};
      }
      data.componentType = componentType;
      opts.showBackdrop = util_1.isPresent(opts.showBackdrop) ? !!opts.showBackdrop : true;
      opts.enableBackdropDismiss = util_1.isPresent(opts.enableBackdropDismiss) ? !!opts.enableBackdropDismiss : true;
      data.opts = opts;
      _super.call(this, modal_component_1.ModalCmp, data);
      this._app = app;
      this.isOverlay = true;
    }
    Modal.prototype.getTransitionName = function(direction) {
      var key = (direction === 'back' ? 'modalLeave' : 'modalEnter');
      return this._nav && this._nav.config.get(key);
    };
    Modal.prototype.loaded = function(done) {
      var _this = this;
      var originalNgAfterViewInit = this.instance.ngAfterViewInit;
      this.instance.ngAfterViewInit = function() {
        if (originalNgAfterViewInit) {
          originalNgAfterViewInit();
        }
        _this.instance.loadComponent(done);
      };
    };
    Modal.prototype.present = function(navOptions) {
      if (navOptions === void 0) {
        navOptions = {};
      }
      return this._app.present(this, navOptions);
    };
    Modal.create = function(cmp, opt) {
      void 0;
    };
    return Modal;
  }(view_controller_1.ViewController));
  exports.Modal = Modal;
  var ModalController = (function() {
    function ModalController(_app) {
      this._app = _app;
    }
    ModalController.prototype.create = function(componentType, data, opts) {
      if (data === void 0) {
        data = {};
      }
      if (opts === void 0) {
        opts = {};
      }
      return new Modal(this._app, componentType, data, opts);
    };
    ModalController = __decorate([core_1.Injectable(), __metadata('design:paramtypes', [app_1.App])], ModalController);
    return ModalController;
  }());
  exports.ModalController = ModalController;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/picker/picker-component.js", ["@angular/core", "@angular/common", "@angular/platform-browser", "../../animations/animation", "../backdrop/backdrop", "../../util/dom", "../../util/util", "../../config/config", "../../util/key", "../nav/nav-params", "../../transitions/transition", "../../util/ui-event-manager", "../nav/view-controller"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var common_1 = $__require('@angular/common');
  var platform_browser_1 = $__require('@angular/platform-browser');
  var animation_1 = $__require('../../animations/animation');
  var backdrop_1 = $__require('../backdrop/backdrop');
  var dom_1 = $__require('../../util/dom');
  var util_1 = $__require('../../util/util');
  var config_1 = $__require('../../config/config');
  var key_1 = $__require('../../util/key');
  var nav_params_1 = $__require('../nav/nav-params');
  var transition_1 = $__require('../../transitions/transition');
  var ui_event_manager_1 = $__require('../../util/ui-event-manager');
  var view_controller_1 = $__require('../nav/view-controller');
  var PickerColumnCmp = (function() {
    function PickerColumnCmp(config, elementRef, _sanitizer) {
      this.elementRef = elementRef;
      this._sanitizer = _sanitizer;
      this.y = 0;
      this.pos = [];
      this.startY = null;
      this.receivingEvents = false;
      this.events = new ui_event_manager_1.UIEventManager();
      this.ionChange = new core_1.EventEmitter();
      this.rotateFactor = config.getNumber('pickerRotateFactor', 0);
    }
    PickerColumnCmp.prototype.ngAfterViewInit = function() {
      var colEle = this.colEle.nativeElement;
      this.colHeight = colEle.clientHeight;
      this.optHeight = (colEle.firstElementChild ? colEle.firstElementChild.clientHeight : 0);
      this.setSelected(this.col.selectedIndex, 0);
      this.events.pointerEvents({
        elementRef: this.elementRef,
        pointerDown: this.pointerStart.bind(this),
        pointerMove: this.pointerMove.bind(this),
        pointerUp: this.pointerEnd.bind(this)
      });
    };
    PickerColumnCmp.prototype.ngOnDestroy = function() {
      this.events.unlistenAll();
    };
    PickerColumnCmp.prototype.pointerStart = function(ev) {
      void 0;
      dom_1.cancelRaf(this.rafId);
      this.startY = dom_1.pointerCoord(ev).y;
      this.receivingEvents = true;
      this.velocity = 0;
      this.pos.length = 0;
      this.pos.push(this.startY, Date.now());
      var minY = (this.col.options.length - 1);
      var maxY = 0;
      for (var i = 0; i < this.col.options.length; i++) {
        if (!this.col.options[i].disabled) {
          minY = Math.min(minY, i);
          maxY = Math.max(maxY, i);
        }
      }
      this.minY = (minY * this.optHeight * -1);
      this.maxY = (maxY * this.optHeight * -1);
      return true;
    };
    PickerColumnCmp.prototype.pointerMove = function(ev) {
      ev.preventDefault();
      ev.stopPropagation();
      if (this.startY === null) {
        return;
      }
      var currentY = dom_1.pointerCoord(ev).y;
      this.pos.push(currentY, Date.now());
      var y = this.y + (currentY - this.startY);
      if (y > this.minY) {
        y = Math.pow(y, 0.8);
        this.bounceFrom = y;
      } else if (y < this.maxY) {
        y += Math.pow(this.maxY - y, 0.9);
        this.bounceFrom = y;
      } else {
        this.bounceFrom = 0;
      }
      this.update(y, 0, false, false);
    };
    PickerColumnCmp.prototype.pointerEnd = function(ev) {
      if (!this.receivingEvents) {
        return;
      }
      this.receivingEvents = false;
      this.velocity = 0;
      if (this.bounceFrom > 0) {
        this.update(this.minY, 100, true, true);
      } else if (this.bounceFrom < 0) {
        this.update(this.maxY, 100, true, true);
      } else if (this.startY !== null) {
        var endY = dom_1.pointerCoord(ev).y;
        void 0;
        this.pos.push(endY, Date.now());
        var endPos = (this.pos.length - 1);
        var startPos = endPos;
        var timeRange = (Date.now() - 100);
        for (var i = endPos; i > 0 && this.pos[i] > timeRange; i -= 2) {
          startPos = i;
        }
        if (startPos !== endPos) {
          var timeOffset = (this.pos[endPos] - this.pos[startPos]);
          var movedTop = (this.pos[startPos - 1] - this.pos[endPos - 1]);
          this.velocity = ((movedTop / timeOffset) * FRAME_MS);
        }
        if (Math.abs(endY - this.startY) > 3) {
          ev.preventDefault();
          ev.stopPropagation();
          var y = this.y + (endY - this.startY);
          this.update(y, 0, true, true);
        }
      }
      this.startY = null;
      this.decelerate();
    };
    PickerColumnCmp.prototype.decelerate = function() {
      var y = 0;
      dom_1.cancelRaf(this.rafId);
      if (isNaN(this.y) || !this.optHeight) {
        this.update(y, 0, true, true);
      } else if (Math.abs(this.velocity) > 0) {
        this.velocity *= DECELERATION_FRICTION;
        this.velocity = (this.velocity > 0 ? Math.max(this.velocity, 1) : Math.min(this.velocity, -1));
        y = Math.round(this.y - this.velocity);
        if (y > this.minY) {
          y = this.minY;
          this.velocity = 0;
        } else if (y < this.maxY) {
          y = this.maxY;
          this.velocity = 0;
        }
        void 0;
        var notLockedIn = (y % this.optHeight !== 0 || Math.abs(this.velocity) > 1);
        this.update(y, 0, true, !notLockedIn);
        if (notLockedIn) {
          this.rafId = dom_1.raf(this.decelerate.bind(this));
        }
      } else if (this.y % this.optHeight !== 0) {
        var currentPos = Math.abs(this.y % this.optHeight);
        this.velocity = (currentPos > (this.optHeight / 2) ? 1 : -1);
        this.decelerate();
      }
    };
    PickerColumnCmp.prototype.optClick = function(ev, index) {
      if (!this.velocity) {
        ev.preventDefault();
        ev.stopPropagation();
        this.setSelected(index, 150);
      }
    };
    PickerColumnCmp.prototype.setSelected = function(selectedIndex, duration) {
      var y = (selectedIndex > -1) ? ((selectedIndex * this.optHeight) * -1) : 0;
      dom_1.cancelRaf(this.rafId);
      this.velocity = 0;
      this.update(y, duration, true, true);
    };
    PickerColumnCmp.prototype.update = function(y, duration, saveY, emitChange) {
      y = Math.round(y);
      this.col.selectedIndex = Math.max(Math.abs(Math.round(y / this.optHeight)), 0);
      for (var i = 0; i < this.col.options.length; i++) {
        var opt = this.col.options[i];
        var optTop = (i * this.optHeight);
        var optOffset = (optTop + y);
        var rotateX = (optOffset * this.rotateFactor);
        var translateX = 0;
        var translateY = 0;
        var translateZ = 0;
        if (this.rotateFactor !== 0) {
          translateX = 0;
          translateZ = 90;
          if (rotateX > 90 || rotateX < -90) {
            translateX = -9999;
            rotateX = 0;
          }
        } else {
          translateY = optOffset;
        }
        opt._trans = this._sanitizer.bypassSecurityTrustStyle("rotateX(" + rotateX + "deg) translate3d(" + translateX + "px," + translateY + "px," + translateZ + "px)");
        opt._dur = (duration > 0 ? duration + 'ms' : '');
      }
      if (saveY) {
        this.y = y;
      }
      if (emitChange) {
        if (this.lastIndex === undefined) {
          this.lastIndex = this.col.selectedIndex;
        } else if (this.lastIndex !== this.col.selectedIndex) {
          this.lastIndex = this.col.selectedIndex;
          this.ionChange.emit(this.col.options[this.col.selectedIndex]);
        }
      }
    };
    PickerColumnCmp.prototype.refresh = function() {
      var min = this.col.options.length - 1;
      var max = 0;
      for (var i = 0; i < this.col.options.length; i++) {
        if (!this.col.options[i].disabled) {
          min = Math.min(min, i);
          max = Math.max(max, i);
        }
      }
      var selectedIndex = util_1.clamp(min, this.col.selectedIndex, max);
      if (selectedIndex !== this.col.selectedIndex) {
        var y = (selectedIndex * this.optHeight) * -1;
        this.update(y, 150, true, true);
      }
    };
    __decorate([core_1.ViewChild('colEle'), __metadata('design:type', core_1.ElementRef)], PickerColumnCmp.prototype, "colEle", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Object)], PickerColumnCmp.prototype, "col", void 0);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], PickerColumnCmp.prototype, "ionChange", void 0);
    PickerColumnCmp = __decorate([core_1.Component({
      selector: '.picker-col',
      template: "\n    <div *ngIf=\"col.prefix\" class=\"picker-prefix\" [style.width]=\"col.prefixWidth\">{{col.prefix}}</div>\n    <div class=\"picker-opts\" #colEle [style.width]=\"col.optionsWidth\">\n      <button *ngFor=\"let o of col.options; let i=index\" [style.transform]=\"o._trans\" [style.transitionDuration]=\"o._dur\" [style.webkitTransform]=\"o._trans\" [style.webkitTransitionDuration]=\"o._dur\" [class.picker-opt-selected]=\"col.selectedIndex === i\" [class.picker-opt-disabled]=\"o.disabled\" (click)=\"optClick($event, i)\" type=\"button\" category=\"picker-opt\">\n        {{o.text}}\n      </button>\n    </div>\n    <div *ngIf=\"col.suffix\" class=\"picker-suffix\" [style.width]=\"col.suffixWidth\">{{col.suffix}}</div>\n  ",
      directives: [common_1.NgFor, common_1.NgIf],
      host: {
        '[style.min-width]': 'col.columnWidth',
        '[class.picker-opts-left]': 'col.align=="left"',
        '[class.picker-opts-right]': 'col.align=="right"'
      }
    }), __metadata('design:paramtypes', [config_1.Config, core_1.ElementRef, platform_browser_1.DomSanitizationService])], PickerColumnCmp);
    return PickerColumnCmp;
  }());
  exports.PickerColumnCmp = PickerColumnCmp;
  var PickerCmp = (function() {
    function PickerCmp(_viewCtrl, _elementRef, _config, params, renderer) {
      this._viewCtrl = _viewCtrl;
      this._elementRef = _elementRef;
      this._config = _config;
      this.d = params.data;
      if (this.d.cssClass) {
        this.d.cssClass.split(' ').forEach(function(cssClass) {
          renderer.setElementClass(_elementRef.nativeElement, cssClass, true);
        });
      }
      this.id = (++pickerIds);
      this.lastClick = 0;
    }
    PickerCmp.prototype.ionViewLoaded = function() {
      var data = this.d;
      data.buttons = data.buttons.map(function(button) {
        if (util_1.isString(button)) {
          return {text: button};
        }
        if (button.role) {
          button.cssRole = "picker-toolbar-" + button.role;
        }
        return button;
      });
      data.columns = data.columns.map(function(column) {
        if (!util_1.isPresent(column.columnWidth)) {
          column.columnWidth = (100 / data.columns.length) + '%';
        }
        if (!util_1.isPresent(column.options)) {
          column.options = [];
        }
        column.options = column.options.map(function(inputOpt) {
          var opt = {
            text: '',
            value: '',
            disabled: inputOpt.disabled
          };
          if (util_1.isPresent(inputOpt)) {
            if (util_1.isString(inputOpt) || util_1.isNumber(inputOpt)) {
              opt.text = inputOpt.toString();
              opt.value = inputOpt;
            } else {
              opt.text = util_1.isPresent(inputOpt.text) ? inputOpt.text : inputOpt.value;
              opt.value = util_1.isPresent(inputOpt.value) ? inputOpt.value : inputOpt.text;
            }
          }
          return opt;
        });
        return column;
      });
    };
    PickerCmp.prototype.refresh = function() {
      this._cols.forEach(function(column) {
        column.refresh();
      });
    };
    PickerCmp.prototype._colChange = function(selectedOption) {
      var picker = this._viewCtrl;
      picker.ionChange.emit(this.getSelected());
    };
    PickerCmp.prototype._keyUp = function(ev) {
      if (this.enabled && this._viewCtrl.isLast()) {
        if (ev.keyCode === key_1.Key.ENTER) {
          if (this.lastClick + 1000 < Date.now()) {
            void 0;
            var button = this.d.buttons[this.d.buttons.length - 1];
            this.btnClick(button);
          }
        } else if (ev.keyCode === key_1.Key.ESCAPE) {
          void 0;
          this.bdClick();
        }
      }
    };
    PickerCmp.prototype.ionViewDidEnter = function() {
      var activeElement = document.activeElement;
      if (activeElement) {
        activeElement.blur();
      }
      var focusableEle = this._elementRef.nativeElement.querySelector('button');
      if (focusableEle) {
        focusableEle.focus();
      }
      this.enabled = true;
    };
    PickerCmp.prototype.btnClick = function(button, dismissDelay) {
      var _this = this;
      if (!this.enabled) {
        return;
      }
      this.lastClick = Date.now();
      var shouldDismiss = true;
      if (button.handler) {
        if (button.handler(this.getSelected()) === false) {
          shouldDismiss = false;
        }
      }
      if (shouldDismiss) {
        setTimeout(function() {
          _this.dismiss(button.role);
        }, dismissDelay || this._config.get('pageTransitionDelay'));
      }
    };
    PickerCmp.prototype.bdClick = function() {
      if (this.enabled && this.d.enableBackdropDismiss) {
        this.dismiss('backdrop');
      }
    };
    PickerCmp.prototype.dismiss = function(role) {
      return this._viewCtrl.dismiss(this.getSelected(), role);
    };
    PickerCmp.prototype.getSelected = function() {
      var selected = {};
      this.d.columns.forEach(function(col, index) {
        var selectedColumn = col.options[col.selectedIndex];
        selected[col.name] = {
          text: selectedColumn ? selectedColumn.text : null,
          value: selectedColumn ? selectedColumn.value : null,
          columnIndex: index
        };
      });
      return selected;
    };
    __decorate([core_1.ViewChildren(PickerColumnCmp), __metadata('design:type', core_1.QueryList)], PickerCmp.prototype, "_cols", void 0);
    __decorate([core_1.HostListener('body:keyup', ['$event']), __metadata('design:type', Function), __metadata('design:paramtypes', [KeyboardEvent]), __metadata('design:returntype', void 0)], PickerCmp.prototype, "_keyUp", null);
    PickerCmp = __decorate([core_1.Component({
      selector: 'ion-picker-cmp',
      template: "\n    <ion-backdrop (click)=\"bdClick()\"></ion-backdrop>\n    <div class=\"picker-wrapper\">\n      <div class=\"picker-toolbar\">\n        <div *ngFor=\"let b of d.buttons\" class=\"picker-toolbar-button\" [ngClass]=\"b.cssRole\">\n          <button (click)=\"btnClick(b)\" [ngClass]=\"b.cssClass\" class=\"picker-button\" clear>\n            {{b.text}}\n          </button>\n        </div>\n      </div>\n      <div class=\"picker-columns\">\n        <div class=\"picker-above-highlight\"></div>\n        <div *ngFor=\"let c of d.columns\" [col]=\"c\" class=\"picker-col\" (ionChange)=\"_colChange($event)\"></div>\n        <div class=\"picker-below-highlight\"></div>\n      </div>\n    </div>\n  ",
      directives: [backdrop_1.Backdrop, common_1.NgClass, common_1.NgFor, PickerColumnCmp],
      host: {'role': 'dialog'},
      encapsulation: core_1.ViewEncapsulation.None
    }), __metadata('design:paramtypes', [view_controller_1.ViewController, core_1.ElementRef, config_1.Config, nav_params_1.NavParams, core_1.Renderer])], PickerCmp);
    return PickerCmp;
  }());
  exports.PickerCmp = PickerCmp;
  var PickerSlideIn = (function(_super) {
    __extends(PickerSlideIn, _super);
    function PickerSlideIn(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = enteringView.pageRef().nativeElement;
      var backdrop = new animation_1.Animation(ele.querySelector('ion-backdrop'));
      var wrapper = new animation_1.Animation(ele.querySelector('.picker-wrapper'));
      backdrop.fromTo('opacity', 0.01, 0.26);
      wrapper.fromTo('translateY', '100%', '0%');
      this.easing('cubic-bezier(.36,.66,.04,1)').duration(400).add(backdrop).add(wrapper);
    }
    return PickerSlideIn;
  }(transition_1.Transition));
  transition_1.Transition.register('picker-slide-in', PickerSlideIn);
  var PickerSlideOut = (function(_super) {
    __extends(PickerSlideOut, _super);
    function PickerSlideOut(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = leavingView.pageRef().nativeElement;
      var backdrop = new animation_1.Animation(ele.querySelector('ion-backdrop'));
      var wrapper = new animation_1.Animation(ele.querySelector('.picker-wrapper'));
      backdrop.fromTo('opacity', 0.26, 0);
      wrapper.fromTo('translateY', '0%', '100%');
      this.easing('cubic-bezier(.36,.66,.04,1)').duration(450).add(backdrop).add(wrapper);
    }
    return PickerSlideOut;
  }(transition_1.Transition));
  transition_1.Transition.register('picker-slide-out', PickerSlideOut);
  var pickerIds = -1;
  var DECELERATION_FRICTION = 0.97;
  var FRAME_MS = (1000 / 60);
  return module.exports;
});

System.registerDynamic("ionic-angular/components/picker/picker.js", ["@angular/core", "../app/app", "../../util/util", "./picker-component", "../nav/view-controller"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var app_1 = $__require('../app/app');
  var util_1 = $__require('../../util/util');
  var picker_component_1 = $__require('./picker-component');
  var view_controller_1 = $__require('../nav/view-controller');
  var Picker = (function(_super) {
    __extends(Picker, _super);
    function Picker(app, opts) {
      if (opts === void 0) {
        opts = {};
      }
      opts.columns = opts.columns || [];
      opts.buttons = opts.buttons || [];
      opts.enableBackdropDismiss = util_1.isPresent(opts.enableBackdropDismiss) ? !!opts.enableBackdropDismiss : true;
      _super.call(this, picker_component_1.PickerCmp, opts);
      this._app = app;
      this.isOverlay = true;
      this.ionChange = new core_1.EventEmitter();
      this.fireOtherLifecycles = false;
    }
    Picker.prototype.getTransitionName = function(direction) {
      var key = (direction === 'back' ? 'pickerLeave' : 'pickerEnter');
      return this._nav && this._nav.config.get(key);
    };
    Picker.prototype.addButton = function(button) {
      this.data.buttons.push(button);
    };
    Picker.prototype.addColumn = function(column) {
      this.data.columns.push(column);
    };
    Picker.prototype.getColumns = function() {
      return this.data.columns;
    };
    Picker.prototype.refresh = function() {
      this.instance.refresh && this.instance.refresh();
    };
    Picker.prototype.setCssClass = function(cssClass) {
      this.data.cssClass = cssClass;
    };
    Picker.prototype.present = function(navOptions) {
      if (navOptions === void 0) {
        navOptions = {};
      }
      return this._app.present(this, navOptions);
    };
    Picker.create = function(opt) {
      void 0;
    };
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], Picker.prototype, "ionChange", void 0);
    return Picker;
  }(view_controller_1.ViewController));
  exports.Picker = Picker;
  var PickerController = (function() {
    function PickerController(_app) {
      this._app = _app;
    }
    PickerController.prototype.create = function(opts) {
      if (opts === void 0) {
        opts = {};
      }
      return new Picker(this._app, opts);
    };
    PickerController = __decorate([core_1.Injectable(), __metadata('design:paramtypes', [app_1.App])], PickerController);
    return PickerController;
  }());
  exports.PickerController = PickerController;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/backdrop/backdrop.js", ["@angular/core", "../../gestures/gesture-controller", "../../util/util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var gesture_controller_1 = $__require('../../gestures/gesture-controller');
  var util_1 = $__require('../../util/util');
  var Backdrop = (function() {
    function Backdrop(_gestureCtrl, _elementRef) {
      this._gestureCtrl = _gestureCtrl;
      this._elementRef = _elementRef;
      this._gestureID = null;
      this.disableScroll = true;
    }
    Backdrop.prototype.ngOnInit = function() {
      if (util_1.isTrueProperty(this.disableScroll)) {
        this._gestureID = this._gestureCtrl.newID();
        this._gestureCtrl.disableScroll(this._gestureID);
      }
    };
    Backdrop.prototype.ngOnDestroy = function() {
      if (this._gestureID) {
        this._gestureCtrl.enableScroll(this._gestureID);
      }
    };
    Backdrop.prototype.getNativeElement = function() {
      return this._elementRef.nativeElement;
    };
    __decorate([core_1.Input(), __metadata('design:type', Object)], Backdrop.prototype, "disableScroll", void 0);
    Backdrop = __decorate([core_1.Directive({
      selector: 'ion-backdrop',
      host: {
        'role': 'presentation',
        'tappable': '',
        'disable-activated': ''
      }
    }), __metadata('design:paramtypes', [gesture_controller_1.GestureController, core_1.ElementRef])], Backdrop);
    return Backdrop;
  }());
  exports.Backdrop = Backdrop;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/popover/popover-component.js", ["@angular/core", "../../config/bootstrap", "../../animations/animation", "../backdrop/backdrop", "../../config/config", "../../util/dom", "../../util/key", "../nav/nav-params", "../../transitions/page-transition", "../nav/view-controller"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var bootstrap_1 = $__require('../../config/bootstrap');
  var animation_1 = $__require('../../animations/animation');
  var backdrop_1 = $__require('../backdrop/backdrop');
  var config_1 = $__require('../../config/config');
  var dom_1 = $__require('../../util/dom');
  var key_1 = $__require('../../util/key');
  var nav_params_1 = $__require('../nav/nav-params');
  var page_transition_1 = $__require('../../transitions/page-transition');
  var view_controller_1 = $__require('../nav/view-controller');
  var PopoverCmp = (function() {
    function PopoverCmp(_compiler, _elementRef, _renderer, _config, _navParams, _viewCtrl) {
      this._compiler = _compiler;
      this._elementRef = _elementRef;
      this._renderer = _renderer;
      this._config = _config;
      this._navParams = _navParams;
      this._viewCtrl = _viewCtrl;
      this.d = _navParams.data.opts;
      if (this.d.cssClass) {
        _renderer.setElementClass(_elementRef.nativeElement, this.d.cssClass, true);
      }
      this.id = (++popoverIds);
    }
    PopoverCmp.prototype.ionViewWillEnter = function() {
      var _this = this;
      bootstrap_1.addSelector(this._navParams.data.componentType, 'ion-popover-inner');
      this._compiler.resolveComponent(this._navParams.data.componentType).then(function(componentFactory) {
        var componentRef = _this.viewport.createComponent(componentFactory, _this.viewport.length, _this.viewport.parentInjector);
        _this._viewCtrl.setInstance(componentRef.instance);
        _this._viewCtrl.fireWillEnter();
      });
    };
    PopoverCmp.prototype.ngAfterViewInit = function() {
      var activeElement = document.activeElement;
      if (document.activeElement) {
        activeElement.blur();
      }
      this.enabled = true;
    };
    PopoverCmp.prototype.dismiss = function(role) {
      return this._viewCtrl.dismiss(null, role);
    };
    PopoverCmp.prototype.bdTouch = function(ev) {
      ev.preventDefault();
      ev.stopPropagation();
    };
    PopoverCmp.prototype.bdClick = function() {
      if (this.enabled && this.d.enableBackdropDismiss) {
        this.dismiss('backdrop');
      }
    };
    PopoverCmp.prototype._keyUp = function(ev) {
      if (this.enabled && ev.keyCode === key_1.Key.ESCAPE && this._viewCtrl.isLast()) {
        this.bdClick();
      }
    };
    __decorate([core_1.ViewChild('viewport', {read: core_1.ViewContainerRef}), __metadata('design:type', core_1.ViewContainerRef)], PopoverCmp.prototype, "viewport", void 0);
    __decorate([core_1.HostListener('body:keyup', ['$event']), __metadata('design:type', Function), __metadata('design:paramtypes', [KeyboardEvent]), __metadata('design:returntype', void 0)], PopoverCmp.prototype, "_keyUp", null);
    PopoverCmp = __decorate([core_1.Component({
      selector: 'ion-popover',
      template: "\n    <ion-backdrop (click)=\"bdClick($event)\" [class.hide-backdrop]=\"!d.showBackdrop\"></ion-backdrop>\n    <div class=\"popover-wrapper\">\n      <div class=\"popover-arrow\"></div>\n      <div class=\"popover-content\">\n        <div class=\"popover-viewport\">\n          <div #viewport nav-viewport></div>\n        </div>\n      </div>\n    </div>\n  ",
      directives: [backdrop_1.Backdrop]
    }), __metadata('design:paramtypes', [core_1.ComponentResolver, core_1.ElementRef, core_1.Renderer, config_1.Config, nav_params_1.NavParams, view_controller_1.ViewController])], PopoverCmp);
    return PopoverCmp;
  }());
  exports.PopoverCmp = PopoverCmp;
  var PopoverTransition = (function(_super) {
    __extends(PopoverTransition, _super);
    function PopoverTransition(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
    }
    PopoverTransition.prototype.mdPositionView = function(nativeEle, ev) {
      var originY = 'top';
      var originX = 'left';
      var popoverWrapperEle = nativeEle.querySelector('.popover-wrapper');
      var popoverEle = nativeEle.querySelector('.popover-content');
      var popoverDim = popoverEle.getBoundingClientRect();
      var popoverWidth = popoverDim.width;
      var popoverHeight = popoverDim.height;
      var bodyWidth = window.innerWidth;
      var bodyHeight = window.innerHeight;
      var targetDim = ev && ev.target && ev.target.getBoundingClientRect();
      var targetTop = (targetDim && 'top' in targetDim) ? targetDim.top : (bodyHeight / 2) - (popoverHeight / 2);
      var targetLeft = (targetDim && 'left' in targetDim) ? targetDim.left : (bodyWidth / 2) - (popoverWidth / 2);
      var targetWidth = targetDim && targetDim.width || 0;
      var targetHeight = targetDim && targetDim.height || 0;
      var popoverCSS = {
        top: targetTop,
        left: targetLeft
      };
      if (popoverCSS.left < POPOVER_MD_BODY_PADDING) {
        popoverCSS.left = POPOVER_MD_BODY_PADDING;
      } else if (popoverWidth + POPOVER_MD_BODY_PADDING + popoverCSS.left > bodyWidth) {
        popoverCSS.left = bodyWidth - popoverWidth - POPOVER_MD_BODY_PADDING;
        originX = 'right';
      }
      if (targetTop + targetHeight + popoverHeight > bodyHeight && targetTop - popoverHeight > 0) {
        popoverCSS.top = targetTop - popoverHeight;
        nativeEle.className = nativeEle.className + ' popover-bottom';
        originY = 'bottom';
      } else if (targetTop + targetHeight + popoverHeight > bodyHeight) {
        popoverEle.style.bottom = POPOVER_MD_BODY_PADDING + 'px';
      }
      popoverEle.style.top = popoverCSS.top + 'px';
      popoverEle.style.left = popoverCSS.left + 'px';
      popoverEle.style[dom_1.CSS.transformOrigin] = originY + ' ' + originX;
      popoverWrapperEle.style.opacity = '1';
    };
    PopoverTransition.prototype.iosPositionView = function(nativeEle, ev) {
      var originY = 'top';
      var originX = 'left';
      var popoverWrapperEle = nativeEle.querySelector('.popover-wrapper');
      var popoverEle = nativeEle.querySelector('.popover-content');
      var popoverDim = popoverEle.getBoundingClientRect();
      var popoverWidth = popoverDim.width;
      var popoverHeight = popoverDim.height;
      var bodyWidth = window.innerWidth;
      var bodyHeight = window.innerHeight;
      var targetDim = ev && ev.target && ev.target.getBoundingClientRect();
      var targetTop = (targetDim && 'top' in targetDim) ? targetDim.top : (bodyHeight / 2) - (popoverHeight / 2);
      var targetLeft = (targetDim && 'left' in targetDim) ? targetDim.left : (bodyWidth / 2);
      var targetWidth = targetDim && targetDim.width || 0;
      var targetHeight = targetDim && targetDim.height || 0;
      var arrowEle = nativeEle.querySelector('.popover-arrow');
      var arrowDim = arrowEle.getBoundingClientRect();
      var arrowWidth = arrowDim.width;
      var arrowHeight = arrowDim.height;
      if (!targetDim) {
        arrowEle.style.display = 'none';
      }
      var arrowCSS = {
        top: targetTop + targetHeight,
        left: targetLeft + (targetWidth / 2) - (arrowWidth / 2)
      };
      var popoverCSS = {
        top: targetTop + targetHeight + (arrowHeight - 1),
        left: targetLeft + (targetWidth / 2) - (popoverWidth / 2)
      };
      if (popoverCSS.left < POPOVER_IOS_BODY_PADDING) {
        popoverCSS.left = POPOVER_IOS_BODY_PADDING;
      } else if (popoverWidth + POPOVER_IOS_BODY_PADDING + popoverCSS.left > bodyWidth) {
        popoverCSS.left = bodyWidth - popoverWidth - POPOVER_IOS_BODY_PADDING;
        originX = 'right';
      }
      if (targetTop + targetHeight + popoverHeight > bodyHeight && targetTop - popoverHeight > 0) {
        arrowCSS.top = targetTop - (arrowHeight + 1);
        popoverCSS.top = targetTop - popoverHeight - (arrowHeight - 1);
        nativeEle.className = nativeEle.className + ' popover-bottom';
        originY = 'bottom';
      } else if (targetTop + targetHeight + popoverHeight > bodyHeight) {
        popoverEle.style.bottom = POPOVER_IOS_BODY_PADDING + '%';
      }
      arrowEle.style.top = arrowCSS.top + 'px';
      arrowEle.style.left = arrowCSS.left + 'px';
      popoverEle.style.top = popoverCSS.top + 'px';
      popoverEle.style.left = popoverCSS.left + 'px';
      popoverEle.style[dom_1.CSS.transformOrigin] = originY + ' ' + originX;
      popoverWrapperEle.style.opacity = '1';
    };
    return PopoverTransition;
  }(page_transition_1.PageTransition));
  var PopoverPopIn = (function(_super) {
    __extends(PopoverPopIn, _super);
    function PopoverPopIn(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      this.opts = opts;
      var ele = enteringView.pageRef().nativeElement;
      var backdrop = new animation_1.Animation(ele.querySelector('ion-backdrop'));
      var wrapper = new animation_1.Animation(ele.querySelector('.popover-wrapper'));
      wrapper.fromTo('opacity', 0.01, 1);
      backdrop.fromTo('opacity', 0.01, 0.08);
      this.easing('ease').duration(100).add(backdrop).add(wrapper);
    }
    PopoverPopIn.prototype.play = function() {
      var _this = this;
      dom_1.nativeRaf(function() {
        _this.iosPositionView(_this.enteringView.pageRef().nativeElement, _this.opts.ev);
        _super.prototype.play.call(_this);
      });
    };
    return PopoverPopIn;
  }(PopoverTransition));
  page_transition_1.PageTransition.register('popover-pop-in', PopoverPopIn);
  var PopoverPopOut = (function(_super) {
    __extends(PopoverPopOut, _super);
    function PopoverPopOut(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      this.opts = opts;
      var ele = leavingView.pageRef().nativeElement;
      var backdrop = new animation_1.Animation(ele.querySelector('ion-backdrop'));
      var wrapper = new animation_1.Animation(ele.querySelector('.popover-wrapper'));
      wrapper.fromTo('opacity', 0.99, 0);
      backdrop.fromTo('opacity', 0.08, 0);
      this.easing('ease').duration(500).add(backdrop).add(wrapper);
    }
    return PopoverPopOut;
  }(PopoverTransition));
  page_transition_1.PageTransition.register('popover-pop-out', PopoverPopOut);
  var PopoverMdPopIn = (function(_super) {
    __extends(PopoverMdPopIn, _super);
    function PopoverMdPopIn(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      this.opts = opts;
      var ele = enteringView.pageRef().nativeElement;
      var content = new animation_1.Animation(ele.querySelector('.popover-content'));
      var viewport = new animation_1.Animation(ele.querySelector('.popover-viewport'));
      content.fromTo('scale', 0.001, 1);
      viewport.fromTo('opacity', 0.01, 1);
      this.easing('cubic-bezier(0.36,0.66,0.04,1)').duration(300).add(content).add(viewport);
    }
    PopoverMdPopIn.prototype.play = function() {
      var _this = this;
      dom_1.nativeRaf(function() {
        _this.mdPositionView(_this.enteringView.pageRef().nativeElement, _this.opts.ev);
        _super.prototype.play.call(_this);
      });
    };
    return PopoverMdPopIn;
  }(PopoverTransition));
  page_transition_1.PageTransition.register('popover-md-pop-in', PopoverMdPopIn);
  var PopoverMdPopOut = (function(_super) {
    __extends(PopoverMdPopOut, _super);
    function PopoverMdPopOut(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      this.opts = opts;
      var ele = leavingView.pageRef().nativeElement;
      var wrapper = new animation_1.Animation(ele.querySelector('.popover-wrapper'));
      wrapper.fromTo('opacity', 0.99, 0);
      this.easing('ease').duration(500).fromTo('opacity', 0.01, 1).add(wrapper);
    }
    return PopoverMdPopOut;
  }(PopoverTransition));
  page_transition_1.PageTransition.register('popover-md-pop-out', PopoverMdPopOut);
  var popoverIds = -1;
  var POPOVER_IOS_BODY_PADDING = 2;
  var POPOVER_MD_BODY_PADDING = 12;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/popover/popover.js", ["@angular/core", "../app/app", "../../util/util", "./popover-component", "../nav/view-controller"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var app_1 = $__require('../app/app');
  var util_1 = $__require('../../util/util');
  var popover_component_1 = $__require('./popover-component');
  var view_controller_1 = $__require('../nav/view-controller');
  var Popover = (function(_super) {
    __extends(Popover, _super);
    function Popover(app, componentType, data, opts) {
      if (data === void 0) {
        data = {};
      }
      if (opts === void 0) {
        opts = {};
      }
      opts.showBackdrop = util_1.isPresent(opts.showBackdrop) ? !!opts.showBackdrop : true;
      opts.enableBackdropDismiss = util_1.isPresent(opts.enableBackdropDismiss) ? !!opts.enableBackdropDismiss : true;
      data.componentType = componentType;
      data.opts = opts;
      _super.call(this, popover_component_1.PopoverCmp, data);
      this._app = app;
      this.isOverlay = true;
      this.fireOtherLifecycles = false;
    }
    Popover.prototype.getTransitionName = function(direction) {
      var key = (direction === 'back' ? 'popoverLeave' : 'popoverEnter');
      return this._nav && this._nav.config.get(key);
    };
    Popover.prototype.present = function(navOptions) {
      if (navOptions === void 0) {
        navOptions = {};
      }
      return this._app.present(this, navOptions);
    };
    Popover.create = function(componentType, data, opts) {
      if (data === void 0) {
        data = {};
      }
      if (opts === void 0) {
        opts = {};
      }
      void 0;
    };
    return Popover;
  }(view_controller_1.ViewController));
  exports.Popover = Popover;
  var PopoverController = (function() {
    function PopoverController(_app) {
      this._app = _app;
    }
    PopoverController.prototype.create = function(componentType, data, opts) {
      if (data === void 0) {
        data = {};
      }
      if (opts === void 0) {
        opts = {};
      }
      return new Popover(this._app, componentType, data, opts);
    };
    PopoverController = __decorate([core_1.Injectable(), __metadata('design:paramtypes', [app_1.App])], PopoverController);
    return PopoverController;
  }());
  exports.PopoverController = PopoverController;
  return module.exports;
});

System.registerDynamic("ionic-angular/util/scroll-view.js", ["../util/dom"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var dom_1 = $__require('../util/dom');
  var ScrollView = (function() {
    function ScrollView(ele) {
      this._js = false;
      this._top = 0;
      this._el = ele;
    }
    ScrollView.prototype.getTop = function() {
      if (this._js) {
        return this._top;
      }
      return this._top = this._el.scrollTop;
    };
    ScrollView.prototype.setTop = function(top) {
      this._top = top;
      if (this._js) {
        this._el.style[dom_1.CSS.transform] = "translate3d(0px," + top * -1 + "px,0px)";
      } else {
        this._el.scrollTop = top;
      }
    };
    ScrollView.prototype.scrollTo = function(x, y, duration) {
      var self = this;
      if (!self._el) {
        return Promise.resolve();
      }
      x = x || 0;
      y = y || 0;
      var fromY = self._el.scrollTop;
      var fromX = self._el.scrollLeft;
      var xDistance = Math.abs(x - fromX);
      var yDistance = Math.abs(y - fromY);
      var maxAttempts = (duration / 16) + 100;
      return new Promise(function(resolve) {
        var startTime;
        var attempts = 0;
        function step() {
          attempts++;
          if (!self._el || !self.isPlaying || attempts > maxAttempts) {
            self.isPlaying = false;
            resolve();
            return;
          }
          var time = Math.min(1, ((Date.now() - startTime) / duration));
          var easedT = (--time) * time * time + 1;
          if (fromY !== y) {
            self.setTop((easedT * (y - fromY)) + fromY);
          }
          if (fromX !== x) {
            self._el.scrollLeft = Math.floor((easedT * (x - fromX)) + fromX);
          }
          if (easedT < 1) {
            dom_1.nativeRaf(step);
          } else {
            resolve();
          }
        }
        self.isPlaying = true;
        dom_1.nativeRaf(function() {
          startTime = Date.now();
          dom_1.nativeRaf(step);
        });
      });
    };
    ScrollView.prototype.scrollToTop = function(duration) {
      return this.scrollTo(0, 0, duration);
    };
    ScrollView.prototype.scrollToBottom = function(duration) {
      var y = 0;
      if (this._el) {
        y = this._el.scrollHeight - this._el.clientHeight;
      }
      return this.scrollTo(0, y, duration);
    };
    ScrollView.prototype.stop = function() {
      this.isPlaying = false;
    };
    ScrollView.prototype.jsScroll = function(onScrollCallback) {
      var _this = this;
      this._js = true;
      this._cb = onScrollCallback;
      this._pos = [];
      if (this._el) {
        this._el.addEventListener('touchstart', this._start.bind(this));
        this._el.addEventListener('touchmove', this._move.bind(this));
        this._el.addEventListener('touchend', this._end.bind(this));
        this._el.parentElement.classList.add('js-scroll');
      }
      return function() {
        if (_this._el) {
          _this._el.removeEventListener('touchstart', _this._start.bind(_this));
          _this._el.removeEventListener('touchmove', _this._move.bind(_this));
          _this._el.removeEventListener('touchend', _this._end.bind(_this));
          _this._el.parentElement.classList.remove('js-scroll');
        }
      };
    };
    ScrollView.prototype._start = function(ev) {
      this._velocity = 0;
      this._pos.length = 0;
      this._max = null;
      this._pos.push(dom_1.pointerCoord(ev).y, Date.now());
    };
    ScrollView.prototype._move = function(ev) {
      if (this._pos.length) {
        var y = dom_1.pointerCoord(ev).y;
        this._setMax();
        this._top -= (y - this._pos[this._pos.length - 2]);
        this._top = Math.min(Math.max(this._top, 0), this._max);
        this._pos.push(y, Date.now());
        this._cb(this._top);
        this.setTop(this._top);
      }
    };
    ScrollView.prototype._setMax = function() {
      if (!this._max) {
        this._max = (this._el.offsetHeight - this._el.parentElement.offsetHeight + this._el.parentElement.offsetTop);
      }
    };
    ScrollView.prototype._end = function(ev) {
      var positions = this._pos;
      this._velocity = 0;
      dom_1.cancelRaf(this._rafId);
      if (!positions.length)
        return;
      var y = dom_1.pointerCoord(ev).y;
      positions.push(y, Date.now());
      var endPos = (positions.length - 1);
      var startPos = endPos;
      var timeRange = (Date.now() - 100);
      for (var i = endPos; i > 0 && positions[i] > timeRange; i -= 2) {
        startPos = i;
      }
      if (startPos !== endPos) {
        var timeOffset = (positions[endPos] - positions[startPos]);
        var movedTop = (positions[startPos - 1] - positions[endPos - 1]);
        this._velocity = ((movedTop / timeOffset) * FRAME_MS);
        if (Math.abs(this._velocity) > MIN_VELOCITY_START_DECELERATION) {
          this._setMax();
          this._rafId = dom_1.nativeRaf(this._decelerate.bind(this));
        }
      }
      positions.length = 0;
    };
    ScrollView.prototype._decelerate = function() {
      var self = this;
      if (self._velocity) {
        self._velocity *= DECELERATION_FRICTION;
        self._top = Math.min(Math.max(self._top + self._velocity, 0), self._max);
        self._cb(self._top);
        self.setTop(self._top);
        if (self._top > 0 && self._top < self._max && Math.abs(self._velocity) > MIN_VELOCITY_CONTINUE_DECELERATION) {
          self._rafId = dom_1.nativeRaf(self._decelerate.bind(self));
        }
      }
    };
    ScrollView.prototype.destroy = function() {
      this._velocity = 0;
      this.stop();
      this._el = null;
    };
    return ScrollView;
  }());
  exports.ScrollView = ScrollView;
  var MAX_VELOCITY = 150;
  var MIN_VELOCITY_START_DECELERATION = 4;
  var MIN_VELOCITY_CONTINUE_DECELERATION = 0.12;
  var DECELERATION_FRICTION = 0.97;
  var FRAME_MS = (1000 / 60);
  return module.exports;
});

System.registerDynamic("ionic-angular/components/toast/toast-component.js", ["@angular/core", "@angular/common", "../../animations/animation", "../../config/config", "../nav/nav-params", "../../transitions/transition", "../nav/view-controller"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var common_1 = $__require('@angular/common');
  var animation_1 = $__require('../../animations/animation');
  var config_1 = $__require('../../config/config');
  var nav_params_1 = $__require('../nav/nav-params');
  var transition_1 = $__require('../../transitions/transition');
  var view_controller_1 = $__require('../nav/view-controller');
  var ToastCmp = (function() {
    function ToastCmp(_viewCtrl, _config, _elementRef, params, renderer) {
      this._viewCtrl = _viewCtrl;
      this._config = _config;
      this._elementRef = _elementRef;
      this.dismissTimeout = undefined;
      this.d = params.data;
      if (this.d.cssClass) {
        renderer.setElementClass(_elementRef.nativeElement, this.d.cssClass, true);
      }
      this.id = (++toastIds);
      if (this.d.message) {
        this.hdrId = 'toast-hdr-' + this.id;
      }
    }
    ToastCmp.prototype.ngAfterViewInit = function() {
      var _this = this;
      if (this.d.duration) {
        this.dismissTimeout = setTimeout(function() {
          _this.dismiss('backdrop');
        }, this.d.duration);
      }
      this.enabled = true;
    };
    ToastCmp.prototype.ionViewDidEnter = function() {
      var activeElement = document.activeElement;
      if (activeElement) {
        activeElement.blur();
      }
      var focusableEle = this._elementRef.nativeElement.querySelector('button');
      if (focusableEle) {
        focusableEle.focus();
      }
    };
    ToastCmp.prototype.cbClick = function() {
      if (this.enabled) {
        this.dismiss('close');
      }
    };
    ToastCmp.prototype.dismiss = function(role) {
      clearTimeout(this.dismissTimeout);
      this.dismissTimeout = undefined;
      return this._viewCtrl.dismiss(null, role);
    };
    ToastCmp = __decorate([core_1.Component({
      selector: 'ion-toast',
      template: "\n    <div class=\"toast-wrapper\"\n      [class.toast-bottom]=\"d.position === 'bottom'\"\n      [class.toast-middle]=\"d.position === 'middle'\"\n      [class.toast-top]=\"d.position === 'top'\">\n      <div class=\"toast-container\">\n        <div class=\"toast-message\" id=\"{{hdrId}}\" *ngIf=\"d.message\">{{d.message}}</div>\n        <button clear class=\"toast-button\" *ngIf=\"d.showCloseButton\" (click)=\"cbClick()\">\n          {{ d.closeButtonText || 'Close' }}\n         </button>\n      </div>\n    </div>\n  ",
      directives: [common_1.NgIf],
      host: {
        'role': 'dialog',
        '[attr.aria-labelledby]': 'hdrId',
        '[attr.aria-describedby]': 'descId'
      }
    }), __metadata('design:paramtypes', [view_controller_1.ViewController, config_1.Config, core_1.ElementRef, nav_params_1.NavParams, core_1.Renderer])], ToastCmp);
    return ToastCmp;
  }());
  exports.ToastCmp = ToastCmp;
  var ToastSlideIn = (function(_super) {
    __extends(ToastSlideIn, _super);
    function ToastSlideIn(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = enteringView.pageRef().nativeElement;
      var wrapperEle = ele.querySelector('.toast-wrapper');
      var wrapper = new animation_1.Animation(wrapperEle);
      if (enteringView.data && enteringView.data.position === TOAST_POSITION_TOP) {
        wrapper.fromTo('translateY', '-100%', 10 + "px");
      } else if (enteringView.data && enteringView.data.position === TOAST_POSITION_MIDDLE) {
        var topPosition = Math.floor(ele.clientHeight / 2 - wrapperEle.clientHeight / 2);
        wrapperEle.style.top = topPosition + "px";
        wrapper.fromTo('opacity', 0.01, 1);
      } else {
        wrapper.fromTo('translateY', '100%', (0 - 10) + "px");
      }
      this.easing('cubic-bezier(.36,.66,.04,1)').duration(400).add(wrapper);
    }
    return ToastSlideIn;
  }(transition_1.Transition));
  var ToastSlideOut = (function(_super) {
    __extends(ToastSlideOut, _super);
    function ToastSlideOut(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = leavingView.pageRef().nativeElement;
      var wrapperEle = ele.querySelector('.toast-wrapper');
      var wrapper = new animation_1.Animation(wrapperEle);
      if (leavingView.data && leavingView.data.position === TOAST_POSITION_TOP) {
        wrapper.fromTo('translateY', 10 + "px", '-100%');
      } else if (leavingView.data && leavingView.data.position === TOAST_POSITION_MIDDLE) {
        wrapper.fromTo('opacity', 0.99, 0);
      } else {
        wrapper.fromTo('translateY', (0 - 10) + "px", '100%');
      }
      this.easing('cubic-bezier(.36,.66,.04,1)').duration(300).add(wrapper);
    }
    return ToastSlideOut;
  }(transition_1.Transition));
  var ToastMdSlideIn = (function(_super) {
    __extends(ToastMdSlideIn, _super);
    function ToastMdSlideIn(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = enteringView.pageRef().nativeElement;
      var wrapperEle = ele.querySelector('.toast-wrapper');
      var wrapper = new animation_1.Animation(wrapperEle);
      if (enteringView.data && enteringView.data.position === TOAST_POSITION_TOP) {
        wrapper.fromTo('translateY', '-100%', "0%");
      } else if (enteringView.data && enteringView.data.position === TOAST_POSITION_MIDDLE) {
        var topPosition = Math.floor(ele.clientHeight / 2 - wrapperEle.clientHeight / 2);
        wrapperEle.style.top = topPosition + "px";
        wrapper.fromTo('opacity', 0.01, 1);
      } else {
        wrapper.fromTo('translateY', '100%', "0%");
      }
      this.easing('cubic-bezier(.36,.66,.04,1)').duration(400).add(wrapper);
    }
    return ToastMdSlideIn;
  }(transition_1.Transition));
  var ToastMdSlideOut = (function(_super) {
    __extends(ToastMdSlideOut, _super);
    function ToastMdSlideOut(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = leavingView.pageRef().nativeElement;
      var wrapperEle = ele.querySelector('.toast-wrapper');
      var wrapper = new animation_1.Animation(wrapperEle);
      if (leavingView.data && leavingView.data.position === TOAST_POSITION_TOP) {
        wrapper.fromTo('translateY', 0 + "%", '-100%');
      } else if (leavingView.data && leavingView.data.position === TOAST_POSITION_MIDDLE) {
        wrapper.fromTo('opacity', 0.99, 0);
      } else {
        wrapper.fromTo('translateY', 0 + "%", '100%');
      }
      this.easing('cubic-bezier(.36,.66,.04,1)').duration(450).add(wrapper);
    }
    return ToastMdSlideOut;
  }(transition_1.Transition));
  var ToastWpPopIn = (function(_super) {
    __extends(ToastWpPopIn, _super);
    function ToastWpPopIn(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = enteringView.pageRef().nativeElement;
      var wrapperEle = ele.querySelector('.toast-wrapper');
      var wrapper = new animation_1.Animation(wrapperEle);
      if (enteringView.data && enteringView.data.position === TOAST_POSITION_TOP) {
        wrapper.fromTo('opacity', 0.01, 1);
        wrapper.fromTo('scale', 1.3, 1);
      } else if (enteringView.data && enteringView.data.position === TOAST_POSITION_MIDDLE) {
        var topPosition = Math.floor(ele.clientHeight / 2 - wrapperEle.clientHeight / 2);
        wrapperEle.style.top = topPosition + "px";
        wrapper.fromTo('opacity', 0.01, 1);
        wrapper.fromTo('scale', 1.3, 1);
      } else {
        wrapper.fromTo('opacity', 0.01, 1);
        wrapper.fromTo('scale', 1.3, 1);
      }
      this.easing('cubic-bezier(0,0 0.05,1)').duration(200).add(wrapper);
    }
    return ToastWpPopIn;
  }(transition_1.Transition));
  var ToastWpPopOut = (function(_super) {
    __extends(ToastWpPopOut, _super);
    function ToastWpPopOut(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var ele = leavingView.pageRef().nativeElement;
      var wrapperEle = ele.querySelector('.toast-wrapper');
      var wrapper = new animation_1.Animation(wrapperEle);
      if (leavingView.data && leavingView.data.position === TOAST_POSITION_TOP) {
        wrapper.fromTo('opacity', 0.99, 0);
        wrapper.fromTo('scale', 1, 1.3);
      } else if (leavingView.data && leavingView.data.position === TOAST_POSITION_MIDDLE) {
        wrapper.fromTo('opacity', 0.99, 0);
        wrapper.fromTo('scale', 1, 1.3);
      } else {
        wrapper.fromTo('opacity', 0.99, 0);
        wrapper.fromTo('scale', 1, 1.3);
      }
      var EASE = 'ease-out';
      var DURATION = 150;
      this.easing(EASE).duration(DURATION).add(wrapper);
    }
    return ToastWpPopOut;
  }(transition_1.Transition));
  transition_1.Transition.register('toast-slide-in', ToastSlideIn);
  transition_1.Transition.register('toast-slide-out', ToastSlideOut);
  transition_1.Transition.register('toast-md-slide-in', ToastMdSlideIn);
  transition_1.Transition.register('toast-md-slide-out', ToastMdSlideOut);
  transition_1.Transition.register('toast-wp-slide-out', ToastWpPopOut);
  transition_1.Transition.register('toast-wp-slide-in', ToastWpPopIn);
  var toastIds = -1;
  var TOAST_POSITION_TOP = 'top';
  var TOAST_POSITION_MIDDLE = 'middle';
  var TOAST_POSITION_BOTTOM = 'bottom';
  return module.exports;
});

System.registerDynamic("ionic-angular/components/toast/toast.js", ["@angular/core", "../app/app", "../../util/util", "./toast-component", "../nav/view-controller"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var app_1 = $__require('../app/app');
  var util_1 = $__require('../../util/util');
  var toast_component_1 = $__require('./toast-component');
  var view_controller_1 = $__require('../nav/view-controller');
  var Toast = (function(_super) {
    __extends(Toast, _super);
    function Toast(app, opts) {
      if (opts === void 0) {
        opts = {};
      }
      opts.dismissOnPageChange = util_1.isPresent(opts.dismissOnPageChange) ? !!opts.dismissOnPageChange : false;
      _super.call(this, toast_component_1.ToastCmp, opts);
      this._app = app;
      if (!opts.position || !this.isValidPosition(opts.position)) {
        opts.position = TOAST_POSITION_BOTTOM;
      }
      this.isOverlay = true;
      this.fireOtherLifecycles = false;
    }
    Toast.prototype.getTransitionName = function(direction) {
      var key = 'toast' + (direction === 'back' ? 'Leave' : 'Enter');
      return this._nav && this._nav.config.get(key);
    };
    Toast.prototype.isValidPosition = function(position) {
      return position === TOAST_POSITION_TOP || position === TOAST_POSITION_MIDDLE || position === TOAST_POSITION_BOTTOM;
    };
    Toast.prototype.setMessage = function(message) {
      this.data.message = message;
    };
    Toast.prototype.present = function(navOptions) {
      if (navOptions === void 0) {
        navOptions = {};
      }
      return this._app.present(this, navOptions);
    };
    Toast.create = function(opt) {
      void 0;
    };
    return Toast;
  }(view_controller_1.ViewController));
  exports.Toast = Toast;
  var ToastController = (function() {
    function ToastController(_app) {
      this._app = _app;
    }
    ToastController.prototype.create = function(opts) {
      if (opts === void 0) {
        opts = {};
      }
      return new Toast(this._app, opts);
    };
    ToastController = __decorate([core_1.Injectable(), __metadata('design:paramtypes', [app_1.App])], ToastController);
    return ToastController;
  }());
  exports.ToastController = ToastController;
  var TOAST_POSITION_TOP = 'top';
  var TOAST_POSITION_MIDDLE = 'middle';
  var TOAST_POSITION_BOTTOM = 'bottom';
  return module.exports;
});

System.registerDynamic("ionic-angular/translation/translate.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var Translate = (function() {
    function Translate() {
      this._transMap = {};
      this._language = {};
    }
    Translate.prototype.translations = function(lang, map) {
      this._transMap[lang] = map;
    };
    Translate.prototype.setLanguage = function(lang) {
      this._language = lang;
    };
    Translate.prototype.getTranslations = function(lang) {
      return this._transMap[lang];
    };
    Translate.prototype.translate = function(key, lang) {
      if (!lang && !this._language) {
        return key;
      }
      var setLanguage = lang || this._language;
      var map = this.getTranslations(setLanguage);
      if (!map) {
        void 0;
        return '';
      }
      return this._getTranslation(map, key);
    };
    Translate.prototype._getTranslation = function(map, key) {
      return map && map[key] || '';
    };
    return Translate;
  }());
  exports.Translate = Translate;
  return module.exports;
});

System.registerDynamic("ionic-angular/config/providers.js", ["@angular/core", "@angular/forms", "@angular/http", "../components/action-sheet/action-sheet", "../components/alert/alert", "../components/app/app", "./config", "../util/dom", "../util/events", "../util/feature-detect", "../util/form", "../gestures/gesture-controller", "./directives", "../util/util", "../util/keyboard", "../components/loading/loading", "../components/menu/menu-controller", "../components/modal/modal", "../components/picker/picker", "../platform/platform", "../components/popover/popover", "../util/scroll-view", "../components/tap-click/tap-click", "../components/toast/toast", "../translation/translate"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var forms_1 = $__require('@angular/forms');
  var http_1 = $__require('@angular/http');
  var action_sheet_1 = $__require('../components/action-sheet/action-sheet');
  var alert_1 = $__require('../components/alert/alert');
  var app_1 = $__require('../components/app/app');
  var config_1 = $__require('./config');
  var dom_1 = $__require('../util/dom');
  var events_1 = $__require('../util/events');
  var feature_detect_1 = $__require('../util/feature-detect');
  var form_1 = $__require('../util/form');
  var gesture_controller_1 = $__require('../gestures/gesture-controller');
  var directives_1 = $__require('./directives');
  var util_1 = $__require('../util/util');
  var keyboard_1 = $__require('../util/keyboard');
  var loading_1 = $__require('../components/loading/loading');
  var menu_controller_1 = $__require('../components/menu/menu-controller');
  var modal_1 = $__require('../components/modal/modal');
  var picker_1 = $__require('../components/picker/picker');
  var platform_1 = $__require('../platform/platform');
  var popover_1 = $__require('../components/popover/popover');
  var scroll_view_1 = $__require('../util/scroll-view');
  var tap_click_1 = $__require('../components/tap-click/tap-click');
  var toast_1 = $__require('../components/toast/toast');
  var translate_1 = $__require('../translation/translate');
  function ionicProviders(customProviders, config) {
    if (!(config instanceof config_1.Config)) {
      config = new config_1.Config(config);
    }
    if (config.getBoolean('prodMode')) {
      core_1.enableProdMode();
    }
    var platform = new platform_1.Platform();
    platform.setUrl(window.location.href);
    platform.setUserAgent(window.navigator.userAgent);
    platform.setNavigatorPlatform(window.navigator.platform);
    platform.load();
    config.setPlatform(platform);
    var events = new events_1.Events();
    var featureDetect = new feature_detect_1.FeatureDetect();
    setupDom(window, document, config, platform, featureDetect);
    bindEvents(window, document, platform, events);
    var providers = [action_sheet_1.ActionSheetController, alert_1.AlertController, app_1.App, core_1.provide(config_1.Config, {useValue: config}), forms_1.disableDeprecatedForms(), core_1.provide(events_1.Events, {useValue: events}), core_1.provide(feature_detect_1.FeatureDetect, {useValue: featureDetect}), form_1.Form, gesture_controller_1.GestureController, http_1.HTTP_PROVIDERS, keyboard_1.Keyboard, loading_1.LoadingController, menu_controller_1.MenuController, modal_1.ModalController, picker_1.PickerController, popover_1.PopoverController, core_1.provide(platform_1.Platform, {useValue: platform}), core_1.provide(core_1.PLATFORM_DIRECTIVES, {
      useValue: directives_1.IONIC_DIRECTIVES,
      multi: true
    }), forms_1.provideForms(), tap_click_1.TapClick, toast_1.ToastController, translate_1.Translate];
    if (util_1.isPresent(customProviders)) {
      providers.push(customProviders);
    }
    return providers;
  }
  exports.ionicProviders = ionicProviders;
  function setupDom(window, document, config, platform, featureDetect) {
    var bodyEle = document.body;
    var mode = config.get('mode');
    var modeLinkAttr = mode + '-href';
    var linkEle = document.head.querySelector('link[' + modeLinkAttr + ']');
    if (linkEle) {
      var href = linkEle.getAttribute(modeLinkAttr);
      linkEle.removeAttribute(modeLinkAttr);
      linkEle.href = href;
    }
    bodyEle.classList.add(mode);
    platform.setDir(document.documentElement.dir, false);
    platform.setLang(document.documentElement.lang, false);
    var versions = platform.versions();
    platform.platforms().forEach(function(platformName) {
      var platformClass = 'platform-' + platformName;
      bodyEle.classList.add(platformClass);
      var platformVersion = versions[platformName];
      if (platformVersion) {
        platformClass += platformVersion.major;
        bodyEle.classList.add(platformClass);
        bodyEle.classList.add(platformClass + '_' + platformVersion.minor);
      }
    });
    if (config.getBoolean('hoverCSS', true)) {
      bodyEle.classList.add('enable-hover');
    }
    featureDetect.run(window, document);
  }
  function bindEvents(window, document, platform, events) {
    window.addEventListener('online', function(ev) {
      events.publish('app:online', ev);
    }, false);
    window.addEventListener('offline', function(ev) {
      events.publish('app:offline', ev);
    }, false);
    window.addEventListener('orientationchange', function(ev) {
      events.publish('app:rotated', ev);
    });
    window.addEventListener('statusTap', function(ev) {
      var el = document.elementFromPoint(platform.width() / 2, platform.height() / 2);
      if (!el) {
        return;
      }
      var content = dom_1.closest(el, 'scroll-content');
      if (content) {
        var scroll = new scroll_view_1.ScrollView(content);
        scroll.scrollTo(0, 0, 300);
      }
    });
    dom_1.nativeTimeout(function() {
      window.addEventListener('resize', function() {
        platform.windowResize();
      });
    }, 2000);
  }
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/browser/title.js", ["../dom/dom_adapter"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var dom_adapter_1 = $__require('../dom/dom_adapter');
  var Title = (function() {
    function Title() {}
    Title.prototype.getTitle = function() {
      return dom_adapter_1.getDOM().getTitle();
    };
    Title.prototype.setTitle = function(newTitle) {
      dom_adapter_1.getDOM().setTitle(newTitle);
    };
    return Title;
  }());
  exports.Title = Title;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/facade/browser.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var win = typeof window !== 'undefined' && window || {};
  exports.window = win;
  exports.document = win.document;
  exports.location = win.location;
  exports.gc = win['gc'] ? function() {
    return win['gc']();
  } : function() {
    return null;
  };
  exports.performance = win['performance'] ? win['performance'] : null;
  exports.Event = win['Event'];
  exports.MouseEvent = win['MouseEvent'];
  exports.KeyboardEvent = win['KeyboardEvent'];
  exports.EventTarget = win['EventTarget'];
  exports.History = win['History'];
  exports.Location = win['Location'];
  exports.EventListener = win['EventListener'];
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/browser/tools/common_tools.js", ["@angular/core", "../../dom/dom_adapter", "../../facade/browser", "../../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var dom_adapter_1 = $__require('../../dom/dom_adapter');
  var browser_1 = $__require('../../facade/browser');
  var lang_1 = $__require('../../facade/lang');
  var ChangeDetectionPerfRecord = (function() {
    function ChangeDetectionPerfRecord(msPerTick, numTicks) {
      this.msPerTick = msPerTick;
      this.numTicks = numTicks;
    }
    return ChangeDetectionPerfRecord;
  }());
  exports.ChangeDetectionPerfRecord = ChangeDetectionPerfRecord;
  var AngularTools = (function() {
    function AngularTools(ref) {
      this.profiler = new AngularProfiler(ref);
    }
    return AngularTools;
  }());
  exports.AngularTools = AngularTools;
  var AngularProfiler = (function() {
    function AngularProfiler(ref) {
      this.appRef = ref.injector.get(core_1.ApplicationRef);
    }
    AngularProfiler.prototype.timeChangeDetection = function(config) {
      var record = lang_1.isPresent(config) && config['record'];
      var profileName = 'Change Detection';
      var isProfilerAvailable = lang_1.isPresent(browser_1.window.console.profile);
      if (record && isProfilerAvailable) {
        browser_1.window.console.profile(profileName);
      }
      var start = dom_adapter_1.getDOM().performanceNow();
      var numTicks = 0;
      while (numTicks < 5 || (dom_adapter_1.getDOM().performanceNow() - start) < 500) {
        this.appRef.tick();
        numTicks++;
      }
      var end = dom_adapter_1.getDOM().performanceNow();
      if (record && isProfilerAvailable) {
        browser_1.window.console.profileEnd(profileName);
      }
      var msPerTick = (end - start) / numTicks;
      browser_1.window.console.log("ran " + numTicks + " change detection cycles");
      browser_1.window.console.log(lang_1.NumberWrapper.toFixed(msPerTick, 2) + " ms per check");
      return new ChangeDetectionPerfRecord(msPerTick, numTicks);
    };
    return AngularProfiler;
  }());
  exports.AngularProfiler = AngularProfiler;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/browser/tools/tools.js", ["../../facade/lang", "./common_tools"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('../../facade/lang');
  var common_tools_1 = $__require('./common_tools');
  var context = lang_1.global;
  function enableDebugTools(ref) {
    context.ng = new common_tools_1.AngularTools(ref);
    return ref;
  }
  exports.enableDebugTools = enableDebugTools;
  function disableDebugTools() {
    delete context.ng;
  }
  exports.disableDebugTools = disableDebugTools;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/dom/debug/by.js", ["../../dom/dom_adapter", "../../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var dom_adapter_1 = $__require('../../dom/dom_adapter');
  var lang_1 = $__require('../../facade/lang');
  var By = (function() {
    function By() {}
    By.all = function() {
      return function(debugElement) {
        return true;
      };
    };
    By.css = function(selector) {
      return function(debugElement) {
        return lang_1.isPresent(debugElement.nativeElement) ? dom_adapter_1.getDOM().elementMatches(debugElement.nativeElement, selector) : false;
      };
    };
    By.directive = function(type) {
      return function(debugElement) {
        return debugElement.providerTokens.indexOf(type) !== -1;
      };
    };
    return By;
  }());
  exports.By = By;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/web_workers/worker/platform_location.js", ["@angular/common", "@angular/core", "../../facade/async", "../../facade/collection", "../../facade/exceptions", "../../facade/lang", "../shared/client_message_broker", "../shared/message_bus", "../shared/messaging_api", "../shared/serialized_types", "../shared/serializer", "./event_deserializer"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var common_1 = $__require('@angular/common');
  var core_1 = $__require('@angular/core');
  var async_1 = $__require('../../facade/async');
  var collection_1 = $__require('../../facade/collection');
  var exceptions_1 = $__require('../../facade/exceptions');
  var lang_1 = $__require('../../facade/lang');
  var client_message_broker_1 = $__require('../shared/client_message_broker');
  var message_bus_1 = $__require('../shared/message_bus');
  var messaging_api_1 = $__require('../shared/messaging_api');
  var serialized_types_1 = $__require('../shared/serialized_types');
  var serializer_1 = $__require('../shared/serializer');
  var event_deserializer_1 = $__require('./event_deserializer');
  var WebWorkerPlatformLocation = (function(_super) {
    __extends(WebWorkerPlatformLocation, _super);
    function WebWorkerPlatformLocation(brokerFactory, bus, _serializer) {
      var _this = this;
      _super.call(this);
      this._serializer = _serializer;
      this._popStateListeners = [];
      this._hashChangeListeners = [];
      this._location = null;
      this._broker = brokerFactory.createMessageBroker(messaging_api_1.ROUTER_CHANNEL);
      this._channelSource = bus.from(messaging_api_1.ROUTER_CHANNEL);
      async_1.ObservableWrapper.subscribe(this._channelSource, function(msg) {
        var listeners = null;
        if (collection_1.StringMapWrapper.contains(msg, 'event')) {
          var type = msg['event']['type'];
          if (lang_1.StringWrapper.equals(type, 'popstate')) {
            listeners = _this._popStateListeners;
          } else if (lang_1.StringWrapper.equals(type, 'hashchange')) {
            listeners = _this._hashChangeListeners;
          }
          if (listeners !== null) {
            var e_1 = event_deserializer_1.deserializeGenericEvent(msg['event']);
            _this._location = _this._serializer.deserialize(msg['location'], serialized_types_1.LocationType);
            listeners.forEach(function(fn) {
              return fn(e_1);
            });
          }
        }
      });
    }
    WebWorkerPlatformLocation.prototype.init = function() {
      var _this = this;
      var args = new client_message_broker_1.UiArguments('getLocation');
      var locationPromise = this._broker.runOnService(args, serialized_types_1.LocationType);
      return async_1.PromiseWrapper.then(locationPromise, function(val) {
        _this._location = val;
        return true;
      }, function(err) {
        throw new exceptions_1.BaseException(err);
      });
    };
    WebWorkerPlatformLocation.prototype.getBaseHrefFromDOM = function() {
      throw new exceptions_1.BaseException('Attempt to get base href from DOM from WebWorker. You must either provide a value for the APP_BASE_HREF token through DI or use the hash location strategy.');
    };
    WebWorkerPlatformLocation.prototype.onPopState = function(fn) {
      this._popStateListeners.push(fn);
    };
    WebWorkerPlatformLocation.prototype.onHashChange = function(fn) {
      this._hashChangeListeners.push(fn);
    };
    Object.defineProperty(WebWorkerPlatformLocation.prototype, "pathname", {
      get: function() {
        if (this._location === null) {
          return null;
        }
        return this._location.pathname;
      },
      set: function(newPath) {
        if (this._location === null) {
          throw new exceptions_1.BaseException('Attempt to set pathname before value is obtained from UI');
        }
        this._location.pathname = newPath;
        var fnArgs = [new client_message_broker_1.FnArg(newPath, serializer_1.PRIMITIVE)];
        var args = new client_message_broker_1.UiArguments('setPathname', fnArgs);
        this._broker.runOnService(args, null);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WebWorkerPlatformLocation.prototype, "search", {
      get: function() {
        if (this._location === null) {
          return null;
        }
        return this._location.search;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WebWorkerPlatformLocation.prototype, "hash", {
      get: function() {
        if (this._location === null) {
          return null;
        }
        return this._location.hash;
      },
      enumerable: true,
      configurable: true
    });
    WebWorkerPlatformLocation.prototype.pushState = function(state, title, url) {
      var fnArgs = [new client_message_broker_1.FnArg(state, serializer_1.PRIMITIVE), new client_message_broker_1.FnArg(title, serializer_1.PRIMITIVE), new client_message_broker_1.FnArg(url, serializer_1.PRIMITIVE)];
      var args = new client_message_broker_1.UiArguments('pushState', fnArgs);
      this._broker.runOnService(args, null);
    };
    WebWorkerPlatformLocation.prototype.replaceState = function(state, title, url) {
      var fnArgs = [new client_message_broker_1.FnArg(state, serializer_1.PRIMITIVE), new client_message_broker_1.FnArg(title, serializer_1.PRIMITIVE), new client_message_broker_1.FnArg(url, serializer_1.PRIMITIVE)];
      var args = new client_message_broker_1.UiArguments('replaceState', fnArgs);
      this._broker.runOnService(args, null);
    };
    WebWorkerPlatformLocation.prototype.forward = function() {
      var args = new client_message_broker_1.UiArguments('forward');
      this._broker.runOnService(args, null);
    };
    WebWorkerPlatformLocation.prototype.back = function() {
      var args = new client_message_broker_1.UiArguments('back');
      this._broker.runOnService(args, null);
    };
    WebWorkerPlatformLocation.decorators = [{type: core_1.Injectable}];
    WebWorkerPlatformLocation.ctorParameters = [{type: client_message_broker_1.ClientMessageBrokerFactory}, {type: message_bus_1.MessageBus}, {type: serializer_1.Serializer}];
    return WebWorkerPlatformLocation;
  }(common_1.PlatformLocation));
  exports.WebWorkerPlatformLocation = WebWorkerPlatformLocation;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/web_workers/worker/location_providers.js", ["@angular/common", "@angular/core", "./platform_location"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var common_1 = $__require('@angular/common');
  var core_1 = $__require('@angular/core');
  var platform_location_1 = $__require('./platform_location');
  exports.WORKER_APP_LOCATION_PROVIDERS = [{
    provide: common_1.PlatformLocation,
    useClass: platform_location_1.WebWorkerPlatformLocation
  }, {
    provide: core_1.APP_INITIALIZER,
    useFactory: appInitFnFactory,
    multi: true,
    deps: [common_1.PlatformLocation, core_1.NgZone]
  }];
  function appInitFnFactory(platformLocation, zone) {
    return function() {
      return zone.runGuarded(function() {
        return platformLocation.init();
      });
    };
  }
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/web_workers/ui/platform_location.js", ["@angular/core", "../../browser/location/browser_platform_location", "../../facade/async", "../../facade/lang", "../shared/message_bus", "../shared/messaging_api", "../shared/serialized_types", "../shared/serializer", "../shared/service_message_broker"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var browser_platform_location_1 = $__require('../../browser/location/browser_platform_location');
  var async_1 = $__require('../../facade/async');
  var lang_1 = $__require('../../facade/lang');
  var message_bus_1 = $__require('../shared/message_bus');
  var messaging_api_1 = $__require('../shared/messaging_api');
  var serialized_types_1 = $__require('../shared/serialized_types');
  var serializer_1 = $__require('../shared/serializer');
  var service_message_broker_1 = $__require('../shared/service_message_broker');
  var MessageBasedPlatformLocation = (function() {
    function MessageBasedPlatformLocation(_brokerFactory, _platformLocation, bus, _serializer) {
      this._brokerFactory = _brokerFactory;
      this._platformLocation = _platformLocation;
      this._serializer = _serializer;
      this._platformLocation.onPopState(lang_1.FunctionWrapper.bind(this._sendUrlChangeEvent, this));
      this._platformLocation.onHashChange(lang_1.FunctionWrapper.bind(this._sendUrlChangeEvent, this));
      this._broker = this._brokerFactory.createMessageBroker(messaging_api_1.ROUTER_CHANNEL);
      this._channelSink = bus.to(messaging_api_1.ROUTER_CHANNEL);
    }
    MessageBasedPlatformLocation.prototype.start = function() {
      this._broker.registerMethod('getLocation', null, lang_1.FunctionWrapper.bind(this._getLocation, this), serialized_types_1.LocationType);
      this._broker.registerMethod('setPathname', [serializer_1.PRIMITIVE], lang_1.FunctionWrapper.bind(this._setPathname, this));
      this._broker.registerMethod('pushState', [serializer_1.PRIMITIVE, serializer_1.PRIMITIVE, serializer_1.PRIMITIVE], lang_1.FunctionWrapper.bind(this._platformLocation.pushState, this._platformLocation));
      this._broker.registerMethod('replaceState', [serializer_1.PRIMITIVE, serializer_1.PRIMITIVE, serializer_1.PRIMITIVE], lang_1.FunctionWrapper.bind(this._platformLocation.replaceState, this._platformLocation));
      this._broker.registerMethod('forward', null, lang_1.FunctionWrapper.bind(this._platformLocation.forward, this._platformLocation));
      this._broker.registerMethod('back', null, lang_1.FunctionWrapper.bind(this._platformLocation.back, this._platformLocation));
    };
    MessageBasedPlatformLocation.prototype._getLocation = function() {
      return async_1.PromiseWrapper.resolve(this._platformLocation.location);
    };
    MessageBasedPlatformLocation.prototype._sendUrlChangeEvent = function(e) {
      var loc = this._serializer.serialize(this._platformLocation.location, serialized_types_1.LocationType);
      var serializedEvent = {'type': e.type};
      async_1.ObservableWrapper.callEmit(this._channelSink, {
        'event': serializedEvent,
        'location': loc
      });
    };
    MessageBasedPlatformLocation.prototype._setPathname = function(pathname) {
      this._platformLocation.pathname = pathname;
    };
    MessageBasedPlatformLocation.decorators = [{type: core_1.Injectable}];
    MessageBasedPlatformLocation.ctorParameters = [{type: service_message_broker_1.ServiceMessageBrokerFactory}, {type: browser_platform_location_1.BrowserPlatformLocation}, {type: message_bus_1.MessageBus}, {type: serializer_1.Serializer}];
    return MessageBasedPlatformLocation;
  }());
  exports.MessageBasedPlatformLocation = MessageBasedPlatformLocation;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/web_workers/ui/location_providers.js", ["@angular/core", "../../browser/location/browser_platform_location", "./platform_location"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var browser_platform_location_1 = $__require('../../browser/location/browser_platform_location');
  var platform_location_1 = $__require('./platform_location');
  exports.WORKER_UI_LOCATION_PROVIDERS = [platform_location_1.MessageBasedPlatformLocation, browser_platform_location_1.BrowserPlatformLocation, {
    provide: core_1.APP_INITIALIZER,
    useFactory: initUiLocation,
    multi: true,
    deps: [core_1.Injector]
  }];
  function initUiLocation(injector) {
    return function() {
      var zone = injector.get(core_1.NgZone);
      zone.runGuarded(function() {
        return injector.get(platform_location_1.MessageBasedPlatformLocation).start();
      });
    };
  }
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/web_workers/ui/event_serializer.js", ["../../facade/collection", "../../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var collection_1 = $__require('../../facade/collection');
  var lang_1 = $__require('../../facade/lang');
  var MOUSE_EVENT_PROPERTIES = ['altKey', 'button', 'clientX', 'clientY', 'metaKey', 'movementX', 'movementY', 'offsetX', 'offsetY', 'region', 'screenX', 'screenY', 'shiftKey'];
  var KEYBOARD_EVENT_PROPERTIES = ['altkey', 'charCode', 'code', 'ctrlKey', 'isComposing', 'key', 'keyCode', 'location', 'metaKey', 'repeat', 'shiftKey', 'which'];
  var TRANSITION_EVENT_PROPERTIES = ['propertyName', 'elapsedTime', 'pseudoElement'];
  var EVENT_PROPERTIES = ['type', 'bubbles', 'cancelable'];
  var NODES_WITH_VALUE = new collection_1.Set(['input', 'select', 'option', 'button', 'li', 'meter', 'progress', 'param', 'textarea']);
  function serializeGenericEvent(e) {
    return serializeEvent(e, EVENT_PROPERTIES);
  }
  exports.serializeGenericEvent = serializeGenericEvent;
  function serializeEventWithTarget(e) {
    var serializedEvent = serializeEvent(e, EVENT_PROPERTIES);
    return addTarget(e, serializedEvent);
  }
  exports.serializeEventWithTarget = serializeEventWithTarget;
  function serializeMouseEvent(e) {
    return serializeEvent(e, MOUSE_EVENT_PROPERTIES);
  }
  exports.serializeMouseEvent = serializeMouseEvent;
  function serializeKeyboardEvent(e) {
    var serializedEvent = serializeEvent(e, KEYBOARD_EVENT_PROPERTIES);
    return addTarget(e, serializedEvent);
  }
  exports.serializeKeyboardEvent = serializeKeyboardEvent;
  function serializeTransitionEvent(e) {
    var serializedEvent = serializeEvent(e, TRANSITION_EVENT_PROPERTIES);
    return addTarget(e, serializedEvent);
  }
  exports.serializeTransitionEvent = serializeTransitionEvent;
  function addTarget(e, serializedEvent) {
    if (NODES_WITH_VALUE.has(e.target.tagName.toLowerCase())) {
      var target = e.target;
      serializedEvent['target'] = {'value': target.value};
      if (lang_1.isPresent(target.files)) {
        serializedEvent['target']['files'] = target.files;
      }
    }
    return serializedEvent;
  }
  function serializeEvent(e, properties) {
    var serialized = {};
    for (var i = 0; i < properties.length; i++) {
      var prop = properties[i];
      serialized[prop] = e[prop];
    }
    return serialized;
  }
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/web_workers/ui/event_dispatcher.js", ["../../facade/async", "../../facade/exceptions", "../shared/serializer", "./event_serializer"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var async_1 = $__require('../../facade/async');
  var exceptions_1 = $__require('../../facade/exceptions');
  var serializer_1 = $__require('../shared/serializer');
  var event_serializer_1 = $__require('./event_serializer');
  var EventDispatcher = (function() {
    function EventDispatcher(_sink, _serializer) {
      this._sink = _sink;
      this._serializer = _serializer;
    }
    EventDispatcher.prototype.dispatchRenderEvent = function(element, eventTarget, eventName, event) {
      var serializedEvent;
      switch (event.type) {
        case 'click':
        case 'mouseup':
        case 'mousedown':
        case 'dblclick':
        case 'contextmenu':
        case 'mouseenter':
        case 'mouseleave':
        case 'mousemove':
        case 'mouseout':
        case 'mouseover':
        case 'show':
          serializedEvent = event_serializer_1.serializeMouseEvent(event);
          break;
        case 'keydown':
        case 'keypress':
        case 'keyup':
          serializedEvent = event_serializer_1.serializeKeyboardEvent(event);
          break;
        case 'input':
        case 'change':
        case 'blur':
          serializedEvent = event_serializer_1.serializeEventWithTarget(event);
          break;
        case 'abort':
        case 'afterprint':
        case 'beforeprint':
        case 'cached':
        case 'canplay':
        case 'canplaythrough':
        case 'chargingchange':
        case 'chargingtimechange':
        case 'close':
        case 'dischargingtimechange':
        case 'DOMContentLoaded':
        case 'downloading':
        case 'durationchange':
        case 'emptied':
        case 'ended':
        case 'error':
        case 'fullscreenchange':
        case 'fullscreenerror':
        case 'invalid':
        case 'languagechange':
        case 'levelfchange':
        case 'loadeddata':
        case 'loadedmetadata':
        case 'obsolete':
        case 'offline':
        case 'online':
        case 'open':
        case 'orientatoinchange':
        case 'pause':
        case 'pointerlockchange':
        case 'pointerlockerror':
        case 'play':
        case 'playing':
        case 'ratechange':
        case 'readystatechange':
        case 'reset':
        case 'scroll':
        case 'seeked':
        case 'seeking':
        case 'stalled':
        case 'submit':
        case 'success':
        case 'suspend':
        case 'timeupdate':
        case 'updateready':
        case 'visibilitychange':
        case 'volumechange':
        case 'waiting':
          serializedEvent = event_serializer_1.serializeGenericEvent(event);
          break;
        case 'transitionend':
          serializedEvent = event_serializer_1.serializeTransitionEvent(event);
          break;
        default:
          throw new exceptions_1.BaseException(eventName + ' not supported on WebWorkers');
      }
      async_1.ObservableWrapper.callEmit(this._sink, {
        'element': this._serializer.serialize(element, serializer_1.RenderStoreObject),
        'eventName': eventName,
        'eventTarget': eventTarget,
        'event': serializedEvent
      });
      return false;
    };
    return EventDispatcher;
  }());
  exports.EventDispatcher = EventDispatcher;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/web_workers/ui/renderer.js", ["@angular/core", "../../facade/lang", "../shared/message_bus", "../shared/messaging_api", "../shared/render_store", "../shared/serializer", "../shared/service_message_broker", "../ui/event_dispatcher"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var lang_1 = $__require('../../facade/lang');
  var message_bus_1 = $__require('../shared/message_bus');
  var messaging_api_1 = $__require('../shared/messaging_api');
  var render_store_1 = $__require('../shared/render_store');
  var serializer_1 = $__require('../shared/serializer');
  var service_message_broker_1 = $__require('../shared/service_message_broker');
  var event_dispatcher_1 = $__require('../ui/event_dispatcher');
  var MessageBasedRenderer = (function() {
    function MessageBasedRenderer(_brokerFactory, _bus, _serializer, _renderStore, _rootRenderer) {
      this._brokerFactory = _brokerFactory;
      this._bus = _bus;
      this._serializer = _serializer;
      this._renderStore = _renderStore;
      this._rootRenderer = _rootRenderer;
    }
    MessageBasedRenderer.prototype.start = function() {
      var broker = this._brokerFactory.createMessageBroker(messaging_api_1.RENDERER_CHANNEL);
      this._bus.initChannel(messaging_api_1.EVENT_CHANNEL);
      this._eventDispatcher = new event_dispatcher_1.EventDispatcher(this._bus.to(messaging_api_1.EVENT_CHANNEL), this._serializer);
      broker.registerMethod('renderComponent', [core_1.RenderComponentType, serializer_1.PRIMITIVE], lang_1.FunctionWrapper.bind(this._renderComponent, this));
      broker.registerMethod('selectRootElement', [serializer_1.RenderStoreObject, serializer_1.PRIMITIVE, serializer_1.PRIMITIVE], lang_1.FunctionWrapper.bind(this._selectRootElement, this));
      broker.registerMethod('createElement', [serializer_1.RenderStoreObject, serializer_1.RenderStoreObject, serializer_1.PRIMITIVE, serializer_1.PRIMITIVE], lang_1.FunctionWrapper.bind(this._createElement, this));
      broker.registerMethod('createViewRoot', [serializer_1.RenderStoreObject, serializer_1.RenderStoreObject, serializer_1.PRIMITIVE], lang_1.FunctionWrapper.bind(this._createViewRoot, this));
      broker.registerMethod('createTemplateAnchor', [serializer_1.RenderStoreObject, serializer_1.RenderStoreObject, serializer_1.PRIMITIVE], lang_1.FunctionWrapper.bind(this._createTemplateAnchor, this));
      broker.registerMethod('createText', [serializer_1.RenderStoreObject, serializer_1.RenderStoreObject, serializer_1.PRIMITIVE, serializer_1.PRIMITIVE], lang_1.FunctionWrapper.bind(this._createText, this));
      broker.registerMethod('projectNodes', [serializer_1.RenderStoreObject, serializer_1.RenderStoreObject, serializer_1.RenderStoreObject], lang_1.FunctionWrapper.bind(this._projectNodes, this));
      broker.registerMethod('attachViewAfter', [serializer_1.RenderStoreObject, serializer_1.RenderStoreObject, serializer_1.RenderStoreObject], lang_1.FunctionWrapper.bind(this._attachViewAfter, this));
      broker.registerMethod('detachView', [serializer_1.RenderStoreObject, serializer_1.RenderStoreObject], lang_1.FunctionWrapper.bind(this._detachView, this));
      broker.registerMethod('destroyView', [serializer_1.RenderStoreObject, serializer_1.RenderStoreObject, serializer_1.RenderStoreObject], lang_1.FunctionWrapper.bind(this._destroyView, this));
      broker.registerMethod('setElementProperty', [serializer_1.RenderStoreObject, serializer_1.RenderStoreObject, serializer_1.PRIMITIVE, serializer_1.PRIMITIVE], lang_1.FunctionWrapper.bind(this._setElementProperty, this));
      broker.registerMethod('setElementAttribute', [serializer_1.RenderStoreObject, serializer_1.RenderStoreObject, serializer_1.PRIMITIVE, serializer_1.PRIMITIVE], lang_1.FunctionWrapper.bind(this._setElementAttribute, this));
      broker.registerMethod('setBindingDebugInfo', [serializer_1.RenderStoreObject, serializer_1.RenderStoreObject, serializer_1.PRIMITIVE, serializer_1.PRIMITIVE], lang_1.FunctionWrapper.bind(this._setBindingDebugInfo, this));
      broker.registerMethod('setElementClass', [serializer_1.RenderStoreObject, serializer_1.RenderStoreObject, serializer_1.PRIMITIVE, serializer_1.PRIMITIVE], lang_1.FunctionWrapper.bind(this._setElementClass, this));
      broker.registerMethod('setElementStyle', [serializer_1.RenderStoreObject, serializer_1.RenderStoreObject, serializer_1.PRIMITIVE, serializer_1.PRIMITIVE], lang_1.FunctionWrapper.bind(this._setElementStyle, this));
      broker.registerMethod('invokeElementMethod', [serializer_1.RenderStoreObject, serializer_1.RenderStoreObject, serializer_1.PRIMITIVE, serializer_1.PRIMITIVE], lang_1.FunctionWrapper.bind(this._invokeElementMethod, this));
      broker.registerMethod('setText', [serializer_1.RenderStoreObject, serializer_1.RenderStoreObject, serializer_1.PRIMITIVE], lang_1.FunctionWrapper.bind(this._setText, this));
      broker.registerMethod('listen', [serializer_1.RenderStoreObject, serializer_1.RenderStoreObject, serializer_1.PRIMITIVE, serializer_1.PRIMITIVE], lang_1.FunctionWrapper.bind(this._listen, this));
      broker.registerMethod('listenGlobal', [serializer_1.RenderStoreObject, serializer_1.PRIMITIVE, serializer_1.PRIMITIVE, serializer_1.PRIMITIVE], lang_1.FunctionWrapper.bind(this._listenGlobal, this));
      broker.registerMethod('listenDone', [serializer_1.RenderStoreObject, serializer_1.RenderStoreObject], lang_1.FunctionWrapper.bind(this._listenDone, this));
    };
    MessageBasedRenderer.prototype._renderComponent = function(renderComponentType, rendererId) {
      var renderer = this._rootRenderer.renderComponent(renderComponentType);
      this._renderStore.store(renderer, rendererId);
    };
    MessageBasedRenderer.prototype._selectRootElement = function(renderer, selector, elId) {
      this._renderStore.store(renderer.selectRootElement(selector, null), elId);
    };
    MessageBasedRenderer.prototype._createElement = function(renderer, parentElement, name, elId) {
      this._renderStore.store(renderer.createElement(parentElement, name, null), elId);
    };
    MessageBasedRenderer.prototype._createViewRoot = function(renderer, hostElement, elId) {
      var viewRoot = renderer.createViewRoot(hostElement);
      if (this._renderStore.serialize(hostElement) !== elId) {
        this._renderStore.store(viewRoot, elId);
      }
    };
    MessageBasedRenderer.prototype._createTemplateAnchor = function(renderer, parentElement, elId) {
      this._renderStore.store(renderer.createTemplateAnchor(parentElement, null), elId);
    };
    MessageBasedRenderer.prototype._createText = function(renderer, parentElement, value, elId) {
      this._renderStore.store(renderer.createText(parentElement, value, null), elId);
    };
    MessageBasedRenderer.prototype._projectNodes = function(renderer, parentElement, nodes) {
      renderer.projectNodes(parentElement, nodes);
    };
    MessageBasedRenderer.prototype._attachViewAfter = function(renderer, node, viewRootNodes) {
      renderer.attachViewAfter(node, viewRootNodes);
    };
    MessageBasedRenderer.prototype._detachView = function(renderer, viewRootNodes) {
      renderer.detachView(viewRootNodes);
    };
    MessageBasedRenderer.prototype._destroyView = function(renderer, hostElement, viewAllNodes) {
      renderer.destroyView(hostElement, viewAllNodes);
      for (var i = 0; i < viewAllNodes.length; i++) {
        this._renderStore.remove(viewAllNodes[i]);
      }
    };
    MessageBasedRenderer.prototype._setElementProperty = function(renderer, renderElement, propertyName, propertyValue) {
      renderer.setElementProperty(renderElement, propertyName, propertyValue);
    };
    MessageBasedRenderer.prototype._setElementAttribute = function(renderer, renderElement, attributeName, attributeValue) {
      renderer.setElementAttribute(renderElement, attributeName, attributeValue);
    };
    MessageBasedRenderer.prototype._setBindingDebugInfo = function(renderer, renderElement, propertyName, propertyValue) {
      renderer.setBindingDebugInfo(renderElement, propertyName, propertyValue);
    };
    MessageBasedRenderer.prototype._setElementClass = function(renderer, renderElement, className, isAdd) {
      renderer.setElementClass(renderElement, className, isAdd);
    };
    MessageBasedRenderer.prototype._setElementStyle = function(renderer, renderElement, styleName, styleValue) {
      renderer.setElementStyle(renderElement, styleName, styleValue);
    };
    MessageBasedRenderer.prototype._invokeElementMethod = function(renderer, renderElement, methodName, args) {
      renderer.invokeElementMethod(renderElement, methodName, args);
    };
    MessageBasedRenderer.prototype._setText = function(renderer, renderNode, text) {
      renderer.setText(renderNode, text);
    };
    MessageBasedRenderer.prototype._listen = function(renderer, renderElement, eventName, unlistenId) {
      var _this = this;
      var unregisterCallback = renderer.listen(renderElement, eventName, function(event) {
        return _this._eventDispatcher.dispatchRenderEvent(renderElement, null, eventName, event);
      });
      this._renderStore.store(unregisterCallback, unlistenId);
    };
    MessageBasedRenderer.prototype._listenGlobal = function(renderer, eventTarget, eventName, unlistenId) {
      var _this = this;
      var unregisterCallback = renderer.listenGlobal(eventTarget, eventName, function(event) {
        return _this._eventDispatcher.dispatchRenderEvent(null, eventTarget, eventName, event);
      });
      this._renderStore.store(unregisterCallback, unlistenId);
    };
    MessageBasedRenderer.prototype._listenDone = function(renderer, unlistenCallback) {
      unlistenCallback();
    };
    MessageBasedRenderer.decorators = [{type: core_1.Injectable}];
    MessageBasedRenderer.ctorParameters = [{type: service_message_broker_1.ServiceMessageBrokerFactory}, {type: message_bus_1.MessageBus}, {type: serializer_1.Serializer}, {type: render_store_1.RenderStore}, {type: core_1.RootRenderer}];
    return MessageBasedRenderer;
  }());
  exports.MessageBasedRenderer = MessageBasedRenderer;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/worker_render.js", ["@angular/core", "../core_private", "./browser", "./browser/browser_adapter", "./browser/testability", "./dom/dom_adapter", "./dom/dom_renderer", "./dom/dom_tokens", "./dom/events/dom_events", "./dom/events/event_manager", "./dom/events/hammer_gestures", "./dom/events/key_events", "./dom/shared_styles_host", "./facade/exceptions", "./facade/lang", "./web_workers/shared/api", "./web_workers/shared/client_message_broker", "./web_workers/shared/message_bus", "./web_workers/shared/post_message_bus", "./web_workers/shared/render_store", "./web_workers/shared/serializer", "./web_workers/shared/service_message_broker", "./web_workers/ui/renderer"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var core_private_1 = $__require('../core_private');
  var browser_1 = $__require('./browser');
  var browser_adapter_1 = $__require('./browser/browser_adapter');
  var testability_1 = $__require('./browser/testability');
  var dom_adapter_1 = $__require('./dom/dom_adapter');
  var dom_renderer_1 = $__require('./dom/dom_renderer');
  var dom_tokens_1 = $__require('./dom/dom_tokens');
  var dom_events_1 = $__require('./dom/events/dom_events');
  var event_manager_1 = $__require('./dom/events/event_manager');
  var hammer_gestures_1 = $__require('./dom/events/hammer_gestures');
  var key_events_1 = $__require('./dom/events/key_events');
  var shared_styles_host_1 = $__require('./dom/shared_styles_host');
  var exceptions_1 = $__require('./facade/exceptions');
  var lang_1 = $__require('./facade/lang');
  var api_1 = $__require('./web_workers/shared/api');
  var client_message_broker_1 = $__require('./web_workers/shared/client_message_broker');
  var message_bus_1 = $__require('./web_workers/shared/message_bus');
  var post_message_bus_1 = $__require('./web_workers/shared/post_message_bus');
  var render_store_1 = $__require('./web_workers/shared/render_store');
  var serializer_1 = $__require('./web_workers/shared/serializer');
  var service_message_broker_1 = $__require('./web_workers/shared/service_message_broker');
  var renderer_1 = $__require('./web_workers/ui/renderer');
  var WORKER_RENDER_PLATFORM_MARKER = new core_1.OpaqueToken('WorkerRenderPlatformMarker');
  var WebWorkerInstance = (function() {
    function WebWorkerInstance() {}
    WebWorkerInstance.prototype.init = function(worker, bus) {
      this.worker = worker;
      this.bus = bus;
    };
    WebWorkerInstance.decorators = [{type: core_1.Injectable}];
    return WebWorkerInstance;
  }());
  exports.WebWorkerInstance = WebWorkerInstance;
  exports.WORKER_SCRIPT = new core_1.OpaqueToken('WebWorkerScript');
  exports.WORKER_UI_STARTABLE_MESSAGING_SERVICE = new core_1.OpaqueToken('WorkerRenderStartableMsgService');
  exports.WORKER_UI_PLATFORM_PROVIDERS = [core_1.PLATFORM_COMMON_PROVIDERS, {
    provide: WORKER_RENDER_PLATFORM_MARKER,
    useValue: true
  }, {
    provide: core_1.PLATFORM_INITIALIZER,
    useValue: initWebWorkerRenderPlatform,
    multi: true
  }];
  exports.WORKER_UI_APPLICATION_PROVIDERS = [core_1.APPLICATION_COMMON_PROVIDERS, renderer_1.MessageBasedRenderer, {
    provide: exports.WORKER_UI_STARTABLE_MESSAGING_SERVICE,
    useExisting: renderer_1.MessageBasedRenderer,
    multi: true
  }, browser_1.BROWSER_SANITIZATION_PROVIDERS, {
    provide: core_1.ExceptionHandler,
    useFactory: _exceptionHandler,
    deps: []
  }, {
    provide: dom_tokens_1.DOCUMENT,
    useFactory: _document,
    deps: []
  }, {
    provide: event_manager_1.EVENT_MANAGER_PLUGINS,
    useClass: dom_events_1.DomEventsPlugin,
    multi: true
  }, {
    provide: event_manager_1.EVENT_MANAGER_PLUGINS,
    useClass: key_events_1.KeyEventsPlugin,
    multi: true
  }, {
    provide: event_manager_1.EVENT_MANAGER_PLUGINS,
    useClass: hammer_gestures_1.HammerGesturesPlugin,
    multi: true
  }, {
    provide: hammer_gestures_1.HAMMER_GESTURE_CONFIG,
    useClass: hammer_gestures_1.HammerGestureConfig
  }, {
    provide: dom_renderer_1.DomRootRenderer,
    useClass: dom_renderer_1.DomRootRenderer_
  }, {
    provide: core_1.RootRenderer,
    useExisting: dom_renderer_1.DomRootRenderer
  }, {
    provide: shared_styles_host_1.SharedStylesHost,
    useExisting: shared_styles_host_1.DomSharedStylesHost
  }, {
    provide: service_message_broker_1.ServiceMessageBrokerFactory,
    useClass: service_message_broker_1.ServiceMessageBrokerFactory_
  }, {
    provide: client_message_broker_1.ClientMessageBrokerFactory,
    useClass: client_message_broker_1.ClientMessageBrokerFactory_
  }, {
    provide: core_private_1.AnimationDriver,
    useFactory: _resolveDefaultAnimationDriver
  }, serializer_1.Serializer, {
    provide: api_1.ON_WEB_WORKER,
    useValue: false
  }, render_store_1.RenderStore, shared_styles_host_1.DomSharedStylesHost, core_1.Testability, event_manager_1.EventManager, WebWorkerInstance, {
    provide: core_1.APP_INITIALIZER,
    useFactory: initWebWorkerAppFn,
    multi: true,
    deps: [core_1.Injector]
  }, {
    provide: message_bus_1.MessageBus,
    useFactory: messageBusFactory,
    deps: [WebWorkerInstance]
  }];
  function initializeGenericWorkerRenderer(injector) {
    var bus = injector.get(message_bus_1.MessageBus);
    var zone = injector.get(core_1.NgZone);
    bus.attachToZone(zone);
    var services = injector.get(exports.WORKER_UI_STARTABLE_MESSAGING_SERVICE);
    zone.runGuarded(function() {
      services.forEach(function(svc) {
        svc.start();
      });
    });
  }
  function messageBusFactory(instance) {
    return instance.bus;
  }
  function initWebWorkerRenderPlatform() {
    browser_adapter_1.BrowserDomAdapter.makeCurrent();
    core_private_1.wtfInit();
    testability_1.BrowserGetTestability.init();
  }
  function workerUiPlatform() {
    if (lang_1.isBlank(core_1.getPlatform())) {
      core_1.createPlatform(core_1.ReflectiveInjector.resolveAndCreate(exports.WORKER_UI_PLATFORM_PROVIDERS));
    }
    return core_1.assertPlatform(WORKER_RENDER_PLATFORM_MARKER);
  }
  exports.workerUiPlatform = workerUiPlatform;
  function _exceptionHandler() {
    return new core_1.ExceptionHandler(dom_adapter_1.getDOM());
  }
  function _document() {
    return dom_adapter_1.getDOM().defaultDoc();
  }
  function initWebWorkerAppFn(injector) {
    return function() {
      var scriptUri;
      try {
        scriptUri = injector.get(exports.WORKER_SCRIPT);
      } catch (e) {
        throw new exceptions_1.BaseException('You must provide your WebWorker\'s initialization script with the WORKER_SCRIPT token');
      }
      var instance = injector.get(WebWorkerInstance);
      spawnWebWorker(scriptUri, instance);
      initializeGenericWorkerRenderer(injector);
    };
  }
  function spawnWebWorker(uri, instance) {
    var webWorker = new Worker(uri);
    var sink = new post_message_bus_1.PostMessageBusSink(webWorker);
    var source = new post_message_bus_1.PostMessageBusSource(webWorker);
    var bus = new post_message_bus_1.PostMessageBus(sink, source);
    instance.init(webWorker, bus);
  }
  function _resolveDefaultAnimationDriver() {
    return new core_private_1.NoOpAnimationDriver();
  }
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/dom/web_animations_player.js", ["../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('../facade/lang');
  var WebAnimationsPlayer = (function() {
    function WebAnimationsPlayer(_player, totalTime) {
      var _this = this;
      this._player = _player;
      this.totalTime = totalTime;
      this._subscriptions = [];
      this._finished = false;
      this.parentPlayer = null;
      this.reset();
      this._player.onfinish = function() {
        return _this._onFinish();
      };
    }
    WebAnimationsPlayer.prototype._onFinish = function() {
      if (!this._finished) {
        this._finished = true;
        if (!lang_1.isPresent(this.parentPlayer)) {
          this.destroy();
        }
        this._subscriptions.forEach(function(fn) {
          return fn();
        });
        this._subscriptions = [];
      }
    };
    WebAnimationsPlayer.prototype.onDone = function(fn) {
      this._subscriptions.push(fn);
    };
    WebAnimationsPlayer.prototype.play = function() {
      this._player.play();
    };
    WebAnimationsPlayer.prototype.pause = function() {
      this._player.pause();
    };
    WebAnimationsPlayer.prototype.finish = function() {
      this._onFinish();
      this._player.finish();
    };
    WebAnimationsPlayer.prototype.reset = function() {
      this._player.cancel();
    };
    WebAnimationsPlayer.prototype.restart = function() {
      this.reset();
      this.play();
    };
    WebAnimationsPlayer.prototype.destroy = function() {
      this.reset();
      this._onFinish();
    };
    WebAnimationsPlayer.prototype.setPosition = function(p) {
      this._player.currentTime = p * this.totalTime;
    };
    WebAnimationsPlayer.prototype.getPosition = function() {
      return this._player.currentTime / this.totalTime;
    };
    return WebAnimationsPlayer;
  }());
  exports.WebAnimationsPlayer = WebAnimationsPlayer;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/dom/web_animations_driver.js", ["@angular/core", "../facade/collection", "../facade/lang", "./dom_adapter", "./util", "./web_animations_player"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var dom_adapter_1 = $__require('./dom_adapter');
  var util_1 = $__require('./util');
  var web_animations_player_1 = $__require('./web_animations_player');
  var WebAnimationsDriver = (function() {
    function WebAnimationsDriver() {}
    WebAnimationsDriver.prototype.animate = function(element, startingStyles, keyframes, duration, delay, easing) {
      var anyElm = element;
      var formattedSteps = [];
      var startingStyleLookup = {};
      if (lang_1.isPresent(startingStyles) && startingStyles.styles.length > 0) {
        startingStyleLookup = _populateStyles(anyElm, startingStyles, {});
        startingStyleLookup['offset'] = 0;
        formattedSteps.push(startingStyleLookup);
      }
      keyframes.forEach(function(keyframe) {
        var data = _populateStyles(anyElm, keyframe.styles, startingStyleLookup);
        data['offset'] = keyframe.offset;
        formattedSteps.push(data);
      });
      if (formattedSteps.length == 1) {
        var start = formattedSteps[0];
        start['offset'] = null;
        formattedSteps = [start, start];
      }
      var playerOptions = {
        'duration': duration,
        'delay': delay,
        'easing': easing,
        'fill': 'both'
      };
      var player = this._triggerWebAnimation(anyElm, formattedSteps, playerOptions);
      return new web_animations_player_1.WebAnimationsPlayer(player, duration);
    };
    WebAnimationsDriver.prototype._triggerWebAnimation = function(elm, keyframes, options) {
      return elm.animate(keyframes, options);
    };
    return WebAnimationsDriver;
  }());
  exports.WebAnimationsDriver = WebAnimationsDriver;
  function _populateStyles(element, styles, defaultStyles) {
    var data = {};
    styles.styles.forEach(function(entry) {
      collection_1.StringMapWrapper.forEach(entry, function(val, prop) {
        var formattedProp = util_1.dashCaseToCamelCase(prop);
        data[formattedProp] = val == core_1.AUTO_STYLE ? _computeStyle(element, formattedProp) : val.toString() + _resolveStyleUnit(val, prop, formattedProp);
      });
    });
    collection_1.StringMapWrapper.forEach(defaultStyles, function(value, prop) {
      if (!lang_1.isPresent(data[prop])) {
        data[prop] = value;
      }
    });
    return data;
  }
  function _resolveStyleUnit(val, userProvidedProp, formattedProp) {
    var unit = '';
    if (_isPixelDimensionStyle(formattedProp) && val != 0 && val != '0') {
      if (lang_1.isNumber(val)) {
        unit = 'px';
      } else if (_findDimensionalSuffix(val.toString()).length == 0) {
        throw new core_1.BaseException('Please provide a CSS unit value for ' + userProvidedProp + ':' + val);
      }
    }
    return unit;
  }
  var _$0 = 48;
  var _$9 = 57;
  var _$PERIOD = 46;
  function _findDimensionalSuffix(value) {
    for (var i = 0; i < value.length; i++) {
      var c = lang_1.StringWrapper.charCodeAt(value, i);
      if ((c >= _$0 && c <= _$9) || c == _$PERIOD)
        continue;
      return value.substring(i, value.length);
    }
    return '';
  }
  function _isPixelDimensionStyle(prop) {
    switch (prop) {
      case 'width':
      case 'height':
      case 'minWidth':
      case 'minHeight':
      case 'maxWidth':
      case 'maxHeight':
      case 'left':
      case 'top':
      case 'bottom':
      case 'right':
      case 'fontSize':
      case 'outlineWidth':
      case 'outlineOffset':
      case 'paddingTop':
      case 'paddingLeft':
      case 'paddingBottom':
      case 'paddingRight':
      case 'marginTop':
      case 'marginLeft':
      case 'marginBottom':
      case 'marginRight':
      case 'borderRadius':
      case 'borderWidth':
      case 'borderTopWidth':
      case 'borderLeftWidth':
      case 'borderRightWidth':
      case 'borderBottomWidth':
      case 'textIndent':
        return true;
      default:
        return false;
    }
  }
  function _computeStyle(element, prop) {
    return dom_adapter_1.getDOM().getComputedStyle(element)[prop];
  }
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/browser/generic_browser_adapter.js", ["../dom/dom_adapter", "../facade/collection", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var dom_adapter_1 = $__require('../dom/dom_adapter');
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var GenericBrowserDomAdapter = (function(_super) {
    __extends(GenericBrowserDomAdapter, _super);
    function GenericBrowserDomAdapter() {
      var _this = this;
      _super.call(this);
      this._animationPrefix = null;
      this._transitionEnd = null;
      try {
        var element = this.createElement('div', this.defaultDoc());
        if (lang_1.isPresent(this.getStyle(element, 'animationName'))) {
          this._animationPrefix = '';
        } else {
          var domPrefixes = ['Webkit', 'Moz', 'O', 'ms'];
          for (var i = 0; i < domPrefixes.length; i++) {
            if (lang_1.isPresent(this.getStyle(element, domPrefixes[i] + 'AnimationName'))) {
              this._animationPrefix = '-' + domPrefixes[i].toLowerCase() + '-';
              break;
            }
          }
        }
        var transEndEventNames = {
          WebkitTransition: 'webkitTransitionEnd',
          MozTransition: 'transitionend',
          OTransition: 'oTransitionEnd otransitionend',
          transition: 'transitionend'
        };
        collection_1.StringMapWrapper.forEach(transEndEventNames, function(value, key) {
          if (lang_1.isPresent(_this.getStyle(element, key))) {
            _this._transitionEnd = value;
          }
        });
      } catch (e) {
        this._animationPrefix = null;
        this._transitionEnd = null;
      }
    }
    GenericBrowserDomAdapter.prototype.getDistributedNodes = function(el) {
      return el.getDistributedNodes();
    };
    GenericBrowserDomAdapter.prototype.resolveAndSetHref = function(el, baseUrl, href) {
      el.href = href == null ? baseUrl : baseUrl + '/../' + href;
    };
    GenericBrowserDomAdapter.prototype.supportsDOMEvents = function() {
      return true;
    };
    GenericBrowserDomAdapter.prototype.supportsNativeShadowDOM = function() {
      return lang_1.isFunction(this.defaultDoc().body.createShadowRoot);
    };
    GenericBrowserDomAdapter.prototype.getAnimationPrefix = function() {
      return lang_1.isPresent(this._animationPrefix) ? this._animationPrefix : '';
    };
    GenericBrowserDomAdapter.prototype.getTransitionEnd = function() {
      return lang_1.isPresent(this._transitionEnd) ? this._transitionEnd : '';
    };
    GenericBrowserDomAdapter.prototype.supportsAnimation = function() {
      return lang_1.isPresent(this._animationPrefix) && lang_1.isPresent(this._transitionEnd);
    };
    return GenericBrowserDomAdapter;
  }(dom_adapter_1.DomAdapter));
  exports.GenericBrowserDomAdapter = GenericBrowserDomAdapter;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/browser/browser_adapter.js", ["../dom/dom_adapter", "../facade/collection", "../facade/lang", "./generic_browser_adapter"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var dom_adapter_1 = $__require('../dom/dom_adapter');
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var generic_browser_adapter_1 = $__require('./generic_browser_adapter');
  var _attrToPropMap = {
    'class': 'className',
    'innerHtml': 'innerHTML',
    'readonly': 'readOnly',
    'tabindex': 'tabIndex'
  };
  var DOM_KEY_LOCATION_NUMPAD = 3;
  var _keyMap = {
    '\b': 'Backspace',
    '\t': 'Tab',
    '\x7F': 'Delete',
    '\x1B': 'Escape',
    'Del': 'Delete',
    'Esc': 'Escape',
    'Left': 'ArrowLeft',
    'Right': 'ArrowRight',
    'Up': 'ArrowUp',
    'Down': 'ArrowDown',
    'Menu': 'ContextMenu',
    'Scroll': 'ScrollLock',
    'Win': 'OS'
  };
  var _chromeNumKeyPadMap = {
    'A': '1',
    'B': '2',
    'C': '3',
    'D': '4',
    'E': '5',
    'F': '6',
    'G': '7',
    'H': '8',
    'I': '9',
    'J': '*',
    'K': '+',
    'M': '-',
    'N': '.',
    'O': '/',
    '\x60': '0',
    '\x90': 'NumLock'
  };
  var BrowserDomAdapter = (function(_super) {
    __extends(BrowserDomAdapter, _super);
    function BrowserDomAdapter() {
      _super.apply(this, arguments);
    }
    BrowserDomAdapter.prototype.parse = function(templateHtml) {
      throw new Error('parse not implemented');
    };
    BrowserDomAdapter.makeCurrent = function() {
      dom_adapter_1.setRootDomAdapter(new BrowserDomAdapter());
    };
    BrowserDomAdapter.prototype.hasProperty = function(element, name) {
      return name in element;
    };
    BrowserDomAdapter.prototype.setProperty = function(el, name, value) {
      el[name] = value;
    };
    BrowserDomAdapter.prototype.getProperty = function(el, name) {
      return el[name];
    };
    BrowserDomAdapter.prototype.invoke = function(el, methodName, args) {
      el[methodName].apply(el, args);
    };
    BrowserDomAdapter.prototype.logError = function(error) {
      if (window.console.error) {
        window.console.error(error);
      } else {
        window.console.log(error);
      }
    };
    BrowserDomAdapter.prototype.log = function(error) {
      window.console.log(error);
    };
    BrowserDomAdapter.prototype.logGroup = function(error) {
      if (window.console.group) {
        window.console.group(error);
        this.logError(error);
      } else {
        window.console.log(error);
      }
    };
    BrowserDomAdapter.prototype.logGroupEnd = function() {
      if (window.console.groupEnd) {
        window.console.groupEnd();
      }
    };
    Object.defineProperty(BrowserDomAdapter.prototype, "attrToPropMap", {
      get: function() {
        return _attrToPropMap;
      },
      enumerable: true,
      configurable: true
    });
    BrowserDomAdapter.prototype.query = function(selector) {
      return document.querySelector(selector);
    };
    BrowserDomAdapter.prototype.querySelector = function(el, selector) {
      return el.querySelector(selector);
    };
    BrowserDomAdapter.prototype.querySelectorAll = function(el, selector) {
      return el.querySelectorAll(selector);
    };
    BrowserDomAdapter.prototype.on = function(el, evt, listener) {
      el.addEventListener(evt, listener, false);
    };
    BrowserDomAdapter.prototype.onAndCancel = function(el, evt, listener) {
      el.addEventListener(evt, listener, false);
      return function() {
        el.removeEventListener(evt, listener, false);
      };
    };
    BrowserDomAdapter.prototype.dispatchEvent = function(el, evt) {
      el.dispatchEvent(evt);
    };
    BrowserDomAdapter.prototype.createMouseEvent = function(eventType) {
      var evt = document.createEvent('MouseEvent');
      evt.initEvent(eventType, true, true);
      return evt;
    };
    BrowserDomAdapter.prototype.createEvent = function(eventType) {
      var evt = document.createEvent('Event');
      evt.initEvent(eventType, true, true);
      return evt;
    };
    BrowserDomAdapter.prototype.preventDefault = function(evt) {
      evt.preventDefault();
      evt.returnValue = false;
    };
    BrowserDomAdapter.prototype.isPrevented = function(evt) {
      return evt.defaultPrevented || lang_1.isPresent(evt.returnValue) && !evt.returnValue;
    };
    BrowserDomAdapter.prototype.getInnerHTML = function(el) {
      return el.innerHTML;
    };
    BrowserDomAdapter.prototype.getTemplateContent = function(el) {
      return 'content' in el && el instanceof HTMLTemplateElement ? el.content : null;
    };
    BrowserDomAdapter.prototype.getOuterHTML = function(el) {
      return el.outerHTML;
    };
    BrowserDomAdapter.prototype.nodeName = function(node) {
      return node.nodeName;
    };
    BrowserDomAdapter.prototype.nodeValue = function(node) {
      return node.nodeValue;
    };
    BrowserDomAdapter.prototype.type = function(node) {
      return node.type;
    };
    BrowserDomAdapter.prototype.content = function(node) {
      if (this.hasProperty(node, 'content')) {
        return node.content;
      } else {
        return node;
      }
    };
    BrowserDomAdapter.prototype.firstChild = function(el) {
      return el.firstChild;
    };
    BrowserDomAdapter.prototype.nextSibling = function(el) {
      return el.nextSibling;
    };
    BrowserDomAdapter.prototype.parentElement = function(el) {
      return el.parentNode;
    };
    BrowserDomAdapter.prototype.childNodes = function(el) {
      return el.childNodes;
    };
    BrowserDomAdapter.prototype.childNodesAsList = function(el) {
      var childNodes = el.childNodes;
      var res = collection_1.ListWrapper.createFixedSize(childNodes.length);
      for (var i = 0; i < childNodes.length; i++) {
        res[i] = childNodes[i];
      }
      return res;
    };
    BrowserDomAdapter.prototype.clearNodes = function(el) {
      while (el.firstChild) {
        el.removeChild(el.firstChild);
      }
    };
    BrowserDomAdapter.prototype.appendChild = function(el, node) {
      el.appendChild(node);
    };
    BrowserDomAdapter.prototype.removeChild = function(el, node) {
      el.removeChild(node);
    };
    BrowserDomAdapter.prototype.replaceChild = function(el, newChild, oldChild) {
      el.replaceChild(newChild, oldChild);
    };
    BrowserDomAdapter.prototype.remove = function(node) {
      if (node.parentNode) {
        node.parentNode.removeChild(node);
      }
      return node;
    };
    BrowserDomAdapter.prototype.insertBefore = function(el, node) {
      el.parentNode.insertBefore(node, el);
    };
    BrowserDomAdapter.prototype.insertAllBefore = function(el, nodes) {
      nodes.forEach(function(n) {
        return el.parentNode.insertBefore(n, el);
      });
    };
    BrowserDomAdapter.prototype.insertAfter = function(el, node) {
      el.parentNode.insertBefore(node, el.nextSibling);
    };
    BrowserDomAdapter.prototype.setInnerHTML = function(el, value) {
      el.innerHTML = value;
    };
    BrowserDomAdapter.prototype.getText = function(el) {
      return el.textContent;
    };
    BrowserDomAdapter.prototype.setText = function(el, value) {
      el.textContent = value;
    };
    BrowserDomAdapter.prototype.getValue = function(el) {
      return el.value;
    };
    BrowserDomAdapter.prototype.setValue = function(el, value) {
      el.value = value;
    };
    BrowserDomAdapter.prototype.getChecked = function(el) {
      return el.checked;
    };
    BrowserDomAdapter.prototype.setChecked = function(el, value) {
      el.checked = value;
    };
    BrowserDomAdapter.prototype.createComment = function(text) {
      return document.createComment(text);
    };
    BrowserDomAdapter.prototype.createTemplate = function(html) {
      var t = document.createElement('template');
      t.innerHTML = html;
      return t;
    };
    BrowserDomAdapter.prototype.createElement = function(tagName, doc) {
      if (doc === void 0) {
        doc = document;
      }
      return doc.createElement(tagName);
    };
    BrowserDomAdapter.prototype.createElementNS = function(ns, tagName, doc) {
      if (doc === void 0) {
        doc = document;
      }
      return doc.createElementNS(ns, tagName);
    };
    BrowserDomAdapter.prototype.createTextNode = function(text, doc) {
      if (doc === void 0) {
        doc = document;
      }
      return doc.createTextNode(text);
    };
    BrowserDomAdapter.prototype.createScriptTag = function(attrName, attrValue, doc) {
      if (doc === void 0) {
        doc = document;
      }
      var el = doc.createElement('SCRIPT');
      el.setAttribute(attrName, attrValue);
      return el;
    };
    BrowserDomAdapter.prototype.createStyleElement = function(css, doc) {
      if (doc === void 0) {
        doc = document;
      }
      var style = doc.createElement('style');
      this.appendChild(style, this.createTextNode(css));
      return style;
    };
    BrowserDomAdapter.prototype.createShadowRoot = function(el) {
      return el.createShadowRoot();
    };
    BrowserDomAdapter.prototype.getShadowRoot = function(el) {
      return el.shadowRoot;
    };
    BrowserDomAdapter.prototype.getHost = function(el) {
      return el.host;
    };
    BrowserDomAdapter.prototype.clone = function(node) {
      return node.cloneNode(true);
    };
    BrowserDomAdapter.prototype.getElementsByClassName = function(element, name) {
      return element.getElementsByClassName(name);
    };
    BrowserDomAdapter.prototype.getElementsByTagName = function(element, name) {
      return element.getElementsByTagName(name);
    };
    BrowserDomAdapter.prototype.classList = function(element) {
      return Array.prototype.slice.call(element.classList, 0);
    };
    BrowserDomAdapter.prototype.addClass = function(element, className) {
      element.classList.add(className);
    };
    BrowserDomAdapter.prototype.removeClass = function(element, className) {
      element.classList.remove(className);
    };
    BrowserDomAdapter.prototype.hasClass = function(element, className) {
      return element.classList.contains(className);
    };
    BrowserDomAdapter.prototype.setStyle = function(element, styleName, styleValue) {
      element.style[styleName] = styleValue;
    };
    BrowserDomAdapter.prototype.removeStyle = function(element, stylename) {
      element.style[stylename] = null;
    };
    BrowserDomAdapter.prototype.getStyle = function(element, stylename) {
      return element.style[stylename];
    };
    BrowserDomAdapter.prototype.hasStyle = function(element, styleName, styleValue) {
      if (styleValue === void 0) {
        styleValue = null;
      }
      var value = this.getStyle(element, styleName) || '';
      return styleValue ? value == styleValue : value.length > 0;
    };
    BrowserDomAdapter.prototype.tagName = function(element) {
      return element.tagName;
    };
    BrowserDomAdapter.prototype.attributeMap = function(element) {
      var res = new Map();
      var elAttrs = element.attributes;
      for (var i = 0; i < elAttrs.length; i++) {
        var attrib = elAttrs[i];
        res.set(attrib.name, attrib.value);
      }
      return res;
    };
    BrowserDomAdapter.prototype.hasAttribute = function(element, attribute) {
      return element.hasAttribute(attribute);
    };
    BrowserDomAdapter.prototype.hasAttributeNS = function(element, ns, attribute) {
      return element.hasAttributeNS(ns, attribute);
    };
    BrowserDomAdapter.prototype.getAttribute = function(element, attribute) {
      return element.getAttribute(attribute);
    };
    BrowserDomAdapter.prototype.getAttributeNS = function(element, ns, name) {
      return element.getAttributeNS(ns, name);
    };
    BrowserDomAdapter.prototype.setAttribute = function(element, name, value) {
      element.setAttribute(name, value);
    };
    BrowserDomAdapter.prototype.setAttributeNS = function(element, ns, name, value) {
      element.setAttributeNS(ns, name, value);
    };
    BrowserDomAdapter.prototype.removeAttribute = function(element, attribute) {
      element.removeAttribute(attribute);
    };
    BrowserDomAdapter.prototype.removeAttributeNS = function(element, ns, name) {
      element.removeAttributeNS(ns, name);
    };
    BrowserDomAdapter.prototype.templateAwareRoot = function(el) {
      return this.isTemplateElement(el) ? this.content(el) : el;
    };
    BrowserDomAdapter.prototype.createHtmlDocument = function() {
      return document.implementation.createHTMLDocument('fakeTitle');
    };
    BrowserDomAdapter.prototype.defaultDoc = function() {
      return document;
    };
    BrowserDomAdapter.prototype.getBoundingClientRect = function(el) {
      try {
        return el.getBoundingClientRect();
      } catch (e) {
        return {
          top: 0,
          bottom: 0,
          left: 0,
          right: 0,
          width: 0,
          height: 0
        };
      }
    };
    BrowserDomAdapter.prototype.getTitle = function() {
      return document.title;
    };
    BrowserDomAdapter.prototype.setTitle = function(newTitle) {
      document.title = newTitle || '';
    };
    BrowserDomAdapter.prototype.elementMatches = function(n, selector) {
      var matches = false;
      if (n instanceof HTMLElement) {
        if (n.matches) {
          matches = n.matches(selector);
        } else if (n.msMatchesSelector) {
          matches = n.msMatchesSelector(selector);
        } else if (n.webkitMatchesSelector) {
          matches = n.webkitMatchesSelector(selector);
        }
      }
      return matches;
    };
    BrowserDomAdapter.prototype.isTemplateElement = function(el) {
      return el instanceof HTMLElement && el.nodeName == 'TEMPLATE';
    };
    BrowserDomAdapter.prototype.isTextNode = function(node) {
      return node.nodeType === Node.TEXT_NODE;
    };
    BrowserDomAdapter.prototype.isCommentNode = function(node) {
      return node.nodeType === Node.COMMENT_NODE;
    };
    BrowserDomAdapter.prototype.isElementNode = function(node) {
      return node.nodeType === Node.ELEMENT_NODE;
    };
    BrowserDomAdapter.prototype.hasShadowRoot = function(node) {
      return node instanceof HTMLElement && lang_1.isPresent(node.shadowRoot);
    };
    BrowserDomAdapter.prototype.isShadowRoot = function(node) {
      return node instanceof DocumentFragment;
    };
    BrowserDomAdapter.prototype.importIntoDoc = function(node) {
      var toImport = node;
      if (this.isTemplateElement(node)) {
        toImport = this.content(node);
      }
      return document.importNode(toImport, true);
    };
    BrowserDomAdapter.prototype.adoptNode = function(node) {
      return document.adoptNode(node);
    };
    BrowserDomAdapter.prototype.getHref = function(el) {
      return el.href;
    };
    BrowserDomAdapter.prototype.getEventKey = function(event) {
      var key = event.key;
      if (lang_1.isBlank(key)) {
        key = event.keyIdentifier;
        if (lang_1.isBlank(key)) {
          return 'Unidentified';
        }
        if (key.startsWith('U+')) {
          key = String.fromCharCode(parseInt(key.substring(2), 16));
          if (event.location === DOM_KEY_LOCATION_NUMPAD && _chromeNumKeyPadMap.hasOwnProperty(key)) {
            key = _chromeNumKeyPadMap[key];
          }
        }
      }
      if (_keyMap.hasOwnProperty(key)) {
        key = _keyMap[key];
      }
      return key;
    };
    BrowserDomAdapter.prototype.getGlobalEventTarget = function(target) {
      if (target == 'window') {
        return window;
      } else if (target == 'document') {
        return document;
      } else if (target == 'body') {
        return document.body;
      }
    };
    BrowserDomAdapter.prototype.getHistory = function() {
      return window.history;
    };
    BrowserDomAdapter.prototype.getLocation = function() {
      return window.location;
    };
    BrowserDomAdapter.prototype.getBaseHref = function() {
      var href = getBaseElementHref();
      if (lang_1.isBlank(href)) {
        return null;
      }
      return relativePath(href);
    };
    BrowserDomAdapter.prototype.resetBaseElement = function() {
      baseElement = null;
    };
    BrowserDomAdapter.prototype.getUserAgent = function() {
      return window.navigator.userAgent;
    };
    BrowserDomAdapter.prototype.setData = function(element, name, value) {
      this.setAttribute(element, 'data-' + name, value);
    };
    BrowserDomAdapter.prototype.getData = function(element, name) {
      return this.getAttribute(element, 'data-' + name);
    };
    BrowserDomAdapter.prototype.getComputedStyle = function(element) {
      return getComputedStyle(element);
    };
    BrowserDomAdapter.prototype.setGlobalVar = function(path, value) {
      lang_1.setValueOnPath(lang_1.global, path, value);
    };
    BrowserDomAdapter.prototype.requestAnimationFrame = function(callback) {
      return window.requestAnimationFrame(callback);
    };
    BrowserDomAdapter.prototype.cancelAnimationFrame = function(id) {
      window.cancelAnimationFrame(id);
    };
    BrowserDomAdapter.prototype.supportsWebAnimation = function() {
      return lang_1.isFunction(document.body['animate']);
    };
    BrowserDomAdapter.prototype.performanceNow = function() {
      if (lang_1.isPresent(window.performance) && lang_1.isPresent(window.performance.now)) {
        return window.performance.now();
      } else {
        return lang_1.DateWrapper.toMillis(lang_1.DateWrapper.now());
      }
    };
    BrowserDomAdapter.prototype.supportsCookies = function() {
      return true;
    };
    BrowserDomAdapter.prototype.getCookie = function(name) {
      return parseCookieValue(document.cookie, name);
    };
    BrowserDomAdapter.prototype.setCookie = function(name, value) {
      document.cookie = encodeURIComponent(name) + '=' + encodeURIComponent(value);
    };
    return BrowserDomAdapter;
  }(generic_browser_adapter_1.GenericBrowserDomAdapter));
  exports.BrowserDomAdapter = BrowserDomAdapter;
  var baseElement = null;
  function getBaseElementHref() {
    if (lang_1.isBlank(baseElement)) {
      baseElement = document.querySelector('base');
      if (lang_1.isBlank(baseElement)) {
        return null;
      }
    }
    return baseElement.getAttribute('href');
  }
  var urlParsingNode = null;
  function relativePath(url) {
    if (lang_1.isBlank(urlParsingNode)) {
      urlParsingNode = document.createElement('a');
    }
    urlParsingNode.setAttribute('href', url);
    return (urlParsingNode.pathname.charAt(0) === '/') ? urlParsingNode.pathname : '/' + urlParsingNode.pathname;
  }
  function parseCookieValue(cookie, name) {
    name = encodeURIComponent(name);
    var cookies = cookie.split(';');
    for (var _i = 0,
        cookies_1 = cookies; _i < cookies_1.length; _i++) {
      var cookie_1 = cookies_1[_i];
      var _a = cookie_1.split('=', 2),
          key = _a[0],
          value = _a[1];
      if (key.trim() === name) {
        return decodeURIComponent(value);
      }
    }
    return null;
  }
  exports.parseCookieValue = parseCookieValue;
  return module.exports;
});

System.registerDynamic("@angular/common/src/pipes/async_pipe.js", ["@angular/core", "../facade/async", "../facade/lang", "./invalid_pipe_argument_exception"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var async_1 = $__require('../facade/async');
  var lang_1 = $__require('../facade/lang');
  var invalid_pipe_argument_exception_1 = $__require('./invalid_pipe_argument_exception');
  var ObservableStrategy = (function() {
    function ObservableStrategy() {}
    ObservableStrategy.prototype.createSubscription = function(async, updateLatestValue) {
      return async_1.ObservableWrapper.subscribe(async, updateLatestValue, function(e) {
        throw e;
      });
    };
    ObservableStrategy.prototype.dispose = function(subscription) {
      async_1.ObservableWrapper.dispose(subscription);
    };
    ObservableStrategy.prototype.onDestroy = function(subscription) {
      async_1.ObservableWrapper.dispose(subscription);
    };
    return ObservableStrategy;
  }());
  var PromiseStrategy = (function() {
    function PromiseStrategy() {}
    PromiseStrategy.prototype.createSubscription = function(async, updateLatestValue) {
      return async.then(updateLatestValue, function(e) {
        throw e;
      });
    };
    PromiseStrategy.prototype.dispose = function(subscription) {};
    PromiseStrategy.prototype.onDestroy = function(subscription) {};
    return PromiseStrategy;
  }());
  var _promiseStrategy = new PromiseStrategy();
  var _observableStrategy = new ObservableStrategy();
  var __unused;
  var AsyncPipe = (function() {
    function AsyncPipe(_ref) {
      this._latestValue = null;
      this._latestReturnedValue = null;
      this._subscription = null;
      this._obj = null;
      this._strategy = null;
      this._ref = _ref;
    }
    AsyncPipe.prototype.ngOnDestroy = function() {
      if (lang_1.isPresent(this._subscription)) {
        this._dispose();
      }
    };
    AsyncPipe.prototype.transform = function(obj) {
      if (lang_1.isBlank(this._obj)) {
        if (lang_1.isPresent(obj)) {
          this._subscribe(obj);
        }
        this._latestReturnedValue = this._latestValue;
        return this._latestValue;
      }
      if (obj !== this._obj) {
        this._dispose();
        return this.transform(obj);
      }
      if (this._latestValue === this._latestReturnedValue) {
        return this._latestReturnedValue;
      } else {
        this._latestReturnedValue = this._latestValue;
        return core_1.WrappedValue.wrap(this._latestValue);
      }
    };
    AsyncPipe.prototype._subscribe = function(obj) {
      var _this = this;
      this._obj = obj;
      this._strategy = this._selectStrategy(obj);
      this._subscription = this._strategy.createSubscription(obj, function(value) {
        return _this._updateLatestValue(obj, value);
      });
    };
    AsyncPipe.prototype._selectStrategy = function(obj) {
      if (lang_1.isPromise(obj)) {
        return _promiseStrategy;
      } else if (async_1.ObservableWrapper.isObservable(obj)) {
        return _observableStrategy;
      } else {
        throw new invalid_pipe_argument_exception_1.InvalidPipeArgumentException(AsyncPipe, obj);
      }
    };
    AsyncPipe.prototype._dispose = function() {
      this._strategy.dispose(this._subscription);
      this._latestValue = null;
      this._latestReturnedValue = null;
      this._subscription = null;
      this._obj = null;
    };
    AsyncPipe.prototype._updateLatestValue = function(async, value) {
      if (async === this._obj) {
        this._latestValue = value;
        this._ref.markForCheck();
      }
    };
    AsyncPipe.decorators = [{
      type: core_1.Pipe,
      args: [{
        name: 'async',
        pure: false
      }]
    }];
    AsyncPipe.ctorParameters = [{type: core_1.ChangeDetectorRef}];
    return AsyncPipe;
  }());
  exports.AsyncPipe = AsyncPipe;
  return module.exports;
});

System.registerDynamic("@angular/common/src/pipes/common_pipes.js", ["./async_pipe", "./date_pipe", "./i18n_plural_pipe", "./i18n_select_pipe", "./json_pipe", "./lowercase_pipe", "./number_pipe", "./replace_pipe", "./slice_pipe", "./uppercase_pipe"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var async_pipe_1 = $__require('./async_pipe');
  var date_pipe_1 = $__require('./date_pipe');
  var i18n_plural_pipe_1 = $__require('./i18n_plural_pipe');
  var i18n_select_pipe_1 = $__require('./i18n_select_pipe');
  var json_pipe_1 = $__require('./json_pipe');
  var lowercase_pipe_1 = $__require('./lowercase_pipe');
  var number_pipe_1 = $__require('./number_pipe');
  var replace_pipe_1 = $__require('./replace_pipe');
  var slice_pipe_1 = $__require('./slice_pipe');
  var uppercase_pipe_1 = $__require('./uppercase_pipe');
  exports.COMMON_PIPES = [async_pipe_1.AsyncPipe, uppercase_pipe_1.UpperCasePipe, lowercase_pipe_1.LowerCasePipe, json_pipe_1.JsonPipe, slice_pipe_1.SlicePipe, number_pipe_1.DecimalPipe, number_pipe_1.PercentPipe, number_pipe_1.CurrencyPipe, date_pipe_1.DatePipe, replace_pipe_1.ReplacePipe, i18n_plural_pipe_1.I18nPluralPipe, i18n_select_pipe_1.I18nSelectPipe];
  return module.exports;
});

System.registerDynamic("@angular/common/src/pipes/date_pipe.js", ["@angular/core", "../facade/collection", "../facade/intl", "../facade/lang", "./invalid_pipe_argument_exception"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var collection_1 = $__require('../facade/collection');
  var intl_1 = $__require('../facade/intl');
  var lang_1 = $__require('../facade/lang');
  var invalid_pipe_argument_exception_1 = $__require('./invalid_pipe_argument_exception');
  var defaultLocale = 'en-US';
  var DatePipe = (function() {
    function DatePipe() {}
    DatePipe.prototype.transform = function(value, pattern) {
      if (pattern === void 0) {
        pattern = 'mediumDate';
      }
      if (lang_1.isBlank(value))
        return null;
      if (!this.supports(value)) {
        throw new invalid_pipe_argument_exception_1.InvalidPipeArgumentException(DatePipe, value);
      }
      if (lang_1.NumberWrapper.isNumeric(value)) {
        value = lang_1.DateWrapper.fromMillis(lang_1.NumberWrapper.parseInt(value, 10));
      } else if (lang_1.isString(value)) {
        value = lang_1.DateWrapper.fromISOString(value);
      }
      if (collection_1.StringMapWrapper.contains(DatePipe._ALIASES, pattern)) {
        pattern = collection_1.StringMapWrapper.get(DatePipe._ALIASES, pattern);
      }
      return intl_1.DateFormatter.format(value, defaultLocale, pattern);
    };
    DatePipe.prototype.supports = function(obj) {
      if (lang_1.isDate(obj) || lang_1.NumberWrapper.isNumeric(obj)) {
        return true;
      }
      if (lang_1.isString(obj) && lang_1.isDate(lang_1.DateWrapper.fromISOString(obj))) {
        return true;
      }
      return false;
    };
    DatePipe._ALIASES = {
      'medium': 'yMMMdjms',
      'short': 'yMdjm',
      'fullDate': 'yMMMMEEEEd',
      'longDate': 'yMMMMd',
      'mediumDate': 'yMMMd',
      'shortDate': 'yMd',
      'mediumTime': 'jms',
      'shortTime': 'jm'
    };
    DatePipe.decorators = [{
      type: core_1.Pipe,
      args: [{
        name: 'date',
        pure: true
      }]
    }];
    return DatePipe;
  }());
  exports.DatePipe = DatePipe;
  return module.exports;
});

System.registerDynamic("@angular/common/src/pipes/i18n_plural_pipe.js", ["@angular/core", "../facade/lang", "../localization", "./invalid_pipe_argument_exception"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var lang_1 = $__require('../facade/lang');
  var localization_1 = $__require('../localization');
  var invalid_pipe_argument_exception_1 = $__require('./invalid_pipe_argument_exception');
  var _INTERPOLATION_REGEXP = /#/g;
  var I18nPluralPipe = (function() {
    function I18nPluralPipe(_localization) {
      this._localization = _localization;
    }
    I18nPluralPipe.prototype.transform = function(value, pluralMap) {
      if (lang_1.isBlank(value))
        return '';
      if (!lang_1.isStringMap(pluralMap)) {
        throw new invalid_pipe_argument_exception_1.InvalidPipeArgumentException(I18nPluralPipe, pluralMap);
      }
      var key = localization_1.getPluralCategory(value, Object.getOwnPropertyNames(pluralMap), this._localization);
      return lang_1.StringWrapper.replaceAll(pluralMap[key], _INTERPOLATION_REGEXP, value.toString());
    };
    I18nPluralPipe.decorators = [{
      type: core_1.Pipe,
      args: [{
        name: 'i18nPlural',
        pure: true
      }]
    }];
    I18nPluralPipe.ctorParameters = [{type: localization_1.NgLocalization}];
    return I18nPluralPipe;
  }());
  exports.I18nPluralPipe = I18nPluralPipe;
  return module.exports;
});

System.registerDynamic("@angular/common/src/pipes/i18n_select_pipe.js", ["@angular/core", "../facade/lang", "./invalid_pipe_argument_exception"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var lang_1 = $__require('../facade/lang');
  var invalid_pipe_argument_exception_1 = $__require('./invalid_pipe_argument_exception');
  var I18nSelectPipe = (function() {
    function I18nSelectPipe() {}
    I18nSelectPipe.prototype.transform = function(value, mapping) {
      if (lang_1.isBlank(value))
        return '';
      if (!lang_1.isStringMap(mapping)) {
        throw new invalid_pipe_argument_exception_1.InvalidPipeArgumentException(I18nSelectPipe, mapping);
      }
      return mapping.hasOwnProperty(value) ? mapping[value] : '';
    };
    I18nSelectPipe.decorators = [{
      type: core_1.Pipe,
      args: [{
        name: 'i18nSelect',
        pure: true
      }]
    }];
    return I18nSelectPipe;
  }());
  exports.I18nSelectPipe = I18nSelectPipe;
  return module.exports;
});

System.registerDynamic("@angular/common/src/pipes/json_pipe.js", ["@angular/core", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var lang_1 = $__require('../facade/lang');
  var JsonPipe = (function() {
    function JsonPipe() {}
    JsonPipe.prototype.transform = function(value) {
      return lang_1.Json.stringify(value);
    };
    JsonPipe.decorators = [{
      type: core_1.Pipe,
      args: [{
        name: 'json',
        pure: false
      }]
    }];
    return JsonPipe;
  }());
  exports.JsonPipe = JsonPipe;
  return module.exports;
});

System.registerDynamic("@angular/common/src/pipes/lowercase_pipe.js", ["@angular/core", "../facade/lang", "./invalid_pipe_argument_exception"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var lang_1 = $__require('../facade/lang');
  var invalid_pipe_argument_exception_1 = $__require('./invalid_pipe_argument_exception');
  var LowerCasePipe = (function() {
    function LowerCasePipe() {}
    LowerCasePipe.prototype.transform = function(value) {
      if (lang_1.isBlank(value))
        return value;
      if (!lang_1.isString(value)) {
        throw new invalid_pipe_argument_exception_1.InvalidPipeArgumentException(LowerCasePipe, value);
      }
      return value.toLowerCase();
    };
    LowerCasePipe.decorators = [{
      type: core_1.Pipe,
      args: [{name: 'lowercase'}]
    }];
    return LowerCasePipe;
  }());
  exports.LowerCasePipe = LowerCasePipe;
  return module.exports;
});

System.registerDynamic("@angular/common/src/facade/intl.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  (function(NumberFormatStyle) {
    NumberFormatStyle[NumberFormatStyle["Decimal"] = 0] = "Decimal";
    NumberFormatStyle[NumberFormatStyle["Percent"] = 1] = "Percent";
    NumberFormatStyle[NumberFormatStyle["Currency"] = 2] = "Currency";
  })(exports.NumberFormatStyle || (exports.NumberFormatStyle = {}));
  var NumberFormatStyle = exports.NumberFormatStyle;
  var NumberFormatter = (function() {
    function NumberFormatter() {}
    NumberFormatter.format = function(num, locale, style, _a) {
      var _b = _a === void 0 ? {} : _a,
          _c = _b.minimumIntegerDigits,
          minimumIntegerDigits = _c === void 0 ? 1 : _c,
          _d = _b.minimumFractionDigits,
          minimumFractionDigits = _d === void 0 ? 0 : _d,
          _e = _b.maximumFractionDigits,
          maximumFractionDigits = _e === void 0 ? 3 : _e,
          currency = _b.currency,
          _f = _b.currencyAsSymbol,
          currencyAsSymbol = _f === void 0 ? false : _f;
      var intlOptions = {
        minimumIntegerDigits: minimumIntegerDigits,
        minimumFractionDigits: minimumFractionDigits,
        maximumFractionDigits: maximumFractionDigits
      };
      intlOptions.style = NumberFormatStyle[style].toLowerCase();
      if (style == NumberFormatStyle.Currency) {
        intlOptions.currency = currency;
        intlOptions.currencyDisplay = currencyAsSymbol ? 'symbol' : 'code';
      }
      return new Intl.NumberFormat(locale, intlOptions).format(num);
    };
    return NumberFormatter;
  }());
  exports.NumberFormatter = NumberFormatter;
  var DATE_FORMATS_SPLIT = /((?:[^yMLdHhmsaZEwGjJ']+)|(?:'(?:[^']|'')*')|(?:E+|y+|M+|L+|d+|H+|h+|J+|j+|m+|s+|a|Z|G+|w+))(.*)/;
  var PATTERN_ALIASES = {
    yMMMdjms: datePartGetterFactory(combine([digitCondition('year', 1), nameCondition('month', 3), digitCondition('day', 1), digitCondition('hour', 1), digitCondition('minute', 1), digitCondition('second', 1)])),
    yMdjm: datePartGetterFactory(combine([digitCondition('year', 1), digitCondition('month', 1), digitCondition('day', 1), digitCondition('hour', 1), digitCondition('minute', 1)])),
    yMMMMEEEEd: datePartGetterFactory(combine([digitCondition('year', 1), nameCondition('month', 4), nameCondition('weekday', 4), digitCondition('day', 1)])),
    yMMMMd: datePartGetterFactory(combine([digitCondition('year', 1), nameCondition('month', 4), digitCondition('day', 1)])),
    yMMMd: datePartGetterFactory(combine([digitCondition('year', 1), nameCondition('month', 3), digitCondition('day', 1)])),
    yMd: datePartGetterFactory(combine([digitCondition('year', 1), digitCondition('month', 1), digitCondition('day', 1)])),
    jms: datePartGetterFactory(combine([digitCondition('hour', 1), digitCondition('second', 1), digitCondition('minute', 1)])),
    jm: datePartGetterFactory(combine([digitCondition('hour', 1), digitCondition('minute', 1)]))
  };
  var DATE_FORMATS = {
    yyyy: datePartGetterFactory(digitCondition('year', 4)),
    yy: datePartGetterFactory(digitCondition('year', 2)),
    y: datePartGetterFactory(digitCondition('year', 1)),
    MMMM: datePartGetterFactory(nameCondition('month', 4)),
    MMM: datePartGetterFactory(nameCondition('month', 3)),
    MM: datePartGetterFactory(digitCondition('month', 2)),
    M: datePartGetterFactory(digitCondition('month', 1)),
    LLLL: datePartGetterFactory(nameCondition('month', 4)),
    dd: datePartGetterFactory(digitCondition('day', 2)),
    d: datePartGetterFactory(digitCondition('day', 1)),
    HH: hourExtracter(datePartGetterFactory(hour12Modify(digitCondition('hour', 2), false))),
    H: hourExtracter(datePartGetterFactory(hour12Modify(digitCondition('hour', 1), false))),
    hh: hourExtracter(datePartGetterFactory(hour12Modify(digitCondition('hour', 2), true))),
    h: hourExtracter(datePartGetterFactory(hour12Modify(digitCondition('hour', 1), true))),
    jj: datePartGetterFactory(digitCondition('hour', 2)),
    j: datePartGetterFactory(digitCondition('hour', 1)),
    mm: digitModifier(datePartGetterFactory(digitCondition('minute', 2))),
    m: datePartGetterFactory(digitCondition('minute', 1)),
    ss: digitModifier(datePartGetterFactory(digitCondition('second', 2))),
    s: datePartGetterFactory(digitCondition('second', 1)),
    sss: datePartGetterFactory(digitCondition('second', 3)),
    EEEE: datePartGetterFactory(nameCondition('weekday', 4)),
    EEE: datePartGetterFactory(nameCondition('weekday', 3)),
    EE: datePartGetterFactory(nameCondition('weekday', 2)),
    E: datePartGetterFactory(nameCondition('weekday', 1)),
    a: hourClockExtracter(datePartGetterFactory(hour12Modify(digitCondition('hour', 1), true))),
    Z: datePartGetterFactory({timeZoneName: 'long'}),
    z: datePartGetterFactory({timeZoneName: 'short'}),
    ww: datePartGetterFactory({}),
    w: datePartGetterFactory({}),
    G: datePartGetterFactory(nameCondition('era', 1)),
    GG: datePartGetterFactory(nameCondition('era', 2)),
    GGG: datePartGetterFactory(nameCondition('era', 3)),
    GGGG: datePartGetterFactory(nameCondition('era', 4))
  };
  function digitModifier(inner) {
    return function(date, locale) {
      var result = inner(date, locale);
      return result.length == 1 ? '0' + result : result;
    };
  }
  function hourClockExtracter(inner) {
    return function(date, locale) {
      var result = inner(date, locale);
      return result.split(' ')[1];
    };
  }
  function hourExtracter(inner) {
    return function(date, locale) {
      var result = inner(date, locale);
      return result.split(' ')[0];
    };
  }
  function hour12Modify(options, value) {
    options.hour12 = value;
    return options;
  }
  function digitCondition(prop, len) {
    var result = {};
    result[prop] = len == 2 ? '2-digit' : 'numeric';
    return result;
  }
  function nameCondition(prop, len) {
    var result = {};
    result[prop] = len < 4 ? 'short' : 'long';
    return result;
  }
  function combine(options) {
    var result = {};
    options.forEach(function(option) {
      Object.assign(result, option);
    });
    return result;
  }
  function datePartGetterFactory(ret) {
    return function(date, locale) {
      return new Intl.DateTimeFormat(locale, ret).format(date);
    };
  }
  var datePartsFormatterCache = new Map();
  function dateFormatter(format, date, locale) {
    var text = '';
    var match;
    var fn;
    var parts = [];
    if (PATTERN_ALIASES[format]) {
      return PATTERN_ALIASES[format](date, locale);
    }
    if (datePartsFormatterCache.has(format)) {
      parts = datePartsFormatterCache.get(format);
    } else {
      var matchs = DATE_FORMATS_SPLIT.exec(format);
      while (format) {
        match = DATE_FORMATS_SPLIT.exec(format);
        if (match) {
          parts = concat(parts, match, 1);
          format = parts.pop();
        } else {
          parts.push(format);
          format = null;
        }
      }
      datePartsFormatterCache.set(format, parts);
    }
    parts.forEach(function(part) {
      fn = DATE_FORMATS[part];
      text += fn ? fn(date, locale) : part === '\'\'' ? '\'' : part.replace(/(^'|'$)/g, '').replace(/''/g, '\'');
    });
    return text;
  }
  var slice = [].slice;
  function concat(array1, array2, index) {
    return array1.concat(slice.call(array2, index));
  }
  var DateFormatter = (function() {
    function DateFormatter() {}
    DateFormatter.format = function(date, locale, pattern) {
      return dateFormatter(pattern, date, locale);
    };
    return DateFormatter;
  }());
  exports.DateFormatter = DateFormatter;
  return module.exports;
});

System.registerDynamic("@angular/common/src/pipes/number_pipe.js", ["@angular/core", "../facade/exceptions", "../facade/intl", "../facade/lang", "./invalid_pipe_argument_exception"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var exceptions_1 = $__require('../facade/exceptions');
  var intl_1 = $__require('../facade/intl');
  var lang_1 = $__require('../facade/lang');
  var invalid_pipe_argument_exception_1 = $__require('./invalid_pipe_argument_exception');
  var defaultLocale = 'en-US';
  var _NUMBER_FORMAT_REGEXP = /^(\d+)?\.((\d+)(\-(\d+))?)?$/g;
  function formatNumber(pipe, value, style, digits, currency, currencyAsSymbol) {
    if (currency === void 0) {
      currency = null;
    }
    if (currencyAsSymbol === void 0) {
      currencyAsSymbol = false;
    }
    if (lang_1.isBlank(value))
      return null;
    if (!lang_1.isNumber(value)) {
      throw new invalid_pipe_argument_exception_1.InvalidPipeArgumentException(pipe, value);
    }
    var minInt = 1,
        minFraction = 0,
        maxFraction = 3;
    if (lang_1.isPresent(digits)) {
      var parts = lang_1.RegExpWrapper.firstMatch(_NUMBER_FORMAT_REGEXP, digits);
      if (lang_1.isBlank(parts)) {
        throw new exceptions_1.BaseException(digits + " is not a valid digit info for number pipes");
      }
      if (lang_1.isPresent(parts[1])) {
        minInt = lang_1.NumberWrapper.parseIntAutoRadix(parts[1]);
      }
      if (lang_1.isPresent(parts[3])) {
        minFraction = lang_1.NumberWrapper.parseIntAutoRadix(parts[3]);
      }
      if (lang_1.isPresent(parts[5])) {
        maxFraction = lang_1.NumberWrapper.parseIntAutoRadix(parts[5]);
      }
    }
    return intl_1.NumberFormatter.format(value, defaultLocale, style, {
      minimumIntegerDigits: minInt,
      minimumFractionDigits: minFraction,
      maximumFractionDigits: maxFraction,
      currency: currency,
      currencyAsSymbol: currencyAsSymbol
    });
  }
  var DecimalPipe = (function() {
    function DecimalPipe() {}
    DecimalPipe.prototype.transform = function(value, digits) {
      if (digits === void 0) {
        digits = null;
      }
      return formatNumber(DecimalPipe, value, intl_1.NumberFormatStyle.Decimal, digits);
    };
    DecimalPipe.decorators = [{
      type: core_1.Pipe,
      args: [{name: 'number'}]
    }];
    return DecimalPipe;
  }());
  exports.DecimalPipe = DecimalPipe;
  var PercentPipe = (function() {
    function PercentPipe() {}
    PercentPipe.prototype.transform = function(value, digits) {
      if (digits === void 0) {
        digits = null;
      }
      return formatNumber(PercentPipe, value, intl_1.NumberFormatStyle.Percent, digits);
    };
    PercentPipe.decorators = [{
      type: core_1.Pipe,
      args: [{name: 'percent'}]
    }];
    return PercentPipe;
  }());
  exports.PercentPipe = PercentPipe;
  var CurrencyPipe = (function() {
    function CurrencyPipe() {}
    CurrencyPipe.prototype.transform = function(value, currencyCode, symbolDisplay, digits) {
      if (currencyCode === void 0) {
        currencyCode = 'USD';
      }
      if (symbolDisplay === void 0) {
        symbolDisplay = false;
      }
      if (digits === void 0) {
        digits = null;
      }
      return formatNumber(CurrencyPipe, value, intl_1.NumberFormatStyle.Currency, digits, currencyCode, symbolDisplay);
    };
    CurrencyPipe.decorators = [{
      type: core_1.Pipe,
      args: [{name: 'currency'}]
    }];
    return CurrencyPipe;
  }());
  exports.CurrencyPipe = CurrencyPipe;
  return module.exports;
});

System.registerDynamic("@angular/common/src/pipes/replace_pipe.js", ["@angular/core", "../facade/lang", "./invalid_pipe_argument_exception"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var lang_1 = $__require('../facade/lang');
  var invalid_pipe_argument_exception_1 = $__require('./invalid_pipe_argument_exception');
  var ReplacePipe = (function() {
    function ReplacePipe() {}
    ReplacePipe.prototype.transform = function(value, pattern, replacement) {
      if (lang_1.isBlank(value)) {
        return value;
      }
      if (!this._supportedInput(value)) {
        throw new invalid_pipe_argument_exception_1.InvalidPipeArgumentException(ReplacePipe, value);
      }
      var input = value.toString();
      if (!this._supportedPattern(pattern)) {
        throw new invalid_pipe_argument_exception_1.InvalidPipeArgumentException(ReplacePipe, pattern);
      }
      if (!this._supportedReplacement(replacement)) {
        throw new invalid_pipe_argument_exception_1.InvalidPipeArgumentException(ReplacePipe, replacement);
      }
      if (lang_1.isFunction(replacement)) {
        var rgxPattern = lang_1.isString(pattern) ? lang_1.RegExpWrapper.create(pattern) : pattern;
        return lang_1.StringWrapper.replaceAllMapped(input, rgxPattern, replacement);
      }
      if (pattern instanceof RegExp) {
        return lang_1.StringWrapper.replaceAll(input, pattern, replacement);
      }
      return lang_1.StringWrapper.replace(input, pattern, replacement);
    };
    ReplacePipe.prototype._supportedInput = function(input) {
      return lang_1.isString(input) || lang_1.isNumber(input);
    };
    ReplacePipe.prototype._supportedPattern = function(pattern) {
      return lang_1.isString(pattern) || pattern instanceof RegExp;
    };
    ReplacePipe.prototype._supportedReplacement = function(replacement) {
      return lang_1.isString(replacement) || lang_1.isFunction(replacement);
    };
    ReplacePipe.decorators = [{
      type: core_1.Pipe,
      args: [{name: 'replace'}]
    }];
    return ReplacePipe;
  }());
  exports.ReplacePipe = ReplacePipe;
  return module.exports;
});

System.registerDynamic("@angular/common/src/pipes/slice_pipe.js", ["@angular/core", "../facade/collection", "../facade/lang", "./invalid_pipe_argument_exception"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var invalid_pipe_argument_exception_1 = $__require('./invalid_pipe_argument_exception');
  var SlicePipe = (function() {
    function SlicePipe() {}
    SlicePipe.prototype.transform = function(value, start, end) {
      if (end === void 0) {
        end = null;
      }
      if (lang_1.isBlank(value))
        return value;
      if (!this.supports(value)) {
        throw new invalid_pipe_argument_exception_1.InvalidPipeArgumentException(SlicePipe, value);
      }
      if (lang_1.isString(value)) {
        return lang_1.StringWrapper.slice(value, start, end);
      }
      return collection_1.ListWrapper.slice(value, start, end);
    };
    SlicePipe.prototype.supports = function(obj) {
      return lang_1.isString(obj) || lang_1.isArray(obj);
    };
    SlicePipe.decorators = [{
      type: core_1.Pipe,
      args: [{
        name: 'slice',
        pure: false
      }]
    }];
    return SlicePipe;
  }());
  exports.SlicePipe = SlicePipe;
  return module.exports;
});

System.registerDynamic("@angular/common/src/pipes/invalid_pipe_argument_exception.js", ["../facade/exceptions", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var InvalidPipeArgumentException = (function(_super) {
    __extends(InvalidPipeArgumentException, _super);
    function InvalidPipeArgumentException(type, value) {
      _super.call(this, "Invalid argument '" + value + "' for pipe '" + lang_1.stringify(type) + "'");
    }
    return InvalidPipeArgumentException;
  }(exceptions_1.BaseException));
  exports.InvalidPipeArgumentException = InvalidPipeArgumentException;
  return module.exports;
});

System.registerDynamic("@angular/common/src/pipes/uppercase_pipe.js", ["@angular/core", "../facade/lang", "./invalid_pipe_argument_exception"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var lang_1 = $__require('../facade/lang');
  var invalid_pipe_argument_exception_1 = $__require('./invalid_pipe_argument_exception');
  var UpperCasePipe = (function() {
    function UpperCasePipe() {}
    UpperCasePipe.prototype.transform = function(value) {
      if (lang_1.isBlank(value))
        return value;
      if (!lang_1.isString(value)) {
        throw new invalid_pipe_argument_exception_1.InvalidPipeArgumentException(UpperCasePipe, value);
      }
      return value.toUpperCase();
    };
    UpperCasePipe.decorators = [{
      type: core_1.Pipe,
      args: [{name: 'uppercase'}]
    }];
    return UpperCasePipe;
  }());
  exports.UpperCasePipe = UpperCasePipe;
  return module.exports;
});

System.registerDynamic("@angular/common/src/pipes.js", ["./pipes/async_pipe", "./pipes/common_pipes", "./pipes/date_pipe", "./pipes/i18n_plural_pipe", "./pipes/i18n_select_pipe", "./pipes/json_pipe", "./pipes/lowercase_pipe", "./pipes/number_pipe", "./pipes/replace_pipe", "./pipes/slice_pipe", "./pipes/uppercase_pipe"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var async_pipe_1 = $__require('./pipes/async_pipe');
  exports.AsyncPipe = async_pipe_1.AsyncPipe;
  var common_pipes_1 = $__require('./pipes/common_pipes');
  exports.COMMON_PIPES = common_pipes_1.COMMON_PIPES;
  var date_pipe_1 = $__require('./pipes/date_pipe');
  exports.DatePipe = date_pipe_1.DatePipe;
  var i18n_plural_pipe_1 = $__require('./pipes/i18n_plural_pipe');
  exports.I18nPluralPipe = i18n_plural_pipe_1.I18nPluralPipe;
  var i18n_select_pipe_1 = $__require('./pipes/i18n_select_pipe');
  exports.I18nSelectPipe = i18n_select_pipe_1.I18nSelectPipe;
  var json_pipe_1 = $__require('./pipes/json_pipe');
  exports.JsonPipe = json_pipe_1.JsonPipe;
  var lowercase_pipe_1 = $__require('./pipes/lowercase_pipe');
  exports.LowerCasePipe = lowercase_pipe_1.LowerCasePipe;
  var number_pipe_1 = $__require('./pipes/number_pipe');
  exports.CurrencyPipe = number_pipe_1.CurrencyPipe;
  exports.DecimalPipe = number_pipe_1.DecimalPipe;
  exports.PercentPipe = number_pipe_1.PercentPipe;
  var replace_pipe_1 = $__require('./pipes/replace_pipe');
  exports.ReplacePipe = replace_pipe_1.ReplacePipe;
  var slice_pipe_1 = $__require('./pipes/slice_pipe');
  exports.SlicePipe = slice_pipe_1.SlicePipe;
  var uppercase_pipe_1 = $__require('./pipes/uppercase_pipe');
  exports.UpperCasePipe = uppercase_pipe_1.UpperCasePipe;
  return module.exports;
});

System.registerDynamic("@angular/common/src/directives/core_directives.js", ["./ng_class", "./ng_for", "./ng_if", "./ng_plural", "./ng_style", "./ng_switch", "./ng_template_outlet"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var ng_class_1 = $__require('./ng_class');
  var ng_for_1 = $__require('./ng_for');
  var ng_if_1 = $__require('./ng_if');
  var ng_plural_1 = $__require('./ng_plural');
  var ng_style_1 = $__require('./ng_style');
  var ng_switch_1 = $__require('./ng_switch');
  var ng_template_outlet_1 = $__require('./ng_template_outlet');
  exports.CORE_DIRECTIVES = [ng_class_1.NgClass, ng_for_1.NgFor, ng_if_1.NgIf, ng_template_outlet_1.NgTemplateOutlet, ng_style_1.NgStyle, ng_switch_1.NgSwitch, ng_switch_1.NgSwitchCase, ng_switch_1.NgSwitchDefault, ng_plural_1.NgPlural, ng_plural_1.NgPluralCase];
  return module.exports;
});

System.registerDynamic("@angular/common/src/directives/ng_class.js", ["@angular/core", "../facade/collection", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var NgClass = (function() {
    function NgClass(_iterableDiffers, _keyValueDiffers, _ngEl, _renderer) {
      this._iterableDiffers = _iterableDiffers;
      this._keyValueDiffers = _keyValueDiffers;
      this._ngEl = _ngEl;
      this._renderer = _renderer;
      this._initialClasses = [];
    }
    Object.defineProperty(NgClass.prototype, "initialClasses", {
      set: function(v) {
        this._applyInitialClasses(true);
        this._initialClasses = lang_1.isPresent(v) && lang_1.isString(v) ? v.split(' ') : [];
        this._applyInitialClasses(false);
        this._applyClasses(this._rawClass, false);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgClass.prototype, "rawClass", {
      set: function(v) {
        this._cleanupClasses(this._rawClass);
        if (lang_1.isString(v)) {
          v = v.split(' ');
        }
        this._rawClass = v;
        this._iterableDiffer = null;
        this._keyValueDiffer = null;
        if (lang_1.isPresent(v)) {
          if (collection_1.isListLikeIterable(v)) {
            this._iterableDiffer = this._iterableDiffers.find(v).create(null);
          } else {
            this._keyValueDiffer = this._keyValueDiffers.find(v).create(null);
          }
        }
      },
      enumerable: true,
      configurable: true
    });
    NgClass.prototype.ngDoCheck = function() {
      if (lang_1.isPresent(this._iterableDiffer)) {
        var changes = this._iterableDiffer.diff(this._rawClass);
        if (lang_1.isPresent(changes)) {
          this._applyIterableChanges(changes);
        }
      }
      if (lang_1.isPresent(this._keyValueDiffer)) {
        var changes = this._keyValueDiffer.diff(this._rawClass);
        if (lang_1.isPresent(changes)) {
          this._applyKeyValueChanges(changes);
        }
      }
    };
    NgClass.prototype.ngOnDestroy = function() {
      this._cleanupClasses(this._rawClass);
    };
    NgClass.prototype._cleanupClasses = function(rawClassVal) {
      this._applyClasses(rawClassVal, true);
      this._applyInitialClasses(false);
    };
    NgClass.prototype._applyKeyValueChanges = function(changes) {
      var _this = this;
      changes.forEachAddedItem(function(record) {
        _this._toggleClass(record.key, record.currentValue);
      });
      changes.forEachChangedItem(function(record) {
        _this._toggleClass(record.key, record.currentValue);
      });
      changes.forEachRemovedItem(function(record) {
        if (record.previousValue) {
          _this._toggleClass(record.key, false);
        }
      });
    };
    NgClass.prototype._applyIterableChanges = function(changes) {
      var _this = this;
      changes.forEachAddedItem(function(record) {
        _this._toggleClass(record.item, true);
      });
      changes.forEachRemovedItem(function(record) {
        _this._toggleClass(record.item, false);
      });
    };
    NgClass.prototype._applyInitialClasses = function(isCleanup) {
      var _this = this;
      this._initialClasses.forEach(function(className) {
        return _this._toggleClass(className, !isCleanup);
      });
    };
    NgClass.prototype._applyClasses = function(rawClassVal, isCleanup) {
      var _this = this;
      if (lang_1.isPresent(rawClassVal)) {
        if (lang_1.isArray(rawClassVal)) {
          rawClassVal.forEach(function(className) {
            return _this._toggleClass(className, !isCleanup);
          });
        } else if (rawClassVal instanceof Set) {
          rawClassVal.forEach(function(className) {
            return _this._toggleClass(className, !isCleanup);
          });
        } else {
          collection_1.StringMapWrapper.forEach(rawClassVal, function(expVal, className) {
            if (lang_1.isPresent(expVal))
              _this._toggleClass(className, !isCleanup);
          });
        }
      }
    };
    NgClass.prototype._toggleClass = function(className, enabled) {
      className = className.trim();
      if (className.length > 0) {
        if (className.indexOf(' ') > -1) {
          var classes = className.split(/\s+/g);
          for (var i = 0,
              len = classes.length; i < len; i++) {
            this._renderer.setElementClass(this._ngEl.nativeElement, classes[i], enabled);
          }
        } else {
          this._renderer.setElementClass(this._ngEl.nativeElement, className, enabled);
        }
      }
    };
    NgClass.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: '[ngClass]',
        inputs: ['rawClass: ngClass', 'initialClasses: class']
      }]
    }];
    NgClass.ctorParameters = [{type: core_1.IterableDiffers}, {type: core_1.KeyValueDiffers}, {type: core_1.ElementRef}, {type: core_1.Renderer}];
    return NgClass;
  }());
  exports.NgClass = NgClass;
  return module.exports;
});

System.registerDynamic("@angular/common/src/directives/ng_for.js", ["@angular/core", "../facade/exceptions", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var NgForRow = (function() {
    function NgForRow($implicit, index, count) {
      this.$implicit = $implicit;
      this.index = index;
      this.count = count;
    }
    Object.defineProperty(NgForRow.prototype, "first", {
      get: function() {
        return this.index === 0;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgForRow.prototype, "last", {
      get: function() {
        return this.index === this.count - 1;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgForRow.prototype, "even", {
      get: function() {
        return this.index % 2 === 0;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgForRow.prototype, "odd", {
      get: function() {
        return !this.even;
      },
      enumerable: true,
      configurable: true
    });
    return NgForRow;
  }());
  exports.NgForRow = NgForRow;
  var NgFor = (function() {
    function NgFor(_viewContainer, _templateRef, _iterableDiffers, _cdr) {
      this._viewContainer = _viewContainer;
      this._templateRef = _templateRef;
      this._iterableDiffers = _iterableDiffers;
      this._cdr = _cdr;
    }
    Object.defineProperty(NgFor.prototype, "ngForOf", {
      set: function(value) {
        this._ngForOf = value;
        if (lang_1.isBlank(this._differ) && lang_1.isPresent(value)) {
          try {
            this._differ = this._iterableDiffers.find(value).create(this._cdr, this._ngForTrackBy);
          } catch (e) {
            throw new exceptions_1.BaseException("Cannot find a differ supporting object '" + value + "' of type '" + lang_1.getTypeNameForDebugging(value) + "'. NgFor only supports binding to Iterables such as Arrays.");
          }
        }
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgFor.prototype, "ngForTemplate", {
      set: function(value) {
        if (lang_1.isPresent(value)) {
          this._templateRef = value;
        }
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgFor.prototype, "ngForTrackBy", {
      set: function(value) {
        this._ngForTrackBy = value;
      },
      enumerable: true,
      configurable: true
    });
    NgFor.prototype.ngDoCheck = function() {
      if (lang_1.isPresent(this._differ)) {
        var changes = this._differ.diff(this._ngForOf);
        if (lang_1.isPresent(changes))
          this._applyChanges(changes);
      }
    };
    NgFor.prototype._applyChanges = function(changes) {
      var _this = this;
      var recordViewTuples = [];
      changes.forEachRemovedItem(function(removedRecord) {
        return recordViewTuples.push(new RecordViewTuple(removedRecord, null));
      });
      changes.forEachMovedItem(function(movedRecord) {
        return recordViewTuples.push(new RecordViewTuple(movedRecord, null));
      });
      var insertTuples = this._bulkRemove(recordViewTuples);
      changes.forEachAddedItem(function(addedRecord) {
        return insertTuples.push(new RecordViewTuple(addedRecord, null));
      });
      this._bulkInsert(insertTuples);
      for (var i = 0; i < insertTuples.length; i++) {
        this._perViewChange(insertTuples[i].view, insertTuples[i].record);
      }
      for (var i = 0,
          ilen = this._viewContainer.length; i < ilen; i++) {
        var viewRef = this._viewContainer.get(i);
        viewRef.context.index = i;
        viewRef.context.count = ilen;
      }
      changes.forEachIdentityChange(function(record) {
        var viewRef = _this._viewContainer.get(record.currentIndex);
        viewRef.context.$implicit = record.item;
      });
    };
    NgFor.prototype._perViewChange = function(view, record) {
      view.context.$implicit = record.item;
    };
    NgFor.prototype._bulkRemove = function(tuples) {
      tuples.sort(function(a, b) {
        return a.record.previousIndex - b.record.previousIndex;
      });
      var movedTuples = [];
      for (var i = tuples.length - 1; i >= 0; i--) {
        var tuple = tuples[i];
        if (lang_1.isPresent(tuple.record.currentIndex)) {
          tuple.view = this._viewContainer.detach(tuple.record.previousIndex);
          movedTuples.push(tuple);
        } else {
          this._viewContainer.remove(tuple.record.previousIndex);
        }
      }
      return movedTuples;
    };
    NgFor.prototype._bulkInsert = function(tuples) {
      tuples.sort(function(a, b) {
        return a.record.currentIndex - b.record.currentIndex;
      });
      for (var i = 0; i < tuples.length; i++) {
        var tuple = tuples[i];
        if (lang_1.isPresent(tuple.view)) {
          this._viewContainer.insert(tuple.view, tuple.record.currentIndex);
        } else {
          tuple.view = this._viewContainer.createEmbeddedView(this._templateRef, new NgForRow(null, null, null), tuple.record.currentIndex);
        }
      }
      return tuples;
    };
    NgFor.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: '[ngFor][ngForOf]',
        inputs: ['ngForTrackBy', 'ngForOf', 'ngForTemplate']
      }]
    }];
    NgFor.ctorParameters = [{type: core_1.ViewContainerRef}, {type: core_1.TemplateRef}, {type: core_1.IterableDiffers}, {type: core_1.ChangeDetectorRef}];
    return NgFor;
  }());
  exports.NgFor = NgFor;
  var RecordViewTuple = (function() {
    function RecordViewTuple(record, view) {
      this.record = record;
      this.view = view;
    }
    return RecordViewTuple;
  }());
  return module.exports;
});

System.registerDynamic("@angular/common/src/directives/ng_if.js", ["@angular/core", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var lang_1 = $__require('../facade/lang');
  var NgIf = (function() {
    function NgIf(_viewContainer, _templateRef) {
      this._viewContainer = _viewContainer;
      this._templateRef = _templateRef;
      this._prevCondition = null;
    }
    Object.defineProperty(NgIf.prototype, "ngIf", {
      set: function(newCondition) {
        if (newCondition && (lang_1.isBlank(this._prevCondition) || !this._prevCondition)) {
          this._prevCondition = true;
          this._viewContainer.createEmbeddedView(this._templateRef);
        } else if (!newCondition && (lang_1.isBlank(this._prevCondition) || this._prevCondition)) {
          this._prevCondition = false;
          this._viewContainer.clear();
        }
      },
      enumerable: true,
      configurable: true
    });
    NgIf.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: '[ngIf]',
        inputs: ['ngIf']
      }]
    }];
    NgIf.ctorParameters = [{type: core_1.ViewContainerRef}, {type: core_1.TemplateRef}];
    return NgIf;
  }());
  exports.NgIf = NgIf;
  return module.exports;
});

System.registerDynamic("@angular/common/src/directives/ng_plural.js", ["@angular/core", "../facade/lang", "../localization", "./ng_switch"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var lang_1 = $__require('../facade/lang');
  var localization_1 = $__require('../localization');
  var ng_switch_1 = $__require('./ng_switch');
  var NgPluralCase = (function() {
    function NgPluralCase(value, template, viewContainer) {
      this.value = value;
      this._view = new ng_switch_1.SwitchView(viewContainer, template);
    }
    NgPluralCase.decorators = [{
      type: core_1.Directive,
      args: [{selector: '[ngPluralCase]'}]
    }];
    NgPluralCase.ctorParameters = [{
      type: undefined,
      decorators: [{
        type: core_1.Attribute,
        args: ['ngPluralCase']
      }]
    }, {type: core_1.TemplateRef}, {type: core_1.ViewContainerRef}];
    return NgPluralCase;
  }());
  exports.NgPluralCase = NgPluralCase;
  var NgPlural = (function() {
    function NgPlural(_localization) {
      this._localization = _localization;
      this._caseViews = {};
      this.cases = null;
    }
    Object.defineProperty(NgPlural.prototype, "ngPlural", {
      set: function(value) {
        this._switchValue = value;
        this._updateView();
      },
      enumerable: true,
      configurable: true
    });
    NgPlural.prototype.ngAfterContentInit = function() {
      var _this = this;
      this.cases.forEach(function(pluralCase) {
        _this._caseViews[pluralCase.value] = pluralCase._view;
      });
      this._updateView();
    };
    NgPlural.prototype._updateView = function() {
      this._clearViews();
      var key = localization_1.getPluralCategory(this._switchValue, Object.getOwnPropertyNames(this._caseViews), this._localization);
      this._activateView(this._caseViews[key]);
    };
    NgPlural.prototype._clearViews = function() {
      if (lang_1.isPresent(this._activeView))
        this._activeView.destroy();
    };
    NgPlural.prototype._activateView = function(view) {
      if (!lang_1.isPresent(view))
        return;
      this._activeView = view;
      this._activeView.create();
    };
    NgPlural.decorators = [{
      type: core_1.Directive,
      args: [{selector: '[ngPlural]'}]
    }];
    NgPlural.ctorParameters = [{type: localization_1.NgLocalization}];
    NgPlural.propDecorators = {
      'cases': [{
        type: core_1.ContentChildren,
        args: [NgPluralCase]
      }],
      'ngPlural': [{type: core_1.Input}]
    };
    return NgPlural;
  }());
  exports.NgPlural = NgPlural;
  return module.exports;
});

System.registerDynamic("@angular/common/src/directives/ng_style.js", ["@angular/core", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var lang_1 = $__require('../facade/lang');
  var NgStyle = (function() {
    function NgStyle(_differs, _ngEl, _renderer) {
      this._differs = _differs;
      this._ngEl = _ngEl;
      this._renderer = _renderer;
    }
    Object.defineProperty(NgStyle.prototype, "rawStyle", {
      set: function(v) {
        this._rawStyle = v;
        if (lang_1.isBlank(this._differ) && lang_1.isPresent(v)) {
          this._differ = this._differs.find(this._rawStyle).create(null);
        }
      },
      enumerable: true,
      configurable: true
    });
    NgStyle.prototype.ngDoCheck = function() {
      if (lang_1.isPresent(this._differ)) {
        var changes = this._differ.diff(this._rawStyle);
        if (lang_1.isPresent(changes)) {
          this._applyChanges(changes);
        }
      }
    };
    NgStyle.prototype._applyChanges = function(changes) {
      var _this = this;
      changes.forEachAddedItem(function(record) {
        _this._setStyle(record.key, record.currentValue);
      });
      changes.forEachChangedItem(function(record) {
        _this._setStyle(record.key, record.currentValue);
      });
      changes.forEachRemovedItem(function(record) {
        _this._setStyle(record.key, null);
      });
    };
    NgStyle.prototype._setStyle = function(name, val) {
      this._renderer.setElementStyle(this._ngEl.nativeElement, name, val);
    };
    NgStyle.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: '[ngStyle]',
        inputs: ['rawStyle: ngStyle']
      }]
    }];
    NgStyle.ctorParameters = [{type: core_1.KeyValueDiffers}, {type: core_1.ElementRef}, {type: core_1.Renderer}];
    return NgStyle;
  }());
  exports.NgStyle = NgStyle;
  return module.exports;
});

System.registerDynamic("@angular/common/src/directives/ng_switch.js", ["@angular/core", "../facade/collection", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var _CASE_DEFAULT = new Object();
  var _warned = false;
  var SwitchView = (function() {
    function SwitchView(_viewContainerRef, _templateRef) {
      this._viewContainerRef = _viewContainerRef;
      this._templateRef = _templateRef;
    }
    SwitchView.prototype.create = function() {
      this._viewContainerRef.createEmbeddedView(this._templateRef);
    };
    SwitchView.prototype.destroy = function() {
      this._viewContainerRef.clear();
    };
    return SwitchView;
  }());
  exports.SwitchView = SwitchView;
  var NgSwitch = (function() {
    function NgSwitch() {
      this._useDefault = false;
      this._valueViews = new collection_1.Map();
      this._activeViews = [];
    }
    Object.defineProperty(NgSwitch.prototype, "ngSwitch", {
      set: function(value) {
        this._emptyAllActiveViews();
        this._useDefault = false;
        var views = this._valueViews.get(value);
        if (lang_1.isBlank(views)) {
          this._useDefault = true;
          views = lang_1.normalizeBlank(this._valueViews.get(_CASE_DEFAULT));
        }
        this._activateViews(views);
        this._switchValue = value;
      },
      enumerable: true,
      configurable: true
    });
    NgSwitch.prototype._onCaseValueChanged = function(oldCase, newCase, view) {
      this._deregisterView(oldCase, view);
      this._registerView(newCase, view);
      if (oldCase === this._switchValue) {
        view.destroy();
        collection_1.ListWrapper.remove(this._activeViews, view);
      } else if (newCase === this._switchValue) {
        if (this._useDefault) {
          this._useDefault = false;
          this._emptyAllActiveViews();
        }
        view.create();
        this._activeViews.push(view);
      }
      if (this._activeViews.length === 0 && !this._useDefault) {
        this._useDefault = true;
        this._activateViews(this._valueViews.get(_CASE_DEFAULT));
      }
    };
    NgSwitch.prototype._emptyAllActiveViews = function() {
      var activeContainers = this._activeViews;
      for (var i = 0; i < activeContainers.length; i++) {
        activeContainers[i].destroy();
      }
      this._activeViews = [];
    };
    NgSwitch.prototype._activateViews = function(views) {
      if (lang_1.isPresent(views)) {
        for (var i = 0; i < views.length; i++) {
          views[i].create();
        }
        this._activeViews = views;
      }
    };
    NgSwitch.prototype._registerView = function(value, view) {
      var views = this._valueViews.get(value);
      if (lang_1.isBlank(views)) {
        views = [];
        this._valueViews.set(value, views);
      }
      views.push(view);
    };
    NgSwitch.prototype._deregisterView = function(value, view) {
      if (value === _CASE_DEFAULT)
        return;
      var views = this._valueViews.get(value);
      if (views.length == 1) {
        this._valueViews.delete(value);
      } else {
        collection_1.ListWrapper.remove(views, view);
      }
    };
    NgSwitch.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: '[ngSwitch]',
        inputs: ['ngSwitch']
      }]
    }];
    return NgSwitch;
  }());
  exports.NgSwitch = NgSwitch;
  var NgSwitchCase = (function() {
    function NgSwitchCase(viewContainer, templateRef, ngSwitch) {
      this._value = _CASE_DEFAULT;
      this._switch = ngSwitch;
      this._view = new SwitchView(viewContainer, templateRef);
    }
    Object.defineProperty(NgSwitchCase.prototype, "ngSwitchCase", {
      set: function(value) {
        this._switch._onCaseValueChanged(this._value, value, this._view);
        this._value = value;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgSwitchCase.prototype, "ngSwitchWhen", {
      set: function(value) {
        if (!_warned) {
          _warned = true;
          console.warn('*ngSwitchWhen is deprecated and will be removed. Use *ngSwitchCase instead');
        }
        this._switch._onCaseValueChanged(this._value, value, this._view);
        this._value = value;
      },
      enumerable: true,
      configurable: true
    });
    NgSwitchCase.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: '[ngSwitchCase],[ngSwitchWhen]',
        inputs: ['ngSwitchCase', 'ngSwitchWhen']
      }]
    }];
    NgSwitchCase.ctorParameters = [{type: core_1.ViewContainerRef}, {type: core_1.TemplateRef}, {
      type: NgSwitch,
      decorators: [{type: core_1.Host}]
    }];
    return NgSwitchCase;
  }());
  exports.NgSwitchCase = NgSwitchCase;
  var NgSwitchDefault = (function() {
    function NgSwitchDefault(viewContainer, templateRef, sswitch) {
      sswitch._registerView(_CASE_DEFAULT, new SwitchView(viewContainer, templateRef));
    }
    NgSwitchDefault.decorators = [{
      type: core_1.Directive,
      args: [{selector: '[ngSwitchDefault]'}]
    }];
    NgSwitchDefault.ctorParameters = [{type: core_1.ViewContainerRef}, {type: core_1.TemplateRef}, {
      type: NgSwitch,
      decorators: [{type: core_1.Host}]
    }];
    return NgSwitchDefault;
  }());
  exports.NgSwitchDefault = NgSwitchDefault;
  return module.exports;
});

System.registerDynamic("@angular/common/src/directives/ng_template_outlet.js", ["@angular/core", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var lang_1 = $__require('../facade/lang');
  var NgTemplateOutlet = (function() {
    function NgTemplateOutlet(_viewContainerRef) {
      this._viewContainerRef = _viewContainerRef;
    }
    Object.defineProperty(NgTemplateOutlet.prototype, "ngOutletContext", {
      set: function(context) {
        if (this._context !== context) {
          this._context = context;
          if (lang_1.isPresent(this._viewRef)) {
            this.createView();
          }
        }
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgTemplateOutlet.prototype, "ngTemplateOutlet", {
      set: function(templateRef) {
        if (this._templateRef !== templateRef) {
          this._templateRef = templateRef;
          this.createView();
        }
      },
      enumerable: true,
      configurable: true
    });
    NgTemplateOutlet.prototype.createView = function() {
      if (lang_1.isPresent(this._viewRef)) {
        this._viewContainerRef.remove(this._viewContainerRef.indexOf(this._viewRef));
      }
      if (lang_1.isPresent(this._templateRef)) {
        this._viewRef = this._viewContainerRef.createEmbeddedView(this._templateRef, this._context);
      }
    };
    NgTemplateOutlet.decorators = [{
      type: core_1.Directive,
      args: [{selector: '[ngTemplateOutlet]'}]
    }];
    NgTemplateOutlet.ctorParameters = [{type: core_1.ViewContainerRef}];
    NgTemplateOutlet.propDecorators = {
      'ngOutletContext': [{type: core_1.Input}],
      'ngTemplateOutlet': [{type: core_1.Input}]
    };
    return NgTemplateOutlet;
  }());
  exports.NgTemplateOutlet = NgTemplateOutlet;
  return module.exports;
});

System.registerDynamic("@angular/common/src/directives.js", ["./directives/core_directives", "./directives/ng_class", "./directives/ng_for", "./directives/ng_if", "./directives/ng_plural", "./directives/ng_style", "./directives/ng_switch", "./directives/ng_template_outlet"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_directives_1 = $__require('./directives/core_directives');
  exports.CORE_DIRECTIVES = core_directives_1.CORE_DIRECTIVES;
  var ng_class_1 = $__require('./directives/ng_class');
  exports.NgClass = ng_class_1.NgClass;
  var ng_for_1 = $__require('./directives/ng_for');
  exports.NgFor = ng_for_1.NgFor;
  var ng_if_1 = $__require('./directives/ng_if');
  exports.NgIf = ng_if_1.NgIf;
  var ng_plural_1 = $__require('./directives/ng_plural');
  exports.NgPlural = ng_plural_1.NgPlural;
  exports.NgPluralCase = ng_plural_1.NgPluralCase;
  var ng_style_1 = $__require('./directives/ng_style');
  exports.NgStyle = ng_style_1.NgStyle;
  var ng_switch_1 = $__require('./directives/ng_switch');
  exports.NgSwitch = ng_switch_1.NgSwitch;
  exports.NgSwitchCase = ng_switch_1.NgSwitchCase;
  exports.NgSwitchDefault = ng_switch_1.NgSwitchDefault;
  var ng_template_outlet_1 = $__require('./directives/ng_template_outlet');
  exports.NgTemplateOutlet = ng_template_outlet_1.NgTemplateOutlet;
  return module.exports;
});

System.registerDynamic("@angular/common/src/forms-deprecated/form_builder.js", ["@angular/core", "../facade/collection", "../facade/lang", "./model"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var model_1 = $__require('./model');
  var FormBuilder = (function() {
    function FormBuilder() {}
    FormBuilder.prototype.group = function(controlsConfig, extra) {
      if (extra === void 0) {
        extra = null;
      }
      var controls = this._reduceControls(controlsConfig);
      var optionals = (lang_1.isPresent(extra) ? collection_1.StringMapWrapper.get(extra, 'optionals') : null);
      var validator = lang_1.isPresent(extra) ? collection_1.StringMapWrapper.get(extra, 'validator') : null;
      var asyncValidator = lang_1.isPresent(extra) ? collection_1.StringMapWrapper.get(extra, 'asyncValidator') : null;
      return new model_1.ControlGroup(controls, optionals, validator, asyncValidator);
    };
    FormBuilder.prototype.control = function(value, validator, asyncValidator) {
      if (validator === void 0) {
        validator = null;
      }
      if (asyncValidator === void 0) {
        asyncValidator = null;
      }
      return new model_1.Control(value, validator, asyncValidator);
    };
    FormBuilder.prototype.array = function(controlsConfig, validator, asyncValidator) {
      var _this = this;
      if (validator === void 0) {
        validator = null;
      }
      if (asyncValidator === void 0) {
        asyncValidator = null;
      }
      var controls = controlsConfig.map(function(c) {
        return _this._createControl(c);
      });
      return new model_1.ControlArray(controls, validator, asyncValidator);
    };
    FormBuilder.prototype._reduceControls = function(controlsConfig) {
      var _this = this;
      var controls = {};
      collection_1.StringMapWrapper.forEach(controlsConfig, function(controlConfig, controlName) {
        controls[controlName] = _this._createControl(controlConfig);
      });
      return controls;
    };
    FormBuilder.prototype._createControl = function(controlConfig) {
      if (controlConfig instanceof model_1.Control || controlConfig instanceof model_1.ControlGroup || controlConfig instanceof model_1.ControlArray) {
        return controlConfig;
      } else if (lang_1.isArray(controlConfig)) {
        var value = controlConfig[0];
        var validator = controlConfig.length > 1 ? controlConfig[1] : null;
        var asyncValidator = controlConfig.length > 2 ? controlConfig[2] : null;
        return this.control(value, validator, asyncValidator);
      } else {
        return this.control(controlConfig);
      }
    };
    FormBuilder.decorators = [{type: core_1.Injectable}];
    return FormBuilder;
  }());
  exports.FormBuilder = FormBuilder;
  return module.exports;
});

System.registerDynamic("@angular/common/src/forms-deprecated/directives.js", ["./directives/checkbox_value_accessor", "./directives/default_value_accessor", "./directives/ng_control_group", "./directives/ng_control_name", "./directives/ng_control_status", "./directives/ng_form", "./directives/ng_form_control", "./directives/ng_form_model", "./directives/ng_model", "./directives/number_value_accessor", "./directives/radio_control_value_accessor", "./directives/select_control_value_accessor", "./directives/select_multiple_control_value_accessor", "./directives/validators", "./directives/ng_control"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var checkbox_value_accessor_1 = $__require('./directives/checkbox_value_accessor');
  var default_value_accessor_1 = $__require('./directives/default_value_accessor');
  var ng_control_group_1 = $__require('./directives/ng_control_group');
  var ng_control_name_1 = $__require('./directives/ng_control_name');
  var ng_control_status_1 = $__require('./directives/ng_control_status');
  var ng_form_1 = $__require('./directives/ng_form');
  var ng_form_control_1 = $__require('./directives/ng_form_control');
  var ng_form_model_1 = $__require('./directives/ng_form_model');
  var ng_model_1 = $__require('./directives/ng_model');
  var number_value_accessor_1 = $__require('./directives/number_value_accessor');
  var radio_control_value_accessor_1 = $__require('./directives/radio_control_value_accessor');
  var select_control_value_accessor_1 = $__require('./directives/select_control_value_accessor');
  var select_multiple_control_value_accessor_1 = $__require('./directives/select_multiple_control_value_accessor');
  var validators_1 = $__require('./directives/validators');
  var checkbox_value_accessor_2 = $__require('./directives/checkbox_value_accessor');
  exports.CheckboxControlValueAccessor = checkbox_value_accessor_2.CheckboxControlValueAccessor;
  var default_value_accessor_2 = $__require('./directives/default_value_accessor');
  exports.DefaultValueAccessor = default_value_accessor_2.DefaultValueAccessor;
  var ng_control_1 = $__require('./directives/ng_control');
  exports.NgControl = ng_control_1.NgControl;
  var ng_control_group_2 = $__require('./directives/ng_control_group');
  exports.NgControlGroup = ng_control_group_2.NgControlGroup;
  var ng_control_name_2 = $__require('./directives/ng_control_name');
  exports.NgControlName = ng_control_name_2.NgControlName;
  var ng_control_status_2 = $__require('./directives/ng_control_status');
  exports.NgControlStatus = ng_control_status_2.NgControlStatus;
  var ng_form_2 = $__require('./directives/ng_form');
  exports.NgForm = ng_form_2.NgForm;
  var ng_form_control_2 = $__require('./directives/ng_form_control');
  exports.NgFormControl = ng_form_control_2.NgFormControl;
  var ng_form_model_2 = $__require('./directives/ng_form_model');
  exports.NgFormModel = ng_form_model_2.NgFormModel;
  var ng_model_2 = $__require('./directives/ng_model');
  exports.NgModel = ng_model_2.NgModel;
  var number_value_accessor_2 = $__require('./directives/number_value_accessor');
  exports.NumberValueAccessor = number_value_accessor_2.NumberValueAccessor;
  var radio_control_value_accessor_2 = $__require('./directives/radio_control_value_accessor');
  exports.RadioButtonState = radio_control_value_accessor_2.RadioButtonState;
  exports.RadioControlValueAccessor = radio_control_value_accessor_2.RadioControlValueAccessor;
  var select_control_value_accessor_2 = $__require('./directives/select_control_value_accessor');
  exports.NgSelectOption = select_control_value_accessor_2.NgSelectOption;
  exports.SelectControlValueAccessor = select_control_value_accessor_2.SelectControlValueAccessor;
  var select_multiple_control_value_accessor_2 = $__require('./directives/select_multiple_control_value_accessor');
  exports.NgSelectMultipleOption = select_multiple_control_value_accessor_2.NgSelectMultipleOption;
  exports.SelectMultipleControlValueAccessor = select_multiple_control_value_accessor_2.SelectMultipleControlValueAccessor;
  var validators_2 = $__require('./directives/validators');
  exports.MaxLengthValidator = validators_2.MaxLengthValidator;
  exports.MinLengthValidator = validators_2.MinLengthValidator;
  exports.PatternValidator = validators_2.PatternValidator;
  exports.RequiredValidator = validators_2.RequiredValidator;
  exports.FORM_DIRECTIVES = [ng_control_name_1.NgControlName, ng_control_group_1.NgControlGroup, ng_form_control_1.NgFormControl, ng_model_1.NgModel, ng_form_model_1.NgFormModel, ng_form_1.NgForm, select_control_value_accessor_1.NgSelectOption, select_multiple_control_value_accessor_1.NgSelectMultipleOption, default_value_accessor_1.DefaultValueAccessor, number_value_accessor_1.NumberValueAccessor, checkbox_value_accessor_1.CheckboxControlValueAccessor, select_control_value_accessor_1.SelectControlValueAccessor, select_multiple_control_value_accessor_1.SelectMultipleControlValueAccessor, radio_control_value_accessor_1.RadioControlValueAccessor, ng_control_status_1.NgControlStatus, validators_1.RequiredValidator, validators_1.MinLengthValidator, validators_1.MaxLengthValidator, validators_1.PatternValidator];
  return module.exports;
});

System.registerDynamic("@angular/common/src/forms-deprecated/directives/ng_control_group.js", ["@angular/core", "../validators", "./control_container", "./shared"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var validators_1 = $__require('../validators');
  var control_container_1 = $__require('./control_container');
  var shared_1 = $__require('./shared');
  exports.controlGroupProvider = {
    provide: control_container_1.ControlContainer,
    useExisting: core_1.forwardRef(function() {
      return NgControlGroup;
    })
  };
  var NgControlGroup = (function(_super) {
    __extends(NgControlGroup, _super);
    function NgControlGroup(parent, _validators, _asyncValidators) {
      _super.call(this);
      this._validators = _validators;
      this._asyncValidators = _asyncValidators;
      this._parent = parent;
    }
    NgControlGroup.prototype.ngOnInit = function() {
      this.formDirective.addControlGroup(this);
    };
    NgControlGroup.prototype.ngOnDestroy = function() {
      this.formDirective.removeControlGroup(this);
    };
    Object.defineProperty(NgControlGroup.prototype, "control", {
      get: function() {
        return this.formDirective.getControlGroup(this);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgControlGroup.prototype, "path", {
      get: function() {
        return shared_1.controlPath(this.name, this._parent);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgControlGroup.prototype, "formDirective", {
      get: function() {
        return this._parent.formDirective;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgControlGroup.prototype, "validator", {
      get: function() {
        return shared_1.composeValidators(this._validators);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgControlGroup.prototype, "asyncValidator", {
      get: function() {
        return shared_1.composeAsyncValidators(this._asyncValidators);
      },
      enumerable: true,
      configurable: true
    });
    NgControlGroup.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: '[ngControlGroup]',
        providers: [exports.controlGroupProvider],
        inputs: ['name: ngControlGroup'],
        exportAs: 'ngForm'
      }]
    }];
    NgControlGroup.ctorParameters = [{
      type: control_container_1.ControlContainer,
      decorators: [{type: core_1.Host}, {type: core_1.SkipSelf}]
    }, {
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [validators_1.NG_VALIDATORS]
      }]
    }, {
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [validators_1.NG_ASYNC_VALIDATORS]
      }]
    }];
    return NgControlGroup;
  }(control_container_1.ControlContainer));
  exports.NgControlGroup = NgControlGroup;
  return module.exports;
});

System.registerDynamic("@angular/common/src/forms-deprecated/directives/ng_control_name.js", ["@angular/core", "../../facade/async", "../validators", "./control_container", "./control_value_accessor", "./ng_control", "./shared"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var async_1 = $__require('../../facade/async');
  var validators_1 = $__require('../validators');
  var control_container_1 = $__require('./control_container');
  var control_value_accessor_1 = $__require('./control_value_accessor');
  var ng_control_1 = $__require('./ng_control');
  var shared_1 = $__require('./shared');
  exports.controlNameBinding = {
    provide: ng_control_1.NgControl,
    useExisting: core_1.forwardRef(function() {
      return NgControlName;
    })
  };
  var NgControlName = (function(_super) {
    __extends(NgControlName, _super);
    function NgControlName(_parent, _validators, _asyncValidators, valueAccessors) {
      _super.call(this);
      this._parent = _parent;
      this._validators = _validators;
      this._asyncValidators = _asyncValidators;
      this.update = new async_1.EventEmitter();
      this._added = false;
      this.valueAccessor = shared_1.selectValueAccessor(this, valueAccessors);
    }
    NgControlName.prototype.ngOnChanges = function(changes) {
      if (!this._added) {
        this.formDirective.addControl(this);
        this._added = true;
      }
      if (shared_1.isPropertyUpdated(changes, this.viewModel)) {
        this.viewModel = this.model;
        this.formDirective.updateModel(this, this.model);
      }
    };
    NgControlName.prototype.ngOnDestroy = function() {
      this.formDirective.removeControl(this);
    };
    NgControlName.prototype.viewToModelUpdate = function(newValue) {
      this.viewModel = newValue;
      async_1.ObservableWrapper.callEmit(this.update, newValue);
    };
    Object.defineProperty(NgControlName.prototype, "path", {
      get: function() {
        return shared_1.controlPath(this.name, this._parent);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgControlName.prototype, "formDirective", {
      get: function() {
        return this._parent.formDirective;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgControlName.prototype, "validator", {
      get: function() {
        return shared_1.composeValidators(this._validators);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgControlName.prototype, "asyncValidator", {
      get: function() {
        return shared_1.composeAsyncValidators(this._asyncValidators);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgControlName.prototype, "control", {
      get: function() {
        return this.formDirective.getControl(this);
      },
      enumerable: true,
      configurable: true
    });
    NgControlName.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: '[ngControl]',
        providers: [exports.controlNameBinding],
        inputs: ['name: ngControl', 'model: ngModel'],
        outputs: ['update: ngModelChange'],
        exportAs: 'ngForm'
      }]
    }];
    NgControlName.ctorParameters = [{
      type: control_container_1.ControlContainer,
      decorators: [{type: core_1.Host}, {type: core_1.SkipSelf}]
    }, {
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [validators_1.NG_VALIDATORS]
      }]
    }, {
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [validators_1.NG_ASYNC_VALIDATORS]
      }]
    }, {
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [control_value_accessor_1.NG_VALUE_ACCESSOR]
      }]
    }];
    return NgControlName;
  }(ng_control_1.NgControl));
  exports.NgControlName = NgControlName;
  return module.exports;
});

System.registerDynamic("@angular/common/src/forms-deprecated/directives/ng_control_status.js", ["@angular/core", "../../facade/lang", "./ng_control"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var lang_1 = $__require('../../facade/lang');
  var ng_control_1 = $__require('./ng_control');
  var NgControlStatus = (function() {
    function NgControlStatus(cd) {
      this._cd = cd;
    }
    Object.defineProperty(NgControlStatus.prototype, "ngClassUntouched", {
      get: function() {
        return lang_1.isPresent(this._cd.control) ? this._cd.control.untouched : false;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgControlStatus.prototype, "ngClassTouched", {
      get: function() {
        return lang_1.isPresent(this._cd.control) ? this._cd.control.touched : false;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgControlStatus.prototype, "ngClassPristine", {
      get: function() {
        return lang_1.isPresent(this._cd.control) ? this._cd.control.pristine : false;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgControlStatus.prototype, "ngClassDirty", {
      get: function() {
        return lang_1.isPresent(this._cd.control) ? this._cd.control.dirty : false;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgControlStatus.prototype, "ngClassValid", {
      get: function() {
        return lang_1.isPresent(this._cd.control) ? this._cd.control.valid : false;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgControlStatus.prototype, "ngClassInvalid", {
      get: function() {
        return lang_1.isPresent(this._cd.control) ? !this._cd.control.valid : false;
      },
      enumerable: true,
      configurable: true
    });
    NgControlStatus.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: '[ngControl],[ngModel],[ngFormControl]',
        host: {
          '[class.ng-untouched]': 'ngClassUntouched',
          '[class.ng-touched]': 'ngClassTouched',
          '[class.ng-pristine]': 'ngClassPristine',
          '[class.ng-dirty]': 'ngClassDirty',
          '[class.ng-valid]': 'ngClassValid',
          '[class.ng-invalid]': 'ngClassInvalid'
        }
      }]
    }];
    NgControlStatus.ctorParameters = [{
      type: ng_control_1.NgControl,
      decorators: [{type: core_1.Self}]
    }];
    return NgControlStatus;
  }());
  exports.NgControlStatus = NgControlStatus;
  return module.exports;
});

System.registerDynamic("@angular/common/src/forms-deprecated/directives/ng_form.js", ["@angular/core", "../../facade/async", "../../facade/collection", "../../facade/lang", "../model", "../validators", "./control_container", "./shared"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var async_1 = $__require('../../facade/async');
  var collection_1 = $__require('../../facade/collection');
  var lang_1 = $__require('../../facade/lang');
  var model_1 = $__require('../model');
  var validators_1 = $__require('../validators');
  var control_container_1 = $__require('./control_container');
  var shared_1 = $__require('./shared');
  exports.formDirectiveProvider = {
    provide: control_container_1.ControlContainer,
    useExisting: core_1.forwardRef(function() {
      return NgForm;
    })
  };
  var _formWarningDisplayed = false;
  var NgForm = (function(_super) {
    __extends(NgForm, _super);
    function NgForm(validators, asyncValidators) {
      _super.call(this);
      this._submitted = false;
      this.ngSubmit = new async_1.EventEmitter();
      this._displayWarning();
      this.form = new model_1.ControlGroup({}, null, shared_1.composeValidators(validators), shared_1.composeAsyncValidators(asyncValidators));
    }
    NgForm.prototype._displayWarning = function() {
      if (!_formWarningDisplayed) {
        _formWarningDisplayed = true;
        console.warn("\n      *It looks like you're using the old forms module. This will be opt-in in the next RC, and\n      will eventually be removed in favor of the new forms module. For more information, see:\n      https://docs.google.com/document/u/1/d/1RIezQqE4aEhBRmArIAS1mRIZtWFf6JxN_7B4meyWK0Y/pub\n    ");
      }
    };
    Object.defineProperty(NgForm.prototype, "submitted", {
      get: function() {
        return this._submitted;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgForm.prototype, "formDirective", {
      get: function() {
        return this;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgForm.prototype, "control", {
      get: function() {
        return this.form;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgForm.prototype, "path", {
      get: function() {
        return [];
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgForm.prototype, "controls", {
      get: function() {
        return this.form.controls;
      },
      enumerable: true,
      configurable: true
    });
    NgForm.prototype.addControl = function(dir) {
      var _this = this;
      async_1.PromiseWrapper.scheduleMicrotask(function() {
        var container = _this._findContainer(dir.path);
        var ctrl = new model_1.Control();
        shared_1.setUpControl(ctrl, dir);
        container.registerControl(dir.name, ctrl);
        ctrl.updateValueAndValidity({emitEvent: false});
      });
    };
    NgForm.prototype.getControl = function(dir) {
      return this.form.find(dir.path);
    };
    NgForm.prototype.removeControl = function(dir) {
      var _this = this;
      async_1.PromiseWrapper.scheduleMicrotask(function() {
        var container = _this._findContainer(dir.path);
        if (lang_1.isPresent(container)) {
          container.removeControl(dir.name);
        }
      });
    };
    NgForm.prototype.addControlGroup = function(dir) {
      var _this = this;
      async_1.PromiseWrapper.scheduleMicrotask(function() {
        var container = _this._findContainer(dir.path);
        var group = new model_1.ControlGroup({});
        shared_1.setUpControlGroup(group, dir);
        container.registerControl(dir.name, group);
        group.updateValueAndValidity({emitEvent: false});
      });
    };
    NgForm.prototype.removeControlGroup = function(dir) {
      var _this = this;
      async_1.PromiseWrapper.scheduleMicrotask(function() {
        var container = _this._findContainer(dir.path);
        if (lang_1.isPresent(container)) {
          container.removeControl(dir.name);
        }
      });
    };
    NgForm.prototype.getControlGroup = function(dir) {
      return this.form.find(dir.path);
    };
    NgForm.prototype.updateModel = function(dir, value) {
      var _this = this;
      async_1.PromiseWrapper.scheduleMicrotask(function() {
        var ctrl = _this.form.find(dir.path);
        ctrl.updateValue(value);
      });
    };
    NgForm.prototype.onSubmit = function() {
      this._submitted = true;
      async_1.ObservableWrapper.callEmit(this.ngSubmit, null);
      return false;
    };
    NgForm.prototype._findContainer = function(path) {
      path.pop();
      return collection_1.ListWrapper.isEmpty(path) ? this.form : this.form.find(path);
    };
    NgForm.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: 'form:not([ngNoForm]):not([ngFormModel]),ngForm,[ngForm]',
        providers: [exports.formDirectiveProvider],
        host: {'(submit)': 'onSubmit()'},
        outputs: ['ngSubmit'],
        exportAs: 'ngForm'
      }]
    }];
    NgForm.ctorParameters = [{
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [validators_1.NG_VALIDATORS]
      }]
    }, {
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [validators_1.NG_ASYNC_VALIDATORS]
      }]
    }];
    return NgForm;
  }(control_container_1.ControlContainer));
  exports.NgForm = NgForm;
  return module.exports;
});

System.registerDynamic("@angular/common/src/forms-deprecated/directives/ng_form_control.js", ["@angular/core", "../../facade/async", "../../facade/collection", "../validators", "./control_value_accessor", "./ng_control", "./shared"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var async_1 = $__require('../../facade/async');
  var collection_1 = $__require('../../facade/collection');
  var validators_1 = $__require('../validators');
  var control_value_accessor_1 = $__require('./control_value_accessor');
  var ng_control_1 = $__require('./ng_control');
  var shared_1 = $__require('./shared');
  exports.formControlBinding = {
    provide: ng_control_1.NgControl,
    useExisting: core_1.forwardRef(function() {
      return NgFormControl;
    })
  };
  var NgFormControl = (function(_super) {
    __extends(NgFormControl, _super);
    function NgFormControl(_validators, _asyncValidators, valueAccessors) {
      _super.call(this);
      this._validators = _validators;
      this._asyncValidators = _asyncValidators;
      this.update = new async_1.EventEmitter();
      this.valueAccessor = shared_1.selectValueAccessor(this, valueAccessors);
    }
    NgFormControl.prototype.ngOnChanges = function(changes) {
      if (this._isControlChanged(changes)) {
        shared_1.setUpControl(this.form, this);
        this.form.updateValueAndValidity({emitEvent: false});
      }
      if (shared_1.isPropertyUpdated(changes, this.viewModel)) {
        this.form.updateValue(this.model);
        this.viewModel = this.model;
      }
    };
    Object.defineProperty(NgFormControl.prototype, "path", {
      get: function() {
        return [];
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgFormControl.prototype, "validator", {
      get: function() {
        return shared_1.composeValidators(this._validators);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgFormControl.prototype, "asyncValidator", {
      get: function() {
        return shared_1.composeAsyncValidators(this._asyncValidators);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgFormControl.prototype, "control", {
      get: function() {
        return this.form;
      },
      enumerable: true,
      configurable: true
    });
    NgFormControl.prototype.viewToModelUpdate = function(newValue) {
      this.viewModel = newValue;
      async_1.ObservableWrapper.callEmit(this.update, newValue);
    };
    NgFormControl.prototype._isControlChanged = function(changes) {
      return collection_1.StringMapWrapper.contains(changes, 'form');
    };
    NgFormControl.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: '[ngFormControl]',
        providers: [exports.formControlBinding],
        inputs: ['form: ngFormControl', 'model: ngModel'],
        outputs: ['update: ngModelChange'],
        exportAs: 'ngForm'
      }]
    }];
    NgFormControl.ctorParameters = [{
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [validators_1.NG_VALIDATORS]
      }]
    }, {
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [validators_1.NG_ASYNC_VALIDATORS]
      }]
    }, {
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [control_value_accessor_1.NG_VALUE_ACCESSOR]
      }]
    }];
    return NgFormControl;
  }(ng_control_1.NgControl));
  exports.NgFormControl = NgFormControl;
  return module.exports;
});

System.registerDynamic("@angular/common/src/forms-deprecated/directives/control_container.js", ["./abstract_control_directive"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var abstract_control_directive_1 = $__require('./abstract_control_directive');
  var ControlContainer = (function(_super) {
    __extends(ControlContainer, _super);
    function ControlContainer() {
      _super.apply(this, arguments);
    }
    Object.defineProperty(ControlContainer.prototype, "formDirective", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ControlContainer.prototype, "path", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    return ControlContainer;
  }(abstract_control_directive_1.AbstractControlDirective));
  exports.ControlContainer = ControlContainer;
  return module.exports;
});

System.registerDynamic("@angular/common/src/forms-deprecated/directives/ng_form_model.js", ["@angular/core", "../../facade/async", "../../facade/collection", "../../facade/exceptions", "../../facade/lang", "../validators", "./control_container", "./shared"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var async_1 = $__require('../../facade/async');
  var collection_1 = $__require('../../facade/collection');
  var exceptions_1 = $__require('../../facade/exceptions');
  var lang_1 = $__require('../../facade/lang');
  var validators_1 = $__require('../validators');
  var control_container_1 = $__require('./control_container');
  var shared_1 = $__require('./shared');
  exports.formDirectiveProvider = {
    provide: control_container_1.ControlContainer,
    useExisting: core_1.forwardRef(function() {
      return NgFormModel;
    })
  };
  var _formModelWarningDisplayed = false;
  var NgFormModel = (function(_super) {
    __extends(NgFormModel, _super);
    function NgFormModel(_validators, _asyncValidators) {
      _super.call(this);
      this._validators = _validators;
      this._asyncValidators = _asyncValidators;
      this._submitted = false;
      this.form = null;
      this.directives = [];
      this.ngSubmit = new async_1.EventEmitter();
      this._displayWarning();
    }
    NgFormModel.prototype._displayWarning = function() {
      if (!_formModelWarningDisplayed) {
        _formModelWarningDisplayed = true;
        console.warn("\n      *It looks like you're using the old forms module. This will be opt-in in the next RC, and\n      will eventually be removed in favor of the new forms module. For more information, see:\n      https://docs.google.com/document/u/1/d/1RIezQqE4aEhBRmArIAS1mRIZtWFf6JxN_7B4meyWK0Y/pub\n    ");
      }
    };
    NgFormModel.prototype.ngOnChanges = function(changes) {
      this._checkFormPresent();
      if (collection_1.StringMapWrapper.contains(changes, 'form')) {
        var sync = shared_1.composeValidators(this._validators);
        this.form.validator = validators_1.Validators.compose([this.form.validator, sync]);
        var async = shared_1.composeAsyncValidators(this._asyncValidators);
        this.form.asyncValidator = validators_1.Validators.composeAsync([this.form.asyncValidator, async]);
        this.form.updateValueAndValidity({
          onlySelf: true,
          emitEvent: false
        });
      }
      this._updateDomValue();
    };
    Object.defineProperty(NgFormModel.prototype, "submitted", {
      get: function() {
        return this._submitted;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgFormModel.prototype, "formDirective", {
      get: function() {
        return this;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgFormModel.prototype, "control", {
      get: function() {
        return this.form;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgFormModel.prototype, "path", {
      get: function() {
        return [];
      },
      enumerable: true,
      configurable: true
    });
    NgFormModel.prototype.addControl = function(dir) {
      var ctrl = this.form.find(dir.path);
      shared_1.setUpControl(ctrl, dir);
      ctrl.updateValueAndValidity({emitEvent: false});
      this.directives.push(dir);
    };
    NgFormModel.prototype.getControl = function(dir) {
      return this.form.find(dir.path);
    };
    NgFormModel.prototype.removeControl = function(dir) {
      collection_1.ListWrapper.remove(this.directives, dir);
    };
    NgFormModel.prototype.addControlGroup = function(dir) {
      var ctrl = this.form.find(dir.path);
      shared_1.setUpControlGroup(ctrl, dir);
      ctrl.updateValueAndValidity({emitEvent: false});
    };
    NgFormModel.prototype.removeControlGroup = function(dir) {};
    NgFormModel.prototype.getControlGroup = function(dir) {
      return this.form.find(dir.path);
    };
    NgFormModel.prototype.updateModel = function(dir, value) {
      var ctrl = this.form.find(dir.path);
      ctrl.updateValue(value);
    };
    NgFormModel.prototype.onSubmit = function() {
      this._submitted = true;
      async_1.ObservableWrapper.callEmit(this.ngSubmit, null);
      return false;
    };
    NgFormModel.prototype._updateDomValue = function() {
      var _this = this;
      this.directives.forEach(function(dir) {
        var ctrl = _this.form.find(dir.path);
        dir.valueAccessor.writeValue(ctrl.value);
      });
    };
    NgFormModel.prototype._checkFormPresent = function() {
      if (lang_1.isBlank(this.form)) {
        throw new exceptions_1.BaseException("ngFormModel expects a form. Please pass one in. Example: <form [ngFormModel]=\"myCoolForm\">");
      }
    };
    NgFormModel.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: '[ngFormModel]',
        providers: [exports.formDirectiveProvider],
        inputs: ['form: ngFormModel'],
        host: {'(submit)': 'onSubmit()'},
        outputs: ['ngSubmit'],
        exportAs: 'ngForm'
      }]
    }];
    NgFormModel.ctorParameters = [{
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [validators_1.NG_VALIDATORS]
      }]
    }, {
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [validators_1.NG_ASYNC_VALIDATORS]
      }]
    }];
    return NgFormModel;
  }(control_container_1.ControlContainer));
  exports.NgFormModel = NgFormModel;
  return module.exports;
});

System.registerDynamic("@angular/common/src/forms-deprecated/directives/checkbox_value_accessor.js", ["@angular/core", "./control_value_accessor"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var control_value_accessor_1 = $__require('./control_value_accessor');
  exports.CHECKBOX_VALUE_ACCESSOR = {
    provide: control_value_accessor_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function() {
      return CheckboxControlValueAccessor;
    }),
    multi: true
  };
  var CheckboxControlValueAccessor = (function() {
    function CheckboxControlValueAccessor(_renderer, _elementRef) {
      this._renderer = _renderer;
      this._elementRef = _elementRef;
      this.onChange = function(_) {};
      this.onTouched = function() {};
    }
    CheckboxControlValueAccessor.prototype.writeValue = function(value) {
      this._renderer.setElementProperty(this._elementRef.nativeElement, 'checked', value);
    };
    CheckboxControlValueAccessor.prototype.registerOnChange = function(fn) {
      this.onChange = fn;
    };
    CheckboxControlValueAccessor.prototype.registerOnTouched = function(fn) {
      this.onTouched = fn;
    };
    CheckboxControlValueAccessor.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: 'input[type=checkbox][ngControl],input[type=checkbox][ngFormControl],input[type=checkbox][ngModel]',
        host: {
          '(change)': 'onChange($event.target.checked)',
          '(blur)': 'onTouched()'
        },
        providers: [exports.CHECKBOX_VALUE_ACCESSOR]
      }]
    }];
    CheckboxControlValueAccessor.ctorParameters = [{type: core_1.Renderer}, {type: core_1.ElementRef}];
    return CheckboxControlValueAccessor;
  }());
  exports.CheckboxControlValueAccessor = CheckboxControlValueAccessor;
  return module.exports;
});

System.registerDynamic("@angular/common/src/forms-deprecated/directives/default_value_accessor.js", ["@angular/core", "../../facade/lang", "./control_value_accessor"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var lang_1 = $__require('../../facade/lang');
  var control_value_accessor_1 = $__require('./control_value_accessor');
  exports.DEFAULT_VALUE_ACCESSOR = {
    provide: control_value_accessor_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function() {
      return DefaultValueAccessor;
    }),
    multi: true
  };
  var DefaultValueAccessor = (function() {
    function DefaultValueAccessor(_renderer, _elementRef) {
      this._renderer = _renderer;
      this._elementRef = _elementRef;
      this.onChange = function(_) {};
      this.onTouched = function() {};
    }
    DefaultValueAccessor.prototype.writeValue = function(value) {
      var normalizedValue = lang_1.isBlank(value) ? '' : value;
      this._renderer.setElementProperty(this._elementRef.nativeElement, 'value', normalizedValue);
    };
    DefaultValueAccessor.prototype.registerOnChange = function(fn) {
      this.onChange = fn;
    };
    DefaultValueAccessor.prototype.registerOnTouched = function(fn) {
      this.onTouched = fn;
    };
    DefaultValueAccessor.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: 'input:not([type=checkbox])[ngControl],textarea[ngControl],input:not([type=checkbox])[ngFormControl],textarea[ngFormControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]',
        host: {
          '(input)': 'onChange($event.target.value)',
          '(blur)': 'onTouched()'
        },
        providers: [exports.DEFAULT_VALUE_ACCESSOR]
      }]
    }];
    DefaultValueAccessor.ctorParameters = [{type: core_1.Renderer}, {type: core_1.ElementRef}];
    return DefaultValueAccessor;
  }());
  exports.DefaultValueAccessor = DefaultValueAccessor;
  return module.exports;
});

System.registerDynamic("@angular/common/src/forms-deprecated/directives/normalize_validator.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  function normalizeValidator(validator) {
    if (validator.validate !== undefined) {
      return function(c) {
        return validator.validate(c);
      };
    } else {
      return validator;
    }
  }
  exports.normalizeValidator = normalizeValidator;
  function normalizeAsyncValidator(validator) {
    if (validator.validate !== undefined) {
      return function(c) {
        return validator.validate(c);
      };
    } else {
      return validator;
    }
  }
  exports.normalizeAsyncValidator = normalizeAsyncValidator;
  return module.exports;
});

System.registerDynamic("@angular/common/src/forms-deprecated/directives/number_value_accessor.js", ["@angular/core", "../../facade/lang", "./control_value_accessor"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var lang_1 = $__require('../../facade/lang');
  var control_value_accessor_1 = $__require('./control_value_accessor');
  exports.NUMBER_VALUE_ACCESSOR = {
    provide: control_value_accessor_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function() {
      return NumberValueAccessor;
    }),
    multi: true
  };
  var NumberValueAccessor = (function() {
    function NumberValueAccessor(_renderer, _elementRef) {
      this._renderer = _renderer;
      this._elementRef = _elementRef;
      this.onChange = function(_) {};
      this.onTouched = function() {};
    }
    NumberValueAccessor.prototype.writeValue = function(value) {
      this._renderer.setElementProperty(this._elementRef.nativeElement, 'value', value);
    };
    NumberValueAccessor.prototype.registerOnChange = function(fn) {
      this.onChange = function(value) {
        fn(value == '' ? null : lang_1.NumberWrapper.parseFloat(value));
      };
    };
    NumberValueAccessor.prototype.registerOnTouched = function(fn) {
      this.onTouched = fn;
    };
    NumberValueAccessor.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: 'input[type=number][ngControl],input[type=number][ngFormControl],input[type=number][ngModel]',
        host: {
          '(change)': 'onChange($event.target.value)',
          '(input)': 'onChange($event.target.value)',
          '(blur)': 'onTouched()'
        },
        providers: [exports.NUMBER_VALUE_ACCESSOR]
      }]
    }];
    NumberValueAccessor.ctorParameters = [{type: core_1.Renderer}, {type: core_1.ElementRef}];
    return NumberValueAccessor;
  }());
  exports.NumberValueAccessor = NumberValueAccessor;
  return module.exports;
});

System.registerDynamic("@angular/common/src/forms-deprecated/directives/abstract_control_directive.js", ["../../facade/exceptions", "../../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var exceptions_1 = $__require('../../facade/exceptions');
  var lang_1 = $__require('../../facade/lang');
  var AbstractControlDirective = (function() {
    function AbstractControlDirective() {}
    Object.defineProperty(AbstractControlDirective.prototype, "control", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControlDirective.prototype, "value", {
      get: function() {
        return lang_1.isPresent(this.control) ? this.control.value : null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControlDirective.prototype, "valid", {
      get: function() {
        return lang_1.isPresent(this.control) ? this.control.valid : null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControlDirective.prototype, "errors", {
      get: function() {
        return lang_1.isPresent(this.control) ? this.control.errors : null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControlDirective.prototype, "pristine", {
      get: function() {
        return lang_1.isPresent(this.control) ? this.control.pristine : null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControlDirective.prototype, "dirty", {
      get: function() {
        return lang_1.isPresent(this.control) ? this.control.dirty : null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControlDirective.prototype, "touched", {
      get: function() {
        return lang_1.isPresent(this.control) ? this.control.touched : null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControlDirective.prototype, "untouched", {
      get: function() {
        return lang_1.isPresent(this.control) ? this.control.untouched : null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControlDirective.prototype, "path", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    return AbstractControlDirective;
  }());
  exports.AbstractControlDirective = AbstractControlDirective;
  return module.exports;
});

System.registerDynamic("@angular/common/src/forms-deprecated/directives/ng_control.js", ["../../facade/exceptions", "./abstract_control_directive"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var exceptions_1 = $__require('../../facade/exceptions');
  var abstract_control_directive_1 = $__require('./abstract_control_directive');
  var NgControl = (function(_super) {
    __extends(NgControl, _super);
    function NgControl() {
      _super.apply(this, arguments);
      this.name = null;
      this.valueAccessor = null;
    }
    Object.defineProperty(NgControl.prototype, "validator", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgControl.prototype, "asyncValidator", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    return NgControl;
  }(abstract_control_directive_1.AbstractControlDirective));
  exports.NgControl = NgControl;
  return module.exports;
});

System.registerDynamic("@angular/common/src/forms-deprecated/directives/radio_control_value_accessor.js", ["@angular/core", "../../facade/collection", "../../facade/lang", "./control_value_accessor", "./ng_control"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var collection_1 = $__require('../../facade/collection');
  var lang_1 = $__require('../../facade/lang');
  var control_value_accessor_1 = $__require('./control_value_accessor');
  var ng_control_1 = $__require('./ng_control');
  exports.RADIO_VALUE_ACCESSOR = {
    provide: control_value_accessor_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function() {
      return RadioControlValueAccessor;
    }),
    multi: true
  };
  var RadioControlRegistry = (function() {
    function RadioControlRegistry() {
      this._accessors = [];
    }
    RadioControlRegistry.prototype.add = function(control, accessor) {
      this._accessors.push([control, accessor]);
    };
    RadioControlRegistry.prototype.remove = function(accessor) {
      var indexToRemove = -1;
      for (var i = 0; i < this._accessors.length; ++i) {
        if (this._accessors[i][1] === accessor) {
          indexToRemove = i;
        }
      }
      collection_1.ListWrapper.removeAt(this._accessors, indexToRemove);
    };
    RadioControlRegistry.prototype.select = function(accessor) {
      var _this = this;
      this._accessors.forEach(function(c) {
        if (_this._isSameGroup(c, accessor) && c[1] !== accessor) {
          c[1].fireUncheck();
        }
      });
    };
    RadioControlRegistry.prototype._isSameGroup = function(controlPair, accessor) {
      return controlPair[0].control.root === accessor._control.control.root && controlPair[1].name === accessor.name;
    };
    RadioControlRegistry.decorators = [{type: core_1.Injectable}];
    return RadioControlRegistry;
  }());
  exports.RadioControlRegistry = RadioControlRegistry;
  var RadioButtonState = (function() {
    function RadioButtonState(checked, value) {
      this.checked = checked;
      this.value = value;
    }
    return RadioButtonState;
  }());
  exports.RadioButtonState = RadioButtonState;
  var RadioControlValueAccessor = (function() {
    function RadioControlValueAccessor(_renderer, _elementRef, _registry, _injector) {
      this._renderer = _renderer;
      this._elementRef = _elementRef;
      this._registry = _registry;
      this._injector = _injector;
      this.onChange = function() {};
      this.onTouched = function() {};
    }
    RadioControlValueAccessor.prototype.ngOnInit = function() {
      this._control = this._injector.get(ng_control_1.NgControl);
      this._registry.add(this._control, this);
    };
    RadioControlValueAccessor.prototype.ngOnDestroy = function() {
      this._registry.remove(this);
    };
    RadioControlValueAccessor.prototype.writeValue = function(value) {
      this._state = value;
      if (lang_1.isPresent(value) && value.checked) {
        this._renderer.setElementProperty(this._elementRef.nativeElement, 'checked', true);
      }
    };
    RadioControlValueAccessor.prototype.registerOnChange = function(fn) {
      var _this = this;
      this._fn = fn;
      this.onChange = function() {
        fn(new RadioButtonState(true, _this._state.value));
        _this._registry.select(_this);
      };
    };
    RadioControlValueAccessor.prototype.fireUncheck = function() {
      this._fn(new RadioButtonState(false, this._state.value));
    };
    RadioControlValueAccessor.prototype.registerOnTouched = function(fn) {
      this.onTouched = fn;
    };
    RadioControlValueAccessor.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: 'input[type=radio][ngControl],input[type=radio][ngFormControl],input[type=radio][ngModel]',
        host: {
          '(change)': 'onChange()',
          '(blur)': 'onTouched()'
        },
        providers: [exports.RADIO_VALUE_ACCESSOR]
      }]
    }];
    RadioControlValueAccessor.ctorParameters = [{type: core_1.Renderer}, {type: core_1.ElementRef}, {type: RadioControlRegistry}, {type: core_1.Injector}];
    RadioControlValueAccessor.propDecorators = {'name': [{type: core_1.Input}]};
    return RadioControlValueAccessor;
  }());
  exports.RadioControlValueAccessor = RadioControlValueAccessor;
  return module.exports;
});

System.registerDynamic("@angular/common/src/forms-deprecated/directives/select_multiple_control_value_accessor.js", ["@angular/core", "../../facade/collection", "../../facade/lang", "./control_value_accessor"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var collection_1 = $__require('../../facade/collection');
  var lang_1 = $__require('../../facade/lang');
  var control_value_accessor_1 = $__require('./control_value_accessor');
  var SELECT_MULTIPLE_VALUE_ACCESSOR = {
    provide: control_value_accessor_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function() {
      return SelectMultipleControlValueAccessor;
    }),
    multi: true
  };
  function _buildValueString(id, value) {
    if (lang_1.isBlank(id))
      return "" + value;
    if (lang_1.isString(value))
      value = "'" + value + "'";
    if (!lang_1.isPrimitive(value))
      value = 'Object';
    return lang_1.StringWrapper.slice(id + ": " + value, 0, 50);
  }
  function _extractId(valueString) {
    return valueString.split(':')[0];
  }
  var HTMLCollection = (function() {
    function HTMLCollection() {}
    return HTMLCollection;
  }());
  var SelectMultipleControlValueAccessor = (function() {
    function SelectMultipleControlValueAccessor() {
      this._optionMap = new Map();
      this._idCounter = 0;
      this.onChange = function(_) {};
      this.onTouched = function() {};
    }
    SelectMultipleControlValueAccessor.prototype.writeValue = function(value) {
      var _this = this;
      this.value = value;
      if (value == null)
        return;
      var values = value;
      var ids = values.map(function(v) {
        return _this._getOptionId(v);
      });
      this._optionMap.forEach(function(opt, o) {
        opt._setSelected(ids.indexOf(o.toString()) > -1);
      });
    };
    SelectMultipleControlValueAccessor.prototype.registerOnChange = function(fn) {
      var _this = this;
      this.onChange = function(_) {
        var selected = [];
        if (_.hasOwnProperty('selectedOptions')) {
          var options = _.selectedOptions;
          for (var i = 0; i < options.length; i++) {
            var opt = options.item(i);
            var val = _this._getOptionValue(opt.value);
            selected.push(val);
          }
        } else {
          var options = _.options;
          for (var i = 0; i < options.length; i++) {
            var opt = options.item(i);
            if (opt.selected) {
              var val = _this._getOptionValue(opt.value);
              selected.push(val);
            }
          }
        }
        fn(selected);
      };
    };
    SelectMultipleControlValueAccessor.prototype.registerOnTouched = function(fn) {
      this.onTouched = fn;
    };
    SelectMultipleControlValueAccessor.prototype._registerOption = function(value) {
      var id = (this._idCounter++).toString();
      this._optionMap.set(id, value);
      return id;
    };
    SelectMultipleControlValueAccessor.prototype._getOptionId = function(value) {
      for (var _i = 0,
          _a = collection_1.MapWrapper.keys(this._optionMap); _i < _a.length; _i++) {
        var id = _a[_i];
        if (lang_1.looseIdentical(this._optionMap.get(id)._value, value))
          return id;
      }
      return null;
    };
    SelectMultipleControlValueAccessor.prototype._getOptionValue = function(valueString) {
      var opt = this._optionMap.get(_extractId(valueString));
      return lang_1.isPresent(opt) ? opt._value : valueString;
    };
    SelectMultipleControlValueAccessor.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: 'select[multiple][ngControl],select[multiple][ngFormControl],select[multiple][ngModel]',
        host: {
          '(input)': 'onChange($event.target)',
          '(blur)': 'onTouched()'
        },
        providers: [SELECT_MULTIPLE_VALUE_ACCESSOR]
      }]
    }];
    SelectMultipleControlValueAccessor.ctorParameters = [];
    return SelectMultipleControlValueAccessor;
  }());
  exports.SelectMultipleControlValueAccessor = SelectMultipleControlValueAccessor;
  var NgSelectMultipleOption = (function() {
    function NgSelectMultipleOption(_element, _renderer, _select) {
      this._element = _element;
      this._renderer = _renderer;
      this._select = _select;
      if (lang_1.isPresent(this._select)) {
        this.id = this._select._registerOption(this);
      }
    }
    Object.defineProperty(NgSelectMultipleOption.prototype, "ngValue", {
      set: function(value) {
        if (this._select == null)
          return;
        this._value = value;
        this._setElementValue(_buildValueString(this.id, value));
        this._select.writeValue(this._select.value);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgSelectMultipleOption.prototype, "value", {
      set: function(value) {
        if (lang_1.isPresent(this._select)) {
          this._value = value;
          this._setElementValue(_buildValueString(this.id, value));
          this._select.writeValue(this._select.value);
        } else {
          this._setElementValue(value);
        }
      },
      enumerable: true,
      configurable: true
    });
    NgSelectMultipleOption.prototype._setElementValue = function(value) {
      this._renderer.setElementProperty(this._element.nativeElement, 'value', value);
    };
    NgSelectMultipleOption.prototype._setSelected = function(selected) {
      this._renderer.setElementProperty(this._element.nativeElement, 'selected', selected);
    };
    NgSelectMultipleOption.prototype.ngOnDestroy = function() {
      if (lang_1.isPresent(this._select)) {
        this._select._optionMap.delete(this.id);
        this._select.writeValue(this._select.value);
      }
    };
    NgSelectMultipleOption.decorators = [{
      type: core_1.Directive,
      args: [{selector: 'option'}]
    }];
    NgSelectMultipleOption.ctorParameters = [{type: core_1.ElementRef}, {type: core_1.Renderer}, {
      type: SelectMultipleControlValueAccessor,
      decorators: [{type: core_1.Optional}, {type: core_1.Host}]
    }];
    NgSelectMultipleOption.propDecorators = {
      'ngValue': [{
        type: core_1.Input,
        args: ['ngValue']
      }],
      'value': [{
        type: core_1.Input,
        args: ['value']
      }]
    };
    return NgSelectMultipleOption;
  }());
  exports.NgSelectMultipleOption = NgSelectMultipleOption;
  exports.SELECT_DIRECTIVES = [SelectMultipleControlValueAccessor, NgSelectMultipleOption];
  return module.exports;
});

System.registerDynamic("@angular/common/src/forms-deprecated/directives/shared.js", ["../../facade/collection", "../../facade/exceptions", "../../facade/lang", "../validators", "./checkbox_value_accessor", "./default_value_accessor", "./normalize_validator", "./number_value_accessor", "./radio_control_value_accessor", "./select_control_value_accessor", "./select_multiple_control_value_accessor"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var collection_1 = $__require('../../facade/collection');
  var exceptions_1 = $__require('../../facade/exceptions');
  var lang_1 = $__require('../../facade/lang');
  var validators_1 = $__require('../validators');
  var checkbox_value_accessor_1 = $__require('./checkbox_value_accessor');
  var default_value_accessor_1 = $__require('./default_value_accessor');
  var normalize_validator_1 = $__require('./normalize_validator');
  var number_value_accessor_1 = $__require('./number_value_accessor');
  var radio_control_value_accessor_1 = $__require('./radio_control_value_accessor');
  var select_control_value_accessor_1 = $__require('./select_control_value_accessor');
  var select_multiple_control_value_accessor_1 = $__require('./select_multiple_control_value_accessor');
  function controlPath(name, parent) {
    var p = collection_1.ListWrapper.clone(parent.path);
    p.push(name);
    return p;
  }
  exports.controlPath = controlPath;
  function setUpControl(control, dir) {
    if (lang_1.isBlank(control))
      _throwError(dir, 'Cannot find control');
    if (lang_1.isBlank(dir.valueAccessor))
      _throwError(dir, 'No value accessor for');
    control.validator = validators_1.Validators.compose([control.validator, dir.validator]);
    control.asyncValidator = validators_1.Validators.composeAsync([control.asyncValidator, dir.asyncValidator]);
    dir.valueAccessor.writeValue(control.value);
    dir.valueAccessor.registerOnChange(function(newValue) {
      dir.viewToModelUpdate(newValue);
      control.updateValue(newValue, {emitModelToViewChange: false});
      control.markAsDirty();
    });
    control.registerOnChange(function(newValue) {
      return dir.valueAccessor.writeValue(newValue);
    });
    dir.valueAccessor.registerOnTouched(function() {
      return control.markAsTouched();
    });
  }
  exports.setUpControl = setUpControl;
  function setUpControlGroup(control, dir) {
    if (lang_1.isBlank(control))
      _throwError(dir, 'Cannot find control');
    control.validator = validators_1.Validators.compose([control.validator, dir.validator]);
    control.asyncValidator = validators_1.Validators.composeAsync([control.asyncValidator, dir.asyncValidator]);
  }
  exports.setUpControlGroup = setUpControlGroup;
  function _throwError(dir, message) {
    var path = dir.path.join(' -> ');
    throw new exceptions_1.BaseException(message + " '" + path + "'");
  }
  function composeValidators(validators) {
    return lang_1.isPresent(validators) ? validators_1.Validators.compose(validators.map(normalize_validator_1.normalizeValidator)) : null;
  }
  exports.composeValidators = composeValidators;
  function composeAsyncValidators(validators) {
    return lang_1.isPresent(validators) ? validators_1.Validators.composeAsync(validators.map(normalize_validator_1.normalizeAsyncValidator)) : null;
  }
  exports.composeAsyncValidators = composeAsyncValidators;
  function isPropertyUpdated(changes, viewModel) {
    if (!collection_1.StringMapWrapper.contains(changes, 'model'))
      return false;
    var change = changes['model'];
    if (change.isFirstChange())
      return true;
    return !lang_1.looseIdentical(viewModel, change.currentValue);
  }
  exports.isPropertyUpdated = isPropertyUpdated;
  function selectValueAccessor(dir, valueAccessors) {
    if (lang_1.isBlank(valueAccessors))
      return null;
    var defaultAccessor;
    var builtinAccessor;
    var customAccessor;
    valueAccessors.forEach(function(v) {
      if (lang_1.hasConstructor(v, default_value_accessor_1.DefaultValueAccessor)) {
        defaultAccessor = v;
      } else if (lang_1.hasConstructor(v, checkbox_value_accessor_1.CheckboxControlValueAccessor) || lang_1.hasConstructor(v, number_value_accessor_1.NumberValueAccessor) || lang_1.hasConstructor(v, select_control_value_accessor_1.SelectControlValueAccessor) || lang_1.hasConstructor(v, select_multiple_control_value_accessor_1.SelectMultipleControlValueAccessor) || lang_1.hasConstructor(v, radio_control_value_accessor_1.RadioControlValueAccessor)) {
        if (lang_1.isPresent(builtinAccessor))
          _throwError(dir, 'More than one built-in value accessor matches');
        builtinAccessor = v;
      } else {
        if (lang_1.isPresent(customAccessor))
          _throwError(dir, 'More than one custom value accessor matches');
        customAccessor = v;
      }
    });
    if (lang_1.isPresent(customAccessor))
      return customAccessor;
    if (lang_1.isPresent(builtinAccessor))
      return builtinAccessor;
    if (lang_1.isPresent(defaultAccessor))
      return defaultAccessor;
    _throwError(dir, 'No valid value accessor for');
    return null;
  }
  exports.selectValueAccessor = selectValueAccessor;
  return module.exports;
});

System.registerDynamic("@angular/common/src/forms-deprecated/directives/ng_model.js", ["@angular/core", "../../facade/async", "../model", "../validators", "./control_value_accessor", "./ng_control", "./shared"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var async_1 = $__require('../../facade/async');
  var model_1 = $__require('../model');
  var validators_1 = $__require('../validators');
  var control_value_accessor_1 = $__require('./control_value_accessor');
  var ng_control_1 = $__require('./ng_control');
  var shared_1 = $__require('./shared');
  exports.formControlBinding = {
    provide: ng_control_1.NgControl,
    useExisting: core_1.forwardRef(function() {
      return NgModel;
    })
  };
  var NgModel = (function(_super) {
    __extends(NgModel, _super);
    function NgModel(_validators, _asyncValidators, valueAccessors) {
      _super.call(this);
      this._validators = _validators;
      this._asyncValidators = _asyncValidators;
      this._control = new model_1.Control();
      this._added = false;
      this.update = new async_1.EventEmitter();
      this.valueAccessor = shared_1.selectValueAccessor(this, valueAccessors);
    }
    NgModel.prototype.ngOnChanges = function(changes) {
      if (!this._added) {
        shared_1.setUpControl(this._control, this);
        this._control.updateValueAndValidity({emitEvent: false});
        this._added = true;
      }
      if (shared_1.isPropertyUpdated(changes, this.viewModel)) {
        this._control.updateValue(this.model);
        this.viewModel = this.model;
      }
    };
    Object.defineProperty(NgModel.prototype, "control", {
      get: function() {
        return this._control;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgModel.prototype, "path", {
      get: function() {
        return [];
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgModel.prototype, "validator", {
      get: function() {
        return shared_1.composeValidators(this._validators);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgModel.prototype, "asyncValidator", {
      get: function() {
        return shared_1.composeAsyncValidators(this._asyncValidators);
      },
      enumerable: true,
      configurable: true
    });
    NgModel.prototype.viewToModelUpdate = function(newValue) {
      this.viewModel = newValue;
      async_1.ObservableWrapper.callEmit(this.update, newValue);
    };
    NgModel.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: '[ngModel]:not([ngControl]):not([ngFormControl])',
        providers: [exports.formControlBinding],
        inputs: ['model: ngModel'],
        outputs: ['update: ngModelChange'],
        exportAs: 'ngForm'
      }]
    }];
    NgModel.ctorParameters = [{
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [validators_1.NG_VALIDATORS]
      }]
    }, {
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [validators_1.NG_ASYNC_VALIDATORS]
      }]
    }, {
      type: Array,
      decorators: [{type: core_1.Optional}, {type: core_1.Self}, {
        type: core_1.Inject,
        args: [control_value_accessor_1.NG_VALUE_ACCESSOR]
      }]
    }];
    return NgModel;
  }(ng_control_1.NgControl));
  exports.NgModel = NgModel;
  return module.exports;
});

System.registerDynamic("@angular/common/src/forms-deprecated/directives/control_value_accessor.js", ["@angular/core"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  exports.NG_VALUE_ACCESSOR = new core_1.OpaqueToken('NgValueAccessor');
  return module.exports;
});

System.registerDynamic("@angular/common/src/forms-deprecated/directives/select_control_value_accessor.js", ["@angular/core", "../../facade/collection", "../../facade/lang", "./control_value_accessor"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var collection_1 = $__require('../../facade/collection');
  var lang_1 = $__require('../../facade/lang');
  var control_value_accessor_1 = $__require('./control_value_accessor');
  exports.SELECT_VALUE_ACCESSOR = {
    provide: control_value_accessor_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function() {
      return SelectControlValueAccessor;
    }),
    multi: true
  };
  function _buildValueString(id, value) {
    if (lang_1.isBlank(id))
      return "" + value;
    if (!lang_1.isPrimitive(value))
      value = 'Object';
    return lang_1.StringWrapper.slice(id + ": " + value, 0, 50);
  }
  function _extractId(valueString) {
    return valueString.split(':')[0];
  }
  var SelectControlValueAccessor = (function() {
    function SelectControlValueAccessor(_renderer, _elementRef) {
      this._renderer = _renderer;
      this._elementRef = _elementRef;
      this._optionMap = new Map();
      this._idCounter = 0;
      this.onChange = function(_) {};
      this.onTouched = function() {};
    }
    SelectControlValueAccessor.prototype.writeValue = function(value) {
      this.value = value;
      var valueString = _buildValueString(this._getOptionId(value), value);
      this._renderer.setElementProperty(this._elementRef.nativeElement, 'value', valueString);
    };
    SelectControlValueAccessor.prototype.registerOnChange = function(fn) {
      var _this = this;
      this.onChange = function(valueString) {
        _this.value = valueString;
        fn(_this._getOptionValue(valueString));
      };
    };
    SelectControlValueAccessor.prototype.registerOnTouched = function(fn) {
      this.onTouched = fn;
    };
    SelectControlValueAccessor.prototype._registerOption = function() {
      return (this._idCounter++).toString();
    };
    SelectControlValueAccessor.prototype._getOptionId = function(value) {
      for (var _i = 0,
          _a = collection_1.MapWrapper.keys(this._optionMap); _i < _a.length; _i++) {
        var id = _a[_i];
        if (lang_1.looseIdentical(this._optionMap.get(id), value))
          return id;
      }
      return null;
    };
    SelectControlValueAccessor.prototype._getOptionValue = function(valueString) {
      var value = this._optionMap.get(_extractId(valueString));
      return lang_1.isPresent(value) ? value : valueString;
    };
    SelectControlValueAccessor.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: 'select:not([multiple])[ngControl],select:not([multiple])[ngFormControl],select:not([multiple])[ngModel]',
        host: {
          '(change)': 'onChange($event.target.value)',
          '(blur)': 'onTouched()'
        },
        providers: [exports.SELECT_VALUE_ACCESSOR]
      }]
    }];
    SelectControlValueAccessor.ctorParameters = [{type: core_1.Renderer}, {type: core_1.ElementRef}];
    return SelectControlValueAccessor;
  }());
  exports.SelectControlValueAccessor = SelectControlValueAccessor;
  var NgSelectOption = (function() {
    function NgSelectOption(_element, _renderer, _select) {
      this._element = _element;
      this._renderer = _renderer;
      this._select = _select;
      if (lang_1.isPresent(this._select))
        this.id = this._select._registerOption();
    }
    Object.defineProperty(NgSelectOption.prototype, "ngValue", {
      set: function(value) {
        if (this._select == null)
          return;
        this._select._optionMap.set(this.id, value);
        this._setElementValue(_buildValueString(this.id, value));
        this._select.writeValue(this._select.value);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgSelectOption.prototype, "value", {
      set: function(value) {
        this._setElementValue(value);
        if (lang_1.isPresent(this._select))
          this._select.writeValue(this._select.value);
      },
      enumerable: true,
      configurable: true
    });
    NgSelectOption.prototype._setElementValue = function(value) {
      this._renderer.setElementProperty(this._element.nativeElement, 'value', value);
    };
    NgSelectOption.prototype.ngOnDestroy = function() {
      if (lang_1.isPresent(this._select)) {
        this._select._optionMap.delete(this.id);
        this._select.writeValue(this._select.value);
      }
    };
    NgSelectOption.decorators = [{
      type: core_1.Directive,
      args: [{selector: 'option'}]
    }];
    NgSelectOption.ctorParameters = [{type: core_1.ElementRef}, {type: core_1.Renderer}, {
      type: SelectControlValueAccessor,
      decorators: [{type: core_1.Optional}, {type: core_1.Host}]
    }];
    NgSelectOption.propDecorators = {
      'ngValue': [{
        type: core_1.Input,
        args: ['ngValue']
      }],
      'value': [{
        type: core_1.Input,
        args: ['value']
      }]
    };
    return NgSelectOption;
  }());
  exports.NgSelectOption = NgSelectOption;
  return module.exports;
});

System.registerDynamic("@angular/common/src/forms-deprecated/directives/validators.js", ["@angular/core", "../../facade/lang", "../validators"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var lang_1 = $__require('../../facade/lang');
  var validators_1 = $__require('../validators');
  var REQUIRED = validators_1.Validators.required;
  exports.REQUIRED_VALIDATOR = {
    provide: validators_1.NG_VALIDATORS,
    useValue: REQUIRED,
    multi: true
  };
  var RequiredValidator = (function() {
    function RequiredValidator() {}
    RequiredValidator.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: '[required][ngControl],[required][ngFormControl],[required][ngModel]',
        providers: [exports.REQUIRED_VALIDATOR]
      }]
    }];
    return RequiredValidator;
  }());
  exports.RequiredValidator = RequiredValidator;
  exports.MIN_LENGTH_VALIDATOR = {
    provide: validators_1.NG_VALIDATORS,
    useExisting: core_1.forwardRef(function() {
      return MinLengthValidator;
    }),
    multi: true
  };
  var MinLengthValidator = (function() {
    function MinLengthValidator(minLength) {
      this._validator = validators_1.Validators.minLength(lang_1.NumberWrapper.parseInt(minLength, 10));
    }
    MinLengthValidator.prototype.validate = function(c) {
      return this._validator(c);
    };
    MinLengthValidator.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: '[minlength][ngControl],[minlength][ngFormControl],[minlength][ngModel]',
        providers: [exports.MIN_LENGTH_VALIDATOR]
      }]
    }];
    MinLengthValidator.ctorParameters = [{
      type: undefined,
      decorators: [{
        type: core_1.Attribute,
        args: ['minlength']
      }]
    }];
    return MinLengthValidator;
  }());
  exports.MinLengthValidator = MinLengthValidator;
  exports.MAX_LENGTH_VALIDATOR = {
    provide: validators_1.NG_VALIDATORS,
    useExisting: core_1.forwardRef(function() {
      return MaxLengthValidator;
    }),
    multi: true
  };
  var MaxLengthValidator = (function() {
    function MaxLengthValidator(maxLength) {
      this._validator = validators_1.Validators.maxLength(lang_1.NumberWrapper.parseInt(maxLength, 10));
    }
    MaxLengthValidator.prototype.validate = function(c) {
      return this._validator(c);
    };
    MaxLengthValidator.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: '[maxlength][ngControl],[maxlength][ngFormControl],[maxlength][ngModel]',
        providers: [exports.MAX_LENGTH_VALIDATOR]
      }]
    }];
    MaxLengthValidator.ctorParameters = [{
      type: undefined,
      decorators: [{
        type: core_1.Attribute,
        args: ['maxlength']
      }]
    }];
    return MaxLengthValidator;
  }());
  exports.MaxLengthValidator = MaxLengthValidator;
  exports.PATTERN_VALIDATOR = {
    provide: validators_1.NG_VALIDATORS,
    useExisting: core_1.forwardRef(function() {
      return PatternValidator;
    }),
    multi: true
  };
  var PatternValidator = (function() {
    function PatternValidator(pattern) {
      this._validator = validators_1.Validators.pattern(pattern);
    }
    PatternValidator.prototype.validate = function(c) {
      return this._validator(c);
    };
    PatternValidator.decorators = [{
      type: core_1.Directive,
      args: [{
        selector: '[pattern][ngControl],[pattern][ngFormControl],[pattern][ngModel]',
        providers: [exports.PATTERN_VALIDATOR]
      }]
    }];
    PatternValidator.ctorParameters = [{
      type: undefined,
      decorators: [{
        type: core_1.Attribute,
        args: ['pattern']
      }]
    }];
    return PatternValidator;
  }());
  exports.PatternValidator = PatternValidator;
  return module.exports;
});

System.registerDynamic("@angular/common/src/forms-deprecated/model.js", ["../facade/async", "../facade/collection", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var async_1 = $__require('../facade/async');
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  exports.VALID = 'VALID';
  exports.INVALID = 'INVALID';
  exports.PENDING = 'PENDING';
  function isControl(control) {
    return control instanceof AbstractControl;
  }
  exports.isControl = isControl;
  function _find(control, path) {
    if (lang_1.isBlank(path))
      return null;
    if (!(path instanceof Array)) {
      path = path.split('/');
    }
    if (path instanceof Array && collection_1.ListWrapper.isEmpty(path))
      return null;
    return path.reduce(function(v, name) {
      if (v instanceof ControlGroup) {
        return lang_1.isPresent(v.controls[name]) ? v.controls[name] : null;
      } else if (v instanceof ControlArray) {
        var index = name;
        return lang_1.isPresent(v.at(index)) ? v.at(index) : null;
      } else {
        return null;
      }
    }, control);
  }
  function toObservable(r) {
    return lang_1.isPromise(r) ? async_1.ObservableWrapper.fromPromise(r) : r;
  }
  var AbstractControl = (function() {
    function AbstractControl(validator, asyncValidator) {
      this.validator = validator;
      this.asyncValidator = asyncValidator;
      this._pristine = true;
      this._touched = false;
    }
    Object.defineProperty(AbstractControl.prototype, "value", {
      get: function() {
        return this._value;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControl.prototype, "status", {
      get: function() {
        return this._status;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControl.prototype, "valid", {
      get: function() {
        return this._status === exports.VALID;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControl.prototype, "errors", {
      get: function() {
        return this._errors;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControl.prototype, "pristine", {
      get: function() {
        return this._pristine;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControl.prototype, "dirty", {
      get: function() {
        return !this.pristine;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControl.prototype, "touched", {
      get: function() {
        return this._touched;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControl.prototype, "untouched", {
      get: function() {
        return !this._touched;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControl.prototype, "valueChanges", {
      get: function() {
        return this._valueChanges;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControl.prototype, "statusChanges", {
      get: function() {
        return this._statusChanges;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractControl.prototype, "pending", {
      get: function() {
        return this._status == exports.PENDING;
      },
      enumerable: true,
      configurable: true
    });
    AbstractControl.prototype.markAsTouched = function() {
      this._touched = true;
    };
    AbstractControl.prototype.markAsDirty = function(_a) {
      var onlySelf = (_a === void 0 ? {} : _a).onlySelf;
      onlySelf = lang_1.normalizeBool(onlySelf);
      this._pristine = false;
      if (lang_1.isPresent(this._parent) && !onlySelf) {
        this._parent.markAsDirty({onlySelf: onlySelf});
      }
    };
    AbstractControl.prototype.markAsPending = function(_a) {
      var onlySelf = (_a === void 0 ? {} : _a).onlySelf;
      onlySelf = lang_1.normalizeBool(onlySelf);
      this._status = exports.PENDING;
      if (lang_1.isPresent(this._parent) && !onlySelf) {
        this._parent.markAsPending({onlySelf: onlySelf});
      }
    };
    AbstractControl.prototype.setParent = function(parent) {
      this._parent = parent;
    };
    AbstractControl.prototype.updateValueAndValidity = function(_a) {
      var _b = _a === void 0 ? {} : _a,
          onlySelf = _b.onlySelf,
          emitEvent = _b.emitEvent;
      onlySelf = lang_1.normalizeBool(onlySelf);
      emitEvent = lang_1.isPresent(emitEvent) ? emitEvent : true;
      this._updateValue();
      this._errors = this._runValidator();
      this._status = this._calculateStatus();
      if (this._status == exports.VALID || this._status == exports.PENDING) {
        this._runAsyncValidator(emitEvent);
      }
      if (emitEvent) {
        async_1.ObservableWrapper.callEmit(this._valueChanges, this._value);
        async_1.ObservableWrapper.callEmit(this._statusChanges, this._status);
      }
      if (lang_1.isPresent(this._parent) && !onlySelf) {
        this._parent.updateValueAndValidity({
          onlySelf: onlySelf,
          emitEvent: emitEvent
        });
      }
    };
    AbstractControl.prototype._runValidator = function() {
      return lang_1.isPresent(this.validator) ? this.validator(this) : null;
    };
    AbstractControl.prototype._runAsyncValidator = function(emitEvent) {
      var _this = this;
      if (lang_1.isPresent(this.asyncValidator)) {
        this._status = exports.PENDING;
        this._cancelExistingSubscription();
        var obs = toObservable(this.asyncValidator(this));
        this._asyncValidationSubscription = async_1.ObservableWrapper.subscribe(obs, function(res) {
          return _this.setErrors(res, {emitEvent: emitEvent});
        });
      }
    };
    AbstractControl.prototype._cancelExistingSubscription = function() {
      if (lang_1.isPresent(this._asyncValidationSubscription)) {
        async_1.ObservableWrapper.dispose(this._asyncValidationSubscription);
      }
    };
    AbstractControl.prototype.setErrors = function(errors, _a) {
      var emitEvent = (_a === void 0 ? {} : _a).emitEvent;
      emitEvent = lang_1.isPresent(emitEvent) ? emitEvent : true;
      this._errors = errors;
      this._status = this._calculateStatus();
      if (emitEvent) {
        async_1.ObservableWrapper.callEmit(this._statusChanges, this._status);
      }
      if (lang_1.isPresent(this._parent)) {
        this._parent._updateControlsErrors();
      }
    };
    AbstractControl.prototype.find = function(path) {
      return _find(this, path);
    };
    AbstractControl.prototype.getError = function(errorCode, path) {
      if (path === void 0) {
        path = null;
      }
      var control = lang_1.isPresent(path) && !collection_1.ListWrapper.isEmpty(path) ? this.find(path) : this;
      if (lang_1.isPresent(control) && lang_1.isPresent(control._errors)) {
        return collection_1.StringMapWrapper.get(control._errors, errorCode);
      } else {
        return null;
      }
    };
    AbstractControl.prototype.hasError = function(errorCode, path) {
      if (path === void 0) {
        path = null;
      }
      return lang_1.isPresent(this.getError(errorCode, path));
    };
    Object.defineProperty(AbstractControl.prototype, "root", {
      get: function() {
        var x = this;
        while (lang_1.isPresent(x._parent)) {
          x = x._parent;
        }
        return x;
      },
      enumerable: true,
      configurable: true
    });
    AbstractControl.prototype._updateControlsErrors = function() {
      this._status = this._calculateStatus();
      if (lang_1.isPresent(this._parent)) {
        this._parent._updateControlsErrors();
      }
    };
    AbstractControl.prototype._initObservables = function() {
      this._valueChanges = new async_1.EventEmitter();
      this._statusChanges = new async_1.EventEmitter();
    };
    AbstractControl.prototype._calculateStatus = function() {
      if (lang_1.isPresent(this._errors))
        return exports.INVALID;
      if (this._anyControlsHaveStatus(exports.PENDING))
        return exports.PENDING;
      if (this._anyControlsHaveStatus(exports.INVALID))
        return exports.INVALID;
      return exports.VALID;
    };
    return AbstractControl;
  }());
  exports.AbstractControl = AbstractControl;
  var Control = (function(_super) {
    __extends(Control, _super);
    function Control(value, validator, asyncValidator) {
      if (value === void 0) {
        value = null;
      }
      if (validator === void 0) {
        validator = null;
      }
      if (asyncValidator === void 0) {
        asyncValidator = null;
      }
      _super.call(this, validator, asyncValidator);
      this._value = value;
      this.updateValueAndValidity({
        onlySelf: true,
        emitEvent: false
      });
      this._initObservables();
    }
    Control.prototype.updateValue = function(value, _a) {
      var _b = _a === void 0 ? {} : _a,
          onlySelf = _b.onlySelf,
          emitEvent = _b.emitEvent,
          emitModelToViewChange = _b.emitModelToViewChange;
      emitModelToViewChange = lang_1.isPresent(emitModelToViewChange) ? emitModelToViewChange : true;
      this._value = value;
      if (lang_1.isPresent(this._onChange) && emitModelToViewChange)
        this._onChange(this._value);
      this.updateValueAndValidity({
        onlySelf: onlySelf,
        emitEvent: emitEvent
      });
    };
    Control.prototype._updateValue = function() {};
    Control.prototype._anyControlsHaveStatus = function(status) {
      return false;
    };
    Control.prototype.registerOnChange = function(fn) {
      this._onChange = fn;
    };
    return Control;
  }(AbstractControl));
  exports.Control = Control;
  var ControlGroup = (function(_super) {
    __extends(ControlGroup, _super);
    function ControlGroup(controls, optionals, validator, asyncValidator) {
      if (optionals === void 0) {
        optionals = null;
      }
      if (validator === void 0) {
        validator = null;
      }
      if (asyncValidator === void 0) {
        asyncValidator = null;
      }
      _super.call(this, validator, asyncValidator);
      this.controls = controls;
      this._optionals = lang_1.isPresent(optionals) ? optionals : {};
      this._initObservables();
      this._setParentForControls();
      this.updateValueAndValidity({
        onlySelf: true,
        emitEvent: false
      });
    }
    ControlGroup.prototype.registerControl = function(name, control) {
      this.controls[name] = control;
      control.setParent(this);
    };
    ControlGroup.prototype.addControl = function(name, control) {
      this.registerControl(name, control);
      this.updateValueAndValidity();
    };
    ControlGroup.prototype.removeControl = function(name) {
      collection_1.StringMapWrapper.delete(this.controls, name);
      this.updateValueAndValidity();
    };
    ControlGroup.prototype.include = function(controlName) {
      collection_1.StringMapWrapper.set(this._optionals, controlName, true);
      this.updateValueAndValidity();
    };
    ControlGroup.prototype.exclude = function(controlName) {
      collection_1.StringMapWrapper.set(this._optionals, controlName, false);
      this.updateValueAndValidity();
    };
    ControlGroup.prototype.contains = function(controlName) {
      var c = collection_1.StringMapWrapper.contains(this.controls, controlName);
      return c && this._included(controlName);
    };
    ControlGroup.prototype._setParentForControls = function() {
      var _this = this;
      collection_1.StringMapWrapper.forEach(this.controls, function(control, name) {
        control.setParent(_this);
      });
    };
    ControlGroup.prototype._updateValue = function() {
      this._value = this._reduceValue();
    };
    ControlGroup.prototype._anyControlsHaveStatus = function(status) {
      var _this = this;
      var res = false;
      collection_1.StringMapWrapper.forEach(this.controls, function(control, name) {
        res = res || (_this.contains(name) && control.status == status);
      });
      return res;
    };
    ControlGroup.prototype._reduceValue = function() {
      return this._reduceChildren({}, function(acc, control, name) {
        acc[name] = control.value;
        return acc;
      });
    };
    ControlGroup.prototype._reduceChildren = function(initValue, fn) {
      var _this = this;
      var res = initValue;
      collection_1.StringMapWrapper.forEach(this.controls, function(control, name) {
        if (_this._included(name)) {
          res = fn(res, control, name);
        }
      });
      return res;
    };
    ControlGroup.prototype._included = function(controlName) {
      var isOptional = collection_1.StringMapWrapper.contains(this._optionals, controlName);
      return !isOptional || collection_1.StringMapWrapper.get(this._optionals, controlName);
    };
    return ControlGroup;
  }(AbstractControl));
  exports.ControlGroup = ControlGroup;
  var ControlArray = (function(_super) {
    __extends(ControlArray, _super);
    function ControlArray(controls, validator, asyncValidator) {
      if (validator === void 0) {
        validator = null;
      }
      if (asyncValidator === void 0) {
        asyncValidator = null;
      }
      _super.call(this, validator, asyncValidator);
      this.controls = controls;
      this._initObservables();
      this._setParentForControls();
      this.updateValueAndValidity({
        onlySelf: true,
        emitEvent: false
      });
    }
    ControlArray.prototype.at = function(index) {
      return this.controls[index];
    };
    ControlArray.prototype.push = function(control) {
      this.controls.push(control);
      control.setParent(this);
      this.updateValueAndValidity();
    };
    ControlArray.prototype.insert = function(index, control) {
      collection_1.ListWrapper.insert(this.controls, index, control);
      control.setParent(this);
      this.updateValueAndValidity();
    };
    ControlArray.prototype.removeAt = function(index) {
      collection_1.ListWrapper.removeAt(this.controls, index);
      this.updateValueAndValidity();
    };
    Object.defineProperty(ControlArray.prototype, "length", {
      get: function() {
        return this.controls.length;
      },
      enumerable: true,
      configurable: true
    });
    ControlArray.prototype._updateValue = function() {
      this._value = this.controls.map(function(control) {
        return control.value;
      });
    };
    ControlArray.prototype._anyControlsHaveStatus = function(status) {
      return this.controls.some(function(c) {
        return c.status == status;
      });
    };
    ControlArray.prototype._setParentForControls = function() {
      var _this = this;
      this.controls.forEach(function(control) {
        control.setParent(_this);
      });
    };
    return ControlArray;
  }(AbstractControl));
  exports.ControlArray = ControlArray;
  return module.exports;
});

System.registerDynamic("@angular/common/src/forms-deprecated/validators.js", ["@angular/core", "../facade/async", "../facade/collection", "../facade/lang", "../facade/promise"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var async_1 = $__require('../facade/async');
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var promise_1 = $__require('../facade/promise');
  exports.NG_VALIDATORS = new core_1.OpaqueToken('NgValidators');
  exports.NG_ASYNC_VALIDATORS = new core_1.OpaqueToken('NgAsyncValidators');
  var Validators = (function() {
    function Validators() {}
    Validators.required = function(control) {
      return lang_1.isBlank(control.value) || (lang_1.isString(control.value) && control.value == '') ? {'required': true} : null;
    };
    Validators.minLength = function(minLength) {
      return function(control) {
        if (lang_1.isPresent(Validators.required(control)))
          return null;
        var v = control.value;
        return v.length < minLength ? {'minlength': {
            'requiredLength': minLength,
            'actualLength': v.length
          }} : null;
      };
    };
    Validators.maxLength = function(maxLength) {
      return function(control) {
        if (lang_1.isPresent(Validators.required(control)))
          return null;
        var v = control.value;
        return v.length > maxLength ? {'maxlength': {
            'requiredLength': maxLength,
            'actualLength': v.length
          }} : null;
      };
    };
    Validators.pattern = function(pattern) {
      return function(control) {
        if (lang_1.isPresent(Validators.required(control)))
          return null;
        var regex = new RegExp("^" + pattern + "$");
        var v = control.value;
        return regex.test(v) ? null : {'pattern': {
            'requiredPattern': "^" + pattern + "$",
            'actualValue': v
          }};
      };
    };
    Validators.nullValidator = function(c) {
      return null;
    };
    Validators.compose = function(validators) {
      if (lang_1.isBlank(validators))
        return null;
      var presentValidators = validators.filter(lang_1.isPresent);
      if (presentValidators.length == 0)
        return null;
      return function(control) {
        return _mergeErrors(_executeValidators(control, presentValidators));
      };
    };
    Validators.composeAsync = function(validators) {
      if (lang_1.isBlank(validators))
        return null;
      var presentValidators = validators.filter(lang_1.isPresent);
      if (presentValidators.length == 0)
        return null;
      return function(control) {
        var promises = _executeAsyncValidators(control, presentValidators).map(_convertToPromise);
        return promise_1.PromiseWrapper.all(promises).then(_mergeErrors);
      };
    };
    return Validators;
  }());
  exports.Validators = Validators;
  function _convertToPromise(obj) {
    return lang_1.isPromise(obj) ? obj : async_1.ObservableWrapper.toPromise(obj);
  }
  function _executeValidators(control, validators) {
    return validators.map(function(v) {
      return v(control);
    });
  }
  function _executeAsyncValidators(control, validators) {
    return validators.map(function(v) {
      return v(control);
    });
  }
  function _mergeErrors(arrayOfErrors) {
    var res = arrayOfErrors.reduce(function(res, errors) {
      return lang_1.isPresent(errors) ? collection_1.StringMapWrapper.merge(res, errors) : res;
    }, {});
    return collection_1.StringMapWrapper.isEmpty(res) ? null : res;
  }
  return module.exports;
});

System.registerDynamic("@angular/common/src/forms-deprecated.js", ["./forms-deprecated/directives/radio_control_value_accessor", "./forms-deprecated/form_builder", "./forms-deprecated/directives", "./forms-deprecated/directives/abstract_control_directive", "./forms-deprecated/directives/checkbox_value_accessor", "./forms-deprecated/directives/control_container", "./forms-deprecated/directives/control_value_accessor", "./forms-deprecated/directives/default_value_accessor", "./forms-deprecated/directives/ng_control", "./forms-deprecated/directives/ng_control_group", "./forms-deprecated/directives/ng_control_name", "./forms-deprecated/directives/ng_control_status", "./forms-deprecated/directives/ng_form", "./forms-deprecated/directives/ng_form_control", "./forms-deprecated/directives/ng_form_model", "./forms-deprecated/directives/ng_model", "./forms-deprecated/directives/select_control_value_accessor", "./forms-deprecated/directives/validators", "./forms-deprecated/model", "./forms-deprecated/validators"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var radio_control_value_accessor_1 = $__require('./forms-deprecated/directives/radio_control_value_accessor');
  var form_builder_1 = $__require('./forms-deprecated/form_builder');
  var directives_1 = $__require('./forms-deprecated/directives');
  exports.FORM_DIRECTIVES = directives_1.FORM_DIRECTIVES;
  exports.RadioButtonState = directives_1.RadioButtonState;
  var abstract_control_directive_1 = $__require('./forms-deprecated/directives/abstract_control_directive');
  exports.AbstractControlDirective = abstract_control_directive_1.AbstractControlDirective;
  var checkbox_value_accessor_1 = $__require('./forms-deprecated/directives/checkbox_value_accessor');
  exports.CheckboxControlValueAccessor = checkbox_value_accessor_1.CheckboxControlValueAccessor;
  var control_container_1 = $__require('./forms-deprecated/directives/control_container');
  exports.ControlContainer = control_container_1.ControlContainer;
  var control_value_accessor_1 = $__require('./forms-deprecated/directives/control_value_accessor');
  exports.NG_VALUE_ACCESSOR = control_value_accessor_1.NG_VALUE_ACCESSOR;
  var default_value_accessor_1 = $__require('./forms-deprecated/directives/default_value_accessor');
  exports.DefaultValueAccessor = default_value_accessor_1.DefaultValueAccessor;
  var ng_control_1 = $__require('./forms-deprecated/directives/ng_control');
  exports.NgControl = ng_control_1.NgControl;
  var ng_control_group_1 = $__require('./forms-deprecated/directives/ng_control_group');
  exports.NgControlGroup = ng_control_group_1.NgControlGroup;
  var ng_control_name_1 = $__require('./forms-deprecated/directives/ng_control_name');
  exports.NgControlName = ng_control_name_1.NgControlName;
  var ng_control_status_1 = $__require('./forms-deprecated/directives/ng_control_status');
  exports.NgControlStatus = ng_control_status_1.NgControlStatus;
  var ng_form_1 = $__require('./forms-deprecated/directives/ng_form');
  exports.NgForm = ng_form_1.NgForm;
  var ng_form_control_1 = $__require('./forms-deprecated/directives/ng_form_control');
  exports.NgFormControl = ng_form_control_1.NgFormControl;
  var ng_form_model_1 = $__require('./forms-deprecated/directives/ng_form_model');
  exports.NgFormModel = ng_form_model_1.NgFormModel;
  var ng_model_1 = $__require('./forms-deprecated/directives/ng_model');
  exports.NgModel = ng_model_1.NgModel;
  var select_control_value_accessor_1 = $__require('./forms-deprecated/directives/select_control_value_accessor');
  exports.NgSelectOption = select_control_value_accessor_1.NgSelectOption;
  exports.SelectControlValueAccessor = select_control_value_accessor_1.SelectControlValueAccessor;
  var validators_1 = $__require('./forms-deprecated/directives/validators');
  exports.MaxLengthValidator = validators_1.MaxLengthValidator;
  exports.MinLengthValidator = validators_1.MinLengthValidator;
  exports.PatternValidator = validators_1.PatternValidator;
  exports.RequiredValidator = validators_1.RequiredValidator;
  var form_builder_2 = $__require('./forms-deprecated/form_builder');
  exports.FormBuilder = form_builder_2.FormBuilder;
  var model_1 = $__require('./forms-deprecated/model');
  exports.AbstractControl = model_1.AbstractControl;
  exports.Control = model_1.Control;
  exports.ControlArray = model_1.ControlArray;
  exports.ControlGroup = model_1.ControlGroup;
  var validators_2 = $__require('./forms-deprecated/validators');
  exports.NG_ASYNC_VALIDATORS = validators_2.NG_ASYNC_VALIDATORS;
  exports.NG_VALIDATORS = validators_2.NG_VALIDATORS;
  exports.Validators = validators_2.Validators;
  exports.FORM_PROVIDERS = [form_builder_1.FormBuilder, radio_control_value_accessor_1.RadioControlRegistry];
  return module.exports;
});

System.registerDynamic("@angular/common/src/common_directives.js", ["./directives", "./forms-deprecated"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var directives_1 = $__require('./directives');
  var forms_deprecated_1 = $__require('./forms-deprecated');
  exports.COMMON_DIRECTIVES = [directives_1.CORE_DIRECTIVES, forms_deprecated_1.FORM_DIRECTIVES];
  return module.exports;
});

System.registerDynamic("@angular/common/src/location/hash_location_strategy.js", ["@angular/core", "../facade/lang", "./location", "./location_strategy", "./platform_location"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var lang_1 = $__require('../facade/lang');
  var location_1 = $__require('./location');
  var location_strategy_1 = $__require('./location_strategy');
  var platform_location_1 = $__require('./platform_location');
  var HashLocationStrategy = (function(_super) {
    __extends(HashLocationStrategy, _super);
    function HashLocationStrategy(_platformLocation, _baseHref) {
      _super.call(this);
      this._platformLocation = _platformLocation;
      this._baseHref = '';
      if (lang_1.isPresent(_baseHref)) {
        this._baseHref = _baseHref;
      }
    }
    HashLocationStrategy.prototype.onPopState = function(fn) {
      this._platformLocation.onPopState(fn);
      this._platformLocation.onHashChange(fn);
    };
    HashLocationStrategy.prototype.getBaseHref = function() {
      return this._baseHref;
    };
    HashLocationStrategy.prototype.path = function(includeHash) {
      if (includeHash === void 0) {
        includeHash = false;
      }
      var path = this._platformLocation.hash;
      if (!lang_1.isPresent(path))
        path = '#';
      return (path.length > 0 ? path.substring(1) : path);
    };
    HashLocationStrategy.prototype.prepareExternalUrl = function(internal) {
      var url = location_1.Location.joinWithSlash(this._baseHref, internal);
      return url.length > 0 ? ('#' + url) : url;
    };
    HashLocationStrategy.prototype.pushState = function(state, title, path, queryParams) {
      var url = this.prepareExternalUrl(path + location_1.Location.normalizeQueryParams(queryParams));
      if (url.length == 0) {
        url = this._platformLocation.pathname;
      }
      this._platformLocation.pushState(state, title, url);
    };
    HashLocationStrategy.prototype.replaceState = function(state, title, path, queryParams) {
      var url = this.prepareExternalUrl(path + location_1.Location.normalizeQueryParams(queryParams));
      if (url.length == 0) {
        url = this._platformLocation.pathname;
      }
      this._platformLocation.replaceState(state, title, url);
    };
    HashLocationStrategy.prototype.forward = function() {
      this._platformLocation.forward();
    };
    HashLocationStrategy.prototype.back = function() {
      this._platformLocation.back();
    };
    HashLocationStrategy.decorators = [{type: core_1.Injectable}];
    HashLocationStrategy.ctorParameters = [{type: platform_location_1.PlatformLocation}, {
      type: undefined,
      decorators: [{type: core_1.Optional}, {
        type: core_1.Inject,
        args: [location_strategy_1.APP_BASE_HREF]
      }]
    }];
    return HashLocationStrategy;
  }(location_strategy_1.LocationStrategy));
  exports.HashLocationStrategy = HashLocationStrategy;
  return module.exports;
});

System.registerDynamic("@angular/common/src/facade/base_wrapped_exception.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var BaseWrappedException = (function(_super) {
    __extends(BaseWrappedException, _super);
    function BaseWrappedException(message) {
      _super.call(this, message);
    }
    Object.defineProperty(BaseWrappedException.prototype, "wrapperMessage", {
      get: function() {
        return '';
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "wrapperStack", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "originalException", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "originalStack", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "context", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "message", {
      get: function() {
        return '';
      },
      enumerable: true,
      configurable: true
    });
    return BaseWrappedException;
  }(Error));
  exports.BaseWrappedException = BaseWrappedException;
  return module.exports;
});

System.registerDynamic("@angular/common/src/facade/collection.js", ["./lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('./lang');
  exports.Map = lang_1.global.Map;
  exports.Set = lang_1.global.Set;
  var createMapFromPairs = (function() {
    try {
      if (new exports.Map([[1, 2]]).size === 1) {
        return function createMapFromPairs(pairs) {
          return new exports.Map(pairs);
        };
      }
    } catch (e) {}
    return function createMapAndPopulateFromPairs(pairs) {
      var map = new exports.Map();
      for (var i = 0; i < pairs.length; i++) {
        var pair = pairs[i];
        map.set(pair[0], pair[1]);
      }
      return map;
    };
  })();
  var createMapFromMap = (function() {
    try {
      if (new exports.Map(new exports.Map())) {
        return function createMapFromMap(m) {
          return new exports.Map(m);
        };
      }
    } catch (e) {}
    return function createMapAndPopulateFromMap(m) {
      var map = new exports.Map();
      m.forEach(function(v, k) {
        map.set(k, v);
      });
      return map;
    };
  })();
  var _clearValues = (function() {
    if ((new exports.Map()).keys().next) {
      return function _clearValues(m) {
        var keyIterator = m.keys();
        var k;
        while (!((k = keyIterator.next()).done)) {
          m.set(k.value, null);
        }
      };
    } else {
      return function _clearValuesWithForeEach(m) {
        m.forEach(function(v, k) {
          m.set(k, null);
        });
      };
    }
  })();
  var _arrayFromMap = (function() {
    try {
      if ((new exports.Map()).values().next) {
        return function createArrayFromMap(m, getValues) {
          return getValues ? Array.from(m.values()) : Array.from(m.keys());
        };
      }
    } catch (e) {}
    return function createArrayFromMapWithForeach(m, getValues) {
      var res = ListWrapper.createFixedSize(m.size),
          i = 0;
      m.forEach(function(v, k) {
        res[i] = getValues ? v : k;
        i++;
      });
      return res;
    };
  })();
  var MapWrapper = (function() {
    function MapWrapper() {}
    MapWrapper.clone = function(m) {
      return createMapFromMap(m);
    };
    MapWrapper.createFromStringMap = function(stringMap) {
      var result = new exports.Map();
      for (var prop in stringMap) {
        result.set(prop, stringMap[prop]);
      }
      return result;
    };
    MapWrapper.toStringMap = function(m) {
      var r = {};
      m.forEach(function(v, k) {
        return r[k] = v;
      });
      return r;
    };
    MapWrapper.createFromPairs = function(pairs) {
      return createMapFromPairs(pairs);
    };
    MapWrapper.clearValues = function(m) {
      _clearValues(m);
    };
    MapWrapper.iterable = function(m) {
      return m;
    };
    MapWrapper.keys = function(m) {
      return _arrayFromMap(m, false);
    };
    MapWrapper.values = function(m) {
      return _arrayFromMap(m, true);
    };
    return MapWrapper;
  }());
  exports.MapWrapper = MapWrapper;
  var StringMapWrapper = (function() {
    function StringMapWrapper() {}
    StringMapWrapper.create = function() {
      return {};
    };
    StringMapWrapper.contains = function(map, key) {
      return map.hasOwnProperty(key);
    };
    StringMapWrapper.get = function(map, key) {
      return map.hasOwnProperty(key) ? map[key] : undefined;
    };
    StringMapWrapper.set = function(map, key, value) {
      map[key] = value;
    };
    StringMapWrapper.keys = function(map) {
      return Object.keys(map);
    };
    StringMapWrapper.values = function(map) {
      return Object.keys(map).reduce(function(r, a) {
        r.push(map[a]);
        return r;
      }, []);
    };
    StringMapWrapper.isEmpty = function(map) {
      for (var prop in map) {
        return false;
      }
      return true;
    };
    StringMapWrapper.delete = function(map, key) {
      delete map[key];
    };
    StringMapWrapper.forEach = function(map, callback) {
      for (var prop in map) {
        if (map.hasOwnProperty(prop)) {
          callback(map[prop], prop);
        }
      }
    };
    StringMapWrapper.merge = function(m1, m2) {
      var m = {};
      for (var attr in m1) {
        if (m1.hasOwnProperty(attr)) {
          m[attr] = m1[attr];
        }
      }
      for (var attr in m2) {
        if (m2.hasOwnProperty(attr)) {
          m[attr] = m2[attr];
        }
      }
      return m;
    };
    StringMapWrapper.equals = function(m1, m2) {
      var k1 = Object.keys(m1);
      var k2 = Object.keys(m2);
      if (k1.length != k2.length) {
        return false;
      }
      var key;
      for (var i = 0; i < k1.length; i++) {
        key = k1[i];
        if (m1[key] !== m2[key]) {
          return false;
        }
      }
      return true;
    };
    return StringMapWrapper;
  }());
  exports.StringMapWrapper = StringMapWrapper;
  var ListWrapper = (function() {
    function ListWrapper() {}
    ListWrapper.createFixedSize = function(size) {
      return new Array(size);
    };
    ListWrapper.createGrowableSize = function(size) {
      return new Array(size);
    };
    ListWrapper.clone = function(array) {
      return array.slice(0);
    };
    ListWrapper.forEachWithIndex = function(array, fn) {
      for (var i = 0; i < array.length; i++) {
        fn(array[i], i);
      }
    };
    ListWrapper.first = function(array) {
      if (!array)
        return null;
      return array[0];
    };
    ListWrapper.last = function(array) {
      if (!array || array.length == 0)
        return null;
      return array[array.length - 1];
    };
    ListWrapper.indexOf = function(array, value, startIndex) {
      if (startIndex === void 0) {
        startIndex = 0;
      }
      return array.indexOf(value, startIndex);
    };
    ListWrapper.contains = function(list, el) {
      return list.indexOf(el) !== -1;
    };
    ListWrapper.reversed = function(array) {
      var a = ListWrapper.clone(array);
      return a.reverse();
    };
    ListWrapper.concat = function(a, b) {
      return a.concat(b);
    };
    ListWrapper.insert = function(list, index, value) {
      list.splice(index, 0, value);
    };
    ListWrapper.removeAt = function(list, index) {
      var res = list[index];
      list.splice(index, 1);
      return res;
    };
    ListWrapper.removeAll = function(list, items) {
      for (var i = 0; i < items.length; ++i) {
        var index = list.indexOf(items[i]);
        list.splice(index, 1);
      }
    };
    ListWrapper.remove = function(list, el) {
      var index = list.indexOf(el);
      if (index > -1) {
        list.splice(index, 1);
        return true;
      }
      return false;
    };
    ListWrapper.clear = function(list) {
      list.length = 0;
    };
    ListWrapper.isEmpty = function(list) {
      return list.length == 0;
    };
    ListWrapper.fill = function(list, value, start, end) {
      if (start === void 0) {
        start = 0;
      }
      if (end === void 0) {
        end = null;
      }
      list.fill(value, start, end === null ? list.length : end);
    };
    ListWrapper.equals = function(a, b) {
      if (a.length != b.length)
        return false;
      for (var i = 0; i < a.length; ++i) {
        if (a[i] !== b[i])
          return false;
      }
      return true;
    };
    ListWrapper.slice = function(l, from, to) {
      if (from === void 0) {
        from = 0;
      }
      if (to === void 0) {
        to = null;
      }
      return l.slice(from, to === null ? undefined : to);
    };
    ListWrapper.splice = function(l, from, length) {
      return l.splice(from, length);
    };
    ListWrapper.sort = function(l, compareFn) {
      if (lang_1.isPresent(compareFn)) {
        l.sort(compareFn);
      } else {
        l.sort();
      }
    };
    ListWrapper.toString = function(l) {
      return l.toString();
    };
    ListWrapper.toJSON = function(l) {
      return JSON.stringify(l);
    };
    ListWrapper.maximum = function(list, predicate) {
      if (list.length == 0) {
        return null;
      }
      var solution = null;
      var maxValue = -Infinity;
      for (var index = 0; index < list.length; index++) {
        var candidate = list[index];
        if (lang_1.isBlank(candidate)) {
          continue;
        }
        var candidateValue = predicate(candidate);
        if (candidateValue > maxValue) {
          solution = candidate;
          maxValue = candidateValue;
        }
      }
      return solution;
    };
    ListWrapper.flatten = function(list) {
      var target = [];
      _flattenArray(list, target);
      return target;
    };
    ListWrapper.addAll = function(list, source) {
      for (var i = 0; i < source.length; i++) {
        list.push(source[i]);
      }
    };
    return ListWrapper;
  }());
  exports.ListWrapper = ListWrapper;
  function _flattenArray(source, target) {
    if (lang_1.isPresent(source)) {
      for (var i = 0; i < source.length; i++) {
        var item = source[i];
        if (lang_1.isArray(item)) {
          _flattenArray(item, target);
        } else {
          target.push(item);
        }
      }
    }
    return target;
  }
  function isListLikeIterable(obj) {
    if (!lang_1.isJsObject(obj))
      return false;
    return lang_1.isArray(obj) || (!(obj instanceof exports.Map) && lang_1.getSymbolIterator() in obj);
  }
  exports.isListLikeIterable = isListLikeIterable;
  function areIterablesEqual(a, b, comparator) {
    var iterator1 = a[lang_1.getSymbolIterator()]();
    var iterator2 = b[lang_1.getSymbolIterator()]();
    while (true) {
      var item1 = iterator1.next();
      var item2 = iterator2.next();
      if (item1.done && item2.done)
        return true;
      if (item1.done || item2.done)
        return false;
      if (!comparator(item1.value, item2.value))
        return false;
    }
  }
  exports.areIterablesEqual = areIterablesEqual;
  function iterateListLike(obj, fn) {
    if (lang_1.isArray(obj)) {
      for (var i = 0; i < obj.length; i++) {
        fn(obj[i]);
      }
    } else {
      var iterator = obj[lang_1.getSymbolIterator()]();
      var item;
      while (!((item = iterator.next()).done)) {
        fn(item.value);
      }
    }
  }
  exports.iterateListLike = iterateListLike;
  var createSetFromList = (function() {
    var test = new exports.Set([1, 2, 3]);
    if (test.size === 3) {
      return function createSetFromList(lst) {
        return new exports.Set(lst);
      };
    } else {
      return function createSetAndPopulateFromList(lst) {
        var res = new exports.Set(lst);
        if (res.size !== lst.length) {
          for (var i = 0; i < lst.length; i++) {
            res.add(lst[i]);
          }
        }
        return res;
      };
    }
  })();
  var SetWrapper = (function() {
    function SetWrapper() {}
    SetWrapper.createFromList = function(lst) {
      return createSetFromList(lst);
    };
    SetWrapper.has = function(s, key) {
      return s.has(key);
    };
    SetWrapper.delete = function(m, k) {
      m.delete(k);
    };
    return SetWrapper;
  }());
  exports.SetWrapper = SetWrapper;
  return module.exports;
});

System.registerDynamic("@angular/common/src/facade/exception_handler.js", ["./base_wrapped_exception", "./collection", "./lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var base_wrapped_exception_1 = $__require('./base_wrapped_exception');
  var collection_1 = $__require('./collection');
  var lang_1 = $__require('./lang');
  var _ArrayLogger = (function() {
    function _ArrayLogger() {
      this.res = [];
    }
    _ArrayLogger.prototype.log = function(s) {
      this.res.push(s);
    };
    _ArrayLogger.prototype.logError = function(s) {
      this.res.push(s);
    };
    _ArrayLogger.prototype.logGroup = function(s) {
      this.res.push(s);
    };
    _ArrayLogger.prototype.logGroupEnd = function() {};
    ;
    return _ArrayLogger;
  }());
  var ExceptionHandler = (function() {
    function ExceptionHandler(_logger, _rethrowException) {
      if (_rethrowException === void 0) {
        _rethrowException = true;
      }
      this._logger = _logger;
      this._rethrowException = _rethrowException;
    }
    ExceptionHandler.exceptionToString = function(exception, stackTrace, reason) {
      if (stackTrace === void 0) {
        stackTrace = null;
      }
      if (reason === void 0) {
        reason = null;
      }
      var l = new _ArrayLogger();
      var e = new ExceptionHandler(l, false);
      e.call(exception, stackTrace, reason);
      return l.res.join('\n');
    };
    ExceptionHandler.prototype.call = function(exception, stackTrace, reason) {
      if (stackTrace === void 0) {
        stackTrace = null;
      }
      if (reason === void 0) {
        reason = null;
      }
      var originalException = this._findOriginalException(exception);
      var originalStack = this._findOriginalStack(exception);
      var context = this._findContext(exception);
      this._logger.logGroup("EXCEPTION: " + this._extractMessage(exception));
      if (lang_1.isPresent(stackTrace) && lang_1.isBlank(originalStack)) {
        this._logger.logError('STACKTRACE:');
        this._logger.logError(this._longStackTrace(stackTrace));
      }
      if (lang_1.isPresent(reason)) {
        this._logger.logError("REASON: " + reason);
      }
      if (lang_1.isPresent(originalException)) {
        this._logger.logError("ORIGINAL EXCEPTION: " + this._extractMessage(originalException));
      }
      if (lang_1.isPresent(originalStack)) {
        this._logger.logError('ORIGINAL STACKTRACE:');
        this._logger.logError(this._longStackTrace(originalStack));
      }
      if (lang_1.isPresent(context)) {
        this._logger.logError('ERROR CONTEXT:');
        this._logger.logError(context);
      }
      this._logger.logGroupEnd();
      if (this._rethrowException)
        throw exception;
    };
    ExceptionHandler.prototype._extractMessage = function(exception) {
      return exception instanceof base_wrapped_exception_1.BaseWrappedException ? exception.wrapperMessage : exception.toString();
    };
    ExceptionHandler.prototype._longStackTrace = function(stackTrace) {
      return collection_1.isListLikeIterable(stackTrace) ? stackTrace.join('\n\n-----async gap-----\n') : stackTrace.toString();
    };
    ExceptionHandler.prototype._findContext = function(exception) {
      try {
        if (!(exception instanceof base_wrapped_exception_1.BaseWrappedException))
          return null;
        return lang_1.isPresent(exception.context) ? exception.context : this._findContext(exception.originalException);
      } catch (e) {
        return null;
      }
    };
    ExceptionHandler.prototype._findOriginalException = function(exception) {
      if (!(exception instanceof base_wrapped_exception_1.BaseWrappedException))
        return null;
      var e = exception.originalException;
      while (e instanceof base_wrapped_exception_1.BaseWrappedException && lang_1.isPresent(e.originalException)) {
        e = e.originalException;
      }
      return e;
    };
    ExceptionHandler.prototype._findOriginalStack = function(exception) {
      if (!(exception instanceof base_wrapped_exception_1.BaseWrappedException))
        return null;
      var e = exception;
      var stack = exception.originalStack;
      while (e instanceof base_wrapped_exception_1.BaseWrappedException && lang_1.isPresent(e.originalException)) {
        e = e.originalException;
        if (e instanceof base_wrapped_exception_1.BaseWrappedException && lang_1.isPresent(e.originalException)) {
          stack = e.originalStack;
        }
      }
      return stack;
    };
    return ExceptionHandler;
  }());
  exports.ExceptionHandler = ExceptionHandler;
  return module.exports;
});

System.registerDynamic("@angular/common/src/facade/exceptions.js", ["./base_wrapped_exception", "./exception_handler"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var base_wrapped_exception_1 = $__require('./base_wrapped_exception');
  var exception_handler_1 = $__require('./exception_handler');
  var exception_handler_2 = $__require('./exception_handler');
  exports.ExceptionHandler = exception_handler_2.ExceptionHandler;
  var BaseException = (function(_super) {
    __extends(BaseException, _super);
    function BaseException(message) {
      if (message === void 0) {
        message = '--';
      }
      _super.call(this, message);
      this.message = message;
      this.stack = (new Error(message)).stack;
    }
    BaseException.prototype.toString = function() {
      return this.message;
    };
    return BaseException;
  }(Error));
  exports.BaseException = BaseException;
  var WrappedException = (function(_super) {
    __extends(WrappedException, _super);
    function WrappedException(_wrapperMessage, _originalException, _originalStack, _context) {
      _super.call(this, _wrapperMessage);
      this._wrapperMessage = _wrapperMessage;
      this._originalException = _originalException;
      this._originalStack = _originalStack;
      this._context = _context;
      this._wrapperStack = (new Error(_wrapperMessage)).stack;
    }
    Object.defineProperty(WrappedException.prototype, "wrapperMessage", {
      get: function() {
        return this._wrapperMessage;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "wrapperStack", {
      get: function() {
        return this._wrapperStack;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "originalException", {
      get: function() {
        return this._originalException;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "originalStack", {
      get: function() {
        return this._originalStack;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "context", {
      get: function() {
        return this._context;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "message", {
      get: function() {
        return exception_handler_1.ExceptionHandler.exceptionToString(this);
      },
      enumerable: true,
      configurable: true
    });
    WrappedException.prototype.toString = function() {
      return this.message;
    };
    return WrappedException;
  }(base_wrapped_exception_1.BaseWrappedException));
  exports.WrappedException = WrappedException;
  function makeTypeError(message) {
    return new TypeError(message);
  }
  exports.makeTypeError = makeTypeError;
  function unimplemented() {
    throw new BaseException('unimplemented');
  }
  exports.unimplemented = unimplemented;
  return module.exports;
});

System.registerDynamic("@angular/common/src/location/platform_location.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var PlatformLocation = (function() {
    function PlatformLocation() {}
    Object.defineProperty(PlatformLocation.prototype, "pathname", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(PlatformLocation.prototype, "search", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(PlatformLocation.prototype, "hash", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    return PlatformLocation;
  }());
  exports.PlatformLocation = PlatformLocation;
  return module.exports;
});

System.registerDynamic("@angular/common/src/location/path_location_strategy.js", ["@angular/core", "../facade/exceptions", "../facade/lang", "./location", "./location_strategy", "./platform_location"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var location_1 = $__require('./location');
  var location_strategy_1 = $__require('./location_strategy');
  var platform_location_1 = $__require('./platform_location');
  var PathLocationStrategy = (function(_super) {
    __extends(PathLocationStrategy, _super);
    function PathLocationStrategy(_platformLocation, href) {
      _super.call(this);
      this._platformLocation = _platformLocation;
      if (lang_1.isBlank(href)) {
        href = this._platformLocation.getBaseHrefFromDOM();
      }
      if (lang_1.isBlank(href)) {
        throw new exceptions_1.BaseException("No base href set. Please provide a value for the APP_BASE_HREF token or add a base element to the document.");
      }
      this._baseHref = href;
    }
    PathLocationStrategy.prototype.onPopState = function(fn) {
      this._platformLocation.onPopState(fn);
      this._platformLocation.onHashChange(fn);
    };
    PathLocationStrategy.prototype.getBaseHref = function() {
      return this._baseHref;
    };
    PathLocationStrategy.prototype.prepareExternalUrl = function(internal) {
      return location_1.Location.joinWithSlash(this._baseHref, internal);
    };
    PathLocationStrategy.prototype.path = function(includeHash) {
      if (includeHash === void 0) {
        includeHash = false;
      }
      var pathname = this._platformLocation.pathname + location_1.Location.normalizeQueryParams(this._platformLocation.search);
      var hash = this._platformLocation.hash;
      return hash && includeHash ? "" + pathname + hash : pathname;
    };
    PathLocationStrategy.prototype.pushState = function(state, title, url, queryParams) {
      var externalUrl = this.prepareExternalUrl(url + location_1.Location.normalizeQueryParams(queryParams));
      this._platformLocation.pushState(state, title, externalUrl);
    };
    PathLocationStrategy.prototype.replaceState = function(state, title, url, queryParams) {
      var externalUrl = this.prepareExternalUrl(url + location_1.Location.normalizeQueryParams(queryParams));
      this._platformLocation.replaceState(state, title, externalUrl);
    };
    PathLocationStrategy.prototype.forward = function() {
      this._platformLocation.forward();
    };
    PathLocationStrategy.prototype.back = function() {
      this._platformLocation.back();
    };
    PathLocationStrategy.decorators = [{type: core_1.Injectable}];
    PathLocationStrategy.ctorParameters = [{type: platform_location_1.PlatformLocation}, {
      type: undefined,
      decorators: [{type: core_1.Optional}, {
        type: core_1.Inject,
        args: [location_strategy_1.APP_BASE_HREF]
      }]
    }];
    return PathLocationStrategy;
  }(location_strategy_1.LocationStrategy));
  exports.PathLocationStrategy = PathLocationStrategy;
  return module.exports;
});

System.registerDynamic("@angular/common/src/facade/lang.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var globalScope;
  if (typeof window === 'undefined') {
    if (typeof WorkerGlobalScope !== 'undefined' && self instanceof WorkerGlobalScope) {
      globalScope = self;
    } else {
      globalScope = global;
    }
  } else {
    globalScope = window;
  }
  function scheduleMicroTask(fn) {
    Zone.current.scheduleMicroTask('scheduleMicrotask', fn);
  }
  exports.scheduleMicroTask = scheduleMicroTask;
  exports.IS_DART = false;
  var _global = globalScope;
  exports.global = _global;
  exports.Type = Function;
  function getTypeNameForDebugging(type) {
    if (type['name']) {
      return type['name'];
    }
    return typeof type;
  }
  exports.getTypeNameForDebugging = getTypeNameForDebugging;
  exports.Math = _global.Math;
  exports.Date = _global.Date;
  _global.assert = function assert(condition) {};
  function isPresent(obj) {
    return obj !== undefined && obj !== null;
  }
  exports.isPresent = isPresent;
  function isBlank(obj) {
    return obj === undefined || obj === null;
  }
  exports.isBlank = isBlank;
  function isBoolean(obj) {
    return typeof obj === 'boolean';
  }
  exports.isBoolean = isBoolean;
  function isNumber(obj) {
    return typeof obj === 'number';
  }
  exports.isNumber = isNumber;
  function isString(obj) {
    return typeof obj === 'string';
  }
  exports.isString = isString;
  function isFunction(obj) {
    return typeof obj === 'function';
  }
  exports.isFunction = isFunction;
  function isType(obj) {
    return isFunction(obj);
  }
  exports.isType = isType;
  function isStringMap(obj) {
    return typeof obj === 'object' && obj !== null;
  }
  exports.isStringMap = isStringMap;
  var STRING_MAP_PROTO = Object.getPrototypeOf({});
  function isStrictStringMap(obj) {
    return isStringMap(obj) && Object.getPrototypeOf(obj) === STRING_MAP_PROTO;
  }
  exports.isStrictStringMap = isStrictStringMap;
  function isPromise(obj) {
    return obj instanceof _global.Promise;
  }
  exports.isPromise = isPromise;
  function isArray(obj) {
    return Array.isArray(obj);
  }
  exports.isArray = isArray;
  function isDate(obj) {
    return obj instanceof exports.Date && !isNaN(obj.valueOf());
  }
  exports.isDate = isDate;
  function noop() {}
  exports.noop = noop;
  function stringify(token) {
    if (typeof token === 'string') {
      return token;
    }
    if (token === undefined || token === null) {
      return '' + token;
    }
    if (token.name) {
      return token.name;
    }
    if (token.overriddenName) {
      return token.overriddenName;
    }
    var res = token.toString();
    var newLineIndex = res.indexOf('\n');
    return (newLineIndex === -1) ? res : res.substring(0, newLineIndex);
  }
  exports.stringify = stringify;
  function serializeEnum(val) {
    return val;
  }
  exports.serializeEnum = serializeEnum;
  function deserializeEnum(val, values) {
    return val;
  }
  exports.deserializeEnum = deserializeEnum;
  function resolveEnumToken(enumValue, val) {
    return enumValue[val];
  }
  exports.resolveEnumToken = resolveEnumToken;
  var StringWrapper = (function() {
    function StringWrapper() {}
    StringWrapper.fromCharCode = function(code) {
      return String.fromCharCode(code);
    };
    StringWrapper.charCodeAt = function(s, index) {
      return s.charCodeAt(index);
    };
    StringWrapper.split = function(s, regExp) {
      return s.split(regExp);
    };
    StringWrapper.equals = function(s, s2) {
      return s === s2;
    };
    StringWrapper.stripLeft = function(s, charVal) {
      if (s && s.length) {
        var pos = 0;
        for (var i = 0; i < s.length; i++) {
          if (s[i] != charVal)
            break;
          pos++;
        }
        s = s.substring(pos);
      }
      return s;
    };
    StringWrapper.stripRight = function(s, charVal) {
      if (s && s.length) {
        var pos = s.length;
        for (var i = s.length - 1; i >= 0; i--) {
          if (s[i] != charVal)
            break;
          pos--;
        }
        s = s.substring(0, pos);
      }
      return s;
    };
    StringWrapper.replace = function(s, from, replace) {
      return s.replace(from, replace);
    };
    StringWrapper.replaceAll = function(s, from, replace) {
      return s.replace(from, replace);
    };
    StringWrapper.slice = function(s, from, to) {
      if (from === void 0) {
        from = 0;
      }
      if (to === void 0) {
        to = null;
      }
      return s.slice(from, to === null ? undefined : to);
    };
    StringWrapper.replaceAllMapped = function(s, from, cb) {
      return s.replace(from, function() {
        var matches = [];
        for (var _i = 0; _i < arguments.length; _i++) {
          matches[_i - 0] = arguments[_i];
        }
        matches.splice(-2, 2);
        return cb(matches);
      });
    };
    StringWrapper.contains = function(s, substr) {
      return s.indexOf(substr) != -1;
    };
    StringWrapper.compare = function(a, b) {
      if (a < b) {
        return -1;
      } else if (a > b) {
        return 1;
      } else {
        return 0;
      }
    };
    return StringWrapper;
  }());
  exports.StringWrapper = StringWrapper;
  var StringJoiner = (function() {
    function StringJoiner(parts) {
      if (parts === void 0) {
        parts = [];
      }
      this.parts = parts;
    }
    StringJoiner.prototype.add = function(part) {
      this.parts.push(part);
    };
    StringJoiner.prototype.toString = function() {
      return this.parts.join('');
    };
    return StringJoiner;
  }());
  exports.StringJoiner = StringJoiner;
  var NumberParseError = (function(_super) {
    __extends(NumberParseError, _super);
    function NumberParseError(message) {
      _super.call(this);
      this.message = message;
    }
    NumberParseError.prototype.toString = function() {
      return this.message;
    };
    return NumberParseError;
  }(Error));
  exports.NumberParseError = NumberParseError;
  var NumberWrapper = (function() {
    function NumberWrapper() {}
    NumberWrapper.toFixed = function(n, fractionDigits) {
      return n.toFixed(fractionDigits);
    };
    NumberWrapper.equal = function(a, b) {
      return a === b;
    };
    NumberWrapper.parseIntAutoRadix = function(text) {
      var result = parseInt(text);
      if (isNaN(result)) {
        throw new NumberParseError('Invalid integer literal when parsing ' + text);
      }
      return result;
    };
    NumberWrapper.parseInt = function(text, radix) {
      if (radix == 10) {
        if (/^(\-|\+)?[0-9]+$/.test(text)) {
          return parseInt(text, radix);
        }
      } else if (radix == 16) {
        if (/^(\-|\+)?[0-9ABCDEFabcdef]+$/.test(text)) {
          return parseInt(text, radix);
        }
      } else {
        var result = parseInt(text, radix);
        if (!isNaN(result)) {
          return result;
        }
      }
      throw new NumberParseError('Invalid integer literal when parsing ' + text + ' in base ' + radix);
    };
    NumberWrapper.parseFloat = function(text) {
      return parseFloat(text);
    };
    Object.defineProperty(NumberWrapper, "NaN", {
      get: function() {
        return NaN;
      },
      enumerable: true,
      configurable: true
    });
    NumberWrapper.isNumeric = function(value) {
      return !isNaN(value - parseFloat(value));
    };
    NumberWrapper.isNaN = function(value) {
      return isNaN(value);
    };
    NumberWrapper.isInteger = function(value) {
      return Number.isInteger(value);
    };
    return NumberWrapper;
  }());
  exports.NumberWrapper = NumberWrapper;
  exports.RegExp = _global.RegExp;
  var RegExpWrapper = (function() {
    function RegExpWrapper() {}
    RegExpWrapper.create = function(regExpStr, flags) {
      if (flags === void 0) {
        flags = '';
      }
      flags = flags.replace(/g/g, '');
      return new _global.RegExp(regExpStr, flags + 'g');
    };
    RegExpWrapper.firstMatch = function(regExp, input) {
      regExp.lastIndex = 0;
      return regExp.exec(input);
    };
    RegExpWrapper.test = function(regExp, input) {
      regExp.lastIndex = 0;
      return regExp.test(input);
    };
    RegExpWrapper.matcher = function(regExp, input) {
      regExp.lastIndex = 0;
      return {
        re: regExp,
        input: input
      };
    };
    RegExpWrapper.replaceAll = function(regExp, input, replace) {
      var c = regExp.exec(input);
      var res = '';
      regExp.lastIndex = 0;
      var prev = 0;
      while (c) {
        res += input.substring(prev, c.index);
        res += replace(c);
        prev = c.index + c[0].length;
        regExp.lastIndex = prev;
        c = regExp.exec(input);
      }
      res += input.substring(prev);
      return res;
    };
    return RegExpWrapper;
  }());
  exports.RegExpWrapper = RegExpWrapper;
  var RegExpMatcherWrapper = (function() {
    function RegExpMatcherWrapper() {}
    RegExpMatcherWrapper.next = function(matcher) {
      return matcher.re.exec(matcher.input);
    };
    return RegExpMatcherWrapper;
  }());
  exports.RegExpMatcherWrapper = RegExpMatcherWrapper;
  var FunctionWrapper = (function() {
    function FunctionWrapper() {}
    FunctionWrapper.apply = function(fn, posArgs) {
      return fn.apply(null, posArgs);
    };
    FunctionWrapper.bind = function(fn, scope) {
      return fn.bind(scope);
    };
    return FunctionWrapper;
  }());
  exports.FunctionWrapper = FunctionWrapper;
  function looseIdentical(a, b) {
    return a === b || typeof a === 'number' && typeof b === 'number' && isNaN(a) && isNaN(b);
  }
  exports.looseIdentical = looseIdentical;
  function getMapKey(value) {
    return value;
  }
  exports.getMapKey = getMapKey;
  function normalizeBlank(obj) {
    return isBlank(obj) ? null : obj;
  }
  exports.normalizeBlank = normalizeBlank;
  function normalizeBool(obj) {
    return isBlank(obj) ? false : obj;
  }
  exports.normalizeBool = normalizeBool;
  function isJsObject(o) {
    return o !== null && (typeof o === 'function' || typeof o === 'object');
  }
  exports.isJsObject = isJsObject;
  function print(obj) {
    console.log(obj);
  }
  exports.print = print;
  function warn(obj) {
    console.warn(obj);
  }
  exports.warn = warn;
  var Json = (function() {
    function Json() {}
    Json.parse = function(s) {
      return _global.JSON.parse(s);
    };
    Json.stringify = function(data) {
      return _global.JSON.stringify(data, null, 2);
    };
    return Json;
  }());
  exports.Json = Json;
  var DateWrapper = (function() {
    function DateWrapper() {}
    DateWrapper.create = function(year, month, day, hour, minutes, seconds, milliseconds) {
      if (month === void 0) {
        month = 1;
      }
      if (day === void 0) {
        day = 1;
      }
      if (hour === void 0) {
        hour = 0;
      }
      if (minutes === void 0) {
        minutes = 0;
      }
      if (seconds === void 0) {
        seconds = 0;
      }
      if (milliseconds === void 0) {
        milliseconds = 0;
      }
      return new exports.Date(year, month - 1, day, hour, minutes, seconds, milliseconds);
    };
    DateWrapper.fromISOString = function(str) {
      return new exports.Date(str);
    };
    DateWrapper.fromMillis = function(ms) {
      return new exports.Date(ms);
    };
    DateWrapper.toMillis = function(date) {
      return date.getTime();
    };
    DateWrapper.now = function() {
      return new exports.Date();
    };
    DateWrapper.toJson = function(date) {
      return date.toJSON();
    };
    return DateWrapper;
  }());
  exports.DateWrapper = DateWrapper;
  function setValueOnPath(global, path, value) {
    var parts = path.split('.');
    var obj = global;
    while (parts.length > 1) {
      var name = parts.shift();
      if (obj.hasOwnProperty(name) && isPresent(obj[name])) {
        obj = obj[name];
      } else {
        obj = obj[name] = {};
      }
    }
    if (obj === undefined || obj === null) {
      obj = {};
    }
    obj[parts.shift()] = value;
  }
  exports.setValueOnPath = setValueOnPath;
  var _symbolIterator = null;
  function getSymbolIterator() {
    if (isBlank(_symbolIterator)) {
      if (isPresent(globalScope.Symbol) && isPresent(Symbol.iterator)) {
        _symbolIterator = Symbol.iterator;
      } else {
        var keys = Object.getOwnPropertyNames(Map.prototype);
        for (var i = 0; i < keys.length; ++i) {
          var key = keys[i];
          if (key !== 'entries' && key !== 'size' && Map.prototype[key] === Map.prototype['entries']) {
            _symbolIterator = key;
          }
        }
      }
    }
    return _symbolIterator;
  }
  exports.getSymbolIterator = getSymbolIterator;
  function evalExpression(sourceUrl, expr, declarations, vars) {
    var fnBody = declarations + "\nreturn " + expr + "\n//# sourceURL=" + sourceUrl;
    var fnArgNames = [];
    var fnArgValues = [];
    for (var argName in vars) {
      fnArgNames.push(argName);
      fnArgValues.push(vars[argName]);
    }
    return new (Function.bind.apply(Function, [void 0].concat(fnArgNames.concat(fnBody))))().apply(void 0, fnArgValues);
  }
  exports.evalExpression = evalExpression;
  function isPrimitive(obj) {
    return !isJsObject(obj);
  }
  exports.isPrimitive = isPrimitive;
  function hasConstructor(value, type) {
    return value.constructor === type;
  }
  exports.hasConstructor = hasConstructor;
  function escape(s) {
    return _global.encodeURI(s);
  }
  exports.escape = escape;
  function escapeRegExp(s) {
    return s.replace(/([.*+?^=!:${}()|[\]\/\\])/g, '\\$1');
  }
  exports.escapeRegExp = escapeRegExp;
  return module.exports;
});

System.registerDynamic("@angular/common/src/facade/promise.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var PromiseCompleter = (function() {
    function PromiseCompleter() {
      var _this = this;
      this.promise = new Promise(function(res, rej) {
        _this.resolve = res;
        _this.reject = rej;
      });
    }
    return PromiseCompleter;
  }());
  exports.PromiseCompleter = PromiseCompleter;
  var PromiseWrapper = (function() {
    function PromiseWrapper() {}
    PromiseWrapper.resolve = function(obj) {
      return Promise.resolve(obj);
    };
    PromiseWrapper.reject = function(obj, _) {
      return Promise.reject(obj);
    };
    PromiseWrapper.catchError = function(promise, onError) {
      return promise.catch(onError);
    };
    PromiseWrapper.all = function(promises) {
      if (promises.length == 0)
        return Promise.resolve([]);
      return Promise.all(promises);
    };
    PromiseWrapper.then = function(promise, success, rejection) {
      return promise.then(success, rejection);
    };
    PromiseWrapper.wrap = function(computation) {
      return new Promise(function(res, rej) {
        try {
          res(computation());
        } catch (e) {
          rej(e);
        }
      });
    };
    PromiseWrapper.scheduleMicrotask = function(computation) {
      PromiseWrapper.then(PromiseWrapper.resolve(null), computation, function(_) {});
    };
    PromiseWrapper.completer = function() {
      return new PromiseCompleter();
    };
    return PromiseWrapper;
  }());
  exports.PromiseWrapper = PromiseWrapper;
  return module.exports;
});

System.registerDynamic("@angular/common/src/facade/async.js", ["rxjs/Subject", "rxjs/observable/PromiseObservable", "rxjs/operator/toPromise", "./lang", "rxjs/Observable", "./promise"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var Subject_1 = $__require('rxjs/Subject');
  var PromiseObservable_1 = $__require('rxjs/observable/PromiseObservable');
  var toPromise_1 = $__require('rxjs/operator/toPromise');
  var lang_1 = $__require('./lang');
  var Observable_1 = $__require('rxjs/Observable');
  exports.Observable = Observable_1.Observable;
  var Subject_2 = $__require('rxjs/Subject');
  exports.Subject = Subject_2.Subject;
  var promise_1 = $__require('./promise');
  exports.PromiseCompleter = promise_1.PromiseCompleter;
  exports.PromiseWrapper = promise_1.PromiseWrapper;
  var TimerWrapper = (function() {
    function TimerWrapper() {}
    TimerWrapper.setTimeout = function(fn, millis) {
      return lang_1.global.setTimeout(fn, millis);
    };
    TimerWrapper.clearTimeout = function(id) {
      lang_1.global.clearTimeout(id);
    };
    TimerWrapper.setInterval = function(fn, millis) {
      return lang_1.global.setInterval(fn, millis);
    };
    TimerWrapper.clearInterval = function(id) {
      lang_1.global.clearInterval(id);
    };
    return TimerWrapper;
  }());
  exports.TimerWrapper = TimerWrapper;
  var ObservableWrapper = (function() {
    function ObservableWrapper() {}
    ObservableWrapper.subscribe = function(emitter, onNext, onError, onComplete) {
      if (onComplete === void 0) {
        onComplete = function() {};
      }
      onError = (typeof onError === 'function') && onError || lang_1.noop;
      onComplete = (typeof onComplete === 'function') && onComplete || lang_1.noop;
      return emitter.subscribe({
        next: onNext,
        error: onError,
        complete: onComplete
      });
    };
    ObservableWrapper.isObservable = function(obs) {
      return !!obs.subscribe;
    };
    ObservableWrapper.hasSubscribers = function(obs) {
      return obs.observers.length > 0;
    };
    ObservableWrapper.dispose = function(subscription) {
      subscription.unsubscribe();
    };
    ObservableWrapper.callNext = function(emitter, value) {
      emitter.emit(value);
    };
    ObservableWrapper.callEmit = function(emitter, value) {
      emitter.emit(value);
    };
    ObservableWrapper.callError = function(emitter, error) {
      emitter.error(error);
    };
    ObservableWrapper.callComplete = function(emitter) {
      emitter.complete();
    };
    ObservableWrapper.fromPromise = function(promise) {
      return PromiseObservable_1.PromiseObservable.create(promise);
    };
    ObservableWrapper.toPromise = function(obj) {
      return toPromise_1.toPromise.call(obj);
    };
    return ObservableWrapper;
  }());
  exports.ObservableWrapper = ObservableWrapper;
  var EventEmitter = (function(_super) {
    __extends(EventEmitter, _super);
    function EventEmitter(isAsync) {
      if (isAsync === void 0) {
        isAsync = false;
      }
      _super.call(this);
      this.__isAsync = isAsync;
    }
    EventEmitter.prototype.emit = function(value) {
      _super.prototype.next.call(this, value);
    };
    EventEmitter.prototype.next = function(value) {
      _super.prototype.next.call(this, value);
    };
    EventEmitter.prototype.subscribe = function(generatorOrNext, error, complete) {
      var schedulerFn;
      var errorFn = function(err) {
        return null;
      };
      var completeFn = function() {
        return null;
      };
      if (generatorOrNext && typeof generatorOrNext === 'object') {
        schedulerFn = this.__isAsync ? function(value) {
          setTimeout(function() {
            return generatorOrNext.next(value);
          });
        } : function(value) {
          generatorOrNext.next(value);
        };
        if (generatorOrNext.error) {
          errorFn = this.__isAsync ? function(err) {
            setTimeout(function() {
              return generatorOrNext.error(err);
            });
          } : function(err) {
            generatorOrNext.error(err);
          };
        }
        if (generatorOrNext.complete) {
          completeFn = this.__isAsync ? function() {
            setTimeout(function() {
              return generatorOrNext.complete();
            });
          } : function() {
            generatorOrNext.complete();
          };
        }
      } else {
        schedulerFn = this.__isAsync ? function(value) {
          setTimeout(function() {
            return generatorOrNext(value);
          });
        } : function(value) {
          generatorOrNext(value);
        };
        if (error) {
          errorFn = this.__isAsync ? function(err) {
            setTimeout(function() {
              return error(err);
            });
          } : function(err) {
            error(err);
          };
        }
        if (complete) {
          completeFn = this.__isAsync ? function() {
            setTimeout(function() {
              return complete();
            });
          } : function() {
            complete();
          };
        }
      }
      return _super.prototype.subscribe.call(this, schedulerFn, errorFn, completeFn);
    };
    return EventEmitter;
  }(Subject_1.Subject));
  exports.EventEmitter = EventEmitter;
  return module.exports;
});

System.registerDynamic("@angular/common/src/location/location_strategy.js", ["@angular/core"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var LocationStrategy = (function() {
    function LocationStrategy() {}
    return LocationStrategy;
  }());
  exports.LocationStrategy = LocationStrategy;
  exports.APP_BASE_HREF = new core_1.OpaqueToken('appBaseHref');
  return module.exports;
});

System.registerDynamic("@angular/common/src/location/location.js", ["@angular/core", "../facade/async", "./location_strategy"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var async_1 = $__require('../facade/async');
  var location_strategy_1 = $__require('./location_strategy');
  var Location = (function() {
    function Location(platformStrategy) {
      var _this = this;
      this._subject = new core_1.EventEmitter();
      this._platformStrategy = platformStrategy;
      var browserBaseHref = this._platformStrategy.getBaseHref();
      this._baseHref = Location.stripTrailingSlash(_stripIndexHtml(browserBaseHref));
      this._platformStrategy.onPopState(function(ev) {
        async_1.ObservableWrapper.callEmit(_this._subject, {
          'url': _this.path(true),
          'pop': true,
          'type': ev.type
        });
      });
    }
    Location.prototype.path = function(includeHash) {
      if (includeHash === void 0) {
        includeHash = false;
      }
      return this.normalize(this._platformStrategy.path(includeHash));
    };
    Location.prototype.isCurrentPathEqualTo = function(path, query) {
      if (query === void 0) {
        query = '';
      }
      return this.path() == this.normalize(path + Location.normalizeQueryParams(query));
    };
    Location.prototype.normalize = function(url) {
      return Location.stripTrailingSlash(_stripBaseHref(this._baseHref, _stripIndexHtml(url)));
    };
    Location.prototype.prepareExternalUrl = function(url) {
      if (url.length > 0 && !url.startsWith('/')) {
        url = '/' + url;
      }
      return this._platformStrategy.prepareExternalUrl(url);
    };
    Location.prototype.go = function(path, query) {
      if (query === void 0) {
        query = '';
      }
      this._platformStrategy.pushState(null, '', path, query);
    };
    Location.prototype.replaceState = function(path, query) {
      if (query === void 0) {
        query = '';
      }
      this._platformStrategy.replaceState(null, '', path, query);
    };
    Location.prototype.forward = function() {
      this._platformStrategy.forward();
    };
    Location.prototype.back = function() {
      this._platformStrategy.back();
    };
    Location.prototype.subscribe = function(onNext, onThrow, onReturn) {
      if (onThrow === void 0) {
        onThrow = null;
      }
      if (onReturn === void 0) {
        onReturn = null;
      }
      return async_1.ObservableWrapper.subscribe(this._subject, onNext, onThrow, onReturn);
    };
    Location.normalizeQueryParams = function(params) {
      return (params.length > 0 && params.substring(0, 1) != '?') ? ('?' + params) : params;
    };
    Location.joinWithSlash = function(start, end) {
      if (start.length == 0) {
        return end;
      }
      if (end.length == 0) {
        return start;
      }
      var slashes = 0;
      if (start.endsWith('/')) {
        slashes++;
      }
      if (end.startsWith('/')) {
        slashes++;
      }
      if (slashes == 2) {
        return start + end.substring(1);
      }
      if (slashes == 1) {
        return start + end;
      }
      return start + '/' + end;
    };
    Location.stripTrailingSlash = function(url) {
      if (/\/$/g.test(url)) {
        url = url.substring(0, url.length - 1);
      }
      return url;
    };
    Location.decorators = [{type: core_1.Injectable}];
    Location.ctorParameters = [{type: location_strategy_1.LocationStrategy}];
    return Location;
  }());
  exports.Location = Location;
  function _stripBaseHref(baseHref, url) {
    if (baseHref.length > 0 && url.startsWith(baseHref)) {
      return url.substring(baseHref.length);
    }
    return url;
  }
  function _stripIndexHtml(url) {
    if (/\/index.html$/g.test(url)) {
      return url.substring(0, url.length - 11);
    }
    return url;
  }
  return module.exports;
});

System.registerDynamic("@angular/common/src/location.js", ["./location/platform_location", "./location/location_strategy", "./location/hash_location_strategy", "./location/path_location_strategy", "./location/location"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  function __export(m) {
    for (var p in m)
      if (!exports.hasOwnProperty(p))
        exports[p] = m[p];
  }
  __export($__require('./location/platform_location'));
  __export($__require('./location/location_strategy'));
  __export($__require('./location/hash_location_strategy'));
  __export($__require('./location/path_location_strategy'));
  __export($__require('./location/location'));
  return module.exports;
});

System.registerDynamic("@angular/common/src/localization.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var NgLocalization = (function() {
    function NgLocalization() {}
    return NgLocalization;
  }());
  exports.NgLocalization = NgLocalization;
  function getPluralCategory(value, cases, ngLocalization) {
    var nbCase = "=" + value;
    return cases.indexOf(nbCase) > -1 ? nbCase : ngLocalization.getPluralCategory(value);
  }
  exports.getPluralCategory = getPluralCategory;
  return module.exports;
});

System.registerDynamic("@angular/common", ["./src/pipes", "./src/directives", "./src/forms-deprecated", "./src/common_directives", "./src/location", "./src/localization"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  function __export(m) {
    for (var p in m)
      if (!exports.hasOwnProperty(p))
        exports[p] = m[p];
  }
  __export($__require('./src/pipes'));
  __export($__require('./src/directives'));
  __export($__require('./src/forms-deprecated'));
  __export($__require('./src/common_directives'));
  __export($__require('./src/location'));
  var localization_1 = $__require('./src/localization');
  exports.NgLocalization = localization_1.NgLocalization;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/browser/location/history.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  function supportsState() {
    return !!window.history.pushState;
  }
  exports.supportsState = supportsState;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/browser/location/browser_platform_location.js", ["@angular/common", "@angular/core", "../../dom/dom_adapter", "./history"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var common_1 = $__require('@angular/common');
  var core_1 = $__require('@angular/core');
  var dom_adapter_1 = $__require('../../dom/dom_adapter');
  var history_1 = $__require('./history');
  var BrowserPlatformLocation = (function(_super) {
    __extends(BrowserPlatformLocation, _super);
    function BrowserPlatformLocation() {
      _super.call(this);
      this._init();
    }
    BrowserPlatformLocation.prototype._init = function() {
      this._location = dom_adapter_1.getDOM().getLocation();
      this._history = dom_adapter_1.getDOM().getHistory();
    };
    Object.defineProperty(BrowserPlatformLocation.prototype, "location", {
      get: function() {
        return this._location;
      },
      enumerable: true,
      configurable: true
    });
    BrowserPlatformLocation.prototype.getBaseHrefFromDOM = function() {
      return dom_adapter_1.getDOM().getBaseHref();
    };
    BrowserPlatformLocation.prototype.onPopState = function(fn) {
      dom_adapter_1.getDOM().getGlobalEventTarget('window').addEventListener('popstate', fn, false);
    };
    BrowserPlatformLocation.prototype.onHashChange = function(fn) {
      dom_adapter_1.getDOM().getGlobalEventTarget('window').addEventListener('hashchange', fn, false);
    };
    Object.defineProperty(BrowserPlatformLocation.prototype, "pathname", {
      get: function() {
        return this._location.pathname;
      },
      set: function(newPath) {
        this._location.pathname = newPath;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BrowserPlatformLocation.prototype, "search", {
      get: function() {
        return this._location.search;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BrowserPlatformLocation.prototype, "hash", {
      get: function() {
        return this._location.hash;
      },
      enumerable: true,
      configurable: true
    });
    BrowserPlatformLocation.prototype.pushState = function(state, title, url) {
      if (history_1.supportsState()) {
        this._history.pushState(state, title, url);
      } else {
        this._location.hash = url;
      }
    };
    BrowserPlatformLocation.prototype.replaceState = function(state, title, url) {
      if (history_1.supportsState()) {
        this._history.replaceState(state, title, url);
      } else {
        this._location.hash = url;
      }
    };
    BrowserPlatformLocation.prototype.forward = function() {
      this._history.forward();
    };
    BrowserPlatformLocation.prototype.back = function() {
      this._history.back();
    };
    BrowserPlatformLocation.decorators = [{type: core_1.Injectable}];
    BrowserPlatformLocation.ctorParameters = [];
    return BrowserPlatformLocation;
  }(common_1.PlatformLocation));
  exports.BrowserPlatformLocation = BrowserPlatformLocation;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/browser/testability.js", ["@angular/core", "../dom/dom_adapter", "../facade/collection", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var dom_adapter_1 = $__require('../dom/dom_adapter');
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var PublicTestability = (function() {
    function PublicTestability(testability) {
      this._testability = testability;
    }
    PublicTestability.prototype.isStable = function() {
      return this._testability.isStable();
    };
    PublicTestability.prototype.whenStable = function(callback) {
      this._testability.whenStable(callback);
    };
    PublicTestability.prototype.findBindings = function(using, provider, exactMatch) {
      return this.findProviders(using, provider, exactMatch);
    };
    PublicTestability.prototype.findProviders = function(using, provider, exactMatch) {
      return this._testability.findBindings(using, provider, exactMatch);
    };
    return PublicTestability;
  }());
  var BrowserGetTestability = (function() {
    function BrowserGetTestability() {}
    BrowserGetTestability.init = function() {
      core_1.setTestabilityGetter(new BrowserGetTestability());
    };
    BrowserGetTestability.prototype.addToWindow = function(registry) {
      lang_1.global.getAngularTestability = function(elem, findInAncestors) {
        if (findInAncestors === void 0) {
          findInAncestors = true;
        }
        var testability = registry.findTestabilityInTree(elem, findInAncestors);
        if (testability == null) {
          throw new Error('Could not find testability for element.');
        }
        return new PublicTestability(testability);
      };
      lang_1.global.getAllAngularTestabilities = function() {
        var testabilities = registry.getAllTestabilities();
        return testabilities.map(function(testability) {
          return new PublicTestability(testability);
        });
      };
      lang_1.global.getAllAngularRootElements = function() {
        return registry.getAllRootElements();
      };
      var whenAllStable = function(callback) {
        var testabilities = lang_1.global.getAllAngularTestabilities();
        var count = testabilities.length;
        var didWork = false;
        var decrement = function(didWork_) {
          didWork = didWork || didWork_;
          count--;
          if (count == 0) {
            callback(didWork);
          }
        };
        testabilities.forEach(function(testability) {
          testability.whenStable(decrement);
        });
      };
      if (!lang_1.global.frameworkStabilizers) {
        lang_1.global.frameworkStabilizers = collection_1.ListWrapper.createGrowableSize(0);
      }
      lang_1.global.frameworkStabilizers.push(whenAllStable);
    };
    BrowserGetTestability.prototype.findTestabilityInTree = function(registry, elem, findInAncestors) {
      if (elem == null) {
        return null;
      }
      var t = registry.getTestability(elem);
      if (lang_1.isPresent(t)) {
        return t;
      } else if (!findInAncestors) {
        return null;
      }
      if (dom_adapter_1.getDOM().isShadowRoot(elem)) {
        return this.findTestabilityInTree(registry, dom_adapter_1.getDOM().getHost(elem), true);
      }
      return this.findTestabilityInTree(registry, dom_adapter_1.getDOM().parentElement(elem), true);
    };
    return BrowserGetTestability;
  }());
  exports.BrowserGetTestability = BrowserGetTestability;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/dom/events/hammer_common.js", ["../../facade/collection", "./event_manager"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var collection_1 = $__require('../../facade/collection');
  var event_manager_1 = $__require('./event_manager');
  var _eventNames = {
    'pan': true,
    'panstart': true,
    'panmove': true,
    'panend': true,
    'pancancel': true,
    'panleft': true,
    'panright': true,
    'panup': true,
    'pandown': true,
    'pinch': true,
    'pinchstart': true,
    'pinchmove': true,
    'pinchend': true,
    'pinchcancel': true,
    'pinchin': true,
    'pinchout': true,
    'press': true,
    'pressup': true,
    'rotate': true,
    'rotatestart': true,
    'rotatemove': true,
    'rotateend': true,
    'rotatecancel': true,
    'swipe': true,
    'swipeleft': true,
    'swiperight': true,
    'swipeup': true,
    'swipedown': true,
    'tap': true
  };
  var HammerGesturesPluginCommon = (function(_super) {
    __extends(HammerGesturesPluginCommon, _super);
    function HammerGesturesPluginCommon() {
      _super.call(this);
    }
    HammerGesturesPluginCommon.prototype.supports = function(eventName) {
      eventName = eventName.toLowerCase();
      return collection_1.StringMapWrapper.contains(_eventNames, eventName);
    };
    return HammerGesturesPluginCommon;
  }(event_manager_1.EventManagerPlugin));
  exports.HammerGesturesPluginCommon = HammerGesturesPluginCommon;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/dom/events/hammer_gestures.js", ["@angular/core", "../../facade/exceptions", "../../facade/lang", "./hammer_common"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var exceptions_1 = $__require('../../facade/exceptions');
  var lang_1 = $__require('../../facade/lang');
  var hammer_common_1 = $__require('./hammer_common');
  exports.HAMMER_GESTURE_CONFIG = new core_1.OpaqueToken('HammerGestureConfig');
  var HammerGestureConfig = (function() {
    function HammerGestureConfig() {
      this.events = [];
      this.overrides = {};
    }
    HammerGestureConfig.prototype.buildHammer = function(element) {
      var mc = new Hammer(element);
      mc.get('pinch').set({enable: true});
      mc.get('rotate').set({enable: true});
      for (var eventName in this.overrides) {
        mc.get(eventName).set(this.overrides[eventName]);
      }
      return mc;
    };
    HammerGestureConfig.decorators = [{type: core_1.Injectable}];
    return HammerGestureConfig;
  }());
  exports.HammerGestureConfig = HammerGestureConfig;
  var HammerGesturesPlugin = (function(_super) {
    __extends(HammerGesturesPlugin, _super);
    function HammerGesturesPlugin(_config) {
      _super.call(this);
      this._config = _config;
    }
    HammerGesturesPlugin.prototype.supports = function(eventName) {
      if (!_super.prototype.supports.call(this, eventName) && !this.isCustomEvent(eventName))
        return false;
      if (!lang_1.isPresent(window['Hammer'])) {
        throw new exceptions_1.BaseException("Hammer.js is not loaded, can not bind " + eventName + " event");
      }
      return true;
    };
    HammerGesturesPlugin.prototype.addEventListener = function(element, eventName, handler) {
      var _this = this;
      var zone = this.manager.getZone();
      eventName = eventName.toLowerCase();
      return zone.runOutsideAngular(function() {
        var mc = _this._config.buildHammer(element);
        var callback = function(eventObj) {
          zone.runGuarded(function() {
            handler(eventObj);
          });
        };
        mc.on(eventName, callback);
        return function() {
          mc.off(eventName, callback);
        };
      });
    };
    HammerGesturesPlugin.prototype.isCustomEvent = function(eventName) {
      return this._config.events.indexOf(eventName) > -1;
    };
    HammerGesturesPlugin.decorators = [{type: core_1.Injectable}];
    HammerGesturesPlugin.ctorParameters = [{
      type: HammerGestureConfig,
      decorators: [{
        type: core_1.Inject,
        args: [exports.HAMMER_GESTURE_CONFIG]
      }]
    }];
    return HammerGesturesPlugin;
  }(hammer_common_1.HammerGesturesPluginCommon));
  exports.HammerGesturesPlugin = HammerGesturesPlugin;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/dom/events/key_events.js", ["@angular/core", "../../facade/lang", "../../facade/collection", "../dom_adapter", "./event_manager"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var lang_1 = $__require('../../facade/lang');
  var collection_1 = $__require('../../facade/collection');
  var dom_adapter_1 = $__require('../dom_adapter');
  var event_manager_1 = $__require('./event_manager');
  var modifierKeys = ['alt', 'control', 'meta', 'shift'];
  var modifierKeyGetters = {
    'alt': function(event) {
      return event.altKey;
    },
    'control': function(event) {
      return event.ctrlKey;
    },
    'meta': function(event) {
      return event.metaKey;
    },
    'shift': function(event) {
      return event.shiftKey;
    }
  };
  var KeyEventsPlugin = (function(_super) {
    __extends(KeyEventsPlugin, _super);
    function KeyEventsPlugin() {
      _super.call(this);
    }
    KeyEventsPlugin.prototype.supports = function(eventName) {
      return lang_1.isPresent(KeyEventsPlugin.parseEventName(eventName));
    };
    KeyEventsPlugin.prototype.addEventListener = function(element, eventName, handler) {
      var parsedEvent = KeyEventsPlugin.parseEventName(eventName);
      var outsideHandler = KeyEventsPlugin.eventCallback(element, collection_1.StringMapWrapper.get(parsedEvent, 'fullKey'), handler, this.manager.getZone());
      return this.manager.getZone().runOutsideAngular(function() {
        return dom_adapter_1.getDOM().onAndCancel(element, collection_1.StringMapWrapper.get(parsedEvent, 'domEventName'), outsideHandler);
      });
    };
    KeyEventsPlugin.parseEventName = function(eventName) {
      var parts = eventName.toLowerCase().split('.');
      var domEventName = parts.shift();
      if ((parts.length === 0) || !(lang_1.StringWrapper.equals(domEventName, 'keydown') || lang_1.StringWrapper.equals(domEventName, 'keyup'))) {
        return null;
      }
      var key = KeyEventsPlugin._normalizeKey(parts.pop());
      var fullKey = '';
      modifierKeys.forEach(function(modifierName) {
        if (collection_1.ListWrapper.contains(parts, modifierName)) {
          collection_1.ListWrapper.remove(parts, modifierName);
          fullKey += modifierName + '.';
        }
      });
      fullKey += key;
      if (parts.length != 0 || key.length === 0) {
        return null;
      }
      var result = collection_1.StringMapWrapper.create();
      collection_1.StringMapWrapper.set(result, 'domEventName', domEventName);
      collection_1.StringMapWrapper.set(result, 'fullKey', fullKey);
      return result;
    };
    KeyEventsPlugin.getEventFullKey = function(event) {
      var fullKey = '';
      var key = dom_adapter_1.getDOM().getEventKey(event);
      key = key.toLowerCase();
      if (lang_1.StringWrapper.equals(key, ' ')) {
        key = 'space';
      } else if (lang_1.StringWrapper.equals(key, '.')) {
        key = 'dot';
      }
      modifierKeys.forEach(function(modifierName) {
        if (modifierName != key) {
          var modifierGetter = collection_1.StringMapWrapper.get(modifierKeyGetters, modifierName);
          if (modifierGetter(event)) {
            fullKey += modifierName + '.';
          }
        }
      });
      fullKey += key;
      return fullKey;
    };
    KeyEventsPlugin.eventCallback = function(element, fullKey, handler, zone) {
      return function(event) {
        if (lang_1.StringWrapper.equals(KeyEventsPlugin.getEventFullKey(event), fullKey)) {
          zone.runGuarded(function() {
            return handler(event);
          });
        }
      };
    };
    KeyEventsPlugin._normalizeKey = function(keyName) {
      switch (keyName) {
        case 'esc':
          return 'escape';
        default:
          return keyName;
      }
    };
    KeyEventsPlugin.decorators = [{type: core_1.Injectable}];
    KeyEventsPlugin.ctorParameters = [];
    return KeyEventsPlugin;
  }(event_manager_1.EventManagerPlugin));
  exports.KeyEventsPlugin = KeyEventsPlugin;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/security/html_sanitizer.js", ["@angular/core", "../dom/dom_adapter", "./url_sanitizer"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var dom_adapter_1 = $__require('../dom/dom_adapter');
  var url_sanitizer_1 = $__require('./url_sanitizer');
  var inertElement = null;
  var DOM = null;
  function getInertElement() {
    if (inertElement)
      return inertElement;
    DOM = dom_adapter_1.getDOM();
    var templateEl = DOM.createElement('template');
    if ('content' in templateEl)
      return templateEl;
    var doc = DOM.createHtmlDocument();
    inertElement = DOM.querySelector(doc, 'body');
    if (inertElement == null) {
      var html = DOM.createElement('html', doc);
      inertElement = DOM.createElement('body', doc);
      DOM.appendChild(html, inertElement);
      DOM.appendChild(doc, html);
    }
    return inertElement;
  }
  function tagSet(tags) {
    var res = {};
    for (var _i = 0,
        _a = tags.split(','); _i < _a.length; _i++) {
      var t = _a[_i];
      res[t.toLowerCase()] = true;
    }
    return res;
  }
  function merge() {
    var sets = [];
    for (var _i = 0; _i < arguments.length; _i++) {
      sets[_i - 0] = arguments[_i];
    }
    var res = {};
    for (var _a = 0,
        sets_1 = sets; _a < sets_1.length; _a++) {
      var s = sets_1[_a];
      for (var v in s) {
        if (s.hasOwnProperty(v))
          res[v] = true;
      }
    }
    return res;
  }
  var VOID_ELEMENTS = tagSet('area,br,col,hr,img,wbr');
  var OPTIONAL_END_TAG_BLOCK_ELEMENTS = tagSet('colgroup,dd,dt,li,p,tbody,td,tfoot,th,thead,tr');
  var OPTIONAL_END_TAG_INLINE_ELEMENTS = tagSet('rp,rt');
  var OPTIONAL_END_TAG_ELEMENTS = merge(OPTIONAL_END_TAG_INLINE_ELEMENTS, OPTIONAL_END_TAG_BLOCK_ELEMENTS);
  var BLOCK_ELEMENTS = merge(OPTIONAL_END_TAG_BLOCK_ELEMENTS, tagSet('address,article,' + 'aside,blockquote,caption,center,del,details,dialog,dir,div,dl,figure,figcaption,footer,h1,h2,h3,h4,h5,' + 'h6,header,hgroup,hr,ins,main,map,menu,nav,ol,pre,section,summary,table,ul'));
  var INLINE_ELEMENTS = merge(OPTIONAL_END_TAG_INLINE_ELEMENTS, tagSet('a,abbr,acronym,audio,b,' + 'bdi,bdo,big,br,cite,code,del,dfn,em,font,i,img,ins,kbd,label,map,mark,picture,q,ruby,rp,rt,s,' + 'samp,small,source,span,strike,strong,sub,sup,time,track,tt,u,var,video'));
  var VALID_ELEMENTS = merge(VOID_ELEMENTS, BLOCK_ELEMENTS, INLINE_ELEMENTS, OPTIONAL_END_TAG_ELEMENTS);
  var URI_ATTRS = tagSet('background,cite,href,itemtype,longdesc,poster,src,xlink:href');
  var SRCSET_ATTRS = tagSet('srcset');
  var HTML_ATTRS = tagSet('abbr,accesskey,align,alt,autoplay,axis,bgcolor,border,cellpadding,cellspacing,class,clear,color,cols,colspan,' + 'compact,controls,coords,datetime,default,dir,download,face,headers,height,hidden,hreflang,hspace,' + 'ismap,itemscope,itemprop,kind,label,lang,language,loop,media,muted,nohref,nowrap,open,preload,rel,rev,role,rows,rowspan,rules,' + 'scope,scrolling,shape,size,sizes,span,srclang,start,summary,tabindex,target,title,translate,type,usemap,' + 'valign,value,vspace,width');
  var VALID_ATTRS = merge(URI_ATTRS, SRCSET_ATTRS, HTML_ATTRS);
  var SanitizingHtmlSerializer = (function() {
    function SanitizingHtmlSerializer() {
      this.buf = [];
    }
    SanitizingHtmlSerializer.prototype.sanitizeChildren = function(el) {
      var current = el.firstChild;
      while (current) {
        if (DOM.isElementNode(current)) {
          this.startElement(current);
        } else if (DOM.isTextNode(current)) {
          this.chars(DOM.nodeValue(current));
        }
        if (DOM.firstChild(current)) {
          current = DOM.firstChild(current);
          continue;
        }
        while (current) {
          if (DOM.isElementNode(current)) {
            this.endElement(DOM.nodeName(current).toLowerCase());
          }
          if (DOM.nextSibling(current)) {
            current = DOM.nextSibling(current);
            break;
          }
          current = DOM.parentElement(current);
        }
      }
      return this.buf.join('');
    };
    SanitizingHtmlSerializer.prototype.startElement = function(element) {
      var _this = this;
      var tagName = DOM.nodeName(element).toLowerCase();
      tagName = tagName.toLowerCase();
      if (VALID_ELEMENTS.hasOwnProperty(tagName)) {
        this.buf.push('<');
        this.buf.push(tagName);
        DOM.attributeMap(element).forEach(function(value, attrName) {
          var lower = attrName.toLowerCase();
          if (!VALID_ATTRS.hasOwnProperty(lower))
            return;
          if (URI_ATTRS[lower])
            value = url_sanitizer_1.sanitizeUrl(value);
          if (SRCSET_ATTRS[lower])
            value = url_sanitizer_1.sanitizeSrcset(value);
          _this.buf.push(' ');
          _this.buf.push(attrName);
          _this.buf.push('="');
          _this.buf.push(encodeEntities(value));
          _this.buf.push('"');
        });
        this.buf.push('>');
      }
    };
    SanitizingHtmlSerializer.prototype.endElement = function(tagName) {
      tagName = tagName.toLowerCase();
      if (VALID_ELEMENTS.hasOwnProperty(tagName) && !VOID_ELEMENTS.hasOwnProperty(tagName)) {
        this.buf.push('</');
        this.buf.push(tagName);
        this.buf.push('>');
      }
    };
    SanitizingHtmlSerializer.prototype.chars = function(chars) {
      this.buf.push(encodeEntities(chars));
    };
    return SanitizingHtmlSerializer;
  }());
  var SURROGATE_PAIR_REGEXP = /[\uD800-\uDBFF][\uDC00-\uDFFF]/g;
  var NON_ALPHANUMERIC_REGEXP = /([^\#-~ |!])/g;
  function encodeEntities(value) {
    return value.replace(/&/g, '&amp;').replace(SURROGATE_PAIR_REGEXP, function(match) {
      var hi = match.charCodeAt(0);
      var low = match.charCodeAt(1);
      return '&#' + (((hi - 0xD800) * 0x400) + (low - 0xDC00) + 0x10000) + ';';
    }).replace(NON_ALPHANUMERIC_REGEXP, function(match) {
      return '&#' + match.charCodeAt(0) + ';';
    }).replace(/</g, '&lt;').replace(/>/g, '&gt;');
  }
  function stripCustomNsAttrs(el) {
    DOM.attributeMap(el).forEach(function(_, attrName) {
      if (attrName === 'xmlns:ns1' || attrName.indexOf('ns1:') === 0) {
        DOM.removeAttribute(el, attrName);
      }
    });
    for (var _i = 0,
        _a = DOM.childNodesAsList(el); _i < _a.length; _i++) {
      var n = _a[_i];
      if (DOM.isElementNode(n))
        stripCustomNsAttrs(n);
    }
  }
  function sanitizeHtml(unsafeHtmlInput) {
    try {
      var containerEl = getInertElement();
      var unsafeHtml = unsafeHtmlInput ? String(unsafeHtmlInput) : '';
      var mXSSAttempts = 5;
      var parsedHtml = unsafeHtml;
      do {
        if (mXSSAttempts === 0) {
          throw new Error('Failed to sanitize html because the input is unstable');
        }
        mXSSAttempts--;
        unsafeHtml = parsedHtml;
        DOM.setInnerHTML(containerEl, unsafeHtml);
        if (DOM.defaultDoc().documentMode) {
          stripCustomNsAttrs(containerEl);
        }
        parsedHtml = DOM.getInnerHTML(containerEl);
      } while (unsafeHtml !== parsedHtml);
      var sanitizer = new SanitizingHtmlSerializer();
      var safeHtml = sanitizer.sanitizeChildren(DOM.getTemplateContent(containerEl) || containerEl);
      var parent_1 = DOM.getTemplateContent(containerEl) || containerEl;
      for (var _i = 0,
          _a = DOM.childNodesAsList(parent_1); _i < _a.length; _i++) {
        var child = _a[_i];
        DOM.removeChild(parent_1, child);
      }
      if (core_1.isDevMode() && safeHtml !== unsafeHtmlInput) {
        DOM.log('WARNING: sanitizing HTML stripped some content (see http://g.co/ng/security#xss).');
      }
      return safeHtml;
    } catch (e) {
      inertElement = null;
      throw e;
    }
  }
  exports.sanitizeHtml = sanitizeHtml;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/security/style_sanitizer.js", ["@angular/core", "../dom/dom_adapter", "./url_sanitizer"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var dom_adapter_1 = $__require('../dom/dom_adapter');
  var url_sanitizer_1 = $__require('./url_sanitizer');
  var VALUES = '[-,."\'%_!# a-zA-Z0-9]+';
  var TRANSFORMATION_FNS = '(?:matrix|translate|scale|rotate|skew|perspective)(?:X|Y|3d)?';
  var COLOR_FNS = '(?:rgb|hsl)a?';
  var FN_ARGS = '\\([-0-9.%, a-zA-Z]+\\)';
  var SAFE_STYLE_VALUE = new RegExp("^(" + VALUES + "|(?:" + TRANSFORMATION_FNS + "|" + COLOR_FNS + ")" + FN_ARGS + ")$", 'g');
  var URL_RE = /^url\(([^)]+)\)$/;
  function hasBalancedQuotes(value) {
    var outsideSingle = true;
    var outsideDouble = true;
    for (var i = 0; i < value.length; i++) {
      var c = value.charAt(i);
      if (c === '\'' && outsideDouble) {
        outsideSingle = !outsideSingle;
      } else if (c === '"' && outsideSingle) {
        outsideDouble = !outsideDouble;
      }
    }
    return outsideSingle && outsideDouble;
  }
  function sanitizeStyle(value) {
    value = String(value).trim();
    if (!value)
      return '';
    var urlMatch = URL_RE.exec(value);
    if ((urlMatch && url_sanitizer_1.sanitizeUrl(urlMatch[1]) === urlMatch[1]) || value.match(SAFE_STYLE_VALUE) && hasBalancedQuotes(value)) {
      return value;
    }
    if (core_1.isDevMode()) {
      dom_adapter_1.getDOM().log("WARNING: sanitizing unsafe style value " + value + " (see http://g.co/ng/security#xss).");
    }
    return 'unsafe';
  }
  exports.sanitizeStyle = sanitizeStyle;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/security/url_sanitizer.js", ["@angular/core", "../dom/dom_adapter"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var dom_adapter_1 = $__require('../dom/dom_adapter');
  var SAFE_URL_PATTERN = /^(?:(?:https?|mailto|ftp|tel|file):|[^&:/?#]*(?:[/?#]|$))/gi;
  var SAFE_SRCSET_PATTERN = /^(?:(?:https?|file):|[^&:/?#]*(?:[/?#]|$))/gi;
  var DATA_URL_PATTERN = /^data:(?:image\/(?:bmp|gif|jpeg|jpg|png|tiff|webp)|video\/(?:mpeg|mp4|ogg|webm)|audio\/(?:mp3|oga|ogg|opus));base64,[a-z0-9+\/]+=*$/i;
  function sanitizeUrl(url) {
    url = String(url);
    if (url.match(SAFE_URL_PATTERN) || url.match(DATA_URL_PATTERN))
      return url;
    if (core_1.isDevMode()) {
      dom_adapter_1.getDOM().log("WARNING: sanitizing unsafe URL value " + url + " (see http://g.co/ng/security#xss)");
    }
    return 'unsafe:' + url;
  }
  exports.sanitizeUrl = sanitizeUrl;
  function sanitizeSrcset(srcset) {
    srcset = String(srcset);
    return srcset.split(',').map(function(srcset) {
      return sanitizeUrl(srcset.trim());
    }).join(', ');
  }
  exports.sanitizeSrcset = sanitizeSrcset;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/security/dom_sanitization_service.js", ["@angular/core", "../../core_private", "./html_sanitizer", "./style_sanitizer", "./url_sanitizer"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var core_private_1 = $__require('../../core_private');
  exports.SecurityContext = core_private_1.SecurityContext;
  var html_sanitizer_1 = $__require('./html_sanitizer');
  var style_sanitizer_1 = $__require('./style_sanitizer');
  var url_sanitizer_1 = $__require('./url_sanitizer');
  var DomSanitizationService = (function() {
    function DomSanitizationService() {}
    return DomSanitizationService;
  }());
  exports.DomSanitizationService = DomSanitizationService;
  var DomSanitizationServiceImpl = (function(_super) {
    __extends(DomSanitizationServiceImpl, _super);
    function DomSanitizationServiceImpl() {
      _super.apply(this, arguments);
    }
    DomSanitizationServiceImpl.prototype.sanitize = function(ctx, value) {
      if (value == null)
        return null;
      switch (ctx) {
        case core_private_1.SecurityContext.NONE:
          return value;
        case core_private_1.SecurityContext.HTML:
          if (value instanceof SafeHtmlImpl)
            return value.changingThisBreaksApplicationSecurity;
          this.checkNotSafeValue(value, 'HTML');
          return html_sanitizer_1.sanitizeHtml(String(value));
        case core_private_1.SecurityContext.STYLE:
          if (value instanceof SafeStyleImpl)
            return value.changingThisBreaksApplicationSecurity;
          this.checkNotSafeValue(value, 'Style');
          return style_sanitizer_1.sanitizeStyle(value);
        case core_private_1.SecurityContext.SCRIPT:
          if (value instanceof SafeScriptImpl)
            return value.changingThisBreaksApplicationSecurity;
          this.checkNotSafeValue(value, 'Script');
          throw new Error('unsafe value used in a script context');
        case core_private_1.SecurityContext.URL:
          if (value instanceof SafeUrlImpl)
            return value.changingThisBreaksApplicationSecurity;
          this.checkNotSafeValue(value, 'URL');
          return url_sanitizer_1.sanitizeUrl(String(value));
        case core_private_1.SecurityContext.RESOURCE_URL:
          if (value instanceof SafeResourceUrlImpl) {
            return value.changingThisBreaksApplicationSecurity;
          }
          this.checkNotSafeValue(value, 'ResourceURL');
          throw new Error('unsafe value used in a resource URL context (see http://g.co/ng/security#xss)');
        default:
          throw new Error("Unexpected SecurityContext " + ctx + " (see http://g.co/ng/security#xss)");
      }
    };
    DomSanitizationServiceImpl.prototype.checkNotSafeValue = function(value, expectedType) {
      if (value instanceof SafeValueImpl) {
        throw new Error(("Required a safe " + expectedType + ", got a " + value.getTypeName() + " ") + "(see http://g.co/ng/security#xss)");
      }
    };
    DomSanitizationServiceImpl.prototype.bypassSecurityTrustHtml = function(value) {
      return new SafeHtmlImpl(value);
    };
    DomSanitizationServiceImpl.prototype.bypassSecurityTrustStyle = function(value) {
      return new SafeStyleImpl(value);
    };
    DomSanitizationServiceImpl.prototype.bypassSecurityTrustScript = function(value) {
      return new SafeScriptImpl(value);
    };
    DomSanitizationServiceImpl.prototype.bypassSecurityTrustUrl = function(value) {
      return new SafeUrlImpl(value);
    };
    DomSanitizationServiceImpl.prototype.bypassSecurityTrustResourceUrl = function(value) {
      return new SafeResourceUrlImpl(value);
    };
    DomSanitizationServiceImpl.decorators = [{type: core_1.Injectable}];
    return DomSanitizationServiceImpl;
  }(DomSanitizationService));
  exports.DomSanitizationServiceImpl = DomSanitizationServiceImpl;
  var SafeValueImpl = (function() {
    function SafeValueImpl(changingThisBreaksApplicationSecurity) {
      this.changingThisBreaksApplicationSecurity = changingThisBreaksApplicationSecurity;
    }
    SafeValueImpl.prototype.toString = function() {
      return ("SafeValue must use [property]=binding: " + this.changingThisBreaksApplicationSecurity) + " (see http://g.co/ng/security#xss)";
    };
    return SafeValueImpl;
  }());
  var SafeHtmlImpl = (function(_super) {
    __extends(SafeHtmlImpl, _super);
    function SafeHtmlImpl() {
      _super.apply(this, arguments);
    }
    SafeHtmlImpl.prototype.getTypeName = function() {
      return 'HTML';
    };
    return SafeHtmlImpl;
  }(SafeValueImpl));
  var SafeStyleImpl = (function(_super) {
    __extends(SafeStyleImpl, _super);
    function SafeStyleImpl() {
      _super.apply(this, arguments);
    }
    SafeStyleImpl.prototype.getTypeName = function() {
      return 'Style';
    };
    return SafeStyleImpl;
  }(SafeValueImpl));
  var SafeScriptImpl = (function(_super) {
    __extends(SafeScriptImpl, _super);
    function SafeScriptImpl() {
      _super.apply(this, arguments);
    }
    SafeScriptImpl.prototype.getTypeName = function() {
      return 'Script';
    };
    return SafeScriptImpl;
  }(SafeValueImpl));
  var SafeUrlImpl = (function(_super) {
    __extends(SafeUrlImpl, _super);
    function SafeUrlImpl() {
      _super.apply(this, arguments);
    }
    SafeUrlImpl.prototype.getTypeName = function() {
      return 'URL';
    };
    return SafeUrlImpl;
  }(SafeValueImpl));
  var SafeResourceUrlImpl = (function(_super) {
    __extends(SafeResourceUrlImpl, _super);
    function SafeResourceUrlImpl() {
      _super.apply(this, arguments);
    }
    SafeResourceUrlImpl.prototype.getTypeName = function() {
      return 'ResourceURL';
    };
    return SafeResourceUrlImpl;
  }(SafeValueImpl));
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/browser.js", ["@angular/common", "@angular/core", "../core_private", "../src/dom/web_animations_driver", "./browser/browser_adapter", "./browser/location/browser_platform_location", "./browser/testability", "./dom/debug/ng_probe", "./dom/dom_adapter", "./dom/dom_renderer", "./dom/dom_tokens", "./dom/events/dom_events", "./dom/events/event_manager", "./dom/events/hammer_gestures", "./dom/events/key_events", "./dom/shared_styles_host", "./facade/lang", "./security/dom_sanitization_service"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var common_1 = $__require('@angular/common');
  var core_1 = $__require('@angular/core');
  var core_private_1 = $__require('../core_private');
  var web_animations_driver_1 = $__require('../src/dom/web_animations_driver');
  var browser_adapter_1 = $__require('./browser/browser_adapter');
  var browser_platform_location_1 = $__require('./browser/location/browser_platform_location');
  var testability_1 = $__require('./browser/testability');
  var ng_probe_1 = $__require('./dom/debug/ng_probe');
  var dom_adapter_1 = $__require('./dom/dom_adapter');
  var dom_renderer_1 = $__require('./dom/dom_renderer');
  var dom_tokens_1 = $__require('./dom/dom_tokens');
  var dom_events_1 = $__require('./dom/events/dom_events');
  var event_manager_1 = $__require('./dom/events/event_manager');
  var hammer_gestures_1 = $__require('./dom/events/hammer_gestures');
  var key_events_1 = $__require('./dom/events/key_events');
  var shared_styles_host_1 = $__require('./dom/shared_styles_host');
  var lang_1 = $__require('./facade/lang');
  var dom_sanitization_service_1 = $__require('./security/dom_sanitization_service');
  var BROWSER_PLATFORM_MARKER = new core_1.OpaqueToken('BrowserPlatformMarker');
  exports.BROWSER_PLATFORM_PROVIDERS = [{
    provide: BROWSER_PLATFORM_MARKER,
    useValue: true
  }, core_1.PLATFORM_COMMON_PROVIDERS, {
    provide: core_1.PLATFORM_INITIALIZER,
    useValue: initDomAdapter,
    multi: true
  }, {
    provide: common_1.PlatformLocation,
    useClass: browser_platform_location_1.BrowserPlatformLocation
  }];
  exports.BROWSER_SANITIZATION_PROVIDERS = [{
    provide: core_private_1.SanitizationService,
    useExisting: dom_sanitization_service_1.DomSanitizationService
  }, {
    provide: dom_sanitization_service_1.DomSanitizationService,
    useClass: dom_sanitization_service_1.DomSanitizationServiceImpl
  }];
  exports.BROWSER_APP_PROVIDERS = [core_1.APPLICATION_COMMON_PROVIDERS, common_1.FORM_PROVIDERS, exports.BROWSER_SANITIZATION_PROVIDERS, {
    provide: core_1.ExceptionHandler,
    useFactory: _exceptionHandler,
    deps: []
  }, {
    provide: dom_tokens_1.DOCUMENT,
    useFactory: _document,
    deps: []
  }, {
    provide: event_manager_1.EVENT_MANAGER_PLUGINS,
    useClass: dom_events_1.DomEventsPlugin,
    multi: true
  }, {
    provide: event_manager_1.EVENT_MANAGER_PLUGINS,
    useClass: key_events_1.KeyEventsPlugin,
    multi: true
  }, {
    provide: event_manager_1.EVENT_MANAGER_PLUGINS,
    useClass: hammer_gestures_1.HammerGesturesPlugin,
    multi: true
  }, {
    provide: hammer_gestures_1.HAMMER_GESTURE_CONFIG,
    useClass: hammer_gestures_1.HammerGestureConfig
  }, {
    provide: dom_renderer_1.DomRootRenderer,
    useClass: dom_renderer_1.DomRootRenderer_
  }, {
    provide: core_1.RootRenderer,
    useExisting: dom_renderer_1.DomRootRenderer
  }, {
    provide: shared_styles_host_1.SharedStylesHost,
    useExisting: shared_styles_host_1.DomSharedStylesHost
  }, {
    provide: core_private_1.AnimationDriver,
    useFactory: _resolveDefaultAnimationDriver
  }, shared_styles_host_1.DomSharedStylesHost, core_1.Testability, event_manager_1.EventManager, ng_probe_1.ELEMENT_PROBE_PROVIDERS];
  function browserPlatform() {
    if (lang_1.isBlank(core_1.getPlatform())) {
      core_1.createPlatform(core_1.ReflectiveInjector.resolveAndCreate(exports.BROWSER_PLATFORM_PROVIDERS));
    }
    return core_1.assertPlatform(BROWSER_PLATFORM_MARKER);
  }
  exports.browserPlatform = browserPlatform;
  function initDomAdapter() {
    browser_adapter_1.BrowserDomAdapter.makeCurrent();
    core_private_1.wtfInit();
    testability_1.BrowserGetTestability.init();
  }
  function _exceptionHandler() {
    return new core_1.ExceptionHandler(dom_adapter_1.getDOM());
  }
  function _document() {
    return dom_adapter_1.getDOM().defaultDoc();
  }
  function _resolveDefaultAnimationDriver() {
    if (dom_adapter_1.getDOM().supportsWebAnimation()) {
      return new web_animations_driver_1.WebAnimationsDriver();
    }
    return new core_private_1.NoOpAnimationDriver();
  }
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/web_workers/shared/api.js", ["@angular/core"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  exports.ON_WEB_WORKER = new core_1.OpaqueToken('WebWorker.onWebWorker');
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/web_workers/shared/post_message_bus.js", ["@angular/core", "../../facade/async", "../../facade/collection", "../../facade/exceptions"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var async_1 = $__require('../../facade/async');
  var collection_1 = $__require('../../facade/collection');
  var exceptions_1 = $__require('../../facade/exceptions');
  var PostMessageBusSink = (function() {
    function PostMessageBusSink(_postMessageTarget) {
      this._postMessageTarget = _postMessageTarget;
      this._channels = collection_1.StringMapWrapper.create();
      this._messageBuffer = [];
    }
    PostMessageBusSink.prototype.attachToZone = function(zone) {
      var _this = this;
      this._zone = zone;
      this._zone.runOutsideAngular(function() {
        async_1.ObservableWrapper.subscribe(_this._zone.onStable, function(_) {
          _this._handleOnEventDone();
        });
      });
    };
    PostMessageBusSink.prototype.initChannel = function(channel, runInZone) {
      var _this = this;
      if (runInZone === void 0) {
        runInZone = true;
      }
      if (collection_1.StringMapWrapper.contains(this._channels, channel)) {
        throw new exceptions_1.BaseException(channel + " has already been initialized");
      }
      var emitter = new async_1.EventEmitter(false);
      var channelInfo = new _Channel(emitter, runInZone);
      this._channels[channel] = channelInfo;
      emitter.subscribe(function(data) {
        var message = {
          channel: channel,
          message: data
        };
        if (runInZone) {
          _this._messageBuffer.push(message);
        } else {
          _this._sendMessages([message]);
        }
      });
    };
    PostMessageBusSink.prototype.to = function(channel) {
      if (collection_1.StringMapWrapper.contains(this._channels, channel)) {
        return this._channels[channel].emitter;
      } else {
        throw new exceptions_1.BaseException(channel + " is not set up. Did you forget to call initChannel?");
      }
    };
    PostMessageBusSink.prototype._handleOnEventDone = function() {
      if (this._messageBuffer.length > 0) {
        this._sendMessages(this._messageBuffer);
        this._messageBuffer = [];
      }
    };
    PostMessageBusSink.prototype._sendMessages = function(messages) {
      this._postMessageTarget.postMessage(messages);
    };
    return PostMessageBusSink;
  }());
  exports.PostMessageBusSink = PostMessageBusSink;
  var PostMessageBusSource = (function() {
    function PostMessageBusSource(eventTarget) {
      var _this = this;
      this._channels = collection_1.StringMapWrapper.create();
      if (eventTarget) {
        eventTarget.addEventListener('message', function(ev) {
          return _this._handleMessages(ev);
        });
      } else {
        var workerScope = self;
        workerScope.addEventListener('message', function(ev) {
          return _this._handleMessages(ev);
        });
      }
    }
    PostMessageBusSource.prototype.attachToZone = function(zone) {
      this._zone = zone;
    };
    PostMessageBusSource.prototype.initChannel = function(channel, runInZone) {
      if (runInZone === void 0) {
        runInZone = true;
      }
      if (collection_1.StringMapWrapper.contains(this._channels, channel)) {
        throw new exceptions_1.BaseException(channel + " has already been initialized");
      }
      var emitter = new async_1.EventEmitter(false);
      var channelInfo = new _Channel(emitter, runInZone);
      this._channels[channel] = channelInfo;
    };
    PostMessageBusSource.prototype.from = function(channel) {
      if (collection_1.StringMapWrapper.contains(this._channels, channel)) {
        return this._channels[channel].emitter;
      } else {
        throw new exceptions_1.BaseException(channel + " is not set up. Did you forget to call initChannel?");
      }
    };
    PostMessageBusSource.prototype._handleMessages = function(ev) {
      var messages = ev.data;
      for (var i = 0; i < messages.length; i++) {
        this._handleMessage(messages[i]);
      }
    };
    PostMessageBusSource.prototype._handleMessage = function(data) {
      var channel = data.channel;
      if (collection_1.StringMapWrapper.contains(this._channels, channel)) {
        var channelInfo = this._channels[channel];
        if (channelInfo.runInZone) {
          this._zone.run(function() {
            channelInfo.emitter.emit(data.message);
          });
        } else {
          channelInfo.emitter.emit(data.message);
        }
      }
    };
    return PostMessageBusSource;
  }());
  exports.PostMessageBusSource = PostMessageBusSource;
  var PostMessageBus = (function() {
    function PostMessageBus(sink, source) {
      this.sink = sink;
      this.source = source;
    }
    PostMessageBus.prototype.attachToZone = function(zone) {
      this.source.attachToZone(zone);
      this.sink.attachToZone(zone);
    };
    PostMessageBus.prototype.initChannel = function(channel, runInZone) {
      if (runInZone === void 0) {
        runInZone = true;
      }
      this.source.initChannel(channel, runInZone);
      this.sink.initChannel(channel, runInZone);
    };
    PostMessageBus.prototype.from = function(channel) {
      return this.source.from(channel);
    };
    PostMessageBus.prototype.to = function(channel) {
      return this.sink.to(channel);
    };
    PostMessageBus.decorators = [{type: core_1.Injectable}];
    PostMessageBus.ctorParameters = [{type: PostMessageBusSink}, {type: PostMessageBusSource}];
    return PostMessageBus;
  }());
  exports.PostMessageBus = PostMessageBus;
  var _Channel = (function() {
    function _Channel(emitter, runInZone) {
      this.emitter = emitter;
      this.runInZone = runInZone;
    }
    return _Channel;
  }());
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/web_workers/shared/service_message_broker.js", ["@angular/core", "../../facade/async", "../../facade/collection", "../../facade/lang", "../shared/message_bus", "../shared/serializer"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var async_1 = $__require('../../facade/async');
  var collection_1 = $__require('../../facade/collection');
  var lang_1 = $__require('../../facade/lang');
  var message_bus_1 = $__require('../shared/message_bus');
  var serializer_1 = $__require('../shared/serializer');
  var ServiceMessageBrokerFactory = (function() {
    function ServiceMessageBrokerFactory() {}
    return ServiceMessageBrokerFactory;
  }());
  exports.ServiceMessageBrokerFactory = ServiceMessageBrokerFactory;
  var ServiceMessageBrokerFactory_ = (function(_super) {
    __extends(ServiceMessageBrokerFactory_, _super);
    function ServiceMessageBrokerFactory_(_messageBus, _serializer) {
      _super.call(this);
      this._messageBus = _messageBus;
      this._serializer = _serializer;
    }
    ServiceMessageBrokerFactory_.prototype.createMessageBroker = function(channel, runInZone) {
      if (runInZone === void 0) {
        runInZone = true;
      }
      this._messageBus.initChannel(channel, runInZone);
      return new ServiceMessageBroker_(this._messageBus, this._serializer, channel);
    };
    ServiceMessageBrokerFactory_.decorators = [{type: core_1.Injectable}];
    ServiceMessageBrokerFactory_.ctorParameters = [{type: message_bus_1.MessageBus}, {type: serializer_1.Serializer}];
    return ServiceMessageBrokerFactory_;
  }(ServiceMessageBrokerFactory));
  exports.ServiceMessageBrokerFactory_ = ServiceMessageBrokerFactory_;
  var ServiceMessageBroker = (function() {
    function ServiceMessageBroker() {}
    return ServiceMessageBroker;
  }());
  exports.ServiceMessageBroker = ServiceMessageBroker;
  var ServiceMessageBroker_ = (function(_super) {
    __extends(ServiceMessageBroker_, _super);
    function ServiceMessageBroker_(messageBus, _serializer, channel) {
      var _this = this;
      _super.call(this);
      this._serializer = _serializer;
      this.channel = channel;
      this._methods = new collection_1.Map();
      this._sink = messageBus.to(channel);
      var source = messageBus.from(channel);
      async_1.ObservableWrapper.subscribe(source, function(message) {
        return _this._handleMessage(message);
      });
    }
    ServiceMessageBroker_.prototype.registerMethod = function(methodName, signature, method, returnType) {
      var _this = this;
      this._methods.set(methodName, function(message) {
        var serializedArgs = message.args;
        var numArgs = signature === null ? 0 : signature.length;
        var deserializedArgs = collection_1.ListWrapper.createFixedSize(numArgs);
        for (var i = 0; i < numArgs; i++) {
          var serializedArg = serializedArgs[i];
          deserializedArgs[i] = _this._serializer.deserialize(serializedArg, signature[i]);
        }
        var promise = lang_1.FunctionWrapper.apply(method, deserializedArgs);
        if (lang_1.isPresent(returnType) && lang_1.isPresent(promise)) {
          _this._wrapWebWorkerPromise(message.id, promise, returnType);
        }
      });
    };
    ServiceMessageBroker_.prototype._handleMessage = function(map) {
      var message = new ReceivedMessage(map);
      if (this._methods.has(message.method)) {
        this._methods.get(message.method)(message);
      }
    };
    ServiceMessageBroker_.prototype._wrapWebWorkerPromise = function(id, promise, type) {
      var _this = this;
      async_1.PromiseWrapper.then(promise, function(result) {
        async_1.ObservableWrapper.callEmit(_this._sink, {
          'type': 'result',
          'value': _this._serializer.serialize(result, type),
          'id': id
        });
      });
    };
    return ServiceMessageBroker_;
  }(ServiceMessageBroker));
  exports.ServiceMessageBroker_ = ServiceMessageBroker_;
  var ReceivedMessage = (function() {
    function ReceivedMessage(data) {
      this.method = data['method'];
      this.args = data['args'];
      this.id = data['id'];
      this.type = data['type'];
    }
    return ReceivedMessage;
  }());
  exports.ReceivedMessage = ReceivedMessage;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/facade/promise.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var PromiseCompleter = (function() {
    function PromiseCompleter() {
      var _this = this;
      this.promise = new Promise(function(res, rej) {
        _this.resolve = res;
        _this.reject = rej;
      });
    }
    return PromiseCompleter;
  }());
  exports.PromiseCompleter = PromiseCompleter;
  var PromiseWrapper = (function() {
    function PromiseWrapper() {}
    PromiseWrapper.resolve = function(obj) {
      return Promise.resolve(obj);
    };
    PromiseWrapper.reject = function(obj, _) {
      return Promise.reject(obj);
    };
    PromiseWrapper.catchError = function(promise, onError) {
      return promise.catch(onError);
    };
    PromiseWrapper.all = function(promises) {
      if (promises.length == 0)
        return Promise.resolve([]);
      return Promise.all(promises);
    };
    PromiseWrapper.then = function(promise, success, rejection) {
      return promise.then(success, rejection);
    };
    PromiseWrapper.wrap = function(computation) {
      return new Promise(function(res, rej) {
        try {
          res(computation());
        } catch (e) {
          rej(e);
        }
      });
    };
    PromiseWrapper.scheduleMicrotask = function(computation) {
      PromiseWrapper.then(PromiseWrapper.resolve(null), computation, function(_) {});
    };
    PromiseWrapper.completer = function() {
      return new PromiseCompleter();
    };
    return PromiseWrapper;
  }());
  exports.PromiseWrapper = PromiseWrapper;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/facade/async.js", ["rxjs/Subject", "rxjs/observable/PromiseObservable", "rxjs/operator/toPromise", "./lang", "rxjs/Observable", "./promise"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var Subject_1 = $__require('rxjs/Subject');
  var PromiseObservable_1 = $__require('rxjs/observable/PromiseObservable');
  var toPromise_1 = $__require('rxjs/operator/toPromise');
  var lang_1 = $__require('./lang');
  var Observable_1 = $__require('rxjs/Observable');
  exports.Observable = Observable_1.Observable;
  var Subject_2 = $__require('rxjs/Subject');
  exports.Subject = Subject_2.Subject;
  var promise_1 = $__require('./promise');
  exports.PromiseCompleter = promise_1.PromiseCompleter;
  exports.PromiseWrapper = promise_1.PromiseWrapper;
  var TimerWrapper = (function() {
    function TimerWrapper() {}
    TimerWrapper.setTimeout = function(fn, millis) {
      return lang_1.global.setTimeout(fn, millis);
    };
    TimerWrapper.clearTimeout = function(id) {
      lang_1.global.clearTimeout(id);
    };
    TimerWrapper.setInterval = function(fn, millis) {
      return lang_1.global.setInterval(fn, millis);
    };
    TimerWrapper.clearInterval = function(id) {
      lang_1.global.clearInterval(id);
    };
    return TimerWrapper;
  }());
  exports.TimerWrapper = TimerWrapper;
  var ObservableWrapper = (function() {
    function ObservableWrapper() {}
    ObservableWrapper.subscribe = function(emitter, onNext, onError, onComplete) {
      if (onComplete === void 0) {
        onComplete = function() {};
      }
      onError = (typeof onError === 'function') && onError || lang_1.noop;
      onComplete = (typeof onComplete === 'function') && onComplete || lang_1.noop;
      return emitter.subscribe({
        next: onNext,
        error: onError,
        complete: onComplete
      });
    };
    ObservableWrapper.isObservable = function(obs) {
      return !!obs.subscribe;
    };
    ObservableWrapper.hasSubscribers = function(obs) {
      return obs.observers.length > 0;
    };
    ObservableWrapper.dispose = function(subscription) {
      subscription.unsubscribe();
    };
    ObservableWrapper.callNext = function(emitter, value) {
      emitter.emit(value);
    };
    ObservableWrapper.callEmit = function(emitter, value) {
      emitter.emit(value);
    };
    ObservableWrapper.callError = function(emitter, error) {
      emitter.error(error);
    };
    ObservableWrapper.callComplete = function(emitter) {
      emitter.complete();
    };
    ObservableWrapper.fromPromise = function(promise) {
      return PromiseObservable_1.PromiseObservable.create(promise);
    };
    ObservableWrapper.toPromise = function(obj) {
      return toPromise_1.toPromise.call(obj);
    };
    return ObservableWrapper;
  }());
  exports.ObservableWrapper = ObservableWrapper;
  var EventEmitter = (function(_super) {
    __extends(EventEmitter, _super);
    function EventEmitter(isAsync) {
      if (isAsync === void 0) {
        isAsync = false;
      }
      _super.call(this);
      this.__isAsync = isAsync;
    }
    EventEmitter.prototype.emit = function(value) {
      _super.prototype.next.call(this, value);
    };
    EventEmitter.prototype.next = function(value) {
      _super.prototype.next.call(this, value);
    };
    EventEmitter.prototype.subscribe = function(generatorOrNext, error, complete) {
      var schedulerFn;
      var errorFn = function(err) {
        return null;
      };
      var completeFn = function() {
        return null;
      };
      if (generatorOrNext && typeof generatorOrNext === 'object') {
        schedulerFn = this.__isAsync ? function(value) {
          setTimeout(function() {
            return generatorOrNext.next(value);
          });
        } : function(value) {
          generatorOrNext.next(value);
        };
        if (generatorOrNext.error) {
          errorFn = this.__isAsync ? function(err) {
            setTimeout(function() {
              return generatorOrNext.error(err);
            });
          } : function(err) {
            generatorOrNext.error(err);
          };
        }
        if (generatorOrNext.complete) {
          completeFn = this.__isAsync ? function() {
            setTimeout(function() {
              return generatorOrNext.complete();
            });
          } : function() {
            generatorOrNext.complete();
          };
        }
      } else {
        schedulerFn = this.__isAsync ? function(value) {
          setTimeout(function() {
            return generatorOrNext(value);
          });
        } : function(value) {
          generatorOrNext(value);
        };
        if (error) {
          errorFn = this.__isAsync ? function(err) {
            setTimeout(function() {
              return error(err);
            });
          } : function(err) {
            error(err);
          };
        }
        if (complete) {
          completeFn = this.__isAsync ? function() {
            setTimeout(function() {
              return complete();
            });
          } : function() {
            complete();
          };
        }
      }
      return _super.prototype.subscribe.call(this, schedulerFn, errorFn, completeFn);
    };
    return EventEmitter;
  }(Subject_1.Subject));
  exports.EventEmitter = EventEmitter;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/web_workers/shared/client_message_broker.js", ["@angular/core", "../../facade/async", "../../facade/collection", "../../facade/lang", "./message_bus", "./serializer"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var async_1 = $__require('../../facade/async');
  var collection_1 = $__require('../../facade/collection');
  var lang_1 = $__require('../../facade/lang');
  var message_bus_1 = $__require('./message_bus');
  var serializer_1 = $__require('./serializer');
  var ClientMessageBrokerFactory = (function() {
    function ClientMessageBrokerFactory() {}
    return ClientMessageBrokerFactory;
  }());
  exports.ClientMessageBrokerFactory = ClientMessageBrokerFactory;
  var ClientMessageBrokerFactory_ = (function(_super) {
    __extends(ClientMessageBrokerFactory_, _super);
    function ClientMessageBrokerFactory_(_messageBus, _serializer) {
      _super.call(this);
      this._messageBus = _messageBus;
      this._serializer = _serializer;
    }
    ClientMessageBrokerFactory_.prototype.createMessageBroker = function(channel, runInZone) {
      if (runInZone === void 0) {
        runInZone = true;
      }
      this._messageBus.initChannel(channel, runInZone);
      return new ClientMessageBroker_(this._messageBus, this._serializer, channel);
    };
    ClientMessageBrokerFactory_.decorators = [{type: core_1.Injectable}];
    ClientMessageBrokerFactory_.ctorParameters = [{type: message_bus_1.MessageBus}, {type: serializer_1.Serializer}];
    return ClientMessageBrokerFactory_;
  }(ClientMessageBrokerFactory));
  exports.ClientMessageBrokerFactory_ = ClientMessageBrokerFactory_;
  var ClientMessageBroker = (function() {
    function ClientMessageBroker() {}
    return ClientMessageBroker;
  }());
  exports.ClientMessageBroker = ClientMessageBroker;
  var ClientMessageBroker_ = (function(_super) {
    __extends(ClientMessageBroker_, _super);
    function ClientMessageBroker_(messageBus, _serializer, channel) {
      var _this = this;
      _super.call(this);
      this.channel = channel;
      this._pending = new Map();
      this._sink = messageBus.to(channel);
      this._serializer = _serializer;
      var source = messageBus.from(channel);
      async_1.ObservableWrapper.subscribe(source, function(message) {
        return _this._handleMessage(message);
      });
    }
    ClientMessageBroker_.prototype._generateMessageId = function(name) {
      var time = lang_1.stringify(lang_1.DateWrapper.toMillis(lang_1.DateWrapper.now()));
      var iteration = 0;
      var id = name + time + lang_1.stringify(iteration);
      while (lang_1.isPresent(this._pending[id])) {
        id = "" + name + time + iteration;
        iteration++;
      }
      return id;
    };
    ClientMessageBroker_.prototype.runOnService = function(args, returnType) {
      var _this = this;
      var fnArgs = [];
      if (lang_1.isPresent(args.args)) {
        args.args.forEach(function(argument) {
          if (argument.type != null) {
            fnArgs.push(_this._serializer.serialize(argument.value, argument.type));
          } else {
            fnArgs.push(argument.value);
          }
        });
      }
      var promise;
      var id = null;
      if (returnType != null) {
        var completer = async_1.PromiseWrapper.completer();
        id = this._generateMessageId(args.method);
        this._pending.set(id, completer);
        async_1.PromiseWrapper.catchError(completer.promise, function(err, stack) {
          lang_1.print(err);
          completer.reject(err, stack);
        });
        promise = async_1.PromiseWrapper.then(completer.promise, function(value) {
          if (_this._serializer == null) {
            return value;
          } else {
            return _this._serializer.deserialize(value, returnType);
          }
        });
      } else {
        promise = null;
      }
      var message = {
        'method': args.method,
        'args': fnArgs
      };
      if (id != null) {
        message['id'] = id;
      }
      async_1.ObservableWrapper.callEmit(this._sink, message);
      return promise;
    };
    ClientMessageBroker_.prototype._handleMessage = function(message) {
      var data = new MessageData(message);
      if (lang_1.StringWrapper.equals(data.type, 'result') || lang_1.StringWrapper.equals(data.type, 'error')) {
        var id = data.id;
        if (this._pending.has(id)) {
          if (lang_1.StringWrapper.equals(data.type, 'result')) {
            this._pending.get(id).resolve(data.value);
          } else {
            this._pending.get(id).reject(data.value, null);
          }
          this._pending.delete(id);
        }
      }
    };
    return ClientMessageBroker_;
  }(ClientMessageBroker));
  exports.ClientMessageBroker_ = ClientMessageBroker_;
  var MessageData = (function() {
    function MessageData(data) {
      this.type = collection_1.StringMapWrapper.get(data, 'type');
      this.id = this._getValueIfPresent(data, 'id');
      this.value = this._getValueIfPresent(data, 'value');
    }
    MessageData.prototype._getValueIfPresent = function(data, key) {
      if (collection_1.StringMapWrapper.contains(data, key)) {
        return collection_1.StringMapWrapper.get(data, key);
      } else {
        return null;
      }
    };
    return MessageData;
  }());
  var FnArg = (function() {
    function FnArg(value, type) {
      this.value = value;
      this.type = type;
    }
    return FnArg;
  }());
  exports.FnArg = FnArg;
  var UiArguments = (function() {
    function UiArguments(method, args) {
      this.method = method;
      this.args = args;
    }
    return UiArguments;
  }());
  exports.UiArguments = UiArguments;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/web_workers/shared/message_bus.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var MessageBus = (function() {
    function MessageBus() {}
    return MessageBus;
  }());
  exports.MessageBus = MessageBus;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/web_workers/shared/messaging_api.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  exports.RENDERER_CHANNEL = 'ng-Renderer';
  exports.EVENT_CHANNEL = 'ng-Events';
  exports.ROUTER_CHANNEL = 'ng-Router';
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/web_workers/shared/render_store.js", ["@angular/core"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var RenderStore = (function() {
    function RenderStore() {
      this._nextIndex = 0;
      this._lookupById = new Map();
      this._lookupByObject = new Map();
    }
    RenderStore.prototype.allocateId = function() {
      return this._nextIndex++;
    };
    RenderStore.prototype.store = function(obj, id) {
      this._lookupById.set(id, obj);
      this._lookupByObject.set(obj, id);
    };
    RenderStore.prototype.remove = function(obj) {
      var index = this._lookupByObject.get(obj);
      this._lookupByObject.delete(obj);
      this._lookupById.delete(index);
    };
    RenderStore.prototype.deserialize = function(id) {
      if (id == null) {
        return null;
      }
      if (!this._lookupById.has(id)) {
        return null;
      }
      return this._lookupById.get(id);
    };
    RenderStore.prototype.serialize = function(obj) {
      if (obj == null) {
        return null;
      }
      return this._lookupByObject.get(obj);
    };
    RenderStore.decorators = [{type: core_1.Injectable}];
    RenderStore.ctorParameters = [];
    return RenderStore;
  }());
  exports.RenderStore = RenderStore;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/web_workers/shared/serialized_types.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var LocationType = (function() {
    function LocationType(href, protocol, host, hostname, port, pathname, search, hash, origin) {
      this.href = href;
      this.protocol = protocol;
      this.host = host;
      this.hostname = hostname;
      this.port = port;
      this.pathname = pathname;
      this.search = search;
      this.hash = hash;
      this.origin = origin;
    }
    return LocationType;
  }());
  exports.LocationType = LocationType;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/web_workers/shared/serializer.js", ["@angular/core", "../../../core_private", "../../facade/exceptions", "../../facade/lang", "./render_store", "./serialized_types"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var core_private_1 = $__require('../../../core_private');
  var exceptions_1 = $__require('../../facade/exceptions');
  var lang_1 = $__require('../../facade/lang');
  var render_store_1 = $__require('./render_store');
  var serialized_types_1 = $__require('./serialized_types');
  exports.PRIMITIVE = String;
  var Serializer = (function() {
    function Serializer(_renderStore) {
      this._renderStore = _renderStore;
    }
    Serializer.prototype.serialize = function(obj, type) {
      var _this = this;
      if (!lang_1.isPresent(obj)) {
        return null;
      }
      if (lang_1.isArray(obj)) {
        return obj.map(function(v) {
          return _this.serialize(v, type);
        });
      }
      if (type == exports.PRIMITIVE) {
        return obj;
      }
      if (type == RenderStoreObject) {
        return this._renderStore.serialize(obj);
      } else if (type === core_1.RenderComponentType) {
        return this._serializeRenderComponentType(obj);
      } else if (type === core_1.ViewEncapsulation) {
        return lang_1.serializeEnum(obj);
      } else if (type === serialized_types_1.LocationType) {
        return this._serializeLocation(obj);
      } else {
        throw new exceptions_1.BaseException('No serializer for ' + type.toString());
      }
    };
    Serializer.prototype.deserialize = function(map, type, data) {
      var _this = this;
      if (!lang_1.isPresent(map)) {
        return null;
      }
      if (lang_1.isArray(map)) {
        var obj = [];
        map.forEach(function(val) {
          return obj.push(_this.deserialize(val, type, data));
        });
        return obj;
      }
      if (type == exports.PRIMITIVE) {
        return map;
      }
      if (type == RenderStoreObject) {
        return this._renderStore.deserialize(map);
      } else if (type === core_1.RenderComponentType) {
        return this._deserializeRenderComponentType(map);
      } else if (type === core_1.ViewEncapsulation) {
        return core_private_1.VIEW_ENCAPSULATION_VALUES[map];
      } else if (type === serialized_types_1.LocationType) {
        return this._deserializeLocation(map);
      } else {
        throw new exceptions_1.BaseException('No deserializer for ' + type.toString());
      }
    };
    Serializer.prototype._serializeLocation = function(loc) {
      return {
        'href': loc.href,
        'protocol': loc.protocol,
        'host': loc.host,
        'hostname': loc.hostname,
        'port': loc.port,
        'pathname': loc.pathname,
        'search': loc.search,
        'hash': loc.hash,
        'origin': loc.origin
      };
    };
    Serializer.prototype._deserializeLocation = function(loc) {
      return new serialized_types_1.LocationType(loc['href'], loc['protocol'], loc['host'], loc['hostname'], loc['port'], loc['pathname'], loc['search'], loc['hash'], loc['origin']);
    };
    Serializer.prototype._serializeRenderComponentType = function(obj) {
      return {
        'id': obj.id,
        'templateUrl': obj.templateUrl,
        'slotCount': obj.slotCount,
        'encapsulation': this.serialize(obj.encapsulation, core_1.ViewEncapsulation),
        'styles': this.serialize(obj.styles, exports.PRIMITIVE)
      };
    };
    Serializer.prototype._deserializeRenderComponentType = function(map) {
      return new core_1.RenderComponentType(map['id'], map['templateUrl'], map['slotCount'], this.deserialize(map['encapsulation'], core_1.ViewEncapsulation), this.deserialize(map['styles'], exports.PRIMITIVE));
    };
    Serializer.decorators = [{type: core_1.Injectable}];
    Serializer.ctorParameters = [{type: render_store_1.RenderStore}];
    return Serializer;
  }());
  exports.Serializer = Serializer;
  var RenderStoreObject = (function() {
    function RenderStoreObject() {}
    return RenderStoreObject;
  }());
  exports.RenderStoreObject = RenderStoreObject;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/web_workers/worker/event_deserializer.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  function deserializeGenericEvent(serializedEvent) {
    return serializedEvent;
  }
  exports.deserializeGenericEvent = deserializeGenericEvent;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/web_workers/worker/renderer.js", ["@angular/core", "../../facade/async", "../../facade/collection", "../../facade/lang", "../shared/client_message_broker", "../shared/message_bus", "../shared/messaging_api", "../shared/render_store", "../shared/serializer", "./event_deserializer"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var async_1 = $__require('../../facade/async');
  var collection_1 = $__require('../../facade/collection');
  var lang_1 = $__require('../../facade/lang');
  var client_message_broker_1 = $__require('../shared/client_message_broker');
  var message_bus_1 = $__require('../shared/message_bus');
  var messaging_api_1 = $__require('../shared/messaging_api');
  var render_store_1 = $__require('../shared/render_store');
  var serializer_1 = $__require('../shared/serializer');
  var event_deserializer_1 = $__require('./event_deserializer');
  var WebWorkerRootRenderer = (function() {
    function WebWorkerRootRenderer(messageBrokerFactory, bus, _serializer, _renderStore) {
      var _this = this;
      this._serializer = _serializer;
      this._renderStore = _renderStore;
      this.globalEvents = new NamedEventEmitter();
      this._componentRenderers = new Map();
      this._messageBroker = messageBrokerFactory.createMessageBroker(messaging_api_1.RENDERER_CHANNEL);
      bus.initChannel(messaging_api_1.EVENT_CHANNEL);
      var source = bus.from(messaging_api_1.EVENT_CHANNEL);
      async_1.ObservableWrapper.subscribe(source, function(message) {
        return _this._dispatchEvent(message);
      });
    }
    WebWorkerRootRenderer.prototype._dispatchEvent = function(message) {
      var eventName = message['eventName'];
      var target = message['eventTarget'];
      var event = event_deserializer_1.deserializeGenericEvent(message['event']);
      if (lang_1.isPresent(target)) {
        this.globalEvents.dispatchEvent(eventNameWithTarget(target, eventName), event);
      } else {
        var element = this._serializer.deserialize(message['element'], serializer_1.RenderStoreObject);
        element.events.dispatchEvent(eventName, event);
      }
    };
    WebWorkerRootRenderer.prototype.renderComponent = function(componentType) {
      var result = this._componentRenderers.get(componentType.id);
      if (lang_1.isBlank(result)) {
        result = new WebWorkerRenderer(this, componentType);
        this._componentRenderers.set(componentType.id, result);
        var id = this._renderStore.allocateId();
        this._renderStore.store(result, id);
        this.runOnService('renderComponent', [new client_message_broker_1.FnArg(componentType, core_1.RenderComponentType), new client_message_broker_1.FnArg(result, serializer_1.RenderStoreObject)]);
      }
      return result;
    };
    WebWorkerRootRenderer.prototype.runOnService = function(fnName, fnArgs) {
      var args = new client_message_broker_1.UiArguments(fnName, fnArgs);
      this._messageBroker.runOnService(args, null);
    };
    WebWorkerRootRenderer.prototype.allocateNode = function() {
      var result = new WebWorkerRenderNode();
      var id = this._renderStore.allocateId();
      this._renderStore.store(result, id);
      return result;
    };
    WebWorkerRootRenderer.prototype.allocateId = function() {
      return this._renderStore.allocateId();
    };
    WebWorkerRootRenderer.prototype.destroyNodes = function(nodes) {
      for (var i = 0; i < nodes.length; i++) {
        this._renderStore.remove(nodes[i]);
      }
    };
    WebWorkerRootRenderer.decorators = [{type: core_1.Injectable}];
    WebWorkerRootRenderer.ctorParameters = [{type: client_message_broker_1.ClientMessageBrokerFactory}, {type: message_bus_1.MessageBus}, {type: serializer_1.Serializer}, {type: render_store_1.RenderStore}];
    return WebWorkerRootRenderer;
  }());
  exports.WebWorkerRootRenderer = WebWorkerRootRenderer;
  var WebWorkerRenderer = (function() {
    function WebWorkerRenderer(_rootRenderer, _componentType) {
      this._rootRenderer = _rootRenderer;
      this._componentType = _componentType;
    }
    WebWorkerRenderer.prototype._runOnService = function(fnName, fnArgs) {
      var fnArgsWithRenderer = [new client_message_broker_1.FnArg(this, serializer_1.RenderStoreObject)].concat(fnArgs);
      this._rootRenderer.runOnService(fnName, fnArgsWithRenderer);
    };
    WebWorkerRenderer.prototype.selectRootElement = function(selectorOrNode, debugInfo) {
      var node = this._rootRenderer.allocateNode();
      this._runOnService('selectRootElement', [new client_message_broker_1.FnArg(selectorOrNode, null), new client_message_broker_1.FnArg(node, serializer_1.RenderStoreObject)]);
      return node;
    };
    WebWorkerRenderer.prototype.createElement = function(parentElement, name, debugInfo) {
      var node = this._rootRenderer.allocateNode();
      this._runOnService('createElement', [new client_message_broker_1.FnArg(parentElement, serializer_1.RenderStoreObject), new client_message_broker_1.FnArg(name, null), new client_message_broker_1.FnArg(node, serializer_1.RenderStoreObject)]);
      return node;
    };
    WebWorkerRenderer.prototype.createViewRoot = function(hostElement) {
      var viewRoot = this._componentType.encapsulation === core_1.ViewEncapsulation.Native ? this._rootRenderer.allocateNode() : hostElement;
      this._runOnService('createViewRoot', [new client_message_broker_1.FnArg(hostElement, serializer_1.RenderStoreObject), new client_message_broker_1.FnArg(viewRoot, serializer_1.RenderStoreObject)]);
      return viewRoot;
    };
    WebWorkerRenderer.prototype.createTemplateAnchor = function(parentElement, debugInfo) {
      var node = this._rootRenderer.allocateNode();
      this._runOnService('createTemplateAnchor', [new client_message_broker_1.FnArg(parentElement, serializer_1.RenderStoreObject), new client_message_broker_1.FnArg(node, serializer_1.RenderStoreObject)]);
      return node;
    };
    WebWorkerRenderer.prototype.createText = function(parentElement, value, debugInfo) {
      var node = this._rootRenderer.allocateNode();
      this._runOnService('createText', [new client_message_broker_1.FnArg(parentElement, serializer_1.RenderStoreObject), new client_message_broker_1.FnArg(value, null), new client_message_broker_1.FnArg(node, serializer_1.RenderStoreObject)]);
      return node;
    };
    WebWorkerRenderer.prototype.projectNodes = function(parentElement, nodes) {
      this._runOnService('projectNodes', [new client_message_broker_1.FnArg(parentElement, serializer_1.RenderStoreObject), new client_message_broker_1.FnArg(nodes, serializer_1.RenderStoreObject)]);
    };
    WebWorkerRenderer.prototype.attachViewAfter = function(node, viewRootNodes) {
      this._runOnService('attachViewAfter', [new client_message_broker_1.FnArg(node, serializer_1.RenderStoreObject), new client_message_broker_1.FnArg(viewRootNodes, serializer_1.RenderStoreObject)]);
    };
    WebWorkerRenderer.prototype.detachView = function(viewRootNodes) {
      this._runOnService('detachView', [new client_message_broker_1.FnArg(viewRootNodes, serializer_1.RenderStoreObject)]);
    };
    WebWorkerRenderer.prototype.destroyView = function(hostElement, viewAllNodes) {
      this._runOnService('destroyView', [new client_message_broker_1.FnArg(hostElement, serializer_1.RenderStoreObject), new client_message_broker_1.FnArg(viewAllNodes, serializer_1.RenderStoreObject)]);
      this._rootRenderer.destroyNodes(viewAllNodes);
    };
    WebWorkerRenderer.prototype.setElementProperty = function(renderElement, propertyName, propertyValue) {
      this._runOnService('setElementProperty', [new client_message_broker_1.FnArg(renderElement, serializer_1.RenderStoreObject), new client_message_broker_1.FnArg(propertyName, null), new client_message_broker_1.FnArg(propertyValue, null)]);
    };
    WebWorkerRenderer.prototype.setElementAttribute = function(renderElement, attributeName, attributeValue) {
      this._runOnService('setElementAttribute', [new client_message_broker_1.FnArg(renderElement, serializer_1.RenderStoreObject), new client_message_broker_1.FnArg(attributeName, null), new client_message_broker_1.FnArg(attributeValue, null)]);
    };
    WebWorkerRenderer.prototype.setBindingDebugInfo = function(renderElement, propertyName, propertyValue) {
      this._runOnService('setBindingDebugInfo', [new client_message_broker_1.FnArg(renderElement, serializer_1.RenderStoreObject), new client_message_broker_1.FnArg(propertyName, null), new client_message_broker_1.FnArg(propertyValue, null)]);
    };
    WebWorkerRenderer.prototype.setElementClass = function(renderElement, className, isAdd) {
      this._runOnService('setElementClass', [new client_message_broker_1.FnArg(renderElement, serializer_1.RenderStoreObject), new client_message_broker_1.FnArg(className, null), new client_message_broker_1.FnArg(isAdd, null)]);
    };
    WebWorkerRenderer.prototype.setElementStyle = function(renderElement, styleName, styleValue) {
      this._runOnService('setElementStyle', [new client_message_broker_1.FnArg(renderElement, serializer_1.RenderStoreObject), new client_message_broker_1.FnArg(styleName, null), new client_message_broker_1.FnArg(styleValue, null)]);
    };
    WebWorkerRenderer.prototype.invokeElementMethod = function(renderElement, methodName, args) {
      this._runOnService('invokeElementMethod', [new client_message_broker_1.FnArg(renderElement, serializer_1.RenderStoreObject), new client_message_broker_1.FnArg(methodName, null), new client_message_broker_1.FnArg(args, null)]);
    };
    WebWorkerRenderer.prototype.setText = function(renderNode, text) {
      this._runOnService('setText', [new client_message_broker_1.FnArg(renderNode, serializer_1.RenderStoreObject), new client_message_broker_1.FnArg(text, null)]);
    };
    WebWorkerRenderer.prototype.listen = function(renderElement, name, callback) {
      var _this = this;
      renderElement.events.listen(name, callback);
      var unlistenCallbackId = this._rootRenderer.allocateId();
      this._runOnService('listen', [new client_message_broker_1.FnArg(renderElement, serializer_1.RenderStoreObject), new client_message_broker_1.FnArg(name, null), new client_message_broker_1.FnArg(unlistenCallbackId, null)]);
      return function() {
        renderElement.events.unlisten(name, callback);
        _this._runOnService('listenDone', [new client_message_broker_1.FnArg(unlistenCallbackId, null)]);
      };
    };
    WebWorkerRenderer.prototype.listenGlobal = function(target, name, callback) {
      var _this = this;
      this._rootRenderer.globalEvents.listen(eventNameWithTarget(target, name), callback);
      var unlistenCallbackId = this._rootRenderer.allocateId();
      this._runOnService('listenGlobal', [new client_message_broker_1.FnArg(target, null), new client_message_broker_1.FnArg(name, null), new client_message_broker_1.FnArg(unlistenCallbackId, null)]);
      return function() {
        _this._rootRenderer.globalEvents.unlisten(eventNameWithTarget(target, name), callback);
        _this._runOnService('listenDone', [new client_message_broker_1.FnArg(unlistenCallbackId, null)]);
      };
    };
    WebWorkerRenderer.prototype.animate = function(element, startingStyles, keyframes, duration, delay, easing) {
      return null;
    };
    return WebWorkerRenderer;
  }());
  exports.WebWorkerRenderer = WebWorkerRenderer;
  var NamedEventEmitter = (function() {
    function NamedEventEmitter() {}
    NamedEventEmitter.prototype._getListeners = function(eventName) {
      if (lang_1.isBlank(this._listeners)) {
        this._listeners = new Map();
      }
      var listeners = this._listeners.get(eventName);
      if (lang_1.isBlank(listeners)) {
        listeners = [];
        this._listeners.set(eventName, listeners);
      }
      return listeners;
    };
    NamedEventEmitter.prototype.listen = function(eventName, callback) {
      this._getListeners(eventName).push(callback);
    };
    NamedEventEmitter.prototype.unlisten = function(eventName, callback) {
      collection_1.ListWrapper.remove(this._getListeners(eventName), callback);
    };
    NamedEventEmitter.prototype.dispatchEvent = function(eventName, event) {
      var listeners = this._getListeners(eventName);
      for (var i = 0; i < listeners.length; i++) {
        listeners[i](event);
      }
    };
    return NamedEventEmitter;
  }());
  exports.NamedEventEmitter = NamedEventEmitter;
  function eventNameWithTarget(target, eventName) {
    return target + ":" + eventName;
  }
  var WebWorkerRenderNode = (function() {
    function WebWorkerRenderNode() {
      this.events = new NamedEventEmitter();
    }
    return WebWorkerRenderNode;
  }());
  exports.WebWorkerRenderNode = WebWorkerRenderNode;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/web_workers/worker/worker_adapter.js", ["../../dom/dom_adapter"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var dom_adapter_1 = $__require('../../dom/dom_adapter');
  var WorkerDomAdapter = (function(_super) {
    __extends(WorkerDomAdapter, _super);
    function WorkerDomAdapter() {
      _super.apply(this, arguments);
    }
    WorkerDomAdapter.makeCurrent = function() {
      dom_adapter_1.setRootDomAdapter(new WorkerDomAdapter());
    };
    WorkerDomAdapter.prototype.logError = function(error) {
      if (console.error) {
        console.error(error);
      } else {
        console.log(error);
      }
    };
    WorkerDomAdapter.prototype.log = function(error) {
      console.log(error);
    };
    WorkerDomAdapter.prototype.logGroup = function(error) {
      if (console.group) {
        console.group(error);
        this.logError(error);
      } else {
        console.log(error);
      }
    };
    WorkerDomAdapter.prototype.logGroupEnd = function() {
      if (console.groupEnd) {
        console.groupEnd();
      }
    };
    WorkerDomAdapter.prototype.hasProperty = function(element, name) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.setProperty = function(el, name, value) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getProperty = function(el, name) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.invoke = function(el, methodName, args) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getXHR = function() {
      throw 'not implemented';
    };
    Object.defineProperty(WorkerDomAdapter.prototype, "attrToPropMap", {
      get: function() {
        throw 'not implemented';
      },
      set: function(value) {
        throw 'not implemented';
      },
      enumerable: true,
      configurable: true
    });
    WorkerDomAdapter.prototype.parse = function(templateHtml) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.query = function(selector) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.querySelector = function(el, selector) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.querySelectorAll = function(el, selector) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.on = function(el, evt, listener) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.onAndCancel = function(el, evt, listener) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.dispatchEvent = function(el, evt) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.createMouseEvent = function(eventType) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.createEvent = function(eventType) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.preventDefault = function(evt) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.isPrevented = function(evt) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getInnerHTML = function(el) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getTemplateContent = function(el) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getOuterHTML = function(el) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.nodeName = function(node) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.nodeValue = function(node) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.type = function(node) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.content = function(node) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.firstChild = function(el) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.nextSibling = function(el) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.parentElement = function(el) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.childNodes = function(el) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.childNodesAsList = function(el) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.clearNodes = function(el) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.appendChild = function(el, node) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.removeChild = function(el, node) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.replaceChild = function(el, newNode, oldNode) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.remove = function(el) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.insertBefore = function(el, node) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.insertAllBefore = function(el, nodes) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.insertAfter = function(el, node) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.setInnerHTML = function(el, value) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getText = function(el) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.setText = function(el, value) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getValue = function(el) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.setValue = function(el, value) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getChecked = function(el) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.setChecked = function(el, value) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.createComment = function(text) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.createTemplate = function(html) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.createElement = function(tagName, doc) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.createElementNS = function(ns, tagName, doc) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.createTextNode = function(text, doc) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.createScriptTag = function(attrName, attrValue, doc) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.createStyleElement = function(css, doc) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.createShadowRoot = function(el) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getShadowRoot = function(el) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getHost = function(el) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getDistributedNodes = function(el) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.clone = function(node) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getElementsByClassName = function(element, name) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getElementsByTagName = function(element, name) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.classList = function(element) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.addClass = function(element, className) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.removeClass = function(element, className) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.hasClass = function(element, className) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.setStyle = function(element, styleName, styleValue) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.removeStyle = function(element, styleName) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getStyle = function(element, styleName) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.hasStyle = function(element, styleName, styleValue) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.tagName = function(element) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.attributeMap = function(element) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.hasAttribute = function(element, attribute) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.hasAttributeNS = function(element, ns, attribute) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getAttribute = function(element, attribute) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getAttributeNS = function(element, ns, attribute) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.setAttribute = function(element, name, value) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.setAttributeNS = function(element, ns, name, value) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.removeAttribute = function(element, attribute) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.removeAttributeNS = function(element, ns, attribute) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.templateAwareRoot = function(el) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.createHtmlDocument = function() {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.defaultDoc = function() {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getBoundingClientRect = function(el) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getTitle = function() {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.setTitle = function(newTitle) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.elementMatches = function(n, selector) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.isTemplateElement = function(el) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.isTextNode = function(node) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.isCommentNode = function(node) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.isElementNode = function(node) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.hasShadowRoot = function(node) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.isShadowRoot = function(node) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.importIntoDoc = function(node) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.adoptNode = function(node) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getHref = function(element) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getEventKey = function(event) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.resolveAndSetHref = function(element, baseUrl, href) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.supportsDOMEvents = function() {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.supportsNativeShadowDOM = function() {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getGlobalEventTarget = function(target) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getHistory = function() {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getLocation = function() {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getBaseHref = function() {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.resetBaseElement = function() {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getUserAgent = function() {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.setData = function(element, name, value) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getComputedStyle = function(element) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getData = function(element, name) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.setGlobalVar = function(name, value) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.requestAnimationFrame = function(callback) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.cancelAnimationFrame = function(id) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.performanceNow = function() {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getAnimationPrefix = function() {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.getTransitionEnd = function() {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.supportsAnimation = function() {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.supportsWebAnimation = function() {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.supportsCookies = function() {
      return false;
    };
    WorkerDomAdapter.prototype.getCookie = function(name) {
      throw 'not implemented';
    };
    WorkerDomAdapter.prototype.setCookie = function(name, value) {
      throw 'not implemented';
    };
    return WorkerDomAdapter;
  }(dom_adapter_1.DomAdapter));
  exports.WorkerDomAdapter = WorkerDomAdapter;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/worker_app.js", ["@angular/common", "@angular/core", "./browser", "./facade/lang", "./web_workers/shared/api", "./web_workers/shared/client_message_broker", "./web_workers/shared/message_bus", "./web_workers/shared/post_message_bus", "./web_workers/shared/render_store", "./web_workers/shared/serializer", "./web_workers/shared/service_message_broker", "./web_workers/worker/renderer", "./web_workers/worker/worker_adapter"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var common_1 = $__require('@angular/common');
  var core_1 = $__require('@angular/core');
  var browser_1 = $__require('./browser');
  var lang_1 = $__require('./facade/lang');
  var api_1 = $__require('./web_workers/shared/api');
  var client_message_broker_1 = $__require('./web_workers/shared/client_message_broker');
  var message_bus_1 = $__require('./web_workers/shared/message_bus');
  var post_message_bus_1 = $__require('./web_workers/shared/post_message_bus');
  var render_store_1 = $__require('./web_workers/shared/render_store');
  var serializer_1 = $__require('./web_workers/shared/serializer');
  var service_message_broker_1 = $__require('./web_workers/shared/service_message_broker');
  var renderer_1 = $__require('./web_workers/worker/renderer');
  var worker_adapter_1 = $__require('./web_workers/worker/worker_adapter');
  var PrintLogger = (function() {
    function PrintLogger() {
      this.log = lang_1.print;
      this.logError = lang_1.print;
      this.logGroup = lang_1.print;
    }
    PrintLogger.prototype.logGroupEnd = function() {};
    return PrintLogger;
  }());
  var WORKER_APP_PLATFORM_MARKER = new core_1.OpaqueToken('WorkerAppPlatformMarker');
  exports.WORKER_APP_PLATFORM_PROVIDERS = [core_1.PLATFORM_COMMON_PROVIDERS, {
    provide: WORKER_APP_PLATFORM_MARKER,
    useValue: true
  }];
  exports.WORKER_APP_APPLICATION_PROVIDERS = [core_1.APPLICATION_COMMON_PROVIDERS, common_1.FORM_PROVIDERS, browser_1.BROWSER_SANITIZATION_PROVIDERS, serializer_1.Serializer, {
    provide: client_message_broker_1.ClientMessageBrokerFactory,
    useClass: client_message_broker_1.ClientMessageBrokerFactory_
  }, {
    provide: service_message_broker_1.ServiceMessageBrokerFactory,
    useClass: service_message_broker_1.ServiceMessageBrokerFactory_
  }, renderer_1.WebWorkerRootRenderer, {
    provide: core_1.RootRenderer,
    useExisting: renderer_1.WebWorkerRootRenderer
  }, {
    provide: api_1.ON_WEB_WORKER,
    useValue: true
  }, render_store_1.RenderStore, {
    provide: core_1.ExceptionHandler,
    useFactory: _exceptionHandler,
    deps: []
  }, {
    provide: message_bus_1.MessageBus,
    useFactory: createMessageBus,
    deps: [core_1.NgZone]
  }, {
    provide: core_1.APP_INITIALIZER,
    useValue: setupWebWorker,
    multi: true
  }];
  function workerAppPlatform() {
    if (lang_1.isBlank(core_1.getPlatform())) {
      core_1.createPlatform(core_1.ReflectiveInjector.resolveAndCreate(exports.WORKER_APP_PLATFORM_PROVIDERS));
    }
    return core_1.assertPlatform(WORKER_APP_PLATFORM_MARKER);
  }
  exports.workerAppPlatform = workerAppPlatform;
  function _exceptionHandler() {
    return new core_1.ExceptionHandler(new PrintLogger());
  }
  var _postMessage = {postMessage: function(message, transferrables) {
      postMessage(message, transferrables);
    }};
  function createMessageBus(zone) {
    var sink = new post_message_bus_1.PostMessageBusSink(_postMessage);
    var source = new post_message_bus_1.PostMessageBusSource();
    var bus = new post_message_bus_1.PostMessageBus(sink, source);
    bus.attachToZone(zone);
    return bus;
  }
  function setupWebWorker() {
    worker_adapter_1.WorkerDomAdapter.makeCurrent();
  }
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/dom/debug/ng_probe.js", ["@angular/core", "../../../core_private", "../dom_adapter", "../dom_renderer"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var core_private_1 = $__require('../../../core_private');
  var dom_adapter_1 = $__require('../dom_adapter');
  var dom_renderer_1 = $__require('../dom_renderer');
  var CORE_TOKENS = {
    'ApplicationRef': core_1.ApplicationRef,
    'NgZone': core_1.NgZone
  };
  var INSPECT_GLOBAL_NAME = 'ng.probe';
  var CORE_TOKENS_GLOBAL_NAME = 'ng.coreTokens';
  function inspectNativeElement(element) {
    return core_1.getDebugNode(element);
  }
  exports.inspectNativeElement = inspectNativeElement;
  function _createConditionalRootRenderer(rootRenderer) {
    if (core_1.isDevMode()) {
      return _createRootRenderer(rootRenderer);
    }
    return rootRenderer;
  }
  function _createRootRenderer(rootRenderer) {
    dom_adapter_1.getDOM().setGlobalVar(INSPECT_GLOBAL_NAME, inspectNativeElement);
    dom_adapter_1.getDOM().setGlobalVar(CORE_TOKENS_GLOBAL_NAME, CORE_TOKENS);
    return new core_private_1.DebugDomRootRenderer(rootRenderer);
  }
  exports.ELEMENT_PROBE_PROVIDERS = [{
    provide: core_1.RootRenderer,
    useFactory: _createConditionalRootRenderer,
    deps: [dom_renderer_1.DomRootRenderer]
  }];
  exports.ELEMENT_PROBE_PROVIDERS_PROD_MODE = [{
    provide: core_1.RootRenderer,
    useFactory: _createRootRenderer,
    deps: [dom_renderer_1.DomRootRenderer]
  }];
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/core_private.js", ["@angular/core"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  exports.RenderDebugInfo = core_1.__core_private__.RenderDebugInfo;
  exports.wtfInit = core_1.__core_private__.wtfInit;
  exports.ReflectionCapabilities = core_1.__core_private__.ReflectionCapabilities;
  exports.VIEW_ENCAPSULATION_VALUES = core_1.__core_private__.VIEW_ENCAPSULATION_VALUES;
  exports.DebugDomRootRenderer = core_1.__core_private__.DebugDomRootRenderer;
  exports.SecurityContext = core_1.__core_private__.SecurityContext;
  exports.SanitizationService = core_1.__core_private__.SanitizationService;
  exports.reflector = core_1.__core_private__.reflector;
  exports.NoOpAnimationPlayer = core_1.__core_private__.NoOpAnimationPlayer;
  exports.AnimationPlayer = core_1.__core_private__.AnimationPlayer;
  exports.NoOpAnimationDriver = core_1.__core_private__.NoOpAnimationDriver;
  exports.AnimationDriver = core_1.__core_private__.AnimationDriver;
  exports.AnimationSequencePlayer = core_1.__core_private__.AnimationSequencePlayer;
  exports.AnimationGroupPlayer = core_1.__core_private__.AnimationGroupPlayer;
  exports.AnimationKeyframe = core_1.__core_private__.AnimationKeyframe;
  exports.AnimationStyles = core_1.__core_private__.AnimationStyles;
  exports.prepareFinalAnimationStyles = core_1.__core_private__.prepareFinalAnimationStyles;
  exports.balanceAnimationKeyframes = core_1.__core_private__.balanceAnimationKeyframes;
  exports.flattenStyles = core_1.__core_private__.flattenStyles;
  exports.clearStyles = core_1.__core_private__.clearStyles;
  exports.collectAndResolveStyles = core_1.__core_private__.collectAndResolveStyles;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/dom/util.js", ["../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('../facade/lang');
  var CAMEL_CASE_REGEXP = /([A-Z])/g;
  var DASH_CASE_REGEXP = /-([a-z])/g;
  function camelCaseToDashCase(input) {
    return lang_1.StringWrapper.replaceAllMapped(input, CAMEL_CASE_REGEXP, function(m) {
      return '-' + m[1].toLowerCase();
    });
  }
  exports.camelCaseToDashCase = camelCaseToDashCase;
  function dashCaseToCamelCase(input) {
    return lang_1.StringWrapper.replaceAllMapped(input, DASH_CASE_REGEXP, function(m) {
      return m[1].toUpperCase();
    });
  }
  exports.dashCaseToCamelCase = dashCaseToCamelCase;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/dom/dom_renderer.js", ["@angular/core", "../facade/exceptions", "../facade/lang", "./shared_styles_host", "../../core_private", "./events/event_manager", "./dom_tokens", "./dom_adapter", "./util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var shared_styles_host_1 = $__require('./shared_styles_host');
  var core_private_1 = $__require('../../core_private');
  var event_manager_1 = $__require('./events/event_manager');
  var dom_tokens_1 = $__require('./dom_tokens');
  var dom_adapter_1 = $__require('./dom_adapter');
  var util_1 = $__require('./util');
  var NAMESPACE_URIS = {
    'xlink': 'http://www.w3.org/1999/xlink',
    'svg': 'http://www.w3.org/2000/svg',
    'xhtml': 'http://www.w3.org/1999/xhtml'
  };
  var TEMPLATE_COMMENT_TEXT = 'template bindings={}';
  var TEMPLATE_BINDINGS_EXP = /^template bindings=(.*)$/g;
  var DomRootRenderer = (function() {
    function DomRootRenderer(document, eventManager, sharedStylesHost, animationDriver) {
      this.document = document;
      this.eventManager = eventManager;
      this.sharedStylesHost = sharedStylesHost;
      this.animationDriver = animationDriver;
      this.registeredComponents = new Map();
    }
    DomRootRenderer.prototype.renderComponent = function(componentProto) {
      var renderer = this.registeredComponents.get(componentProto.id);
      if (lang_1.isBlank(renderer)) {
        renderer = new DomRenderer(this, componentProto, this.animationDriver);
        this.registeredComponents.set(componentProto.id, renderer);
      }
      return renderer;
    };
    return DomRootRenderer;
  }());
  exports.DomRootRenderer = DomRootRenderer;
  var DomRootRenderer_ = (function(_super) {
    __extends(DomRootRenderer_, _super);
    function DomRootRenderer_(_document, _eventManager, sharedStylesHost, animationDriver) {
      _super.call(this, _document, _eventManager, sharedStylesHost, animationDriver);
    }
    DomRootRenderer_.decorators = [{type: core_1.Injectable}];
    DomRootRenderer_.ctorParameters = [{
      type: undefined,
      decorators: [{
        type: core_1.Inject,
        args: [dom_tokens_1.DOCUMENT]
      }]
    }, {type: event_manager_1.EventManager}, {type: shared_styles_host_1.DomSharedStylesHost}, {type: core_private_1.AnimationDriver}];
    return DomRootRenderer_;
  }(DomRootRenderer));
  exports.DomRootRenderer_ = DomRootRenderer_;
  var DomRenderer = (function() {
    function DomRenderer(_rootRenderer, componentProto, _animationDriver) {
      this._rootRenderer = _rootRenderer;
      this.componentProto = componentProto;
      this._animationDriver = _animationDriver;
      this._styles = _flattenStyles(componentProto.id, componentProto.styles, []);
      if (componentProto.encapsulation !== core_1.ViewEncapsulation.Native) {
        this._rootRenderer.sharedStylesHost.addStyles(this._styles);
      }
      if (this.componentProto.encapsulation === core_1.ViewEncapsulation.Emulated) {
        this._contentAttr = _shimContentAttribute(componentProto.id);
        this._hostAttr = _shimHostAttribute(componentProto.id);
      } else {
        this._contentAttr = null;
        this._hostAttr = null;
      }
    }
    DomRenderer.prototype.selectRootElement = function(selectorOrNode, debugInfo) {
      var el;
      if (lang_1.isString(selectorOrNode)) {
        el = dom_adapter_1.getDOM().querySelector(this._rootRenderer.document, selectorOrNode);
        if (lang_1.isBlank(el)) {
          throw new exceptions_1.BaseException("The selector \"" + selectorOrNode + "\" did not match any elements");
        }
      } else {
        el = selectorOrNode;
      }
      dom_adapter_1.getDOM().clearNodes(el);
      return el;
    };
    DomRenderer.prototype.createElement = function(parent, name, debugInfo) {
      var nsAndName = splitNamespace(name);
      var el = lang_1.isPresent(nsAndName[0]) ? dom_adapter_1.getDOM().createElementNS(NAMESPACE_URIS[nsAndName[0]], nsAndName[1]) : dom_adapter_1.getDOM().createElement(nsAndName[1]);
      if (lang_1.isPresent(this._contentAttr)) {
        dom_adapter_1.getDOM().setAttribute(el, this._contentAttr, '');
      }
      if (lang_1.isPresent(parent)) {
        dom_adapter_1.getDOM().appendChild(parent, el);
      }
      return el;
    };
    DomRenderer.prototype.createViewRoot = function(hostElement) {
      var nodesParent;
      if (this.componentProto.encapsulation === core_1.ViewEncapsulation.Native) {
        nodesParent = dom_adapter_1.getDOM().createShadowRoot(hostElement);
        this._rootRenderer.sharedStylesHost.addHost(nodesParent);
        for (var i = 0; i < this._styles.length; i++) {
          dom_adapter_1.getDOM().appendChild(nodesParent, dom_adapter_1.getDOM().createStyleElement(this._styles[i]));
        }
      } else {
        if (lang_1.isPresent(this._hostAttr)) {
          dom_adapter_1.getDOM().setAttribute(hostElement, this._hostAttr, '');
        }
        nodesParent = hostElement;
      }
      return nodesParent;
    };
    DomRenderer.prototype.createTemplateAnchor = function(parentElement, debugInfo) {
      var comment = dom_adapter_1.getDOM().createComment(TEMPLATE_COMMENT_TEXT);
      if (lang_1.isPresent(parentElement)) {
        dom_adapter_1.getDOM().appendChild(parentElement, comment);
      }
      return comment;
    };
    DomRenderer.prototype.createText = function(parentElement, value, debugInfo) {
      var node = dom_adapter_1.getDOM().createTextNode(value);
      if (lang_1.isPresent(parentElement)) {
        dom_adapter_1.getDOM().appendChild(parentElement, node);
      }
      return node;
    };
    DomRenderer.prototype.projectNodes = function(parentElement, nodes) {
      if (lang_1.isBlank(parentElement))
        return;
      appendNodes(parentElement, nodes);
    };
    DomRenderer.prototype.attachViewAfter = function(node, viewRootNodes) {
      moveNodesAfterSibling(node, viewRootNodes);
    };
    DomRenderer.prototype.detachView = function(viewRootNodes) {
      for (var i = 0; i < viewRootNodes.length; i++) {
        dom_adapter_1.getDOM().remove(viewRootNodes[i]);
      }
    };
    DomRenderer.prototype.destroyView = function(hostElement, viewAllNodes) {
      if (this.componentProto.encapsulation === core_1.ViewEncapsulation.Native && lang_1.isPresent(hostElement)) {
        this._rootRenderer.sharedStylesHost.removeHost(dom_adapter_1.getDOM().getShadowRoot(hostElement));
      }
    };
    DomRenderer.prototype.listen = function(renderElement, name, callback) {
      return this._rootRenderer.eventManager.addEventListener(renderElement, name, decoratePreventDefault(callback));
    };
    DomRenderer.prototype.listenGlobal = function(target, name, callback) {
      return this._rootRenderer.eventManager.addGlobalEventListener(target, name, decoratePreventDefault(callback));
    };
    DomRenderer.prototype.setElementProperty = function(renderElement, propertyName, propertyValue) {
      dom_adapter_1.getDOM().setProperty(renderElement, propertyName, propertyValue);
    };
    DomRenderer.prototype.setElementAttribute = function(renderElement, attributeName, attributeValue) {
      var attrNs;
      var nsAndName = splitNamespace(attributeName);
      if (lang_1.isPresent(nsAndName[0])) {
        attributeName = nsAndName[0] + ':' + nsAndName[1];
        attrNs = NAMESPACE_URIS[nsAndName[0]];
      }
      if (lang_1.isPresent(attributeValue)) {
        if (lang_1.isPresent(attrNs)) {
          dom_adapter_1.getDOM().setAttributeNS(renderElement, attrNs, attributeName, attributeValue);
        } else {
          dom_adapter_1.getDOM().setAttribute(renderElement, attributeName, attributeValue);
        }
      } else {
        if (lang_1.isPresent(attrNs)) {
          dom_adapter_1.getDOM().removeAttributeNS(renderElement, attrNs, nsAndName[1]);
        } else {
          dom_adapter_1.getDOM().removeAttribute(renderElement, attributeName);
        }
      }
    };
    DomRenderer.prototype.setBindingDebugInfo = function(renderElement, propertyName, propertyValue) {
      var dashCasedPropertyName = util_1.camelCaseToDashCase(propertyName);
      if (dom_adapter_1.getDOM().isCommentNode(renderElement)) {
        var existingBindings = lang_1.RegExpWrapper.firstMatch(TEMPLATE_BINDINGS_EXP, lang_1.StringWrapper.replaceAll(dom_adapter_1.getDOM().getText(renderElement), /\n/g, ''));
        var parsedBindings = lang_1.Json.parse(existingBindings[1]);
        parsedBindings[dashCasedPropertyName] = propertyValue;
        dom_adapter_1.getDOM().setText(renderElement, lang_1.StringWrapper.replace(TEMPLATE_COMMENT_TEXT, '{}', lang_1.Json.stringify(parsedBindings)));
      } else {
        this.setElementAttribute(renderElement, propertyName, propertyValue);
      }
    };
    DomRenderer.prototype.setElementClass = function(renderElement, className, isAdd) {
      if (isAdd) {
        dom_adapter_1.getDOM().addClass(renderElement, className);
      } else {
        dom_adapter_1.getDOM().removeClass(renderElement, className);
      }
    };
    DomRenderer.prototype.setElementStyle = function(renderElement, styleName, styleValue) {
      if (lang_1.isPresent(styleValue)) {
        dom_adapter_1.getDOM().setStyle(renderElement, styleName, lang_1.stringify(styleValue));
      } else {
        dom_adapter_1.getDOM().removeStyle(renderElement, styleName);
      }
    };
    DomRenderer.prototype.invokeElementMethod = function(renderElement, methodName, args) {
      dom_adapter_1.getDOM().invoke(renderElement, methodName, args);
    };
    DomRenderer.prototype.setText = function(renderNode, text) {
      dom_adapter_1.getDOM().setText(renderNode, text);
    };
    DomRenderer.prototype.animate = function(element, startingStyles, keyframes, duration, delay, easing) {
      return this._animationDriver.animate(element, startingStyles, keyframes, duration, delay, easing);
    };
    return DomRenderer;
  }());
  exports.DomRenderer = DomRenderer;
  function moveNodesAfterSibling(sibling, nodes) {
    var parent = dom_adapter_1.getDOM().parentElement(sibling);
    if (nodes.length > 0 && lang_1.isPresent(parent)) {
      var nextSibling = dom_adapter_1.getDOM().nextSibling(sibling);
      if (lang_1.isPresent(nextSibling)) {
        for (var i = 0; i < nodes.length; i++) {
          dom_adapter_1.getDOM().insertBefore(nextSibling, nodes[i]);
        }
      } else {
        for (var i = 0; i < nodes.length; i++) {
          dom_adapter_1.getDOM().appendChild(parent, nodes[i]);
        }
      }
    }
  }
  function appendNodes(parent, nodes) {
    for (var i = 0; i < nodes.length; i++) {
      dom_adapter_1.getDOM().appendChild(parent, nodes[i]);
    }
  }
  function decoratePreventDefault(eventHandler) {
    return function(event) {
      var allowDefaultBehavior = eventHandler(event);
      if (allowDefaultBehavior === false) {
        dom_adapter_1.getDOM().preventDefault(event);
      }
    };
  }
  var COMPONENT_REGEX = /%COMP%/g;
  exports.COMPONENT_VARIABLE = '%COMP%';
  exports.HOST_ATTR = "_nghost-" + exports.COMPONENT_VARIABLE;
  exports.CONTENT_ATTR = "_ngcontent-" + exports.COMPONENT_VARIABLE;
  function _shimContentAttribute(componentShortId) {
    return lang_1.StringWrapper.replaceAll(exports.CONTENT_ATTR, COMPONENT_REGEX, componentShortId);
  }
  function _shimHostAttribute(componentShortId) {
    return lang_1.StringWrapper.replaceAll(exports.HOST_ATTR, COMPONENT_REGEX, componentShortId);
  }
  function _flattenStyles(compId, styles, target) {
    for (var i = 0; i < styles.length; i++) {
      var style = styles[i];
      if (lang_1.isArray(style)) {
        _flattenStyles(compId, style, target);
      } else {
        style = lang_1.StringWrapper.replaceAll(style, COMPONENT_REGEX, compId);
        target.push(style);
      }
    }
    return target;
  }
  var NS_PREFIX_RE = /^:([^:]+):(.+)/g;
  function splitNamespace(name) {
    if (name[0] != ':') {
      return [null, name];
    }
    var match = lang_1.RegExpWrapper.firstMatch(NS_PREFIX_RE, name);
    return [match[1], match[2]];
  }
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/facade/base_wrapped_exception.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var BaseWrappedException = (function(_super) {
    __extends(BaseWrappedException, _super);
    function BaseWrappedException(message) {
      _super.call(this, message);
    }
    Object.defineProperty(BaseWrappedException.prototype, "wrapperMessage", {
      get: function() {
        return '';
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "wrapperStack", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "originalException", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "originalStack", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "context", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "message", {
      get: function() {
        return '';
      },
      enumerable: true,
      configurable: true
    });
    return BaseWrappedException;
  }(Error));
  exports.BaseWrappedException = BaseWrappedException;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/facade/exception_handler.js", ["./base_wrapped_exception", "./collection", "./lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var base_wrapped_exception_1 = $__require('./base_wrapped_exception');
  var collection_1 = $__require('./collection');
  var lang_1 = $__require('./lang');
  var _ArrayLogger = (function() {
    function _ArrayLogger() {
      this.res = [];
    }
    _ArrayLogger.prototype.log = function(s) {
      this.res.push(s);
    };
    _ArrayLogger.prototype.logError = function(s) {
      this.res.push(s);
    };
    _ArrayLogger.prototype.logGroup = function(s) {
      this.res.push(s);
    };
    _ArrayLogger.prototype.logGroupEnd = function() {};
    ;
    return _ArrayLogger;
  }());
  var ExceptionHandler = (function() {
    function ExceptionHandler(_logger, _rethrowException) {
      if (_rethrowException === void 0) {
        _rethrowException = true;
      }
      this._logger = _logger;
      this._rethrowException = _rethrowException;
    }
    ExceptionHandler.exceptionToString = function(exception, stackTrace, reason) {
      if (stackTrace === void 0) {
        stackTrace = null;
      }
      if (reason === void 0) {
        reason = null;
      }
      var l = new _ArrayLogger();
      var e = new ExceptionHandler(l, false);
      e.call(exception, stackTrace, reason);
      return l.res.join('\n');
    };
    ExceptionHandler.prototype.call = function(exception, stackTrace, reason) {
      if (stackTrace === void 0) {
        stackTrace = null;
      }
      if (reason === void 0) {
        reason = null;
      }
      var originalException = this._findOriginalException(exception);
      var originalStack = this._findOriginalStack(exception);
      var context = this._findContext(exception);
      this._logger.logGroup("EXCEPTION: " + this._extractMessage(exception));
      if (lang_1.isPresent(stackTrace) && lang_1.isBlank(originalStack)) {
        this._logger.logError('STACKTRACE:');
        this._logger.logError(this._longStackTrace(stackTrace));
      }
      if (lang_1.isPresent(reason)) {
        this._logger.logError("REASON: " + reason);
      }
      if (lang_1.isPresent(originalException)) {
        this._logger.logError("ORIGINAL EXCEPTION: " + this._extractMessage(originalException));
      }
      if (lang_1.isPresent(originalStack)) {
        this._logger.logError('ORIGINAL STACKTRACE:');
        this._logger.logError(this._longStackTrace(originalStack));
      }
      if (lang_1.isPresent(context)) {
        this._logger.logError('ERROR CONTEXT:');
        this._logger.logError(context);
      }
      this._logger.logGroupEnd();
      if (this._rethrowException)
        throw exception;
    };
    ExceptionHandler.prototype._extractMessage = function(exception) {
      return exception instanceof base_wrapped_exception_1.BaseWrappedException ? exception.wrapperMessage : exception.toString();
    };
    ExceptionHandler.prototype._longStackTrace = function(stackTrace) {
      return collection_1.isListLikeIterable(stackTrace) ? stackTrace.join('\n\n-----async gap-----\n') : stackTrace.toString();
    };
    ExceptionHandler.prototype._findContext = function(exception) {
      try {
        if (!(exception instanceof base_wrapped_exception_1.BaseWrappedException))
          return null;
        return lang_1.isPresent(exception.context) ? exception.context : this._findContext(exception.originalException);
      } catch (e) {
        return null;
      }
    };
    ExceptionHandler.prototype._findOriginalException = function(exception) {
      if (!(exception instanceof base_wrapped_exception_1.BaseWrappedException))
        return null;
      var e = exception.originalException;
      while (e instanceof base_wrapped_exception_1.BaseWrappedException && lang_1.isPresent(e.originalException)) {
        e = e.originalException;
      }
      return e;
    };
    ExceptionHandler.prototype._findOriginalStack = function(exception) {
      if (!(exception instanceof base_wrapped_exception_1.BaseWrappedException))
        return null;
      var e = exception;
      var stack = exception.originalStack;
      while (e instanceof base_wrapped_exception_1.BaseWrappedException && lang_1.isPresent(e.originalException)) {
        e = e.originalException;
        if (e instanceof base_wrapped_exception_1.BaseWrappedException && lang_1.isPresent(e.originalException)) {
          stack = e.originalStack;
        }
      }
      return stack;
    };
    return ExceptionHandler;
  }());
  exports.ExceptionHandler = ExceptionHandler;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/facade/exceptions.js", ["./base_wrapped_exception", "./exception_handler"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var base_wrapped_exception_1 = $__require('./base_wrapped_exception');
  var exception_handler_1 = $__require('./exception_handler');
  var exception_handler_2 = $__require('./exception_handler');
  exports.ExceptionHandler = exception_handler_2.ExceptionHandler;
  var BaseException = (function(_super) {
    __extends(BaseException, _super);
    function BaseException(message) {
      if (message === void 0) {
        message = '--';
      }
      _super.call(this, message);
      this.message = message;
      this.stack = (new Error(message)).stack;
    }
    BaseException.prototype.toString = function() {
      return this.message;
    };
    return BaseException;
  }(Error));
  exports.BaseException = BaseException;
  var WrappedException = (function(_super) {
    __extends(WrappedException, _super);
    function WrappedException(_wrapperMessage, _originalException, _originalStack, _context) {
      _super.call(this, _wrapperMessage);
      this._wrapperMessage = _wrapperMessage;
      this._originalException = _originalException;
      this._originalStack = _originalStack;
      this._context = _context;
      this._wrapperStack = (new Error(_wrapperMessage)).stack;
    }
    Object.defineProperty(WrappedException.prototype, "wrapperMessage", {
      get: function() {
        return this._wrapperMessage;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "wrapperStack", {
      get: function() {
        return this._wrapperStack;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "originalException", {
      get: function() {
        return this._originalException;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "originalStack", {
      get: function() {
        return this._originalStack;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "context", {
      get: function() {
        return this._context;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "message", {
      get: function() {
        return exception_handler_1.ExceptionHandler.exceptionToString(this);
      },
      enumerable: true,
      configurable: true
    });
    WrappedException.prototype.toString = function() {
      return this.message;
    };
    return WrappedException;
  }(base_wrapped_exception_1.BaseWrappedException));
  exports.WrappedException = WrappedException;
  function makeTypeError(message) {
    return new TypeError(message);
  }
  exports.makeTypeError = makeTypeError;
  function unimplemented() {
    throw new BaseException('unimplemented');
  }
  exports.unimplemented = unimplemented;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/dom/events/event_manager.js", ["@angular/core", "../../facade/collection", "../../facade/exceptions"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var collection_1 = $__require('../../facade/collection');
  var exceptions_1 = $__require('../../facade/exceptions');
  exports.EVENT_MANAGER_PLUGINS = new core_1.OpaqueToken('EventManagerPlugins');
  var EventManager = (function() {
    function EventManager(plugins, _zone) {
      var _this = this;
      this._zone = _zone;
      plugins.forEach(function(p) {
        return p.manager = _this;
      });
      this._plugins = collection_1.ListWrapper.reversed(plugins);
    }
    EventManager.prototype.addEventListener = function(element, eventName, handler) {
      var plugin = this._findPluginFor(eventName);
      return plugin.addEventListener(element, eventName, handler);
    };
    EventManager.prototype.addGlobalEventListener = function(target, eventName, handler) {
      var plugin = this._findPluginFor(eventName);
      return plugin.addGlobalEventListener(target, eventName, handler);
    };
    EventManager.prototype.getZone = function() {
      return this._zone;
    };
    EventManager.prototype._findPluginFor = function(eventName) {
      var plugins = this._plugins;
      for (var i = 0; i < plugins.length; i++) {
        var plugin = plugins[i];
        if (plugin.supports(eventName)) {
          return plugin;
        }
      }
      throw new exceptions_1.BaseException("No event manager plugin found for event " + eventName);
    };
    EventManager.decorators = [{type: core_1.Injectable}];
    EventManager.ctorParameters = [{
      type: Array,
      decorators: [{
        type: core_1.Inject,
        args: [exports.EVENT_MANAGER_PLUGINS]
      }]
    }, {type: core_1.NgZone}];
    return EventManager;
  }());
  exports.EventManager = EventManager;
  var EventManagerPlugin = (function() {
    function EventManagerPlugin() {}
    EventManagerPlugin.prototype.supports = function(eventName) {
      return false;
    };
    EventManagerPlugin.prototype.addEventListener = function(element, eventName, handler) {
      throw 'not implemented';
    };
    EventManagerPlugin.prototype.addGlobalEventListener = function(element, eventName, handler) {
      throw 'not implemented';
    };
    return EventManagerPlugin;
  }());
  exports.EventManagerPlugin = EventManagerPlugin;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/dom/events/dom_events.js", ["@angular/core", "../dom_adapter", "./event_manager"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var dom_adapter_1 = $__require('../dom_adapter');
  var event_manager_1 = $__require('./event_manager');
  var DomEventsPlugin = (function(_super) {
    __extends(DomEventsPlugin, _super);
    function DomEventsPlugin() {
      _super.apply(this, arguments);
    }
    DomEventsPlugin.prototype.supports = function(eventName) {
      return true;
    };
    DomEventsPlugin.prototype.addEventListener = function(element, eventName, handler) {
      var zone = this.manager.getZone();
      var outsideHandler = function(event) {
        return zone.runGuarded(function() {
          return handler(event);
        });
      };
      return this.manager.getZone().runOutsideAngular(function() {
        return dom_adapter_1.getDOM().onAndCancel(element, eventName, outsideHandler);
      });
    };
    DomEventsPlugin.prototype.addGlobalEventListener = function(target, eventName, handler) {
      var element = dom_adapter_1.getDOM().getGlobalEventTarget(target);
      var zone = this.manager.getZone();
      var outsideHandler = function(event) {
        return zone.runGuarded(function() {
          return handler(event);
        });
      };
      return this.manager.getZone().runOutsideAngular(function() {
        return dom_adapter_1.getDOM().onAndCancel(element, eventName, outsideHandler);
      });
    };
    DomEventsPlugin.decorators = [{type: core_1.Injectable}];
    return DomEventsPlugin;
  }(event_manager_1.EventManagerPlugin));
  exports.DomEventsPlugin = DomEventsPlugin;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/facade/collection.js", ["./lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('./lang');
  exports.Map = lang_1.global.Map;
  exports.Set = lang_1.global.Set;
  var createMapFromPairs = (function() {
    try {
      if (new exports.Map([[1, 2]]).size === 1) {
        return function createMapFromPairs(pairs) {
          return new exports.Map(pairs);
        };
      }
    } catch (e) {}
    return function createMapAndPopulateFromPairs(pairs) {
      var map = new exports.Map();
      for (var i = 0; i < pairs.length; i++) {
        var pair = pairs[i];
        map.set(pair[0], pair[1]);
      }
      return map;
    };
  })();
  var createMapFromMap = (function() {
    try {
      if (new exports.Map(new exports.Map())) {
        return function createMapFromMap(m) {
          return new exports.Map(m);
        };
      }
    } catch (e) {}
    return function createMapAndPopulateFromMap(m) {
      var map = new exports.Map();
      m.forEach(function(v, k) {
        map.set(k, v);
      });
      return map;
    };
  })();
  var _clearValues = (function() {
    if ((new exports.Map()).keys().next) {
      return function _clearValues(m) {
        var keyIterator = m.keys();
        var k;
        while (!((k = keyIterator.next()).done)) {
          m.set(k.value, null);
        }
      };
    } else {
      return function _clearValuesWithForeEach(m) {
        m.forEach(function(v, k) {
          m.set(k, null);
        });
      };
    }
  })();
  var _arrayFromMap = (function() {
    try {
      if ((new exports.Map()).values().next) {
        return function createArrayFromMap(m, getValues) {
          return getValues ? Array.from(m.values()) : Array.from(m.keys());
        };
      }
    } catch (e) {}
    return function createArrayFromMapWithForeach(m, getValues) {
      var res = ListWrapper.createFixedSize(m.size),
          i = 0;
      m.forEach(function(v, k) {
        res[i] = getValues ? v : k;
        i++;
      });
      return res;
    };
  })();
  var MapWrapper = (function() {
    function MapWrapper() {}
    MapWrapper.clone = function(m) {
      return createMapFromMap(m);
    };
    MapWrapper.createFromStringMap = function(stringMap) {
      var result = new exports.Map();
      for (var prop in stringMap) {
        result.set(prop, stringMap[prop]);
      }
      return result;
    };
    MapWrapper.toStringMap = function(m) {
      var r = {};
      m.forEach(function(v, k) {
        return r[k] = v;
      });
      return r;
    };
    MapWrapper.createFromPairs = function(pairs) {
      return createMapFromPairs(pairs);
    };
    MapWrapper.clearValues = function(m) {
      _clearValues(m);
    };
    MapWrapper.iterable = function(m) {
      return m;
    };
    MapWrapper.keys = function(m) {
      return _arrayFromMap(m, false);
    };
    MapWrapper.values = function(m) {
      return _arrayFromMap(m, true);
    };
    return MapWrapper;
  }());
  exports.MapWrapper = MapWrapper;
  var StringMapWrapper = (function() {
    function StringMapWrapper() {}
    StringMapWrapper.create = function() {
      return {};
    };
    StringMapWrapper.contains = function(map, key) {
      return map.hasOwnProperty(key);
    };
    StringMapWrapper.get = function(map, key) {
      return map.hasOwnProperty(key) ? map[key] : undefined;
    };
    StringMapWrapper.set = function(map, key, value) {
      map[key] = value;
    };
    StringMapWrapper.keys = function(map) {
      return Object.keys(map);
    };
    StringMapWrapper.values = function(map) {
      return Object.keys(map).reduce(function(r, a) {
        r.push(map[a]);
        return r;
      }, []);
    };
    StringMapWrapper.isEmpty = function(map) {
      for (var prop in map) {
        return false;
      }
      return true;
    };
    StringMapWrapper.delete = function(map, key) {
      delete map[key];
    };
    StringMapWrapper.forEach = function(map, callback) {
      for (var prop in map) {
        if (map.hasOwnProperty(prop)) {
          callback(map[prop], prop);
        }
      }
    };
    StringMapWrapper.merge = function(m1, m2) {
      var m = {};
      for (var attr in m1) {
        if (m1.hasOwnProperty(attr)) {
          m[attr] = m1[attr];
        }
      }
      for (var attr in m2) {
        if (m2.hasOwnProperty(attr)) {
          m[attr] = m2[attr];
        }
      }
      return m;
    };
    StringMapWrapper.equals = function(m1, m2) {
      var k1 = Object.keys(m1);
      var k2 = Object.keys(m2);
      if (k1.length != k2.length) {
        return false;
      }
      var key;
      for (var i = 0; i < k1.length; i++) {
        key = k1[i];
        if (m1[key] !== m2[key]) {
          return false;
        }
      }
      return true;
    };
    return StringMapWrapper;
  }());
  exports.StringMapWrapper = StringMapWrapper;
  var ListWrapper = (function() {
    function ListWrapper() {}
    ListWrapper.createFixedSize = function(size) {
      return new Array(size);
    };
    ListWrapper.createGrowableSize = function(size) {
      return new Array(size);
    };
    ListWrapper.clone = function(array) {
      return array.slice(0);
    };
    ListWrapper.forEachWithIndex = function(array, fn) {
      for (var i = 0; i < array.length; i++) {
        fn(array[i], i);
      }
    };
    ListWrapper.first = function(array) {
      if (!array)
        return null;
      return array[0];
    };
    ListWrapper.last = function(array) {
      if (!array || array.length == 0)
        return null;
      return array[array.length - 1];
    };
    ListWrapper.indexOf = function(array, value, startIndex) {
      if (startIndex === void 0) {
        startIndex = 0;
      }
      return array.indexOf(value, startIndex);
    };
    ListWrapper.contains = function(list, el) {
      return list.indexOf(el) !== -1;
    };
    ListWrapper.reversed = function(array) {
      var a = ListWrapper.clone(array);
      return a.reverse();
    };
    ListWrapper.concat = function(a, b) {
      return a.concat(b);
    };
    ListWrapper.insert = function(list, index, value) {
      list.splice(index, 0, value);
    };
    ListWrapper.removeAt = function(list, index) {
      var res = list[index];
      list.splice(index, 1);
      return res;
    };
    ListWrapper.removeAll = function(list, items) {
      for (var i = 0; i < items.length; ++i) {
        var index = list.indexOf(items[i]);
        list.splice(index, 1);
      }
    };
    ListWrapper.remove = function(list, el) {
      var index = list.indexOf(el);
      if (index > -1) {
        list.splice(index, 1);
        return true;
      }
      return false;
    };
    ListWrapper.clear = function(list) {
      list.length = 0;
    };
    ListWrapper.isEmpty = function(list) {
      return list.length == 0;
    };
    ListWrapper.fill = function(list, value, start, end) {
      if (start === void 0) {
        start = 0;
      }
      if (end === void 0) {
        end = null;
      }
      list.fill(value, start, end === null ? list.length : end);
    };
    ListWrapper.equals = function(a, b) {
      if (a.length != b.length)
        return false;
      for (var i = 0; i < a.length; ++i) {
        if (a[i] !== b[i])
          return false;
      }
      return true;
    };
    ListWrapper.slice = function(l, from, to) {
      if (from === void 0) {
        from = 0;
      }
      if (to === void 0) {
        to = null;
      }
      return l.slice(from, to === null ? undefined : to);
    };
    ListWrapper.splice = function(l, from, length) {
      return l.splice(from, length);
    };
    ListWrapper.sort = function(l, compareFn) {
      if (lang_1.isPresent(compareFn)) {
        l.sort(compareFn);
      } else {
        l.sort();
      }
    };
    ListWrapper.toString = function(l) {
      return l.toString();
    };
    ListWrapper.toJSON = function(l) {
      return JSON.stringify(l);
    };
    ListWrapper.maximum = function(list, predicate) {
      if (list.length == 0) {
        return null;
      }
      var solution = null;
      var maxValue = -Infinity;
      for (var index = 0; index < list.length; index++) {
        var candidate = list[index];
        if (lang_1.isBlank(candidate)) {
          continue;
        }
        var candidateValue = predicate(candidate);
        if (candidateValue > maxValue) {
          solution = candidate;
          maxValue = candidateValue;
        }
      }
      return solution;
    };
    ListWrapper.flatten = function(list) {
      var target = [];
      _flattenArray(list, target);
      return target;
    };
    ListWrapper.addAll = function(list, source) {
      for (var i = 0; i < source.length; i++) {
        list.push(source[i]);
      }
    };
    return ListWrapper;
  }());
  exports.ListWrapper = ListWrapper;
  function _flattenArray(source, target) {
    if (lang_1.isPresent(source)) {
      for (var i = 0; i < source.length; i++) {
        var item = source[i];
        if (lang_1.isArray(item)) {
          _flattenArray(item, target);
        } else {
          target.push(item);
        }
      }
    }
    return target;
  }
  function isListLikeIterable(obj) {
    if (!lang_1.isJsObject(obj))
      return false;
    return lang_1.isArray(obj) || (!(obj instanceof exports.Map) && lang_1.getSymbolIterator() in obj);
  }
  exports.isListLikeIterable = isListLikeIterable;
  function areIterablesEqual(a, b, comparator) {
    var iterator1 = a[lang_1.getSymbolIterator()]();
    var iterator2 = b[lang_1.getSymbolIterator()]();
    while (true) {
      var item1 = iterator1.next();
      var item2 = iterator2.next();
      if (item1.done && item2.done)
        return true;
      if (item1.done || item2.done)
        return false;
      if (!comparator(item1.value, item2.value))
        return false;
    }
  }
  exports.areIterablesEqual = areIterablesEqual;
  function iterateListLike(obj, fn) {
    if (lang_1.isArray(obj)) {
      for (var i = 0; i < obj.length; i++) {
        fn(obj[i]);
      }
    } else {
      var iterator = obj[lang_1.getSymbolIterator()]();
      var item;
      while (!((item = iterator.next()).done)) {
        fn(item.value);
      }
    }
  }
  exports.iterateListLike = iterateListLike;
  var createSetFromList = (function() {
    var test = new exports.Set([1, 2, 3]);
    if (test.size === 3) {
      return function createSetFromList(lst) {
        return new exports.Set(lst);
      };
    } else {
      return function createSetAndPopulateFromList(lst) {
        var res = new exports.Set(lst);
        if (res.size !== lst.length) {
          for (var i = 0; i < lst.length; i++) {
            res.add(lst[i]);
          }
        }
        return res;
      };
    }
  })();
  var SetWrapper = (function() {
    function SetWrapper() {}
    SetWrapper.createFromList = function(lst) {
      return createSetFromList(lst);
    };
    SetWrapper.has = function(s, key) {
      return s.has(key);
    };
    SetWrapper.delete = function(m, k) {
      m.delete(k);
    };
    return SetWrapper;
  }());
  exports.SetWrapper = SetWrapper;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/facade/lang.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var globalScope;
  if (typeof window === 'undefined') {
    if (typeof WorkerGlobalScope !== 'undefined' && self instanceof WorkerGlobalScope) {
      globalScope = self;
    } else {
      globalScope = global;
    }
  } else {
    globalScope = window;
  }
  function scheduleMicroTask(fn) {
    Zone.current.scheduleMicroTask('scheduleMicrotask', fn);
  }
  exports.scheduleMicroTask = scheduleMicroTask;
  exports.IS_DART = false;
  var _global = globalScope;
  exports.global = _global;
  exports.Type = Function;
  function getTypeNameForDebugging(type) {
    if (type['name']) {
      return type['name'];
    }
    return typeof type;
  }
  exports.getTypeNameForDebugging = getTypeNameForDebugging;
  exports.Math = _global.Math;
  exports.Date = _global.Date;
  _global.assert = function assert(condition) {};
  function isPresent(obj) {
    return obj !== undefined && obj !== null;
  }
  exports.isPresent = isPresent;
  function isBlank(obj) {
    return obj === undefined || obj === null;
  }
  exports.isBlank = isBlank;
  function isBoolean(obj) {
    return typeof obj === 'boolean';
  }
  exports.isBoolean = isBoolean;
  function isNumber(obj) {
    return typeof obj === 'number';
  }
  exports.isNumber = isNumber;
  function isString(obj) {
    return typeof obj === 'string';
  }
  exports.isString = isString;
  function isFunction(obj) {
    return typeof obj === 'function';
  }
  exports.isFunction = isFunction;
  function isType(obj) {
    return isFunction(obj);
  }
  exports.isType = isType;
  function isStringMap(obj) {
    return typeof obj === 'object' && obj !== null;
  }
  exports.isStringMap = isStringMap;
  var STRING_MAP_PROTO = Object.getPrototypeOf({});
  function isStrictStringMap(obj) {
    return isStringMap(obj) && Object.getPrototypeOf(obj) === STRING_MAP_PROTO;
  }
  exports.isStrictStringMap = isStrictStringMap;
  function isPromise(obj) {
    return obj instanceof _global.Promise;
  }
  exports.isPromise = isPromise;
  function isArray(obj) {
    return Array.isArray(obj);
  }
  exports.isArray = isArray;
  function isDate(obj) {
    return obj instanceof exports.Date && !isNaN(obj.valueOf());
  }
  exports.isDate = isDate;
  function noop() {}
  exports.noop = noop;
  function stringify(token) {
    if (typeof token === 'string') {
      return token;
    }
    if (token === undefined || token === null) {
      return '' + token;
    }
    if (token.name) {
      return token.name;
    }
    if (token.overriddenName) {
      return token.overriddenName;
    }
    var res = token.toString();
    var newLineIndex = res.indexOf('\n');
    return (newLineIndex === -1) ? res : res.substring(0, newLineIndex);
  }
  exports.stringify = stringify;
  function serializeEnum(val) {
    return val;
  }
  exports.serializeEnum = serializeEnum;
  function deserializeEnum(val, values) {
    return val;
  }
  exports.deserializeEnum = deserializeEnum;
  function resolveEnumToken(enumValue, val) {
    return enumValue[val];
  }
  exports.resolveEnumToken = resolveEnumToken;
  var StringWrapper = (function() {
    function StringWrapper() {}
    StringWrapper.fromCharCode = function(code) {
      return String.fromCharCode(code);
    };
    StringWrapper.charCodeAt = function(s, index) {
      return s.charCodeAt(index);
    };
    StringWrapper.split = function(s, regExp) {
      return s.split(regExp);
    };
    StringWrapper.equals = function(s, s2) {
      return s === s2;
    };
    StringWrapper.stripLeft = function(s, charVal) {
      if (s && s.length) {
        var pos = 0;
        for (var i = 0; i < s.length; i++) {
          if (s[i] != charVal)
            break;
          pos++;
        }
        s = s.substring(pos);
      }
      return s;
    };
    StringWrapper.stripRight = function(s, charVal) {
      if (s && s.length) {
        var pos = s.length;
        for (var i = s.length - 1; i >= 0; i--) {
          if (s[i] != charVal)
            break;
          pos--;
        }
        s = s.substring(0, pos);
      }
      return s;
    };
    StringWrapper.replace = function(s, from, replace) {
      return s.replace(from, replace);
    };
    StringWrapper.replaceAll = function(s, from, replace) {
      return s.replace(from, replace);
    };
    StringWrapper.slice = function(s, from, to) {
      if (from === void 0) {
        from = 0;
      }
      if (to === void 0) {
        to = null;
      }
      return s.slice(from, to === null ? undefined : to);
    };
    StringWrapper.replaceAllMapped = function(s, from, cb) {
      return s.replace(from, function() {
        var matches = [];
        for (var _i = 0; _i < arguments.length; _i++) {
          matches[_i - 0] = arguments[_i];
        }
        matches.splice(-2, 2);
        return cb(matches);
      });
    };
    StringWrapper.contains = function(s, substr) {
      return s.indexOf(substr) != -1;
    };
    StringWrapper.compare = function(a, b) {
      if (a < b) {
        return -1;
      } else if (a > b) {
        return 1;
      } else {
        return 0;
      }
    };
    return StringWrapper;
  }());
  exports.StringWrapper = StringWrapper;
  var StringJoiner = (function() {
    function StringJoiner(parts) {
      if (parts === void 0) {
        parts = [];
      }
      this.parts = parts;
    }
    StringJoiner.prototype.add = function(part) {
      this.parts.push(part);
    };
    StringJoiner.prototype.toString = function() {
      return this.parts.join('');
    };
    return StringJoiner;
  }());
  exports.StringJoiner = StringJoiner;
  var NumberParseError = (function(_super) {
    __extends(NumberParseError, _super);
    function NumberParseError(message) {
      _super.call(this);
      this.message = message;
    }
    NumberParseError.prototype.toString = function() {
      return this.message;
    };
    return NumberParseError;
  }(Error));
  exports.NumberParseError = NumberParseError;
  var NumberWrapper = (function() {
    function NumberWrapper() {}
    NumberWrapper.toFixed = function(n, fractionDigits) {
      return n.toFixed(fractionDigits);
    };
    NumberWrapper.equal = function(a, b) {
      return a === b;
    };
    NumberWrapper.parseIntAutoRadix = function(text) {
      var result = parseInt(text);
      if (isNaN(result)) {
        throw new NumberParseError('Invalid integer literal when parsing ' + text);
      }
      return result;
    };
    NumberWrapper.parseInt = function(text, radix) {
      if (radix == 10) {
        if (/^(\-|\+)?[0-9]+$/.test(text)) {
          return parseInt(text, radix);
        }
      } else if (radix == 16) {
        if (/^(\-|\+)?[0-9ABCDEFabcdef]+$/.test(text)) {
          return parseInt(text, radix);
        }
      } else {
        var result = parseInt(text, radix);
        if (!isNaN(result)) {
          return result;
        }
      }
      throw new NumberParseError('Invalid integer literal when parsing ' + text + ' in base ' + radix);
    };
    NumberWrapper.parseFloat = function(text) {
      return parseFloat(text);
    };
    Object.defineProperty(NumberWrapper, "NaN", {
      get: function() {
        return NaN;
      },
      enumerable: true,
      configurable: true
    });
    NumberWrapper.isNumeric = function(value) {
      return !isNaN(value - parseFloat(value));
    };
    NumberWrapper.isNaN = function(value) {
      return isNaN(value);
    };
    NumberWrapper.isInteger = function(value) {
      return Number.isInteger(value);
    };
    return NumberWrapper;
  }());
  exports.NumberWrapper = NumberWrapper;
  exports.RegExp = _global.RegExp;
  var RegExpWrapper = (function() {
    function RegExpWrapper() {}
    RegExpWrapper.create = function(regExpStr, flags) {
      if (flags === void 0) {
        flags = '';
      }
      flags = flags.replace(/g/g, '');
      return new _global.RegExp(regExpStr, flags + 'g');
    };
    RegExpWrapper.firstMatch = function(regExp, input) {
      regExp.lastIndex = 0;
      return regExp.exec(input);
    };
    RegExpWrapper.test = function(regExp, input) {
      regExp.lastIndex = 0;
      return regExp.test(input);
    };
    RegExpWrapper.matcher = function(regExp, input) {
      regExp.lastIndex = 0;
      return {
        re: regExp,
        input: input
      };
    };
    RegExpWrapper.replaceAll = function(regExp, input, replace) {
      var c = regExp.exec(input);
      var res = '';
      regExp.lastIndex = 0;
      var prev = 0;
      while (c) {
        res += input.substring(prev, c.index);
        res += replace(c);
        prev = c.index + c[0].length;
        regExp.lastIndex = prev;
        c = regExp.exec(input);
      }
      res += input.substring(prev);
      return res;
    };
    return RegExpWrapper;
  }());
  exports.RegExpWrapper = RegExpWrapper;
  var RegExpMatcherWrapper = (function() {
    function RegExpMatcherWrapper() {}
    RegExpMatcherWrapper.next = function(matcher) {
      return matcher.re.exec(matcher.input);
    };
    return RegExpMatcherWrapper;
  }());
  exports.RegExpMatcherWrapper = RegExpMatcherWrapper;
  var FunctionWrapper = (function() {
    function FunctionWrapper() {}
    FunctionWrapper.apply = function(fn, posArgs) {
      return fn.apply(null, posArgs);
    };
    FunctionWrapper.bind = function(fn, scope) {
      return fn.bind(scope);
    };
    return FunctionWrapper;
  }());
  exports.FunctionWrapper = FunctionWrapper;
  function looseIdentical(a, b) {
    return a === b || typeof a === 'number' && typeof b === 'number' && isNaN(a) && isNaN(b);
  }
  exports.looseIdentical = looseIdentical;
  function getMapKey(value) {
    return value;
  }
  exports.getMapKey = getMapKey;
  function normalizeBlank(obj) {
    return isBlank(obj) ? null : obj;
  }
  exports.normalizeBlank = normalizeBlank;
  function normalizeBool(obj) {
    return isBlank(obj) ? false : obj;
  }
  exports.normalizeBool = normalizeBool;
  function isJsObject(o) {
    return o !== null && (typeof o === 'function' || typeof o === 'object');
  }
  exports.isJsObject = isJsObject;
  function print(obj) {
    console.log(obj);
  }
  exports.print = print;
  function warn(obj) {
    console.warn(obj);
  }
  exports.warn = warn;
  var Json = (function() {
    function Json() {}
    Json.parse = function(s) {
      return _global.JSON.parse(s);
    };
    Json.stringify = function(data) {
      return _global.JSON.stringify(data, null, 2);
    };
    return Json;
  }());
  exports.Json = Json;
  var DateWrapper = (function() {
    function DateWrapper() {}
    DateWrapper.create = function(year, month, day, hour, minutes, seconds, milliseconds) {
      if (month === void 0) {
        month = 1;
      }
      if (day === void 0) {
        day = 1;
      }
      if (hour === void 0) {
        hour = 0;
      }
      if (minutes === void 0) {
        minutes = 0;
      }
      if (seconds === void 0) {
        seconds = 0;
      }
      if (milliseconds === void 0) {
        milliseconds = 0;
      }
      return new exports.Date(year, month - 1, day, hour, minutes, seconds, milliseconds);
    };
    DateWrapper.fromISOString = function(str) {
      return new exports.Date(str);
    };
    DateWrapper.fromMillis = function(ms) {
      return new exports.Date(ms);
    };
    DateWrapper.toMillis = function(date) {
      return date.getTime();
    };
    DateWrapper.now = function() {
      return new exports.Date();
    };
    DateWrapper.toJson = function(date) {
      return date.toJSON();
    };
    return DateWrapper;
  }());
  exports.DateWrapper = DateWrapper;
  function setValueOnPath(global, path, value) {
    var parts = path.split('.');
    var obj = global;
    while (parts.length > 1) {
      var name = parts.shift();
      if (obj.hasOwnProperty(name) && isPresent(obj[name])) {
        obj = obj[name];
      } else {
        obj = obj[name] = {};
      }
    }
    if (obj === undefined || obj === null) {
      obj = {};
    }
    obj[parts.shift()] = value;
  }
  exports.setValueOnPath = setValueOnPath;
  var _symbolIterator = null;
  function getSymbolIterator() {
    if (isBlank(_symbolIterator)) {
      if (isPresent(globalScope.Symbol) && isPresent(Symbol.iterator)) {
        _symbolIterator = Symbol.iterator;
      } else {
        var keys = Object.getOwnPropertyNames(Map.prototype);
        for (var i = 0; i < keys.length; ++i) {
          var key = keys[i];
          if (key !== 'entries' && key !== 'size' && Map.prototype[key] === Map.prototype['entries']) {
            _symbolIterator = key;
          }
        }
      }
    }
    return _symbolIterator;
  }
  exports.getSymbolIterator = getSymbolIterator;
  function evalExpression(sourceUrl, expr, declarations, vars) {
    var fnBody = declarations + "\nreturn " + expr + "\n//# sourceURL=" + sourceUrl;
    var fnArgNames = [];
    var fnArgValues = [];
    for (var argName in vars) {
      fnArgNames.push(argName);
      fnArgValues.push(vars[argName]);
    }
    return new (Function.bind.apply(Function, [void 0].concat(fnArgNames.concat(fnBody))))().apply(void 0, fnArgValues);
  }
  exports.evalExpression = evalExpression;
  function isPrimitive(obj) {
    return !isJsObject(obj);
  }
  exports.isPrimitive = isPrimitive;
  function hasConstructor(value, type) {
    return value.constructor === type;
  }
  exports.hasConstructor = hasConstructor;
  function escape(s) {
    return _global.encodeURI(s);
  }
  exports.escape = escape;
  function escapeRegExp(s) {
    return s.replace(/([.*+?^=!:${}()|[\]\/\\])/g, '\\$1');
  }
  exports.escapeRegExp = escapeRegExp;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/dom/dom_adapter.js", ["../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('../facade/lang');
  var _DOM = null;
  function getDOM() {
    return _DOM;
  }
  exports.getDOM = getDOM;
  function setDOM(adapter) {
    _DOM = adapter;
  }
  exports.setDOM = setDOM;
  function setRootDomAdapter(adapter) {
    if (lang_1.isBlank(_DOM)) {
      _DOM = adapter;
    }
  }
  exports.setRootDomAdapter = setRootDomAdapter;
  var DomAdapter = (function() {
    function DomAdapter() {
      this.xhrType = null;
    }
    DomAdapter.prototype.getXHR = function() {
      return this.xhrType;
    };
    Object.defineProperty(DomAdapter.prototype, "attrToPropMap", {
      get: function() {
        return this._attrToPropMap;
      },
      set: function(value) {
        this._attrToPropMap = value;
      },
      enumerable: true,
      configurable: true
    });
    ;
    ;
    return DomAdapter;
  }());
  exports.DomAdapter = DomAdapter;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/dom/dom_tokens.js", ["@angular/core"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  exports.DOCUMENT = new core_1.OpaqueToken('DocumentToken');
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/src/dom/shared_styles_host.js", ["@angular/core", "../facade/collection", "./dom_adapter", "./dom_tokens"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var collection_1 = $__require('../facade/collection');
  var dom_adapter_1 = $__require('./dom_adapter');
  var dom_tokens_1 = $__require('./dom_tokens');
  var SharedStylesHost = (function() {
    function SharedStylesHost() {
      this._styles = [];
      this._stylesSet = new Set();
    }
    SharedStylesHost.prototype.addStyles = function(styles) {
      var _this = this;
      var additions = [];
      styles.forEach(function(style) {
        if (!collection_1.SetWrapper.has(_this._stylesSet, style)) {
          _this._stylesSet.add(style);
          _this._styles.push(style);
          additions.push(style);
        }
      });
      this.onStylesAdded(additions);
    };
    SharedStylesHost.prototype.onStylesAdded = function(additions) {};
    SharedStylesHost.prototype.getAllStyles = function() {
      return this._styles;
    };
    SharedStylesHost.decorators = [{type: core_1.Injectable}];
    SharedStylesHost.ctorParameters = [];
    return SharedStylesHost;
  }());
  exports.SharedStylesHost = SharedStylesHost;
  var DomSharedStylesHost = (function(_super) {
    __extends(DomSharedStylesHost, _super);
    function DomSharedStylesHost(doc) {
      _super.call(this);
      this._hostNodes = new Set();
      this._hostNodes.add(doc.head);
    }
    DomSharedStylesHost.prototype._addStylesToHost = function(styles, host) {
      for (var i = 0; i < styles.length; i++) {
        var style = styles[i];
        dom_adapter_1.getDOM().appendChild(host, dom_adapter_1.getDOM().createStyleElement(style));
      }
    };
    DomSharedStylesHost.prototype.addHost = function(hostNode) {
      this._addStylesToHost(this._styles, hostNode);
      this._hostNodes.add(hostNode);
    };
    DomSharedStylesHost.prototype.removeHost = function(hostNode) {
      collection_1.SetWrapper.delete(this._hostNodes, hostNode);
    };
    DomSharedStylesHost.prototype.onStylesAdded = function(additions) {
      var _this = this;
      this._hostNodes.forEach(function(hostNode) {
        _this._addStylesToHost(additions, hostNode);
      });
    };
    DomSharedStylesHost.decorators = [{type: core_1.Injectable}];
    DomSharedStylesHost.ctorParameters = [{
      type: undefined,
      decorators: [{
        type: core_1.Inject,
        args: [dom_tokens_1.DOCUMENT]
      }]
    }];
    return DomSharedStylesHost;
  }(SharedStylesHost));
  exports.DomSharedStylesHost = DomSharedStylesHost;
  return module.exports;
});

System.registerDynamic("@angular/platform-browser/private_export.js", ["./src/dom/debug/ng_probe", "./src/dom/dom_adapter", "./src/dom/dom_renderer", "./src/dom/events/dom_events", "./src/dom/shared_styles_host"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var ng_proble = $__require('./src/dom/debug/ng_probe');
  var dom_adapter = $__require('./src/dom/dom_adapter');
  var dom_renderer = $__require('./src/dom/dom_renderer');
  var dom_events = $__require('./src/dom/events/dom_events');
  var shared_styles_host = $__require('./src/dom/shared_styles_host');
  exports.__platform_browser_private__ = {
    DomAdapter: dom_adapter.DomAdapter,
    getDOM: dom_adapter.getDOM,
    setRootDomAdapter: dom_adapter.setRootDomAdapter,
    DomRootRenderer: dom_renderer.DomRootRenderer,
    DomRootRenderer_: dom_renderer.DomRootRenderer_,
    DomSharedStylesHost: shared_styles_host.DomSharedStylesHost,
    SharedStylesHost: shared_styles_host.SharedStylesHost,
    ELEMENT_PROBE_PROVIDERS: ng_proble.ELEMENT_PROBE_PROVIDERS,
    DomEventsPlugin: dom_events.DomEventsPlugin
  };
  return module.exports;
});

System.registerDynamic("@angular/platform-browser", ["./src/browser/location/browser_platform_location", "./src/browser/title", "./src/browser/tools/tools", "./src/dom/debug/by", "./src/dom/dom_tokens", "./src/dom/events/event_manager", "./src/dom/events/hammer_gestures", "./src/security/dom_sanitization_service", "./src/browser", "./src/web_workers/shared/client_message_broker", "./src/web_workers/shared/service_message_broker", "./src/web_workers/shared/serializer", "./src/web_workers/shared/message_bus", "./src/web_workers/worker/location_providers", "./src/web_workers/ui/location_providers", "./src/worker_render", "./src/worker_app", "./private_export"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  function __export(m) {
    for (var p in m)
      if (!exports.hasOwnProperty(p))
        exports[p] = m[p];
  }
  var browser_platform_location_1 = $__require('./src/browser/location/browser_platform_location');
  exports.BrowserPlatformLocation = browser_platform_location_1.BrowserPlatformLocation;
  var title_1 = $__require('./src/browser/title');
  exports.Title = title_1.Title;
  var tools_1 = $__require('./src/browser/tools/tools');
  exports.disableDebugTools = tools_1.disableDebugTools;
  exports.enableDebugTools = tools_1.enableDebugTools;
  var by_1 = $__require('./src/dom/debug/by');
  exports.By = by_1.By;
  var dom_tokens_1 = $__require('./src/dom/dom_tokens');
  exports.DOCUMENT = dom_tokens_1.DOCUMENT;
  var event_manager_1 = $__require('./src/dom/events/event_manager');
  exports.EVENT_MANAGER_PLUGINS = event_manager_1.EVENT_MANAGER_PLUGINS;
  exports.EventManager = event_manager_1.EventManager;
  var hammer_gestures_1 = $__require('./src/dom/events/hammer_gestures');
  exports.HAMMER_GESTURE_CONFIG = hammer_gestures_1.HAMMER_GESTURE_CONFIG;
  exports.HammerGestureConfig = hammer_gestures_1.HammerGestureConfig;
  var dom_sanitization_service_1 = $__require('./src/security/dom_sanitization_service');
  exports.DomSanitizationService = dom_sanitization_service_1.DomSanitizationService;
  exports.SecurityContext = dom_sanitization_service_1.SecurityContext;
  __export($__require('./src/browser'));
  var client_message_broker_1 = $__require('./src/web_workers/shared/client_message_broker');
  exports.ClientMessageBroker = client_message_broker_1.ClientMessageBroker;
  exports.ClientMessageBrokerFactory = client_message_broker_1.ClientMessageBrokerFactory;
  exports.FnArg = client_message_broker_1.FnArg;
  exports.UiArguments = client_message_broker_1.UiArguments;
  var service_message_broker_1 = $__require('./src/web_workers/shared/service_message_broker');
  exports.ReceivedMessage = service_message_broker_1.ReceivedMessage;
  exports.ServiceMessageBroker = service_message_broker_1.ServiceMessageBroker;
  exports.ServiceMessageBrokerFactory = service_message_broker_1.ServiceMessageBrokerFactory;
  var serializer_1 = $__require('./src/web_workers/shared/serializer');
  exports.PRIMITIVE = serializer_1.PRIMITIVE;
  __export($__require('./src/web_workers/shared/message_bus'));
  var location_providers_1 = $__require('./src/web_workers/worker/location_providers');
  exports.WORKER_APP_LOCATION_PROVIDERS = location_providers_1.WORKER_APP_LOCATION_PROVIDERS;
  var location_providers_2 = $__require('./src/web_workers/ui/location_providers');
  exports.WORKER_UI_LOCATION_PROVIDERS = location_providers_2.WORKER_UI_LOCATION_PROVIDERS;
  __export($__require('./src/worker_render'));
  __export($__require('./src/worker_app'));
  __export($__require('./private_export'));
  return module.exports;
});

System.registerDynamic("ionic-angular/util/click-block.js", ["@angular/core", "../components/app/app", "./dom", "../config/config"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var app_1 = $__require('../components/app/app');
  var dom_1 = $__require('./dom');
  var config_1 = $__require('../config/config');
  var DEFAULT_EXPIRE = 330;
  var ClickBlock = (function() {
    function ClickBlock(app, config, elementRef, renderer) {
      this.elementRef = elementRef;
      this.renderer = renderer;
      this._showing = false;
      app.clickBlock = this;
      this.isEnabled = config.getBoolean('clickBlock', true);
    }
    ClickBlock.prototype.activate = function(shouldShow, expire) {
      if (this.isEnabled) {
        dom_1.clearNativeTimeout(this._tmrId);
        if (shouldShow) {
          this._tmrId = dom_1.nativeTimeout(this.activate.bind(this, false), expire || DEFAULT_EXPIRE);
        }
        if (this._showing !== shouldShow) {
          this.renderer.setElementClass(this.elementRef.nativeElement, 'click-block-active', shouldShow);
          this._showing = shouldShow;
        }
      }
    };
    ClickBlock = __decorate([core_1.Directive({selector: 'click-block'}), __param(0, core_1.Inject(core_1.forwardRef(function() {
      return app_1.App;
    }))), __metadata('design:paramtypes', [app_1.App, config_1.Config, core_1.ElementRef, core_1.Renderer])], ClickBlock);
    return ClickBlock;
  }());
  exports.ClickBlock = ClickBlock;
  return module.exports;
});

System.registerDynamic("ionic-angular/gestures/gesture-controller.js", ["@angular/core", "../components/app/app"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var app_1 = $__require('../components/app/app');
  var GestureController = (function() {
    function GestureController(_app) {
      this._app = _app;
      this.id = 1;
      this.requestedStart = {};
      this.disabledGestures = {};
      this.disabledScroll = new Set();
      this.capturedID = null;
    }
    GestureController.prototype.create = function(name, opts) {
      if (opts === void 0) {
        opts = {};
      }
      return new GestureDelegate(name, this.newID(), this, opts);
    };
    GestureController.prototype.newID = function() {
      var id = this.id;
      this.id++;
      return id;
    };
    GestureController.prototype.start = function(gestureName, id, priority) {
      if (!this.canStart(gestureName)) {
        delete this.requestedStart[id];
        return false;
      }
      this.requestedStart[id] = priority;
      return true;
    };
    GestureController.prototype.capture = function(gestureName, id, priority) {
      if (!this.start(gestureName, id, priority)) {
        return false;
      }
      var requestedStart = this.requestedStart;
      var maxPriority = -10000;
      for (var gestureID in requestedStart) {
        maxPriority = Math.max(maxPriority, requestedStart[gestureID]);
      }
      if (maxPriority === priority) {
        this.capturedID = id;
        this.requestedStart = {};
        return true;
      }
      delete requestedStart[id];
      void 0;
      return false;
    };
    GestureController.prototype.release = function(id) {
      delete this.requestedStart[id];
      if (this.capturedID && id === this.capturedID) {
        this.capturedID = null;
      }
    };
    GestureController.prototype.disableGesture = function(gestureName, id) {
      var set = this.disabledGestures[gestureName];
      if (!set) {
        set = new Set();
        this.disabledGestures[gestureName] = set;
      }
      set.add(id);
    };
    GestureController.prototype.enableGesture = function(gestureName, id) {
      var set = this.disabledGestures[gestureName];
      if (set) {
        set.delete(id);
      }
    };
    GestureController.prototype.disableScroll = function(id) {
      var isEnabled = !this.isScrollDisabled();
      this.disabledScroll.add(id);
      if (this._app && isEnabled && this.isScrollDisabled()) {
        void 0;
        this._app.setScrollDisabled(true);
      }
    };
    GestureController.prototype.enableScroll = function(id) {
      var isDisabled = this.isScrollDisabled();
      this.disabledScroll.delete(id);
      if (this._app && isDisabled && !this.isScrollDisabled()) {
        void 0;
        this._app.setScrollDisabled(false);
      }
    };
    GestureController.prototype.canStart = function(gestureName) {
      if (this.capturedID) {
        return false;
      }
      if (this.isDisabled(gestureName)) {
        return false;
      }
      return true;
    };
    GestureController.prototype.isCaptured = function() {
      return !!this.capturedID;
    };
    GestureController.prototype.isScrollDisabled = function() {
      return this.disabledScroll.size > 0;
    };
    GestureController.prototype.isDisabled = function(gestureName) {
      var disabled = this.disabledGestures[gestureName];
      if (disabled && disabled.size > 0) {
        return true;
      }
      return false;
    };
    GestureController = __decorate([core_1.Injectable(), __param(0, core_1.Inject(core_1.forwardRef(function() {
      return app_1.App;
    }))), __metadata('design:paramtypes', [app_1.App])], GestureController);
    return GestureController;
  }());
  exports.GestureController = GestureController;
  var GestureDelegate = (function() {
    function GestureDelegate(name, id, controller, opts) {
      this.name = name;
      this.id = id;
      this.controller = controller;
      this.priority = 0;
      this.disable = opts.disable || [];
      this.disableScroll = opts.disableScroll || 0;
      this.priority = opts.priority || 0;
      for (var _i = 0,
          _a = this.disable; _i < _a.length; _i++) {
        var gestureName = _a[_i];
        controller.disableGesture(gestureName, id);
      }
      if (this.disableScroll === 2) {
        controller.disableScroll(id);
      }
    }
    GestureDelegate.prototype.canStart = function() {
      if (!this.controller) {
        return false;
      }
      return this.controller.canStart(this.name);
    };
    GestureDelegate.prototype.start = function() {
      if (!this.controller) {
        return false;
      }
      return this.controller.start(this.name, this.id, this.priority);
    };
    GestureDelegate.prototype.capture = function() {
      if (!this.controller) {
        return false;
      }
      var captured = this.controller.capture(this.name, this.id, this.priority);
      if (captured && this.disableScroll === 1) {
        this.controller.disableScroll(this.id);
      }
      return captured;
    };
    GestureDelegate.prototype.release = function() {
      if (!this.controller) {
        return;
      }
      this.controller.release(this.id);
      if (this.disableScroll === 1) {
        this.controller.enableScroll(this.id);
      }
    };
    GestureDelegate.prototype.destroy = function() {
      if (!this.controller) {
        return;
      }
      this.release();
      for (var _i = 0,
          _a = this.disable; _i < _a.length; _i++) {
        var disabled = _a[_i];
        this.controller.enableGesture(disabled, this.id);
      }
      if (this.disableScroll === 2) {
        this.controller.enableScroll(this.id);
      }
      this.controller = null;
    };
    return GestureDelegate;
  }());
  exports.GestureDelegate = GestureDelegate;
  return module.exports;
});

System.registerDynamic("ionic-angular/util/form.js", ["@angular/core"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var Form = (function() {
    function Form() {
      this._focused = null;
      this._ids = -1;
      this._inputs = [];
    }
    Form.prototype.register = function(input) {
      this._inputs.push(input);
    };
    Form.prototype.deregister = function(input) {
      var index = this._inputs.indexOf(input);
      if (index > -1) {
        this._inputs.splice(index, 1);
      }
      if (input === this._focused) {
        this._focused = null;
      }
    };
    Form.prototype.focusOut = function() {
      var activeElement = document.activeElement;
      activeElement && activeElement.blur && activeElement.blur();
    };
    Form.prototype.setAsFocused = function(input) {
      this._focused = input;
    };
    Form.prototype.tabFocus = function(currentInput) {
      var index = this._inputs.indexOf(currentInput);
      if (index > -1 && (index + 1) < this._inputs.length) {
        var nextInput = this._inputs[index + 1];
        if (nextInput !== this._focused) {
          void 0;
          return nextInput.initFocus();
        }
      }
      index = this._inputs.indexOf(this._focused);
      if (index > 0) {
        var previousInput = this._inputs[index - 1];
        if (previousInput) {
          void 0;
          previousInput.initFocus();
        }
      }
    };
    Form.prototype.nextId = function() {
      return ++this._ids;
    };
    Form = __decorate([core_1.Injectable(), __metadata('design:paramtypes', [])], Form);
    return Form;
  }());
  exports.Form = Form;
  return module.exports;
});

System.registerDynamic("ionic-angular/util/key.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  (function(Key) {
    Key[Key["ENTER"] = 13] = "ENTER";
    Key[Key["ESCAPE"] = 27] = "ESCAPE";
    Key[Key["TAB"] = 9] = "TAB";
  })(exports.Key || (exports.Key = {}));
  var Key = exports.Key;
  ;
  return module.exports;
});

System.registerDynamic("ionic-angular/util/keyboard.js", ["@angular/core", "../config/config", "./form", "./dom", "./key"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var config_1 = $__require('../config/config');
  var form_1 = $__require('./form');
  var dom_1 = $__require('./dom');
  var key_1 = $__require('./key');
  var Keyboard = (function() {
    function Keyboard(config, _form, _zone) {
      var _this = this;
      this._form = _form;
      this._zone = _zone;
      _zone.runOutsideAngular(function() {
        _this.focusOutline(config.get('focusOutline'), document);
      });
    }
    Keyboard.prototype.isOpen = function() {
      return dom_1.hasFocusedTextInput();
    };
    Keyboard.prototype.onClose = function(callback, pollingInternval, pollingChecksMax) {
      if (pollingInternval === void 0) {
        pollingInternval = KEYBOARD_CLOSE_POLLING;
      }
      if (pollingChecksMax === void 0) {
        pollingChecksMax = KEYBOARD_POLLING_CHECKS_MAX;
      }
      void 0;
      var self = this;
      var checks = 0;
      var promise = null;
      if (!callback) {
        promise = new Promise(function(resolve) {
          callback = resolve;
        });
      }
      function checkKeyboard() {
        void 0;
        if (!self.isOpen() || checks > pollingChecksMax) {
          dom_1.rafFrames(30, function() {
            self._zone.run(function() {
              void 0;
              callback();
            });
          });
        } else {
          dom_1.nativeTimeout(checkKeyboard, pollingInternval);
        }
        checks++;
      }
      dom_1.nativeTimeout(checkKeyboard, pollingInternval);
      return promise;
    };
    Keyboard.prototype.close = function() {
      var _this = this;
      void 0;
      dom_1.nativeRaf(function() {
        if (dom_1.hasFocusedTextInput()) {
          _this._form.focusOut();
        }
      });
    };
    Keyboard.prototype.focusOutline = function(setting, document) {
      var self = this;
      var isKeyInputEnabled = false;
      function cssClass() {
        dom_1.nativeRaf(function() {
          document.body.classList[isKeyInputEnabled ? 'add' : 'remove']('focus-outline');
        });
      }
      if (setting === true) {
        isKeyInputEnabled = true;
        return cssClass();
      } else if (setting === false) {
        return;
      }
      function keyDown(ev) {
        if (!isKeyInputEnabled && ev.keyCode === key_1.Key.TAB) {
          isKeyInputEnabled = true;
          enableKeyInput();
        }
      }
      function pointerDown() {
        isKeyInputEnabled = false;
        enableKeyInput();
      }
      function enableKeyInput() {
        cssClass();
        self._zone.runOutsideAngular(function() {
          document.removeEventListener('mousedown', pointerDown);
          document.removeEventListener('touchstart', pointerDown);
          if (isKeyInputEnabled) {
            document.addEventListener('mousedown', pointerDown);
            document.addEventListener('touchstart', pointerDown);
          }
        });
      }
      document.addEventListener('keydown', keyDown);
    };
    Keyboard = __decorate([core_1.Injectable(), __metadata('design:paramtypes', [config_1.Config, form_1.Form, core_1.NgZone])], Keyboard);
    return Keyboard;
  }());
  exports.Keyboard = Keyboard;
  var KEYBOARD_CLOSE_POLLING = 150;
  var KEYBOARD_POLLING_CHECKS_MAX = 100;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/nav/nav-portal.js", ["@angular/core", "../app/app", "../../config/config", "../../gestures/gesture-controller", "../../util/keyboard", "../nav/nav-controller-base"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var app_1 = $__require('../app/app');
  var config_1 = $__require('../../config/config');
  var gesture_controller_1 = $__require('../../gestures/gesture-controller');
  var keyboard_1 = $__require('../../util/keyboard');
  var nav_controller_base_1 = $__require('../nav/nav-controller-base');
  var NavPortal = (function(_super) {
    __extends(NavPortal, _super);
    function NavPortal(app, config, keyboard, elementRef, zone, renderer, compiler, gestureCtrl, viewPort) {
      _super.call(this, null, app, config, keyboard, elementRef, zone, renderer, compiler, gestureCtrl);
      this._isPortal = true;
      this._init = true;
      this.setViewport(viewPort);
      app.setPortal(this);
      app.viewDidLeave.subscribe(this.dismissPageChangeViews.bind(this));
    }
    NavPortal = __decorate([core_1.Directive({selector: '[nav-portal]'}), __param(0, core_1.Inject(core_1.forwardRef(function() {
      return app_1.App;
    }))), __metadata('design:paramtypes', [app_1.App, config_1.Config, keyboard_1.Keyboard, core_1.ElementRef, core_1.NgZone, core_1.Renderer, core_1.ComponentResolver, gesture_controller_1.GestureController, core_1.ViewContainerRef])], NavPortal);
    return NavPortal;
  }(nav_controller_base_1.NavControllerBase));
  exports.NavPortal = NavPortal;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/app/app.js", ["@angular/core", "@angular/platform-browser", "../../util/click-block", "../../config/config", "../nav/nav-controller-base", "../nav/nav-portal", "../../platform/platform"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var platform_browser_1 = $__require('@angular/platform-browser');
  var click_block_1 = $__require('../../util/click-block');
  var config_1 = $__require('../../config/config');
  var nav_controller_base_1 = $__require('../nav/nav-controller-base');
  var nav_portal_1 = $__require('../nav/nav-portal');
  var platform_1 = $__require('../../platform/platform');
  var UserComponent = (function() {
    function UserComponent() {}
    return UserComponent;
  }());
  exports.UserComponent = UserComponent;
  var App = (function() {
    function App(_config, _platform) {
      this._config = _config;
      this._platform = _platform;
      this._disTime = 0;
      this._scrollTime = 0;
      this._title = '';
      this._titleSrv = new platform_browser_1.Title();
      this._rootNav = null;
      this.viewDidLoad = new core_1.EventEmitter();
      this.viewWillEnter = new core_1.EventEmitter();
      this.viewDidEnter = new core_1.EventEmitter();
      this.viewWillLeave = new core_1.EventEmitter();
      this.viewDidLeave = new core_1.EventEmitter();
      this.viewWillUnload = new core_1.EventEmitter();
      this.viewDidUnload = new core_1.EventEmitter();
      _platform.registerBackButtonAction(this.navPop.bind(this));
    }
    App.prototype.setTitle = function(val) {
      if (val !== this._title) {
        this._title = val;
        this._titleSrv.setTitle(val);
      }
    };
    App.prototype.setEnabled = function(isEnabled, duration) {
      if (duration === void 0) {
        duration = 700;
      }
      this._disTime = (isEnabled ? 0 : Date.now() + duration);
      if (this.clickBlock) {
        if (isEnabled || duration <= 32) {
          this.clickBlock.activate(false, 0);
        } else {
          this.clickBlock.activate(true, duration + CLICK_BLOCK_BUFFER_IN_MILLIS);
        }
      }
    };
    App.prototype.setScrollDisabled = function(disableScroll) {
      var enabled = this._config.get('canDisableScroll', true);
      if (!enabled) {
        return;
      }
      if (!this.appRoot) {
        void 0;
        return;
      }
      this.appRoot.disableScroll = disableScroll;
    };
    App.prototype.isEnabled = function() {
      return (this._disTime < Date.now());
    };
    App.prototype.setScrolling = function() {
      this._scrollTime = Date.now();
    };
    App.prototype.isScrolling = function() {
      return (this._scrollTime + 48 > Date.now());
    };
    App.prototype.getActiveNav = function() {
      var nav = this._rootNav || null;
      var activeChildNav;
      while (nav) {
        activeChildNav = nav.getActiveChildNav();
        if (!activeChildNav) {
          break;
        }
        nav = activeChildNav;
      }
      return nav;
    };
    App.prototype.getRootNav = function() {
      return this._rootNav;
    };
    App.prototype.setRootNav = function(nav) {
      this._rootNav = nav;
    };
    App.prototype.setPortal = function(portal) {
      this._portal = portal;
    };
    App.prototype.present = function(enteringView, opts) {
      if (opts === void 0) {
        opts = {};
      }
      enteringView.setNav(this._portal);
      opts.keyboardClose = false;
      opts.direction = 'forward';
      if (!opts.animation) {
        opts.animation = enteringView.getTransitionName('forward');
      }
      enteringView.setLeavingOpts({
        keyboardClose: false,
        direction: 'back',
        animation: enteringView.getTransitionName('back'),
        ev: opts.ev
      });
      return this._portal.insertViews(-1, [enteringView], opts);
    };
    App.prototype.navPop = function() {
      function navPop(nav) {
        if (nav) {
          if (nav_controller_base_1.isTabs(nav)) {
            var prevTab = nav.previousTab(true);
            if (prevTab) {
              void 0;
              nav.select(prevTab);
              return Promise.resolve();
            }
          } else if (nav_controller_base_1.isNav(nav) && nav.length() > 1) {
            void 0;
            return nav.pop();
          }
          return navPop(nav.parent);
        }
        return null;
      }
      if (this._rootNav && this.isEnabled()) {
        if (this._portal && this._portal.length() > 0) {
          void 0;
          return this._portal.pop();
        }
        var navPromise = navPop(this.getActiveNav());
        if (navPromise === null) {
          if (this._config.getBoolean('navExitApp', true)) {
            void 0;
            this._platform.exitApp();
          }
        }
        return navPromise;
      }
      return Promise.resolve();
    };
    App.prototype.getRegisteredComponent = function(cls) {
      void 0;
    };
    App.prototype.getComponent = function(id) {
      void 0;
    };
    App.prototype.getAppInjector = function() {
      void 0;
    };
    App = __decorate([core_1.Injectable(), __metadata('design:paramtypes', [config_1.Config, platform_1.Platform])], App);
    return App;
  }());
  exports.App = App;
  var AppRoot = (function() {
    function AppRoot(_cmp, _cr, _renderer, app) {
      this._cmp = _cmp;
      this._cr = _cr;
      this._renderer = _renderer;
      this.disableScroll = false;
      app.appRoot = this;
    }
    AppRoot.prototype.ngAfterViewInit = function() {
      var _this = this;
      this._cr.resolveComponent(this._cmp).then(function(componentFactory) {
        var appEle = _this._renderer.createElement(null, componentFactory.selector || 'div', null);
        appEle.setAttribute('class', 'app-root');
        var componentRef = componentFactory.create(_this._viewport.injector, null, appEle);
        _this._viewport.insert(componentRef.hostView, 0);
      });
    };
    __decorate([core_1.ViewChild('anchor', {read: core_1.ViewContainerRef}), __metadata('design:type', core_1.ViewContainerRef)], AppRoot.prototype, "_viewport", void 0);
    __decorate([core_1.HostBinding('class.disable-scroll'), __metadata('design:type', Boolean)], AppRoot.prototype, "disableScroll", void 0);
    AppRoot = __decorate([core_1.Component({
      selector: 'ion-app',
      template: "\n    <div #anchor nav-portal></div>\n    <click-block></click-block>\n  ",
      directives: [nav_portal_1.NavPortal, click_block_1.ClickBlock]
    }), __metadata('design:paramtypes', [UserComponent, core_1.ComponentResolver, core_1.Renderer, App])], AppRoot);
    return AppRoot;
  }());
  exports.AppRoot = AppRoot;
  var CLICK_BLOCK_BUFFER_IN_MILLIS = 64;
  return module.exports;
});

System.registerDynamic("ionic-angular/platform/platform.js", ["@angular/core", "../util/util", "../util/dom"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var core_1 = $__require('@angular/core');
  var util_1 = $__require('../util/util');
  var dom_1 = $__require('../util/dom');
  var Platform = (function() {
    function Platform(platforms) {
      var _this = this;
      if (platforms === void 0) {
        platforms = [];
      }
      this._versions = {};
      this._onResizes = [];
      this._bbActions = [];
      this.backButton = new core_1.EventEmitter();
      this.pause = new core_1.EventEmitter();
      this.resume = new core_1.EventEmitter();
      this._platforms = platforms;
      this._readyPromise = new Promise(function(res) {
        _this._readyResolve = res;
      });
      this.backButton.subscribe(function() {
        void 0;
        _this.runBackButtonAction();
      });
    }
    Platform.prototype.setZone = function(zone) {
      this.zone = zone;
    };
    Platform.prototype.is = function(platformName) {
      return (this._platforms.indexOf(platformName) > -1);
    };
    Platform.prototype.platforms = function() {
      return this._platforms;
    };
    Platform.prototype.versions = function() {
      return this._versions;
    };
    Platform.prototype.version = function() {
      for (var platformName in this._versions) {
        if (this._versions[platformName]) {
          return this._versions[platformName];
        }
      }
      return {};
    };
    Platform.prototype.ready = function() {
      return this._readyPromise;
    };
    Platform.prototype.triggerReady = function(readySource) {
      var _this = this;
      this.zone.run(function() {
        _this._readyResolve(readySource);
      });
    };
    Platform.prototype.prepareReady = function() {
      var _this = this;
      dom_1.ready(function() {
        _this.triggerReady('dom');
      });
    };
    Platform.prototype.setDir = function(dir, updateDocument) {
      this._dir = (dir || '').toLowerCase();
      if (updateDocument !== false) {
        document.documentElement.setAttribute('dir', dir);
      }
    };
    Platform.prototype.dir = function() {
      return this._dir;
    };
    Platform.prototype.isRTL = function() {
      return (this._dir === 'rtl');
    };
    Platform.prototype.setLang = function(language, updateDocument) {
      this._lang = language;
      if (updateDocument !== false) {
        document.documentElement.setAttribute('lang', language);
      }
    };
    Platform.prototype.lang = function() {
      return this._lang;
    };
    Platform.prototype.exitApp = function() {};
    Platform.prototype.registerBackButtonAction = function(fn, priority) {
      var _this = this;
      if (priority === void 0) {
        priority = 0;
      }
      var action = {
        fn: fn,
        priority: priority
      };
      this._bbActions.push(action);
      return function() {
        var index = _this._bbActions.indexOf(action);
        if (index > -1) {
          _this._bbActions.splice(index, 1);
        }
      };
    };
    Platform.prototype.runBackButtonAction = function() {
      var winner = null;
      this._bbActions.forEach(function(action) {
        if (!winner || action.priority >= winner.priority) {
          winner = action;
        }
      });
      winner && winner.fn && winner.fn();
    };
    Platform.prototype.setUrl = function(url) {
      this._url = url;
      this._qs = util_1.getQuerystring(url);
    };
    Platform.prototype.url = function() {
      return this._url;
    };
    Platform.prototype.query = function(key) {
      return (this._qs || {})[key];
    };
    Platform.prototype.setUserAgent = function(userAgent) {
      this._ua = userAgent;
    };
    Platform.prototype.userAgent = function() {
      return this._ua || '';
    };
    Platform.prototype.setNavigatorPlatform = function(navigatorPlatform) {
      this._bPlt = navigatorPlatform;
    };
    Platform.prototype.navigatorPlatform = function() {
      return this._bPlt || '';
    };
    Platform.prototype.width = function() {
      return dom_1.windowDimensions().width;
    };
    Platform.prototype.height = function() {
      return dom_1.windowDimensions().height;
    };
    Platform.prototype.isPortrait = function() {
      return this.width() < this.height();
    };
    Platform.prototype.isLandscape = function() {
      return !this.isPortrait();
    };
    Platform.prototype.windowResize = function() {
      var self = this;
      clearTimeout(self._resizeTm);
      self._resizeTm = setTimeout(function() {
        dom_1.flushDimensionCache();
        for (var i = 0; i < self._onResizes.length; i++) {
          try {
            self._onResizes[i]();
          } catch (e) {
            void 0;
          }
        }
      }, 200);
    };
    Platform.prototype.onResize = function(cb) {
      var self = this;
      self._onResizes.push(cb);
      return function() {
        var index = self._onResizes.indexOf(cb);
        if (index > -1) {
          self._onResizes.splice(index, 1);
        }
      };
    };
    Platform.register = function(platformConfig) {
      platformRegistry[platformConfig.name] = platformConfig;
    };
    Platform.registry = function() {
      return platformRegistry;
    };
    Platform.get = function(platformName) {
      return platformRegistry[platformName] || {};
    };
    Platform.setDefault = function(platformName) {
      platformDefault = platformName;
    };
    Platform.prototype.testQuery = function(queryValue, queryTestValue) {
      var valueSplit = queryValue.toLowerCase().split(';');
      return valueSplit.indexOf(queryTestValue) > -1;
    };
    Platform.prototype.testNavigatorPlatform = function(navigatorPlatformExpression) {
      var rgx = new RegExp(navigatorPlatformExpression, 'i');
      return rgx.test(this._bPlt);
    };
    Platform.prototype.matchUserAgentVersion = function(userAgentExpression) {
      if (this._ua && userAgentExpression) {
        var val = this._ua.match(userAgentExpression);
        if (val) {
          return {
            major: val[1],
            minor: val[2]
          };
        }
      }
    };
    Platform.prototype.isPlatformMatch = function(queryStringName, userAgentAtLeastHas, userAgentMustNotHave) {
      if (userAgentMustNotHave === void 0) {
        userAgentMustNotHave = [];
      }
      var queryValue = this.query('ionicplatform');
      if (queryValue) {
        return this.testQuery(queryValue, queryStringName);
      }
      userAgentAtLeastHas = userAgentAtLeastHas || [queryStringName];
      var userAgent = this._ua.toLowerCase();
      for (var i = 0; i < userAgentAtLeastHas.length; i++) {
        if (userAgent.indexOf(userAgentAtLeastHas[i]) > -1) {
          for (var j = 0; j < userAgentMustNotHave.length; j++) {
            if (userAgent.indexOf(userAgentMustNotHave[j]) > -1) {
              return false;
            }
          }
          return true;
        }
      }
      return false;
    };
    Platform.prototype.load = function() {
      var rootPlatformNode;
      var enginePlatformNode;
      var self = this;
      var tmpPlatform;
      for (var platformName in platformRegistry) {
        tmpPlatform = this.matchPlatform(platformName);
        if (tmpPlatform) {
          if (tmpPlatform.isEngine) {
            enginePlatformNode = tmpPlatform;
          } else if (!rootPlatformNode || tmpPlatform.depth > rootPlatformNode.depth) {
            rootPlatformNode = tmpPlatform;
          }
        }
      }
      if (!rootPlatformNode) {
        rootPlatformNode = new PlatformNode(platformDefault);
      }
      if (rootPlatformNode) {
        if (enginePlatformNode) {
          enginePlatformNode.child = rootPlatformNode;
          rootPlatformNode.parent = enginePlatformNode;
          rootPlatformNode = enginePlatformNode;
        }
        var platformNode = rootPlatformNode;
        while (platformNode) {
          insertSuperset(platformNode);
          platformNode = platformNode.child;
        }
        platformNode = rootPlatformNode.parent;
        while (platformNode) {
          rootPlatformNode = platformNode;
          platformNode = platformNode.parent;
        }
        platformNode = rootPlatformNode;
        while (platformNode) {
          platformNode.initialize(this);
          this._platforms.push(platformNode.name);
          this._versions[platformNode.name] = platformNode.version(this);
          platformNode = platformNode.child;
        }
      }
      if (this._platforms.indexOf('mobile') > -1 && this._platforms.indexOf('cordova') === -1) {
        this._platforms.push('mobileweb');
      }
    };
    Platform.prototype.matchPlatform = function(platformName) {
      var platformNode = new PlatformNode(platformName);
      var rootNode = platformNode.getRoot(this);
      if (rootNode) {
        rootNode.depth = 0;
        var childPlatform = rootNode.child;
        while (childPlatform) {
          rootNode.depth++;
          childPlatform = childPlatform.child;
        }
      }
      return rootNode;
    };
    return Platform;
  }());
  exports.Platform = Platform;
  function insertSuperset(platformNode) {
    var supersetPlaformName = platformNode.superset();
    if (supersetPlaformName) {
      var supersetPlatform = new PlatformNode(supersetPlaformName);
      supersetPlatform.parent = platformNode.parent;
      supersetPlatform.child = platformNode;
      if (supersetPlatform.parent) {
        supersetPlatform.parent.child = supersetPlatform;
      }
      platformNode.parent = supersetPlatform;
    }
  }
  var PlatformNode = (function() {
    function PlatformNode(platformName) {
      this.c = Platform.get(platformName);
      this.name = platformName;
      this.isEngine = this.c.isEngine;
    }
    PlatformNode.prototype.settings = function() {
      return this.c.settings || {};
    };
    PlatformNode.prototype.superset = function() {
      return this.c.superset;
    };
    PlatformNode.prototype.isMatch = function(p) {
      return this.c.isMatch && this.c.isMatch(p) || false;
    };
    PlatformNode.prototype.initialize = function(platform) {
      this.c.initialize && this.c.initialize(platform);
    };
    PlatformNode.prototype.version = function(p) {
      if (this.c.versionParser) {
        var v = this.c.versionParser(p);
        if (v) {
          var str = v.major + '.' + v.minor;
          return {
            str: str,
            num: parseFloat(str),
            major: parseInt(v.major, 10),
            minor: parseInt(v.minor, 10)
          };
        }
      }
    };
    PlatformNode.prototype.getRoot = function(p) {
      if (this.isMatch(p)) {
        var parents = this.getSubsetParents(this.name);
        if (!parents.length) {
          return this;
        }
        var platform = null;
        var rootPlatform = null;
        for (var i = 0; i < parents.length; i++) {
          platform = new PlatformNode(parents[i]);
          platform.child = this;
          rootPlatform = platform.getRoot(p);
          if (rootPlatform) {
            this.parent = platform;
            return rootPlatform;
          }
        }
      }
      return null;
    };
    PlatformNode.prototype.getSubsetParents = function(subsetPlatformName) {
      var platformRegistry = Platform.registry();
      var parentPlatformNames = [];
      var platform = null;
      for (var platformName in platformRegistry) {
        platform = platformRegistry[platformName];
        if (platform.subsets && platform.subsets.indexOf(subsetPlatformName) > -1) {
          parentPlatformNames.push(platformName);
        }
      }
      return parentPlatformNames;
    };
    return PlatformNode;
  }());
  var platformRegistry = {};
  var platformDefault = null;
  return module.exports;
});

System.registerDynamic("ionic-angular/config/config.js", ["../platform/platform", "../util/util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var platform_1 = $__require('../platform/platform');
  var util_1 = $__require('../util/util');
  var Config = (function() {
    function Config(config) {
      this._c = {};
      this._s = {};
      this._s = config && util_1.isObject(config) && !util_1.isArray(config) ? config : {};
    }
    Config.prototype.get = function(key, fallbackValue) {
      if (fallbackValue === void 0) {
        fallbackValue = null;
      }
      if (!util_1.isDefined(this._c[key])) {
        if (!util_1.isDefined(key)) {
          throw 'config key is not defined';
        }
        var userPlatformValue = undefined;
        var userDefaultValue = this._s[key];
        var userPlatformModeValue = undefined;
        var userDefaultModeValue = undefined;
        var platformValue = undefined;
        var platformModeValue = undefined;
        var configObj = null;
        if (this.platform) {
          var queryStringValue = this.platform.query('ionic' + key.toLowerCase());
          if (util_1.isDefined(queryStringValue)) {
            return this._c[key] = (queryStringValue === 'true' ? true : queryStringValue === 'false' ? false : queryStringValue);
          }
          var activePlatformKeys = this.platform.platforms();
          for (var i = 0,
              l = activePlatformKeys.length; i < l; i++) {
            if (this._s.platforms) {
              configObj = this._s.platforms[activePlatformKeys[i]];
              if (configObj) {
                if (util_1.isDefined(configObj[key])) {
                  userPlatformValue = configObj[key];
                }
                configObj = Config.getModeConfig(configObj.mode);
                if (configObj && util_1.isDefined(configObj[key])) {
                  userPlatformModeValue = configObj[key];
                }
              }
            }
            configObj = platform_1.Platform.get(activePlatformKeys[i]);
            if (configObj && configObj.settings) {
              if (util_1.isDefined(configObj.settings[key])) {
                platformValue = configObj.settings[key];
              }
              configObj = Config.getModeConfig(configObj.settings.mode);
              if (configObj && util_1.isDefined(configObj[key])) {
                platformModeValue = configObj[key];
              }
            }
          }
        }
        configObj = Config.getModeConfig(this._s.mode);
        if (configObj && util_1.isDefined(configObj[key])) {
          userDefaultModeValue = configObj[key];
        }
        this._c[key] = util_1.isDefined(userPlatformValue) ? userPlatformValue : util_1.isDefined(userDefaultValue) ? userDefaultValue : util_1.isDefined(userPlatformModeValue) ? userPlatformModeValue : util_1.isDefined(userDefaultModeValue) ? userDefaultModeValue : util_1.isDefined(platformValue) ? platformValue : util_1.isDefined(platformModeValue) ? platformModeValue : null;
      }
      var rtnVal;
      if (util_1.isFunction(this._c[key])) {
        rtnVal = this._c[key](this.platform);
      } else {
        rtnVal = this._c[key];
      }
      return (rtnVal !== null ? rtnVal : fallbackValue);
    };
    Config.prototype.getBoolean = function(key, fallbackValue) {
      if (fallbackValue === void 0) {
        fallbackValue = false;
      }
      var val = this.get(key);
      if (val === null) {
        return fallbackValue;
      }
      if (typeof val === 'string') {
        return val === 'true';
      }
      return !!val;
    };
    Config.prototype.getNumber = function(key, fallbackValue) {
      if (fallbackValue === void 0) {
        fallbackValue = NaN;
      }
      var val = parseFloat(this.get(key));
      return isNaN(val) ? fallbackValue : val;
    };
    Config.prototype.set = function() {
      var args = [];
      for (var _i = 0; _i < arguments.length; _i++) {
        args[_i - 0] = arguments[_i];
      }
      var arg0 = args[0];
      var arg1 = args[1];
      switch (args.length) {
        case 2:
          this._s[arg0] = arg1;
          delete this._c[arg0];
          break;
        case 3:
          this._s.platforms = this._s.platforms || {};
          this._s.platforms[arg0] = this._s.platforms[arg0] || {};
          this._s.platforms[arg0][arg1] = args[2];
          delete this._c[arg1];
          break;
      }
      return this;
    };
    Config.prototype.settings = function(arg0, arg1) {
      switch (arguments.length) {
        case 0:
          return this._s;
        case 1:
          this._s = arg0;
          this._c = {};
          break;
        case 2:
          this._s.platforms = this._s.platforms || {};
          this._s.platforms[arg0] = arg1;
          this._c = {};
          break;
      }
      return this;
    };
    Config.prototype.setPlatform = function(platform) {
      this.platform = platform;
    };
    Config.setModeConfig = function(mode, config) {
      modeConfigs[mode] = config;
    };
    Config.getModeConfig = function(mode) {
      return modeConfigs[mode] || null;
    };
    return Config;
  }());
  exports.Config = Config;
  var modeConfigs = {};
  return module.exports;
});

System.registerDynamic("ionic-angular/components/tap-click/activator.js", ["../../util/dom"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var dom_1 = $__require('../../util/dom');
  var Activator = (function() {
    function Activator(app, config) {
      this.app = app;
      this._queue = [];
      this._active = [];
      this._css = config.get('activatedClass') || 'activated';
    }
    Activator.prototype.downAction = function(ev, activatableEle, startCoord) {
      var self = this;
      if (self.disableActivated(ev)) {
        return;
      }
      self._queue.push(activatableEle);
      dom_1.rafFrames(2, function() {
        var activatableEle;
        for (var i = 0; i < self._queue.length; i++) {
          activatableEle = self._queue[i];
          if (activatableEle && activatableEle.parentNode) {
            self._active.push(activatableEle);
            activatableEle.classList.add(self._css);
          }
        }
        self._queue = [];
      });
    };
    Activator.prototype.upAction = function(ev, activatableEle, startCoord) {
      var _this = this;
      dom_1.rafFrames(CLEAR_STATE_DEFERS, function() {
        _this.clearState();
      });
    };
    Activator.prototype.clearState = function() {
      var _this = this;
      if (!this.app.isEnabled()) {
        dom_1.nativeTimeout(function() {
          _this.clearState();
        }, 600);
      } else {
        this.deactivate();
      }
    };
    Activator.prototype.deactivate = function() {
      var self = this;
      self._queue = [];
      dom_1.rafFrames(2, function() {
        for (var i = 0; i < self._active.length; i++) {
          self._active[i].classList.remove(self._css);
        }
        self._active = [];
      });
    };
    Activator.prototype.disableActivated = function(ev) {
      if (ev.defaultPrevented)
        return true;
      var targetEle = ev.target;
      for (var x = 0; x < 4; x++) {
        if (!targetEle)
          break;
        if (targetEle.hasAttribute('disable-activated'))
          return true;
        targetEle = targetEle.parentElement;
      }
      return false;
    };
    return Activator;
  }());
  exports.Activator = Activator;
  var CLEAR_STATE_DEFERS = 5;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/tap-click/ripple.js", ["./activator", "../../util/dom"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var activator_1 = $__require('./activator');
  var dom_1 = $__require('../../util/dom');
  var RippleActivator = (function(_super) {
    __extends(RippleActivator, _super);
    function RippleActivator(app, config) {
      _super.call(this, app, config);
    }
    RippleActivator.prototype.downAction = function(ev, activatableEle, startCoord) {
      var self = this;
      if (self.disableActivated(ev)) {
        return;
      }
      self._queue.push(activatableEle);
      dom_1.nativeRaf(function() {
        for (var i = 0; i < self._queue.length; i++) {
          var queuedEle = self._queue[i];
          if (queuedEle && queuedEle.parentNode) {
            self._active.push(queuedEle);
            queuedEle.classList.add(self._css);
            var j = queuedEle.childElementCount;
            while (j--) {
              var rippleEle = queuedEle.children[j];
              if (rippleEle.tagName === 'ION-BUTTON-EFFECT') {
                rippleEle.style.left = '-9999px';
                rippleEle.style.opacity = '';
                rippleEle.style[dom_1.CSS.transform] = 'scale(0.001) translateZ(0px)';
                rippleEle.style[dom_1.CSS.transition] = '';
                var clientRect = activatableEle.getBoundingClientRect();
                rippleEle.$top = clientRect.top;
                rippleEle.$left = clientRect.left;
                rippleEle.$width = clientRect.width;
                rippleEle.$height = clientRect.height;
                break;
              }
            }
          }
        }
        self._queue = [];
      });
    };
    RippleActivator.prototype.upAction = function(ev, activatableEle, startCoord) {
      var self = this;
      if (!dom_1.hasPointerMoved(6, startCoord, dom_1.pointerCoord(ev))) {
        var i = activatableEle.childElementCount;
        while (i--) {
          var rippleEle = activatableEle.children[i];
          if (rippleEle.tagName === 'ION-BUTTON-EFFECT') {
            var clientPointerX = (startCoord.x - rippleEle.$left);
            var clientPointerY = (startCoord.y - rippleEle.$top);
            var x = Math.max(Math.abs(rippleEle.$width - clientPointerX), clientPointerX) * 2;
            var y = Math.max(Math.abs(rippleEle.$height - clientPointerY), clientPointerY) * 2;
            var diameter = Math.min(Math.max(Math.sqrt(Math.pow(x, 2) + Math.pow(y, 2)), 64), 240);
            if (activatableEle.hasAttribute('ion-item')) {
              diameter = Math.min(diameter, 140);
            }
            var radius = Math.sqrt(rippleEle.$width + rippleEle.$height);
            var scaleTransitionDuration = Math.max(1600 * Math.sqrt(radius / TOUCH_DOWN_ACCEL) + 0.5, 260);
            var opacityTransitionDuration = scaleTransitionDuration * 0.7;
            var opacityTransitionDelay = scaleTransitionDuration - opacityTransitionDuration;
            rippleEle.style.width = rippleEle.style.height = diameter + 'px';
            rippleEle.style.marginTop = rippleEle.style.marginLeft = -(diameter / 2) + 'px';
            rippleEle.style.left = clientPointerX + 'px';
            rippleEle.style.top = clientPointerY + 'px';
            rippleEle.style.opacity = '0';
            rippleEle.style[dom_1.CSS.transform] = 'scale(1) translateZ(0px)';
            rippleEle.style[dom_1.CSS.transition] = 'transform ' + scaleTransitionDuration + 'ms,opacity ' + opacityTransitionDuration + 'ms ' + opacityTransitionDelay + 'ms';
          }
        }
      }
      _super.prototype.upAction.call(this, ev, activatableEle, startCoord);
    };
    RippleActivator.prototype.deactivate = function() {
      var self = this;
      self._queue = [];
      dom_1.rafFrames(2, function() {
        for (var i = 0; i < self._active.length; i++) {
          self._active[i].classList.remove(self._css);
        }
        self._active = [];
      });
    };
    return RippleActivator;
  }(activator_1.Activator));
  exports.RippleActivator = RippleActivator;
  var TOUCH_DOWN_ACCEL = 300;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/tap-click/tap-click.js", ["@angular/core", "./activator", "../app/app", "../../config/config", "../../util/dom", "./ripple"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var activator_1 = $__require('./activator');
  var app_1 = $__require('../app/app');
  var config_1 = $__require('../../config/config');
  var dom_1 = $__require('../../util/dom');
  var ripple_1 = $__require('./ripple');
  var TapClick = (function() {
    function TapClick(config, app, zone) {
      this.app = app;
      this.lastTouch = 0;
      this.disableClick = 0;
      this.lastActivated = 0;
      var self = this;
      if (config.get('activator') === 'ripple') {
        self.activator = new ripple_1.RippleActivator(app, config);
      } else if (config.get('activator') === 'highlight') {
        self.activator = new activator_1.Activator(app, config);
      }
      self.usePolyfill = (config.get('tapPolyfill') === true);
      zone.runOutsideAngular(function() {
        addListener('click', self.click.bind(self), true);
        addListener('touchstart', self.touchStart.bind(self));
        addListener('touchend', self.touchEnd.bind(self));
        addListener('touchcancel', self.pointerCancel.bind(self));
        addListener('mousedown', self.mouseDown.bind(self), true);
        addListener('mouseup', self.mouseUp.bind(self), true);
      });
      self.pointerMove = function(ev) {
        if (dom_1.hasPointerMoved(POINTER_MOVE_UNTIL_CANCEL, self.startCoord, dom_1.pointerCoord(ev))) {
          self.pointerCancel(ev);
        }
      };
    }
    TapClick.prototype.touchStart = function(ev) {
      this.lastTouch = Date.now();
      this.pointerStart(ev);
    };
    TapClick.prototype.touchEnd = function(ev) {
      this.lastTouch = Date.now();
      if (this.usePolyfill && this.startCoord && this.app.isEnabled()) {
        var endCoord = dom_1.pointerCoord(ev);
        if (!dom_1.hasPointerMoved(POINTER_TOLERANCE, this.startCoord, endCoord)) {
          this.disableClick = this.lastTouch + DISABLE_NATIVE_CLICK_AMOUNT;
          if (this.app.isScrolling()) {
            void 0;
          } else {
            void 0;
            var clickEvent = document.createEvent('MouseEvents');
            clickEvent.initMouseEvent('click', true, true, window, 1, 0, 0, endCoord.x, endCoord.y, false, false, false, false, 0, null);
            clickEvent.isIonicTap = true;
            ev.target.dispatchEvent(clickEvent);
          }
        }
      }
      this.pointerEnd(ev);
    };
    TapClick.prototype.mouseDown = function(ev) {
      if (this.isDisabledNativeClick()) {
        void 0;
        ev.stopPropagation();
      } else if (this.lastTouch + DISABLE_NATIVE_CLICK_AMOUNT < Date.now()) {
        this.pointerStart(ev);
      }
    };
    TapClick.prototype.mouseUp = function(ev) {
      if (this.isDisabledNativeClick()) {
        void 0;
        ev.preventDefault();
        ev.stopPropagation();
      }
      if (this.lastTouch + DISABLE_NATIVE_CLICK_AMOUNT < Date.now()) {
        this.pointerEnd(ev);
      }
    };
    TapClick.prototype.pointerStart = function(ev) {
      var activatableEle = getActivatableTarget(ev.target);
      if (activatableEle) {
        this.startCoord = dom_1.pointerCoord(ev);
        var now = Date.now();
        if (this.lastActivated + 150 < now && !this.app.isScrolling()) {
          this.activator && this.activator.downAction(ev, activatableEle, this.startCoord);
          this.lastActivated = now;
        }
        this.moveListeners(true);
      } else {
        this.startCoord = null;
      }
    };
    TapClick.prototype.pointerEnd = function(ev) {
      if (this.startCoord && this.activator) {
        var activatableEle = getActivatableTarget(ev.target);
        if (activatableEle) {
          this.activator.upAction(ev, activatableEle, this.startCoord);
        }
      }
      this.moveListeners(false);
    };
    TapClick.prototype.pointerCancel = function(ev) {
      void 0;
      this.activator && this.activator.clearState();
      this.moveListeners(false);
    };
    TapClick.prototype.moveListeners = function(shouldAdd) {
      removeListener(this.usePolyfill ? 'touchmove' : 'mousemove', this.pointerMove);
      if (shouldAdd) {
        addListener(this.usePolyfill ? 'touchmove' : 'mousemove', this.pointerMove);
      }
    };
    TapClick.prototype.click = function(ev) {
      var preventReason = null;
      if (!this.app.isEnabled()) {
        preventReason = 'appDisabled';
      } else if (!ev.isIonicTap && this.isDisabledNativeClick()) {
        preventReason = 'nativeClick';
      }
      if (preventReason !== null) {
        void 0;
        ev.preventDefault();
        ev.stopPropagation();
      }
    };
    TapClick.prototype.isDisabledNativeClick = function() {
      return this.disableClick > Date.now();
    };
    TapClick = __decorate([core_1.Injectable(), __metadata('design:paramtypes', [config_1.Config, app_1.App, core_1.NgZone])], TapClick);
    return TapClick;
  }());
  exports.TapClick = TapClick;
  function getActivatableTarget(ele) {
    var targetEle = ele;
    for (var x = 0; x < 4; x++) {
      if (!targetEle)
        break;
      if (exports.isActivatable(targetEle))
        return targetEle;
      targetEle = targetEle.parentElement;
    }
    return null;
  }
  exports.isActivatable = function(ele) {
    if (ACTIVATABLE_ELEMENTS.test(ele.tagName)) {
      return true;
    }
    var attributes = ele.attributes;
    for (var i = 0,
        l = attributes.length; i < l; i++) {
      if (ACTIVATABLE_ATTRIBUTES.test(attributes[i].name)) {
        return true;
      }
    }
    return false;
  };
  function addListener(type, listener, useCapture) {
    document.addEventListener(type, listener, useCapture);
  }
  function removeListener(type, listener) {
    document.removeEventListener(type, listener);
  }
  var ACTIVATABLE_ELEMENTS = /^(A|BUTTON)$/;
  var ACTIVATABLE_ATTRIBUTES = /tappable|button/i;
  var POINTER_TOLERANCE = 4;
  var POINTER_MOVE_UNTIL_CANCEL = 10;
  var DISABLE_NATIVE_CLICK_AMOUNT = 2500;
  return module.exports;
});

System.registerDynamic("ionic-angular/config/bootstrap.js", ["@angular/platform-browser-dynamic", "@angular/core", "../components/app/app", "../util/dom", "./providers", "../platform/platform", "../components/tap-click/tap-click"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var platform_browser_dynamic_1 = $__require('@angular/platform-browser-dynamic');
  var core_1 = $__require('@angular/core');
  var app_1 = $__require('../components/app/app');
  var dom_1 = $__require('../util/dom');
  var providers_1 = $__require('./providers');
  var platform_1 = $__require('../platform/platform');
  var tap_click_1 = $__require('../components/tap-click/tap-click');
  var _reflect = Reflect;
  function ionicBootstrap(appRootComponent, customProviders, config) {
    var providers = providers_1.ionicProviders(customProviders, config);
    providers.push({
      provide: app_1.UserComponent,
      useValue: appRootComponent
    });
    return new Promise(function(resolve) {
      cssReady(function() {
        platform_browser_dynamic_1.bootstrap(app_1.AppRoot, providers).then(function(ngComponentRef) {
          ionicPostBootstrap(ngComponentRef);
          resolve(ngComponentRef);
        });
      });
    });
  }
  exports.ionicBootstrap = ionicBootstrap;
  function ionicPostBootstrap(ngComponentRef) {
    var platform = ngComponentRef.injector.get(platform_1.Platform);
    platform.setZone(ngComponentRef.injector.get(core_1.NgZone));
    platform.prepareReady();
    ngComponentRef.injector.get(tap_click_1.TapClick);
    return ngComponentRef;
  }
  exports.ionicPostBootstrap = ionicPostBootstrap;
  var cssLoadAttempt = 0;
  function cssReady(done) {
    var appEle = document.body.querySelector('ion-app');
    if (!appEle || appEle.clientHeight > 0 || cssLoadAttempt > 300) {
      done();
    } else {
      dom_1.nativeRaf(function() {
        cssLoadAttempt++;
        cssReady(done);
      });
    }
  }
  function addSelector(type, selector) {
    if (type) {
      var annotations = _reflect.getMetadata('annotations', type);
      if (annotations && !annotations[0].selector) {
        annotations[0].selector = selector;
        _reflect.defineMetadata('annotations', annotations, type);
      }
    }
  }
  exports.addSelector = addSelector;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/ion.js", ["../util/dom"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var dom_1 = $__require('../util/dom');
  var ids = 0;
  var Ion = (function() {
    function Ion(elementRef) {
      this.elementRef = elementRef;
      this._id = 'i' + ids++;
    }
    Ion.prototype.getElementRef = function() {
      return this.elementRef;
    };
    Ion.prototype.getNativeElement = function() {
      return this.elementRef.nativeElement;
    };
    Ion.prototype.getDimensions = function() {
      return dom_1.getDimensions(this.elementRef.nativeElement, this._id);
    };
    Ion.prototype.width = function() {
      return dom_1.getDimensions(this.elementRef.nativeElement, this._id).width;
    };
    Ion.prototype.height = function() {
      return dom_1.getDimensions(this.elementRef.nativeElement, this._id).height;
    };
    Ion.prototype.ngOnDestroy = function() {
      dom_1.clearDimensions(this._id);
    };
    return Ion;
  }());
  exports.Ion = Ion;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/nav/nav-controller.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var NavController = (function() {
    function NavController() {}
    return NavController;
  }());
  exports.NavController = NavController;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/nav/nav-interfaces.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  exports.DIRECTION_BACK = 'back';
  exports.DIRECTION_FORWARD = 'forward';
  return module.exports;
});

System.registerDynamic("ionic-angular/util/ui-event-manager.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var PointerEvents = (function() {
    function PointerEvents(ele, pointerDown, pointerMove, pointerUp, zone, option) {
      this.ele = ele;
      this.pointerDown = pointerDown;
      this.pointerMove = pointerMove;
      this.pointerUp = pointerUp;
      this.zone = zone;
      this.option = option;
      this.rmTouchStart = null;
      this.rmTouchMove = null;
      this.rmTouchEnd = null;
      this.rmTouchCancel = null;
      this.rmMouseStart = null;
      this.rmMouseMove = null;
      this.rmMouseUp = null;
      this.lastTouchEvent = 0;
      this.mouseWait = 2 * 1000;
      this.bindTouchEnd = this.handleTouchEnd.bind(this);
      this.bindMouseUp = this.handleMouseUp.bind(this);
      this.rmTouchStart = listenEvent(ele, 'touchstart', zone, option, this.handleTouchStart.bind(this));
      this.rmMouseStart = listenEvent(ele, 'mousedown', zone, option, this.handleMouseDown.bind(this));
    }
    PointerEvents.prototype.handleTouchStart = function(ev) {
      this.lastTouchEvent = Date.now() + this.mouseWait;
      if (!this.pointerDown(ev)) {
        return;
      }
      if (!this.rmTouchMove) {
        this.rmTouchMove = listenEvent(this.ele, 'touchmove', this.zone, this.option, this.pointerMove);
      }
      if (!this.rmTouchEnd) {
        this.rmTouchEnd = listenEvent(this.ele, 'touchend', this.zone, this.option, this.bindTouchEnd);
      }
      if (!this.rmTouchCancel) {
        this.rmTouchCancel = listenEvent(this.ele, 'touchcancel', this.zone, this.option, this.bindTouchEnd);
      }
    };
    PointerEvents.prototype.handleMouseDown = function(ev) {
      if (this.lastTouchEvent > Date.now()) {
        void 0;
        return;
      }
      if (!this.pointerDown(ev)) {
        return;
      }
      if (!this.rmMouseMove) {
        this.rmMouseMove = listenEvent(document, 'mousemove', this.zone, this.option, this.pointerMove);
      }
      if (!this.rmMouseUp) {
        this.rmMouseUp = listenEvent(document, 'mouseup', this.zone, this.option, this.bindMouseUp);
      }
    };
    PointerEvents.prototype.handleTouchEnd = function(ev) {
      this.stopTouch();
      this.pointerUp(ev);
    };
    PointerEvents.prototype.handleMouseUp = function(ev) {
      this.stopMouse();
      this.pointerUp(ev);
    };
    PointerEvents.prototype.stopTouch = function() {
      this.rmTouchMove && this.rmTouchMove();
      this.rmTouchEnd && this.rmTouchEnd();
      this.rmTouchCancel && this.rmTouchCancel();
      this.rmTouchMove = null;
      this.rmTouchEnd = null;
      this.rmTouchCancel = null;
    };
    PointerEvents.prototype.stopMouse = function() {
      this.rmMouseMove && this.rmMouseMove();
      this.rmMouseUp && this.rmMouseUp();
      this.rmMouseMove = null;
      this.rmMouseUp = null;
    };
    PointerEvents.prototype.stop = function() {
      this.stopTouch();
      this.stopMouse();
    };
    PointerEvents.prototype.destroy = function() {
      this.rmTouchStart && this.rmTouchStart();
      this.rmTouchStart = null;
      this.rmMouseStart && this.rmMouseStart();
      this.rmMouseStart = null;
      this.stop();
      this.pointerDown = null;
      this.pointerMove = null;
      this.pointerUp = null;
      this.ele = null;
    };
    return PointerEvents;
  }());
  exports.PointerEvents = PointerEvents;
  var UIEventManager = (function() {
    function UIEventManager(zoneWrapped) {
      if (zoneWrapped === void 0) {
        zoneWrapped = true;
      }
      this.zoneWrapped = zoneWrapped;
      this.events = [];
    }
    UIEventManager.prototype.listenRef = function(ref, eventName, callback, option) {
      return this.listen(ref.nativeElement, eventName, callback, option);
    };
    UIEventManager.prototype.pointerEvents = function(config) {
      var element = config.element;
      if (!element) {
        element = config.elementRef.nativeElement;
      }
      if (!element || !config.pointerDown || !config.pointerMove || !config.pointerUp) {
        void 0;
        return;
      }
      var zone = config.zone || this.zoneWrapped;
      var options = config.nativeOptions || false;
      var submanager = new PointerEvents(element, config.pointerDown, config.pointerMove, config.pointerUp, zone, options);
      var removeFunc = function() {
        return submanager.destroy();
      };
      this.events.push(removeFunc);
      return submanager;
    };
    UIEventManager.prototype.listen = function(element, eventName, callback, option) {
      if (option === void 0) {
        option = false;
      }
      if (!element) {
        return;
      }
      var removeFunc = listenEvent(element, eventName, this.zoneWrapped, option, callback);
      this.events.push(removeFunc);
      return removeFunc;
    };
    UIEventManager.prototype.unlistenAll = function() {
      for (var _i = 0,
          _a = this.events; _i < _a.length; _i++) {
        var event_1 = _a[_i];
        event_1();
      }
      this.events.length = 0;
    };
    return UIEventManager;
  }());
  exports.UIEventManager = UIEventManager;
  function listenEvent(ele, eventName, zoneWrapped, option, callback) {
    var rawEvent = ('__zone_symbol__addEventListener' in ele && !zoneWrapped);
    if (rawEvent) {
      ele.__zone_symbol__addEventListener(eventName, callback, option);
      return function() {
        return ele.__zone_symbol__removeEventListener(eventName, callback);
      };
    } else {
      ele.addEventListener(eventName, callback, option);
      return function() {
        return ele.removeEventListener(eventName, callback);
      };
    }
  }
  return module.exports;
});

System.registerDynamic("ionic-angular/gestures/recognizers.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var PanRecognizer = (function() {
    function PanRecognizer(direction, threshold, maxAngle) {
      this.direction = direction;
      this.dirty = false;
      this._angle = 0;
      this._isPan = 0;
      var radians = maxAngle * (Math.PI / 180);
      this.maxCosine = Math.cos(radians);
      this.threshold = threshold * threshold;
    }
    PanRecognizer.prototype.start = function(coord) {
      this.startCoord = coord;
      this._angle = 0;
      this._isPan = 0;
      this.dirty = true;
    };
    PanRecognizer.prototype.detect = function(coord) {
      if (!this.dirty) {
        return false;
      }
      var deltaX = (coord.x - this.startCoord.x);
      var deltaY = (coord.y - this.startCoord.y);
      var distance = deltaX * deltaX + deltaY * deltaY;
      if (distance >= this.threshold) {
        var angle = Math.atan2(deltaY, deltaX);
        var cosine = (this.direction === 'y') ? Math.sin(angle) : Math.cos(angle);
        this._angle = angle;
        if (cosine > this.maxCosine) {
          this._isPan = 1;
        } else if (cosine < -this.maxCosine) {
          this._isPan = -1;
        } else {
          this._isPan = 0;
        }
        this.dirty = false;
        return true;
      }
      return false;
    };
    PanRecognizer.prototype.angle = function() {
      return this._angle;
    };
    PanRecognizer.prototype.pan = function() {
      return this._isPan;
    };
    return PanRecognizer;
  }());
  exports.PanRecognizer = PanRecognizer;
  return module.exports;
});

System.registerDynamic("ionic-angular/gestures/drag-gesture.js", ["../util", "../util/ui-event-manager", "./recognizers", "../util/dom"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var util_1 = $__require('../util');
  var ui_event_manager_1 = $__require('../util/ui-event-manager');
  var recognizers_1 = $__require('./recognizers');
  var dom_1 = $__require('../util/dom');
  var PanGesture = (function() {
    function PanGesture(element, opts) {
      if (opts === void 0) {
        opts = {};
      }
      this.element = element;
      this.events = new ui_event_manager_1.UIEventManager(false);
      this.started = false;
      this.captured = false;
      this.isListening = false;
      util_1.defaults(opts, {
        threshold: 20,
        maxAngle: 40,
        direction: 'x'
      });
      this.gestute = opts.gesture;
      this.direction = opts.direction;
      this.detector = new recognizers_1.PanRecognizer(opts.direction, opts.threshold, opts.maxAngle);
    }
    PanGesture.prototype.listen = function() {
      if (!this.isListening) {
        this.pointerEvents = this.events.pointerEvents({
          element: this.element,
          pointerDown: this.pointerDown.bind(this),
          pointerMove: this.pointerMove.bind(this),
          pointerUp: this.pointerUp.bind(this)
        });
        this.isListening = true;
      }
    };
    PanGesture.prototype.unlisten = function() {
      this.gestute && this.gestute.release();
      this.events.unlistenAll();
      this.isListening = false;
    };
    PanGesture.prototype.destroy = function() {
      this.gestute && this.gestute.destroy();
      this.unlisten();
      this.element = null;
    };
    PanGesture.prototype.pointerDown = function(ev) {
      if (this.started) {
        return;
      }
      if (!this.canStart(ev)) {
        return false;
      }
      if (this.gestute) {
        this.gestute.release();
        if (!this.gestute.start()) {
          return false;
        }
      }
      var coord = dom_1.pointerCoord(ev);
      this.detector.start(coord);
      this.started = true;
      this.captured = false;
      return true;
    };
    PanGesture.prototype.pointerMove = function(ev) {
      if (!this.started) {
        return;
      }
      if (this.captured) {
        this.onDragMove(ev);
        return;
      }
      var coord = dom_1.pointerCoord(ev);
      if (this.detector.detect(coord)) {
        if (this.detector.pan() !== 0 && this.canCapture(ev) && (!this.gestute || this.gestute.capture())) {
          this.onDragStart(ev);
          this.captured = true;
          return;
        }
        this.started = false;
        this.captured = false;
        this.pointerEvents.stop();
        this.notCaptured(ev);
      }
    };
    PanGesture.prototype.pointerUp = function(ev) {
      if (!this.started) {
        return;
      }
      this.gestute && this.gestute.release();
      if (this.captured) {
        this.onDragEnd(ev);
      } else {
        this.notCaptured(ev);
      }
      this.captured = false;
      this.started = false;
    };
    PanGesture.prototype.getNativeElement = function() {
      return this.element;
    };
    PanGesture.prototype.canStart = function(ev) {
      return true;
    };
    PanGesture.prototype.canCapture = function(ev) {
      return true;
    };
    PanGesture.prototype.onDragStart = function(ev) {};
    PanGesture.prototype.onDragMove = function(ev) {};
    PanGesture.prototype.onDragEnd = function(ev) {};
    PanGesture.prototype.notCaptured = function(ev) {};
    return PanGesture;
  }());
  exports.PanGesture = PanGesture;
  return module.exports;
});

System.registerDynamic("ionic-angular/util/datetime-util.js", ["./util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var util_1 = $__require('./util');
  function renderDateTime(template, value, locale) {
    if (util_1.isBlank(value)) {
      return '';
    }
    var tokens = [];
    var hasText = false;
    FORMAT_KEYS.forEach(function(format, index) {
      if (template.indexOf(format.f) > -1) {
        var token = '{' + index + '}';
        var text = renderTextFormat(format.f, value[format.k], value, locale);
        if (!hasText && text && util_1.isPresent(value[format.k])) {
          hasText = true;
        }
        tokens.push(token, text);
        template = template.replace(format.f, token);
      }
    });
    if (!hasText) {
      return '';
    }
    for (var i = 0; i < tokens.length; i += 2) {
      template = template.replace(tokens[i], tokens[i + 1]);
    }
    return template;
  }
  exports.renderDateTime = renderDateTime;
  function renderTextFormat(format, value, date, locale) {
    if (format === FORMAT_DDDD || format === FORMAT_DDD) {
      try {
        value = (new Date(date.year, date.month - 1, date.day)).getDay();
        if (format === FORMAT_DDDD) {
          return (util_1.isPresent(locale.dayNames) ? locale.dayNames : DAY_NAMES)[value];
        }
        return (util_1.isPresent(locale.dayShortNames) ? locale.dayShortNames : DAY_SHORT_NAMES)[value];
      } catch (e) {}
      return '';
    }
    if (format === FORMAT_A) {
      return date ? date.hour < 12 ? 'AM' : 'PM' : util_1.isPresent(value) ? value.toUpperCase() : '';
    }
    if (format === FORMAT_a) {
      return date ? date.hour < 12 ? 'am' : 'pm' : util_1.isPresent(value) ? value : '';
    }
    if (util_1.isBlank(value)) {
      return '';
    }
    if (format === FORMAT_YY || format === FORMAT_MM || format === FORMAT_DD || format === FORMAT_HH || format === FORMAT_mm || format === FORMAT_ss) {
      return twoDigit(value);
    }
    if (format === FORMAT_YYYY) {
      return fourDigit(value);
    }
    if (format === FORMAT_MMMM) {
      return (util_1.isPresent(locale.monthNames) ? locale.monthNames : MONTH_NAMES)[value - 1];
    }
    if (format === FORMAT_MMM) {
      return (util_1.isPresent(locale.monthShortNames) ? locale.monthShortNames : MONTH_SHORT_NAMES)[value - 1];
    }
    if (format === FORMAT_hh || format === FORMAT_h) {
      if (value === 0) {
        return '12';
      }
      if (value > 12) {
        value -= 12;
      }
      if (format === FORMAT_hh && value < 10) {
        return ('0' + value);
      }
    }
    return value.toString();
  }
  exports.renderTextFormat = renderTextFormat;
  function dateValueRange(format, min, max) {
    var opts = [];
    var i;
    if (format === FORMAT_YYYY || format === FORMAT_YY) {
      i = max.year;
      while (i >= min.year) {
        opts.push(i--);
      }
    } else if (format === FORMAT_MMMM || format === FORMAT_MMM || format === FORMAT_MM || format === FORMAT_M || format === FORMAT_hh || format === FORMAT_h) {
      for (i = 1; i < 13; i++) {
        opts.push(i);
      }
    } else if (format === FORMAT_DDDD || format === FORMAT_DDD || format === FORMAT_DD || format === FORMAT_D) {
      for (i = 1; i < 32; i++) {
        opts.push(i);
      }
    } else if (format === FORMAT_HH || format === FORMAT_H) {
      for (i = 0; i < 24; i++) {
        opts.push(i);
      }
    } else if (format === FORMAT_mm || format === FORMAT_m) {
      for (i = 0; i < 60; i++) {
        opts.push(i);
      }
    } else if (format === FORMAT_ss || format === FORMAT_s) {
      for (i = 0; i < 60; i++) {
        opts.push(i);
      }
    } else if (format === FORMAT_A || format === FORMAT_a) {
      opts.push('am', 'pm');
    }
    return opts;
  }
  exports.dateValueRange = dateValueRange;
  function dateSortValue(year, month, day) {
    return parseInt("1" + fourDigit(year) + twoDigit(month) + twoDigit(day), 10);
  }
  exports.dateSortValue = dateSortValue;
  function dateDataSortValue(data) {
    if (data) {
      return dateSortValue(data.year, data.month, data.day);
    }
    return -1;
  }
  exports.dateDataSortValue = dateDataSortValue;
  function daysInMonth(month, year) {
    return (month === 4 || month === 6 || month === 9 || month === 11) ? 30 : (month === 2) ? isLeapYear(year) ? 29 : 28 : 31;
  }
  exports.daysInMonth = daysInMonth;
  function isLeapYear(year) {
    return (year % 4 === 0 && year % 100 !== 0) || (year % 400 === 0);
  }
  exports.isLeapYear = isLeapYear;
  var ISO_8601_REGEXP = /^(\d{4}|[+\-]\d{6})(?:-(\d{2})(?:-(\d{2}))?)?(?:T(\d{2}):(\d{2})(?::(\d{2})(?:\.(\d{3}))?)?(?:(Z)|([+\-])(\d{2})(?::(\d{2}))?)?)?$/;
  var TIME_REGEXP = /^((\d{2}):(\d{2})(?::(\d{2})(?:\.(\d{3}))?)?(?:(Z)|([+\-])(\d{2})(?::(\d{2}))?)?)?$/;
  function parseDate(val) {
    var parse;
    if (util_1.isPresent(val) && val !== '') {
      parse = TIME_REGEXP.exec(val);
      if (util_1.isPresent(parse)) {
        parse.unshift(undefined, undefined);
        parse[2] = parse[3] = undefined;
      } else {
        parse = ISO_8601_REGEXP.exec(val);
      }
    }
    if (util_1.isBlank(parse)) {
      return null;
    }
    for (var i = 1; i < 8; i++) {
      parse[i] = (parse[i] !== undefined ? parseInt(parse[i], 10) : null);
    }
    var tzOffset = 0;
    if (util_1.isPresent(parse[9]) && util_1.isPresent(parse[10])) {
      tzOffset = parseInt(parse[10], 10) * 60;
      if (util_1.isPresent(parse[11])) {
        tzOffset += parseInt(parse[11], 10);
      }
      if (parse[9] === '-') {
        tzOffset *= -1;
      }
    }
    return {
      year: parse[1],
      month: parse[2],
      day: parse[3],
      hour: parse[4],
      minute: parse[5],
      second: parse[6],
      millisecond: parse[7],
      tzOffset: tzOffset
    };
  }
  exports.parseDate = parseDate;
  function updateDate(existingData, newData) {
    if (util_1.isPresent(newData) && newData !== '') {
      if (util_1.isString(newData)) {
        newData = parseDate(newData);
        if (newData) {
          util_1.assign(existingData, newData);
          return;
        }
      } else if ((util_1.isPresent(newData.year) || util_1.isPresent(newData.hour))) {
        if (util_1.isPresent(newData.ampm) && util_1.isPresent(newData.hour)) {
          if (newData.ampm.value === 'pm') {
            newData.hour.value = (newData.hour.value === 12 ? 12 : newData.hour.value + 12);
          } else {
            newData.hour.value = (newData.hour.value === 12 ? 0 : newData.hour.value);
          }
        }
        for (var k in newData) {
          existingData[k] = newData[k].value;
        }
        return;
      }
      void 0;
    } else {
      for (var k in existingData) {
        delete existingData[k];
      }
    }
  }
  exports.updateDate = updateDate;
  function parseTemplate(template) {
    var formats = [];
    template = template.replace(/[^\w\s]/gi, ' ');
    FORMAT_KEYS.forEach(function(format) {
      if (format.f.length > 1 && template.indexOf(format.f) > -1 && template.indexOf(format.f + format.f.charAt(0)) < 0) {
        template = template.replace(format.f, ' ' + format.f + ' ');
      }
    });
    var words = template.split(' ').filter(function(w) {
      return w.length > 0;
    });
    words.forEach(function(word, i) {
      FORMAT_KEYS.forEach(function(format) {
        if (word === format.f) {
          if (word === FORMAT_A || word === FORMAT_a) {
            if ((formats.indexOf(FORMAT_h) < 0 && formats.indexOf(FORMAT_hh) < 0) || (words[i - 1] !== FORMAT_m && words[i - 1] !== FORMAT_mm)) {
              return;
            }
          }
          formats.push(word);
        }
      });
    });
    return formats;
  }
  exports.parseTemplate = parseTemplate;
  function getValueFromFormat(date, format) {
    if (format === FORMAT_A || format === FORMAT_a) {
      return (date.hour < 12 ? 'am' : 'pm');
    }
    if (format === FORMAT_hh || format === FORMAT_h) {
      return (date.hour > 12 ? date.hour - 12 : date.hour);
    }
    return date[convertFormatToKey(format)];
  }
  exports.getValueFromFormat = getValueFromFormat;
  function convertFormatToKey(format) {
    for (var k in FORMAT_KEYS) {
      if (FORMAT_KEYS[k].f === format) {
        return FORMAT_KEYS[k].k;
      }
    }
    return null;
  }
  exports.convertFormatToKey = convertFormatToKey;
  function convertDataToISO(data) {
    var rtn = '';
    if (util_1.isPresent(data)) {
      if (util_1.isPresent(data.year)) {
        rtn = fourDigit(data.year);
        if (util_1.isPresent(data.month)) {
          rtn += '-' + twoDigit(data.month);
          if (util_1.isPresent(data.day)) {
            rtn += '-' + twoDigit(data.day);
            if (util_1.isPresent(data.hour)) {
              rtn += "T" + twoDigit(data.hour) + ":" + twoDigit(data.minute) + ":" + twoDigit(data.second);
              if (data.millisecond > 0) {
                rtn += '.' + threeDigit(data.millisecond);
              }
              if (util_1.isBlank(data.tzOffset) || data.tzOffset === 0) {
                rtn += 'Z';
              } else {
                rtn += (data.tzOffset > 0 ? '+' : '-') + twoDigit(Math.floor(data.tzOffset / 60)) + ':' + twoDigit(data.tzOffset % 60);
              }
            }
          }
        }
      } else if (util_1.isPresent(data.hour)) {
        rtn = twoDigit(data.hour) + ':' + twoDigit(data.minute);
        if (util_1.isPresent(data.second)) {
          rtn += ':' + twoDigit(data.second);
          if (util_1.isPresent(data.millisecond)) {
            rtn += '.' + threeDigit(data.millisecond);
          }
        }
      }
    }
    return rtn;
  }
  exports.convertDataToISO = convertDataToISO;
  function twoDigit(val) {
    return ('0' + (util_1.isPresent(val) ? Math.abs(val) : '0')).slice(-2);
  }
  function threeDigit(val) {
    return ('00' + (util_1.isPresent(val) ? Math.abs(val) : '0')).slice(-3);
  }
  function fourDigit(val) {
    return ('000' + (util_1.isPresent(val) ? Math.abs(val) : '0')).slice(-4);
  }
  var FORMAT_YYYY = 'YYYY';
  var FORMAT_YY = 'YY';
  var FORMAT_MMMM = 'MMMM';
  var FORMAT_MMM = 'MMM';
  var FORMAT_MM = 'MM';
  var FORMAT_M = 'M';
  var FORMAT_DDDD = 'DDDD';
  var FORMAT_DDD = 'DDD';
  var FORMAT_DD = 'DD';
  var FORMAT_D = 'D';
  var FORMAT_HH = 'HH';
  var FORMAT_H = 'H';
  var FORMAT_hh = 'hh';
  var FORMAT_h = 'h';
  var FORMAT_mm = 'mm';
  var FORMAT_m = 'm';
  var FORMAT_ss = 'ss';
  var FORMAT_s = 's';
  var FORMAT_A = 'A';
  var FORMAT_a = 'a';
  var FORMAT_KEYS = [{
    f: FORMAT_YYYY,
    k: 'year'
  }, {
    f: FORMAT_MMMM,
    k: 'month'
  }, {
    f: FORMAT_DDDD,
    k: 'day'
  }, {
    f: FORMAT_MMM,
    k: 'month'
  }, {
    f: FORMAT_DDD,
    k: 'day'
  }, {
    f: FORMAT_YY,
    k: 'year'
  }, {
    f: FORMAT_MM,
    k: 'month'
  }, {
    f: FORMAT_DD,
    k: 'day'
  }, {
    f: FORMAT_HH,
    k: 'hour'
  }, {
    f: FORMAT_hh,
    k: 'hour'
  }, {
    f: FORMAT_mm,
    k: 'minute'
  }, {
    f: FORMAT_ss,
    k: 'second'
  }, {
    f: FORMAT_M,
    k: 'month'
  }, {
    f: FORMAT_D,
    k: 'day'
  }, {
    f: FORMAT_H,
    k: 'hour'
  }, {
    f: FORMAT_h,
    k: 'hour'
  }, {
    f: FORMAT_m,
    k: 'minute'
  }, {
    f: FORMAT_s,
    k: 'second'
  }, {
    f: FORMAT_A,
    k: 'ampm'
  }, {
    f: FORMAT_a,
    k: 'ampm'
  }];
  var FORMAT_REGEX = /(\[[^\[]*\])|(\\)?([Hh]mm(ss)?|Mo|MM?M?M?|DD?D?D?|ddd?d?|YYYY|YY|a|A|hh?|HH?|mm?|ss?|.)/g;
  var DAY_NAMES = ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'];
  var DAY_SHORT_NAMES = ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'];
  var MONTH_NAMES = ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'];
  var MONTH_SHORT_NAMES = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'];
  return module.exports;
});

System.registerDynamic("ionic-angular/util.js", ["./util/dom", "./util/util", "./util/datetime-util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  function __export(m) {
    for (var p in m)
      if (!exports.hasOwnProperty(p))
        exports[p] = m[p];
  }
  var domUtil = $__require('./util/dom');
  exports.dom = domUtil;
  __export($__require('./util/util'));
  __export($__require('./util/datetime-util'));
  return module.exports;
});

System.registerDynamic("ionic-angular/gestures/slide-gesture.js", ["./drag-gesture", "../util", "../util/dom"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var drag_gesture_1 = $__require('./drag-gesture');
  var util_1 = $__require('../util');
  var dom_1 = $__require('../util/dom');
  var SlideGesture = (function(_super) {
    __extends(SlideGesture, _super);
    function SlideGesture(element, opts) {
      if (opts === void 0) {
        opts = {};
      }
      _super.call(this, element, opts);
      this.slide = null;
    }
    SlideGesture.prototype.getSlideBoundaries = function(slide, ev) {
      return {
        min: 0,
        max: this.getNativeElement().offsetWidth
      };
    };
    SlideGesture.prototype.getElementStartPos = function(slide, ev) {
      return 0;
    };
    SlideGesture.prototype.onDragStart = function(ev) {
      this.slide = {};
      this.onSlideBeforeStart(this.slide, ev);
      var _a = this.getSlideBoundaries(this.slide, ev),
          min = _a.min,
          max = _a.max;
      var coord = dom_1.pointerCoord(ev);
      this.slide.min = min;
      this.slide.max = max;
      this.slide.elementStartPos = this.getElementStartPos(this.slide, ev);
      this.slide.pos = this.slide.pointerStartPos = coord[this.direction];
      this.slide.timestamp = Date.now();
      this.slide.started = true;
      this.slide.velocity = 0;
      this.onSlideStart(this.slide, ev);
    };
    SlideGesture.prototype.onDragMove = function(ev) {
      var slide = this.slide;
      var coord = dom_1.pointerCoord(ev);
      var newPos = coord[this.direction];
      var newTimestamp = Date.now();
      var velocity = (newPos - slide.pos) / (newTimestamp - slide.timestamp);
      slide.pos = newPos;
      slide.timestamp = newTimestamp;
      slide.distance = util_1.clamp(slide.min, newPos - slide.pointerStartPos + slide.elementStartPos, slide.max);
      slide.velocity = velocity;
      slide.delta = newPos - slide.pointerStartPos;
      this.onSlide(slide, ev);
      return true;
    };
    SlideGesture.prototype.onDragEnd = function(ev) {
      this.onSlideEnd(this.slide, ev);
      this.slide = null;
    };
    SlideGesture.prototype.onSlideBeforeStart = function(slide, ev) {};
    SlideGesture.prototype.onSlideStart = function(slide, ev) {};
    SlideGesture.prototype.onSlide = function(slide, ev) {};
    SlideGesture.prototype.onSlideEnd = function(slide, ev) {};
    return SlideGesture;
  }(drag_gesture_1.PanGesture));
  exports.SlideGesture = SlideGesture;
  return module.exports;
});

System.registerDynamic("ionic-angular/gestures/slide-edge-gesture.js", ["./slide-gesture", "../util/util", "../util/dom"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var slide_gesture_1 = $__require('./slide-gesture');
  var util_1 = $__require('../util/util');
  var dom_1 = $__require('../util/dom');
  var SlideEdgeGesture = (function(_super) {
    __extends(SlideEdgeGesture, _super);
    function SlideEdgeGesture(element, opts) {
      if (opts === void 0) {
        opts = {};
      }
      util_1.defaults(opts, {
        edge: 'left',
        maxEdgeStart: 50
      });
      _super.call(this, element, opts);
      this.edges = opts.edge.split(' ');
      this.maxEdgeStart = opts.maxEdgeStart;
    }
    SlideEdgeGesture.prototype.canStart = function(ev) {
      var _this = this;
      var coord = dom_1.pointerCoord(ev);
      this._d = this.getContainerDimensions();
      return this.edges.every(function(edge) {
        return _this._checkEdge(edge, coord);
      });
    };
    SlideEdgeGesture.prototype.getContainerDimensions = function() {
      return {
        left: 0,
        top: 0,
        width: dom_1.windowDimensions().width,
        height: dom_1.windowDimensions().height
      };
    };
    SlideEdgeGesture.prototype._checkEdge = function(edge, pos) {
      switch (edge) {
        case 'left':
          return pos.x <= this._d.left + this.maxEdgeStart;
        case 'right':
          return pos.x >= this._d.width - this.maxEdgeStart;
        case 'top':
          return pos.y <= this._d.top + this.maxEdgeStart;
        case 'bottom':
          return pos.y >= this._d.height - this.maxEdgeStart;
      }
    };
    return SlideEdgeGesture;
  }(slide_gesture_1.SlideGesture));
  exports.SlideEdgeGesture = SlideEdgeGesture;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/nav/swipe-back.js", ["../../util/util", "../../gestures/slide-edge-gesture"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var util_1 = $__require('../../util/util');
  var slide_edge_gesture_1 = $__require('../../gestures/slide-edge-gesture');
  var SwipeBackGesture = (function(_super) {
    __extends(SwipeBackGesture, _super);
    function SwipeBackGesture(element, options, _nav, gestureCtlr) {
      _super.call(this, element, util_1.assign({
        direction: 'x',
        maxEdgeStart: 75,
        gesture: gestureCtlr.create('goback-swipe', {priority: 20})
      }, options));
      this._nav = _nav;
    }
    SwipeBackGesture.prototype.canStart = function(ev) {
      return (this._nav.canSwipeBack() && _super.prototype.canStart.call(this, ev));
    };
    SwipeBackGesture.prototype.onSlideBeforeStart = function(slideData, ev) {
      void 0;
      this._nav.swipeBackStart();
    };
    SwipeBackGesture.prototype.onSlide = function(slide) {
      var stepValue = (slide.distance / slide.max);
      void 0;
      this._nav.swipeBackProgress(stepValue);
    };
    SwipeBackGesture.prototype.onSlideEnd = function(slide, ev) {
      var shouldComplete = (Math.abs(slide.velocity) > 0.2 || Math.abs(slide.delta) > Math.abs(slide.max) * 0.5);
      var currentStepValue = (slide.distance / slide.max);
      void 0;
      this._nav.swipeBackEnd(shouldComplete, currentStepValue);
    };
    return SwipeBackGesture;
  }(slide_edge_gesture_1.SlideEdgeGesture));
  exports.SwipeBackGesture = SwipeBackGesture;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/nav/nav-controller-base.js", ["@angular/core", "../../config/bootstrap", "../ion", "../../util/util", "./nav-controller", "./nav-interfaces", "./nav-params", "./swipe-back", "../../transitions/transition", "./view-controller"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var core_1 = $__require('@angular/core');
  var bootstrap_1 = $__require('../../config/bootstrap');
  var ion_1 = $__require('../ion');
  var util_1 = $__require('../../util/util');
  var nav_controller_1 = $__require('./nav-controller');
  var nav_interfaces_1 = $__require('./nav-interfaces');
  var nav_params_1 = $__require('./nav-params');
  var swipe_back_1 = $__require('./swipe-back');
  var transition_1 = $__require('../../transitions/transition');
  var view_controller_1 = $__require('./view-controller');
  var NavControllerBase = (function(_super) {
    __extends(NavControllerBase, _super);
    function NavControllerBase(parent, _app, config, _keyboard, elementRef, _zone, _renderer, _compiler, _gestureCtrl) {
      _super.call(this, elementRef);
      this._app = _app;
      this._keyboard = _keyboard;
      this._zone = _zone;
      this._renderer = _renderer;
      this._compiler = _compiler;
      this._gestureCtrl = _gestureCtrl;
      this._transIds = 0;
      this._init = false;
      this._children = [];
      this._ids = -1;
      this._views = [];
      this.trnsTime = 0;
      this.parent = parent;
      this.config = config;
      this._trnsDelay = config.get('pageTransitionDelay');
      this._sbEnabled = config.getBoolean('swipeBackEnabled');
      this._sbThreshold = config.getNumber('swipeBackThreshold', 40);
      this.id = 'n' + (++ctrlIds);
      this.viewDidLoad = new core_1.EventEmitter();
      this.viewWillEnter = new core_1.EventEmitter();
      this.viewDidEnter = new core_1.EventEmitter();
      this.viewWillLeave = new core_1.EventEmitter();
      this.viewDidLeave = new core_1.EventEmitter();
      this.viewWillUnload = new core_1.EventEmitter();
      this.viewDidUnload = new core_1.EventEmitter();
    }
    NavControllerBase.prototype.setViewport = function(val) {
      this._viewport = val;
    };
    NavControllerBase.prototype.setRoot = function(page, params, opts) {
      return this.setPages([{
        page: page,
        params: params
      }], opts);
    };
    NavControllerBase.prototype.setPages = function(pages, opts) {
      if (!pages || !pages.length) {
        return Promise.resolve(false);
      }
      if (util_1.isBlank(opts)) {
        opts = {};
      }
      var leavingView = this._remove(0, this._views.length);
      var views = pages.map(function(p) {
        return new view_controller_1.ViewController(p.page, p.params);
      });
      var enteringView = this._insert(0, views);
      if (opts.animate !== true) {
        opts.animate = false;
      }
      opts.direction = opts.direction || nav_interfaces_1.DIRECTION_BACK;
      var resolve;
      var promise = new Promise(function(res) {
        resolve = res;
      });
      this._transition(enteringView, leavingView, opts, function(hasCompleted) {
        resolve(hasCompleted);
      });
      return promise;
    };
    NavControllerBase.prototype.push = function(page, params, opts, done) {
      return this.insertPages(-1, [{
        page: page,
        params: params
      }], opts, done);
    };
    NavControllerBase.prototype.present = function(enteringView, opts) {
      void 0;
      return Promise.resolve();
    };
    NavControllerBase.prototype.insert = function(insertIndex, page, params, opts, done) {
      return this.insertPages(insertIndex, [{
        page: page,
        params: params
      }], opts, done);
    };
    NavControllerBase.prototype.insertPages = function(insertIndex, insertPages, opts, done) {
      var views = insertPages.map(function(p) {
        return new view_controller_1.ViewController(p.page, p.params);
      });
      return this.insertViews(insertIndex, views, opts, done);
    };
    NavControllerBase.prototype.insertViews = function(insertIndex, insertViews, opts, done) {
      if (opts === void 0) {
        opts = {};
      }
      var promise;
      if (!done) {
        promise = new Promise(function(res) {
          done = res;
        });
      }
      if (!insertViews || !insertViews.length) {
        done(false);
        return promise;
      }
      if (util_1.isBlank(opts)) {
        opts = {};
      }
      var enteringView = this._insert(insertIndex, insertViews);
      if (util_1.isPresent(opts.id)) {
        enteringView.id = opts.id;
      }
      opts.direction = opts.direction || 'forward';
      if (!opts.animation) {
        opts.animation = enteringView.getTransitionName(opts.direction);
      }
      for (var i = this._views.length - 1; i >= 0; i--) {
        if (this._views[i].state === exports.STATE_ACTIVE || this._views[i].state === exports.STATE_INIT_ENTER) {
          if (this._views[i] === enteringView) {
            var leavingView = this.getByState(exports.STATE_INIT_LEAVE);
            if (!leavingView && this._isPortal) {
              var activeNav = this._app.getActiveNav();
              if (activeNav) {
                leavingView = activeNav.getByState(exports.STATE_INIT_LEAVE);
              }
            }
            this._transition(enteringView, leavingView, opts, done);
            return promise;
          }
          break;
        }
      }
      done(enteringView);
      return promise;
    };
    NavControllerBase.prototype._insert = function(insertIndex, insertViews) {
      var _this = this;
      if (insertIndex < 0 || insertIndex > this._views.length) {
        insertIndex = this._views.length;
      }
      var view = this.getActive();
      if (!view && this._isPortal) {
        var activeNav = this._app.getActiveNav();
        if (activeNav) {
          view = activeNav.getActive();
        }
      }
      if (view) {
        view.state = exports.STATE_INIT_LEAVE;
      } else if (view = this.getByState(exports.STATE_INIT_ENTER)) {
        view.state = exports.STATE_INACTIVE;
      }
      var insertView = null;
      insertViews.forEach(function(view, i) {
        insertView = view;
        view.setNav(_this);
        view.state = exports.STATE_INACTIVE;
        view.id = _this.id + '-' + (++_this._ids);
        _this._views.splice(insertIndex + i, 0, view);
      });
      if (insertView) {
        insertView.state = exports.STATE_INIT_ENTER;
      }
      return insertView;
    };
    NavControllerBase.prototype.pop = function(opts, done) {
      var activeView = this.getByState(exports.STATE_TRANS_ENTER) || this.getByState(exports.STATE_INIT_ENTER) || this.getActive();
      return this.remove(this.indexOf(activeView), 1, opts, done);
    };
    NavControllerBase.prototype.popToRoot = function(opts, done) {
      return this.popTo(this.first(), opts, done);
    };
    NavControllerBase.prototype.popTo = function(view, opts, done) {
      var startIndex = this.indexOf(view);
      if (startIndex < 0) {
        return Promise.reject('View not found to pop to');
      }
      var activeView = this.getByState(exports.STATE_TRANS_ENTER) || this.getByState(exports.STATE_INIT_ENTER) || this.getActive();
      var removeCount = this.indexOf(activeView) - startIndex;
      return this.remove(startIndex + 1, removeCount, opts, done);
    };
    NavControllerBase.prototype.remove = function(startIndex, removeCount, opts, done) {
      var _this = this;
      if (startIndex === void 0) {
        startIndex = -1;
      }
      if (removeCount === void 0) {
        removeCount = 1;
      }
      var promise;
      if (!done) {
        promise = new Promise(function(resolve) {
          done = resolve;
        });
      }
      if (startIndex === -1) {
        startIndex = (this._views.length - 1);
      } else if (startIndex < 0 || startIndex >= this._views.length) {
        void 0;
        done(false);
        return promise;
      }
      if (util_1.isBlank(opts)) {
        opts = {};
      }
      if (util_1.isBlank(opts.climbNav)) {
        opts.climbNav = true;
      }
      opts.direction = opts.direction || nav_interfaces_1.DIRECTION_BACK;
      var leavingView = this._remove(startIndex, removeCount);
      if (!leavingView) {
        var forcedActive = this.getByState(exports.STATE_FORCE_ACTIVE);
        if (forcedActive) {
          if (this._trans) {
            this._trans.stop();
            this._trans.destroy();
            this._trans = null;
            this._cleanup();
          }
          done(false);
          return promise;
        }
      }
      if (leavingView) {
        var enteringView = this.getByState(exports.STATE_INIT_ENTER);
        if (!enteringView && this._isPortal) {
          var activeNav = this._app.getActiveNav();
          if (activeNav) {
            enteringView = activeNav.last();
            if (enteringView) {
              enteringView.state = exports.STATE_INIT_ENTER;
            }
          }
        }
        if (!enteringView && !this._isPortal) {
          if (opts.climbNav) {
            var parentNav = this.parent;
            while (parentNav) {
              if (!exports.isTabs(parentNav)) {
                leavingView.fireWillLeave();
                this.viewWillLeave.emit(leavingView);
                this._app.viewWillLeave.emit(leavingView);
                return parentNav.pop(opts).then(function(rtnVal) {
                  leavingView.fireDidLeave();
                  _this.viewDidLeave.emit(leavingView);
                  _this._app.viewDidLeave.emit(leavingView);
                  return rtnVal;
                });
              }
              parentNav = parentNav.parent;
            }
          }
          leavingView.state = exports.STATE_ACTIVE;
          done(false);
          return promise;
        }
        if (!opts.animation) {
          opts.animation = leavingView.getTransitionName(opts.direction);
        }
        this._transition(enteringView, leavingView, opts, done);
        return promise;
      }
      done(false);
      return promise;
    };
    NavControllerBase.prototype._remove = function(startIndex, removeCount) {
      var _this = this;
      var view = null;
      for (var i = startIndex,
          ii = removeCount + startIndex; i < ii; i++) {
        view = this.getByIndex(i);
        if (!view)
          break;
        if (view.state === exports.STATE_TRANS_ENTER || view.state === exports.STATE_TRANS_LEAVE) {
          view.state = exports.STATE_REMOVE_AFTER_TRANS;
        } else if (view.state === exports.STATE_INIT_ENTER) {
          view.state = exports.STATE_CANCEL_ENTER;
        } else {
          view.state = exports.STATE_REMOVE;
        }
      }
      if (view = this.getByState(exports.STATE_INIT_LEAVE)) {
        var enteringView = this.getByState(exports.STATE_INIT_ENTER);
        if (enteringView) {
          enteringView.state = exports.STATE_INACTIVE;
        }
        for (var i = this.indexOf(view) - 1; i >= 0; i--) {
          if (this._views[i].state === exports.STATE_INACTIVE) {
            this._views[i].state = exports.STATE_INIT_ENTER;
            break;
          }
        }
      } else if (view = this.getByState(exports.STATE_TRANS_LEAVE)) {
        view.state = exports.STATE_FORCE_ACTIVE;
      } else if (view = this.getByState(exports.STATE_REMOVE)) {
        view.state = exports.STATE_INIT_LEAVE;
        view.fireWillUnload();
        this.viewWillUnload.emit(view);
        this._app.viewWillUnload.emit(view);
        for (var i = this.indexOf(view) - 1; i >= 0; i--) {
          if (this._views[i].state === exports.STATE_INACTIVE) {
            this._views[i].state = exports.STATE_INIT_ENTER;
            break;
          }
        }
      }
      view = this.getActive();
      if (view) {
        view = this.getByState(exports.STATE_INIT_ENTER);
        if (view) {
          view.state = exports.STATE_INACTIVE;
        }
        view = this.getByState(exports.STATE_INIT_LEAVE);
        if (view) {
          view.state = exports.STATE_REMOVE;
        }
      }
      this._views.filter(function(v) {
        return v.state === exports.STATE_REMOVE;
      }).forEach(function(view) {
        view.fireWillLeave();
        view.fireDidLeave();
        _this._views.splice(_this.indexOf(view), 1);
        view.destroy();
      });
      return this.getByState(exports.STATE_INIT_LEAVE);
    };
    NavControllerBase.prototype._transition = function(enteringView, leavingView, opts, done) {
      var _this = this;
      var transId = ++this._transIds;
      if (enteringView === leavingView) {
        this._transFinish(transId, enteringView, leavingView, null, false, false);
        done(false);
        return;
      }
      if (util_1.isBlank(opts)) {
        opts = {};
      }
      this._setAnimate(opts);
      if (!leavingView) {
        leavingView = new view_controller_1.ViewController();
      }
      if (!enteringView) {
        enteringView = new view_controller_1.ViewController();
        enteringView.fireLoaded();
      }
      this._render(transId, enteringView, leavingView, opts, function(hasCompleted) {
        _this._transFinish(transId, enteringView, leavingView, opts.direction, false, hasCompleted);
        done(hasCompleted);
      });
    };
    NavControllerBase.prototype._setAnimate = function(opts) {
      if ((this._views.length === 1 && !this._init && !this._isPortal) || this.config.get('animate') === false) {
        opts.animate = false;
      }
    };
    NavControllerBase.prototype._render = function(transId, enteringView, leavingView, opts, done) {
      var _this = this;
      if (enteringView.state === exports.STATE_INACTIVE) {
        return done();
      }
      enteringView.state = exports.STATE_INIT_ENTER;
      leavingView.state = exports.STATE_INIT_LEAVE;
      var isAlreadyTransitioning = this.isTransitioning();
      if (enteringView.isLoaded()) {
        this._postRender(transId, enteringView, leavingView, isAlreadyTransitioning, opts, done);
      } else {
        this.setTransitioning(true, 500);
        this.loadPage(enteringView, this._viewport, opts, function() {
          enteringView.fireLoaded();
          _this.viewDidLoad.emit(enteringView);
          _this._app.viewDidLoad.emit(enteringView);
          _this._postRender(transId, enteringView, leavingView, isAlreadyTransitioning, opts, done);
        });
      }
    };
    NavControllerBase.prototype._postRender = function(transId, enteringView, leavingView, isAlreadyTransitioning, opts, done) {
      var _this = this;
      if (enteringView.state === exports.STATE_INACTIVE) {
        return done();
      }
      if (!opts.preload) {
        var lastestLeavingView = this.getByState(exports.STATE_TRANS_ENTER) || leavingView;
        this._setZIndex(enteringView, lastestLeavingView, opts.direction);
        if (isAlreadyTransitioning) {
          enteringView.domShow(true, this._renderer);
          leavingView.domShow(true, this._renderer);
        } else {
          this._views.forEach(function(view) {
            view.domShow(_this._isPortal || (view === enteringView) || (view === leavingView), _this._renderer);
          });
        }
        if (leavingView.fireOtherLifecycles) {
          enteringView.fireWillEnter();
          this.viewWillEnter.emit(enteringView);
          this._app.viewWillEnter.emit(enteringView);
        }
        if (enteringView.fireOtherLifecycles) {
          leavingView.fireWillLeave();
          this.viewWillLeave.emit(leavingView);
          this._app.viewWillLeave.emit(leavingView);
        }
      } else {
        opts.animate = false;
      }
      this._beforeTrans(enteringView, leavingView, opts, done);
    };
    NavControllerBase.prototype._beforeTrans = function(enteringView, leavingView, opts, done) {
      var _this = this;
      if (enteringView.state === exports.STATE_INACTIVE || enteringView.state === exports.STATE_CANCEL_ENTER) {
        return done();
      }
      enteringView.state = exports.STATE_TRANS_ENTER;
      leavingView.state = exports.STATE_TRANS_LEAVE;
      this._zone.runOutsideAngular(function() {
        var transitionOpts = {
          animation: opts.animation,
          direction: opts.direction,
          duration: opts.duration,
          easing: opts.easing,
          renderDelay: opts.transitionDelay || _this._trnsDelay,
          isRTL: _this.config.platform.isRTL(),
          ev: opts.ev
        };
        var transAnimation = _this._createTrans(enteringView, leavingView, transitionOpts);
        _this._trans && _this._trans.destroy();
        _this._trans = transAnimation;
        if (opts.animate === false) {
          transAnimation.duration(0);
        }
        var parentTransitionEndTime = _this.getLongestTrans(Date.now());
        if (parentTransitionEndTime > 0) {
          var duration = parentTransitionEndTime - Date.now();
          _this.setTransitioning(true, duration);
        } else {
          var keyboardDurationPadding = 0;
          if (_this._keyboard.isOpen()) {
            keyboardDurationPadding = 600;
          }
          var duration = transAnimation.getDuration() + keyboardDurationPadding;
          var enableApp = (duration < 64);
          _this._app.setEnabled(enableApp, duration);
          _this.setTransitioning(!enableApp, duration);
        }
        transAnimation.onFinish(function(trans) {
          trans.destroy();
          _this._afterTrans(enteringView, leavingView, opts, trans.hasCompleted, done);
        });
        if (opts.progressAnimation) {
          transAnimation.progressStart();
        } else {
          transAnimation.play();
        }
      });
    };
    NavControllerBase.prototype._afterTrans = function(enteringView, leavingView, opts, hasCompleted, done) {
      var _this = this;
      this._zone.run(function() {
        if (!opts.preload && hasCompleted) {
          if (leavingView.fireOtherLifecycles) {
            enteringView.fireDidEnter();
            _this.viewDidEnter.emit(enteringView);
            _this._app.viewDidEnter.emit(enteringView);
          }
          if (enteringView.fireOtherLifecycles && _this._init) {
            leavingView.fireDidLeave();
            _this.viewDidLeave.emit(leavingView);
            _this._app.viewDidLeave.emit(leavingView);
          }
        }
        if (enteringView.state === exports.STATE_INACTIVE) {
          return done(hasCompleted);
        }
        if (opts.keyboardClose !== false && _this._keyboard.isOpen()) {
          _this._keyboard.close();
          _this._keyboard.onClose(function() {
            done(hasCompleted);
          }, 32);
        } else {
          done(hasCompleted);
        }
      });
    };
    NavControllerBase.prototype._transFinish = function(transId, enteringView, leavingView, direction, updateUrl, hasCompleted) {
      var _this = this;
      if (enteringView.state === exports.STATE_CANCEL_ENTER) {
        this.remove(enteringView.index, 1);
      }
      if (transId === this._transIds) {
        if (hasCompleted) {
          if (enteringView.state !== exports.STATE_REMOVE_AFTER_TRANS) {
            enteringView.state = exports.STATE_ACTIVE;
          }
          if (leavingView.state !== exports.STATE_REMOVE_AFTER_TRANS) {
            leavingView.state = exports.STATE_INACTIVE;
          }
          this._cleanup();
          leavingView = this.getPrevious(enteringView);
          if (this._isPortal) {
            enteringView.domShow(true, this._renderer);
          } else {
            this._views.forEach(function(view) {
              view.domShow((view === enteringView) || (view === leavingView), _this._renderer);
            });
          }
          this._init = true;
        } else {
          leavingView.state = exports.STATE_ACTIVE;
          enteringView.state = exports.STATE_INACTIVE;
        }
        var transitionEndTime = this.getLongestTrans(Date.now());
        if (transitionEndTime <= 0) {
          this._app && this._app.setEnabled(true);
        }
        this.setTransitioning(false);
        this._sbCheck();
      } else {
        if (enteringView.state === exports.STATE_TRANS_ENTER) {
          enteringView.state = exports.STATE_INACTIVE;
        }
        if (leavingView.state === exports.STATE_TRANS_LEAVE) {
          leavingView.state = exports.STATE_INACTIVE;
        }
      }
    };
    NavControllerBase.prototype._createTrans = function(enteringView, leavingView, transitionOpts) {
      return transition_1.Transition.createTransition(enteringView, leavingView, transitionOpts);
    };
    NavControllerBase.prototype._cleanup = function() {
      var _this = this;
      var activeViewIndex = this.indexOf(this.getActive());
      var destroys = this._views.filter(function(v) {
        return v.state === exports.STATE_REMOVE_AFTER_TRANS;
      });
      for (var i = activeViewIndex + 1; i < this._views.length; i++) {
        if (this._views[i].state === exports.STATE_INACTIVE) {
          destroys.push(this._views[i]);
        }
      }
      destroys.forEach(function(view) {
        _this._views.splice(_this.indexOf(view), 1);
        view.destroy();
        _this.viewDidUnload.emit(view);
        _this._app.viewDidUnload.emit(view);
      });
      var shouldResetZIndex = this._views.some(function(v) {
        return v.zIndex < 0;
      });
      if (shouldResetZIndex) {
        this._views.forEach(function(view) {
          view.setZIndex(view.zIndex + INIT_ZINDEX + 1, _this._renderer);
        });
      }
    };
    NavControllerBase.prototype.getActiveChildNav = function() {
      return this._children[this._children.length - 1];
    };
    NavControllerBase.prototype.registerChildNav = function(nav) {
      this._children.push(nav);
    };
    NavControllerBase.prototype.unregisterChildNav = function(nav) {
      var index = this._children.indexOf(nav);
      if (index > -1) {
        this._children.splice(index, 1);
      }
    };
    NavControllerBase.prototype.ngOnDestroy = function() {
      for (var i = this._views.length - 1; i >= 0; i--) {
        this._views[i].destroy();
      }
      this._views.length = 0;
      if (this.parent && this.parent.unregisterChildNav) {
        this.parent.unregisterChildNav(this);
      }
    };
    NavControllerBase.prototype.loadPage = function(view, viewport, opts, done) {
      var _this = this;
      if (!viewport || !view.componentType) {
        return;
      }
      bootstrap_1.addSelector(view.componentType, 'ion-page');
      this._compiler.resolveComponent(view.componentType).then(function(componentFactory) {
        if (view.state === exports.STATE_CANCEL_ENTER) {
          view.destroy();
          _this._views.splice(view.index, 1);
          return;
        }
        var componentProviders = core_1.ReflectiveInjector.resolve([core_1.provide(nav_controller_1.NavController, {useValue: _this}), core_1.provide(view_controller_1.ViewController, {useValue: view}), core_1.provide(nav_params_1.NavParams, {useValue: view.getNavParams()})]);
        var childInjector = core_1.ReflectiveInjector.fromResolvedProviders(componentProviders, _this._viewport.parentInjector);
        var componentRef = componentFactory.create(childInjector, null, null);
        viewport.insert(componentRef.hostView, viewport.length);
        view.setInstance(componentRef.instance);
        view.loaded(function() {
          var pageElementRef = componentRef.location;
          view.setChangeDetector(componentRef.changeDetectorRef);
          view.setPageRef(pageElementRef);
          var cssClassName = util_1.pascalCaseToDashCase(view.componentType.name);
          _this._renderer.setElementClass(pageElementRef.nativeElement, cssClassName, true);
          view.onDestroy(function() {
            _this._renderer.setElementAttribute(pageElementRef.nativeElement, 'class', null);
            _this._renderer.setElementAttribute(pageElementRef.nativeElement, 'style', null);
            componentRef.destroy();
          });
          done(view);
        });
      });
    };
    NavControllerBase.prototype.swipeBackStart = function() {
      var opts = {
        direction: nav_interfaces_1.DIRECTION_BACK,
        progressAnimation: true
      };
      var leavingView = this._remove(this._views.length - 1, 1);
      if (leavingView) {
        opts.animation = leavingView.getTransitionName(opts.direction);
        var enteringView = this.getByState(exports.STATE_INIT_ENTER);
        this._transition(enteringView, leavingView, opts, function(hasCompleted) {
          void 0;
        });
      }
    };
    NavControllerBase.prototype.swipeBackProgress = function(stepValue) {
      if (this._trans && this._sbGesture) {
        this._app.setEnabled(false, 4000);
        this.setTransitioning(true, 4000);
        this._trans.progressStep(stepValue);
      }
    };
    NavControllerBase.prototype.swipeBackEnd = function(shouldComplete, currentStepValue) {
      if (this._trans && this._sbGesture) {
        this._trans.progressEnd(shouldComplete, currentStepValue);
      }
    };
    NavControllerBase.prototype._sbCheck = function() {
      var _this = this;
      if (this._sbEnabled) {
        if (!this._sbGesture) {
          var opts = {
            edge: 'left',
            threshold: this._sbThreshold
          };
          this._sbGesture = new swipe_back_1.SwipeBackGesture(this.getNativeElement(), opts, this, this._gestureCtrl);
        }
        if (this.canSwipeBack()) {
          if (!this._sbGesture.isListening) {
            this._zone.runOutsideAngular(function() {
              void 0;
              _this._sbGesture.listen();
            });
          }
        } else if (this._sbGesture.isListening) {
          void 0;
          this._sbGesture.unlisten();
        }
      }
    };
    NavControllerBase.prototype.canSwipeBack = function() {
      return (this._sbEnabled && !this.isTransitioning() && this._app.isEnabled() && this.canGoBack());
    };
    NavControllerBase.prototype.canGoBack = function() {
      var activeView = this.getActive();
      if (activeView) {
        return activeView.enableBack();
      }
      return false;
    };
    NavControllerBase.prototype.isTransitioning = function(includeAncestors) {
      var now = Date.now();
      if (includeAncestors && this.getLongestTrans(now) > 0) {
        return true;
      }
      return (this.trnsTime > now);
    };
    NavControllerBase.prototype.setTransitioning = function(isTransitioning, fallback) {
      if (fallback === void 0) {
        fallback = 700;
      }
      this.trnsTime = (isTransitioning ? Date.now() + fallback : 0);
    };
    NavControllerBase.prototype.getLongestTrans = function(now) {
      var parentNav = this.parent;
      var transitionEndTime = -1;
      while (parentNav) {
        if (parentNav.trnsTime > transitionEndTime) {
          transitionEndTime = parentNav.trnsTime;
        }
        parentNav = parentNav.parent;
      }
      return transitionEndTime > 0 && transitionEndTime > now ? transitionEndTime : 0;
    };
    NavControllerBase.prototype.getByState = function(state) {
      for (var i = this._views.length - 1; i >= 0; i--) {
        if (this._views[i].state === state) {
          return this._views[i];
        }
      }
      return null;
    };
    NavControllerBase.prototype.getByIndex = function(index) {
      return (index < this._views.length && index > -1 ? this._views[index] : null);
    };
    NavControllerBase.prototype.getActive = function() {
      return this.getByState(exports.STATE_ACTIVE);
    };
    NavControllerBase.prototype.isActive = function(view) {
      return !!(view && view.state === exports.STATE_ACTIVE);
    };
    NavControllerBase.prototype.getPrevious = function(view) {
      return this.getByIndex(this.indexOf(view) - 1);
    };
    NavControllerBase.prototype.first = function() {
      return (this._views.length ? this._views[0] : null);
    };
    NavControllerBase.prototype.last = function() {
      return (this._views.length ? this._views[this._views.length - 1] : null);
    };
    NavControllerBase.prototype.indexOf = function(view) {
      return this._views.indexOf(view);
    };
    NavControllerBase.prototype.length = function() {
      return this._views.length;
    };
    NavControllerBase.prototype.isSwipeBackEnabled = function() {
      return this._sbEnabled;
    };
    Object.defineProperty(NavControllerBase.prototype, "rootNav", {
      get: function() {
        void 0;
        return this._app.getRootNav();
      },
      enumerable: true,
      configurable: true
    });
    NavControllerBase.prototype.dismissPageChangeViews = function() {
      this._views.forEach(function(view) {
        if (view.data && view.data.dismissOnPageChange) {
          view.dismiss();
        }
      });
    };
    NavControllerBase.prototype._setZIndex = function(enteringView, leavingView, direction) {
      if (enteringView) {
        if (!leavingView || !leavingView.isLoaded()) {
          var previousView = this.getPrevious(enteringView);
          if (previousView && previousView.isLoaded()) {
            enteringView.setZIndex(previousView.zIndex + 1, this._renderer);
          } else {
            enteringView.setZIndex(this._isPortal ? PORTAL_ZINDEX : INIT_ZINDEX, this._renderer);
          }
        } else if (direction === nav_interfaces_1.DIRECTION_BACK) {
          enteringView.setZIndex(leavingView.zIndex - 1, this._renderer);
        } else {
          enteringView.setZIndex(leavingView.zIndex + 1, this._renderer);
        }
      }
    };
    return NavControllerBase;
  }(ion_1.Ion));
  exports.NavControllerBase = NavControllerBase;
  exports.isTabs = function(nav) {
    return !!nav.getSelected;
  };
  exports.isTab = function(nav) {
    return util_1.isPresent(nav._tabId);
  };
  exports.isNav = function(nav) {
    return util_1.isPresent(nav.push);
  };
  exports.STATE_ACTIVE = 1;
  exports.STATE_INACTIVE = 2;
  exports.STATE_INIT_ENTER = 3;
  exports.STATE_INIT_LEAVE = 4;
  exports.STATE_TRANS_ENTER = 5;
  exports.STATE_TRANS_LEAVE = 6;
  exports.STATE_REMOVE = 7;
  exports.STATE_REMOVE_AFTER_TRANS = 8;
  exports.STATE_CANCEL_ENTER = 9;
  exports.STATE_FORCE_ACTIVE = 10;
  var INIT_ZINDEX = 100;
  var PORTAL_ZINDEX = 9999;
  var ctrlIds = -1;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/tabs/tab.js", ["@angular/core", "../app/app", "../../config/config", "../../gestures/gesture-controller", "../../util/util", "../../util/keyboard", "../nav/nav-controller-base", "./tabs"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var app_1 = $__require('../app/app');
  var config_1 = $__require('../../config/config');
  var gesture_controller_1 = $__require('../../gestures/gesture-controller');
  var util_1 = $__require('../../util/util');
  var keyboard_1 = $__require('../../util/keyboard');
  var nav_controller_base_1 = $__require('../nav/nav-controller-base');
  var tabs_1 = $__require('./tabs');
  var Tab = (function(_super) {
    __extends(Tab, _super);
    function Tab(parent, app, config, keyboard, elementRef, zone, renderer, compiler, _cd, gestureCtrl) {
      _super.call(this, parent, app, config, keyboard, elementRef, zone, renderer, compiler, gestureCtrl);
      this.parent = parent;
      this._cd = _cd;
      this._isEnabled = true;
      this._isShown = true;
      this.ionSelect = new core_1.EventEmitter();
      parent.add(this);
      this._tabId = 'tabpanel-' + this.id;
      this._btnId = 'tab-' + this.id;
    }
    Object.defineProperty(Tab.prototype, "enabled", {
      get: function() {
        return this._isEnabled;
      },
      set: function(val) {
        this._isEnabled = util_1.isTrueProperty(val);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Tab.prototype, "show", {
      get: function() {
        return this._isShown;
      },
      set: function(val) {
        this._isShown = util_1.isTrueProperty(val);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Tab.prototype, "swipeBackEnabled", {
      get: function() {
        return this._sbEnabled;
      },
      set: function(val) {
        this._sbEnabled = util_1.isTrueProperty(val);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Tab.prototype, "_vp", {
      set: function(val) {
        this.setViewport(val);
      },
      enumerable: true,
      configurable: true
    });
    Tab.prototype.ngOnInit = function() {
      this.tabBadgeStyle = this.tabBadgeStyle ? this.tabBadgeStyle : 'default';
    };
    Tab.prototype.load = function(opts, done) {
      if (!this._loaded && this.root) {
        this.push(this.root, this.rootParams, opts, function() {
          done(true);
        });
        this._loaded = true;
      } else {
        done(false);
      }
    };
    Tab.prototype.preload = function(wait) {
      var _this = this;
      this._loadTmr = setTimeout(function() {
        if (!_this._loaded) {
          void 0;
          _this.load({
            animate: false,
            preload: true
          }, function() {});
        }
      }, wait);
    };
    Tab.prototype.loadPage = function(viewCtrl, viewport, opts, done) {
      var _this = this;
      var isTabSubPage = (this.parent.subPages && viewCtrl.index > 0);
      if (isTabSubPage) {
        viewport = this.parent.portal;
      }
      _super.prototype.loadPage.call(this, viewCtrl, viewport, opts, function() {
        if (isTabSubPage) {
          var pageEleRef = viewCtrl.pageRef();
          if (pageEleRef) {
            _this._renderer.setElementClass(pageEleRef.nativeElement, 'tab-subpage', true);
          }
        }
        done();
      });
    };
    Tab.prototype.setSelected = function(isSelected) {
      this.isSelected = isSelected;
      if (isSelected) {
        this._cd.reattach();
      } else {
        this._cd.detach();
      }
    };
    Object.defineProperty(Tab.prototype, "index", {
      get: function() {
        return this.parent.getIndex(this);
      },
      enumerable: true,
      configurable: true
    });
    Tab.prototype.ngOnDestroy = function() {
      clearTimeout(this._loadTmr);
      _super.prototype.ngOnDestroy.call(this);
    };
    __decorate([core_1.Input(), __metadata('design:type', Object)], Tab.prototype, "root", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Object)], Tab.prototype, "rootParams", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], Tab.prototype, "tabTitle", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], Tab.prototype, "tabIcon", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], Tab.prototype, "tabBadge", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], Tab.prototype, "tabBadgeStyle", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Boolean)], Tab.prototype, "enabled", null);
    __decorate([core_1.Input(), __metadata('design:type', Boolean)], Tab.prototype, "show", null);
    __decorate([core_1.Input(), __metadata('design:type', Boolean)], Tab.prototype, "swipeBackEnabled", null);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], Tab.prototype, "ionSelect", void 0);
    __decorate([core_1.ViewChild('viewport', {read: core_1.ViewContainerRef}), __metadata('design:type', core_1.ViewContainerRef), __metadata('design:paramtypes', [core_1.ViewContainerRef])], Tab.prototype, "_vp", null);
    Tab = __decorate([core_1.Component({
      selector: 'ion-tab',
      host: {
        '[class.show-tab]': 'isSelected',
        '[attr.id]': '_tabId',
        '[attr.aria-labelledby]': '_btnId',
        'role': 'tabpanel'
      },
      template: '<div #viewport></div><div class="nav-decor"></div>',
      encapsulation: core_1.ViewEncapsulation.None
    }), __param(0, core_1.Inject(core_1.forwardRef(function() {
      return tabs_1.Tabs;
    }))), __metadata('design:paramtypes', [tabs_1.Tabs, app_1.App, config_1.Config, keyboard_1.Keyboard, core_1.ElementRef, core_1.NgZone, core_1.Renderer, core_1.ComponentResolver, core_1.ChangeDetectorRef, gesture_controller_1.GestureController])], Tab);
    return Tab;
  }(nav_controller_base_1.NavControllerBase));
  exports.Tab = Tab;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/tabs/tab-button.js", ["@angular/core", "../../config/config", "../ion", "./tab"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var config_1 = $__require('../../config/config');
  var ion_1 = $__require('../ion');
  var tab_1 = $__require('./tab');
  var TabButton = (function(_super) {
    __extends(TabButton, _super);
    function TabButton(config, elementRef) {
      _super.call(this, elementRef);
      this.ionSelect = new core_1.EventEmitter();
      this.disHover = (config.get('hoverCSS') === false);
      this.layout = config.get('tabsLayout');
      if (config.get('tabbarLayout') !== undefined) {
        this.layout = config.get('tabbarLayout');
      }
    }
    TabButton.prototype.ngOnInit = function() {
      this.tab.btn = this;
      this.layout = this.tab.parent.tabsLayout || this.layout;
      this.hasTitle = !!this.tab.tabTitle;
      this.hasIcon = !!this.tab.tabIcon && this.layout !== 'icon-hide';
      this.hasTitleOnly = (this.hasTitle && !this.hasIcon);
      this.hasIconOnly = (this.hasIcon && !this.hasTitle);
      this.hasBadge = !!this.tab.tabBadge;
    };
    TabButton.prototype.onClick = function(ev) {
      this.ionSelect.emit(this.tab);
      ev.preventDefault();
    };
    __decorate([core_1.Input(), __metadata('design:type', tab_1.Tab)], TabButton.prototype, "tab", void 0);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], TabButton.prototype, "ionSelect", void 0);
    __decorate([core_1.HostListener('click', ['$event']), __metadata('design:type', Function), __metadata('design:paramtypes', [UIEvent]), __metadata('design:returntype', void 0)], TabButton.prototype, "onClick", null);
    TabButton = __decorate([core_1.Directive({
      selector: '.tab-button',
      host: {
        '[attr.id]': 'tab._btnId',
        '[attr.aria-controls]': 'tab._tabId',
        '[attr.aria-selected]': 'tab.isSelected',
        '[class.has-title]': 'hasTitle',
        '[class.has-icon]': 'hasIcon',
        '[class.has-title-only]': 'hasTitleOnly',
        '[class.icon-only]': 'hasIconOnly',
        '[class.has-badge]': 'hasBadge',
        '[class.disable-hover]': 'disHover'
      }
    }), __metadata('design:paramtypes', [config_1.Config, core_1.ElementRef])], TabButton);
    return TabButton;
  }(ion_1.Ion));
  exports.TabButton = TabButton;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/tabs/tab-highlight.js", ["@angular/core", "../../util/dom"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var dom_1 = $__require('../../util/dom');
  var TabHighlight = (function() {
    function TabHighlight(_elementRef) {
      this._elementRef = _elementRef;
    }
    TabHighlight.prototype.select = function(tab) {
      var _this = this;
      dom_1.rafFrames(3, function() {
        var d = tab.btn.getDimensions();
        var ele = _this._elementRef.nativeElement;
        ele.style.transform = 'translate3d(' + d.left + 'px,0,0) scaleX(' + d.width + ')';
        if (!_this._init) {
          _this._init = true;
          dom_1.rafFrames(6, function() {
            ele.classList.add('animate');
          });
        }
      });
    };
    TabHighlight = __decorate([core_1.Directive({selector: 'tab-highlight'}), __metadata('design:paramtypes', [core_1.ElementRef])], TabHighlight);
    return TabHighlight;
  }());
  exports.TabHighlight = TabHighlight;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/tabs/tabs.js", ["@angular/core", "@angular/common", "../app/app", "../badge/badge", "../../config/config", "../content/content", "../icon/icon", "../ion", "../../util/util", "../../util/dom", "../nav/nav-controller", "../../platform/platform", "./tab-button", "./tab-highlight", "../nav/view-controller"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var common_1 = $__require('@angular/common');
  var app_1 = $__require('../app/app');
  var badge_1 = $__require('../badge/badge');
  var config_1 = $__require('../../config/config');
  var content_1 = $__require('../content/content');
  var icon_1 = $__require('../icon/icon');
  var ion_1 = $__require('../ion');
  var util_1 = $__require('../../util/util');
  var dom_1 = $__require('../../util/dom');
  var nav_controller_1 = $__require('../nav/nav-controller');
  var platform_1 = $__require('../../platform/platform');
  var tab_button_1 = $__require('./tab-button');
  var tab_highlight_1 = $__require('./tab-highlight');
  var view_controller_1 = $__require('../nav/view-controller');
  var Tabs = (function(_super) {
    __extends(Tabs, _super);
    function Tabs(parent, viewCtrl, _app, _config, _elementRef, _platform, _renderer) {
      var _this = this;
      _super.call(this, _elementRef);
      this.viewCtrl = viewCtrl;
      this._app = _app;
      this._config = _config;
      this._elementRef = _elementRef;
      this._platform = _platform;
      this._renderer = _renderer;
      this._ids = -1;
      this._tabs = [];
      this._onReady = null;
      this.selectHistory = [];
      this.ionChange = new core_1.EventEmitter();
      this.parent = parent;
      this.id = 't' + (++tabIds);
      this._sbPadding = _config.getBoolean('statusbarPadding');
      this.subPages = _config.getBoolean('tabsHideOnSubPages');
      this.tabsHighlight = _config.getBoolean('tabsHighlight');
      if (_config.get('tabSubPages') !== null) {
        void 0;
        this.subPages = _config.getBoolean('tabSubPages');
      }
      if (_config.get('tabbarHighlight') !== null) {
        void 0;
        this.tabsHighlight = _config.getBoolean('tabbarHighlight');
      }
      if (this.parent) {
        this.parent.registerChildNav(this);
      } else if (viewCtrl && viewCtrl.getNav()) {
        this.parent = viewCtrl.getNav();
        this.parent.registerChildNav(this);
      } else if (this._app) {
        this._app.setRootNav(this);
      }
      if (viewCtrl) {
        viewCtrl.setContent(this);
        viewCtrl.setContentRef(_elementRef);
        viewCtrl.loaded = function(done) {
          _this._onReady = done;
        };
      }
    }
    Tabs.prototype.ngAfterViewInit = function() {
      var _this = this;
      this._setConfig('tabsPlacement', 'bottom');
      this._setConfig('tabsLayout', 'icon-top');
      this._setConfig('tabsHighlight', this.tabsHighlight);
      this._setConfig('tabbarPlacement', 'bottom');
      this._setConfig('tabbarLayout', 'icon-top');
      if (this.tabbarPlacement !== undefined) {
        void 0;
        this._renderer.setElementAttribute(this._elementRef.nativeElement, 'tabsPlacement', this.tabbarPlacement);
        this.tabsPlacement = this.tabbarPlacement;
      }
      if (this._config.get('tabbarPlacement') !== null) {
        void 0;
        this._renderer.setElementAttribute(this._elementRef.nativeElement, 'tabsPlacement', this._config.get('tabbarPlacement'));
      }
      if (this.tabbarLayout !== undefined) {
        void 0;
        this._renderer.setElementAttribute(this._elementRef.nativeElement, 'tabsLayout', this.tabbarLayout);
        this.tabsLayout = this.tabbarLayout;
      }
      if (this._config.get('tabbarLayout') !== null) {
        void 0;
        this._renderer.setElementAttribute(this._elementRef.nativeElement, 'tabsLayout', this._config.get('tabsLayout'));
      }
      if (this.tabsHighlight) {
        this._platform.onResize(function() {
          _this._highlight.select(_this.getSelected());
        });
      }
      this.initTabs();
    };
    Tabs.prototype.initTabs = function() {
      var _this = this;
      var selectedIndex = (util_1.isBlank(this.selectedIndex) ? 0 : parseInt(this.selectedIndex, 10));
      var selectedTab = this._tabs.find(function(t, i) {
        return i === selectedIndex && t.enabled && t.show;
      });
      if (!selectedTab) {
        selectedTab = this._tabs.find(function(t) {
          return t.enabled && t.show;
        });
      }
      if (selectedTab) {
        this.select(selectedTab);
      }
      var shouldPreloadTabs = (util_1.isBlank(this.preloadTabs) ? this._config.getBoolean('preloadTabs') : util_1.isTrueProperty(this.preloadTabs));
      if (shouldPreloadTabs) {
        this._tabs.filter(function(t) {
          return t !== selectedTab;
        }).forEach(function(tab, index) {
          tab.preload(_this._config.getNumber('tabsPreloadDelay', 1000) * index);
        });
      }
    };
    Tabs.prototype._setConfig = function(attrKey, fallback) {
      var val = this[attrKey];
      if (util_1.isBlank(val)) {
        val = this._config.get(attrKey, fallback);
      }
      this._renderer.setElementAttribute(this._elementRef.nativeElement, attrKey, val);
    };
    Tabs.prototype.add = function(tab) {
      tab.id = this.id + '-' + (++this._ids);
      this._tabs.push(tab);
    };
    Tabs.prototype.select = function(tabOrIndex, opts, done) {
      var _this = this;
      if (opts === void 0) {
        opts = {};
      }
      var promise;
      if (!done) {
        promise = new Promise(function(res) {
          done = res;
        });
      }
      var selectedTab = (typeof tabOrIndex === 'number' ? this.getByIndex(tabOrIndex) : tabOrIndex);
      if (util_1.isBlank(selectedTab)) {
        return Promise.resolve();
      }
      var deselectedTab = this.getSelected();
      if (selectedTab === deselectedTab) {
        this._touchActive(selectedTab);
        return Promise.resolve();
      }
      void 0;
      var deselectedPage;
      if (deselectedTab) {
        deselectedPage = deselectedTab.getActive();
        deselectedPage && deselectedPage.fireWillLeave();
      }
      opts.animate = false;
      var selectedPage = selectedTab.getActive();
      selectedPage && selectedPage.fireWillEnter();
      selectedTab.load(opts, function(initialLoad) {
        selectedTab.ionSelect.emit(selectedTab);
        _this.ionChange.emit(selectedTab);
        if (selectedTab.root) {
          _this._tabs.forEach(function(tab) {
            tab.setSelected(tab === selectedTab);
          });
          if (_this.tabsHighlight) {
            _this._highlight.select(selectedTab);
          }
        }
        selectedPage && selectedPage.fireDidEnter();
        deselectedPage && deselectedPage.fireDidLeave();
        if (_this._onReady) {
          _this._onReady();
          _this._onReady = null;
        }
        if (_this.selectHistory[_this.selectHistory.length - 1] !== selectedTab.id) {
          _this.selectHistory.push(selectedTab.id);
        }
        if (!initialLoad && selectedPage) {
          var content = selectedPage.getContent();
          if (content && content instanceof content_1.Content) {
            dom_1.nativeRaf(function() {
              content.readDimensions();
              content.writeDimensions();
            });
          }
        }
        done();
      });
      return promise;
    };
    Tabs.prototype.previousTab = function(trimHistory) {
      var _this = this;
      if (trimHistory === void 0) {
        trimHistory = true;
      }
      void 0;
      for (var i = this.selectHistory.length - 2; i >= 0; i--) {
        var tab = this._tabs.find(function(t) {
          return t.id === _this.selectHistory[i];
        });
        if (tab && tab.enabled && tab.show) {
          if (trimHistory) {
            this.selectHistory.splice(i + 1);
          }
          return tab;
        }
      }
      return null;
    };
    Tabs.prototype.getByIndex = function(index) {
      if (index < this._tabs.length && index > -1) {
        return this._tabs[index];
      }
      return null;
    };
    Tabs.prototype.getSelected = function() {
      for (var i = 0; i < this._tabs.length; i++) {
        if (this._tabs[i].isSelected) {
          return this._tabs[i];
        }
      }
      return null;
    };
    Tabs.prototype.getActiveChildNav = function() {
      return this.getSelected();
    };
    Tabs.prototype.getIndex = function(tab) {
      return this._tabs.indexOf(tab);
    };
    Tabs.prototype.length = function() {
      return this._tabs.length;
    };
    Tabs.prototype._touchActive = function(tab) {
      var active = tab.getActive();
      if (!active) {
        return Promise.resolve();
      }
      var instance = active.instance;
      if (instance.ionSelected) {
        return instance.ionSelected();
      }
      if (tab.length() > 1) {
        return tab.popToRoot();
      }
      if (tab.root !== active.componentType) {
        return tab.setRoot(tab.root);
      }
      return Promise.resolve();
    };
    Tabs.prototype.setTabbarPosition = function(top, bottom) {
      if (this._top !== top || this._bottom !== bottom) {
        var tabbarEle = this._tabbar.nativeElement;
        tabbarEle.style.top = (top > -1 ? top + 'px' : '');
        tabbarEle.style.bottom = (bottom > -1 ? bottom + 'px' : '');
        tabbarEle.classList.add('show-tabbar');
        this._top = top;
        this._bottom = bottom;
      }
    };
    __decorate([core_1.Input(), __metadata('design:type', Object)], Tabs.prototype, "selectedIndex", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Object)], Tabs.prototype, "preloadTabs", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], Tabs.prototype, "tabbarLayout", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], Tabs.prototype, "tabsLayout", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], Tabs.prototype, "tabbarPlacement", void 0);
    __decorate([core_1.Input(), __metadata('design:type', String)], Tabs.prototype, "tabsPlacement", void 0);
    __decorate([core_1.Input(), __metadata('design:type', Boolean)], Tabs.prototype, "tabsHighlight", void 0);
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], Tabs.prototype, "ionChange", void 0);
    __decorate([core_1.ViewChild(tab_highlight_1.TabHighlight), __metadata('design:type', tab_highlight_1.TabHighlight)], Tabs.prototype, "_highlight", void 0);
    __decorate([core_1.ViewChild('tabbar'), __metadata('design:type', core_1.ElementRef)], Tabs.prototype, "_tabbar", void 0);
    __decorate([core_1.ViewChild('portal', {read: core_1.ViewContainerRef}), __metadata('design:type', core_1.ViewContainerRef)], Tabs.prototype, "portal", void 0);
    Tabs = __decorate([core_1.Component({
      selector: 'ion-tabs',
      template: "\n    <ion-tabbar role=\"tablist\" #tabbar>\n      <a *ngFor=\"let t of _tabs\" [tab]=\"t\" class=\"tab-button\" [class.tab-disabled]=\"!t.enabled\" [class.tab-hidden]=\"!t.show\" role=\"tab\" href=\"#\" (ionSelect)=\"select($event)\">\n        <ion-icon *ngIf=\"t.tabIcon\" [name]=\"t.tabIcon\" [isActive]=\"t.isSelected\" class=\"tab-button-icon\"></ion-icon>\n        <span *ngIf=\"t.tabTitle\" class=\"tab-button-text\">{{t.tabTitle}}</span>\n        <ion-badge *ngIf=\"t.tabBadge\" class=\"tab-badge\" [ngClass]=\"'badge-' + t.tabBadgeStyle\">{{t.tabBadge}}</ion-badge>\n        <ion-button-effect></ion-button-effect>\n      </a>\n      <tab-highlight></tab-highlight>\n    </ion-tabbar>\n    <ng-content></ng-content>\n    <div #portal tab-portal></div>\n  ",
      directives: [badge_1.Badge, icon_1.Icon, common_1.NgClass, common_1.NgFor, common_1.NgIf, tab_button_1.TabButton, tab_highlight_1.TabHighlight],
      encapsulation: core_1.ViewEncapsulation.None
    }), __param(0, core_1.Optional()), __param(1, core_1.Optional()), __metadata('design:paramtypes', [nav_controller_1.NavController, view_controller_1.ViewController, app_1.App, config_1.Config, core_1.ElementRef, platform_1.Platform, core_1.Renderer])], Tabs);
    return Tabs;
  }(ion_1.Ion));
  exports.Tabs = Tabs;
  var tabIds = -1;
  return module.exports;
});

System.registerDynamic("@angular/core/src/metadata/di.js", ["../di/forward_ref", "../di/metadata", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var forward_ref_1 = $__require('../di/forward_ref');
  var metadata_1 = $__require('../di/metadata');
  var lang_1 = $__require('../facade/lang');
  var AttributeMetadata = (function(_super) {
    __extends(AttributeMetadata, _super);
    function AttributeMetadata(attributeName) {
      _super.call(this);
      this.attributeName = attributeName;
    }
    Object.defineProperty(AttributeMetadata.prototype, "token", {
      get: function() {
        return this;
      },
      enumerable: true,
      configurable: true
    });
    AttributeMetadata.prototype.toString = function() {
      return "@Attribute(" + lang_1.stringify(this.attributeName) + ")";
    };
    return AttributeMetadata;
  }(metadata_1.DependencyMetadata));
  exports.AttributeMetadata = AttributeMetadata;
  var QueryMetadata = (function(_super) {
    __extends(QueryMetadata, _super);
    function QueryMetadata(_selector, _a) {
      var _b = _a === void 0 ? {} : _a,
          _c = _b.descendants,
          descendants = _c === void 0 ? false : _c,
          _d = _b.first,
          first = _d === void 0 ? false : _d,
          _e = _b.read,
          read = _e === void 0 ? null : _e;
      _super.call(this);
      this._selector = _selector;
      this.descendants = descendants;
      this.first = first;
      this.read = read;
    }
    Object.defineProperty(QueryMetadata.prototype, "isViewQuery", {
      get: function() {
        return false;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(QueryMetadata.prototype, "selector", {
      get: function() {
        return forward_ref_1.resolveForwardRef(this._selector);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(QueryMetadata.prototype, "isVarBindingQuery", {
      get: function() {
        return lang_1.isString(this.selector);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(QueryMetadata.prototype, "varBindings", {
      get: function() {
        return lang_1.StringWrapper.split(this.selector, /\s*,\s*/g);
      },
      enumerable: true,
      configurable: true
    });
    QueryMetadata.prototype.toString = function() {
      return "@Query(" + lang_1.stringify(this.selector) + ")";
    };
    return QueryMetadata;
  }(metadata_1.DependencyMetadata));
  exports.QueryMetadata = QueryMetadata;
  var ContentChildrenMetadata = (function(_super) {
    __extends(ContentChildrenMetadata, _super);
    function ContentChildrenMetadata(_selector, _a) {
      var _b = _a === void 0 ? {} : _a,
          _c = _b.descendants,
          descendants = _c === void 0 ? false : _c,
          _d = _b.read,
          read = _d === void 0 ? null : _d;
      _super.call(this, _selector, {
        descendants: descendants,
        read: read
      });
    }
    return ContentChildrenMetadata;
  }(QueryMetadata));
  exports.ContentChildrenMetadata = ContentChildrenMetadata;
  var ContentChildMetadata = (function(_super) {
    __extends(ContentChildMetadata, _super);
    function ContentChildMetadata(_selector, _a) {
      var _b = (_a === void 0 ? {} : _a).read,
          read = _b === void 0 ? null : _b;
      _super.call(this, _selector, {
        descendants: true,
        first: true,
        read: read
      });
    }
    return ContentChildMetadata;
  }(QueryMetadata));
  exports.ContentChildMetadata = ContentChildMetadata;
  var ViewQueryMetadata = (function(_super) {
    __extends(ViewQueryMetadata, _super);
    function ViewQueryMetadata(_selector, _a) {
      var _b = _a === void 0 ? {} : _a,
          _c = _b.descendants,
          descendants = _c === void 0 ? false : _c,
          _d = _b.first,
          first = _d === void 0 ? false : _d,
          _e = _b.read,
          read = _e === void 0 ? null : _e;
      _super.call(this, _selector, {
        descendants: descendants,
        first: first,
        read: read
      });
    }
    Object.defineProperty(ViewQueryMetadata.prototype, "isViewQuery", {
      get: function() {
        return true;
      },
      enumerable: true,
      configurable: true
    });
    ViewQueryMetadata.prototype.toString = function() {
      return "@ViewQuery(" + lang_1.stringify(this.selector) + ")";
    };
    return ViewQueryMetadata;
  }(QueryMetadata));
  exports.ViewQueryMetadata = ViewQueryMetadata;
  var ViewChildrenMetadata = (function(_super) {
    __extends(ViewChildrenMetadata, _super);
    function ViewChildrenMetadata(_selector, _a) {
      var _b = (_a === void 0 ? {} : _a).read,
          read = _b === void 0 ? null : _b;
      _super.call(this, _selector, {
        descendants: true,
        read: read
      });
    }
    return ViewChildrenMetadata;
  }(ViewQueryMetadata));
  exports.ViewChildrenMetadata = ViewChildrenMetadata;
  var ViewChildMetadata = (function(_super) {
    __extends(ViewChildMetadata, _super);
    function ViewChildMetadata(_selector, _a) {
      var _b = (_a === void 0 ? {} : _a).read,
          read = _b === void 0 ? null : _b;
      _super.call(this, _selector, {
        descendants: true,
        first: true,
        read: read
      });
    }
    return ViewChildMetadata;
  }(ViewQueryMetadata));
  exports.ViewChildMetadata = ViewChildMetadata;
  return module.exports;
});

System.registerDynamic("@angular/core/src/metadata/directives.js", ["../change_detection/constants", "../di/metadata", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var constants_1 = $__require('../change_detection/constants');
  var metadata_1 = $__require('../di/metadata');
  var lang_1 = $__require('../facade/lang');
  var DirectiveMetadata = (function(_super) {
    __extends(DirectiveMetadata, _super);
    function DirectiveMetadata(_a) {
      var _b = _a === void 0 ? {} : _a,
          selector = _b.selector,
          inputs = _b.inputs,
          outputs = _b.outputs,
          properties = _b.properties,
          events = _b.events,
          host = _b.host,
          providers = _b.providers,
          exportAs = _b.exportAs,
          queries = _b.queries;
      _super.call(this);
      this.selector = selector;
      this._inputs = inputs;
      this._properties = properties;
      this._outputs = outputs;
      this._events = events;
      this.host = host;
      this.exportAs = exportAs;
      this.queries = queries;
      this._providers = providers;
    }
    Object.defineProperty(DirectiveMetadata.prototype, "inputs", {
      get: function() {
        return lang_1.isPresent(this._properties) && this._properties.length > 0 ? this._properties : this._inputs;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DirectiveMetadata.prototype, "properties", {
      get: function() {
        return this.inputs;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DirectiveMetadata.prototype, "outputs", {
      get: function() {
        return lang_1.isPresent(this._events) && this._events.length > 0 ? this._events : this._outputs;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DirectiveMetadata.prototype, "events", {
      get: function() {
        return this.outputs;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DirectiveMetadata.prototype, "providers", {
      get: function() {
        return this._providers;
      },
      enumerable: true,
      configurable: true
    });
    return DirectiveMetadata;
  }(metadata_1.InjectableMetadata));
  exports.DirectiveMetadata = DirectiveMetadata;
  var ComponentMetadata = (function(_super) {
    __extends(ComponentMetadata, _super);
    function ComponentMetadata(_a) {
      var _b = _a === void 0 ? {} : _a,
          selector = _b.selector,
          inputs = _b.inputs,
          outputs = _b.outputs,
          properties = _b.properties,
          events = _b.events,
          host = _b.host,
          exportAs = _b.exportAs,
          moduleId = _b.moduleId,
          providers = _b.providers,
          viewProviders = _b.viewProviders,
          _c = _b.changeDetection,
          changeDetection = _c === void 0 ? constants_1.ChangeDetectionStrategy.Default : _c,
          queries = _b.queries,
          templateUrl = _b.templateUrl,
          template = _b.template,
          styleUrls = _b.styleUrls,
          styles = _b.styles,
          animations = _b.animations,
          directives = _b.directives,
          pipes = _b.pipes,
          encapsulation = _b.encapsulation,
          interpolation = _b.interpolation,
          precompile = _b.precompile;
      _super.call(this, {
        selector: selector,
        inputs: inputs,
        outputs: outputs,
        properties: properties,
        events: events,
        host: host,
        exportAs: exportAs,
        providers: providers,
        queries: queries
      });
      this.changeDetection = changeDetection;
      this._viewProviders = viewProviders;
      this.templateUrl = templateUrl;
      this.template = template;
      this.styleUrls = styleUrls;
      this.styles = styles;
      this.directives = directives;
      this.pipes = pipes;
      this.encapsulation = encapsulation;
      this.moduleId = moduleId;
      this.animations = animations;
      this.interpolation = interpolation;
      this.precompile = precompile;
    }
    Object.defineProperty(ComponentMetadata.prototype, "viewProviders", {
      get: function() {
        return this._viewProviders;
      },
      enumerable: true,
      configurable: true
    });
    return ComponentMetadata;
  }(DirectiveMetadata));
  exports.ComponentMetadata = ComponentMetadata;
  var PipeMetadata = (function(_super) {
    __extends(PipeMetadata, _super);
    function PipeMetadata(_a) {
      var name = _a.name,
          pure = _a.pure;
      _super.call(this);
      this.name = name;
      this._pure = pure;
    }
    Object.defineProperty(PipeMetadata.prototype, "pure", {
      get: function() {
        return lang_1.isPresent(this._pure) ? this._pure : true;
      },
      enumerable: true,
      configurable: true
    });
    return PipeMetadata;
  }(metadata_1.InjectableMetadata));
  exports.PipeMetadata = PipeMetadata;
  var InputMetadata = (function() {
    function InputMetadata(bindingPropertyName) {
      this.bindingPropertyName = bindingPropertyName;
    }
    return InputMetadata;
  }());
  exports.InputMetadata = InputMetadata;
  var OutputMetadata = (function() {
    function OutputMetadata(bindingPropertyName) {
      this.bindingPropertyName = bindingPropertyName;
    }
    return OutputMetadata;
  }());
  exports.OutputMetadata = OutputMetadata;
  var HostBindingMetadata = (function() {
    function HostBindingMetadata(hostPropertyName) {
      this.hostPropertyName = hostPropertyName;
    }
    return HostBindingMetadata;
  }());
  exports.HostBindingMetadata = HostBindingMetadata;
  var HostListenerMetadata = (function() {
    function HostListenerMetadata(eventName, args) {
      this.eventName = eventName;
      this.args = args;
    }
    return HostListenerMetadata;
  }());
  exports.HostListenerMetadata = HostListenerMetadata;
  return module.exports;
});

System.registerDynamic("@angular/core/src/metadata.js", ["./metadata/di", "./metadata/directives", "./metadata/view", "./metadata/lifecycle_hooks", "./util/decorators"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var di_1 = $__require('./metadata/di');
  var directives_1 = $__require('./metadata/directives');
  var view_1 = $__require('./metadata/view');
  var di_2 = $__require('./metadata/di');
  exports.AttributeMetadata = di_2.AttributeMetadata;
  exports.ContentChildMetadata = di_2.ContentChildMetadata;
  exports.ContentChildrenMetadata = di_2.ContentChildrenMetadata;
  exports.QueryMetadata = di_2.QueryMetadata;
  exports.ViewChildMetadata = di_2.ViewChildMetadata;
  exports.ViewChildrenMetadata = di_2.ViewChildrenMetadata;
  exports.ViewQueryMetadata = di_2.ViewQueryMetadata;
  var directives_2 = $__require('./metadata/directives');
  exports.ComponentMetadata = directives_2.ComponentMetadata;
  exports.DirectiveMetadata = directives_2.DirectiveMetadata;
  exports.HostBindingMetadata = directives_2.HostBindingMetadata;
  exports.HostListenerMetadata = directives_2.HostListenerMetadata;
  exports.InputMetadata = directives_2.InputMetadata;
  exports.OutputMetadata = directives_2.OutputMetadata;
  exports.PipeMetadata = directives_2.PipeMetadata;
  var lifecycle_hooks_1 = $__require('./metadata/lifecycle_hooks');
  exports.AfterContentChecked = lifecycle_hooks_1.AfterContentChecked;
  exports.AfterContentInit = lifecycle_hooks_1.AfterContentInit;
  exports.AfterViewChecked = lifecycle_hooks_1.AfterViewChecked;
  exports.AfterViewInit = lifecycle_hooks_1.AfterViewInit;
  exports.DoCheck = lifecycle_hooks_1.DoCheck;
  exports.OnChanges = lifecycle_hooks_1.OnChanges;
  exports.OnDestroy = lifecycle_hooks_1.OnDestroy;
  exports.OnInit = lifecycle_hooks_1.OnInit;
  var view_2 = $__require('./metadata/view');
  exports.ViewEncapsulation = view_2.ViewEncapsulation;
  exports.ViewMetadata = view_2.ViewMetadata;
  var decorators_1 = $__require('./util/decorators');
  exports.Component = decorators_1.makeDecorator(directives_1.ComponentMetadata, function(fn) {
    return fn.View = View;
  });
  exports.Directive = decorators_1.makeDecorator(directives_1.DirectiveMetadata);
  var View = decorators_1.makeDecorator(view_1.ViewMetadata, function(fn) {
    return fn.View = View;
  });
  exports.Attribute = decorators_1.makeParamDecorator(di_1.AttributeMetadata);
  exports.Query = decorators_1.makeParamDecorator(di_1.QueryMetadata);
  exports.ContentChildren = decorators_1.makePropDecorator(di_1.ContentChildrenMetadata);
  exports.ContentChild = decorators_1.makePropDecorator(di_1.ContentChildMetadata);
  exports.ViewChildren = decorators_1.makePropDecorator(di_1.ViewChildrenMetadata);
  exports.ViewChild = decorators_1.makePropDecorator(di_1.ViewChildMetadata);
  exports.ViewQuery = decorators_1.makeParamDecorator(di_1.ViewQueryMetadata);
  exports.Pipe = decorators_1.makeDecorator(directives_1.PipeMetadata);
  exports.Input = decorators_1.makePropDecorator(directives_1.InputMetadata);
  exports.Output = decorators_1.makePropDecorator(directives_1.OutputMetadata);
  exports.HostBinding = decorators_1.makePropDecorator(directives_1.HostBindingMetadata);
  exports.HostListener = decorators_1.makePropDecorator(directives_1.HostListenerMetadata);
  return module.exports;
});

System.registerDynamic("@angular/core/src/util.js", ["./util/decorators"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var decorators_1 = $__require('./util/decorators');
  exports.Class = decorators_1.Class;
  return module.exports;
});

System.registerDynamic("@angular/core/src/zone.js", ["./zone/ng_zone"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var ng_zone_1 = $__require('./zone/ng_zone');
  exports.NgZone = ng_zone_1.NgZone;
  exports.NgZoneError = ng_zone_1.NgZoneError;
  return module.exports;
});

System.registerDynamic("@angular/core/src/render.js", ["./render/api"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var api_1 = $__require('./render/api');
  exports.RenderComponentType = api_1.RenderComponentType;
  exports.Renderer = api_1.Renderer;
  exports.RootRenderer = api_1.RootRenderer;
  return module.exports;
});

System.registerDynamic("@angular/core/src/linker/compiler.js", ["../facade/exceptions", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var Compiler = (function() {
    function Compiler() {}
    Compiler.prototype.compileComponentAsync = function(component) {
      throw new exceptions_1.BaseException("Runtime compiler is not loaded. Tried to compile " + lang_1.stringify(component));
    };
    Compiler.prototype.compileComponentSync = function(component) {
      throw new exceptions_1.BaseException("Runtime compiler is not loaded. Tried to compile " + lang_1.stringify(component));
    };
    Compiler.prototype.clearCache = function() {};
    Compiler.prototype.clearCacheFor = function(compType) {};
    return Compiler;
  }());
  exports.Compiler = Compiler;
  return module.exports;
});

System.registerDynamic("@angular/core/src/linker/query_list.js", ["../facade/async", "../facade/collection", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var async_1 = $__require('../facade/async');
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var QueryList = (function() {
    function QueryList() {
      this._dirty = true;
      this._results = [];
      this._emitter = new async_1.EventEmitter();
    }
    Object.defineProperty(QueryList.prototype, "changes", {
      get: function() {
        return this._emitter;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(QueryList.prototype, "length", {
      get: function() {
        return this._results.length;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(QueryList.prototype, "first", {
      get: function() {
        return this._results[0];
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(QueryList.prototype, "last", {
      get: function() {
        return this._results[this.length - 1];
      },
      enumerable: true,
      configurable: true
    });
    QueryList.prototype.map = function(fn) {
      return this._results.map(fn);
    };
    QueryList.prototype.filter = function(fn) {
      return this._results.filter(fn);
    };
    QueryList.prototype.reduce = function(fn, init) {
      return this._results.reduce(fn, init);
    };
    QueryList.prototype.forEach = function(fn) {
      this._results.forEach(fn);
    };
    QueryList.prototype.some = function(fn) {
      return this._results.some(fn);
    };
    QueryList.prototype.toArray = function() {
      return this._results.slice();
    };
    QueryList.prototype[lang_1.getSymbolIterator()] = function() {
      return this._results[lang_1.getSymbolIterator()]();
    };
    QueryList.prototype.toString = function() {
      return this._results.toString();
    };
    QueryList.prototype.reset = function(res) {
      this._results = collection_1.ListWrapper.flatten(res);
      this._dirty = false;
    };
    QueryList.prototype.notifyOnChanges = function() {
      this._emitter.emit(this);
    };
    QueryList.prototype.setDirty = function() {
      this._dirty = true;
    };
    Object.defineProperty(QueryList.prototype, "dirty", {
      get: function() {
        return this._dirty;
      },
      enumerable: true,
      configurable: true
    });
    return QueryList;
  }());
  exports.QueryList = QueryList;
  return module.exports;
});

System.registerDynamic("@angular/core/src/linker/systemjs_component_resolver.js", ["../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('../facade/lang');
  var _SEPARATOR = '#';
  var SystemJsComponentResolver = (function() {
    function SystemJsComponentResolver(_resolver) {
      this._resolver = _resolver;
    }
    SystemJsComponentResolver.prototype.resolveComponent = function(componentType) {
      var _this = this;
      if (lang_1.isString(componentType)) {
        var _a = componentType.split(_SEPARATOR),
            module = _a[0],
            component_1 = _a[1];
        if (component_1 === void(0)) {
          component_1 = 'default';
        }
        return lang_1.global.System.import(module).then(function(module) {
          return _this._resolver.resolveComponent(module[component_1]);
        });
      }
      return this._resolver.resolveComponent(componentType);
    };
    SystemJsComponentResolver.prototype.clearCache = function() {};
    return SystemJsComponentResolver;
  }());
  exports.SystemJsComponentResolver = SystemJsComponentResolver;
  var FACTORY_MODULE_SUFFIX = '.ngfactory';
  var FACTORY_CLASS_SUFFIX = 'NgFactory';
  var SystemJsCmpFactoryResolver = (function() {
    function SystemJsCmpFactoryResolver() {}
    SystemJsCmpFactoryResolver.prototype.resolveComponent = function(componentType) {
      if (lang_1.isString(componentType)) {
        var _a = componentType.split(_SEPARATOR),
            module = _a[0],
            factory_1 = _a[1];
        return lang_1.global.System.import(module + FACTORY_MODULE_SUFFIX).then(function(module) {
          return module[factory_1 + FACTORY_CLASS_SUFFIX];
        });
      }
      return Promise.resolve(null);
    };
    SystemJsCmpFactoryResolver.prototype.clearCache = function() {};
    return SystemJsCmpFactoryResolver;
  }());
  exports.SystemJsCmpFactoryResolver = SystemJsCmpFactoryResolver;
  return module.exports;
});

System.registerDynamic("@angular/core/src/linker.js", ["./linker/compiler", "./linker/component_factory", "./linker/component_factory_resolver", "./linker/component_resolver", "./linker/dynamic_component_loader", "./linker/element_ref", "./linker/exceptions", "./linker/query_list", "./linker/systemjs_component_resolver", "./linker/template_ref", "./linker/view_container_ref", "./linker/view_ref"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var compiler_1 = $__require('./linker/compiler');
  exports.Compiler = compiler_1.Compiler;
  var component_factory_1 = $__require('./linker/component_factory');
  exports.ComponentFactory = component_factory_1.ComponentFactory;
  exports.ComponentRef = component_factory_1.ComponentRef;
  var component_factory_resolver_1 = $__require('./linker/component_factory_resolver');
  exports.ComponentFactoryResolver = component_factory_resolver_1.ComponentFactoryResolver;
  exports.NoComponentFactoryError = component_factory_resolver_1.NoComponentFactoryError;
  var component_resolver_1 = $__require('./linker/component_resolver');
  exports.ComponentResolver = component_resolver_1.ComponentResolver;
  var dynamic_component_loader_1 = $__require('./linker/dynamic_component_loader');
  exports.DynamicComponentLoader = dynamic_component_loader_1.DynamicComponentLoader;
  var element_ref_1 = $__require('./linker/element_ref');
  exports.ElementRef = element_ref_1.ElementRef;
  var exceptions_1 = $__require('./linker/exceptions');
  exports.ExpressionChangedAfterItHasBeenCheckedException = exceptions_1.ExpressionChangedAfterItHasBeenCheckedException;
  var query_list_1 = $__require('./linker/query_list');
  exports.QueryList = query_list_1.QueryList;
  var systemjs_component_resolver_1 = $__require('./linker/systemjs_component_resolver');
  exports.SystemJsCmpFactoryResolver = systemjs_component_resolver_1.SystemJsCmpFactoryResolver;
  exports.SystemJsComponentResolver = systemjs_component_resolver_1.SystemJsComponentResolver;
  var template_ref_1 = $__require('./linker/template_ref');
  exports.TemplateRef = template_ref_1.TemplateRef;
  var view_container_ref_1 = $__require('./linker/view_container_ref');
  exports.ViewContainerRef = view_container_ref_1.ViewContainerRef;
  var view_ref_1 = $__require('./linker/view_ref');
  exports.EmbeddedViewRef = view_ref_1.EmbeddedViewRef;
  exports.ViewRef = view_ref_1.ViewRef;
  return module.exports;
});

System.registerDynamic("@angular/core/src/change_detection.js", ["./change_detection/change_detection"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var change_detection_1 = $__require('./change_detection/change_detection');
  exports.ChangeDetectionStrategy = change_detection_1.ChangeDetectionStrategy;
  exports.ChangeDetectorRef = change_detection_1.ChangeDetectorRef;
  exports.CollectionChangeRecord = change_detection_1.CollectionChangeRecord;
  exports.DefaultIterableDiffer = change_detection_1.DefaultIterableDiffer;
  exports.IterableDiffers = change_detection_1.IterableDiffers;
  exports.KeyValueChangeRecord = change_detection_1.KeyValueChangeRecord;
  exports.KeyValueDiffers = change_detection_1.KeyValueDiffers;
  exports.SimpleChange = change_detection_1.SimpleChange;
  exports.WrappedValue = change_detection_1.WrappedValue;
  return module.exports;
});

System.registerDynamic("@angular/core/src/platform_directives_and_pipes.js", ["./di"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var di_1 = $__require('./di');
  exports.PLATFORM_DIRECTIVES = new di_1.OpaqueToken('Platform Directives');
  exports.PLATFORM_PIPES = new di_1.OpaqueToken('Platform Pipes');
  return module.exports;
});

System.registerDynamic("@angular/core/src/platform_common_providers.js", ["./application_ref", "./console", "./reflection/reflection", "./reflection/reflector_reader", "./testability/testability"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var application_ref_1 = $__require('./application_ref');
  var console_1 = $__require('./console');
  var reflection_1 = $__require('./reflection/reflection');
  var reflector_reader_1 = $__require('./reflection/reflector_reader');
  var testability_1 = $__require('./testability/testability');
  function _reflector() {
    return reflection_1.reflector;
  }
  var __unused;
  exports.PLATFORM_COMMON_PROVIDERS = [application_ref_1.PLATFORM_CORE_PROVIDERS, {
    provide: reflection_1.Reflector,
    useFactory: _reflector,
    deps: []
  }, {
    provide: reflector_reader_1.ReflectorReader,
    useExisting: reflection_1.Reflector
  }, testability_1.TestabilityRegistry, console_1.Console];
  return module.exports;
});

System.registerDynamic("@angular/core/src/testability/testability.js", ["../di/decorators", "../facade/async", "../facade/collection", "../facade/exceptions", "../facade/lang", "../zone/ng_zone"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var decorators_1 = $__require('../di/decorators');
  var async_1 = $__require('../facade/async');
  var collection_1 = $__require('../facade/collection');
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var ng_zone_1 = $__require('../zone/ng_zone');
  var Testability = (function() {
    function Testability(_ngZone) {
      this._ngZone = _ngZone;
      this._pendingCount = 0;
      this._isZoneStable = true;
      this._didWork = false;
      this._callbacks = [];
      this._watchAngularEvents();
    }
    Testability.prototype._watchAngularEvents = function() {
      var _this = this;
      async_1.ObservableWrapper.subscribe(this._ngZone.onUnstable, function(_) {
        _this._didWork = true;
        _this._isZoneStable = false;
      });
      this._ngZone.runOutsideAngular(function() {
        async_1.ObservableWrapper.subscribe(_this._ngZone.onStable, function(_) {
          ng_zone_1.NgZone.assertNotInAngularZone();
          lang_1.scheduleMicroTask(function() {
            _this._isZoneStable = true;
            _this._runCallbacksIfReady();
          });
        });
      });
    };
    Testability.prototype.increasePendingRequestCount = function() {
      this._pendingCount += 1;
      this._didWork = true;
      return this._pendingCount;
    };
    Testability.prototype.decreasePendingRequestCount = function() {
      this._pendingCount -= 1;
      if (this._pendingCount < 0) {
        throw new exceptions_1.BaseException('pending async requests below zero');
      }
      this._runCallbacksIfReady();
      return this._pendingCount;
    };
    Testability.prototype.isStable = function() {
      return this._isZoneStable && this._pendingCount == 0 && !this._ngZone.hasPendingMacrotasks;
    };
    Testability.prototype._runCallbacksIfReady = function() {
      var _this = this;
      if (this.isStable()) {
        lang_1.scheduleMicroTask(function() {
          while (_this._callbacks.length !== 0) {
            (_this._callbacks.pop())(_this._didWork);
          }
          _this._didWork = false;
        });
      } else {
        this._didWork = true;
      }
    };
    Testability.prototype.whenStable = function(callback) {
      this._callbacks.push(callback);
      this._runCallbacksIfReady();
    };
    Testability.prototype.getPendingRequestCount = function() {
      return this._pendingCount;
    };
    Testability.prototype.findBindings = function(using, provider, exactMatch) {
      return [];
    };
    Testability.prototype.findProviders = function(using, provider, exactMatch) {
      return [];
    };
    Testability.decorators = [{type: decorators_1.Injectable}];
    Testability.ctorParameters = [{type: ng_zone_1.NgZone}];
    return Testability;
  }());
  exports.Testability = Testability;
  var TestabilityRegistry = (function() {
    function TestabilityRegistry() {
      this._applications = new collection_1.Map();
      _testabilityGetter.addToWindow(this);
    }
    TestabilityRegistry.prototype.registerApplication = function(token, testability) {
      this._applications.set(token, testability);
    };
    TestabilityRegistry.prototype.getTestability = function(elem) {
      return this._applications.get(elem);
    };
    TestabilityRegistry.prototype.getAllTestabilities = function() {
      return collection_1.MapWrapper.values(this._applications);
    };
    TestabilityRegistry.prototype.getAllRootElements = function() {
      return collection_1.MapWrapper.keys(this._applications);
    };
    TestabilityRegistry.prototype.findTestabilityInTree = function(elem, findInAncestors) {
      if (findInAncestors === void 0) {
        findInAncestors = true;
      }
      return _testabilityGetter.findTestabilityInTree(this, elem, findInAncestors);
    };
    TestabilityRegistry.decorators = [{type: decorators_1.Injectable}];
    TestabilityRegistry.ctorParameters = [];
    return TestabilityRegistry;
  }());
  exports.TestabilityRegistry = TestabilityRegistry;
  var _NoopGetTestability = (function() {
    function _NoopGetTestability() {}
    _NoopGetTestability.prototype.addToWindow = function(registry) {};
    _NoopGetTestability.prototype.findTestabilityInTree = function(registry, elem, findInAncestors) {
      return null;
    };
    return _NoopGetTestability;
  }());
  function setTestabilityGetter(getter) {
    _testabilityGetter = getter;
  }
  exports.setTestabilityGetter = setTestabilityGetter;
  var _testabilityGetter = new _NoopGetTestability();
  return module.exports;
});

System.registerDynamic("@angular/core/src/zone/ng_zone_impl.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var NgZoneError = (function() {
    function NgZoneError(error, stackTrace) {
      this.error = error;
      this.stackTrace = stackTrace;
    }
    return NgZoneError;
  }());
  exports.NgZoneError = NgZoneError;
  var NgZoneImpl = (function() {
    function NgZoneImpl(_a) {
      var _this = this;
      var trace = _a.trace,
          onEnter = _a.onEnter,
          onLeave = _a.onLeave,
          setMicrotask = _a.setMicrotask,
          setMacrotask = _a.setMacrotask,
          onError = _a.onError;
      this.onEnter = onEnter;
      this.onLeave = onLeave;
      this.setMicrotask = setMicrotask;
      this.setMacrotask = setMacrotask;
      this.onError = onError;
      if (Zone) {
        this.outer = this.inner = Zone.current;
        if (Zone['wtfZoneSpec']) {
          this.inner = this.inner.fork(Zone['wtfZoneSpec']);
        }
        if (trace && Zone['longStackTraceZoneSpec']) {
          this.inner = this.inner.fork(Zone['longStackTraceZoneSpec']);
        }
        this.inner = this.inner.fork({
          name: 'angular',
          properties: {'isAngularZone': true},
          onInvokeTask: function(delegate, current, target, task, applyThis, applyArgs) {
            try {
              _this.onEnter();
              return delegate.invokeTask(target, task, applyThis, applyArgs);
            } finally {
              _this.onLeave();
            }
          },
          onInvoke: function(delegate, current, target, callback, applyThis, applyArgs, source) {
            try {
              _this.onEnter();
              return delegate.invoke(target, callback, applyThis, applyArgs, source);
            } finally {
              _this.onLeave();
            }
          },
          onHasTask: function(delegate, current, target, hasTaskState) {
            delegate.hasTask(target, hasTaskState);
            if (current == target) {
              if (hasTaskState.change == 'microTask') {
                _this.setMicrotask(hasTaskState.microTask);
              } else if (hasTaskState.change == 'macroTask') {
                _this.setMacrotask(hasTaskState.macroTask);
              }
            }
          },
          onHandleError: function(delegate, current, target, error) {
            delegate.handleError(target, error);
            _this.onError(new NgZoneError(error, error.stack));
            return false;
          }
        });
      } else {
        throw new Error('Angular requires Zone.js polyfill.');
      }
    }
    NgZoneImpl.isInAngularZone = function() {
      return Zone.current.get('isAngularZone') === true;
    };
    NgZoneImpl.prototype.runInner = function(fn) {
      return this.inner.run(fn);
    };
    ;
    NgZoneImpl.prototype.runInnerGuarded = function(fn) {
      return this.inner.runGuarded(fn);
    };
    ;
    NgZoneImpl.prototype.runOuter = function(fn) {
      return this.outer.run(fn);
    };
    ;
    return NgZoneImpl;
  }());
  exports.NgZoneImpl = NgZoneImpl;
  return module.exports;
});

System.registerDynamic("@angular/core/src/zone/ng_zone.js", ["../facade/async", "../facade/exceptions", "./ng_zone_impl"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var async_1 = $__require('../facade/async');
  var exceptions_1 = $__require('../facade/exceptions');
  var ng_zone_impl_1 = $__require('./ng_zone_impl');
  var ng_zone_impl_2 = $__require('./ng_zone_impl');
  exports.NgZoneError = ng_zone_impl_2.NgZoneError;
  var NgZone = (function() {
    function NgZone(_a) {
      var _this = this;
      var _b = _a.enableLongStackTrace,
          enableLongStackTrace = _b === void 0 ? false : _b;
      this._hasPendingMicrotasks = false;
      this._hasPendingMacrotasks = false;
      this._isStable = true;
      this._nesting = 0;
      this._onUnstable = new async_1.EventEmitter(false);
      this._onMicrotaskEmpty = new async_1.EventEmitter(false);
      this._onStable = new async_1.EventEmitter(false);
      this._onErrorEvents = new async_1.EventEmitter(false);
      this._zoneImpl = new ng_zone_impl_1.NgZoneImpl({
        trace: enableLongStackTrace,
        onEnter: function() {
          _this._nesting++;
          if (_this._isStable) {
            _this._isStable = false;
            _this._onUnstable.emit(null);
          }
        },
        onLeave: function() {
          _this._nesting--;
          _this._checkStable();
        },
        setMicrotask: function(hasMicrotasks) {
          _this._hasPendingMicrotasks = hasMicrotasks;
          _this._checkStable();
        },
        setMacrotask: function(hasMacrotasks) {
          _this._hasPendingMacrotasks = hasMacrotasks;
        },
        onError: function(error) {
          return _this._onErrorEvents.emit(error);
        }
      });
    }
    NgZone.isInAngularZone = function() {
      return ng_zone_impl_1.NgZoneImpl.isInAngularZone();
    };
    NgZone.assertInAngularZone = function() {
      if (!ng_zone_impl_1.NgZoneImpl.isInAngularZone()) {
        throw new exceptions_1.BaseException('Expected to be in Angular Zone, but it is not!');
      }
    };
    NgZone.assertNotInAngularZone = function() {
      if (ng_zone_impl_1.NgZoneImpl.isInAngularZone()) {
        throw new exceptions_1.BaseException('Expected to not be in Angular Zone, but it is!');
      }
    };
    NgZone.prototype._checkStable = function() {
      var _this = this;
      if (this._nesting == 0) {
        if (!this._hasPendingMicrotasks && !this._isStable) {
          try {
            this._nesting++;
            this._onMicrotaskEmpty.emit(null);
          } finally {
            this._nesting--;
            if (!this._hasPendingMicrotasks) {
              try {
                this.runOutsideAngular(function() {
                  return _this._onStable.emit(null);
                });
              } finally {
                this._isStable = true;
              }
            }
          }
        }
      }
    };
    ;
    Object.defineProperty(NgZone.prototype, "onUnstable", {
      get: function() {
        return this._onUnstable;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgZone.prototype, "onMicrotaskEmpty", {
      get: function() {
        return this._onMicrotaskEmpty;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgZone.prototype, "onStable", {
      get: function() {
        return this._onStable;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgZone.prototype, "onError", {
      get: function() {
        return this._onErrorEvents;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgZone.prototype, "isStable", {
      get: function() {
        return this._isStable;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgZone.prototype, "hasPendingMicrotasks", {
      get: function() {
        return this._hasPendingMicrotasks;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NgZone.prototype, "hasPendingMacrotasks", {
      get: function() {
        return this._hasPendingMacrotasks;
      },
      enumerable: true,
      configurable: true
    });
    NgZone.prototype.run = function(fn) {
      return this._zoneImpl.runInner(fn);
    };
    NgZone.prototype.runGuarded = function(fn) {
      return this._zoneImpl.runInnerGuarded(fn);
    };
    NgZone.prototype.runOutsideAngular = function(fn) {
      return this._zoneImpl.runOuter(fn);
    };
    return NgZone;
  }());
  exports.NgZone = NgZone;
  return module.exports;
});

System.registerDynamic("@angular/core/src/application_ref.js", ["../src/facade/async", "../src/facade/collection", "../src/facade/exceptions", "../src/facade/lang", "./application_tokens", "./console", "./di", "./linker/component_resolver", "./profile/profile", "./testability/testability", "./zone/ng_zone"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var async_1 = $__require('../src/facade/async');
  var collection_1 = $__require('../src/facade/collection');
  var exceptions_1 = $__require('../src/facade/exceptions');
  var lang_1 = $__require('../src/facade/lang');
  var application_tokens_1 = $__require('./application_tokens');
  var console_1 = $__require('./console');
  var di_1 = $__require('./di');
  var component_resolver_1 = $__require('./linker/component_resolver');
  var profile_1 = $__require('./profile/profile');
  var testability_1 = $__require('./testability/testability');
  var ng_zone_1 = $__require('./zone/ng_zone');
  function createNgZone() {
    return new ng_zone_1.NgZone({enableLongStackTrace: isDevMode()});
  }
  exports.createNgZone = createNgZone;
  var _devMode = true;
  var _runModeLocked = false;
  var _platform;
  var _inPlatformCreate = false;
  function enableProdMode() {
    if (_runModeLocked) {
      throw new exceptions_1.BaseException('Cannot enable prod mode after platform setup.');
    }
    _devMode = false;
  }
  exports.enableProdMode = enableProdMode;
  function isDevMode() {
    if (!_runModeLocked) {
      throw new exceptions_1.BaseException("Dev mode can't be read before bootstrap!");
    }
    return _devMode;
  }
  exports.isDevMode = isDevMode;
  function lockRunMode() {
    _runModeLocked = true;
  }
  exports.lockRunMode = lockRunMode;
  function createPlatform(injector) {
    if (_inPlatformCreate) {
      throw new exceptions_1.BaseException('Already creating a platform...');
    }
    if (lang_1.isPresent(_platform) && !_platform.disposed) {
      throw new exceptions_1.BaseException('There can be only one platform. Destroy the previous one to create a new one.');
    }
    lockRunMode();
    _inPlatformCreate = true;
    try {
      _platform = injector.get(PlatformRef);
    } finally {
      _inPlatformCreate = false;
    }
    return _platform;
  }
  exports.createPlatform = createPlatform;
  function assertPlatform(requiredToken) {
    var platform = getPlatform();
    if (lang_1.isBlank(platform)) {
      throw new exceptions_1.BaseException('No platform exists!');
    }
    if (lang_1.isPresent(platform) && lang_1.isBlank(platform.injector.get(requiredToken, null))) {
      throw new exceptions_1.BaseException('A platform with a different configuration has been created. Please destroy it first.');
    }
    return platform;
  }
  exports.assertPlatform = assertPlatform;
  function disposePlatform() {
    if (lang_1.isPresent(_platform) && !_platform.disposed) {
      _platform.dispose();
    }
  }
  exports.disposePlatform = disposePlatform;
  function getPlatform() {
    return lang_1.isPresent(_platform) && !_platform.disposed ? _platform : null;
  }
  exports.getPlatform = getPlatform;
  function coreBootstrap(componentFactory, injector) {
    var appRef = injector.get(ApplicationRef);
    return appRef.bootstrap(componentFactory);
  }
  exports.coreBootstrap = coreBootstrap;
  function coreLoadAndBootstrap(componentType, injector) {
    var appRef = injector.get(ApplicationRef);
    return appRef.run(function() {
      var componentResolver = injector.get(component_resolver_1.ComponentResolver);
      return async_1.PromiseWrapper.all([componentResolver.resolveComponent(componentType), appRef.waitForAsyncInitializers()]).then(function(arr) {
        return appRef.bootstrap(arr[0]);
      });
    });
  }
  exports.coreLoadAndBootstrap = coreLoadAndBootstrap;
  var PlatformRef = (function() {
    function PlatformRef() {}
    Object.defineProperty(PlatformRef.prototype, "injector", {
      get: function() {
        throw exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    ;
    Object.defineProperty(PlatformRef.prototype, "disposed", {
      get: function() {
        throw exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    return PlatformRef;
  }());
  exports.PlatformRef = PlatformRef;
  var PlatformRef_ = (function(_super) {
    __extends(PlatformRef_, _super);
    function PlatformRef_(_injector) {
      _super.call(this);
      this._injector = _injector;
      this._applications = [];
      this._disposeListeners = [];
      this._disposed = false;
      if (!_inPlatformCreate) {
        throw new exceptions_1.BaseException('Platforms have to be created via `createPlatform`!');
      }
      var inits = _injector.get(application_tokens_1.PLATFORM_INITIALIZER, null);
      if (lang_1.isPresent(inits))
        inits.forEach(function(init) {
          return init();
        });
    }
    PlatformRef_.prototype.registerDisposeListener = function(dispose) {
      this._disposeListeners.push(dispose);
    };
    Object.defineProperty(PlatformRef_.prototype, "injector", {
      get: function() {
        return this._injector;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(PlatformRef_.prototype, "disposed", {
      get: function() {
        return this._disposed;
      },
      enumerable: true,
      configurable: true
    });
    PlatformRef_.prototype.addApplication = function(appRef) {
      this._applications.push(appRef);
    };
    PlatformRef_.prototype.dispose = function() {
      collection_1.ListWrapper.clone(this._applications).forEach(function(app) {
        return app.dispose();
      });
      this._disposeListeners.forEach(function(dispose) {
        return dispose();
      });
      this._disposed = true;
    };
    PlatformRef_.prototype._applicationDisposed = function(app) {
      collection_1.ListWrapper.remove(this._applications, app);
    };
    PlatformRef_.decorators = [{type: di_1.Injectable}];
    PlatformRef_.ctorParameters = [{type: di_1.Injector}];
    return PlatformRef_;
  }(PlatformRef));
  exports.PlatformRef_ = PlatformRef_;
  var ApplicationRef = (function() {
    function ApplicationRef() {}
    Object.defineProperty(ApplicationRef.prototype, "injector", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    ;
    Object.defineProperty(ApplicationRef.prototype, "zone", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    ;
    Object.defineProperty(ApplicationRef.prototype, "componentTypes", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    ;
    return ApplicationRef;
  }());
  exports.ApplicationRef = ApplicationRef;
  var ApplicationRef_ = (function(_super) {
    __extends(ApplicationRef_, _super);
    function ApplicationRef_(_platform, _zone, _injector) {
      var _this = this;
      _super.call(this);
      this._platform = _platform;
      this._zone = _zone;
      this._injector = _injector;
      this._bootstrapListeners = [];
      this._disposeListeners = [];
      this._rootComponents = [];
      this._rootComponentTypes = [];
      this._changeDetectorRefs = [];
      this._runningTick = false;
      this._enforceNoNewChanges = false;
      var zone = _injector.get(ng_zone_1.NgZone);
      this._enforceNoNewChanges = isDevMode();
      zone.run(function() {
        _this._exceptionHandler = _injector.get(exceptions_1.ExceptionHandler);
      });
      this._asyncInitDonePromise = this.run(function() {
        var inits = _injector.get(application_tokens_1.APP_INITIALIZER, null);
        var asyncInitResults = [];
        var asyncInitDonePromise;
        if (lang_1.isPresent(inits)) {
          for (var i = 0; i < inits.length; i++) {
            var initResult = inits[i]();
            if (lang_1.isPromise(initResult)) {
              asyncInitResults.push(initResult);
            }
          }
        }
        if (asyncInitResults.length > 0) {
          asyncInitDonePromise = async_1.PromiseWrapper.all(asyncInitResults).then(function(_) {
            return _this._asyncInitDone = true;
          });
          _this._asyncInitDone = false;
        } else {
          _this._asyncInitDone = true;
          asyncInitDonePromise = async_1.PromiseWrapper.resolve(true);
        }
        return asyncInitDonePromise;
      });
      async_1.ObservableWrapper.subscribe(zone.onError, function(error) {
        _this._exceptionHandler.call(error.error, error.stackTrace);
      });
      async_1.ObservableWrapper.subscribe(this._zone.onMicrotaskEmpty, function(_) {
        _this._zone.run(function() {
          _this.tick();
        });
      });
    }
    ApplicationRef_.prototype.registerBootstrapListener = function(listener) {
      this._bootstrapListeners.push(listener);
    };
    ApplicationRef_.prototype.registerDisposeListener = function(dispose) {
      this._disposeListeners.push(dispose);
    };
    ApplicationRef_.prototype.registerChangeDetector = function(changeDetector) {
      this._changeDetectorRefs.push(changeDetector);
    };
    ApplicationRef_.prototype.unregisterChangeDetector = function(changeDetector) {
      collection_1.ListWrapper.remove(this._changeDetectorRefs, changeDetector);
    };
    ApplicationRef_.prototype.waitForAsyncInitializers = function() {
      return this._asyncInitDonePromise;
    };
    ApplicationRef_.prototype.run = function(callback) {
      var _this = this;
      var zone = this.injector.get(ng_zone_1.NgZone);
      var result;
      var completer = async_1.PromiseWrapper.completer();
      zone.run(function() {
        try {
          result = callback();
          if (lang_1.isPromise(result)) {
            async_1.PromiseWrapper.then(result, function(ref) {
              completer.resolve(ref);
            }, function(err, stackTrace) {
              completer.reject(err, stackTrace);
              _this._exceptionHandler.call(err, stackTrace);
            });
          }
        } catch (e) {
          _this._exceptionHandler.call(e, e.stack);
          throw e;
        }
      });
      return lang_1.isPromise(result) ? completer.promise : result;
    };
    ApplicationRef_.prototype.bootstrap = function(componentFactory) {
      var _this = this;
      if (!this._asyncInitDone) {
        throw new exceptions_1.BaseException('Cannot bootstrap as there are still asynchronous initializers running. Wait for them using waitForAsyncInitializers().');
      }
      return this.run(function() {
        _this._rootComponentTypes.push(componentFactory.componentType);
        var compRef = componentFactory.create(_this._injector, [], componentFactory.selector);
        compRef.onDestroy(function() {
          _this._unloadComponent(compRef);
        });
        var testability = compRef.injector.get(testability_1.Testability, null);
        if (lang_1.isPresent(testability)) {
          compRef.injector.get(testability_1.TestabilityRegistry).registerApplication(compRef.location.nativeElement, testability);
        }
        _this._loadComponent(compRef);
        var c = _this._injector.get(console_1.Console);
        if (isDevMode()) {
          var prodDescription = lang_1.IS_DART ? 'Production mode is disabled in Dart.' : 'Call enableProdMode() to enable the production mode.';
          c.log("Angular 2 is running in the development mode. " + prodDescription);
        }
        return compRef;
      });
    };
    ApplicationRef_.prototype._loadComponent = function(componentRef) {
      this._changeDetectorRefs.push(componentRef.changeDetectorRef);
      this.tick();
      this._rootComponents.push(componentRef);
      this._bootstrapListeners.forEach(function(listener) {
        return listener(componentRef);
      });
    };
    ApplicationRef_.prototype._unloadComponent = function(componentRef) {
      if (!collection_1.ListWrapper.contains(this._rootComponents, componentRef)) {
        return;
      }
      this.unregisterChangeDetector(componentRef.changeDetectorRef);
      collection_1.ListWrapper.remove(this._rootComponents, componentRef);
    };
    Object.defineProperty(ApplicationRef_.prototype, "injector", {
      get: function() {
        return this._injector;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ApplicationRef_.prototype, "zone", {
      get: function() {
        return this._zone;
      },
      enumerable: true,
      configurable: true
    });
    ApplicationRef_.prototype.tick = function() {
      if (this._runningTick) {
        throw new exceptions_1.BaseException('ApplicationRef.tick is called recursively');
      }
      var s = ApplicationRef_._tickScope();
      try {
        this._runningTick = true;
        this._changeDetectorRefs.forEach(function(detector) {
          return detector.detectChanges();
        });
        if (this._enforceNoNewChanges) {
          this._changeDetectorRefs.forEach(function(detector) {
            return detector.checkNoChanges();
          });
        }
      } finally {
        this._runningTick = false;
        profile_1.wtfLeave(s);
      }
    };
    ApplicationRef_.prototype.dispose = function() {
      collection_1.ListWrapper.clone(this._rootComponents).forEach(function(ref) {
        return ref.destroy();
      });
      this._disposeListeners.forEach(function(dispose) {
        return dispose();
      });
      this._platform._applicationDisposed(this);
    };
    Object.defineProperty(ApplicationRef_.prototype, "componentTypes", {
      get: function() {
        return this._rootComponentTypes;
      },
      enumerable: true,
      configurable: true
    });
    ApplicationRef_._tickScope = profile_1.wtfCreateScope('ApplicationRef#tick()');
    ApplicationRef_.decorators = [{type: di_1.Injectable}];
    ApplicationRef_.ctorParameters = [{type: PlatformRef_}, {type: ng_zone_1.NgZone}, {type: di_1.Injector}];
    return ApplicationRef_;
  }(ApplicationRef));
  exports.ApplicationRef_ = ApplicationRef_;
  exports.PLATFORM_CORE_PROVIDERS = [PlatformRef_, ({
    provide: PlatformRef,
    useExisting: PlatformRef_
  })];
  exports.APPLICATION_CORE_PROVIDERS = [{
    provide: ng_zone_1.NgZone,
    useFactory: createNgZone,
    deps: []
  }, ApplicationRef_, {
    provide: ApplicationRef,
    useExisting: ApplicationRef_
  }];
  return module.exports;
});

System.registerDynamic("@angular/core/src/linker/dynamic_component_loader.js", ["../di/decorators", "../di/reflective_injector", "../facade/lang", "./component_resolver"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var decorators_1 = $__require('../di/decorators');
  var reflective_injector_1 = $__require('../di/reflective_injector');
  var lang_1 = $__require('../facade/lang');
  var component_resolver_1 = $__require('./component_resolver');
  var DynamicComponentLoader = (function() {
    function DynamicComponentLoader() {}
    return DynamicComponentLoader;
  }());
  exports.DynamicComponentLoader = DynamicComponentLoader;
  var DynamicComponentLoader_ = (function(_super) {
    __extends(DynamicComponentLoader_, _super);
    function DynamicComponentLoader_(_compiler) {
      _super.call(this);
      this._compiler = _compiler;
    }
    DynamicComponentLoader_.prototype.loadAsRoot = function(type, overrideSelectorOrNode, injector, onDispose, projectableNodes) {
      return this._compiler.resolveComponent(type).then(function(componentFactory) {
        var componentRef = componentFactory.create(injector, projectableNodes, lang_1.isPresent(overrideSelectorOrNode) ? overrideSelectorOrNode : componentFactory.selector);
        if (lang_1.isPresent(onDispose)) {
          componentRef.onDestroy(onDispose);
        }
        return componentRef;
      });
    };
    DynamicComponentLoader_.prototype.loadNextToLocation = function(type, location, providers, projectableNodes) {
      if (providers === void 0) {
        providers = null;
      }
      if (projectableNodes === void 0) {
        projectableNodes = null;
      }
      return this._compiler.resolveComponent(type).then(function(componentFactory) {
        var contextInjector = location.parentInjector;
        var childInjector = lang_1.isPresent(providers) && providers.length > 0 ? reflective_injector_1.ReflectiveInjector.fromResolvedProviders(providers, contextInjector) : contextInjector;
        return location.createComponent(componentFactory, location.length, childInjector, projectableNodes);
      });
    };
    DynamicComponentLoader_.decorators = [{type: decorators_1.Injectable}];
    DynamicComponentLoader_.ctorParameters = [{type: component_resolver_1.ComponentResolver}];
    return DynamicComponentLoader_;
  }(DynamicComponentLoader));
  exports.DynamicComponentLoader_ = DynamicComponentLoader_;
  return module.exports;
});

System.registerDynamic("@angular/core/src/application_common_providers.js", ["./application_ref", "./application_tokens", "./change_detection/change_detection", "./linker/component_factory_resolver", "./linker/component_resolver", "./linker/dynamic_component_loader", "./linker/view_utils"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var application_ref_1 = $__require('./application_ref');
  var application_tokens_1 = $__require('./application_tokens');
  var change_detection_1 = $__require('./change_detection/change_detection');
  var component_factory_resolver_1 = $__require('./linker/component_factory_resolver');
  var component_resolver_1 = $__require('./linker/component_resolver');
  var dynamic_component_loader_1 = $__require('./linker/dynamic_component_loader');
  var view_utils_1 = $__require('./linker/view_utils');
  var __unused;
  exports.APPLICATION_COMMON_PROVIDERS = [application_ref_1.APPLICATION_CORE_PROVIDERS, {
    provide: component_resolver_1.ComponentResolver,
    useClass: component_resolver_1.ReflectorComponentResolver
  }, {
    provide: component_factory_resolver_1.ComponentFactoryResolver,
    useValue: component_factory_resolver_1.ComponentFactoryResolver.NULL
  }, application_tokens_1.APP_ID_RANDOM_PROVIDER, view_utils_1.ViewUtils, {
    provide: change_detection_1.IterableDiffers,
    useValue: change_detection_1.defaultIterableDiffers
  }, {
    provide: change_detection_1.KeyValueDiffers,
    useValue: change_detection_1.defaultKeyValueDiffers
  }, {
    provide: dynamic_component_loader_1.DynamicComponentLoader,
    useClass: dynamic_component_loader_1.DynamicComponentLoader_
  }];
  return module.exports;
});

System.registerDynamic("@angular/core/src/animation/animation_driver.js", ["./animation_player"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var animation_player_1 = $__require('./animation_player');
  var AnimationDriver = (function() {
    function AnimationDriver() {}
    return AnimationDriver;
  }());
  exports.AnimationDriver = AnimationDriver;
  var NoOpAnimationDriver = (function(_super) {
    __extends(NoOpAnimationDriver, _super);
    function NoOpAnimationDriver() {
      _super.apply(this, arguments);
    }
    NoOpAnimationDriver.prototype.animate = function(element, startingStyles, keyframes, duration, delay, easing) {
      return new animation_player_1.NoOpAnimationPlayer();
    };
    return NoOpAnimationDriver;
  }(AnimationDriver));
  exports.NoOpAnimationDriver = NoOpAnimationDriver;
  return module.exports;
});

System.registerDynamic("@angular/core/src/animation/animation_keyframe.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var AnimationKeyframe = (function() {
    function AnimationKeyframe(offset, styles) {
      this.offset = offset;
      this.styles = styles;
    }
    return AnimationKeyframe;
  }());
  exports.AnimationKeyframe = AnimationKeyframe;
  return module.exports;
});

System.registerDynamic("@angular/core/src/animation/animation_sequence_player.js", ["../facade/lang", "./animation_player"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('../facade/lang');
  var animation_player_1 = $__require('./animation_player');
  var AnimationSequencePlayer = (function() {
    function AnimationSequencePlayer(_players) {
      var _this = this;
      this._players = _players;
      this._currentIndex = 0;
      this._subscriptions = [];
      this._finished = false;
      this.parentPlayer = null;
      this._players.forEach(function(player) {
        player.parentPlayer = _this;
      });
      this._onNext(false);
    }
    AnimationSequencePlayer.prototype._onNext = function(start) {
      var _this = this;
      if (this._finished)
        return;
      if (this._players.length == 0) {
        this._activePlayer = new animation_player_1.NoOpAnimationPlayer();
        lang_1.scheduleMicroTask(function() {
          return _this._onFinish();
        });
      } else if (this._currentIndex >= this._players.length) {
        this._activePlayer = new animation_player_1.NoOpAnimationPlayer();
        this._onFinish();
      } else {
        var player = this._players[this._currentIndex++];
        player.onDone(function() {
          return _this._onNext(true);
        });
        this._activePlayer = player;
        if (start) {
          player.play();
        }
      }
    };
    AnimationSequencePlayer.prototype._onFinish = function() {
      if (!this._finished) {
        this._finished = true;
        if (!lang_1.isPresent(this.parentPlayer)) {
          this.destroy();
        }
        this._subscriptions.forEach(function(subscription) {
          return subscription();
        });
        this._subscriptions = [];
      }
    };
    AnimationSequencePlayer.prototype.onDone = function(fn) {
      this._subscriptions.push(fn);
    };
    AnimationSequencePlayer.prototype.play = function() {
      this._activePlayer.play();
    };
    AnimationSequencePlayer.prototype.pause = function() {
      this._activePlayer.pause();
    };
    AnimationSequencePlayer.prototype.restart = function() {
      if (this._players.length > 0) {
        this.reset();
        this._players[0].restart();
      }
    };
    AnimationSequencePlayer.prototype.reset = function() {
      this._players.forEach(function(player) {
        return player.reset();
      });
    };
    AnimationSequencePlayer.prototype.finish = function() {
      this._onFinish();
      this._players.forEach(function(player) {
        return player.finish();
      });
    };
    AnimationSequencePlayer.prototype.destroy = function() {
      this._onFinish();
      this._players.forEach(function(player) {
        return player.destroy();
      });
    };
    AnimationSequencePlayer.prototype.setPosition = function(p) {
      this._players[0].setPosition(p);
    };
    AnimationSequencePlayer.prototype.getPosition = function() {
      return this._players[0].getPosition();
    };
    return AnimationSequencePlayer;
  }());
  exports.AnimationSequencePlayer = AnimationSequencePlayer;
  return module.exports;
});

System.registerDynamic("@angular/core/src/animation/animation_constants.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  exports.FILL_STYLE_FLAG = 'true';
  exports.ANY_STATE = '*';
  exports.DEFAULT_STATE = '*';
  exports.EMPTY_STATE = 'void';
  return module.exports;
});

System.registerDynamic("@angular/core/src/animation/animation_style_util.js", ["../facade/collection", "../facade/lang", "./animation_constants", "./metadata"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var animation_constants_1 = $__require('./animation_constants');
  var metadata_1 = $__require('./metadata');
  function prepareFinalAnimationStyles(previousStyles, newStyles, nullValue) {
    if (nullValue === void 0) {
      nullValue = null;
    }
    var finalStyles = {};
    collection_1.StringMapWrapper.forEach(newStyles, function(value, prop) {
      finalStyles[prop] = value == metadata_1.AUTO_STYLE ? nullValue : value.toString();
    });
    collection_1.StringMapWrapper.forEach(previousStyles, function(value, prop) {
      if (!lang_1.isPresent(finalStyles[prop])) {
        finalStyles[prop] = nullValue;
      }
    });
    return finalStyles;
  }
  exports.prepareFinalAnimationStyles = prepareFinalAnimationStyles;
  function balanceAnimationKeyframes(collectedStyles, finalStateStyles, keyframes) {
    var limit = keyframes.length - 1;
    var firstKeyframe = keyframes[0];
    var flatenedFirstKeyframeStyles = flattenStyles(firstKeyframe.styles.styles);
    var extraFirstKeyframeStyles = {};
    var hasExtraFirstStyles = false;
    collection_1.StringMapWrapper.forEach(collectedStyles, function(value, prop) {
      if (!flatenedFirstKeyframeStyles[prop]) {
        flatenedFirstKeyframeStyles[prop] = value;
        extraFirstKeyframeStyles[prop] = value;
        hasExtraFirstStyles = true;
      }
    });
    var keyframeCollectedStyles = collection_1.StringMapWrapper.merge({}, flatenedFirstKeyframeStyles);
    var finalKeyframe = keyframes[limit];
    collection_1.ListWrapper.insert(finalKeyframe.styles.styles, 0, finalStateStyles);
    var flatenedFinalKeyframeStyles = flattenStyles(finalKeyframe.styles.styles);
    var extraFinalKeyframeStyles = {};
    var hasExtraFinalStyles = false;
    collection_1.StringMapWrapper.forEach(keyframeCollectedStyles, function(value, prop) {
      if (!lang_1.isPresent(flatenedFinalKeyframeStyles[prop])) {
        extraFinalKeyframeStyles[prop] = metadata_1.AUTO_STYLE;
        hasExtraFinalStyles = true;
      }
    });
    if (hasExtraFinalStyles) {
      finalKeyframe.styles.styles.push(extraFinalKeyframeStyles);
    }
    collection_1.StringMapWrapper.forEach(flatenedFinalKeyframeStyles, function(value, prop) {
      if (!lang_1.isPresent(flatenedFirstKeyframeStyles[prop])) {
        extraFirstKeyframeStyles[prop] = metadata_1.AUTO_STYLE;
        hasExtraFirstStyles = true;
      }
    });
    if (hasExtraFirstStyles) {
      firstKeyframe.styles.styles.push(extraFirstKeyframeStyles);
    }
    return keyframes;
  }
  exports.balanceAnimationKeyframes = balanceAnimationKeyframes;
  function clearStyles(styles) {
    var finalStyles = {};
    collection_1.StringMapWrapper.keys(styles).forEach(function(key) {
      finalStyles[key] = null;
    });
    return finalStyles;
  }
  exports.clearStyles = clearStyles;
  function collectAndResolveStyles(collection, styles) {
    return styles.map(function(entry) {
      var stylesObj = {};
      collection_1.StringMapWrapper.forEach(entry, function(value, prop) {
        if (value == animation_constants_1.FILL_STYLE_FLAG) {
          value = collection[prop];
          if (!lang_1.isPresent(value)) {
            value = metadata_1.AUTO_STYLE;
          }
        }
        collection[prop] = value;
        stylesObj[prop] = value;
      });
      return stylesObj;
    });
  }
  exports.collectAndResolveStyles = collectAndResolveStyles;
  function renderStyles(element, renderer, styles) {
    collection_1.StringMapWrapper.forEach(styles, function(value, prop) {
      renderer.setElementStyle(element, prop, value);
    });
  }
  exports.renderStyles = renderStyles;
  function flattenStyles(styles) {
    var finalStyles = {};
    styles.forEach(function(entry) {
      collection_1.StringMapWrapper.forEach(entry, function(value, prop) {
        finalStyles[prop] = value;
      });
    });
    return finalStyles;
  }
  exports.flattenStyles = flattenStyles;
  return module.exports;
});

System.registerDynamic("@angular/core/src/animation/animation_styles.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var AnimationStyles = (function() {
    function AnimationStyles(styles) {
      this.styles = styles;
    }
    return AnimationStyles;
  }());
  exports.AnimationStyles = AnimationStyles;
  return module.exports;
});

System.registerDynamic("@angular/core/src/console.js", ["./di/decorators", "./facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var decorators_1 = $__require('./di/decorators');
  var lang_1 = $__require('./facade/lang');
  var _warnImpl = lang_1.warn;
  var Console = (function() {
    function Console() {}
    Console.prototype.log = function(message) {
      lang_1.print(message);
    };
    Console.prototype.warn = function(message) {
      _warnImpl(message);
    };
    Console.decorators = [{type: decorators_1.Injectable}];
    return Console;
  }());
  exports.Console = Console;
  return module.exports;
});

System.registerDynamic("@angular/core/src/debug/debug_node.js", ["../facade/collection", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var EventListener = (function() {
    function EventListener(name, callback) {
      this.name = name;
      this.callback = callback;
    }
    ;
    return EventListener;
  }());
  exports.EventListener = EventListener;
  var DebugNode = (function() {
    function DebugNode(nativeNode, parent, _debugInfo) {
      this._debugInfo = _debugInfo;
      this.nativeNode = nativeNode;
      if (lang_1.isPresent(parent) && parent instanceof DebugElement) {
        parent.addChild(this);
      } else {
        this.parent = null;
      }
      this.listeners = [];
    }
    Object.defineProperty(DebugNode.prototype, "injector", {
      get: function() {
        return lang_1.isPresent(this._debugInfo) ? this._debugInfo.injector : null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DebugNode.prototype, "componentInstance", {
      get: function() {
        return lang_1.isPresent(this._debugInfo) ? this._debugInfo.component : null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DebugNode.prototype, "context", {
      get: function() {
        return lang_1.isPresent(this._debugInfo) ? this._debugInfo.context : null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DebugNode.prototype, "references", {
      get: function() {
        return lang_1.isPresent(this._debugInfo) ? this._debugInfo.references : null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DebugNode.prototype, "providerTokens", {
      get: function() {
        return lang_1.isPresent(this._debugInfo) ? this._debugInfo.providerTokens : null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DebugNode.prototype, "source", {
      get: function() {
        return lang_1.isPresent(this._debugInfo) ? this._debugInfo.source : null;
      },
      enumerable: true,
      configurable: true
    });
    DebugNode.prototype.inject = function(token) {
      return this.injector.get(token);
    };
    return DebugNode;
  }());
  exports.DebugNode = DebugNode;
  var DebugElement = (function(_super) {
    __extends(DebugElement, _super);
    function DebugElement(nativeNode, parent, _debugInfo) {
      _super.call(this, nativeNode, parent, _debugInfo);
      this.properties = {};
      this.attributes = {};
      this.classes = {};
      this.styles = {};
      this.childNodes = [];
      this.nativeElement = nativeNode;
    }
    DebugElement.prototype.addChild = function(child) {
      if (lang_1.isPresent(child)) {
        this.childNodes.push(child);
        child.parent = this;
      }
    };
    DebugElement.prototype.removeChild = function(child) {
      var childIndex = this.childNodes.indexOf(child);
      if (childIndex !== -1) {
        child.parent = null;
        this.childNodes.splice(childIndex, 1);
      }
    };
    DebugElement.prototype.insertChildrenAfter = function(child, newChildren) {
      var siblingIndex = this.childNodes.indexOf(child);
      if (siblingIndex !== -1) {
        var previousChildren = this.childNodes.slice(0, siblingIndex + 1);
        var nextChildren = this.childNodes.slice(siblingIndex + 1);
        this.childNodes = collection_1.ListWrapper.concat(collection_1.ListWrapper.concat(previousChildren, newChildren), nextChildren);
        for (var i = 0; i < newChildren.length; ++i) {
          var newChild = newChildren[i];
          if (lang_1.isPresent(newChild.parent)) {
            newChild.parent.removeChild(newChild);
          }
          newChild.parent = this;
        }
      }
    };
    DebugElement.prototype.query = function(predicate) {
      var results = this.queryAll(predicate);
      return results.length > 0 ? results[0] : null;
    };
    DebugElement.prototype.queryAll = function(predicate) {
      var matches = [];
      _queryElementChildren(this, predicate, matches);
      return matches;
    };
    DebugElement.prototype.queryAllNodes = function(predicate) {
      var matches = [];
      _queryNodeChildren(this, predicate, matches);
      return matches;
    };
    Object.defineProperty(DebugElement.prototype, "children", {
      get: function() {
        var children = [];
        this.childNodes.forEach(function(node) {
          if (node instanceof DebugElement) {
            children.push(node);
          }
        });
        return children;
      },
      enumerable: true,
      configurable: true
    });
    DebugElement.prototype.triggerEventHandler = function(eventName, eventObj) {
      this.listeners.forEach(function(listener) {
        if (listener.name == eventName) {
          listener.callback(eventObj);
        }
      });
    };
    return DebugElement;
  }(DebugNode));
  exports.DebugElement = DebugElement;
  function asNativeElements(debugEls) {
    return debugEls.map(function(el) {
      return el.nativeElement;
    });
  }
  exports.asNativeElements = asNativeElements;
  function _queryElementChildren(element, predicate, matches) {
    element.childNodes.forEach(function(node) {
      if (node instanceof DebugElement) {
        if (predicate(node)) {
          matches.push(node);
        }
        _queryElementChildren(node, predicate, matches);
      }
    });
  }
  function _queryNodeChildren(parentNode, predicate, matches) {
    if (parentNode instanceof DebugElement) {
      parentNode.childNodes.forEach(function(node) {
        if (predicate(node)) {
          matches.push(node);
        }
        if (node instanceof DebugElement) {
          _queryNodeChildren(node, predicate, matches);
        }
      });
    }
  }
  var _nativeNodeToDebugNode = new Map();
  function getDebugNode(nativeNode) {
    return _nativeNodeToDebugNode.get(nativeNode);
  }
  exports.getDebugNode = getDebugNode;
  function getAllDebugNodes() {
    return collection_1.MapWrapper.values(_nativeNodeToDebugNode);
  }
  exports.getAllDebugNodes = getAllDebugNodes;
  function indexDebugNode(node) {
    _nativeNodeToDebugNode.set(node.nativeNode, node);
  }
  exports.indexDebugNode = indexDebugNode;
  function removeDebugNodeFromIndex(node) {
    _nativeNodeToDebugNode.delete(node.nativeNode);
  }
  exports.removeDebugNodeFromIndex = removeDebugNodeFromIndex;
  return module.exports;
});

System.registerDynamic("@angular/core/src/debug/debug_renderer.js", ["../facade/lang", "./debug_node"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('../facade/lang');
  var debug_node_1 = $__require('./debug_node');
  var DebugDomRootRenderer = (function() {
    function DebugDomRootRenderer(_delegate) {
      this._delegate = _delegate;
    }
    DebugDomRootRenderer.prototype.renderComponent = function(componentProto) {
      return new DebugDomRenderer(this._delegate.renderComponent(componentProto));
    };
    return DebugDomRootRenderer;
  }());
  exports.DebugDomRootRenderer = DebugDomRootRenderer;
  var DebugDomRenderer = (function() {
    function DebugDomRenderer(_delegate) {
      this._delegate = _delegate;
    }
    DebugDomRenderer.prototype.selectRootElement = function(selectorOrNode, debugInfo) {
      var nativeEl = this._delegate.selectRootElement(selectorOrNode, debugInfo);
      var debugEl = new debug_node_1.DebugElement(nativeEl, null, debugInfo);
      debug_node_1.indexDebugNode(debugEl);
      return nativeEl;
    };
    DebugDomRenderer.prototype.createElement = function(parentElement, name, debugInfo) {
      var nativeEl = this._delegate.createElement(parentElement, name, debugInfo);
      var debugEl = new debug_node_1.DebugElement(nativeEl, debug_node_1.getDebugNode(parentElement), debugInfo);
      debugEl.name = name;
      debug_node_1.indexDebugNode(debugEl);
      return nativeEl;
    };
    DebugDomRenderer.prototype.createViewRoot = function(hostElement) {
      return this._delegate.createViewRoot(hostElement);
    };
    DebugDomRenderer.prototype.createTemplateAnchor = function(parentElement, debugInfo) {
      var comment = this._delegate.createTemplateAnchor(parentElement, debugInfo);
      var debugEl = new debug_node_1.DebugNode(comment, debug_node_1.getDebugNode(parentElement), debugInfo);
      debug_node_1.indexDebugNode(debugEl);
      return comment;
    };
    DebugDomRenderer.prototype.createText = function(parentElement, value, debugInfo) {
      var text = this._delegate.createText(parentElement, value, debugInfo);
      var debugEl = new debug_node_1.DebugNode(text, debug_node_1.getDebugNode(parentElement), debugInfo);
      debug_node_1.indexDebugNode(debugEl);
      return text;
    };
    DebugDomRenderer.prototype.projectNodes = function(parentElement, nodes) {
      var debugParent = debug_node_1.getDebugNode(parentElement);
      if (lang_1.isPresent(debugParent) && debugParent instanceof debug_node_1.DebugElement) {
        var debugElement_1 = debugParent;
        nodes.forEach(function(node) {
          debugElement_1.addChild(debug_node_1.getDebugNode(node));
        });
      }
      this._delegate.projectNodes(parentElement, nodes);
    };
    DebugDomRenderer.prototype.attachViewAfter = function(node, viewRootNodes) {
      var debugNode = debug_node_1.getDebugNode(node);
      if (lang_1.isPresent(debugNode)) {
        var debugParent = debugNode.parent;
        if (viewRootNodes.length > 0 && lang_1.isPresent(debugParent)) {
          var debugViewRootNodes = [];
          viewRootNodes.forEach(function(rootNode) {
            return debugViewRootNodes.push(debug_node_1.getDebugNode(rootNode));
          });
          debugParent.insertChildrenAfter(debugNode, debugViewRootNodes);
        }
      }
      this._delegate.attachViewAfter(node, viewRootNodes);
    };
    DebugDomRenderer.prototype.detachView = function(viewRootNodes) {
      viewRootNodes.forEach(function(node) {
        var debugNode = debug_node_1.getDebugNode(node);
        if (lang_1.isPresent(debugNode) && lang_1.isPresent(debugNode.parent)) {
          debugNode.parent.removeChild(debugNode);
        }
      });
      this._delegate.detachView(viewRootNodes);
    };
    DebugDomRenderer.prototype.destroyView = function(hostElement, viewAllNodes) {
      viewAllNodes.forEach(function(node) {
        debug_node_1.removeDebugNodeFromIndex(debug_node_1.getDebugNode(node));
      });
      this._delegate.destroyView(hostElement, viewAllNodes);
    };
    DebugDomRenderer.prototype.listen = function(renderElement, name, callback) {
      var debugEl = debug_node_1.getDebugNode(renderElement);
      if (lang_1.isPresent(debugEl)) {
        debugEl.listeners.push(new debug_node_1.EventListener(name, callback));
      }
      return this._delegate.listen(renderElement, name, callback);
    };
    DebugDomRenderer.prototype.listenGlobal = function(target, name, callback) {
      return this._delegate.listenGlobal(target, name, callback);
    };
    DebugDomRenderer.prototype.setElementProperty = function(renderElement, propertyName, propertyValue) {
      var debugEl = debug_node_1.getDebugNode(renderElement);
      if (lang_1.isPresent(debugEl) && debugEl instanceof debug_node_1.DebugElement) {
        debugEl.properties[propertyName] = propertyValue;
      }
      this._delegate.setElementProperty(renderElement, propertyName, propertyValue);
    };
    DebugDomRenderer.prototype.setElementAttribute = function(renderElement, attributeName, attributeValue) {
      var debugEl = debug_node_1.getDebugNode(renderElement);
      if (lang_1.isPresent(debugEl) && debugEl instanceof debug_node_1.DebugElement) {
        debugEl.attributes[attributeName] = attributeValue;
      }
      this._delegate.setElementAttribute(renderElement, attributeName, attributeValue);
    };
    DebugDomRenderer.prototype.setBindingDebugInfo = function(renderElement, propertyName, propertyValue) {
      this._delegate.setBindingDebugInfo(renderElement, propertyName, propertyValue);
    };
    DebugDomRenderer.prototype.setElementClass = function(renderElement, className, isAdd) {
      var debugEl = debug_node_1.getDebugNode(renderElement);
      if (lang_1.isPresent(debugEl) && debugEl instanceof debug_node_1.DebugElement) {
        debugEl.classes[className] = isAdd;
      }
      this._delegate.setElementClass(renderElement, className, isAdd);
    };
    DebugDomRenderer.prototype.setElementStyle = function(renderElement, styleName, styleValue) {
      var debugEl = debug_node_1.getDebugNode(renderElement);
      if (lang_1.isPresent(debugEl) && debugEl instanceof debug_node_1.DebugElement) {
        debugEl.styles[styleName] = styleValue;
      }
      this._delegate.setElementStyle(renderElement, styleName, styleValue);
    };
    DebugDomRenderer.prototype.invokeElementMethod = function(renderElement, methodName, args) {
      this._delegate.invokeElementMethod(renderElement, methodName, args);
    };
    DebugDomRenderer.prototype.setText = function(renderNode, text) {
      this._delegate.setText(renderNode, text);
    };
    DebugDomRenderer.prototype.animate = function(element, startingStyles, keyframes, duration, delay, easing) {
      return this._delegate.animate(element, startingStyles, keyframes, duration, delay, easing);
    };
    return DebugDomRenderer;
  }());
  exports.DebugDomRenderer = DebugDomRenderer;
  return module.exports;
});

System.registerDynamic("@angular/core/src/linker/component_factory_resolver.js", ["../facade/exceptions", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var NoComponentFactoryError = (function(_super) {
    __extends(NoComponentFactoryError, _super);
    function NoComponentFactoryError(component) {
      _super.call(this, "No component factory found for " + lang_1.stringify(component));
      this.component = component;
    }
    return NoComponentFactoryError;
  }(exceptions_1.BaseException));
  exports.NoComponentFactoryError = NoComponentFactoryError;
  var _NullComponentFactoryResolver = (function() {
    function _NullComponentFactoryResolver() {}
    _NullComponentFactoryResolver.prototype.resolveComponentFactory = function(component) {
      throw new NoComponentFactoryError(component);
    };
    return _NullComponentFactoryResolver;
  }());
  var ComponentFactoryResolver = (function() {
    function ComponentFactoryResolver() {}
    ComponentFactoryResolver.NULL = new _NullComponentFactoryResolver();
    return ComponentFactoryResolver;
  }());
  exports.ComponentFactoryResolver = ComponentFactoryResolver;
  var CodegenComponentFactoryResolver = (function() {
    function CodegenComponentFactoryResolver(factories, _parent) {
      this._parent = _parent;
      this._factories = new Map();
      for (var i = 0; i < factories.length; i++) {
        var factory = factories[i];
        this._factories.set(factory.componentType, factory);
      }
    }
    CodegenComponentFactoryResolver.prototype.resolveComponentFactory = function(component) {
      var result = this._factories.get(component);
      if (!result) {
        result = this._parent.resolveComponentFactory(component);
      }
      return result;
    };
    return CodegenComponentFactoryResolver;
  }());
  exports.CodegenComponentFactoryResolver = CodegenComponentFactoryResolver;
  return module.exports;
});

System.registerDynamic("@angular/core/src/linker/component_factory.js", ["../facade/exceptions", "../facade/lang", "./view_utils"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var view_utils_1 = $__require('./view_utils');
  var ComponentRef = (function() {
    function ComponentRef() {}
    Object.defineProperty(ComponentRef.prototype, "location", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ComponentRef.prototype, "injector", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ComponentRef.prototype, "instance", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    ;
    Object.defineProperty(ComponentRef.prototype, "hostView", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    ;
    Object.defineProperty(ComponentRef.prototype, "changeDetectorRef", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ComponentRef.prototype, "componentType", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    return ComponentRef;
  }());
  exports.ComponentRef = ComponentRef;
  var ComponentRef_ = (function(_super) {
    __extends(ComponentRef_, _super);
    function ComponentRef_(_hostElement, _componentType) {
      _super.call(this);
      this._hostElement = _hostElement;
      this._componentType = _componentType;
    }
    Object.defineProperty(ComponentRef_.prototype, "location", {
      get: function() {
        return this._hostElement.elementRef;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ComponentRef_.prototype, "injector", {
      get: function() {
        return this._hostElement.injector;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ComponentRef_.prototype, "instance", {
      get: function() {
        return this._hostElement.component;
      },
      enumerable: true,
      configurable: true
    });
    ;
    Object.defineProperty(ComponentRef_.prototype, "hostView", {
      get: function() {
        return this._hostElement.parentView.ref;
      },
      enumerable: true,
      configurable: true
    });
    ;
    Object.defineProperty(ComponentRef_.prototype, "changeDetectorRef", {
      get: function() {
        return this._hostElement.parentView.ref;
      },
      enumerable: true,
      configurable: true
    });
    ;
    Object.defineProperty(ComponentRef_.prototype, "componentType", {
      get: function() {
        return this._componentType;
      },
      enumerable: true,
      configurable: true
    });
    ComponentRef_.prototype.destroy = function() {
      this._hostElement.parentView.destroy();
    };
    ComponentRef_.prototype.onDestroy = function(callback) {
      this.hostView.onDestroy(callback);
    };
    return ComponentRef_;
  }(ComponentRef));
  exports.ComponentRef_ = ComponentRef_;
  var EMPTY_CONTEXT = new Object();
  var ComponentFactory = (function() {
    function ComponentFactory(selector, _viewFactory, _componentType) {
      this.selector = selector;
      this._viewFactory = _viewFactory;
      this._componentType = _componentType;
    }
    Object.defineProperty(ComponentFactory.prototype, "componentType", {
      get: function() {
        return this._componentType;
      },
      enumerable: true,
      configurable: true
    });
    ComponentFactory.prototype.create = function(injector, projectableNodes, rootSelectorOrNode) {
      if (projectableNodes === void 0) {
        projectableNodes = null;
      }
      if (rootSelectorOrNode === void 0) {
        rootSelectorOrNode = null;
      }
      var vu = injector.get(view_utils_1.ViewUtils);
      if (lang_1.isBlank(projectableNodes)) {
        projectableNodes = [];
      }
      var hostView = this._viewFactory(vu, injector, null);
      var hostElement = hostView.create(EMPTY_CONTEXT, projectableNodes, rootSelectorOrNode);
      return new ComponentRef_(hostElement, this._componentType);
    };
    return ComponentFactory;
  }());
  exports.ComponentFactory = ComponentFactory;
  return module.exports;
});

System.registerDynamic("@angular/core/src/linker/component_resolver.js", ["../di/decorators", "../facade/async", "../facade/exceptions", "../facade/lang", "../reflection/reflection", "./component_factory"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var decorators_1 = $__require('../di/decorators');
  var async_1 = $__require('../facade/async');
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var reflection_1 = $__require('../reflection/reflection');
  var component_factory_1 = $__require('./component_factory');
  var ComponentResolver = (function() {
    function ComponentResolver() {}
    return ComponentResolver;
  }());
  exports.ComponentResolver = ComponentResolver;
  function _isComponentFactory(type) {
    return type instanceof component_factory_1.ComponentFactory;
  }
  var ReflectorComponentResolver = (function(_super) {
    __extends(ReflectorComponentResolver, _super);
    function ReflectorComponentResolver() {
      _super.apply(this, arguments);
    }
    ReflectorComponentResolver.prototype.resolveComponent = function(component) {
      if (lang_1.isString(component)) {
        return async_1.PromiseWrapper.reject(new exceptions_1.BaseException("Cannot resolve component using '" + component + "'."), null);
      }
      var metadatas = reflection_1.reflector.annotations(component);
      var componentFactory = metadatas.find(_isComponentFactory);
      if (lang_1.isBlank(componentFactory)) {
        throw new exceptions_1.BaseException("No precompiled component " + lang_1.stringify(component) + " found");
      }
      return async_1.PromiseWrapper.resolve(componentFactory);
    };
    ReflectorComponentResolver.prototype.clearCache = function() {};
    ReflectorComponentResolver.decorators = [{type: decorators_1.Injectable}];
    return ReflectorComponentResolver;
  }(ComponentResolver));
  exports.ReflectorComponentResolver = ReflectorComponentResolver;
  return module.exports;
});

System.registerDynamic("@angular/core/src/linker/template_ref.js", ["../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var lang_1 = $__require('../facade/lang');
  var EMPTY_CONTEXT = new Object();
  var TemplateRef = (function() {
    function TemplateRef() {}
    Object.defineProperty(TemplateRef.prototype, "elementRef", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    return TemplateRef;
  }());
  exports.TemplateRef = TemplateRef;
  var TemplateRef_ = (function(_super) {
    __extends(TemplateRef_, _super);
    function TemplateRef_(_appElement, _viewFactory) {
      _super.call(this);
      this._appElement = _appElement;
      this._viewFactory = _viewFactory;
    }
    TemplateRef_.prototype.createEmbeddedView = function(context) {
      var view = this._viewFactory(this._appElement.parentView.viewUtils, this._appElement.parentInjector, this._appElement);
      if (lang_1.isBlank(context)) {
        context = EMPTY_CONTEXT;
      }
      view.create(context, null, null);
      return view.ref;
    };
    Object.defineProperty(TemplateRef_.prototype, "elementRef", {
      get: function() {
        return this._appElement.elementRef;
      },
      enumerable: true,
      configurable: true
    });
    return TemplateRef_;
  }(TemplateRef));
  exports.TemplateRef_ = TemplateRef_;
  return module.exports;
});

System.registerDynamic("rxjs/SubjectSubscription.js", ["./Subscription"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var Subscription_1 = $__require('./Subscription');
  var SubjectSubscription = (function(_super) {
    __extends(SubjectSubscription, _super);
    function SubjectSubscription(subject, observer) {
      _super.call(this);
      this.subject = subject;
      this.observer = observer;
      this.isUnsubscribed = false;
    }
    SubjectSubscription.prototype.unsubscribe = function() {
      if (this.isUnsubscribed) {
        return;
      }
      this.isUnsubscribed = true;
      var subject = this.subject;
      var observers = subject.observers;
      this.subject = null;
      if (!observers || observers.length === 0 || subject.isUnsubscribed) {
        return;
      }
      var subscriberIndex = observers.indexOf(this.observer);
      if (subscriberIndex !== -1) {
        observers.splice(subscriberIndex, 1);
      }
    };
    return SubjectSubscription;
  }(Subscription_1.Subscription));
  exports.SubjectSubscription = SubjectSubscription;
  return module.exports;
});

System.registerDynamic("rxjs/util/throwError.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  function throwError(e) {
    throw e;
  }
  exports.throwError = throwError;
  return module.exports;
});

System.registerDynamic("rxjs/util/ObjectUnsubscribedError.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var ObjectUnsubscribedError = (function(_super) {
    __extends(ObjectUnsubscribedError, _super);
    function ObjectUnsubscribedError() {
      _super.call(this, 'object unsubscribed');
      this.name = 'ObjectUnsubscribedError';
    }
    return ObjectUnsubscribedError;
  }(Error));
  exports.ObjectUnsubscribedError = ObjectUnsubscribedError;
  return module.exports;
});

System.registerDynamic("rxjs/Subject.js", ["./Observable", "./Subscriber", "./Subscription", "./SubjectSubscription", "./symbol/rxSubscriber", "./util/throwError", "./util/ObjectUnsubscribedError"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var Observable_1 = $__require('./Observable');
  var Subscriber_1 = $__require('./Subscriber');
  var Subscription_1 = $__require('./Subscription');
  var SubjectSubscription_1 = $__require('./SubjectSubscription');
  var rxSubscriber_1 = $__require('./symbol/rxSubscriber');
  var throwError_1 = $__require('./util/throwError');
  var ObjectUnsubscribedError_1 = $__require('./util/ObjectUnsubscribedError');
  var Subject = (function(_super) {
    __extends(Subject, _super);
    function Subject(destination, source) {
      _super.call(this);
      this.destination = destination;
      this.source = source;
      this.observers = [];
      this.isUnsubscribed = false;
      this.isStopped = false;
      this.hasErrored = false;
      this.dispatching = false;
      this.hasCompleted = false;
      this.source = source;
    }
    Subject.prototype.lift = function(operator) {
      var subject = new Subject(this.destination || this, this);
      subject.operator = operator;
      return subject;
    };
    Subject.prototype.add = function(subscription) {
      return Subscription_1.Subscription.prototype.add.call(this, subscription);
    };
    Subject.prototype.remove = function(subscription) {
      Subscription_1.Subscription.prototype.remove.call(this, subscription);
    };
    Subject.prototype.unsubscribe = function() {
      Subscription_1.Subscription.prototype.unsubscribe.call(this);
    };
    Subject.prototype._subscribe = function(subscriber) {
      if (this.source) {
        return this.source.subscribe(subscriber);
      } else {
        if (subscriber.isUnsubscribed) {
          return;
        } else if (this.hasErrored) {
          return subscriber.error(this.errorValue);
        } else if (this.hasCompleted) {
          return subscriber.complete();
        }
        this.throwIfUnsubscribed();
        var subscription = new SubjectSubscription_1.SubjectSubscription(this, subscriber);
        this.observers.push(subscriber);
        return subscription;
      }
    };
    Subject.prototype._unsubscribe = function() {
      this.source = null;
      this.isStopped = true;
      this.observers = null;
      this.destination = null;
    };
    Subject.prototype.next = function(value) {
      this.throwIfUnsubscribed();
      if (this.isStopped) {
        return;
      }
      this.dispatching = true;
      this._next(value);
      this.dispatching = false;
      if (this.hasErrored) {
        this._error(this.errorValue);
      } else if (this.hasCompleted) {
        this._complete();
      }
    };
    Subject.prototype.error = function(err) {
      this.throwIfUnsubscribed();
      if (this.isStopped) {
        return;
      }
      this.isStopped = true;
      this.hasErrored = true;
      this.errorValue = err;
      if (this.dispatching) {
        return;
      }
      this._error(err);
    };
    Subject.prototype.complete = function() {
      this.throwIfUnsubscribed();
      if (this.isStopped) {
        return;
      }
      this.isStopped = true;
      this.hasCompleted = true;
      if (this.dispatching) {
        return;
      }
      this._complete();
    };
    Subject.prototype.asObservable = function() {
      var observable = new SubjectObservable(this);
      return observable;
    };
    Subject.prototype._next = function(value) {
      if (this.destination) {
        this.destination.next(value);
      } else {
        this._finalNext(value);
      }
    };
    Subject.prototype._finalNext = function(value) {
      var index = -1;
      var observers = this.observers.slice(0);
      var len = observers.length;
      while (++index < len) {
        observers[index].next(value);
      }
    };
    Subject.prototype._error = function(err) {
      if (this.destination) {
        this.destination.error(err);
      } else {
        this._finalError(err);
      }
    };
    Subject.prototype._finalError = function(err) {
      var index = -1;
      var observers = this.observers;
      this.observers = null;
      this.isUnsubscribed = true;
      if (observers) {
        var len = observers.length;
        while (++index < len) {
          observers[index].error(err);
        }
      }
      this.isUnsubscribed = false;
      this.unsubscribe();
    };
    Subject.prototype._complete = function() {
      if (this.destination) {
        this.destination.complete();
      } else {
        this._finalComplete();
      }
    };
    Subject.prototype._finalComplete = function() {
      var index = -1;
      var observers = this.observers;
      this.observers = null;
      this.isUnsubscribed = true;
      if (observers) {
        var len = observers.length;
        while (++index < len) {
          observers[index].complete();
        }
      }
      this.isUnsubscribed = false;
      this.unsubscribe();
    };
    Subject.prototype.throwIfUnsubscribed = function() {
      if (this.isUnsubscribed) {
        throwError_1.throwError(new ObjectUnsubscribedError_1.ObjectUnsubscribedError());
      }
    };
    Subject.prototype[rxSubscriber_1.$$rxSubscriber] = function() {
      return new Subscriber_1.Subscriber(this);
    };
    Subject.create = function(destination, source) {
      return new Subject(destination, source);
    };
    return Subject;
  }(Observable_1.Observable));
  exports.Subject = Subject;
  var SubjectObservable = (function(_super) {
    __extends(SubjectObservable, _super);
    function SubjectObservable(source) {
      _super.call(this);
      this.source = source;
    }
    return SubjectObservable;
  }(Observable_1.Observable));
  return module.exports;
});

System.registerDynamic("rxjs/observable/PromiseObservable.js", ["../util/root", "../Observable"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var root_1 = $__require('../util/root');
  var Observable_1 = $__require('../Observable');
  var PromiseObservable = (function(_super) {
    __extends(PromiseObservable, _super);
    function PromiseObservable(promise, scheduler) {
      if (scheduler === void 0) {
        scheduler = null;
      }
      _super.call(this);
      this.promise = promise;
      this.scheduler = scheduler;
    }
    PromiseObservable.create = function(promise, scheduler) {
      if (scheduler === void 0) {
        scheduler = null;
      }
      return new PromiseObservable(promise, scheduler);
    };
    PromiseObservable.prototype._subscribe = function(subscriber) {
      var _this = this;
      var promise = this.promise;
      var scheduler = this.scheduler;
      if (scheduler == null) {
        if (this._isScalar) {
          if (!subscriber.isUnsubscribed) {
            subscriber.next(this.value);
            subscriber.complete();
          }
        } else {
          promise.then(function(value) {
            _this.value = value;
            _this._isScalar = true;
            if (!subscriber.isUnsubscribed) {
              subscriber.next(value);
              subscriber.complete();
            }
          }, function(err) {
            if (!subscriber.isUnsubscribed) {
              subscriber.error(err);
            }
          }).then(null, function(err) {
            root_1.root.setTimeout(function() {
              throw err;
            });
          });
        }
      } else {
        if (this._isScalar) {
          if (!subscriber.isUnsubscribed) {
            return scheduler.schedule(dispatchNext, 0, {
              value: this.value,
              subscriber: subscriber
            });
          }
        } else {
          promise.then(function(value) {
            _this.value = value;
            _this._isScalar = true;
            if (!subscriber.isUnsubscribed) {
              subscriber.add(scheduler.schedule(dispatchNext, 0, {
                value: value,
                subscriber: subscriber
              }));
            }
          }, function(err) {
            if (!subscriber.isUnsubscribed) {
              subscriber.add(scheduler.schedule(dispatchError, 0, {
                err: err,
                subscriber: subscriber
              }));
            }
          }).then(null, function(err) {
            root_1.root.setTimeout(function() {
              throw err;
            });
          });
        }
      }
    };
    return PromiseObservable;
  }(Observable_1.Observable));
  exports.PromiseObservable = PromiseObservable;
  function dispatchNext(arg) {
    var value = arg.value,
        subscriber = arg.subscriber;
    if (!subscriber.isUnsubscribed) {
      subscriber.next(value);
      subscriber.complete();
    }
  }
  function dispatchError(arg) {
    var err = arg.err,
        subscriber = arg.subscriber;
    if (!subscriber.isUnsubscribed) {
      subscriber.error(err);
    }
  }
  return module.exports;
});

System.registerDynamic("rxjs/operator/toPromise.js", ["../util/root"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var root_1 = $__require('../util/root');
  function toPromise(PromiseCtor) {
    var _this = this;
    if (!PromiseCtor) {
      if (root_1.root.Rx && root_1.root.Rx.config && root_1.root.Rx.config.Promise) {
        PromiseCtor = root_1.root.Rx.config.Promise;
      } else if (root_1.root.Promise) {
        PromiseCtor = root_1.root.Promise;
      }
    }
    if (!PromiseCtor) {
      throw new Error('no Promise impl found');
    }
    return new PromiseCtor(function(resolve, reject) {
      var value;
      _this.subscribe(function(x) {
        return value = x;
      }, function(err) {
        return reject(err);
      }, function() {
        return resolve(value);
      });
    });
  }
  exports.toPromise = toPromise;
  return module.exports;
});

System.registerDynamic("@angular/core/src/facade/promise.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var PromiseCompleter = (function() {
    function PromiseCompleter() {
      var _this = this;
      this.promise = new Promise(function(res, rej) {
        _this.resolve = res;
        _this.reject = rej;
      });
    }
    return PromiseCompleter;
  }());
  exports.PromiseCompleter = PromiseCompleter;
  var PromiseWrapper = (function() {
    function PromiseWrapper() {}
    PromiseWrapper.resolve = function(obj) {
      return Promise.resolve(obj);
    };
    PromiseWrapper.reject = function(obj, _) {
      return Promise.reject(obj);
    };
    PromiseWrapper.catchError = function(promise, onError) {
      return promise.catch(onError);
    };
    PromiseWrapper.all = function(promises) {
      if (promises.length == 0)
        return Promise.resolve([]);
      return Promise.all(promises);
    };
    PromiseWrapper.then = function(promise, success, rejection) {
      return promise.then(success, rejection);
    };
    PromiseWrapper.wrap = function(computation) {
      return new Promise(function(res, rej) {
        try {
          res(computation());
        } catch (e) {
          rej(e);
        }
      });
    };
    PromiseWrapper.scheduleMicrotask = function(computation) {
      PromiseWrapper.then(PromiseWrapper.resolve(null), computation, function(_) {});
    };
    PromiseWrapper.completer = function() {
      return new PromiseCompleter();
    };
    return PromiseWrapper;
  }());
  exports.PromiseWrapper = PromiseWrapper;
  return module.exports;
});

System.registerDynamic("@angular/core/src/facade/async.js", ["rxjs/Subject", "rxjs/observable/PromiseObservable", "rxjs/operator/toPromise", "./lang", "rxjs/Observable", "./promise"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var Subject_1 = $__require('rxjs/Subject');
  var PromiseObservable_1 = $__require('rxjs/observable/PromiseObservable');
  var toPromise_1 = $__require('rxjs/operator/toPromise');
  var lang_1 = $__require('./lang');
  var Observable_1 = $__require('rxjs/Observable');
  exports.Observable = Observable_1.Observable;
  var Subject_2 = $__require('rxjs/Subject');
  exports.Subject = Subject_2.Subject;
  var promise_1 = $__require('./promise');
  exports.PromiseCompleter = promise_1.PromiseCompleter;
  exports.PromiseWrapper = promise_1.PromiseWrapper;
  var TimerWrapper = (function() {
    function TimerWrapper() {}
    TimerWrapper.setTimeout = function(fn, millis) {
      return lang_1.global.setTimeout(fn, millis);
    };
    TimerWrapper.clearTimeout = function(id) {
      lang_1.global.clearTimeout(id);
    };
    TimerWrapper.setInterval = function(fn, millis) {
      return lang_1.global.setInterval(fn, millis);
    };
    TimerWrapper.clearInterval = function(id) {
      lang_1.global.clearInterval(id);
    };
    return TimerWrapper;
  }());
  exports.TimerWrapper = TimerWrapper;
  var ObservableWrapper = (function() {
    function ObservableWrapper() {}
    ObservableWrapper.subscribe = function(emitter, onNext, onError, onComplete) {
      if (onComplete === void 0) {
        onComplete = function() {};
      }
      onError = (typeof onError === 'function') && onError || lang_1.noop;
      onComplete = (typeof onComplete === 'function') && onComplete || lang_1.noop;
      return emitter.subscribe({
        next: onNext,
        error: onError,
        complete: onComplete
      });
    };
    ObservableWrapper.isObservable = function(obs) {
      return !!obs.subscribe;
    };
    ObservableWrapper.hasSubscribers = function(obs) {
      return obs.observers.length > 0;
    };
    ObservableWrapper.dispose = function(subscription) {
      subscription.unsubscribe();
    };
    ObservableWrapper.callNext = function(emitter, value) {
      emitter.emit(value);
    };
    ObservableWrapper.callEmit = function(emitter, value) {
      emitter.emit(value);
    };
    ObservableWrapper.callError = function(emitter, error) {
      emitter.error(error);
    };
    ObservableWrapper.callComplete = function(emitter) {
      emitter.complete();
    };
    ObservableWrapper.fromPromise = function(promise) {
      return PromiseObservable_1.PromiseObservable.create(promise);
    };
    ObservableWrapper.toPromise = function(obj) {
      return toPromise_1.toPromise.call(obj);
    };
    return ObservableWrapper;
  }());
  exports.ObservableWrapper = ObservableWrapper;
  var EventEmitter = (function(_super) {
    __extends(EventEmitter, _super);
    function EventEmitter(isAsync) {
      if (isAsync === void 0) {
        isAsync = false;
      }
      _super.call(this);
      this.__isAsync = isAsync;
    }
    EventEmitter.prototype.emit = function(value) {
      _super.prototype.next.call(this, value);
    };
    EventEmitter.prototype.next = function(value) {
      _super.prototype.next.call(this, value);
    };
    EventEmitter.prototype.subscribe = function(generatorOrNext, error, complete) {
      var schedulerFn;
      var errorFn = function(err) {
        return null;
      };
      var completeFn = function() {
        return null;
      };
      if (generatorOrNext && typeof generatorOrNext === 'object') {
        schedulerFn = this.__isAsync ? function(value) {
          setTimeout(function() {
            return generatorOrNext.next(value);
          });
        } : function(value) {
          generatorOrNext.next(value);
        };
        if (generatorOrNext.error) {
          errorFn = this.__isAsync ? function(err) {
            setTimeout(function() {
              return generatorOrNext.error(err);
            });
          } : function(err) {
            generatorOrNext.error(err);
          };
        }
        if (generatorOrNext.complete) {
          completeFn = this.__isAsync ? function() {
            setTimeout(function() {
              return generatorOrNext.complete();
            });
          } : function() {
            generatorOrNext.complete();
          };
        }
      } else {
        schedulerFn = this.__isAsync ? function(value) {
          setTimeout(function() {
            return generatorOrNext(value);
          });
        } : function(value) {
          generatorOrNext(value);
        };
        if (error) {
          errorFn = this.__isAsync ? function(err) {
            setTimeout(function() {
              return error(err);
            });
          } : function(err) {
            error(err);
          };
        }
        if (complete) {
          completeFn = this.__isAsync ? function() {
            setTimeout(function() {
              return complete();
            });
          } : function() {
            complete();
          };
        }
      }
      return _super.prototype.subscribe.call(this, schedulerFn, errorFn, completeFn);
    };
    return EventEmitter;
  }(Subject_1.Subject));
  exports.EventEmitter = EventEmitter;
  return module.exports;
});

System.registerDynamic("@angular/core/src/linker/view_ref.js", ["../change_detection/constants", "../facade/exceptions"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var constants_1 = $__require('../change_detection/constants');
  var exceptions_1 = $__require('../facade/exceptions');
  var ViewRef = (function() {
    function ViewRef() {}
    Object.defineProperty(ViewRef.prototype, "destroyed", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    return ViewRef;
  }());
  exports.ViewRef = ViewRef;
  var EmbeddedViewRef = (function(_super) {
    __extends(EmbeddedViewRef, _super);
    function EmbeddedViewRef() {
      _super.apply(this, arguments);
    }
    Object.defineProperty(EmbeddedViewRef.prototype, "context", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(EmbeddedViewRef.prototype, "rootNodes", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    ;
    return EmbeddedViewRef;
  }(ViewRef));
  exports.EmbeddedViewRef = EmbeddedViewRef;
  var ViewRef_ = (function() {
    function ViewRef_(_view) {
      this._view = _view;
      this._view = _view;
      this._originalMode = this._view.cdMode;
    }
    Object.defineProperty(ViewRef_.prototype, "internalView", {
      get: function() {
        return this._view;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ViewRef_.prototype, "rootNodes", {
      get: function() {
        return this._view.flatRootNodes;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ViewRef_.prototype, "context", {
      get: function() {
        return this._view.context;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ViewRef_.prototype, "destroyed", {
      get: function() {
        return this._view.destroyed;
      },
      enumerable: true,
      configurable: true
    });
    ViewRef_.prototype.markForCheck = function() {
      this._view.markPathToRootAsCheckOnce();
    };
    ViewRef_.prototype.detach = function() {
      this._view.cdMode = constants_1.ChangeDetectorStatus.Detached;
    };
    ViewRef_.prototype.detectChanges = function() {
      this._view.detectChanges(false);
    };
    ViewRef_.prototype.checkNoChanges = function() {
      this._view.detectChanges(true);
    };
    ViewRef_.prototype.reattach = function() {
      this._view.cdMode = this._originalMode;
      this.markForCheck();
    };
    ViewRef_.prototype.onDestroy = function(callback) {
      this._view.disposables.push(callback);
    };
    ViewRef_.prototype.destroy = function() {
      this._view.destroy();
    };
    return ViewRef_;
  }());
  exports.ViewRef_ = ViewRef_;
  return module.exports;
});

System.registerDynamic("@angular/core/src/linker/debug_context.js", ["../facade/collection", "../facade/lang", "./view_type"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var view_type_1 = $__require('./view_type');
  var StaticNodeDebugInfo = (function() {
    function StaticNodeDebugInfo(providerTokens, componentToken, refTokens) {
      this.providerTokens = providerTokens;
      this.componentToken = componentToken;
      this.refTokens = refTokens;
    }
    return StaticNodeDebugInfo;
  }());
  exports.StaticNodeDebugInfo = StaticNodeDebugInfo;
  var DebugContext = (function() {
    function DebugContext(_view, _nodeIndex, _tplRow, _tplCol) {
      this._view = _view;
      this._nodeIndex = _nodeIndex;
      this._tplRow = _tplRow;
      this._tplCol = _tplCol;
    }
    Object.defineProperty(DebugContext.prototype, "_staticNodeInfo", {
      get: function() {
        return lang_1.isPresent(this._nodeIndex) ? this._view.staticNodeDebugInfos[this._nodeIndex] : null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DebugContext.prototype, "context", {
      get: function() {
        return this._view.context;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DebugContext.prototype, "component", {
      get: function() {
        var staticNodeInfo = this._staticNodeInfo;
        if (lang_1.isPresent(staticNodeInfo) && lang_1.isPresent(staticNodeInfo.componentToken)) {
          return this.injector.get(staticNodeInfo.componentToken);
        }
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DebugContext.prototype, "componentRenderElement", {
      get: function() {
        var componentView = this._view;
        while (lang_1.isPresent(componentView.declarationAppElement) && componentView.type !== view_type_1.ViewType.COMPONENT) {
          componentView = componentView.declarationAppElement.parentView;
        }
        return lang_1.isPresent(componentView.declarationAppElement) ? componentView.declarationAppElement.nativeElement : null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DebugContext.prototype, "injector", {
      get: function() {
        return this._view.injector(this._nodeIndex);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DebugContext.prototype, "renderNode", {
      get: function() {
        if (lang_1.isPresent(this._nodeIndex) && lang_1.isPresent(this._view.allNodes)) {
          return this._view.allNodes[this._nodeIndex];
        } else {
          return null;
        }
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DebugContext.prototype, "providerTokens", {
      get: function() {
        var staticNodeInfo = this._staticNodeInfo;
        return lang_1.isPresent(staticNodeInfo) ? staticNodeInfo.providerTokens : null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DebugContext.prototype, "source", {
      get: function() {
        return this._view.componentType.templateUrl + ":" + this._tplRow + ":" + this._tplCol;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DebugContext.prototype, "references", {
      get: function() {
        var _this = this;
        var varValues = {};
        var staticNodeInfo = this._staticNodeInfo;
        if (lang_1.isPresent(staticNodeInfo)) {
          var refs = staticNodeInfo.refTokens;
          collection_1.StringMapWrapper.forEach(refs, function(refToken, refName) {
            var varValue;
            if (lang_1.isBlank(refToken)) {
              varValue = lang_1.isPresent(_this._view.allNodes) ? _this._view.allNodes[_this._nodeIndex] : null;
            } else {
              varValue = _this._view.injectorGet(refToken, _this._nodeIndex, null);
            }
            varValues[refName] = varValue;
          });
        }
        return varValues;
      },
      enumerable: true,
      configurable: true
    });
    return DebugContext;
  }());
  exports.DebugContext = DebugContext;
  return module.exports;
});

System.registerDynamic("@angular/core/src/linker/element_injector.js", ["../di/injector"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var injector_1 = $__require('../di/injector');
  var _UNDEFINED = new Object();
  var ElementInjector = (function(_super) {
    __extends(ElementInjector, _super);
    function ElementInjector(_view, _nodeIndex) {
      _super.call(this);
      this._view = _view;
      this._nodeIndex = _nodeIndex;
    }
    ElementInjector.prototype.get = function(token, notFoundValue) {
      if (notFoundValue === void 0) {
        notFoundValue = injector_1.THROW_IF_NOT_FOUND;
      }
      var result = _UNDEFINED;
      if (result === _UNDEFINED) {
        result = this._view.injectorGet(token, this._nodeIndex, _UNDEFINED);
      }
      if (result === _UNDEFINED) {
        result = this._view.parentInjector.get(token, notFoundValue);
      }
      return result;
    };
    return ElementInjector;
  }(injector_1.Injector));
  exports.ElementInjector = ElementInjector;
  return module.exports;
});

System.registerDynamic("@angular/core/src/facade/math.js", ["./lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('./lang');
  exports.Math = lang_1.global.Math;
  exports.NaN = typeof exports.NaN;
  return module.exports;
});

System.registerDynamic("@angular/core/src/animation/animation_group_player.js", ["../facade/lang", "../facade/math"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('../facade/lang');
  var math_1 = $__require('../facade/math');
  var AnimationGroupPlayer = (function() {
    function AnimationGroupPlayer(_players) {
      var _this = this;
      this._players = _players;
      this._subscriptions = [];
      this._finished = false;
      this.parentPlayer = null;
      var count = 0;
      var total = this._players.length;
      if (total == 0) {
        lang_1.scheduleMicroTask(function() {
          return _this._onFinish();
        });
      } else {
        this._players.forEach(function(player) {
          player.parentPlayer = _this;
          player.onDone(function() {
            if (++count >= total) {
              _this._onFinish();
            }
          });
        });
      }
    }
    AnimationGroupPlayer.prototype._onFinish = function() {
      if (!this._finished) {
        this._finished = true;
        if (!lang_1.isPresent(this.parentPlayer)) {
          this.destroy();
        }
        this._subscriptions.forEach(function(subscription) {
          return subscription();
        });
        this._subscriptions = [];
      }
    };
    AnimationGroupPlayer.prototype.onDone = function(fn) {
      this._subscriptions.push(fn);
    };
    AnimationGroupPlayer.prototype.play = function() {
      this._players.forEach(function(player) {
        return player.play();
      });
    };
    AnimationGroupPlayer.prototype.pause = function() {
      this._players.forEach(function(player) {
        return player.pause();
      });
    };
    AnimationGroupPlayer.prototype.restart = function() {
      this._players.forEach(function(player) {
        return player.restart();
      });
    };
    AnimationGroupPlayer.prototype.finish = function() {
      this._onFinish();
      this._players.forEach(function(player) {
        return player.finish();
      });
    };
    AnimationGroupPlayer.prototype.destroy = function() {
      this._onFinish();
      this._players.forEach(function(player) {
        return player.destroy();
      });
    };
    AnimationGroupPlayer.prototype.reset = function() {
      this._players.forEach(function(player) {
        return player.reset();
      });
    };
    AnimationGroupPlayer.prototype.setPosition = function(p) {
      this._players.forEach(function(player) {
        player.setPosition(p);
      });
    };
    AnimationGroupPlayer.prototype.getPosition = function() {
      var min = 0;
      this._players.forEach(function(player) {
        var p = player.getPosition();
        min = math_1.Math.min(p, min);
      });
      return min;
    };
    return AnimationGroupPlayer;
  }());
  exports.AnimationGroupPlayer = AnimationGroupPlayer;
  return module.exports;
});

System.registerDynamic("@angular/core/src/animation/active_animation_players_map.js", ["../facade/collection", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var ActiveAnimationPlayersMap = (function() {
    function ActiveAnimationPlayersMap() {
      this._map = new collection_1.Map();
      this._allPlayers = [];
    }
    Object.defineProperty(ActiveAnimationPlayersMap.prototype, "length", {
      get: function() {
        return this.getAllPlayers().length;
      },
      enumerable: true,
      configurable: true
    });
    ActiveAnimationPlayersMap.prototype.find = function(element, animationName) {
      var playersByAnimation = this._map.get(element);
      if (lang_1.isPresent(playersByAnimation)) {
        return playersByAnimation[animationName];
      }
    };
    ActiveAnimationPlayersMap.prototype.findAllPlayersByElement = function(element) {
      var players = [];
      collection_1.StringMapWrapper.forEach(this._map.get(element), function(player) {
        return players.push(player);
      });
      return players;
    };
    ActiveAnimationPlayersMap.prototype.set = function(element, animationName, player) {
      var playersByAnimation = this._map.get(element);
      if (!lang_1.isPresent(playersByAnimation)) {
        playersByAnimation = {};
      }
      var existingEntry = playersByAnimation[animationName];
      if (lang_1.isPresent(existingEntry)) {
        this.remove(element, animationName);
      }
      playersByAnimation[animationName] = player;
      this._allPlayers.push(player);
      this._map.set(element, playersByAnimation);
    };
    ActiveAnimationPlayersMap.prototype.getAllPlayers = function() {
      return this._allPlayers;
    };
    ActiveAnimationPlayersMap.prototype.remove = function(element, animationName) {
      var playersByAnimation = this._map.get(element);
      if (lang_1.isPresent(playersByAnimation)) {
        var player = playersByAnimation[animationName];
        delete playersByAnimation[animationName];
        var index = this._allPlayers.indexOf(player);
        collection_1.ListWrapper.removeAt(this._allPlayers, index);
        if (collection_1.StringMapWrapper.isEmpty(playersByAnimation)) {
          this._map.delete(element);
        }
      }
    };
    return ActiveAnimationPlayersMap;
  }());
  exports.ActiveAnimationPlayersMap = ActiveAnimationPlayersMap;
  return module.exports;
});

System.registerDynamic("@angular/core/src/linker/view.js", ["../facade/async", "../facade/collection", "../facade/lang", "./element", "./view_ref", "./view_type", "./view_utils", "../change_detection/change_detection", "../profile/profile", "./exceptions", "./debug_context", "./element_injector", "../animation/animation_group_player", "../animation/active_animation_players_map"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var async_1 = $__require('../facade/async');
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var element_1 = $__require('./element');
  var view_ref_1 = $__require('./view_ref');
  var view_type_1 = $__require('./view_type');
  var view_utils_1 = $__require('./view_utils');
  var change_detection_1 = $__require('../change_detection/change_detection');
  var profile_1 = $__require('../profile/profile');
  var exceptions_1 = $__require('./exceptions');
  var debug_context_1 = $__require('./debug_context');
  var element_injector_1 = $__require('./element_injector');
  var animation_group_player_1 = $__require('../animation/animation_group_player');
  var active_animation_players_map_1 = $__require('../animation/active_animation_players_map');
  var _scope_check = profile_1.wtfCreateScope("AppView#check(ascii id)");
  var AppView = (function() {
    function AppView(clazz, componentType, type, viewUtils, parentInjector, declarationAppElement, cdMode) {
      this.clazz = clazz;
      this.componentType = componentType;
      this.type = type;
      this.viewUtils = viewUtils;
      this.parentInjector = parentInjector;
      this.declarationAppElement = declarationAppElement;
      this.cdMode = cdMode;
      this.contentChildren = [];
      this.viewChildren = [];
      this.viewContainerElement = null;
      this.numberOfChecks = 0;
      this.activeAnimationPlayers = new active_animation_players_map_1.ActiveAnimationPlayersMap();
      this.ref = new view_ref_1.ViewRef_(this);
      if (type === view_type_1.ViewType.COMPONENT || type === view_type_1.ViewType.HOST) {
        this.renderer = viewUtils.renderComponent(componentType);
      } else {
        this.renderer = declarationAppElement.parentView.renderer;
      }
    }
    Object.defineProperty(AppView.prototype, "destroyed", {
      get: function() {
        return this.cdMode === change_detection_1.ChangeDetectorStatus.Destroyed;
      },
      enumerable: true,
      configurable: true
    });
    AppView.prototype.cancelActiveAnimation = function(element, animationName, removeAllAnimations) {
      if (removeAllAnimations === void 0) {
        removeAllAnimations = false;
      }
      if (removeAllAnimations) {
        this.activeAnimationPlayers.findAllPlayersByElement(element).forEach(function(player) {
          return player.destroy();
        });
      } else {
        var player = this.activeAnimationPlayers.find(element, animationName);
        if (lang_1.isPresent(player)) {
          player.destroy();
        }
      }
    };
    AppView.prototype.registerAndStartAnimation = function(element, animationName, player) {
      var _this = this;
      this.activeAnimationPlayers.set(element, animationName, player);
      player.onDone(function() {
        _this.activeAnimationPlayers.remove(element, animationName);
      });
      player.play();
    };
    AppView.prototype.create = function(context, givenProjectableNodes, rootSelectorOrNode) {
      this.context = context;
      var projectableNodes;
      switch (this.type) {
        case view_type_1.ViewType.COMPONENT:
          projectableNodes = view_utils_1.ensureSlotCount(givenProjectableNodes, this.componentType.slotCount);
          break;
        case view_type_1.ViewType.EMBEDDED:
          projectableNodes = this.declarationAppElement.parentView.projectableNodes;
          break;
        case view_type_1.ViewType.HOST:
          projectableNodes = givenProjectableNodes;
          break;
      }
      this._hasExternalHostElement = lang_1.isPresent(rootSelectorOrNode);
      this.projectableNodes = projectableNodes;
      return this.createInternal(rootSelectorOrNode);
    };
    AppView.prototype.createInternal = function(rootSelectorOrNode) {
      return null;
    };
    AppView.prototype.init = function(rootNodesOrAppElements, allNodes, disposables, subscriptions) {
      this.rootNodesOrAppElements = rootNodesOrAppElements;
      this.allNodes = allNodes;
      this.disposables = disposables;
      this.subscriptions = subscriptions;
      if (this.type === view_type_1.ViewType.COMPONENT) {
        this.declarationAppElement.parentView.viewChildren.push(this);
        this.dirtyParentQueriesInternal();
      }
    };
    AppView.prototype.selectOrCreateHostElement = function(elementName, rootSelectorOrNode, debugInfo) {
      var hostElement;
      if (lang_1.isPresent(rootSelectorOrNode)) {
        hostElement = this.renderer.selectRootElement(rootSelectorOrNode, debugInfo);
      } else {
        hostElement = this.renderer.createElement(null, elementName, debugInfo);
      }
      return hostElement;
    };
    AppView.prototype.injectorGet = function(token, nodeIndex, notFoundResult) {
      return this.injectorGetInternal(token, nodeIndex, notFoundResult);
    };
    AppView.prototype.injectorGetInternal = function(token, nodeIndex, notFoundResult) {
      return notFoundResult;
    };
    AppView.prototype.injector = function(nodeIndex) {
      if (lang_1.isPresent(nodeIndex)) {
        return new element_injector_1.ElementInjector(this, nodeIndex);
      } else {
        return this.parentInjector;
      }
    };
    AppView.prototype.destroy = function() {
      if (this._hasExternalHostElement) {
        this.renderer.detachView(this.flatRootNodes);
      } else if (lang_1.isPresent(this.viewContainerElement)) {
        this.viewContainerElement.detachView(this.viewContainerElement.nestedViews.indexOf(this));
      }
      this._destroyRecurse();
    };
    AppView.prototype._destroyRecurse = function() {
      if (this.cdMode === change_detection_1.ChangeDetectorStatus.Destroyed) {
        return;
      }
      var children = this.contentChildren;
      for (var i = 0; i < children.length; i++) {
        children[i]._destroyRecurse();
      }
      children = this.viewChildren;
      for (var i = 0; i < children.length; i++) {
        children[i]._destroyRecurse();
      }
      this.destroyLocal();
      this.cdMode = change_detection_1.ChangeDetectorStatus.Destroyed;
    };
    AppView.prototype.destroyLocal = function() {
      var _this = this;
      var hostElement = this.type === view_type_1.ViewType.COMPONENT ? this.declarationAppElement.nativeElement : null;
      for (var i = 0; i < this.disposables.length; i++) {
        this.disposables[i]();
      }
      for (var i = 0; i < this.subscriptions.length; i++) {
        async_1.ObservableWrapper.dispose(this.subscriptions[i]);
      }
      this.destroyInternal();
      this.dirtyParentQueriesInternal();
      if (this.activeAnimationPlayers.length == 0) {
        this.renderer.destroyView(hostElement, this.allNodes);
      } else {
        var player = new animation_group_player_1.AnimationGroupPlayer(this.activeAnimationPlayers.getAllPlayers());
        player.onDone(function() {
          _this.renderer.destroyView(hostElement, _this.allNodes);
        });
      }
    };
    AppView.prototype.destroyInternal = function() {};
    AppView.prototype.detachInternal = function() {};
    AppView.prototype.detach = function() {
      var _this = this;
      this.detachInternal();
      if (this.activeAnimationPlayers.length == 0) {
        this.renderer.detachView(this.flatRootNodes);
      } else {
        var player = new animation_group_player_1.AnimationGroupPlayer(this.activeAnimationPlayers.getAllPlayers());
        player.onDone(function() {
          _this.renderer.detachView(_this.flatRootNodes);
        });
      }
    };
    Object.defineProperty(AppView.prototype, "changeDetectorRef", {
      get: function() {
        return this.ref;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AppView.prototype, "parent", {
      get: function() {
        return lang_1.isPresent(this.declarationAppElement) ? this.declarationAppElement.parentView : null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AppView.prototype, "flatRootNodes", {
      get: function() {
        return view_utils_1.flattenNestedViewRenderNodes(this.rootNodesOrAppElements);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AppView.prototype, "lastRootNode", {
      get: function() {
        var lastNode = this.rootNodesOrAppElements.length > 0 ? this.rootNodesOrAppElements[this.rootNodesOrAppElements.length - 1] : null;
        return _findLastRenderNode(lastNode);
      },
      enumerable: true,
      configurable: true
    });
    AppView.prototype.dirtyParentQueriesInternal = function() {};
    AppView.prototype.detectChanges = function(throwOnChange) {
      var s = _scope_check(this.clazz);
      if (this.cdMode === change_detection_1.ChangeDetectorStatus.Checked || this.cdMode === change_detection_1.ChangeDetectorStatus.Errored)
        return;
      if (this.cdMode === change_detection_1.ChangeDetectorStatus.Destroyed) {
        this.throwDestroyedError('detectChanges');
      }
      this.detectChangesInternal(throwOnChange);
      if (this.cdMode === change_detection_1.ChangeDetectorStatus.CheckOnce)
        this.cdMode = change_detection_1.ChangeDetectorStatus.Checked;
      this.numberOfChecks++;
      profile_1.wtfLeave(s);
    };
    AppView.prototype.detectChangesInternal = function(throwOnChange) {
      this.detectContentChildrenChanges(throwOnChange);
      this.detectViewChildrenChanges(throwOnChange);
    };
    AppView.prototype.detectContentChildrenChanges = function(throwOnChange) {
      for (var i = 0; i < this.contentChildren.length; ++i) {
        var child = this.contentChildren[i];
        if (child.cdMode === change_detection_1.ChangeDetectorStatus.Detached)
          continue;
        child.detectChanges(throwOnChange);
      }
    };
    AppView.prototype.detectViewChildrenChanges = function(throwOnChange) {
      for (var i = 0; i < this.viewChildren.length; ++i) {
        var child = this.viewChildren[i];
        if (child.cdMode === change_detection_1.ChangeDetectorStatus.Detached)
          continue;
        child.detectChanges(throwOnChange);
      }
    };
    AppView.prototype.addToContentChildren = function(renderAppElement) {
      renderAppElement.parentView.contentChildren.push(this);
      this.viewContainerElement = renderAppElement;
      this.dirtyParentQueriesInternal();
    };
    AppView.prototype.removeFromContentChildren = function(renderAppElement) {
      collection_1.ListWrapper.remove(renderAppElement.parentView.contentChildren, this);
      this.dirtyParentQueriesInternal();
      this.viewContainerElement = null;
    };
    AppView.prototype.markAsCheckOnce = function() {
      this.cdMode = change_detection_1.ChangeDetectorStatus.CheckOnce;
    };
    AppView.prototype.markPathToRootAsCheckOnce = function() {
      var c = this;
      while (lang_1.isPresent(c) && c.cdMode !== change_detection_1.ChangeDetectorStatus.Detached) {
        if (c.cdMode === change_detection_1.ChangeDetectorStatus.Checked) {
          c.cdMode = change_detection_1.ChangeDetectorStatus.CheckOnce;
        }
        var parentEl = c.type === view_type_1.ViewType.COMPONENT ? c.declarationAppElement : c.viewContainerElement;
        c = lang_1.isPresent(parentEl) ? parentEl.parentView : null;
      }
    };
    AppView.prototype.eventHandler = function(cb) {
      return cb;
    };
    AppView.prototype.throwDestroyedError = function(details) {
      throw new exceptions_1.ViewDestroyedException(details);
    };
    return AppView;
  }());
  exports.AppView = AppView;
  var DebugAppView = (function(_super) {
    __extends(DebugAppView, _super);
    function DebugAppView(clazz, componentType, type, viewUtils, parentInjector, declarationAppElement, cdMode, staticNodeDebugInfos) {
      _super.call(this, clazz, componentType, type, viewUtils, parentInjector, declarationAppElement, cdMode);
      this.staticNodeDebugInfos = staticNodeDebugInfos;
      this._currentDebugContext = null;
    }
    DebugAppView.prototype.create = function(context, givenProjectableNodes, rootSelectorOrNode) {
      this._resetDebug();
      try {
        return _super.prototype.create.call(this, context, givenProjectableNodes, rootSelectorOrNode);
      } catch (e) {
        this._rethrowWithContext(e, e.stack);
        throw e;
      }
    };
    DebugAppView.prototype.injectorGet = function(token, nodeIndex, notFoundResult) {
      this._resetDebug();
      try {
        return _super.prototype.injectorGet.call(this, token, nodeIndex, notFoundResult);
      } catch (e) {
        this._rethrowWithContext(e, e.stack);
        throw e;
      }
    };
    DebugAppView.prototype.detach = function() {
      this._resetDebug();
      try {
        _super.prototype.detach.call(this);
      } catch (e) {
        this._rethrowWithContext(e, e.stack);
        throw e;
      }
    };
    DebugAppView.prototype.destroyLocal = function() {
      this._resetDebug();
      try {
        _super.prototype.destroyLocal.call(this);
      } catch (e) {
        this._rethrowWithContext(e, e.stack);
        throw e;
      }
    };
    DebugAppView.prototype.detectChanges = function(throwOnChange) {
      this._resetDebug();
      try {
        _super.prototype.detectChanges.call(this, throwOnChange);
      } catch (e) {
        this._rethrowWithContext(e, e.stack);
        throw e;
      }
    };
    DebugAppView.prototype._resetDebug = function() {
      this._currentDebugContext = null;
    };
    DebugAppView.prototype.debug = function(nodeIndex, rowNum, colNum) {
      return this._currentDebugContext = new debug_context_1.DebugContext(this, nodeIndex, rowNum, colNum);
    };
    DebugAppView.prototype._rethrowWithContext = function(e, stack) {
      if (!(e instanceof exceptions_1.ViewWrappedException)) {
        if (!(e instanceof exceptions_1.ExpressionChangedAfterItHasBeenCheckedException)) {
          this.cdMode = change_detection_1.ChangeDetectorStatus.Errored;
        }
        if (lang_1.isPresent(this._currentDebugContext)) {
          throw new exceptions_1.ViewWrappedException(e, stack, this._currentDebugContext);
        }
      }
    };
    DebugAppView.prototype.eventHandler = function(cb) {
      var _this = this;
      var superHandler = _super.prototype.eventHandler.call(this, cb);
      return function(event) {
        _this._resetDebug();
        try {
          return superHandler(event);
        } catch (e) {
          _this._rethrowWithContext(e, e.stack);
          throw e;
        }
      };
    };
    return DebugAppView;
  }(AppView));
  exports.DebugAppView = DebugAppView;
  function _findLastRenderNode(node) {
    var lastNode;
    if (node instanceof element_1.AppElement) {
      var appEl = node;
      lastNode = appEl.nativeElement;
      if (lang_1.isPresent(appEl.nestedViews)) {
        for (var i = appEl.nestedViews.length - 1; i >= 0; i--) {
          var nestedView = appEl.nestedViews[i];
          if (nestedView.rootNodesOrAppElements.length > 0) {
            lastNode = _findLastRenderNode(nestedView.rootNodesOrAppElements[nestedView.rootNodesOrAppElements.length - 1]);
          }
        }
      }
    } else {
      lastNode = node;
    }
    return lastNode;
  }
  return module.exports;
});

System.registerDynamic("@angular/core/src/application_tokens.js", ["../src/facade/lang", "./di"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('../src/facade/lang');
  var di_1 = $__require('./di');
  exports.APP_ID = new di_1.OpaqueToken('AppId');
  function _appIdRandomProviderFactory() {
    return "" + _randomChar() + _randomChar() + _randomChar();
  }
  exports.APP_ID_RANDOM_PROVIDER = {
    provide: exports.APP_ID,
    useFactory: _appIdRandomProviderFactory,
    deps: []
  };
  function _randomChar() {
    return lang_1.StringWrapper.fromCharCode(97 + lang_1.Math.floor(lang_1.Math.random() * 25));
  }
  exports.PLATFORM_INITIALIZER = new di_1.OpaqueToken('Platform Initializer');
  exports.APP_INITIALIZER = new di_1.OpaqueToken('Application Initializer');
  exports.PACKAGE_ROOT_URL = new di_1.OpaqueToken('Application Packages Root URL');
  return module.exports;
});

System.registerDynamic("@angular/core/src/change_detection/differs/default_iterable_differ.js", ["../../facade/collection", "../../facade/exceptions", "../../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var collection_1 = $__require('../../facade/collection');
  var exceptions_1 = $__require('../../facade/exceptions');
  var lang_1 = $__require('../../facade/lang');
  var DefaultIterableDifferFactory = (function() {
    function DefaultIterableDifferFactory() {}
    DefaultIterableDifferFactory.prototype.supports = function(obj) {
      return collection_1.isListLikeIterable(obj);
    };
    DefaultIterableDifferFactory.prototype.create = function(cdRef, trackByFn) {
      return new DefaultIterableDiffer(trackByFn);
    };
    return DefaultIterableDifferFactory;
  }());
  exports.DefaultIterableDifferFactory = DefaultIterableDifferFactory;
  var trackByIdentity = function(index, item) {
    return item;
  };
  var DefaultIterableDiffer = (function() {
    function DefaultIterableDiffer(_trackByFn) {
      this._trackByFn = _trackByFn;
      this._length = null;
      this._collection = null;
      this._linkedRecords = null;
      this._unlinkedRecords = null;
      this._previousItHead = null;
      this._itHead = null;
      this._itTail = null;
      this._additionsHead = null;
      this._additionsTail = null;
      this._movesHead = null;
      this._movesTail = null;
      this._removalsHead = null;
      this._removalsTail = null;
      this._identityChangesHead = null;
      this._identityChangesTail = null;
      this._trackByFn = lang_1.isPresent(this._trackByFn) ? this._trackByFn : trackByIdentity;
    }
    Object.defineProperty(DefaultIterableDiffer.prototype, "collection", {
      get: function() {
        return this._collection;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DefaultIterableDiffer.prototype, "length", {
      get: function() {
        return this._length;
      },
      enumerable: true,
      configurable: true
    });
    DefaultIterableDiffer.prototype.forEachItem = function(fn) {
      var record;
      for (record = this._itHead; record !== null; record = record._next) {
        fn(record);
      }
    };
    DefaultIterableDiffer.prototype.forEachPreviousItem = function(fn) {
      var record;
      for (record = this._previousItHead; record !== null; record = record._nextPrevious) {
        fn(record);
      }
    };
    DefaultIterableDiffer.prototype.forEachAddedItem = function(fn) {
      var record;
      for (record = this._additionsHead; record !== null; record = record._nextAdded) {
        fn(record);
      }
    };
    DefaultIterableDiffer.prototype.forEachMovedItem = function(fn) {
      var record;
      for (record = this._movesHead; record !== null; record = record._nextMoved) {
        fn(record);
      }
    };
    DefaultIterableDiffer.prototype.forEachRemovedItem = function(fn) {
      var record;
      for (record = this._removalsHead; record !== null; record = record._nextRemoved) {
        fn(record);
      }
    };
    DefaultIterableDiffer.prototype.forEachIdentityChange = function(fn) {
      var record;
      for (record = this._identityChangesHead; record !== null; record = record._nextIdentityChange) {
        fn(record);
      }
    };
    DefaultIterableDiffer.prototype.diff = function(collection) {
      if (lang_1.isBlank(collection))
        collection = [];
      if (!collection_1.isListLikeIterable(collection)) {
        throw new exceptions_1.BaseException("Error trying to diff '" + collection + "'");
      }
      if (this.check(collection)) {
        return this;
      } else {
        return null;
      }
    };
    DefaultIterableDiffer.prototype.onDestroy = function() {};
    DefaultIterableDiffer.prototype.check = function(collection) {
      var _this = this;
      this._reset();
      var record = this._itHead;
      var mayBeDirty = false;
      var index;
      var item;
      var itemTrackBy;
      if (lang_1.isArray(collection)) {
        var list = collection;
        this._length = collection.length;
        for (index = 0; index < this._length; index++) {
          item = list[index];
          itemTrackBy = this._trackByFn(index, item);
          if (record === null || !lang_1.looseIdentical(record.trackById, itemTrackBy)) {
            record = this._mismatch(record, item, itemTrackBy, index);
            mayBeDirty = true;
          } else {
            if (mayBeDirty) {
              record = this._verifyReinsertion(record, item, itemTrackBy, index);
            }
            if (!lang_1.looseIdentical(record.item, item))
              this._addIdentityChange(record, item);
          }
          record = record._next;
        }
      } else {
        index = 0;
        collection_1.iterateListLike(collection, function(item) {
          itemTrackBy = _this._trackByFn(index, item);
          if (record === null || !lang_1.looseIdentical(record.trackById, itemTrackBy)) {
            record = _this._mismatch(record, item, itemTrackBy, index);
            mayBeDirty = true;
          } else {
            if (mayBeDirty) {
              record = _this._verifyReinsertion(record, item, itemTrackBy, index);
            }
            if (!lang_1.looseIdentical(record.item, item))
              _this._addIdentityChange(record, item);
          }
          record = record._next;
          index++;
        });
        this._length = index;
      }
      this._truncate(record);
      this._collection = collection;
      return this.isDirty;
    };
    Object.defineProperty(DefaultIterableDiffer.prototype, "isDirty", {
      get: function() {
        return this._additionsHead !== null || this._movesHead !== null || this._removalsHead !== null || this._identityChangesHead !== null;
      },
      enumerable: true,
      configurable: true
    });
    DefaultIterableDiffer.prototype._reset = function() {
      if (this.isDirty) {
        var record;
        var nextRecord;
        for (record = this._previousItHead = this._itHead; record !== null; record = record._next) {
          record._nextPrevious = record._next;
        }
        for (record = this._additionsHead; record !== null; record = record._nextAdded) {
          record.previousIndex = record.currentIndex;
        }
        this._additionsHead = this._additionsTail = null;
        for (record = this._movesHead; record !== null; record = nextRecord) {
          record.previousIndex = record.currentIndex;
          nextRecord = record._nextMoved;
        }
        this._movesHead = this._movesTail = null;
        this._removalsHead = this._removalsTail = null;
        this._identityChangesHead = this._identityChangesTail = null;
      }
    };
    DefaultIterableDiffer.prototype._mismatch = function(record, item, itemTrackBy, index) {
      var previousRecord;
      if (record === null) {
        previousRecord = this._itTail;
      } else {
        previousRecord = record._prev;
        this._remove(record);
      }
      record = this._linkedRecords === null ? null : this._linkedRecords.get(itemTrackBy, index);
      if (record !== null) {
        if (!lang_1.looseIdentical(record.item, item))
          this._addIdentityChange(record, item);
        this._moveAfter(record, previousRecord, index);
      } else {
        record = this._unlinkedRecords === null ? null : this._unlinkedRecords.get(itemTrackBy);
        if (record !== null) {
          if (!lang_1.looseIdentical(record.item, item))
            this._addIdentityChange(record, item);
          this._reinsertAfter(record, previousRecord, index);
        } else {
          record = this._addAfter(new CollectionChangeRecord(item, itemTrackBy), previousRecord, index);
        }
      }
      return record;
    };
    DefaultIterableDiffer.prototype._verifyReinsertion = function(record, item, itemTrackBy, index) {
      var reinsertRecord = this._unlinkedRecords === null ? null : this._unlinkedRecords.get(itemTrackBy);
      if (reinsertRecord !== null) {
        record = this._reinsertAfter(reinsertRecord, record._prev, index);
      } else if (record.currentIndex != index) {
        record.currentIndex = index;
        this._addToMoves(record, index);
      }
      return record;
    };
    DefaultIterableDiffer.prototype._truncate = function(record) {
      while (record !== null) {
        var nextRecord = record._next;
        this._addToRemovals(this._unlink(record));
        record = nextRecord;
      }
      if (this._unlinkedRecords !== null) {
        this._unlinkedRecords.clear();
      }
      if (this._additionsTail !== null) {
        this._additionsTail._nextAdded = null;
      }
      if (this._movesTail !== null) {
        this._movesTail._nextMoved = null;
      }
      if (this._itTail !== null) {
        this._itTail._next = null;
      }
      if (this._removalsTail !== null) {
        this._removalsTail._nextRemoved = null;
      }
      if (this._identityChangesTail !== null) {
        this._identityChangesTail._nextIdentityChange = null;
      }
    };
    DefaultIterableDiffer.prototype._reinsertAfter = function(record, prevRecord, index) {
      if (this._unlinkedRecords !== null) {
        this._unlinkedRecords.remove(record);
      }
      var prev = record._prevRemoved;
      var next = record._nextRemoved;
      if (prev === null) {
        this._removalsHead = next;
      } else {
        prev._nextRemoved = next;
      }
      if (next === null) {
        this._removalsTail = prev;
      } else {
        next._prevRemoved = prev;
      }
      this._insertAfter(record, prevRecord, index);
      this._addToMoves(record, index);
      return record;
    };
    DefaultIterableDiffer.prototype._moveAfter = function(record, prevRecord, index) {
      this._unlink(record);
      this._insertAfter(record, prevRecord, index);
      this._addToMoves(record, index);
      return record;
    };
    DefaultIterableDiffer.prototype._addAfter = function(record, prevRecord, index) {
      this._insertAfter(record, prevRecord, index);
      if (this._additionsTail === null) {
        this._additionsTail = this._additionsHead = record;
      } else {
        this._additionsTail = this._additionsTail._nextAdded = record;
      }
      return record;
    };
    DefaultIterableDiffer.prototype._insertAfter = function(record, prevRecord, index) {
      var next = prevRecord === null ? this._itHead : prevRecord._next;
      record._next = next;
      record._prev = prevRecord;
      if (next === null) {
        this._itTail = record;
      } else {
        next._prev = record;
      }
      if (prevRecord === null) {
        this._itHead = record;
      } else {
        prevRecord._next = record;
      }
      if (this._linkedRecords === null) {
        this._linkedRecords = new _DuplicateMap();
      }
      this._linkedRecords.put(record);
      record.currentIndex = index;
      return record;
    };
    DefaultIterableDiffer.prototype._remove = function(record) {
      return this._addToRemovals(this._unlink(record));
    };
    DefaultIterableDiffer.prototype._unlink = function(record) {
      if (this._linkedRecords !== null) {
        this._linkedRecords.remove(record);
      }
      var prev = record._prev;
      var next = record._next;
      if (prev === null) {
        this._itHead = next;
      } else {
        prev._next = next;
      }
      if (next === null) {
        this._itTail = prev;
      } else {
        next._prev = prev;
      }
      return record;
    };
    DefaultIterableDiffer.prototype._addToMoves = function(record, toIndex) {
      if (record.previousIndex === toIndex) {
        return record;
      }
      if (this._movesTail === null) {
        this._movesTail = this._movesHead = record;
      } else {
        this._movesTail = this._movesTail._nextMoved = record;
      }
      return record;
    };
    DefaultIterableDiffer.prototype._addToRemovals = function(record) {
      if (this._unlinkedRecords === null) {
        this._unlinkedRecords = new _DuplicateMap();
      }
      this._unlinkedRecords.put(record);
      record.currentIndex = null;
      record._nextRemoved = null;
      if (this._removalsTail === null) {
        this._removalsTail = this._removalsHead = record;
        record._prevRemoved = null;
      } else {
        record._prevRemoved = this._removalsTail;
        this._removalsTail = this._removalsTail._nextRemoved = record;
      }
      return record;
    };
    DefaultIterableDiffer.prototype._addIdentityChange = function(record, item) {
      record.item = item;
      if (this._identityChangesTail === null) {
        this._identityChangesTail = this._identityChangesHead = record;
      } else {
        this._identityChangesTail = this._identityChangesTail._nextIdentityChange = record;
      }
      return record;
    };
    DefaultIterableDiffer.prototype.toString = function() {
      var list = [];
      this.forEachItem(function(record) {
        return list.push(record);
      });
      var previous = [];
      this.forEachPreviousItem(function(record) {
        return previous.push(record);
      });
      var additions = [];
      this.forEachAddedItem(function(record) {
        return additions.push(record);
      });
      var moves = [];
      this.forEachMovedItem(function(record) {
        return moves.push(record);
      });
      var removals = [];
      this.forEachRemovedItem(function(record) {
        return removals.push(record);
      });
      var identityChanges = [];
      this.forEachIdentityChange(function(record) {
        return identityChanges.push(record);
      });
      return 'collection: ' + list.join(', ') + '\n' + 'previous: ' + previous.join(', ') + '\n' + 'additions: ' + additions.join(', ') + '\n' + 'moves: ' + moves.join(', ') + '\n' + 'removals: ' + removals.join(', ') + '\n' + 'identityChanges: ' + identityChanges.join(', ') + '\n';
    };
    return DefaultIterableDiffer;
  }());
  exports.DefaultIterableDiffer = DefaultIterableDiffer;
  var CollectionChangeRecord = (function() {
    function CollectionChangeRecord(item, trackById) {
      this.item = item;
      this.trackById = trackById;
      this.currentIndex = null;
      this.previousIndex = null;
      this._nextPrevious = null;
      this._prev = null;
      this._next = null;
      this._prevDup = null;
      this._nextDup = null;
      this._prevRemoved = null;
      this._nextRemoved = null;
      this._nextAdded = null;
      this._nextMoved = null;
      this._nextIdentityChange = null;
    }
    CollectionChangeRecord.prototype.toString = function() {
      return this.previousIndex === this.currentIndex ? lang_1.stringify(this.item) : lang_1.stringify(this.item) + '[' + lang_1.stringify(this.previousIndex) + '->' + lang_1.stringify(this.currentIndex) + ']';
    };
    return CollectionChangeRecord;
  }());
  exports.CollectionChangeRecord = CollectionChangeRecord;
  var _DuplicateItemRecordList = (function() {
    function _DuplicateItemRecordList() {
      this._head = null;
      this._tail = null;
    }
    _DuplicateItemRecordList.prototype.add = function(record) {
      if (this._head === null) {
        this._head = this._tail = record;
        record._nextDup = null;
        record._prevDup = null;
      } else {
        this._tail._nextDup = record;
        record._prevDup = this._tail;
        record._nextDup = null;
        this._tail = record;
      }
    };
    _DuplicateItemRecordList.prototype.get = function(trackById, afterIndex) {
      var record;
      for (record = this._head; record !== null; record = record._nextDup) {
        if ((afterIndex === null || afterIndex < record.currentIndex) && lang_1.looseIdentical(record.trackById, trackById)) {
          return record;
        }
      }
      return null;
    };
    _DuplicateItemRecordList.prototype.remove = function(record) {
      var prev = record._prevDup;
      var next = record._nextDup;
      if (prev === null) {
        this._head = next;
      } else {
        prev._nextDup = next;
      }
      if (next === null) {
        this._tail = prev;
      } else {
        next._prevDup = prev;
      }
      return this._head === null;
    };
    return _DuplicateItemRecordList;
  }());
  var _DuplicateMap = (function() {
    function _DuplicateMap() {
      this.map = new Map();
    }
    _DuplicateMap.prototype.put = function(record) {
      var key = lang_1.getMapKey(record.trackById);
      var duplicates = this.map.get(key);
      if (!lang_1.isPresent(duplicates)) {
        duplicates = new _DuplicateItemRecordList();
        this.map.set(key, duplicates);
      }
      duplicates.add(record);
    };
    _DuplicateMap.prototype.get = function(trackById, afterIndex) {
      if (afterIndex === void 0) {
        afterIndex = null;
      }
      var key = lang_1.getMapKey(trackById);
      var recordList = this.map.get(key);
      return lang_1.isBlank(recordList) ? null : recordList.get(trackById, afterIndex);
    };
    _DuplicateMap.prototype.remove = function(record) {
      var key = lang_1.getMapKey(record.trackById);
      var recordList = this.map.get(key);
      if (recordList.remove(record)) {
        this.map.delete(key);
      }
      return record;
    };
    Object.defineProperty(_DuplicateMap.prototype, "isEmpty", {
      get: function() {
        return this.map.size === 0;
      },
      enumerable: true,
      configurable: true
    });
    _DuplicateMap.prototype.clear = function() {
      this.map.clear();
    };
    _DuplicateMap.prototype.toString = function() {
      return '_DuplicateMap(' + lang_1.stringify(this.map) + ')';
    };
    return _DuplicateMap;
  }());
  return module.exports;
});

System.registerDynamic("@angular/core/src/change_detection/differs/default_keyvalue_differ.js", ["../../facade/collection", "../../facade/exceptions", "../../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var collection_1 = $__require('../../facade/collection');
  var exceptions_1 = $__require('../../facade/exceptions');
  var lang_1 = $__require('../../facade/lang');
  var DefaultKeyValueDifferFactory = (function() {
    function DefaultKeyValueDifferFactory() {}
    DefaultKeyValueDifferFactory.prototype.supports = function(obj) {
      return obj instanceof Map || lang_1.isJsObject(obj);
    };
    DefaultKeyValueDifferFactory.prototype.create = function(cdRef) {
      return new DefaultKeyValueDiffer();
    };
    return DefaultKeyValueDifferFactory;
  }());
  exports.DefaultKeyValueDifferFactory = DefaultKeyValueDifferFactory;
  var DefaultKeyValueDiffer = (function() {
    function DefaultKeyValueDiffer() {
      this._records = new Map();
      this._mapHead = null;
      this._previousMapHead = null;
      this._changesHead = null;
      this._changesTail = null;
      this._additionsHead = null;
      this._additionsTail = null;
      this._removalsHead = null;
      this._removalsTail = null;
    }
    Object.defineProperty(DefaultKeyValueDiffer.prototype, "isDirty", {
      get: function() {
        return this._additionsHead !== null || this._changesHead !== null || this._removalsHead !== null;
      },
      enumerable: true,
      configurable: true
    });
    DefaultKeyValueDiffer.prototype.forEachItem = function(fn) {
      var record;
      for (record = this._mapHead; record !== null; record = record._next) {
        fn(record);
      }
    };
    DefaultKeyValueDiffer.prototype.forEachPreviousItem = function(fn) {
      var record;
      for (record = this._previousMapHead; record !== null; record = record._nextPrevious) {
        fn(record);
      }
    };
    DefaultKeyValueDiffer.prototype.forEachChangedItem = function(fn) {
      var record;
      for (record = this._changesHead; record !== null; record = record._nextChanged) {
        fn(record);
      }
    };
    DefaultKeyValueDiffer.prototype.forEachAddedItem = function(fn) {
      var record;
      for (record = this._additionsHead; record !== null; record = record._nextAdded) {
        fn(record);
      }
    };
    DefaultKeyValueDiffer.prototype.forEachRemovedItem = function(fn) {
      var record;
      for (record = this._removalsHead; record !== null; record = record._nextRemoved) {
        fn(record);
      }
    };
    DefaultKeyValueDiffer.prototype.diff = function(map) {
      if (lang_1.isBlank(map))
        map = collection_1.MapWrapper.createFromPairs([]);
      if (!(map instanceof Map || lang_1.isJsObject(map))) {
        throw new exceptions_1.BaseException("Error trying to diff '" + map + "'");
      }
      if (this.check(map)) {
        return this;
      } else {
        return null;
      }
    };
    DefaultKeyValueDiffer.prototype.onDestroy = function() {};
    DefaultKeyValueDiffer.prototype.check = function(map) {
      var _this = this;
      this._reset();
      var records = this._records;
      var oldSeqRecord = this._mapHead;
      var lastOldSeqRecord = null;
      var lastNewSeqRecord = null;
      var seqChanged = false;
      this._forEach(map, function(value, key) {
        var newSeqRecord;
        if (oldSeqRecord !== null && key === oldSeqRecord.key) {
          newSeqRecord = oldSeqRecord;
          if (!lang_1.looseIdentical(value, oldSeqRecord.currentValue)) {
            oldSeqRecord.previousValue = oldSeqRecord.currentValue;
            oldSeqRecord.currentValue = value;
            _this._addToChanges(oldSeqRecord);
          }
        } else {
          seqChanged = true;
          if (oldSeqRecord !== null) {
            oldSeqRecord._next = null;
            _this._removeFromSeq(lastOldSeqRecord, oldSeqRecord);
            _this._addToRemovals(oldSeqRecord);
          }
          if (records.has(key)) {
            newSeqRecord = records.get(key);
          } else {
            newSeqRecord = new KeyValueChangeRecord(key);
            records.set(key, newSeqRecord);
            newSeqRecord.currentValue = value;
            _this._addToAdditions(newSeqRecord);
          }
        }
        if (seqChanged) {
          if (_this._isInRemovals(newSeqRecord)) {
            _this._removeFromRemovals(newSeqRecord);
          }
          if (lastNewSeqRecord == null) {
            _this._mapHead = newSeqRecord;
          } else {
            lastNewSeqRecord._next = newSeqRecord;
          }
        }
        lastOldSeqRecord = oldSeqRecord;
        lastNewSeqRecord = newSeqRecord;
        oldSeqRecord = oldSeqRecord === null ? null : oldSeqRecord._next;
      });
      this._truncate(lastOldSeqRecord, oldSeqRecord);
      return this.isDirty;
    };
    DefaultKeyValueDiffer.prototype._reset = function() {
      if (this.isDirty) {
        var record;
        for (record = this._previousMapHead = this._mapHead; record !== null; record = record._next) {
          record._nextPrevious = record._next;
        }
        for (record = this._changesHead; record !== null; record = record._nextChanged) {
          record.previousValue = record.currentValue;
        }
        for (record = this._additionsHead; record != null; record = record._nextAdded) {
          record.previousValue = record.currentValue;
        }
        this._changesHead = this._changesTail = null;
        this._additionsHead = this._additionsTail = null;
        this._removalsHead = this._removalsTail = null;
      }
    };
    DefaultKeyValueDiffer.prototype._truncate = function(lastRecord, record) {
      while (record !== null) {
        if (lastRecord === null) {
          this._mapHead = null;
        } else {
          lastRecord._next = null;
        }
        var nextRecord = record._next;
        this._addToRemovals(record);
        lastRecord = record;
        record = nextRecord;
      }
      for (var rec = this._removalsHead; rec !== null; rec = rec._nextRemoved) {
        rec.previousValue = rec.currentValue;
        rec.currentValue = null;
        this._records.delete(rec.key);
      }
    };
    DefaultKeyValueDiffer.prototype._isInRemovals = function(record) {
      return record === this._removalsHead || record._nextRemoved !== null || record._prevRemoved !== null;
    };
    DefaultKeyValueDiffer.prototype._addToRemovals = function(record) {
      if (this._removalsHead === null) {
        this._removalsHead = this._removalsTail = record;
      } else {
        this._removalsTail._nextRemoved = record;
        record._prevRemoved = this._removalsTail;
        this._removalsTail = record;
      }
    };
    DefaultKeyValueDiffer.prototype._removeFromSeq = function(prev, record) {
      var next = record._next;
      if (prev === null) {
        this._mapHead = next;
      } else {
        prev._next = next;
      }
    };
    DefaultKeyValueDiffer.prototype._removeFromRemovals = function(record) {
      var prev = record._prevRemoved;
      var next = record._nextRemoved;
      if (prev === null) {
        this._removalsHead = next;
      } else {
        prev._nextRemoved = next;
      }
      if (next === null) {
        this._removalsTail = prev;
      } else {
        next._prevRemoved = prev;
      }
      record._prevRemoved = record._nextRemoved = null;
    };
    DefaultKeyValueDiffer.prototype._addToAdditions = function(record) {
      if (this._additionsHead === null) {
        this._additionsHead = this._additionsTail = record;
      } else {
        this._additionsTail._nextAdded = record;
        this._additionsTail = record;
      }
    };
    DefaultKeyValueDiffer.prototype._addToChanges = function(record) {
      if (this._changesHead === null) {
        this._changesHead = this._changesTail = record;
      } else {
        this._changesTail._nextChanged = record;
        this._changesTail = record;
      }
    };
    DefaultKeyValueDiffer.prototype.toString = function() {
      var items = [];
      var previous = [];
      var changes = [];
      var additions = [];
      var removals = [];
      var record;
      for (record = this._mapHead; record !== null; record = record._next) {
        items.push(lang_1.stringify(record));
      }
      for (record = this._previousMapHead; record !== null; record = record._nextPrevious) {
        previous.push(lang_1.stringify(record));
      }
      for (record = this._changesHead; record !== null; record = record._nextChanged) {
        changes.push(lang_1.stringify(record));
      }
      for (record = this._additionsHead; record !== null; record = record._nextAdded) {
        additions.push(lang_1.stringify(record));
      }
      for (record = this._removalsHead; record !== null; record = record._nextRemoved) {
        removals.push(lang_1.stringify(record));
      }
      return 'map: ' + items.join(', ') + '\n' + 'previous: ' + previous.join(', ') + '\n' + 'additions: ' + additions.join(', ') + '\n' + 'changes: ' + changes.join(', ') + '\n' + 'removals: ' + removals.join(', ') + '\n';
    };
    DefaultKeyValueDiffer.prototype._forEach = function(obj, fn) {
      if (obj instanceof Map) {
        obj.forEach(fn);
      } else {
        collection_1.StringMapWrapper.forEach(obj, fn);
      }
    };
    return DefaultKeyValueDiffer;
  }());
  exports.DefaultKeyValueDiffer = DefaultKeyValueDiffer;
  var KeyValueChangeRecord = (function() {
    function KeyValueChangeRecord(key) {
      this.key = key;
      this.previousValue = null;
      this.currentValue = null;
      this._nextPrevious = null;
      this._next = null;
      this._nextAdded = null;
      this._nextRemoved = null;
      this._prevRemoved = null;
      this._nextChanged = null;
    }
    KeyValueChangeRecord.prototype.toString = function() {
      return lang_1.looseIdentical(this.previousValue, this.currentValue) ? lang_1.stringify(this.key) : (lang_1.stringify(this.key) + '[' + lang_1.stringify(this.previousValue) + '->' + lang_1.stringify(this.currentValue) + ']');
    };
    return KeyValueChangeRecord;
  }());
  exports.KeyValueChangeRecord = KeyValueChangeRecord;
  return module.exports;
});

System.registerDynamic("@angular/core/src/change_detection/differs/iterable_differs.js", ["../../di", "../../facade/collection", "../../facade/exceptions", "../../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var di_1 = $__require('../../di');
  var collection_1 = $__require('../../facade/collection');
  var exceptions_1 = $__require('../../facade/exceptions');
  var lang_1 = $__require('../../facade/lang');
  var IterableDiffers = (function() {
    function IterableDiffers(factories) {
      this.factories = factories;
    }
    IterableDiffers.create = function(factories, parent) {
      if (lang_1.isPresent(parent)) {
        var copied = collection_1.ListWrapper.clone(parent.factories);
        factories = factories.concat(copied);
        return new IterableDiffers(factories);
      } else {
        return new IterableDiffers(factories);
      }
    };
    IterableDiffers.extend = function(factories) {
      return new di_1.Provider(IterableDiffers, {
        useFactory: function(parent) {
          if (lang_1.isBlank(parent)) {
            throw new exceptions_1.BaseException('Cannot extend IterableDiffers without a parent injector');
          }
          return IterableDiffers.create(factories, parent);
        },
        deps: [[IterableDiffers, new di_1.SkipSelfMetadata(), new di_1.OptionalMetadata()]]
      });
    };
    IterableDiffers.prototype.find = function(iterable) {
      var factory = this.factories.find(function(f) {
        return f.supports(iterable);
      });
      if (lang_1.isPresent(factory)) {
        return factory;
      } else {
        throw new exceptions_1.BaseException("Cannot find a differ supporting object '" + iterable + "' of type '" + lang_1.getTypeNameForDebugging(iterable) + "'");
      }
    };
    return IterableDiffers;
  }());
  exports.IterableDiffers = IterableDiffers;
  return module.exports;
});

System.registerDynamic("@angular/core/src/di/injector.js", ["../facade/exceptions"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var exceptions_1 = $__require('../facade/exceptions');
  var _THROW_IF_NOT_FOUND = new Object();
  exports.THROW_IF_NOT_FOUND = _THROW_IF_NOT_FOUND;
  var Injector = (function() {
    function Injector() {}
    Injector.prototype.get = function(token, notFoundValue) {
      return exceptions_1.unimplemented();
    };
    Injector.THROW_IF_NOT_FOUND = _THROW_IF_NOT_FOUND;
    return Injector;
  }());
  exports.Injector = Injector;
  return module.exports;
});

System.registerDynamic("@angular/core/src/di/reflective_injector.js", ["../facade/collection", "../facade/exceptions", "./injector", "./metadata", "./reflective_exceptions", "./reflective_key", "./reflective_provider"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var collection_1 = $__require('../facade/collection');
  var exceptions_1 = $__require('../facade/exceptions');
  var injector_1 = $__require('./injector');
  var metadata_1 = $__require('./metadata');
  var reflective_exceptions_1 = $__require('./reflective_exceptions');
  var reflective_key_1 = $__require('./reflective_key');
  var reflective_provider_1 = $__require('./reflective_provider');
  var __unused;
  var _MAX_CONSTRUCTION_COUNTER = 10;
  var UNDEFINED = new Object();
  var ReflectiveProtoInjectorInlineStrategy = (function() {
    function ReflectiveProtoInjectorInlineStrategy(protoEI, providers) {
      this.provider0 = null;
      this.provider1 = null;
      this.provider2 = null;
      this.provider3 = null;
      this.provider4 = null;
      this.provider5 = null;
      this.provider6 = null;
      this.provider7 = null;
      this.provider8 = null;
      this.provider9 = null;
      this.keyId0 = null;
      this.keyId1 = null;
      this.keyId2 = null;
      this.keyId3 = null;
      this.keyId4 = null;
      this.keyId5 = null;
      this.keyId6 = null;
      this.keyId7 = null;
      this.keyId8 = null;
      this.keyId9 = null;
      var length = providers.length;
      if (length > 0) {
        this.provider0 = providers[0];
        this.keyId0 = providers[0].key.id;
      }
      if (length > 1) {
        this.provider1 = providers[1];
        this.keyId1 = providers[1].key.id;
      }
      if (length > 2) {
        this.provider2 = providers[2];
        this.keyId2 = providers[2].key.id;
      }
      if (length > 3) {
        this.provider3 = providers[3];
        this.keyId3 = providers[3].key.id;
      }
      if (length > 4) {
        this.provider4 = providers[4];
        this.keyId4 = providers[4].key.id;
      }
      if (length > 5) {
        this.provider5 = providers[5];
        this.keyId5 = providers[5].key.id;
      }
      if (length > 6) {
        this.provider6 = providers[6];
        this.keyId6 = providers[6].key.id;
      }
      if (length > 7) {
        this.provider7 = providers[7];
        this.keyId7 = providers[7].key.id;
      }
      if (length > 8) {
        this.provider8 = providers[8];
        this.keyId8 = providers[8].key.id;
      }
      if (length > 9) {
        this.provider9 = providers[9];
        this.keyId9 = providers[9].key.id;
      }
    }
    ReflectiveProtoInjectorInlineStrategy.prototype.getProviderAtIndex = function(index) {
      if (index == 0)
        return this.provider0;
      if (index == 1)
        return this.provider1;
      if (index == 2)
        return this.provider2;
      if (index == 3)
        return this.provider3;
      if (index == 4)
        return this.provider4;
      if (index == 5)
        return this.provider5;
      if (index == 6)
        return this.provider6;
      if (index == 7)
        return this.provider7;
      if (index == 8)
        return this.provider8;
      if (index == 9)
        return this.provider9;
      throw new reflective_exceptions_1.OutOfBoundsError(index);
    };
    ReflectiveProtoInjectorInlineStrategy.prototype.createInjectorStrategy = function(injector) {
      return new ReflectiveInjectorInlineStrategy(injector, this);
    };
    return ReflectiveProtoInjectorInlineStrategy;
  }());
  exports.ReflectiveProtoInjectorInlineStrategy = ReflectiveProtoInjectorInlineStrategy;
  var ReflectiveProtoInjectorDynamicStrategy = (function() {
    function ReflectiveProtoInjectorDynamicStrategy(protoInj, providers) {
      this.providers = providers;
      var len = providers.length;
      this.keyIds = collection_1.ListWrapper.createFixedSize(len);
      for (var i = 0; i < len; i++) {
        this.keyIds[i] = providers[i].key.id;
      }
    }
    ReflectiveProtoInjectorDynamicStrategy.prototype.getProviderAtIndex = function(index) {
      if (index < 0 || index >= this.providers.length) {
        throw new reflective_exceptions_1.OutOfBoundsError(index);
      }
      return this.providers[index];
    };
    ReflectiveProtoInjectorDynamicStrategy.prototype.createInjectorStrategy = function(ei) {
      return new ReflectiveInjectorDynamicStrategy(this, ei);
    };
    return ReflectiveProtoInjectorDynamicStrategy;
  }());
  exports.ReflectiveProtoInjectorDynamicStrategy = ReflectiveProtoInjectorDynamicStrategy;
  var ReflectiveProtoInjector = (function() {
    function ReflectiveProtoInjector(providers) {
      this.numberOfProviders = providers.length;
      this._strategy = providers.length > _MAX_CONSTRUCTION_COUNTER ? new ReflectiveProtoInjectorDynamicStrategy(this, providers) : new ReflectiveProtoInjectorInlineStrategy(this, providers);
    }
    ReflectiveProtoInjector.fromResolvedProviders = function(providers) {
      return new ReflectiveProtoInjector(providers);
    };
    ReflectiveProtoInjector.prototype.getProviderAtIndex = function(index) {
      return this._strategy.getProviderAtIndex(index);
    };
    return ReflectiveProtoInjector;
  }());
  exports.ReflectiveProtoInjector = ReflectiveProtoInjector;
  var ReflectiveInjectorInlineStrategy = (function() {
    function ReflectiveInjectorInlineStrategy(injector, protoStrategy) {
      this.injector = injector;
      this.protoStrategy = protoStrategy;
      this.obj0 = UNDEFINED;
      this.obj1 = UNDEFINED;
      this.obj2 = UNDEFINED;
      this.obj3 = UNDEFINED;
      this.obj4 = UNDEFINED;
      this.obj5 = UNDEFINED;
      this.obj6 = UNDEFINED;
      this.obj7 = UNDEFINED;
      this.obj8 = UNDEFINED;
      this.obj9 = UNDEFINED;
    }
    ReflectiveInjectorInlineStrategy.prototype.resetConstructionCounter = function() {
      this.injector._constructionCounter = 0;
    };
    ReflectiveInjectorInlineStrategy.prototype.instantiateProvider = function(provider) {
      return this.injector._new(provider);
    };
    ReflectiveInjectorInlineStrategy.prototype.getObjByKeyId = function(keyId) {
      var p = this.protoStrategy;
      var inj = this.injector;
      if (p.keyId0 === keyId) {
        if (this.obj0 === UNDEFINED) {
          this.obj0 = inj._new(p.provider0);
        }
        return this.obj0;
      }
      if (p.keyId1 === keyId) {
        if (this.obj1 === UNDEFINED) {
          this.obj1 = inj._new(p.provider1);
        }
        return this.obj1;
      }
      if (p.keyId2 === keyId) {
        if (this.obj2 === UNDEFINED) {
          this.obj2 = inj._new(p.provider2);
        }
        return this.obj2;
      }
      if (p.keyId3 === keyId) {
        if (this.obj3 === UNDEFINED) {
          this.obj3 = inj._new(p.provider3);
        }
        return this.obj3;
      }
      if (p.keyId4 === keyId) {
        if (this.obj4 === UNDEFINED) {
          this.obj4 = inj._new(p.provider4);
        }
        return this.obj4;
      }
      if (p.keyId5 === keyId) {
        if (this.obj5 === UNDEFINED) {
          this.obj5 = inj._new(p.provider5);
        }
        return this.obj5;
      }
      if (p.keyId6 === keyId) {
        if (this.obj6 === UNDEFINED) {
          this.obj6 = inj._new(p.provider6);
        }
        return this.obj6;
      }
      if (p.keyId7 === keyId) {
        if (this.obj7 === UNDEFINED) {
          this.obj7 = inj._new(p.provider7);
        }
        return this.obj7;
      }
      if (p.keyId8 === keyId) {
        if (this.obj8 === UNDEFINED) {
          this.obj8 = inj._new(p.provider8);
        }
        return this.obj8;
      }
      if (p.keyId9 === keyId) {
        if (this.obj9 === UNDEFINED) {
          this.obj9 = inj._new(p.provider9);
        }
        return this.obj9;
      }
      return UNDEFINED;
    };
    ReflectiveInjectorInlineStrategy.prototype.getObjAtIndex = function(index) {
      if (index == 0)
        return this.obj0;
      if (index == 1)
        return this.obj1;
      if (index == 2)
        return this.obj2;
      if (index == 3)
        return this.obj3;
      if (index == 4)
        return this.obj4;
      if (index == 5)
        return this.obj5;
      if (index == 6)
        return this.obj6;
      if (index == 7)
        return this.obj7;
      if (index == 8)
        return this.obj8;
      if (index == 9)
        return this.obj9;
      throw new reflective_exceptions_1.OutOfBoundsError(index);
    };
    ReflectiveInjectorInlineStrategy.prototype.getMaxNumberOfObjects = function() {
      return _MAX_CONSTRUCTION_COUNTER;
    };
    return ReflectiveInjectorInlineStrategy;
  }());
  exports.ReflectiveInjectorInlineStrategy = ReflectiveInjectorInlineStrategy;
  var ReflectiveInjectorDynamicStrategy = (function() {
    function ReflectiveInjectorDynamicStrategy(protoStrategy, injector) {
      this.protoStrategy = protoStrategy;
      this.injector = injector;
      this.objs = collection_1.ListWrapper.createFixedSize(protoStrategy.providers.length);
      collection_1.ListWrapper.fill(this.objs, UNDEFINED);
    }
    ReflectiveInjectorDynamicStrategy.prototype.resetConstructionCounter = function() {
      this.injector._constructionCounter = 0;
    };
    ReflectiveInjectorDynamicStrategy.prototype.instantiateProvider = function(provider) {
      return this.injector._new(provider);
    };
    ReflectiveInjectorDynamicStrategy.prototype.getObjByKeyId = function(keyId) {
      var p = this.protoStrategy;
      for (var i = 0; i < p.keyIds.length; i++) {
        if (p.keyIds[i] === keyId) {
          if (this.objs[i] === UNDEFINED) {
            this.objs[i] = this.injector._new(p.providers[i]);
          }
          return this.objs[i];
        }
      }
      return UNDEFINED;
    };
    ReflectiveInjectorDynamicStrategy.prototype.getObjAtIndex = function(index) {
      if (index < 0 || index >= this.objs.length) {
        throw new reflective_exceptions_1.OutOfBoundsError(index);
      }
      return this.objs[index];
    };
    ReflectiveInjectorDynamicStrategy.prototype.getMaxNumberOfObjects = function() {
      return this.objs.length;
    };
    return ReflectiveInjectorDynamicStrategy;
  }());
  exports.ReflectiveInjectorDynamicStrategy = ReflectiveInjectorDynamicStrategy;
  var ReflectiveInjector = (function() {
    function ReflectiveInjector() {}
    ReflectiveInjector.resolve = function(providers) {
      return reflective_provider_1.resolveReflectiveProviders(providers);
    };
    ReflectiveInjector.resolveAndCreate = function(providers, parent) {
      if (parent === void 0) {
        parent = null;
      }
      var ResolvedReflectiveProviders = ReflectiveInjector.resolve(providers);
      return ReflectiveInjector.fromResolvedProviders(ResolvedReflectiveProviders, parent);
    };
    ReflectiveInjector.fromResolvedProviders = function(providers, parent) {
      if (parent === void 0) {
        parent = null;
      }
      return new ReflectiveInjector_(ReflectiveProtoInjector.fromResolvedProviders(providers), parent);
    };
    ReflectiveInjector.fromResolvedBindings = function(providers) {
      return ReflectiveInjector.fromResolvedProviders(providers);
    };
    Object.defineProperty(ReflectiveInjector.prototype, "parent", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    ReflectiveInjector.prototype.debugContext = function() {
      return null;
    };
    ReflectiveInjector.prototype.resolveAndCreateChild = function(providers) {
      return exceptions_1.unimplemented();
    };
    ReflectiveInjector.prototype.createChildFromResolved = function(providers) {
      return exceptions_1.unimplemented();
    };
    ReflectiveInjector.prototype.resolveAndInstantiate = function(provider) {
      return exceptions_1.unimplemented();
    };
    ReflectiveInjector.prototype.instantiateResolved = function(provider) {
      return exceptions_1.unimplemented();
    };
    return ReflectiveInjector;
  }());
  exports.ReflectiveInjector = ReflectiveInjector;
  var ReflectiveInjector_ = (function() {
    function ReflectiveInjector_(_proto, _parent, _debugContext) {
      if (_parent === void 0) {
        _parent = null;
      }
      if (_debugContext === void 0) {
        _debugContext = null;
      }
      this._debugContext = _debugContext;
      this._constructionCounter = 0;
      this._proto = _proto;
      this._parent = _parent;
      this._strategy = _proto._strategy.createInjectorStrategy(this);
    }
    ReflectiveInjector_.prototype.debugContext = function() {
      return this._debugContext();
    };
    ReflectiveInjector_.prototype.get = function(token, notFoundValue) {
      if (notFoundValue === void 0) {
        notFoundValue = injector_1.THROW_IF_NOT_FOUND;
      }
      return this._getByKey(reflective_key_1.ReflectiveKey.get(token), null, null, notFoundValue);
    };
    ReflectiveInjector_.prototype.getAt = function(index) {
      return this._strategy.getObjAtIndex(index);
    };
    Object.defineProperty(ReflectiveInjector_.prototype, "parent", {
      get: function() {
        return this._parent;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ReflectiveInjector_.prototype, "internalStrategy", {
      get: function() {
        return this._strategy;
      },
      enumerable: true,
      configurable: true
    });
    ReflectiveInjector_.prototype.resolveAndCreateChild = function(providers) {
      var ResolvedReflectiveProviders = ReflectiveInjector.resolve(providers);
      return this.createChildFromResolved(ResolvedReflectiveProviders);
    };
    ReflectiveInjector_.prototype.createChildFromResolved = function(providers) {
      var proto = new ReflectiveProtoInjector(providers);
      var inj = new ReflectiveInjector_(proto);
      inj._parent = this;
      return inj;
    };
    ReflectiveInjector_.prototype.resolveAndInstantiate = function(provider) {
      return this.instantiateResolved(ReflectiveInjector.resolve([provider])[0]);
    };
    ReflectiveInjector_.prototype.instantiateResolved = function(provider) {
      return this._instantiateProvider(provider);
    };
    ReflectiveInjector_.prototype._new = function(provider) {
      if (this._constructionCounter++ > this._strategy.getMaxNumberOfObjects()) {
        throw new reflective_exceptions_1.CyclicDependencyError(this, provider.key);
      }
      return this._instantiateProvider(provider);
    };
    ReflectiveInjector_.prototype._instantiateProvider = function(provider) {
      if (provider.multiProvider) {
        var res = collection_1.ListWrapper.createFixedSize(provider.resolvedFactories.length);
        for (var i = 0; i < provider.resolvedFactories.length; ++i) {
          res[i] = this._instantiate(provider, provider.resolvedFactories[i]);
        }
        return res;
      } else {
        return this._instantiate(provider, provider.resolvedFactories[0]);
      }
    };
    ReflectiveInjector_.prototype._instantiate = function(provider, ResolvedReflectiveFactory) {
      var factory = ResolvedReflectiveFactory.factory;
      var deps = ResolvedReflectiveFactory.dependencies;
      var length = deps.length;
      var d0;
      var d1;
      var d2;
      var d3;
      var d4;
      var d5;
      var d6;
      var d7;
      var d8;
      var d9;
      var d10;
      var d11;
      var d12;
      var d13;
      var d14;
      var d15;
      var d16;
      var d17;
      var d18;
      var d19;
      try {
        d0 = length > 0 ? this._getByReflectiveDependency(provider, deps[0]) : null;
        d1 = length > 1 ? this._getByReflectiveDependency(provider, deps[1]) : null;
        d2 = length > 2 ? this._getByReflectiveDependency(provider, deps[2]) : null;
        d3 = length > 3 ? this._getByReflectiveDependency(provider, deps[3]) : null;
        d4 = length > 4 ? this._getByReflectiveDependency(provider, deps[4]) : null;
        d5 = length > 5 ? this._getByReflectiveDependency(provider, deps[5]) : null;
        d6 = length > 6 ? this._getByReflectiveDependency(provider, deps[6]) : null;
        d7 = length > 7 ? this._getByReflectiveDependency(provider, deps[7]) : null;
        d8 = length > 8 ? this._getByReflectiveDependency(provider, deps[8]) : null;
        d9 = length > 9 ? this._getByReflectiveDependency(provider, deps[9]) : null;
        d10 = length > 10 ? this._getByReflectiveDependency(provider, deps[10]) : null;
        d11 = length > 11 ? this._getByReflectiveDependency(provider, deps[11]) : null;
        d12 = length > 12 ? this._getByReflectiveDependency(provider, deps[12]) : null;
        d13 = length > 13 ? this._getByReflectiveDependency(provider, deps[13]) : null;
        d14 = length > 14 ? this._getByReflectiveDependency(provider, deps[14]) : null;
        d15 = length > 15 ? this._getByReflectiveDependency(provider, deps[15]) : null;
        d16 = length > 16 ? this._getByReflectiveDependency(provider, deps[16]) : null;
        d17 = length > 17 ? this._getByReflectiveDependency(provider, deps[17]) : null;
        d18 = length > 18 ? this._getByReflectiveDependency(provider, deps[18]) : null;
        d19 = length > 19 ? this._getByReflectiveDependency(provider, deps[19]) : null;
      } catch (e) {
        if (e instanceof reflective_exceptions_1.AbstractProviderError || e instanceof reflective_exceptions_1.InstantiationError) {
          e.addKey(this, provider.key);
        }
        throw e;
      }
      var obj;
      try {
        switch (length) {
          case 0:
            obj = factory();
            break;
          case 1:
            obj = factory(d0);
            break;
          case 2:
            obj = factory(d0, d1);
            break;
          case 3:
            obj = factory(d0, d1, d2);
            break;
          case 4:
            obj = factory(d0, d1, d2, d3);
            break;
          case 5:
            obj = factory(d0, d1, d2, d3, d4);
            break;
          case 6:
            obj = factory(d0, d1, d2, d3, d4, d5);
            break;
          case 7:
            obj = factory(d0, d1, d2, d3, d4, d5, d6);
            break;
          case 8:
            obj = factory(d0, d1, d2, d3, d4, d5, d6, d7);
            break;
          case 9:
            obj = factory(d0, d1, d2, d3, d4, d5, d6, d7, d8);
            break;
          case 10:
            obj = factory(d0, d1, d2, d3, d4, d5, d6, d7, d8, d9);
            break;
          case 11:
            obj = factory(d0, d1, d2, d3, d4, d5, d6, d7, d8, d9, d10);
            break;
          case 12:
            obj = factory(d0, d1, d2, d3, d4, d5, d6, d7, d8, d9, d10, d11);
            break;
          case 13:
            obj = factory(d0, d1, d2, d3, d4, d5, d6, d7, d8, d9, d10, d11, d12);
            break;
          case 14:
            obj = factory(d0, d1, d2, d3, d4, d5, d6, d7, d8, d9, d10, d11, d12, d13);
            break;
          case 15:
            obj = factory(d0, d1, d2, d3, d4, d5, d6, d7, d8, d9, d10, d11, d12, d13, d14);
            break;
          case 16:
            obj = factory(d0, d1, d2, d3, d4, d5, d6, d7, d8, d9, d10, d11, d12, d13, d14, d15);
            break;
          case 17:
            obj = factory(d0, d1, d2, d3, d4, d5, d6, d7, d8, d9, d10, d11, d12, d13, d14, d15, d16);
            break;
          case 18:
            obj = factory(d0, d1, d2, d3, d4, d5, d6, d7, d8, d9, d10, d11, d12, d13, d14, d15, d16, d17);
            break;
          case 19:
            obj = factory(d0, d1, d2, d3, d4, d5, d6, d7, d8, d9, d10, d11, d12, d13, d14, d15, d16, d17, d18);
            break;
          case 20:
            obj = factory(d0, d1, d2, d3, d4, d5, d6, d7, d8, d9, d10, d11, d12, d13, d14, d15, d16, d17, d18, d19);
            break;
          default:
            throw new exceptions_1.BaseException("Cannot instantiate '" + provider.key.displayName + "' because it has more than 20 dependencies");
        }
      } catch (e) {
        throw new reflective_exceptions_1.InstantiationError(this, e, e.stack, provider.key);
      }
      return obj;
    };
    ReflectiveInjector_.prototype._getByReflectiveDependency = function(provider, dep) {
      return this._getByKey(dep.key, dep.lowerBoundVisibility, dep.upperBoundVisibility, dep.optional ? null : injector_1.THROW_IF_NOT_FOUND);
    };
    ReflectiveInjector_.prototype._getByKey = function(key, lowerBoundVisibility, upperBoundVisibility, notFoundValue) {
      if (key === INJECTOR_KEY) {
        return this;
      }
      if (upperBoundVisibility instanceof metadata_1.SelfMetadata) {
        return this._getByKeySelf(key, notFoundValue);
      } else {
        return this._getByKeyDefault(key, notFoundValue, lowerBoundVisibility);
      }
    };
    ReflectiveInjector_.prototype._throwOrNull = function(key, notFoundValue) {
      if (notFoundValue !== injector_1.THROW_IF_NOT_FOUND) {
        return notFoundValue;
      } else {
        throw new reflective_exceptions_1.NoProviderError(this, key);
      }
    };
    ReflectiveInjector_.prototype._getByKeySelf = function(key, notFoundValue) {
      var obj = this._strategy.getObjByKeyId(key.id);
      return (obj !== UNDEFINED) ? obj : this._throwOrNull(key, notFoundValue);
    };
    ReflectiveInjector_.prototype._getByKeyDefault = function(key, notFoundValue, lowerBoundVisibility) {
      var inj;
      if (lowerBoundVisibility instanceof metadata_1.SkipSelfMetadata) {
        inj = this._parent;
      } else {
        inj = this;
      }
      while (inj instanceof ReflectiveInjector_) {
        var inj_ = inj;
        var obj = inj_._strategy.getObjByKeyId(key.id);
        if (obj !== UNDEFINED)
          return obj;
        inj = inj_._parent;
      }
      if (inj !== null) {
        return inj.get(key.token, notFoundValue);
      } else {
        return this._throwOrNull(key, notFoundValue);
      }
    };
    Object.defineProperty(ReflectiveInjector_.prototype, "displayName", {
      get: function() {
        var providers = _mapProviders(this, function(b) {
          return ' "' + b.key.displayName + '" ';
        }).join(', ');
        return "ReflectiveInjector(providers: [" + providers + "])";
      },
      enumerable: true,
      configurable: true
    });
    ReflectiveInjector_.prototype.toString = function() {
      return this.displayName;
    };
    return ReflectiveInjector_;
  }());
  exports.ReflectiveInjector_ = ReflectiveInjector_;
  var INJECTOR_KEY = reflective_key_1.ReflectiveKey.get(injector_1.Injector);
  function _mapProviders(injector, fn) {
    var res = new Array(injector._proto.numberOfProviders);
    for (var i = 0; i < injector._proto.numberOfProviders; ++i) {
      res[i] = fn(injector._proto.getProviderAtIndex(i));
    }
    return res;
  }
  return module.exports;
});

System.registerDynamic("@angular/core/src/di/provider.js", ["../facade/exceptions", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var Provider = (function() {
    function Provider(token, _a) {
      var useClass = _a.useClass,
          useValue = _a.useValue,
          useExisting = _a.useExisting,
          useFactory = _a.useFactory,
          deps = _a.deps,
          multi = _a.multi;
      this.token = token;
      this.useClass = useClass;
      this.useValue = useValue;
      this.useExisting = useExisting;
      this.useFactory = useFactory;
      this.dependencies = deps;
      this._multi = multi;
    }
    Object.defineProperty(Provider.prototype, "multi", {
      get: function() {
        return lang_1.normalizeBool(this._multi);
      },
      enumerable: true,
      configurable: true
    });
    return Provider;
  }());
  exports.Provider = Provider;
  var Binding = (function(_super) {
    __extends(Binding, _super);
    function Binding(token, _a) {
      var toClass = _a.toClass,
          toValue = _a.toValue,
          toAlias = _a.toAlias,
          toFactory = _a.toFactory,
          deps = _a.deps,
          multi = _a.multi;
      _super.call(this, token, {
        useClass: toClass,
        useValue: toValue,
        useExisting: toAlias,
        useFactory: toFactory,
        deps: deps,
        multi: multi
      });
    }
    Object.defineProperty(Binding.prototype, "toClass", {
      get: function() {
        return this.useClass;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Binding.prototype, "toAlias", {
      get: function() {
        return this.useExisting;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Binding.prototype, "toFactory", {
      get: function() {
        return this.useFactory;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Binding.prototype, "toValue", {
      get: function() {
        return this.useValue;
      },
      enumerable: true,
      configurable: true
    });
    return Binding;
  }(Provider));
  exports.Binding = Binding;
  function bind(token) {
    return new ProviderBuilder(token);
  }
  exports.bind = bind;
  var ProviderBuilder = (function() {
    function ProviderBuilder(token) {
      this.token = token;
    }
    ProviderBuilder.prototype.toClass = function(type) {
      if (!lang_1.isType(type)) {
        throw new exceptions_1.BaseException("Trying to create a class provider but \"" + lang_1.stringify(type) + "\" is not a class!");
      }
      return new Provider(this.token, {useClass: type});
    };
    ProviderBuilder.prototype.toValue = function(value) {
      return new Provider(this.token, {useValue: value});
    };
    ProviderBuilder.prototype.toAlias = function(aliasToken) {
      if (lang_1.isBlank(aliasToken)) {
        throw new exceptions_1.BaseException("Can not alias " + lang_1.stringify(this.token) + " to a blank value!");
      }
      return new Provider(this.token, {useExisting: aliasToken});
    };
    ProviderBuilder.prototype.toFactory = function(factory, dependencies) {
      if (!lang_1.isFunction(factory)) {
        throw new exceptions_1.BaseException("Trying to create a factory provider but \"" + lang_1.stringify(factory) + "\" is not a function!");
      }
      return new Provider(this.token, {
        useFactory: factory,
        deps: dependencies
      });
    };
    return ProviderBuilder;
  }());
  exports.ProviderBuilder = ProviderBuilder;
  function provide(token, _a) {
    var useClass = _a.useClass,
        useValue = _a.useValue,
        useExisting = _a.useExisting,
        useFactory = _a.useFactory,
        deps = _a.deps,
        multi = _a.multi;
    return new Provider(token, {
      useClass: useClass,
      useValue: useValue,
      useExisting: useExisting,
      useFactory: useFactory,
      deps: deps,
      multi: multi
    });
  }
  exports.provide = provide;
  return module.exports;
});

System.registerDynamic("@angular/core/src/di/provider_util.js", ["./provider"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var provider_1 = $__require('./provider');
  function isProviderLiteral(obj) {
    return obj && typeof obj == 'object' && obj.provide;
  }
  exports.isProviderLiteral = isProviderLiteral;
  function createProvider(obj) {
    return new provider_1.Provider(obj.provide, obj);
  }
  exports.createProvider = createProvider;
  return module.exports;
});

System.registerDynamic("@angular/core/src/di/reflective_provider.js", ["../facade/lang", "../facade/collection", "../reflection/reflection", "./reflective_key", "./metadata", "./reflective_exceptions", "./forward_ref", "./provider", "./provider_util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('../facade/lang');
  var collection_1 = $__require('../facade/collection');
  var reflection_1 = $__require('../reflection/reflection');
  var reflective_key_1 = $__require('./reflective_key');
  var metadata_1 = $__require('./metadata');
  var reflective_exceptions_1 = $__require('./reflective_exceptions');
  var forward_ref_1 = $__require('./forward_ref');
  var provider_1 = $__require('./provider');
  var provider_util_1 = $__require('./provider_util');
  var ReflectiveDependency = (function() {
    function ReflectiveDependency(key, optional, lowerBoundVisibility, upperBoundVisibility, properties) {
      this.key = key;
      this.optional = optional;
      this.lowerBoundVisibility = lowerBoundVisibility;
      this.upperBoundVisibility = upperBoundVisibility;
      this.properties = properties;
    }
    ReflectiveDependency.fromKey = function(key) {
      return new ReflectiveDependency(key, false, null, null, []);
    };
    return ReflectiveDependency;
  }());
  exports.ReflectiveDependency = ReflectiveDependency;
  var _EMPTY_LIST = [];
  var ResolvedReflectiveProvider_ = (function() {
    function ResolvedReflectiveProvider_(key, resolvedFactories, multiProvider) {
      this.key = key;
      this.resolvedFactories = resolvedFactories;
      this.multiProvider = multiProvider;
    }
    Object.defineProperty(ResolvedReflectiveProvider_.prototype, "resolvedFactory", {
      get: function() {
        return this.resolvedFactories[0];
      },
      enumerable: true,
      configurable: true
    });
    return ResolvedReflectiveProvider_;
  }());
  exports.ResolvedReflectiveProvider_ = ResolvedReflectiveProvider_;
  var ResolvedReflectiveFactory = (function() {
    function ResolvedReflectiveFactory(factory, dependencies) {
      this.factory = factory;
      this.dependencies = dependencies;
    }
    return ResolvedReflectiveFactory;
  }());
  exports.ResolvedReflectiveFactory = ResolvedReflectiveFactory;
  function resolveReflectiveFactory(provider) {
    var factoryFn;
    var resolvedDeps;
    if (lang_1.isPresent(provider.useClass)) {
      var useClass = forward_ref_1.resolveForwardRef(provider.useClass);
      factoryFn = reflection_1.reflector.factory(useClass);
      resolvedDeps = _dependenciesFor(useClass);
    } else if (lang_1.isPresent(provider.useExisting)) {
      factoryFn = function(aliasInstance) {
        return aliasInstance;
      };
      resolvedDeps = [ReflectiveDependency.fromKey(reflective_key_1.ReflectiveKey.get(provider.useExisting))];
    } else if (lang_1.isPresent(provider.useFactory)) {
      factoryFn = provider.useFactory;
      resolvedDeps = constructDependencies(provider.useFactory, provider.dependencies);
    } else {
      factoryFn = function() {
        return provider.useValue;
      };
      resolvedDeps = _EMPTY_LIST;
    }
    return new ResolvedReflectiveFactory(factoryFn, resolvedDeps);
  }
  exports.resolveReflectiveFactory = resolveReflectiveFactory;
  function resolveReflectiveProvider(provider) {
    return new ResolvedReflectiveProvider_(reflective_key_1.ReflectiveKey.get(provider.token), [resolveReflectiveFactory(provider)], provider.multi);
  }
  exports.resolveReflectiveProvider = resolveReflectiveProvider;
  function resolveReflectiveProviders(providers) {
    var normalized = _normalizeProviders(providers, []);
    var resolved = normalized.map(resolveReflectiveProvider);
    return collection_1.MapWrapper.values(mergeResolvedReflectiveProviders(resolved, new Map()));
  }
  exports.resolveReflectiveProviders = resolveReflectiveProviders;
  function mergeResolvedReflectiveProviders(providers, normalizedProvidersMap) {
    for (var i = 0; i < providers.length; i++) {
      var provider = providers[i];
      var existing = normalizedProvidersMap.get(provider.key.id);
      if (lang_1.isPresent(existing)) {
        if (provider.multiProvider !== existing.multiProvider) {
          throw new reflective_exceptions_1.MixingMultiProvidersWithRegularProvidersError(existing, provider);
        }
        if (provider.multiProvider) {
          for (var j = 0; j < provider.resolvedFactories.length; j++) {
            existing.resolvedFactories.push(provider.resolvedFactories[j]);
          }
        } else {
          normalizedProvidersMap.set(provider.key.id, provider);
        }
      } else {
        var resolvedProvider;
        if (provider.multiProvider) {
          resolvedProvider = new ResolvedReflectiveProvider_(provider.key, collection_1.ListWrapper.clone(provider.resolvedFactories), provider.multiProvider);
        } else {
          resolvedProvider = provider;
        }
        normalizedProvidersMap.set(provider.key.id, resolvedProvider);
      }
    }
    return normalizedProvidersMap;
  }
  exports.mergeResolvedReflectiveProviders = mergeResolvedReflectiveProviders;
  function _normalizeProviders(providers, res) {
    providers.forEach(function(b) {
      if (b instanceof lang_1.Type) {
        res.push(provider_1.provide(b, {useClass: b}));
      } else if (b instanceof provider_1.Provider) {
        res.push(b);
      } else if (provider_util_1.isProviderLiteral(b)) {
        res.push(provider_util_1.createProvider(b));
      } else if (b instanceof Array) {
        _normalizeProviders(b, res);
      } else if (b instanceof provider_1.ProviderBuilder) {
        throw new reflective_exceptions_1.InvalidProviderError(b.token);
      } else {
        throw new reflective_exceptions_1.InvalidProviderError(b);
      }
    });
    return res;
  }
  function constructDependencies(typeOrFunc, dependencies) {
    if (lang_1.isBlank(dependencies)) {
      return _dependenciesFor(typeOrFunc);
    } else {
      var params = dependencies.map(function(t) {
        return [t];
      });
      return dependencies.map(function(t) {
        return _extractToken(typeOrFunc, t, params);
      });
    }
  }
  exports.constructDependencies = constructDependencies;
  function _dependenciesFor(typeOrFunc) {
    var params = reflection_1.reflector.parameters(typeOrFunc);
    if (lang_1.isBlank(params))
      return [];
    if (params.some(lang_1.isBlank)) {
      throw new reflective_exceptions_1.NoAnnotationError(typeOrFunc, params);
    }
    return params.map(function(p) {
      return _extractToken(typeOrFunc, p, params);
    });
  }
  function _extractToken(typeOrFunc, metadata, params) {
    var depProps = [];
    var token = null;
    var optional = false;
    if (!lang_1.isArray(metadata)) {
      if (metadata instanceof metadata_1.InjectMetadata) {
        return _createDependency(metadata.token, optional, null, null, depProps);
      } else {
        return _createDependency(metadata, optional, null, null, depProps);
      }
    }
    var lowerBoundVisibility = null;
    var upperBoundVisibility = null;
    for (var i = 0; i < metadata.length; ++i) {
      var paramMetadata = metadata[i];
      if (paramMetadata instanceof lang_1.Type) {
        token = paramMetadata;
      } else if (paramMetadata instanceof metadata_1.InjectMetadata) {
        token = paramMetadata.token;
      } else if (paramMetadata instanceof metadata_1.OptionalMetadata) {
        optional = true;
      } else if (paramMetadata instanceof metadata_1.SelfMetadata) {
        upperBoundVisibility = paramMetadata;
      } else if (paramMetadata instanceof metadata_1.HostMetadata) {
        upperBoundVisibility = paramMetadata;
      } else if (paramMetadata instanceof metadata_1.SkipSelfMetadata) {
        lowerBoundVisibility = paramMetadata;
      } else if (paramMetadata instanceof metadata_1.DependencyMetadata) {
        if (lang_1.isPresent(paramMetadata.token)) {
          token = paramMetadata.token;
        }
        depProps.push(paramMetadata);
      }
    }
    token = forward_ref_1.resolveForwardRef(token);
    if (lang_1.isPresent(token)) {
      return _createDependency(token, optional, lowerBoundVisibility, upperBoundVisibility, depProps);
    } else {
      throw new reflective_exceptions_1.NoAnnotationError(typeOrFunc, params);
    }
  }
  function _createDependency(token, optional, lowerBoundVisibility, upperBoundVisibility, depProps) {
    return new ReflectiveDependency(reflective_key_1.ReflectiveKey.get(token), optional, lowerBoundVisibility, upperBoundVisibility, depProps);
  }
  return module.exports;
});

System.registerDynamic("@angular/core/src/di/forward_ref.js", ["../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('../facade/lang');
  function forwardRef(forwardRefFn) {
    forwardRefFn.__forward_ref__ = forwardRef;
    forwardRefFn.toString = function() {
      return lang_1.stringify(this());
    };
    return forwardRefFn;
  }
  exports.forwardRef = forwardRef;
  function resolveForwardRef(type) {
    if (lang_1.isFunction(type) && type.hasOwnProperty('__forward_ref__') && type.__forward_ref__ === forwardRef) {
      return type();
    } else {
      return type;
    }
  }
  exports.resolveForwardRef = resolveForwardRef;
  return module.exports;
});

System.registerDynamic("@angular/core/src/di/reflective_key.js", ["../facade/exceptions", "../facade/lang", "./forward_ref"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var forward_ref_1 = $__require('./forward_ref');
  var ReflectiveKey = (function() {
    function ReflectiveKey(token, id) {
      this.token = token;
      this.id = id;
      if (lang_1.isBlank(token)) {
        throw new exceptions_1.BaseException('Token must be defined!');
      }
    }
    Object.defineProperty(ReflectiveKey.prototype, "displayName", {
      get: function() {
        return lang_1.stringify(this.token);
      },
      enumerable: true,
      configurable: true
    });
    ReflectiveKey.get = function(token) {
      return _globalKeyRegistry.get(forward_ref_1.resolveForwardRef(token));
    };
    Object.defineProperty(ReflectiveKey, "numberOfKeys", {
      get: function() {
        return _globalKeyRegistry.numberOfKeys;
      },
      enumerable: true,
      configurable: true
    });
    return ReflectiveKey;
  }());
  exports.ReflectiveKey = ReflectiveKey;
  var KeyRegistry = (function() {
    function KeyRegistry() {
      this._allKeys = new Map();
    }
    KeyRegistry.prototype.get = function(token) {
      if (token instanceof ReflectiveKey)
        return token;
      if (this._allKeys.has(token)) {
        return this._allKeys.get(token);
      }
      var newKey = new ReflectiveKey(token, ReflectiveKey.numberOfKeys);
      this._allKeys.set(token, newKey);
      return newKey;
    };
    Object.defineProperty(KeyRegistry.prototype, "numberOfKeys", {
      get: function() {
        return this._allKeys.size;
      },
      enumerable: true,
      configurable: true
    });
    return KeyRegistry;
  }());
  exports.KeyRegistry = KeyRegistry;
  var _globalKeyRegistry = new KeyRegistry();
  return module.exports;
});

System.registerDynamic("@angular/core/src/di/reflective_exceptions.js", ["../facade/collection", "../facade/exceptions", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var collection_1 = $__require('../facade/collection');
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  function findFirstClosedCycle(keys) {
    var res = [];
    for (var i = 0; i < keys.length; ++i) {
      if (collection_1.ListWrapper.contains(res, keys[i])) {
        res.push(keys[i]);
        return res;
      }
      res.push(keys[i]);
    }
    return res;
  }
  function constructResolvingPath(keys) {
    if (keys.length > 1) {
      var reversed = findFirstClosedCycle(collection_1.ListWrapper.reversed(keys));
      var tokenStrs = reversed.map(function(k) {
        return lang_1.stringify(k.token);
      });
      return ' (' + tokenStrs.join(' -> ') + ')';
    }
    return '';
  }
  var AbstractProviderError = (function(_super) {
    __extends(AbstractProviderError, _super);
    function AbstractProviderError(injector, key, constructResolvingMessage) {
      _super.call(this, 'DI Exception');
      this.keys = [key];
      this.injectors = [injector];
      this.constructResolvingMessage = constructResolvingMessage;
      this.message = this.constructResolvingMessage(this.keys);
    }
    AbstractProviderError.prototype.addKey = function(injector, key) {
      this.injectors.push(injector);
      this.keys.push(key);
      this.message = this.constructResolvingMessage(this.keys);
    };
    Object.defineProperty(AbstractProviderError.prototype, "context", {
      get: function() {
        return this.injectors[this.injectors.length - 1].debugContext();
      },
      enumerable: true,
      configurable: true
    });
    return AbstractProviderError;
  }(exceptions_1.BaseException));
  exports.AbstractProviderError = AbstractProviderError;
  var NoProviderError = (function(_super) {
    __extends(NoProviderError, _super);
    function NoProviderError(injector, key) {
      _super.call(this, injector, key, function(keys) {
        var first = lang_1.stringify(collection_1.ListWrapper.first(keys).token);
        return "No provider for " + first + "!" + constructResolvingPath(keys);
      });
    }
    return NoProviderError;
  }(AbstractProviderError));
  exports.NoProviderError = NoProviderError;
  var CyclicDependencyError = (function(_super) {
    __extends(CyclicDependencyError, _super);
    function CyclicDependencyError(injector, key) {
      _super.call(this, injector, key, function(keys) {
        return "Cannot instantiate cyclic dependency!" + constructResolvingPath(keys);
      });
    }
    return CyclicDependencyError;
  }(AbstractProviderError));
  exports.CyclicDependencyError = CyclicDependencyError;
  var InstantiationError = (function(_super) {
    __extends(InstantiationError, _super);
    function InstantiationError(injector, originalException, originalStack, key) {
      _super.call(this, 'DI Exception', originalException, originalStack, null);
      this.keys = [key];
      this.injectors = [injector];
    }
    InstantiationError.prototype.addKey = function(injector, key) {
      this.injectors.push(injector);
      this.keys.push(key);
    };
    Object.defineProperty(InstantiationError.prototype, "wrapperMessage", {
      get: function() {
        var first = lang_1.stringify(collection_1.ListWrapper.first(this.keys).token);
        return "Error during instantiation of " + first + "!" + constructResolvingPath(this.keys) + ".";
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(InstantiationError.prototype, "causeKey", {
      get: function() {
        return this.keys[0];
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(InstantiationError.prototype, "context", {
      get: function() {
        return this.injectors[this.injectors.length - 1].debugContext();
      },
      enumerable: true,
      configurable: true
    });
    return InstantiationError;
  }(exceptions_1.WrappedException));
  exports.InstantiationError = InstantiationError;
  var InvalidProviderError = (function(_super) {
    __extends(InvalidProviderError, _super);
    function InvalidProviderError(provider) {
      _super.call(this, "Invalid provider - only instances of Provider and Type are allowed, got: " + provider);
    }
    return InvalidProviderError;
  }(exceptions_1.BaseException));
  exports.InvalidProviderError = InvalidProviderError;
  var NoAnnotationError = (function(_super) {
    __extends(NoAnnotationError, _super);
    function NoAnnotationError(typeOrFunc, params) {
      _super.call(this, NoAnnotationError._genMessage(typeOrFunc, params));
    }
    NoAnnotationError._genMessage = function(typeOrFunc, params) {
      var signature = [];
      for (var i = 0,
          ii = params.length; i < ii; i++) {
        var parameter = params[i];
        if (lang_1.isBlank(parameter) || parameter.length == 0) {
          signature.push('?');
        } else {
          signature.push(parameter.map(lang_1.stringify).join(' '));
        }
      }
      return 'Cannot resolve all parameters for \'' + lang_1.stringify(typeOrFunc) + '\'(' + signature.join(', ') + '). ' + 'Make sure that all the parameters are decorated with Inject or have valid type annotations and that \'' + lang_1.stringify(typeOrFunc) + '\' is decorated with Injectable.';
    };
    return NoAnnotationError;
  }(exceptions_1.BaseException));
  exports.NoAnnotationError = NoAnnotationError;
  var OutOfBoundsError = (function(_super) {
    __extends(OutOfBoundsError, _super);
    function OutOfBoundsError(index) {
      _super.call(this, "Index " + index + " is out-of-bounds.");
    }
    return OutOfBoundsError;
  }(exceptions_1.BaseException));
  exports.OutOfBoundsError = OutOfBoundsError;
  var MixingMultiProvidersWithRegularProvidersError = (function(_super) {
    __extends(MixingMultiProvidersWithRegularProvidersError, _super);
    function MixingMultiProvidersWithRegularProvidersError(provider1, provider2) {
      _super.call(this, 'Cannot mix multi providers and regular providers, got: ' + provider1.toString() + ' ' + provider2.toString());
    }
    return MixingMultiProvidersWithRegularProvidersError;
  }(exceptions_1.BaseException));
  exports.MixingMultiProvidersWithRegularProvidersError = MixingMultiProvidersWithRegularProvidersError;
  return module.exports;
});

System.registerDynamic("@angular/core/src/di/opaque_token.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var OpaqueToken = (function() {
    function OpaqueToken(_desc) {
      this._desc = _desc;
    }
    OpaqueToken.prototype.toString = function() {
      return "Token " + this._desc;
    };
    return OpaqueToken;
  }());
  exports.OpaqueToken = OpaqueToken;
  return module.exports;
});

System.registerDynamic("@angular/core/src/di.js", ["./di/metadata", "./di/decorators", "./di/forward_ref", "./di/injector", "./di/reflective_injector", "./di/provider", "./di/reflective_provider", "./di/reflective_key", "./di/reflective_exceptions", "./di/opaque_token"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  function __export(m) {
    for (var p in m)
      if (!exports.hasOwnProperty(p))
        exports[p] = m[p];
  }
  var metadata_1 = $__require('./di/metadata');
  exports.HostMetadata = metadata_1.HostMetadata;
  exports.InjectMetadata = metadata_1.InjectMetadata;
  exports.InjectableMetadata = metadata_1.InjectableMetadata;
  exports.OptionalMetadata = metadata_1.OptionalMetadata;
  exports.SelfMetadata = metadata_1.SelfMetadata;
  exports.SkipSelfMetadata = metadata_1.SkipSelfMetadata;
  __export($__require('./di/decorators'));
  var forward_ref_1 = $__require('./di/forward_ref');
  exports.forwardRef = forward_ref_1.forwardRef;
  exports.resolveForwardRef = forward_ref_1.resolveForwardRef;
  var injector_1 = $__require('./di/injector');
  exports.Injector = injector_1.Injector;
  var reflective_injector_1 = $__require('./di/reflective_injector');
  exports.ReflectiveInjector = reflective_injector_1.ReflectiveInjector;
  var provider_1 = $__require('./di/provider');
  exports.Binding = provider_1.Binding;
  exports.ProviderBuilder = provider_1.ProviderBuilder;
  exports.bind = provider_1.bind;
  exports.Provider = provider_1.Provider;
  exports.provide = provider_1.provide;
  var reflective_provider_1 = $__require('./di/reflective_provider');
  exports.ResolvedReflectiveFactory = reflective_provider_1.ResolvedReflectiveFactory;
  var reflective_key_1 = $__require('./di/reflective_key');
  exports.ReflectiveKey = reflective_key_1.ReflectiveKey;
  var reflective_exceptions_1 = $__require('./di/reflective_exceptions');
  exports.NoProviderError = reflective_exceptions_1.NoProviderError;
  exports.AbstractProviderError = reflective_exceptions_1.AbstractProviderError;
  exports.CyclicDependencyError = reflective_exceptions_1.CyclicDependencyError;
  exports.InstantiationError = reflective_exceptions_1.InstantiationError;
  exports.InvalidProviderError = reflective_exceptions_1.InvalidProviderError;
  exports.NoAnnotationError = reflective_exceptions_1.NoAnnotationError;
  exports.OutOfBoundsError = reflective_exceptions_1.OutOfBoundsError;
  var opaque_token_1 = $__require('./di/opaque_token');
  exports.OpaqueToken = opaque_token_1.OpaqueToken;
  return module.exports;
});

System.registerDynamic("@angular/core/src/change_detection/differs/keyvalue_differs.js", ["../../di", "../../facade/collection", "../../facade/exceptions", "../../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var di_1 = $__require('../../di');
  var collection_1 = $__require('../../facade/collection');
  var exceptions_1 = $__require('../../facade/exceptions');
  var lang_1 = $__require('../../facade/lang');
  var KeyValueDiffers = (function() {
    function KeyValueDiffers(factories) {
      this.factories = factories;
    }
    KeyValueDiffers.create = function(factories, parent) {
      if (lang_1.isPresent(parent)) {
        var copied = collection_1.ListWrapper.clone(parent.factories);
        factories = factories.concat(copied);
        return new KeyValueDiffers(factories);
      } else {
        return new KeyValueDiffers(factories);
      }
    };
    KeyValueDiffers.extend = function(factories) {
      return new di_1.Provider(KeyValueDiffers, {
        useFactory: function(parent) {
          if (lang_1.isBlank(parent)) {
            throw new exceptions_1.BaseException('Cannot extend KeyValueDiffers without a parent injector');
          }
          return KeyValueDiffers.create(factories, parent);
        },
        deps: [[KeyValueDiffers, new di_1.SkipSelfMetadata(), new di_1.OptionalMetadata()]]
      });
    };
    KeyValueDiffers.prototype.find = function(kv) {
      var factory = this.factories.find(function(f) {
        return f.supports(kv);
      });
      if (lang_1.isPresent(factory)) {
        return factory;
      } else {
        throw new exceptions_1.BaseException("Cannot find a differ supporting object '" + kv + "'");
      }
    };
    return KeyValueDiffers;
  }());
  exports.KeyValueDiffers = KeyValueDiffers;
  return module.exports;
});

System.registerDynamic("@angular/core/src/change_detection/change_detector_ref.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var ChangeDetectorRef = (function() {
    function ChangeDetectorRef() {}
    return ChangeDetectorRef;
  }());
  exports.ChangeDetectorRef = ChangeDetectorRef;
  return module.exports;
});

System.registerDynamic("@angular/core/src/change_detection/constants.js", ["../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('../facade/lang');
  (function(ChangeDetectionStrategy) {
    ChangeDetectionStrategy[ChangeDetectionStrategy["OnPush"] = 0] = "OnPush";
    ChangeDetectionStrategy[ChangeDetectionStrategy["Default"] = 1] = "Default";
  })(exports.ChangeDetectionStrategy || (exports.ChangeDetectionStrategy = {}));
  var ChangeDetectionStrategy = exports.ChangeDetectionStrategy;
  (function(ChangeDetectorStatus) {
    ChangeDetectorStatus[ChangeDetectorStatus["CheckOnce"] = 0] = "CheckOnce";
    ChangeDetectorStatus[ChangeDetectorStatus["Checked"] = 1] = "Checked";
    ChangeDetectorStatus[ChangeDetectorStatus["CheckAlways"] = 2] = "CheckAlways";
    ChangeDetectorStatus[ChangeDetectorStatus["Detached"] = 3] = "Detached";
    ChangeDetectorStatus[ChangeDetectorStatus["Errored"] = 4] = "Errored";
    ChangeDetectorStatus[ChangeDetectorStatus["Destroyed"] = 5] = "Destroyed";
  })(exports.ChangeDetectorStatus || (exports.ChangeDetectorStatus = {}));
  var ChangeDetectorStatus = exports.ChangeDetectorStatus;
  exports.CHANGE_DETECTION_STRATEGY_VALUES = [ChangeDetectionStrategy.OnPush, ChangeDetectionStrategy.Default];
  exports.CHANGE_DETECTOR_STATUS_VALUES = [ChangeDetectorStatus.CheckOnce, ChangeDetectorStatus.Checked, ChangeDetectorStatus.CheckAlways, ChangeDetectorStatus.Detached, ChangeDetectorStatus.Errored, ChangeDetectorStatus.Destroyed];
  function isDefaultChangeDetectionStrategy(changeDetectionStrategy) {
    return lang_1.isBlank(changeDetectionStrategy) || changeDetectionStrategy === ChangeDetectionStrategy.Default;
  }
  exports.isDefaultChangeDetectionStrategy = isDefaultChangeDetectionStrategy;
  return module.exports;
});

System.registerDynamic("@angular/core/src/change_detection/change_detection.js", ["./differs/default_iterable_differ", "./differs/default_keyvalue_differ", "./differs/iterable_differs", "./differs/keyvalue_differs", "./change_detection_util", "./change_detector_ref", "./constants"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var default_iterable_differ_1 = $__require('./differs/default_iterable_differ');
  var default_keyvalue_differ_1 = $__require('./differs/default_keyvalue_differ');
  var iterable_differs_1 = $__require('./differs/iterable_differs');
  var keyvalue_differs_1 = $__require('./differs/keyvalue_differs');
  var change_detection_util_1 = $__require('./change_detection_util');
  exports.SimpleChange = change_detection_util_1.SimpleChange;
  exports.ValueUnwrapper = change_detection_util_1.ValueUnwrapper;
  exports.WrappedValue = change_detection_util_1.WrappedValue;
  exports.devModeEqual = change_detection_util_1.devModeEqual;
  exports.looseIdentical = change_detection_util_1.looseIdentical;
  exports.uninitialized = change_detection_util_1.uninitialized;
  var change_detector_ref_1 = $__require('./change_detector_ref');
  exports.ChangeDetectorRef = change_detector_ref_1.ChangeDetectorRef;
  var constants_1 = $__require('./constants');
  exports.CHANGE_DETECTION_STRATEGY_VALUES = constants_1.CHANGE_DETECTION_STRATEGY_VALUES;
  exports.ChangeDetectionStrategy = constants_1.ChangeDetectionStrategy;
  exports.ChangeDetectorStatus = constants_1.ChangeDetectorStatus;
  exports.isDefaultChangeDetectionStrategy = constants_1.isDefaultChangeDetectionStrategy;
  var default_iterable_differ_2 = $__require('./differs/default_iterable_differ');
  exports.CollectionChangeRecord = default_iterable_differ_2.CollectionChangeRecord;
  exports.DefaultIterableDifferFactory = default_iterable_differ_2.DefaultIterableDifferFactory;
  var default_iterable_differ_3 = $__require('./differs/default_iterable_differ');
  exports.DefaultIterableDiffer = default_iterable_differ_3.DefaultIterableDiffer;
  var default_keyvalue_differ_2 = $__require('./differs/default_keyvalue_differ');
  exports.DefaultKeyValueDifferFactory = default_keyvalue_differ_2.DefaultKeyValueDifferFactory;
  exports.KeyValueChangeRecord = default_keyvalue_differ_2.KeyValueChangeRecord;
  var iterable_differs_2 = $__require('./differs/iterable_differs');
  exports.IterableDiffers = iterable_differs_2.IterableDiffers;
  var keyvalue_differs_2 = $__require('./differs/keyvalue_differs');
  exports.KeyValueDiffers = keyvalue_differs_2.KeyValueDiffers;
  exports.keyValDiff = [new default_keyvalue_differ_1.DefaultKeyValueDifferFactory()];
  exports.iterableDiff = [new default_iterable_differ_1.DefaultIterableDifferFactory()];
  exports.defaultIterableDiffers = new iterable_differs_1.IterableDiffers(exports.iterableDiff);
  exports.defaultKeyValueDiffers = new keyvalue_differs_1.KeyValueDiffers(exports.keyValDiff);
  return module.exports;
});

System.registerDynamic("@angular/core/src/change_detection/change_detection_util.js", ["../facade/collection", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var collection_1 = $__require('../facade/collection');
  var lang_1 = $__require('../facade/lang');
  var lang_2 = $__require('../facade/lang');
  exports.looseIdentical = lang_2.looseIdentical;
  exports.uninitialized = new Object();
  function devModeEqual(a, b) {
    if (collection_1.isListLikeIterable(a) && collection_1.isListLikeIterable(b)) {
      return collection_1.areIterablesEqual(a, b, devModeEqual);
    } else if (!collection_1.isListLikeIterable(a) && !lang_1.isPrimitive(a) && !collection_1.isListLikeIterable(b) && !lang_1.isPrimitive(b)) {
      return true;
    } else {
      return lang_1.looseIdentical(a, b);
    }
  }
  exports.devModeEqual = devModeEqual;
  var WrappedValue = (function() {
    function WrappedValue(wrapped) {
      this.wrapped = wrapped;
    }
    WrappedValue.wrap = function(value) {
      return new WrappedValue(value);
    };
    return WrappedValue;
  }());
  exports.WrappedValue = WrappedValue;
  var ValueUnwrapper = (function() {
    function ValueUnwrapper() {
      this.hasWrappedValue = false;
    }
    ValueUnwrapper.prototype.unwrap = function(value) {
      if (value instanceof WrappedValue) {
        this.hasWrappedValue = true;
        return value.wrapped;
      }
      return value;
    };
    ValueUnwrapper.prototype.reset = function() {
      this.hasWrappedValue = false;
    };
    return ValueUnwrapper;
  }());
  exports.ValueUnwrapper = ValueUnwrapper;
  var SimpleChange = (function() {
    function SimpleChange(previousValue, currentValue) {
      this.previousValue = previousValue;
      this.currentValue = currentValue;
    }
    SimpleChange.prototype.isFirstChange = function() {
      return this.previousValue === exports.uninitialized;
    };
    return SimpleChange;
  }());
  exports.SimpleChange = SimpleChange;
  return module.exports;
});

System.registerDynamic("@angular/core/src/di/metadata.js", ["../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('../facade/lang');
  var InjectMetadata = (function() {
    function InjectMetadata(token) {
      this.token = token;
    }
    InjectMetadata.prototype.toString = function() {
      return "@Inject(" + lang_1.stringify(this.token) + ")";
    };
    return InjectMetadata;
  }());
  exports.InjectMetadata = InjectMetadata;
  var OptionalMetadata = (function() {
    function OptionalMetadata() {}
    OptionalMetadata.prototype.toString = function() {
      return "@Optional()";
    };
    return OptionalMetadata;
  }());
  exports.OptionalMetadata = OptionalMetadata;
  var DependencyMetadata = (function() {
    function DependencyMetadata() {}
    Object.defineProperty(DependencyMetadata.prototype, "token", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    return DependencyMetadata;
  }());
  exports.DependencyMetadata = DependencyMetadata;
  var InjectableMetadata = (function() {
    function InjectableMetadata() {}
    return InjectableMetadata;
  }());
  exports.InjectableMetadata = InjectableMetadata;
  var SelfMetadata = (function() {
    function SelfMetadata() {}
    SelfMetadata.prototype.toString = function() {
      return "@Self()";
    };
    return SelfMetadata;
  }());
  exports.SelfMetadata = SelfMetadata;
  var SkipSelfMetadata = (function() {
    function SkipSelfMetadata() {}
    SkipSelfMetadata.prototype.toString = function() {
      return "@SkipSelf()";
    };
    return SkipSelfMetadata;
  }());
  exports.SkipSelfMetadata = SkipSelfMetadata;
  var HostMetadata = (function() {
    function HostMetadata() {}
    HostMetadata.prototype.toString = function() {
      return "@Host()";
    };
    return HostMetadata;
  }());
  exports.HostMetadata = HostMetadata;
  return module.exports;
});

System.registerDynamic("@angular/core/src/di/decorators.js", ["../util/decorators", "./metadata"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var decorators_1 = $__require('../util/decorators');
  var metadata_1 = $__require('./metadata');
  exports.Inject = decorators_1.makeParamDecorator(metadata_1.InjectMetadata);
  exports.Optional = decorators_1.makeParamDecorator(metadata_1.OptionalMetadata);
  exports.Injectable = decorators_1.makeDecorator(metadata_1.InjectableMetadata);
  exports.Self = decorators_1.makeParamDecorator(metadata_1.SelfMetadata);
  exports.Host = decorators_1.makeParamDecorator(metadata_1.HostMetadata);
  exports.SkipSelf = decorators_1.makeParamDecorator(metadata_1.SkipSelfMetadata);
  return module.exports;
});

System.registerDynamic("@angular/core/src/linker/element_ref.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var ElementRef = (function() {
    function ElementRef(nativeElement) {
      this.nativeElement = nativeElement;
    }
    return ElementRef;
  }());
  exports.ElementRef = ElementRef;
  return module.exports;
});

System.registerDynamic("@angular/core/src/profile/wtf_impl.js", ["../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('../facade/lang');
  var trace;
  var events;
  function detectWTF() {
    var wtf = lang_1.global['wtf'];
    if (wtf) {
      trace = wtf['trace'];
      if (trace) {
        events = trace['events'];
        return true;
      }
    }
    return false;
  }
  exports.detectWTF = detectWTF;
  function createScope(signature, flags) {
    if (flags === void 0) {
      flags = null;
    }
    return events.createScope(signature, flags);
  }
  exports.createScope = createScope;
  function leave(scope, returnValue) {
    trace.leaveScope(scope, returnValue);
    return returnValue;
  }
  exports.leave = leave;
  function startTimeRange(rangeType, action) {
    return trace.beginTimeRange(rangeType, action);
  }
  exports.startTimeRange = startTimeRange;
  function endTimeRange(range) {
    trace.endTimeRange(range);
  }
  exports.endTimeRange = endTimeRange;
  return module.exports;
});

System.registerDynamic("@angular/core/src/profile/profile.js", ["./wtf_impl"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var wtf_impl_1 = $__require('./wtf_impl');
  exports.wtfEnabled = wtf_impl_1.detectWTF();
  function noopScope(arg0, arg1) {
    return null;
  }
  exports.wtfCreateScope = exports.wtfEnabled ? wtf_impl_1.createScope : function(signature, flags) {
    return noopScope;
  };
  exports.wtfLeave = exports.wtfEnabled ? wtf_impl_1.leave : function(s, r) {
    return r;
  };
  exports.wtfStartTimeRange = exports.wtfEnabled ? wtf_impl_1.startTimeRange : function(rangeType, action) {
    return null;
  };
  exports.wtfEndTimeRange = exports.wtfEnabled ? wtf_impl_1.endTimeRange : function(r) {
    return null;
  };
  return module.exports;
});

System.registerDynamic("@angular/core/src/linker/view_container_ref.js", ["../facade/collection", "../facade/exceptions", "../facade/lang", "../profile/profile"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var collection_1 = $__require('../facade/collection');
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var profile_1 = $__require('../profile/profile');
  var ViewContainerRef = (function() {
    function ViewContainerRef() {}
    Object.defineProperty(ViewContainerRef.prototype, "element", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ViewContainerRef.prototype, "injector", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ViewContainerRef.prototype, "parentInjector", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ViewContainerRef.prototype, "length", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    ;
    return ViewContainerRef;
  }());
  exports.ViewContainerRef = ViewContainerRef;
  var ViewContainerRef_ = (function() {
    function ViewContainerRef_(_element) {
      this._element = _element;
      this._createComponentInContainerScope = profile_1.wtfCreateScope('ViewContainerRef#createComponent()');
      this._insertScope = profile_1.wtfCreateScope('ViewContainerRef#insert()');
      this._removeScope = profile_1.wtfCreateScope('ViewContainerRef#remove()');
      this._detachScope = profile_1.wtfCreateScope('ViewContainerRef#detach()');
    }
    ViewContainerRef_.prototype.get = function(index) {
      return this._element.nestedViews[index].ref;
    };
    Object.defineProperty(ViewContainerRef_.prototype, "length", {
      get: function() {
        var views = this._element.nestedViews;
        return lang_1.isPresent(views) ? views.length : 0;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ViewContainerRef_.prototype, "element", {
      get: function() {
        return this._element.elementRef;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ViewContainerRef_.prototype, "injector", {
      get: function() {
        return this._element.injector;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ViewContainerRef_.prototype, "parentInjector", {
      get: function() {
        return this._element.parentInjector;
      },
      enumerable: true,
      configurable: true
    });
    ViewContainerRef_.prototype.createEmbeddedView = function(templateRef, context, index) {
      if (context === void 0) {
        context = null;
      }
      if (index === void 0) {
        index = -1;
      }
      var viewRef = templateRef.createEmbeddedView(context);
      this.insert(viewRef, index);
      return viewRef;
    };
    ViewContainerRef_.prototype.createComponent = function(componentFactory, index, injector, projectableNodes) {
      if (index === void 0) {
        index = -1;
      }
      if (injector === void 0) {
        injector = null;
      }
      if (projectableNodes === void 0) {
        projectableNodes = null;
      }
      var s = this._createComponentInContainerScope();
      var contextInjector = lang_1.isPresent(injector) ? injector : this._element.parentInjector;
      var componentRef = componentFactory.create(contextInjector, projectableNodes);
      this.insert(componentRef.hostView, index);
      return profile_1.wtfLeave(s, componentRef);
    };
    ViewContainerRef_.prototype.insert = function(viewRef, index) {
      if (index === void 0) {
        index = -1;
      }
      var s = this._insertScope();
      if (index == -1)
        index = this.length;
      var viewRef_ = viewRef;
      this._element.attachView(viewRef_.internalView, index);
      return profile_1.wtfLeave(s, viewRef_);
    };
    ViewContainerRef_.prototype.indexOf = function(viewRef) {
      return collection_1.ListWrapper.indexOf(this._element.nestedViews, viewRef.internalView);
    };
    ViewContainerRef_.prototype.remove = function(index) {
      if (index === void 0) {
        index = -1;
      }
      var s = this._removeScope();
      if (index == -1)
        index = this.length - 1;
      var view = this._element.detachView(index);
      view.destroy();
      profile_1.wtfLeave(s);
    };
    ViewContainerRef_.prototype.detach = function(index) {
      if (index === void 0) {
        index = -1;
      }
      var s = this._detachScope();
      if (index == -1)
        index = this.length - 1;
      var view = this._element.detachView(index);
      return profile_1.wtfLeave(s, view.ref);
    };
    ViewContainerRef_.prototype.clear = function() {
      for (var i = this.length - 1; i >= 0; i--) {
        this.remove(i);
      }
    };
    return ViewContainerRef_;
  }());
  exports.ViewContainerRef_ = ViewContainerRef_;
  return module.exports;
});

System.registerDynamic("@angular/core/src/linker/view_type.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  (function(ViewType) {
    ViewType[ViewType["HOST"] = 0] = "HOST";
    ViewType[ViewType["COMPONENT"] = 1] = "COMPONENT";
    ViewType[ViewType["EMBEDDED"] = 2] = "EMBEDDED";
  })(exports.ViewType || (exports.ViewType = {}));
  var ViewType = exports.ViewType;
  return module.exports;
});

System.registerDynamic("@angular/core/src/linker/element.js", ["../facade/collection", "../facade/exceptions", "../facade/lang", "./element_ref", "./view_container_ref", "./view_type"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var collection_1 = $__require('../facade/collection');
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var element_ref_1 = $__require('./element_ref');
  var view_container_ref_1 = $__require('./view_container_ref');
  var view_type_1 = $__require('./view_type');
  var AppElement = (function() {
    function AppElement(index, parentIndex, parentView, nativeElement) {
      this.index = index;
      this.parentIndex = parentIndex;
      this.parentView = parentView;
      this.nativeElement = nativeElement;
      this.nestedViews = null;
      this.componentView = null;
    }
    Object.defineProperty(AppElement.prototype, "elementRef", {
      get: function() {
        return new element_ref_1.ElementRef(this.nativeElement);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AppElement.prototype, "vcRef", {
      get: function() {
        return new view_container_ref_1.ViewContainerRef_(this);
      },
      enumerable: true,
      configurable: true
    });
    AppElement.prototype.initComponent = function(component, componentConstructorViewQueries, view) {
      this.component = component;
      this.componentConstructorViewQueries = componentConstructorViewQueries;
      this.componentView = view;
    };
    Object.defineProperty(AppElement.prototype, "parentInjector", {
      get: function() {
        return this.parentView.injector(this.parentIndex);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AppElement.prototype, "injector", {
      get: function() {
        return this.parentView.injector(this.index);
      },
      enumerable: true,
      configurable: true
    });
    AppElement.prototype.mapNestedViews = function(nestedViewClass, callback) {
      var result = [];
      if (lang_1.isPresent(this.nestedViews)) {
        this.nestedViews.forEach(function(nestedView) {
          if (nestedView.clazz === nestedViewClass) {
            result.push(callback(nestedView));
          }
        });
      }
      return result;
    };
    AppElement.prototype.attachView = function(view, viewIndex) {
      if (view.type === view_type_1.ViewType.COMPONENT) {
        throw new exceptions_1.BaseException("Component views can't be moved!");
      }
      var nestedViews = this.nestedViews;
      if (nestedViews == null) {
        nestedViews = [];
        this.nestedViews = nestedViews;
      }
      collection_1.ListWrapper.insert(nestedViews, viewIndex, view);
      var refRenderNode;
      if (viewIndex > 0) {
        var prevView = nestedViews[viewIndex - 1];
        refRenderNode = prevView.lastRootNode;
      } else {
        refRenderNode = this.nativeElement;
      }
      if (lang_1.isPresent(refRenderNode)) {
        view.renderer.attachViewAfter(refRenderNode, view.flatRootNodes);
      }
      view.addToContentChildren(this);
    };
    AppElement.prototype.detachView = function(viewIndex) {
      var view = collection_1.ListWrapper.removeAt(this.nestedViews, viewIndex);
      if (view.type === view_type_1.ViewType.COMPONENT) {
        throw new exceptions_1.BaseException("Component views can't be moved!");
      }
      view.detach();
      view.removeFromContentChildren(this);
      return view;
    };
    return AppElement;
  }());
  exports.AppElement = AppElement;
  return module.exports;
});

System.registerDynamic("@angular/core/src/linker/exceptions.js", ["../facade/exceptions"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var exceptions_1 = $__require('../facade/exceptions');
  var ExpressionChangedAfterItHasBeenCheckedException = (function(_super) {
    __extends(ExpressionChangedAfterItHasBeenCheckedException, _super);
    function ExpressionChangedAfterItHasBeenCheckedException(oldValue, currValue, context) {
      _super.call(this, "Expression has changed after it was checked. " + ("Previous value: '" + oldValue + "'. Current value: '" + currValue + "'"));
    }
    return ExpressionChangedAfterItHasBeenCheckedException;
  }(exceptions_1.BaseException));
  exports.ExpressionChangedAfterItHasBeenCheckedException = ExpressionChangedAfterItHasBeenCheckedException;
  var ViewWrappedException = (function(_super) {
    __extends(ViewWrappedException, _super);
    function ViewWrappedException(originalException, originalStack, context) {
      _super.call(this, "Error in " + context.source, originalException, originalStack, context);
    }
    return ViewWrappedException;
  }(exceptions_1.WrappedException));
  exports.ViewWrappedException = ViewWrappedException;
  var ViewDestroyedException = (function(_super) {
    __extends(ViewDestroyedException, _super);
    function ViewDestroyedException(details) {
      _super.call(this, "Attempt to use a destroyed view: " + details);
    }
    return ViewDestroyedException;
  }(exceptions_1.BaseException));
  exports.ViewDestroyedException = ViewDestroyedException;
  return module.exports;
});

System.registerDynamic("@angular/core/src/linker/view_utils.js", ["../application_tokens", "../change_detection/change_detection", "../change_detection/change_detection_util", "../di/decorators", "../facade/collection", "../facade/exceptions", "../facade/lang", "../render/api", "../security", "./element", "./exceptions"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var application_tokens_1 = $__require('../application_tokens');
  var change_detection_1 = $__require('../change_detection/change_detection');
  var change_detection_util_1 = $__require('../change_detection/change_detection_util');
  var decorators_1 = $__require('../di/decorators');
  var collection_1 = $__require('../facade/collection');
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var api_1 = $__require('../render/api');
  var security_1 = $__require('../security');
  var element_1 = $__require('./element');
  var exceptions_2 = $__require('./exceptions');
  var ViewUtils = (function() {
    function ViewUtils(_renderer, _appId, sanitizer) {
      this._renderer = _renderer;
      this._appId = _appId;
      this._nextCompTypeId = 0;
      this.sanitizer = sanitizer;
    }
    ViewUtils.prototype.createRenderComponentType = function(templateUrl, slotCount, encapsulation, styles) {
      return new api_1.RenderComponentType(this._appId + "-" + this._nextCompTypeId++, templateUrl, slotCount, encapsulation, styles);
    };
    ViewUtils.prototype.renderComponent = function(renderComponentType) {
      return this._renderer.renderComponent(renderComponentType);
    };
    ViewUtils.decorators = [{type: decorators_1.Injectable}];
    ViewUtils.ctorParameters = [{type: api_1.RootRenderer}, {
      type: undefined,
      decorators: [{
        type: decorators_1.Inject,
        args: [application_tokens_1.APP_ID]
      }]
    }, {type: security_1.SanitizationService}];
    return ViewUtils;
  }());
  exports.ViewUtils = ViewUtils;
  function flattenNestedViewRenderNodes(nodes) {
    return _flattenNestedViewRenderNodes(nodes, []);
  }
  exports.flattenNestedViewRenderNodes = flattenNestedViewRenderNodes;
  function _flattenNestedViewRenderNodes(nodes, renderNodes) {
    for (var i = 0; i < nodes.length; i++) {
      var node = nodes[i];
      if (node instanceof element_1.AppElement) {
        var appEl = node;
        renderNodes.push(appEl.nativeElement);
        if (lang_1.isPresent(appEl.nestedViews)) {
          for (var k = 0; k < appEl.nestedViews.length; k++) {
            _flattenNestedViewRenderNodes(appEl.nestedViews[k].rootNodesOrAppElements, renderNodes);
          }
        }
      } else {
        renderNodes.push(node);
      }
    }
    return renderNodes;
  }
  var EMPTY_ARR = [];
  function ensureSlotCount(projectableNodes, expectedSlotCount) {
    var res;
    if (lang_1.isBlank(projectableNodes)) {
      res = EMPTY_ARR;
    } else if (projectableNodes.length < expectedSlotCount) {
      var givenSlotCount = projectableNodes.length;
      res = collection_1.ListWrapper.createFixedSize(expectedSlotCount);
      for (var i = 0; i < expectedSlotCount; i++) {
        res[i] = (i < givenSlotCount) ? projectableNodes[i] : EMPTY_ARR;
      }
    } else {
      res = projectableNodes;
    }
    return res;
  }
  exports.ensureSlotCount = ensureSlotCount;
  exports.MAX_INTERPOLATION_VALUES = 9;
  function interpolate(valueCount, c0, a1, c1, a2, c2, a3, c3, a4, c4, a5, c5, a6, c6, a7, c7, a8, c8, a9, c9) {
    switch (valueCount) {
      case 1:
        return c0 + _toStringWithNull(a1) + c1;
      case 2:
        return c0 + _toStringWithNull(a1) + c1 + _toStringWithNull(a2) + c2;
      case 3:
        return c0 + _toStringWithNull(a1) + c1 + _toStringWithNull(a2) + c2 + _toStringWithNull(a3) + c3;
      case 4:
        return c0 + _toStringWithNull(a1) + c1 + _toStringWithNull(a2) + c2 + _toStringWithNull(a3) + c3 + _toStringWithNull(a4) + c4;
      case 5:
        return c0 + _toStringWithNull(a1) + c1 + _toStringWithNull(a2) + c2 + _toStringWithNull(a3) + c3 + _toStringWithNull(a4) + c4 + _toStringWithNull(a5) + c5;
      case 6:
        return c0 + _toStringWithNull(a1) + c1 + _toStringWithNull(a2) + c2 + _toStringWithNull(a3) + c3 + _toStringWithNull(a4) + c4 + _toStringWithNull(a5) + c5 + _toStringWithNull(a6) + c6;
      case 7:
        return c0 + _toStringWithNull(a1) + c1 + _toStringWithNull(a2) + c2 + _toStringWithNull(a3) + c3 + _toStringWithNull(a4) + c4 + _toStringWithNull(a5) + c5 + _toStringWithNull(a6) + c6 + _toStringWithNull(a7) + c7;
      case 8:
        return c0 + _toStringWithNull(a1) + c1 + _toStringWithNull(a2) + c2 + _toStringWithNull(a3) + c3 + _toStringWithNull(a4) + c4 + _toStringWithNull(a5) + c5 + _toStringWithNull(a6) + c6 + _toStringWithNull(a7) + c7 + _toStringWithNull(a8) + c8;
      case 9:
        return c0 + _toStringWithNull(a1) + c1 + _toStringWithNull(a2) + c2 + _toStringWithNull(a3) + c3 + _toStringWithNull(a4) + c4 + _toStringWithNull(a5) + c5 + _toStringWithNull(a6) + c6 + _toStringWithNull(a7) + c7 + _toStringWithNull(a8) + c8 + _toStringWithNull(a9) + c9;
      default:
        throw new exceptions_1.BaseException("Does not support more than 9 expressions");
    }
  }
  exports.interpolate = interpolate;
  function _toStringWithNull(v) {
    return v != null ? v.toString() : '';
  }
  function checkBinding(throwOnChange, oldValue, newValue) {
    if (throwOnChange) {
      if (!change_detection_1.devModeEqual(oldValue, newValue)) {
        throw new exceptions_2.ExpressionChangedAfterItHasBeenCheckedException(oldValue, newValue, null);
      }
      return false;
    } else {
      return !lang_1.looseIdentical(oldValue, newValue);
    }
  }
  exports.checkBinding = checkBinding;
  function arrayLooseIdentical(a, b) {
    if (a.length != b.length)
      return false;
    for (var i = 0; i < a.length; ++i) {
      if (!lang_1.looseIdentical(a[i], b[i]))
        return false;
    }
    return true;
  }
  exports.arrayLooseIdentical = arrayLooseIdentical;
  function mapLooseIdentical(m1, m2) {
    var k1 = collection_1.StringMapWrapper.keys(m1);
    var k2 = collection_1.StringMapWrapper.keys(m2);
    if (k1.length != k2.length) {
      return false;
    }
    var key;
    for (var i = 0; i < k1.length; i++) {
      key = k1[i];
      if (!lang_1.looseIdentical(m1[key], m2[key])) {
        return false;
      }
    }
    return true;
  }
  exports.mapLooseIdentical = mapLooseIdentical;
  function castByValue(input, value) {
    return input;
  }
  exports.castByValue = castByValue;
  exports.EMPTY_ARRAY = [];
  exports.EMPTY_MAP = {};
  function pureProxy1(fn) {
    var result;
    var v0;
    v0 = change_detection_util_1.uninitialized;
    return function(p0) {
      if (!lang_1.looseIdentical(v0, p0)) {
        v0 = p0;
        result = fn(p0);
      }
      return result;
    };
  }
  exports.pureProxy1 = pureProxy1;
  function pureProxy2(fn) {
    var result;
    var v0,
        v1;
    v0 = v1 = change_detection_util_1.uninitialized;
    return function(p0, p1) {
      if (!lang_1.looseIdentical(v0, p0) || !lang_1.looseIdentical(v1, p1)) {
        v0 = p0;
        v1 = p1;
        result = fn(p0, p1);
      }
      return result;
    };
  }
  exports.pureProxy2 = pureProxy2;
  function pureProxy3(fn) {
    var result;
    var v0,
        v1,
        v2;
    v0 = v1 = v2 = change_detection_util_1.uninitialized;
    return function(p0, p1, p2) {
      if (!lang_1.looseIdentical(v0, p0) || !lang_1.looseIdentical(v1, p1) || !lang_1.looseIdentical(v2, p2)) {
        v0 = p0;
        v1 = p1;
        v2 = p2;
        result = fn(p0, p1, p2);
      }
      return result;
    };
  }
  exports.pureProxy3 = pureProxy3;
  function pureProxy4(fn) {
    var result;
    var v0,
        v1,
        v2,
        v3;
    v0 = v1 = v2 = v3 = change_detection_util_1.uninitialized;
    return function(p0, p1, p2, p3) {
      if (!lang_1.looseIdentical(v0, p0) || !lang_1.looseIdentical(v1, p1) || !lang_1.looseIdentical(v2, p2) || !lang_1.looseIdentical(v3, p3)) {
        v0 = p0;
        v1 = p1;
        v2 = p2;
        v3 = p3;
        result = fn(p0, p1, p2, p3);
      }
      return result;
    };
  }
  exports.pureProxy4 = pureProxy4;
  function pureProxy5(fn) {
    var result;
    var v0,
        v1,
        v2,
        v3,
        v4;
    v0 = v1 = v2 = v3 = v4 = change_detection_util_1.uninitialized;
    return function(p0, p1, p2, p3, p4) {
      if (!lang_1.looseIdentical(v0, p0) || !lang_1.looseIdentical(v1, p1) || !lang_1.looseIdentical(v2, p2) || !lang_1.looseIdentical(v3, p3) || !lang_1.looseIdentical(v4, p4)) {
        v0 = p0;
        v1 = p1;
        v2 = p2;
        v3 = p3;
        v4 = p4;
        result = fn(p0, p1, p2, p3, p4);
      }
      return result;
    };
  }
  exports.pureProxy5 = pureProxy5;
  function pureProxy6(fn) {
    var result;
    var v0,
        v1,
        v2,
        v3,
        v4,
        v5;
    v0 = v1 = v2 = v3 = v4 = v5 = change_detection_util_1.uninitialized;
    return function(p0, p1, p2, p3, p4, p5) {
      if (!lang_1.looseIdentical(v0, p0) || !lang_1.looseIdentical(v1, p1) || !lang_1.looseIdentical(v2, p2) || !lang_1.looseIdentical(v3, p3) || !lang_1.looseIdentical(v4, p4) || !lang_1.looseIdentical(v5, p5)) {
        v0 = p0;
        v1 = p1;
        v2 = p2;
        v3 = p3;
        v4 = p4;
        v5 = p5;
        result = fn(p0, p1, p2, p3, p4, p5);
      }
      return result;
    };
  }
  exports.pureProxy6 = pureProxy6;
  function pureProxy7(fn) {
    var result;
    var v0,
        v1,
        v2,
        v3,
        v4,
        v5,
        v6;
    v0 = v1 = v2 = v3 = v4 = v5 = v6 = change_detection_util_1.uninitialized;
    return function(p0, p1, p2, p3, p4, p5, p6) {
      if (!lang_1.looseIdentical(v0, p0) || !lang_1.looseIdentical(v1, p1) || !lang_1.looseIdentical(v2, p2) || !lang_1.looseIdentical(v3, p3) || !lang_1.looseIdentical(v4, p4) || !lang_1.looseIdentical(v5, p5) || !lang_1.looseIdentical(v6, p6)) {
        v0 = p0;
        v1 = p1;
        v2 = p2;
        v3 = p3;
        v4 = p4;
        v5 = p5;
        v6 = p6;
        result = fn(p0, p1, p2, p3, p4, p5, p6);
      }
      return result;
    };
  }
  exports.pureProxy7 = pureProxy7;
  function pureProxy8(fn) {
    var result;
    var v0,
        v1,
        v2,
        v3,
        v4,
        v5,
        v6,
        v7;
    v0 = v1 = v2 = v3 = v4 = v5 = v6 = v7 = change_detection_util_1.uninitialized;
    return function(p0, p1, p2, p3, p4, p5, p6, p7) {
      if (!lang_1.looseIdentical(v0, p0) || !lang_1.looseIdentical(v1, p1) || !lang_1.looseIdentical(v2, p2) || !lang_1.looseIdentical(v3, p3) || !lang_1.looseIdentical(v4, p4) || !lang_1.looseIdentical(v5, p5) || !lang_1.looseIdentical(v6, p6) || !lang_1.looseIdentical(v7, p7)) {
        v0 = p0;
        v1 = p1;
        v2 = p2;
        v3 = p3;
        v4 = p4;
        v5 = p5;
        v6 = p6;
        v7 = p7;
        result = fn(p0, p1, p2, p3, p4, p5, p6, p7);
      }
      return result;
    };
  }
  exports.pureProxy8 = pureProxy8;
  function pureProxy9(fn) {
    var result;
    var v0,
        v1,
        v2,
        v3,
        v4,
        v5,
        v6,
        v7,
        v8;
    v0 = v1 = v2 = v3 = v4 = v5 = v6 = v7 = v8 = change_detection_util_1.uninitialized;
    return function(p0, p1, p2, p3, p4, p5, p6, p7, p8) {
      if (!lang_1.looseIdentical(v0, p0) || !lang_1.looseIdentical(v1, p1) || !lang_1.looseIdentical(v2, p2) || !lang_1.looseIdentical(v3, p3) || !lang_1.looseIdentical(v4, p4) || !lang_1.looseIdentical(v5, p5) || !lang_1.looseIdentical(v6, p6) || !lang_1.looseIdentical(v7, p7) || !lang_1.looseIdentical(v8, p8)) {
        v0 = p0;
        v1 = p1;
        v2 = p2;
        v3 = p3;
        v4 = p4;
        v5 = p5;
        v6 = p6;
        v7 = p7;
        v8 = p8;
        result = fn(p0, p1, p2, p3, p4, p5, p6, p7, p8);
      }
      return result;
    };
  }
  exports.pureProxy9 = pureProxy9;
  function pureProxy10(fn) {
    var result;
    var v0,
        v1,
        v2,
        v3,
        v4,
        v5,
        v6,
        v7,
        v8,
        v9;
    v0 = v1 = v2 = v3 = v4 = v5 = v6 = v7 = v8 = v9 = change_detection_util_1.uninitialized;
    return function(p0, p1, p2, p3, p4, p5, p6, p7, p8, p9) {
      if (!lang_1.looseIdentical(v0, p0) || !lang_1.looseIdentical(v1, p1) || !lang_1.looseIdentical(v2, p2) || !lang_1.looseIdentical(v3, p3) || !lang_1.looseIdentical(v4, p4) || !lang_1.looseIdentical(v5, p5) || !lang_1.looseIdentical(v6, p6) || !lang_1.looseIdentical(v7, p7) || !lang_1.looseIdentical(v8, p8) || !lang_1.looseIdentical(v9, p9)) {
        v0 = p0;
        v1 = p1;
        v2 = p2;
        v3 = p3;
        v4 = p4;
        v5 = p5;
        v6 = p6;
        v7 = p7;
        v8 = p8;
        v9 = p9;
        result = fn(p0, p1, p2, p3, p4, p5, p6, p7, p8, p9);
      }
      return result;
    };
  }
  exports.pureProxy10 = pureProxy10;
  return module.exports;
});

System.registerDynamic("@angular/core/src/metadata/lifecycle_hooks.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  (function(LifecycleHooks) {
    LifecycleHooks[LifecycleHooks["OnInit"] = 0] = "OnInit";
    LifecycleHooks[LifecycleHooks["OnDestroy"] = 1] = "OnDestroy";
    LifecycleHooks[LifecycleHooks["DoCheck"] = 2] = "DoCheck";
    LifecycleHooks[LifecycleHooks["OnChanges"] = 3] = "OnChanges";
    LifecycleHooks[LifecycleHooks["AfterContentInit"] = 4] = "AfterContentInit";
    LifecycleHooks[LifecycleHooks["AfterContentChecked"] = 5] = "AfterContentChecked";
    LifecycleHooks[LifecycleHooks["AfterViewInit"] = 6] = "AfterViewInit";
    LifecycleHooks[LifecycleHooks["AfterViewChecked"] = 7] = "AfterViewChecked";
  })(exports.LifecycleHooks || (exports.LifecycleHooks = {}));
  var LifecycleHooks = exports.LifecycleHooks;
  exports.LIFECYCLE_HOOKS_VALUES = [LifecycleHooks.OnInit, LifecycleHooks.OnDestroy, LifecycleHooks.DoCheck, LifecycleHooks.OnChanges, LifecycleHooks.AfterContentInit, LifecycleHooks.AfterContentChecked, LifecycleHooks.AfterViewInit, LifecycleHooks.AfterViewChecked];
  var OnChanges = (function() {
    function OnChanges() {}
    return OnChanges;
  }());
  exports.OnChanges = OnChanges;
  var OnInit = (function() {
    function OnInit() {}
    return OnInit;
  }());
  exports.OnInit = OnInit;
  var DoCheck = (function() {
    function DoCheck() {}
    return DoCheck;
  }());
  exports.DoCheck = DoCheck;
  var OnDestroy = (function() {
    function OnDestroy() {}
    return OnDestroy;
  }());
  exports.OnDestroy = OnDestroy;
  var AfterContentInit = (function() {
    function AfterContentInit() {}
    return AfterContentInit;
  }());
  exports.AfterContentInit = AfterContentInit;
  var AfterContentChecked = (function() {
    function AfterContentChecked() {}
    return AfterContentChecked;
  }());
  exports.AfterContentChecked = AfterContentChecked;
  var AfterViewInit = (function() {
    function AfterViewInit() {}
    return AfterViewInit;
  }());
  exports.AfterViewInit = AfterViewInit;
  var AfterViewChecked = (function() {
    function AfterViewChecked() {}
    return AfterViewChecked;
  }());
  exports.AfterViewChecked = AfterViewChecked;
  return module.exports;
});

System.registerDynamic("@angular/core/src/metadata/view.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  (function(ViewEncapsulation) {
    ViewEncapsulation[ViewEncapsulation["Emulated"] = 0] = "Emulated";
    ViewEncapsulation[ViewEncapsulation["Native"] = 1] = "Native";
    ViewEncapsulation[ViewEncapsulation["None"] = 2] = "None";
  })(exports.ViewEncapsulation || (exports.ViewEncapsulation = {}));
  var ViewEncapsulation = exports.ViewEncapsulation;
  exports.VIEW_ENCAPSULATION_VALUES = [ViewEncapsulation.Emulated, ViewEncapsulation.Native, ViewEncapsulation.None];
  var ViewMetadata = (function() {
    function ViewMetadata(_a) {
      var _b = _a === void 0 ? {} : _a,
          templateUrl = _b.templateUrl,
          template = _b.template,
          directives = _b.directives,
          pipes = _b.pipes,
          encapsulation = _b.encapsulation,
          styles = _b.styles,
          styleUrls = _b.styleUrls,
          animations = _b.animations,
          interpolation = _b.interpolation;
      this.templateUrl = templateUrl;
      this.template = template;
      this.styleUrls = styleUrls;
      this.styles = styles;
      this.directives = directives;
      this.pipes = pipes;
      this.encapsulation = encapsulation;
      this.animations = animations;
      this.interpolation = interpolation;
    }
    return ViewMetadata;
  }());
  exports.ViewMetadata = ViewMetadata;
  return module.exports;
});

System.registerDynamic("@angular/core/src/profile/wtf_init.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  function wtfInit() {}
  exports.wtfInit = wtfInit;
  return module.exports;
});

System.registerDynamic("@angular/core/src/reflection/reflector.js", ["../facade/collection", "../facade/exceptions", "../facade/lang", "./reflector_reader"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var collection_1 = $__require('../facade/collection');
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var reflector_reader_1 = $__require('./reflector_reader');
  var ReflectionInfo = (function() {
    function ReflectionInfo(annotations, parameters, factory, interfaces, propMetadata) {
      this.annotations = annotations;
      this.parameters = parameters;
      this.factory = factory;
      this.interfaces = interfaces;
      this.propMetadata = propMetadata;
    }
    return ReflectionInfo;
  }());
  exports.ReflectionInfo = ReflectionInfo;
  var Reflector = (function(_super) {
    __extends(Reflector, _super);
    function Reflector(reflectionCapabilities) {
      _super.call(this);
      this._injectableInfo = new collection_1.Map();
      this._getters = new collection_1.Map();
      this._setters = new collection_1.Map();
      this._methods = new collection_1.Map();
      this._usedKeys = null;
      this.reflectionCapabilities = reflectionCapabilities;
    }
    Reflector.prototype.updateCapabilities = function(caps) {
      this.reflectionCapabilities = caps;
    };
    Reflector.prototype.isReflectionEnabled = function() {
      return this.reflectionCapabilities.isReflectionEnabled();
    };
    Reflector.prototype.trackUsage = function() {
      this._usedKeys = new collection_1.Set();
    };
    Reflector.prototype.listUnusedKeys = function() {
      var _this = this;
      if (this._usedKeys == null) {
        throw new exceptions_1.BaseException('Usage tracking is disabled');
      }
      var allTypes = collection_1.MapWrapper.keys(this._injectableInfo);
      return allTypes.filter(function(key) {
        return !collection_1.SetWrapper.has(_this._usedKeys, key);
      });
    };
    Reflector.prototype.registerFunction = function(func, funcInfo) {
      this._injectableInfo.set(func, funcInfo);
    };
    Reflector.prototype.registerType = function(type, typeInfo) {
      this._injectableInfo.set(type, typeInfo);
    };
    Reflector.prototype.registerGetters = function(getters) {
      _mergeMaps(this._getters, getters);
    };
    Reflector.prototype.registerSetters = function(setters) {
      _mergeMaps(this._setters, setters);
    };
    Reflector.prototype.registerMethods = function(methods) {
      _mergeMaps(this._methods, methods);
    };
    Reflector.prototype.factory = function(type) {
      if (this._containsReflectionInfo(type)) {
        var res = this._getReflectionInfo(type).factory;
        return lang_1.isPresent(res) ? res : null;
      } else {
        return this.reflectionCapabilities.factory(type);
      }
    };
    Reflector.prototype.parameters = function(typeOrFunc) {
      if (this._injectableInfo.has(typeOrFunc)) {
        var res = this._getReflectionInfo(typeOrFunc).parameters;
        return lang_1.isPresent(res) ? res : [];
      } else {
        return this.reflectionCapabilities.parameters(typeOrFunc);
      }
    };
    Reflector.prototype.annotations = function(typeOrFunc) {
      if (this._injectableInfo.has(typeOrFunc)) {
        var res = this._getReflectionInfo(typeOrFunc).annotations;
        return lang_1.isPresent(res) ? res : [];
      } else {
        return this.reflectionCapabilities.annotations(typeOrFunc);
      }
    };
    Reflector.prototype.propMetadata = function(typeOrFunc) {
      if (this._injectableInfo.has(typeOrFunc)) {
        var res = this._getReflectionInfo(typeOrFunc).propMetadata;
        return lang_1.isPresent(res) ? res : {};
      } else {
        return this.reflectionCapabilities.propMetadata(typeOrFunc);
      }
    };
    Reflector.prototype.interfaces = function(type) {
      if (this._injectableInfo.has(type)) {
        var res = this._getReflectionInfo(type).interfaces;
        return lang_1.isPresent(res) ? res : [];
      } else {
        return this.reflectionCapabilities.interfaces(type);
      }
    };
    Reflector.prototype.hasLifecycleHook = function(type, lcInterface, lcProperty) {
      var interfaces = this.interfaces(type);
      if (interfaces.indexOf(lcInterface) !== -1) {
        return true;
      } else {
        return this.reflectionCapabilities.hasLifecycleHook(type, lcInterface, lcProperty);
      }
    };
    Reflector.prototype.getter = function(name) {
      if (this._getters.has(name)) {
        return this._getters.get(name);
      } else {
        return this.reflectionCapabilities.getter(name);
      }
    };
    Reflector.prototype.setter = function(name) {
      if (this._setters.has(name)) {
        return this._setters.get(name);
      } else {
        return this.reflectionCapabilities.setter(name);
      }
    };
    Reflector.prototype.method = function(name) {
      if (this._methods.has(name)) {
        return this._methods.get(name);
      } else {
        return this.reflectionCapabilities.method(name);
      }
    };
    Reflector.prototype._getReflectionInfo = function(typeOrFunc) {
      if (lang_1.isPresent(this._usedKeys)) {
        this._usedKeys.add(typeOrFunc);
      }
      return this._injectableInfo.get(typeOrFunc);
    };
    Reflector.prototype._containsReflectionInfo = function(typeOrFunc) {
      return this._injectableInfo.has(typeOrFunc);
    };
    Reflector.prototype.importUri = function(type) {
      return this.reflectionCapabilities.importUri(type);
    };
    return Reflector;
  }(reflector_reader_1.ReflectorReader));
  exports.Reflector = Reflector;
  function _mergeMaps(target, config) {
    collection_1.StringMapWrapper.forEach(config, function(v, k) {
      return target.set(k, v);
    });
  }
  return module.exports;
});

System.registerDynamic("@angular/core/src/reflection/reflection.js", ["./reflection_capabilities", "./reflector"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var reflection_capabilities_1 = $__require('./reflection_capabilities');
  var reflector_1 = $__require('./reflector');
  var reflector_2 = $__require('./reflector');
  exports.ReflectionInfo = reflector_2.ReflectionInfo;
  exports.Reflector = reflector_2.Reflector;
  exports.reflector = new reflector_1.Reflector(new reflection_capabilities_1.ReflectionCapabilities());
  return module.exports;
});

System.registerDynamic("@angular/core/src/reflection/reflection_capabilities.js", ["../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('../facade/lang');
  var ReflectionCapabilities = (function() {
    function ReflectionCapabilities(reflect) {
      this._reflect = lang_1.isPresent(reflect) ? reflect : lang_1.global.Reflect;
    }
    ReflectionCapabilities.prototype.isReflectionEnabled = function() {
      return true;
    };
    ReflectionCapabilities.prototype.factory = function(t) {
      switch (t.length) {
        case 0:
          return function() {
            return new t();
          };
        case 1:
          return function(a1) {
            return new t(a1);
          };
        case 2:
          return function(a1, a2) {
            return new t(a1, a2);
          };
        case 3:
          return function(a1, a2, a3) {
            return new t(a1, a2, a3);
          };
        case 4:
          return function(a1, a2, a3, a4) {
            return new t(a1, a2, a3, a4);
          };
        case 5:
          return function(a1, a2, a3, a4, a5) {
            return new t(a1, a2, a3, a4, a5);
          };
        case 6:
          return function(a1, a2, a3, a4, a5, a6) {
            return new t(a1, a2, a3, a4, a5, a6);
          };
        case 7:
          return function(a1, a2, a3, a4, a5, a6, a7) {
            return new t(a1, a2, a3, a4, a5, a6, a7);
          };
        case 8:
          return function(a1, a2, a3, a4, a5, a6, a7, a8) {
            return new t(a1, a2, a3, a4, a5, a6, a7, a8);
          };
        case 9:
          return function(a1, a2, a3, a4, a5, a6, a7, a8, a9) {
            return new t(a1, a2, a3, a4, a5, a6, a7, a8, a9);
          };
        case 10:
          return function(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10) {
            return new t(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10);
          };
        case 11:
          return function(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11) {
            return new t(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11);
          };
        case 12:
          return function(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12) {
            return new t(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12);
          };
        case 13:
          return function(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13) {
            return new t(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13);
          };
        case 14:
          return function(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13, a14) {
            return new t(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13, a14);
          };
        case 15:
          return function(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13, a14, a15) {
            return new t(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13, a14, a15);
          };
        case 16:
          return function(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13, a14, a15, a16) {
            return new t(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13, a14, a15, a16);
          };
        case 17:
          return function(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13, a14, a15, a16, a17) {
            return new t(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13, a14, a15, a16, a17);
          };
        case 18:
          return function(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13, a14, a15, a16, a17, a18) {
            return new t(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13, a14, a15, a16, a17, a18);
          };
        case 19:
          return function(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13, a14, a15, a16, a17, a18, a19) {
            return new t(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13, a14, a15, a16, a17, a18, a19);
          };
        case 20:
          return function(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13, a14, a15, a16, a17, a18, a19, a20) {
            return new t(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13, a14, a15, a16, a17, a18, a19, a20);
          };
      }
      ;
      throw new Error("Cannot create a factory for '" + lang_1.stringify(t) + "' because its constructor has more than 20 arguments");
    };
    ReflectionCapabilities.prototype._zipTypesAndAnnotations = function(paramTypes, paramAnnotations) {
      var result;
      if (typeof paramTypes === 'undefined') {
        result = new Array(paramAnnotations.length);
      } else {
        result = new Array(paramTypes.length);
      }
      for (var i = 0; i < result.length; i++) {
        if (typeof paramTypes === 'undefined') {
          result[i] = [];
        } else if (paramTypes[i] != Object) {
          result[i] = [paramTypes[i]];
        } else {
          result[i] = [];
        }
        if (lang_1.isPresent(paramAnnotations) && lang_1.isPresent(paramAnnotations[i])) {
          result[i] = result[i].concat(paramAnnotations[i]);
        }
      }
      return result;
    };
    ReflectionCapabilities.prototype.parameters = function(typeOrFunc) {
      if (lang_1.isPresent(typeOrFunc.parameters)) {
        return typeOrFunc.parameters;
      }
      if (lang_1.isPresent(typeOrFunc.ctorParameters)) {
        var ctorParameters = typeOrFunc.ctorParameters;
        var paramTypes_1 = ctorParameters.map(function(ctorParam) {
          return ctorParam && ctorParam.type;
        });
        var paramAnnotations_1 = ctorParameters.map(function(ctorParam) {
          return ctorParam && convertTsickleDecoratorIntoMetadata(ctorParam.decorators);
        });
        return this._zipTypesAndAnnotations(paramTypes_1, paramAnnotations_1);
      }
      if (lang_1.isPresent(this._reflect) && lang_1.isPresent(this._reflect.getMetadata)) {
        var paramAnnotations = this._reflect.getMetadata('parameters', typeOrFunc);
        var paramTypes = this._reflect.getMetadata('design:paramtypes', typeOrFunc);
        if (lang_1.isPresent(paramTypes) || lang_1.isPresent(paramAnnotations)) {
          return this._zipTypesAndAnnotations(paramTypes, paramAnnotations);
        }
      }
      var parameters = new Array(typeOrFunc.length);
      parameters.fill(undefined);
      return parameters;
    };
    ReflectionCapabilities.prototype.annotations = function(typeOrFunc) {
      if (lang_1.isPresent(typeOrFunc.annotations)) {
        var annotations = typeOrFunc.annotations;
        if (lang_1.isFunction(annotations) && annotations.annotations) {
          annotations = annotations.annotations;
        }
        return annotations;
      }
      if (lang_1.isPresent(typeOrFunc.decorators)) {
        return convertTsickleDecoratorIntoMetadata(typeOrFunc.decorators);
      }
      if (lang_1.isPresent(this._reflect) && lang_1.isPresent(this._reflect.getMetadata)) {
        var annotations = this._reflect.getMetadata('annotations', typeOrFunc);
        if (lang_1.isPresent(annotations))
          return annotations;
      }
      return [];
    };
    ReflectionCapabilities.prototype.propMetadata = function(typeOrFunc) {
      if (lang_1.isPresent(typeOrFunc.propMetadata)) {
        var propMetadata = typeOrFunc.propMetadata;
        if (lang_1.isFunction(propMetadata) && propMetadata.propMetadata) {
          propMetadata = propMetadata.propMetadata;
        }
        return propMetadata;
      }
      if (lang_1.isPresent(typeOrFunc.propDecorators)) {
        var propDecorators_1 = typeOrFunc.propDecorators;
        var propMetadata_1 = {};
        Object.keys(propDecorators_1).forEach(function(prop) {
          propMetadata_1[prop] = convertTsickleDecoratorIntoMetadata(propDecorators_1[prop]);
        });
        return propMetadata_1;
      }
      if (lang_1.isPresent(this._reflect) && lang_1.isPresent(this._reflect.getMetadata)) {
        var propMetadata = this._reflect.getMetadata('propMetadata', typeOrFunc);
        if (lang_1.isPresent(propMetadata))
          return propMetadata;
      }
      return {};
    };
    ReflectionCapabilities.prototype.interfaces = function(type) {
      return [];
    };
    ReflectionCapabilities.prototype.hasLifecycleHook = function(type, lcInterface, lcProperty) {
      if (!(type instanceof lang_1.Type))
        return false;
      var proto = type.prototype;
      return !!proto[lcProperty];
    };
    ReflectionCapabilities.prototype.getter = function(name) {
      return new Function('o', 'return o.' + name + ';');
    };
    ReflectionCapabilities.prototype.setter = function(name) {
      return new Function('o', 'v', 'return o.' + name + ' = v;');
    };
    ReflectionCapabilities.prototype.method = function(name) {
      var functionBody = "if (!o." + name + ") throw new Error('\"" + name + "\" is undefined');\n        return o." + name + ".apply(o, args);";
      return new Function('o', 'args', functionBody);
    };
    ReflectionCapabilities.prototype.importUri = function(type) {
      if (typeof type === 'object' && type['filePath']) {
        return type['filePath'];
      }
      return "./" + lang_1.stringify(type);
    };
    return ReflectionCapabilities;
  }());
  exports.ReflectionCapabilities = ReflectionCapabilities;
  function convertTsickleDecoratorIntoMetadata(decoratorInvocations) {
    if (!decoratorInvocations) {
      return [];
    }
    return decoratorInvocations.map(function(decoratorInvocation) {
      var decoratorType = decoratorInvocation.type;
      var annotationCls = decoratorType.annotationCls;
      var annotationArgs = decoratorInvocation.args ? decoratorInvocation.args : [];
      var annotation = Object.create(annotationCls.prototype);
      annotationCls.apply(annotation, annotationArgs);
      return annotation;
    });
  }
  return module.exports;
});

System.registerDynamic("@angular/core/src/reflection/reflector_reader.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var ReflectorReader = (function() {
    function ReflectorReader() {}
    return ReflectorReader;
  }());
  exports.ReflectorReader = ReflectorReader;
  return module.exports;
});

System.registerDynamic("@angular/core/src/render/api.js", ["../facade/exceptions"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var exceptions_1 = $__require('../facade/exceptions');
  var RenderComponentType = (function() {
    function RenderComponentType(id, templateUrl, slotCount, encapsulation, styles) {
      this.id = id;
      this.templateUrl = templateUrl;
      this.slotCount = slotCount;
      this.encapsulation = encapsulation;
      this.styles = styles;
    }
    return RenderComponentType;
  }());
  exports.RenderComponentType = RenderComponentType;
  var RenderDebugInfo = (function() {
    function RenderDebugInfo() {}
    Object.defineProperty(RenderDebugInfo.prototype, "injector", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(RenderDebugInfo.prototype, "component", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(RenderDebugInfo.prototype, "providerTokens", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(RenderDebugInfo.prototype, "references", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(RenderDebugInfo.prototype, "context", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(RenderDebugInfo.prototype, "source", {
      get: function() {
        return exceptions_1.unimplemented();
      },
      enumerable: true,
      configurable: true
    });
    return RenderDebugInfo;
  }());
  exports.RenderDebugInfo = RenderDebugInfo;
  var Renderer = (function() {
    function Renderer() {}
    return Renderer;
  }());
  exports.Renderer = Renderer;
  var RootRenderer = (function() {
    function RootRenderer() {}
    return RootRenderer;
  }());
  exports.RootRenderer = RootRenderer;
  return module.exports;
});

System.registerDynamic("@angular/core/src/security.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  (function(SecurityContext) {
    SecurityContext[SecurityContext["NONE"] = 0] = "NONE";
    SecurityContext[SecurityContext["HTML"] = 1] = "HTML";
    SecurityContext[SecurityContext["STYLE"] = 2] = "STYLE";
    SecurityContext[SecurityContext["SCRIPT"] = 3] = "SCRIPT";
    SecurityContext[SecurityContext["URL"] = 4] = "URL";
    SecurityContext[SecurityContext["RESOURCE_URL"] = 5] = "RESOURCE_URL";
  })(exports.SecurityContext || (exports.SecurityContext = {}));
  var SecurityContext = exports.SecurityContext;
  var SanitizationService = (function() {
    function SanitizationService() {}
    return SanitizationService;
  }());
  exports.SanitizationService = SanitizationService;
  return module.exports;
});

System.registerDynamic("@angular/core/src/util/decorators.js", ["../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('../facade/lang');
  var _nextClassId = 0;
  function extractAnnotation(annotation) {
    if (lang_1.isFunction(annotation) && annotation.hasOwnProperty('annotation')) {
      annotation = annotation.annotation;
    }
    return annotation;
  }
  function applyParams(fnOrArray, key) {
    if (fnOrArray === Object || fnOrArray === String || fnOrArray === Function || fnOrArray === Number || fnOrArray === Array) {
      throw new Error("Can not use native " + lang_1.stringify(fnOrArray) + " as constructor");
    }
    if (lang_1.isFunction(fnOrArray)) {
      return fnOrArray;
    } else if (fnOrArray instanceof Array) {
      var annotations = fnOrArray;
      var fn = fnOrArray[fnOrArray.length - 1];
      if (!lang_1.isFunction(fn)) {
        throw new Error("Last position of Class method array must be Function in key " + key + " was '" + lang_1.stringify(fn) + "'");
      }
      var annoLength = annotations.length - 1;
      if (annoLength != fn.length) {
        throw new Error("Number of annotations (" + annoLength + ") does not match number of arguments (" + fn.length + ") in the function: " + lang_1.stringify(fn));
      }
      var paramsAnnotations = [];
      for (var i = 0,
          ii = annotations.length - 1; i < ii; i++) {
        var paramAnnotations = [];
        paramsAnnotations.push(paramAnnotations);
        var annotation = annotations[i];
        if (annotation instanceof Array) {
          for (var j = 0; j < annotation.length; j++) {
            paramAnnotations.push(extractAnnotation(annotation[j]));
          }
        } else if (lang_1.isFunction(annotation)) {
          paramAnnotations.push(extractAnnotation(annotation));
        } else {
          paramAnnotations.push(annotation);
        }
      }
      Reflect.defineMetadata('parameters', paramsAnnotations, fn);
      return fn;
    } else {
      throw new Error("Only Function or Array is supported in Class definition for key '" + key + "' is '" + lang_1.stringify(fnOrArray) + "'");
    }
  }
  function Class(clsDef) {
    var constructor = applyParams(clsDef.hasOwnProperty('constructor') ? clsDef.constructor : undefined, 'constructor');
    var proto = constructor.prototype;
    if (clsDef.hasOwnProperty('extends')) {
      if (lang_1.isFunction(clsDef.extends)) {
        constructor.prototype = proto = Object.create(clsDef.extends.prototype);
      } else {
        throw new Error("Class definition 'extends' property must be a constructor function was: " + lang_1.stringify(clsDef.extends));
      }
    }
    for (var key in clsDef) {
      if (key != 'extends' && key != 'prototype' && clsDef.hasOwnProperty(key)) {
        proto[key] = applyParams(clsDef[key], key);
      }
    }
    if (this && this.annotations instanceof Array) {
      Reflect.defineMetadata('annotations', this.annotations, constructor);
    }
    if (!constructor['name']) {
      constructor['overriddenName'] = "class" + _nextClassId++;
    }
    return constructor;
  }
  exports.Class = Class;
  var Reflect = lang_1.global.Reflect;
  (function checkReflect() {
    if (!(Reflect && Reflect.getMetadata)) {
      throw 'reflect-metadata shim is required when using class decorators';
    }
  })();
  function makeDecorator(annotationCls, chainFn) {
    if (chainFn === void 0) {
      chainFn = null;
    }
    function DecoratorFactory(objOrType) {
      var annotationInstance = new annotationCls(objOrType);
      if (this instanceof annotationCls) {
        return annotationInstance;
      } else {
        var chainAnnotation = lang_1.isFunction(this) && this.annotations instanceof Array ? this.annotations : [];
        chainAnnotation.push(annotationInstance);
        var TypeDecorator = function TypeDecorator(cls) {
          var annotations = Reflect.getOwnMetadata('annotations', cls);
          annotations = annotations || [];
          annotations.push(annotationInstance);
          Reflect.defineMetadata('annotations', annotations, cls);
          return cls;
        };
        TypeDecorator.annotations = chainAnnotation;
        TypeDecorator.Class = Class;
        if (chainFn)
          chainFn(TypeDecorator);
        return TypeDecorator;
      }
    }
    DecoratorFactory.prototype = Object.create(annotationCls.prototype);
    DecoratorFactory.annotationCls = annotationCls;
    return DecoratorFactory;
  }
  exports.makeDecorator = makeDecorator;
  function makeParamDecorator(annotationCls) {
    function ParamDecoratorFactory() {
      var args = [];
      for (var _i = 0; _i < arguments.length; _i++) {
        args[_i - 0] = arguments[_i];
      }
      var annotationInstance = Object.create(annotationCls.prototype);
      annotationCls.apply(annotationInstance, args);
      if (this instanceof annotationCls) {
        return annotationInstance;
      } else {
        ParamDecorator.annotation = annotationInstance;
        return ParamDecorator;
      }
      function ParamDecorator(cls, unusedKey, index) {
        var parameters = Reflect.getMetadata('parameters', cls);
        parameters = parameters || [];
        while (parameters.length <= index) {
          parameters.push(null);
        }
        parameters[index] = parameters[index] || [];
        var annotationsForParam = parameters[index];
        annotationsForParam.push(annotationInstance);
        Reflect.defineMetadata('parameters', parameters, cls);
        return cls;
      }
    }
    ParamDecoratorFactory.prototype = Object.create(annotationCls.prototype);
    ParamDecoratorFactory.annotationCls = annotationCls;
    return ParamDecoratorFactory;
  }
  exports.makeParamDecorator = makeParamDecorator;
  function makePropDecorator(annotationCls) {
    function PropDecoratorFactory() {
      var args = [];
      for (var _i = 0; _i < arguments.length; _i++) {
        args[_i - 0] = arguments[_i];
      }
      var decoratorInstance = Object.create(annotationCls.prototype);
      annotationCls.apply(decoratorInstance, args);
      if (this instanceof annotationCls) {
        return decoratorInstance;
      } else {
        return function PropDecorator(target, name) {
          var meta = Reflect.getOwnMetadata('propMetadata', target.constructor);
          meta = meta || {};
          meta[name] = meta[name] || [];
          meta[name].unshift(decoratorInstance);
          Reflect.defineMetadata('propMetadata', meta, target.constructor);
        };
      }
    }
    PropDecoratorFactory.prototype = Object.create(annotationCls.prototype);
    PropDecoratorFactory.annotationCls = annotationCls;
    return PropDecoratorFactory;
  }
  exports.makePropDecorator = makePropDecorator;
  return module.exports;
});

System.registerDynamic("@angular/core/private_export.js", ["./src/animation/animation_constants", "./src/animation/animation_driver", "./src/animation/animation_group_player", "./src/animation/animation_keyframe", "./src/animation/animation_player", "./src/animation/animation_sequence_player", "./src/animation/animation_style_util", "./src/animation/animation_styles", "./src/change_detection/change_detection_util", "./src/change_detection/constants", "./src/console", "./src/debug/debug_renderer", "./src/di/provider_util", "./src/di/reflective_provider", "./src/linker/component_factory_resolver", "./src/linker/component_resolver", "./src/linker/debug_context", "./src/linker/element", "./src/linker/template_ref", "./src/linker/view", "./src/linker/view_type", "./src/linker/view_utils", "./src/metadata/lifecycle_hooks", "./src/metadata/view", "./src/profile/wtf_init", "./src/reflection/reflection", "./src/reflection/reflection_capabilities", "./src/reflection/reflector_reader", "./src/render/api", "./src/security", "./src/util/decorators"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var animation_constants_1 = $__require('./src/animation/animation_constants');
  var animation_driver_1 = $__require('./src/animation/animation_driver');
  var animation_group_player_1 = $__require('./src/animation/animation_group_player');
  var animation_keyframe_1 = $__require('./src/animation/animation_keyframe');
  var animation_player_1 = $__require('./src/animation/animation_player');
  var animation_sequence_player_1 = $__require('./src/animation/animation_sequence_player');
  var animationUtils = $__require('./src/animation/animation_style_util');
  var animation_styles_1 = $__require('./src/animation/animation_styles');
  var change_detection_util = $__require('./src/change_detection/change_detection_util');
  var constants = $__require('./src/change_detection/constants');
  var console = $__require('./src/console');
  var debug = $__require('./src/debug/debug_renderer');
  var provider_util = $__require('./src/di/provider_util');
  var reflective_provider = $__require('./src/di/reflective_provider');
  var component_factory_resolver = $__require('./src/linker/component_factory_resolver');
  var component_resolver = $__require('./src/linker/component_resolver');
  var debug_context = $__require('./src/linker/debug_context');
  var element = $__require('./src/linker/element');
  var template_ref = $__require('./src/linker/template_ref');
  var view = $__require('./src/linker/view');
  var view_type = $__require('./src/linker/view_type');
  var view_utils = $__require('./src/linker/view_utils');
  var lifecycle_hooks = $__require('./src/metadata/lifecycle_hooks');
  var metadata_view = $__require('./src/metadata/view');
  var wtf_init = $__require('./src/profile/wtf_init');
  var reflection = $__require('./src/reflection/reflection');
  var reflection_capabilities = $__require('./src/reflection/reflection_capabilities');
  var reflector_reader = $__require('./src/reflection/reflector_reader');
  var api = $__require('./src/render/api');
  var security = $__require('./src/security');
  var decorators = $__require('./src/util/decorators');
  exports.__core_private__ = {
    isDefaultChangeDetectionStrategy: constants.isDefaultChangeDetectionStrategy,
    ChangeDetectorStatus: constants.ChangeDetectorStatus,
    CHANGE_DETECTION_STRATEGY_VALUES: constants.CHANGE_DETECTION_STRATEGY_VALUES,
    constructDependencies: reflective_provider.constructDependencies,
    LifecycleHooks: lifecycle_hooks.LifecycleHooks,
    LIFECYCLE_HOOKS_VALUES: lifecycle_hooks.LIFECYCLE_HOOKS_VALUES,
    ReflectorReader: reflector_reader.ReflectorReader,
    ReflectorComponentResolver: component_resolver.ReflectorComponentResolver,
    CodegenComponentFactoryResolver: component_factory_resolver.CodegenComponentFactoryResolver,
    AppElement: element.AppElement,
    AppView: view.AppView,
    DebugAppView: view.DebugAppView,
    ViewType: view_type.ViewType,
    MAX_INTERPOLATION_VALUES: view_utils.MAX_INTERPOLATION_VALUES,
    checkBinding: view_utils.checkBinding,
    flattenNestedViewRenderNodes: view_utils.flattenNestedViewRenderNodes,
    interpolate: view_utils.interpolate,
    ViewUtils: view_utils.ViewUtils,
    VIEW_ENCAPSULATION_VALUES: metadata_view.VIEW_ENCAPSULATION_VALUES,
    DebugContext: debug_context.DebugContext,
    StaticNodeDebugInfo: debug_context.StaticNodeDebugInfo,
    devModeEqual: change_detection_util.devModeEqual,
    uninitialized: change_detection_util.uninitialized,
    ValueUnwrapper: change_detection_util.ValueUnwrapper,
    RenderDebugInfo: api.RenderDebugInfo,
    SecurityContext: security.SecurityContext,
    SanitizationService: security.SanitizationService,
    TemplateRef_: template_ref.TemplateRef_,
    wtfInit: wtf_init.wtfInit,
    ReflectionCapabilities: reflection_capabilities.ReflectionCapabilities,
    makeDecorator: decorators.makeDecorator,
    DebugDomRootRenderer: debug.DebugDomRootRenderer,
    createProvider: provider_util.createProvider,
    isProviderLiteral: provider_util.isProviderLiteral,
    EMPTY_ARRAY: view_utils.EMPTY_ARRAY,
    EMPTY_MAP: view_utils.EMPTY_MAP,
    pureProxy1: view_utils.pureProxy1,
    pureProxy2: view_utils.pureProxy2,
    pureProxy3: view_utils.pureProxy3,
    pureProxy4: view_utils.pureProxy4,
    pureProxy5: view_utils.pureProxy5,
    pureProxy6: view_utils.pureProxy6,
    pureProxy7: view_utils.pureProxy7,
    pureProxy8: view_utils.pureProxy8,
    pureProxy9: view_utils.pureProxy9,
    pureProxy10: view_utils.pureProxy10,
    castByValue: view_utils.castByValue,
    Console: console.Console,
    reflector: reflection.reflector,
    Reflector: reflection.Reflector,
    NoOpAnimationPlayer: animation_player_1.NoOpAnimationPlayer,
    AnimationPlayer: animation_player_1.AnimationPlayer,
    NoOpAnimationDriver: animation_driver_1.NoOpAnimationDriver,
    AnimationDriver: animation_driver_1.AnimationDriver,
    AnimationSequencePlayer: animation_sequence_player_1.AnimationSequencePlayer,
    AnimationGroupPlayer: animation_group_player_1.AnimationGroupPlayer,
    AnimationKeyframe: animation_keyframe_1.AnimationKeyframe,
    prepareFinalAnimationStyles: animationUtils.prepareFinalAnimationStyles,
    balanceAnimationKeyframes: animationUtils.balanceAnimationKeyframes,
    flattenStyles: animationUtils.flattenStyles,
    clearStyles: animationUtils.clearStyles,
    renderStyles: animationUtils.renderStyles,
    collectAndResolveStyles: animationUtils.collectAndResolveStyles,
    AnimationStyles: animation_styles_1.AnimationStyles,
    ANY_STATE: animation_constants_1.ANY_STATE,
    DEFAULT_STATE: animation_constants_1.DEFAULT_STATE,
    EMPTY_STATE: animation_constants_1.EMPTY_STATE,
    FILL_STYLE_FLAG: animation_constants_1.FILL_STYLE_FLAG
  };
  return module.exports;
});

System.registerDynamic("@angular/core/src/animation/metadata.js", ["../facade/exceptions", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  exports.AUTO_STYLE = '*';
  var AnimationEntryMetadata = (function() {
    function AnimationEntryMetadata(name, definitions) {
      this.name = name;
      this.definitions = definitions;
    }
    return AnimationEntryMetadata;
  }());
  exports.AnimationEntryMetadata = AnimationEntryMetadata;
  var AnimationStateMetadata = (function() {
    function AnimationStateMetadata() {}
    return AnimationStateMetadata;
  }());
  exports.AnimationStateMetadata = AnimationStateMetadata;
  var AnimationStateDeclarationMetadata = (function(_super) {
    __extends(AnimationStateDeclarationMetadata, _super);
    function AnimationStateDeclarationMetadata(stateNameExpr, styles) {
      _super.call(this);
      this.stateNameExpr = stateNameExpr;
      this.styles = styles;
    }
    return AnimationStateDeclarationMetadata;
  }(AnimationStateMetadata));
  exports.AnimationStateDeclarationMetadata = AnimationStateDeclarationMetadata;
  var AnimationStateTransitionMetadata = (function(_super) {
    __extends(AnimationStateTransitionMetadata, _super);
    function AnimationStateTransitionMetadata(stateChangeExpr, steps) {
      _super.call(this);
      this.stateChangeExpr = stateChangeExpr;
      this.steps = steps;
    }
    return AnimationStateTransitionMetadata;
  }(AnimationStateMetadata));
  exports.AnimationStateTransitionMetadata = AnimationStateTransitionMetadata;
  var AnimationMetadata = (function() {
    function AnimationMetadata() {}
    return AnimationMetadata;
  }());
  exports.AnimationMetadata = AnimationMetadata;
  var AnimationKeyframesSequenceMetadata = (function(_super) {
    __extends(AnimationKeyframesSequenceMetadata, _super);
    function AnimationKeyframesSequenceMetadata(steps) {
      _super.call(this);
      this.steps = steps;
    }
    return AnimationKeyframesSequenceMetadata;
  }(AnimationMetadata));
  exports.AnimationKeyframesSequenceMetadata = AnimationKeyframesSequenceMetadata;
  var AnimationStyleMetadata = (function(_super) {
    __extends(AnimationStyleMetadata, _super);
    function AnimationStyleMetadata(styles, offset) {
      if (offset === void 0) {
        offset = null;
      }
      _super.call(this);
      this.styles = styles;
      this.offset = offset;
    }
    return AnimationStyleMetadata;
  }(AnimationMetadata));
  exports.AnimationStyleMetadata = AnimationStyleMetadata;
  var AnimationAnimateMetadata = (function(_super) {
    __extends(AnimationAnimateMetadata, _super);
    function AnimationAnimateMetadata(timings, styles) {
      _super.call(this);
      this.timings = timings;
      this.styles = styles;
    }
    return AnimationAnimateMetadata;
  }(AnimationMetadata));
  exports.AnimationAnimateMetadata = AnimationAnimateMetadata;
  var AnimationWithStepsMetadata = (function(_super) {
    __extends(AnimationWithStepsMetadata, _super);
    function AnimationWithStepsMetadata() {
      _super.call(this);
    }
    Object.defineProperty(AnimationWithStepsMetadata.prototype, "steps", {
      get: function() {
        throw new exceptions_1.BaseException('NOT IMPLEMENTED: Base Class');
      },
      enumerable: true,
      configurable: true
    });
    return AnimationWithStepsMetadata;
  }(AnimationMetadata));
  exports.AnimationWithStepsMetadata = AnimationWithStepsMetadata;
  var AnimationSequenceMetadata = (function(_super) {
    __extends(AnimationSequenceMetadata, _super);
    function AnimationSequenceMetadata(_steps) {
      _super.call(this);
      this._steps = _steps;
    }
    Object.defineProperty(AnimationSequenceMetadata.prototype, "steps", {
      get: function() {
        return this._steps;
      },
      enumerable: true,
      configurable: true
    });
    return AnimationSequenceMetadata;
  }(AnimationWithStepsMetadata));
  exports.AnimationSequenceMetadata = AnimationSequenceMetadata;
  var AnimationGroupMetadata = (function(_super) {
    __extends(AnimationGroupMetadata, _super);
    function AnimationGroupMetadata(_steps) {
      _super.call(this);
      this._steps = _steps;
    }
    Object.defineProperty(AnimationGroupMetadata.prototype, "steps", {
      get: function() {
        return this._steps;
      },
      enumerable: true,
      configurable: true
    });
    return AnimationGroupMetadata;
  }(AnimationWithStepsMetadata));
  exports.AnimationGroupMetadata = AnimationGroupMetadata;
  function animate(timing, styles) {
    if (styles === void 0) {
      styles = null;
    }
    var stylesEntry = styles;
    if (!lang_1.isPresent(stylesEntry)) {
      var EMPTY_STYLE = {};
      stylesEntry = new AnimationStyleMetadata([EMPTY_STYLE], 1);
    }
    return new AnimationAnimateMetadata(timing, stylesEntry);
  }
  exports.animate = animate;
  function group(steps) {
    return new AnimationGroupMetadata(steps);
  }
  exports.group = group;
  function sequence(steps) {
    return new AnimationSequenceMetadata(steps);
  }
  exports.sequence = sequence;
  function style(tokens) {
    var input;
    var offset = null;
    if (lang_1.isString(tokens)) {
      input = [tokens];
    } else {
      if (lang_1.isArray(tokens)) {
        input = tokens;
      } else {
        input = [tokens];
      }
      input.forEach(function(entry) {
        var entryOffset = entry['offset'];
        if (lang_1.isPresent(entryOffset)) {
          offset = offset == null ? lang_1.NumberWrapper.parseFloat(entryOffset) : offset;
        }
      });
    }
    return new AnimationStyleMetadata(input, offset);
  }
  exports.style = style;
  function state(stateNameExpr, styles) {
    return new AnimationStateDeclarationMetadata(stateNameExpr, styles);
  }
  exports.state = state;
  function keyframes(steps) {
    return new AnimationKeyframesSequenceMetadata(steps);
  }
  exports.keyframes = keyframes;
  function transition(stateChangeExpr, steps) {
    var animationData = lang_1.isArray(steps) ? new AnimationSequenceMetadata(steps) : steps;
    return new AnimationStateTransitionMetadata(stateChangeExpr, animationData);
  }
  exports.transition = transition;
  function trigger(name, animation) {
    return new AnimationEntryMetadata(name, animation);
  }
  exports.trigger = trigger;
  return module.exports;
});

System.registerDynamic("@angular/core/src/facade/base_wrapped_exception.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var BaseWrappedException = (function(_super) {
    __extends(BaseWrappedException, _super);
    function BaseWrappedException(message) {
      _super.call(this, message);
    }
    Object.defineProperty(BaseWrappedException.prototype, "wrapperMessage", {
      get: function() {
        return '';
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "wrapperStack", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "originalException", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "originalStack", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "context", {
      get: function() {
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(BaseWrappedException.prototype, "message", {
      get: function() {
        return '';
      },
      enumerable: true,
      configurable: true
    });
    return BaseWrappedException;
  }(Error));
  exports.BaseWrappedException = BaseWrappedException;
  return module.exports;
});

System.registerDynamic("@angular/core/src/facade/collection.js", ["./lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var lang_1 = $__require('./lang');
  exports.Map = lang_1.global.Map;
  exports.Set = lang_1.global.Set;
  var createMapFromPairs = (function() {
    try {
      if (new exports.Map([[1, 2]]).size === 1) {
        return function createMapFromPairs(pairs) {
          return new exports.Map(pairs);
        };
      }
    } catch (e) {}
    return function createMapAndPopulateFromPairs(pairs) {
      var map = new exports.Map();
      for (var i = 0; i < pairs.length; i++) {
        var pair = pairs[i];
        map.set(pair[0], pair[1]);
      }
      return map;
    };
  })();
  var createMapFromMap = (function() {
    try {
      if (new exports.Map(new exports.Map())) {
        return function createMapFromMap(m) {
          return new exports.Map(m);
        };
      }
    } catch (e) {}
    return function createMapAndPopulateFromMap(m) {
      var map = new exports.Map();
      m.forEach(function(v, k) {
        map.set(k, v);
      });
      return map;
    };
  })();
  var _clearValues = (function() {
    if ((new exports.Map()).keys().next) {
      return function _clearValues(m) {
        var keyIterator = m.keys();
        var k;
        while (!((k = keyIterator.next()).done)) {
          m.set(k.value, null);
        }
      };
    } else {
      return function _clearValuesWithForeEach(m) {
        m.forEach(function(v, k) {
          m.set(k, null);
        });
      };
    }
  })();
  var _arrayFromMap = (function() {
    try {
      if ((new exports.Map()).values().next) {
        return function createArrayFromMap(m, getValues) {
          return getValues ? Array.from(m.values()) : Array.from(m.keys());
        };
      }
    } catch (e) {}
    return function createArrayFromMapWithForeach(m, getValues) {
      var res = ListWrapper.createFixedSize(m.size),
          i = 0;
      m.forEach(function(v, k) {
        res[i] = getValues ? v : k;
        i++;
      });
      return res;
    };
  })();
  var MapWrapper = (function() {
    function MapWrapper() {}
    MapWrapper.clone = function(m) {
      return createMapFromMap(m);
    };
    MapWrapper.createFromStringMap = function(stringMap) {
      var result = new exports.Map();
      for (var prop in stringMap) {
        result.set(prop, stringMap[prop]);
      }
      return result;
    };
    MapWrapper.toStringMap = function(m) {
      var r = {};
      m.forEach(function(v, k) {
        return r[k] = v;
      });
      return r;
    };
    MapWrapper.createFromPairs = function(pairs) {
      return createMapFromPairs(pairs);
    };
    MapWrapper.clearValues = function(m) {
      _clearValues(m);
    };
    MapWrapper.iterable = function(m) {
      return m;
    };
    MapWrapper.keys = function(m) {
      return _arrayFromMap(m, false);
    };
    MapWrapper.values = function(m) {
      return _arrayFromMap(m, true);
    };
    return MapWrapper;
  }());
  exports.MapWrapper = MapWrapper;
  var StringMapWrapper = (function() {
    function StringMapWrapper() {}
    StringMapWrapper.create = function() {
      return {};
    };
    StringMapWrapper.contains = function(map, key) {
      return map.hasOwnProperty(key);
    };
    StringMapWrapper.get = function(map, key) {
      return map.hasOwnProperty(key) ? map[key] : undefined;
    };
    StringMapWrapper.set = function(map, key, value) {
      map[key] = value;
    };
    StringMapWrapper.keys = function(map) {
      return Object.keys(map);
    };
    StringMapWrapper.values = function(map) {
      return Object.keys(map).reduce(function(r, a) {
        r.push(map[a]);
        return r;
      }, []);
    };
    StringMapWrapper.isEmpty = function(map) {
      for (var prop in map) {
        return false;
      }
      return true;
    };
    StringMapWrapper.delete = function(map, key) {
      delete map[key];
    };
    StringMapWrapper.forEach = function(map, callback) {
      for (var prop in map) {
        if (map.hasOwnProperty(prop)) {
          callback(map[prop], prop);
        }
      }
    };
    StringMapWrapper.merge = function(m1, m2) {
      var m = {};
      for (var attr in m1) {
        if (m1.hasOwnProperty(attr)) {
          m[attr] = m1[attr];
        }
      }
      for (var attr in m2) {
        if (m2.hasOwnProperty(attr)) {
          m[attr] = m2[attr];
        }
      }
      return m;
    };
    StringMapWrapper.equals = function(m1, m2) {
      var k1 = Object.keys(m1);
      var k2 = Object.keys(m2);
      if (k1.length != k2.length) {
        return false;
      }
      var key;
      for (var i = 0; i < k1.length; i++) {
        key = k1[i];
        if (m1[key] !== m2[key]) {
          return false;
        }
      }
      return true;
    };
    return StringMapWrapper;
  }());
  exports.StringMapWrapper = StringMapWrapper;
  var ListWrapper = (function() {
    function ListWrapper() {}
    ListWrapper.createFixedSize = function(size) {
      return new Array(size);
    };
    ListWrapper.createGrowableSize = function(size) {
      return new Array(size);
    };
    ListWrapper.clone = function(array) {
      return array.slice(0);
    };
    ListWrapper.forEachWithIndex = function(array, fn) {
      for (var i = 0; i < array.length; i++) {
        fn(array[i], i);
      }
    };
    ListWrapper.first = function(array) {
      if (!array)
        return null;
      return array[0];
    };
    ListWrapper.last = function(array) {
      if (!array || array.length == 0)
        return null;
      return array[array.length - 1];
    };
    ListWrapper.indexOf = function(array, value, startIndex) {
      if (startIndex === void 0) {
        startIndex = 0;
      }
      return array.indexOf(value, startIndex);
    };
    ListWrapper.contains = function(list, el) {
      return list.indexOf(el) !== -1;
    };
    ListWrapper.reversed = function(array) {
      var a = ListWrapper.clone(array);
      return a.reverse();
    };
    ListWrapper.concat = function(a, b) {
      return a.concat(b);
    };
    ListWrapper.insert = function(list, index, value) {
      list.splice(index, 0, value);
    };
    ListWrapper.removeAt = function(list, index) {
      var res = list[index];
      list.splice(index, 1);
      return res;
    };
    ListWrapper.removeAll = function(list, items) {
      for (var i = 0; i < items.length; ++i) {
        var index = list.indexOf(items[i]);
        list.splice(index, 1);
      }
    };
    ListWrapper.remove = function(list, el) {
      var index = list.indexOf(el);
      if (index > -1) {
        list.splice(index, 1);
        return true;
      }
      return false;
    };
    ListWrapper.clear = function(list) {
      list.length = 0;
    };
    ListWrapper.isEmpty = function(list) {
      return list.length == 0;
    };
    ListWrapper.fill = function(list, value, start, end) {
      if (start === void 0) {
        start = 0;
      }
      if (end === void 0) {
        end = null;
      }
      list.fill(value, start, end === null ? list.length : end);
    };
    ListWrapper.equals = function(a, b) {
      if (a.length != b.length)
        return false;
      for (var i = 0; i < a.length; ++i) {
        if (a[i] !== b[i])
          return false;
      }
      return true;
    };
    ListWrapper.slice = function(l, from, to) {
      if (from === void 0) {
        from = 0;
      }
      if (to === void 0) {
        to = null;
      }
      return l.slice(from, to === null ? undefined : to);
    };
    ListWrapper.splice = function(l, from, length) {
      return l.splice(from, length);
    };
    ListWrapper.sort = function(l, compareFn) {
      if (lang_1.isPresent(compareFn)) {
        l.sort(compareFn);
      } else {
        l.sort();
      }
    };
    ListWrapper.toString = function(l) {
      return l.toString();
    };
    ListWrapper.toJSON = function(l) {
      return JSON.stringify(l);
    };
    ListWrapper.maximum = function(list, predicate) {
      if (list.length == 0) {
        return null;
      }
      var solution = null;
      var maxValue = -Infinity;
      for (var index = 0; index < list.length; index++) {
        var candidate = list[index];
        if (lang_1.isBlank(candidate)) {
          continue;
        }
        var candidateValue = predicate(candidate);
        if (candidateValue > maxValue) {
          solution = candidate;
          maxValue = candidateValue;
        }
      }
      return solution;
    };
    ListWrapper.flatten = function(list) {
      var target = [];
      _flattenArray(list, target);
      return target;
    };
    ListWrapper.addAll = function(list, source) {
      for (var i = 0; i < source.length; i++) {
        list.push(source[i]);
      }
    };
    return ListWrapper;
  }());
  exports.ListWrapper = ListWrapper;
  function _flattenArray(source, target) {
    if (lang_1.isPresent(source)) {
      for (var i = 0; i < source.length; i++) {
        var item = source[i];
        if (lang_1.isArray(item)) {
          _flattenArray(item, target);
        } else {
          target.push(item);
        }
      }
    }
    return target;
  }
  function isListLikeIterable(obj) {
    if (!lang_1.isJsObject(obj))
      return false;
    return lang_1.isArray(obj) || (!(obj instanceof exports.Map) && lang_1.getSymbolIterator() in obj);
  }
  exports.isListLikeIterable = isListLikeIterable;
  function areIterablesEqual(a, b, comparator) {
    var iterator1 = a[lang_1.getSymbolIterator()]();
    var iterator2 = b[lang_1.getSymbolIterator()]();
    while (true) {
      var item1 = iterator1.next();
      var item2 = iterator2.next();
      if (item1.done && item2.done)
        return true;
      if (item1.done || item2.done)
        return false;
      if (!comparator(item1.value, item2.value))
        return false;
    }
  }
  exports.areIterablesEqual = areIterablesEqual;
  function iterateListLike(obj, fn) {
    if (lang_1.isArray(obj)) {
      for (var i = 0; i < obj.length; i++) {
        fn(obj[i]);
      }
    } else {
      var iterator = obj[lang_1.getSymbolIterator()]();
      var item;
      while (!((item = iterator.next()).done)) {
        fn(item.value);
      }
    }
  }
  exports.iterateListLike = iterateListLike;
  var createSetFromList = (function() {
    var test = new exports.Set([1, 2, 3]);
    if (test.size === 3) {
      return function createSetFromList(lst) {
        return new exports.Set(lst);
      };
    } else {
      return function createSetAndPopulateFromList(lst) {
        var res = new exports.Set(lst);
        if (res.size !== lst.length) {
          for (var i = 0; i < lst.length; i++) {
            res.add(lst[i]);
          }
        }
        return res;
      };
    }
  })();
  var SetWrapper = (function() {
    function SetWrapper() {}
    SetWrapper.createFromList = function(lst) {
      return createSetFromList(lst);
    };
    SetWrapper.has = function(s, key) {
      return s.has(key);
    };
    SetWrapper.delete = function(m, k) {
      m.delete(k);
    };
    return SetWrapper;
  }());
  exports.SetWrapper = SetWrapper;
  return module.exports;
});

System.registerDynamic("@angular/core/src/facade/exception_handler.js", ["./base_wrapped_exception", "./collection", "./lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var base_wrapped_exception_1 = $__require('./base_wrapped_exception');
  var collection_1 = $__require('./collection');
  var lang_1 = $__require('./lang');
  var _ArrayLogger = (function() {
    function _ArrayLogger() {
      this.res = [];
    }
    _ArrayLogger.prototype.log = function(s) {
      this.res.push(s);
    };
    _ArrayLogger.prototype.logError = function(s) {
      this.res.push(s);
    };
    _ArrayLogger.prototype.logGroup = function(s) {
      this.res.push(s);
    };
    _ArrayLogger.prototype.logGroupEnd = function() {};
    ;
    return _ArrayLogger;
  }());
  var ExceptionHandler = (function() {
    function ExceptionHandler(_logger, _rethrowException) {
      if (_rethrowException === void 0) {
        _rethrowException = true;
      }
      this._logger = _logger;
      this._rethrowException = _rethrowException;
    }
    ExceptionHandler.exceptionToString = function(exception, stackTrace, reason) {
      if (stackTrace === void 0) {
        stackTrace = null;
      }
      if (reason === void 0) {
        reason = null;
      }
      var l = new _ArrayLogger();
      var e = new ExceptionHandler(l, false);
      e.call(exception, stackTrace, reason);
      return l.res.join('\n');
    };
    ExceptionHandler.prototype.call = function(exception, stackTrace, reason) {
      if (stackTrace === void 0) {
        stackTrace = null;
      }
      if (reason === void 0) {
        reason = null;
      }
      var originalException = this._findOriginalException(exception);
      var originalStack = this._findOriginalStack(exception);
      var context = this._findContext(exception);
      this._logger.logGroup("EXCEPTION: " + this._extractMessage(exception));
      if (lang_1.isPresent(stackTrace) && lang_1.isBlank(originalStack)) {
        this._logger.logError('STACKTRACE:');
        this._logger.logError(this._longStackTrace(stackTrace));
      }
      if (lang_1.isPresent(reason)) {
        this._logger.logError("REASON: " + reason);
      }
      if (lang_1.isPresent(originalException)) {
        this._logger.logError("ORIGINAL EXCEPTION: " + this._extractMessage(originalException));
      }
      if (lang_1.isPresent(originalStack)) {
        this._logger.logError('ORIGINAL STACKTRACE:');
        this._logger.logError(this._longStackTrace(originalStack));
      }
      if (lang_1.isPresent(context)) {
        this._logger.logError('ERROR CONTEXT:');
        this._logger.logError(context);
      }
      this._logger.logGroupEnd();
      if (this._rethrowException)
        throw exception;
    };
    ExceptionHandler.prototype._extractMessage = function(exception) {
      return exception instanceof base_wrapped_exception_1.BaseWrappedException ? exception.wrapperMessage : exception.toString();
    };
    ExceptionHandler.prototype._longStackTrace = function(stackTrace) {
      return collection_1.isListLikeIterable(stackTrace) ? stackTrace.join('\n\n-----async gap-----\n') : stackTrace.toString();
    };
    ExceptionHandler.prototype._findContext = function(exception) {
      try {
        if (!(exception instanceof base_wrapped_exception_1.BaseWrappedException))
          return null;
        return lang_1.isPresent(exception.context) ? exception.context : this._findContext(exception.originalException);
      } catch (e) {
        return null;
      }
    };
    ExceptionHandler.prototype._findOriginalException = function(exception) {
      if (!(exception instanceof base_wrapped_exception_1.BaseWrappedException))
        return null;
      var e = exception.originalException;
      while (e instanceof base_wrapped_exception_1.BaseWrappedException && lang_1.isPresent(e.originalException)) {
        e = e.originalException;
      }
      return e;
    };
    ExceptionHandler.prototype._findOriginalStack = function(exception) {
      if (!(exception instanceof base_wrapped_exception_1.BaseWrappedException))
        return null;
      var e = exception;
      var stack = exception.originalStack;
      while (e instanceof base_wrapped_exception_1.BaseWrappedException && lang_1.isPresent(e.originalException)) {
        e = e.originalException;
        if (e instanceof base_wrapped_exception_1.BaseWrappedException && lang_1.isPresent(e.originalException)) {
          stack = e.originalStack;
        }
      }
      return stack;
    };
    return ExceptionHandler;
  }());
  exports.ExceptionHandler = ExceptionHandler;
  return module.exports;
});

System.registerDynamic("@angular/core/src/facade/exceptions.js", ["./base_wrapped_exception", "./exception_handler"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var base_wrapped_exception_1 = $__require('./base_wrapped_exception');
  var exception_handler_1 = $__require('./exception_handler');
  var exception_handler_2 = $__require('./exception_handler');
  exports.ExceptionHandler = exception_handler_2.ExceptionHandler;
  var BaseException = (function(_super) {
    __extends(BaseException, _super);
    function BaseException(message) {
      if (message === void 0) {
        message = '--';
      }
      _super.call(this, message);
      this.message = message;
      this.stack = (new Error(message)).stack;
    }
    BaseException.prototype.toString = function() {
      return this.message;
    };
    return BaseException;
  }(Error));
  exports.BaseException = BaseException;
  var WrappedException = (function(_super) {
    __extends(WrappedException, _super);
    function WrappedException(_wrapperMessage, _originalException, _originalStack, _context) {
      _super.call(this, _wrapperMessage);
      this._wrapperMessage = _wrapperMessage;
      this._originalException = _originalException;
      this._originalStack = _originalStack;
      this._context = _context;
      this._wrapperStack = (new Error(_wrapperMessage)).stack;
    }
    Object.defineProperty(WrappedException.prototype, "wrapperMessage", {
      get: function() {
        return this._wrapperMessage;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "wrapperStack", {
      get: function() {
        return this._wrapperStack;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "originalException", {
      get: function() {
        return this._originalException;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "originalStack", {
      get: function() {
        return this._originalStack;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "context", {
      get: function() {
        return this._context;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WrappedException.prototype, "message", {
      get: function() {
        return exception_handler_1.ExceptionHandler.exceptionToString(this);
      },
      enumerable: true,
      configurable: true
    });
    WrappedException.prototype.toString = function() {
      return this.message;
    };
    return WrappedException;
  }(base_wrapped_exception_1.BaseWrappedException));
  exports.WrappedException = WrappedException;
  function makeTypeError(message) {
    return new TypeError(message);
  }
  exports.makeTypeError = makeTypeError;
  function unimplemented() {
    throw new BaseException('unimplemented');
  }
  exports.unimplemented = unimplemented;
  return module.exports;
});

System.registerDynamic("@angular/core/src/facade/lang.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var globalScope;
  if (typeof window === 'undefined') {
    if (typeof WorkerGlobalScope !== 'undefined' && self instanceof WorkerGlobalScope) {
      globalScope = self;
    } else {
      globalScope = global;
    }
  } else {
    globalScope = window;
  }
  function scheduleMicroTask(fn) {
    Zone.current.scheduleMicroTask('scheduleMicrotask', fn);
  }
  exports.scheduleMicroTask = scheduleMicroTask;
  exports.IS_DART = false;
  var _global = globalScope;
  exports.global = _global;
  exports.Type = Function;
  function getTypeNameForDebugging(type) {
    if (type['name']) {
      return type['name'];
    }
    return typeof type;
  }
  exports.getTypeNameForDebugging = getTypeNameForDebugging;
  exports.Math = _global.Math;
  exports.Date = _global.Date;
  _global.assert = function assert(condition) {};
  function isPresent(obj) {
    return obj !== undefined && obj !== null;
  }
  exports.isPresent = isPresent;
  function isBlank(obj) {
    return obj === undefined || obj === null;
  }
  exports.isBlank = isBlank;
  function isBoolean(obj) {
    return typeof obj === 'boolean';
  }
  exports.isBoolean = isBoolean;
  function isNumber(obj) {
    return typeof obj === 'number';
  }
  exports.isNumber = isNumber;
  function isString(obj) {
    return typeof obj === 'string';
  }
  exports.isString = isString;
  function isFunction(obj) {
    return typeof obj === 'function';
  }
  exports.isFunction = isFunction;
  function isType(obj) {
    return isFunction(obj);
  }
  exports.isType = isType;
  function isStringMap(obj) {
    return typeof obj === 'object' && obj !== null;
  }
  exports.isStringMap = isStringMap;
  var STRING_MAP_PROTO = Object.getPrototypeOf({});
  function isStrictStringMap(obj) {
    return isStringMap(obj) && Object.getPrototypeOf(obj) === STRING_MAP_PROTO;
  }
  exports.isStrictStringMap = isStrictStringMap;
  function isPromise(obj) {
    return obj instanceof _global.Promise;
  }
  exports.isPromise = isPromise;
  function isArray(obj) {
    return Array.isArray(obj);
  }
  exports.isArray = isArray;
  function isDate(obj) {
    return obj instanceof exports.Date && !isNaN(obj.valueOf());
  }
  exports.isDate = isDate;
  function noop() {}
  exports.noop = noop;
  function stringify(token) {
    if (typeof token === 'string') {
      return token;
    }
    if (token === undefined || token === null) {
      return '' + token;
    }
    if (token.name) {
      return token.name;
    }
    if (token.overriddenName) {
      return token.overriddenName;
    }
    var res = token.toString();
    var newLineIndex = res.indexOf('\n');
    return (newLineIndex === -1) ? res : res.substring(0, newLineIndex);
  }
  exports.stringify = stringify;
  function serializeEnum(val) {
    return val;
  }
  exports.serializeEnum = serializeEnum;
  function deserializeEnum(val, values) {
    return val;
  }
  exports.deserializeEnum = deserializeEnum;
  function resolveEnumToken(enumValue, val) {
    return enumValue[val];
  }
  exports.resolveEnumToken = resolveEnumToken;
  var StringWrapper = (function() {
    function StringWrapper() {}
    StringWrapper.fromCharCode = function(code) {
      return String.fromCharCode(code);
    };
    StringWrapper.charCodeAt = function(s, index) {
      return s.charCodeAt(index);
    };
    StringWrapper.split = function(s, regExp) {
      return s.split(regExp);
    };
    StringWrapper.equals = function(s, s2) {
      return s === s2;
    };
    StringWrapper.stripLeft = function(s, charVal) {
      if (s && s.length) {
        var pos = 0;
        for (var i = 0; i < s.length; i++) {
          if (s[i] != charVal)
            break;
          pos++;
        }
        s = s.substring(pos);
      }
      return s;
    };
    StringWrapper.stripRight = function(s, charVal) {
      if (s && s.length) {
        var pos = s.length;
        for (var i = s.length - 1; i >= 0; i--) {
          if (s[i] != charVal)
            break;
          pos--;
        }
        s = s.substring(0, pos);
      }
      return s;
    };
    StringWrapper.replace = function(s, from, replace) {
      return s.replace(from, replace);
    };
    StringWrapper.replaceAll = function(s, from, replace) {
      return s.replace(from, replace);
    };
    StringWrapper.slice = function(s, from, to) {
      if (from === void 0) {
        from = 0;
      }
      if (to === void 0) {
        to = null;
      }
      return s.slice(from, to === null ? undefined : to);
    };
    StringWrapper.replaceAllMapped = function(s, from, cb) {
      return s.replace(from, function() {
        var matches = [];
        for (var _i = 0; _i < arguments.length; _i++) {
          matches[_i - 0] = arguments[_i];
        }
        matches.splice(-2, 2);
        return cb(matches);
      });
    };
    StringWrapper.contains = function(s, substr) {
      return s.indexOf(substr) != -1;
    };
    StringWrapper.compare = function(a, b) {
      if (a < b) {
        return -1;
      } else if (a > b) {
        return 1;
      } else {
        return 0;
      }
    };
    return StringWrapper;
  }());
  exports.StringWrapper = StringWrapper;
  var StringJoiner = (function() {
    function StringJoiner(parts) {
      if (parts === void 0) {
        parts = [];
      }
      this.parts = parts;
    }
    StringJoiner.prototype.add = function(part) {
      this.parts.push(part);
    };
    StringJoiner.prototype.toString = function() {
      return this.parts.join('');
    };
    return StringJoiner;
  }());
  exports.StringJoiner = StringJoiner;
  var NumberParseError = (function(_super) {
    __extends(NumberParseError, _super);
    function NumberParseError(message) {
      _super.call(this);
      this.message = message;
    }
    NumberParseError.prototype.toString = function() {
      return this.message;
    };
    return NumberParseError;
  }(Error));
  exports.NumberParseError = NumberParseError;
  var NumberWrapper = (function() {
    function NumberWrapper() {}
    NumberWrapper.toFixed = function(n, fractionDigits) {
      return n.toFixed(fractionDigits);
    };
    NumberWrapper.equal = function(a, b) {
      return a === b;
    };
    NumberWrapper.parseIntAutoRadix = function(text) {
      var result = parseInt(text);
      if (isNaN(result)) {
        throw new NumberParseError('Invalid integer literal when parsing ' + text);
      }
      return result;
    };
    NumberWrapper.parseInt = function(text, radix) {
      if (radix == 10) {
        if (/^(\-|\+)?[0-9]+$/.test(text)) {
          return parseInt(text, radix);
        }
      } else if (radix == 16) {
        if (/^(\-|\+)?[0-9ABCDEFabcdef]+$/.test(text)) {
          return parseInt(text, radix);
        }
      } else {
        var result = parseInt(text, radix);
        if (!isNaN(result)) {
          return result;
        }
      }
      throw new NumberParseError('Invalid integer literal when parsing ' + text + ' in base ' + radix);
    };
    NumberWrapper.parseFloat = function(text) {
      return parseFloat(text);
    };
    Object.defineProperty(NumberWrapper, "NaN", {
      get: function() {
        return NaN;
      },
      enumerable: true,
      configurable: true
    });
    NumberWrapper.isNumeric = function(value) {
      return !isNaN(value - parseFloat(value));
    };
    NumberWrapper.isNaN = function(value) {
      return isNaN(value);
    };
    NumberWrapper.isInteger = function(value) {
      return Number.isInteger(value);
    };
    return NumberWrapper;
  }());
  exports.NumberWrapper = NumberWrapper;
  exports.RegExp = _global.RegExp;
  var RegExpWrapper = (function() {
    function RegExpWrapper() {}
    RegExpWrapper.create = function(regExpStr, flags) {
      if (flags === void 0) {
        flags = '';
      }
      flags = flags.replace(/g/g, '');
      return new _global.RegExp(regExpStr, flags + 'g');
    };
    RegExpWrapper.firstMatch = function(regExp, input) {
      regExp.lastIndex = 0;
      return regExp.exec(input);
    };
    RegExpWrapper.test = function(regExp, input) {
      regExp.lastIndex = 0;
      return regExp.test(input);
    };
    RegExpWrapper.matcher = function(regExp, input) {
      regExp.lastIndex = 0;
      return {
        re: regExp,
        input: input
      };
    };
    RegExpWrapper.replaceAll = function(regExp, input, replace) {
      var c = regExp.exec(input);
      var res = '';
      regExp.lastIndex = 0;
      var prev = 0;
      while (c) {
        res += input.substring(prev, c.index);
        res += replace(c);
        prev = c.index + c[0].length;
        regExp.lastIndex = prev;
        c = regExp.exec(input);
      }
      res += input.substring(prev);
      return res;
    };
    return RegExpWrapper;
  }());
  exports.RegExpWrapper = RegExpWrapper;
  var RegExpMatcherWrapper = (function() {
    function RegExpMatcherWrapper() {}
    RegExpMatcherWrapper.next = function(matcher) {
      return matcher.re.exec(matcher.input);
    };
    return RegExpMatcherWrapper;
  }());
  exports.RegExpMatcherWrapper = RegExpMatcherWrapper;
  var FunctionWrapper = (function() {
    function FunctionWrapper() {}
    FunctionWrapper.apply = function(fn, posArgs) {
      return fn.apply(null, posArgs);
    };
    FunctionWrapper.bind = function(fn, scope) {
      return fn.bind(scope);
    };
    return FunctionWrapper;
  }());
  exports.FunctionWrapper = FunctionWrapper;
  function looseIdentical(a, b) {
    return a === b || typeof a === 'number' && typeof b === 'number' && isNaN(a) && isNaN(b);
  }
  exports.looseIdentical = looseIdentical;
  function getMapKey(value) {
    return value;
  }
  exports.getMapKey = getMapKey;
  function normalizeBlank(obj) {
    return isBlank(obj) ? null : obj;
  }
  exports.normalizeBlank = normalizeBlank;
  function normalizeBool(obj) {
    return isBlank(obj) ? false : obj;
  }
  exports.normalizeBool = normalizeBool;
  function isJsObject(o) {
    return o !== null && (typeof o === 'function' || typeof o === 'object');
  }
  exports.isJsObject = isJsObject;
  function print(obj) {
    console.log(obj);
  }
  exports.print = print;
  function warn(obj) {
    console.warn(obj);
  }
  exports.warn = warn;
  var Json = (function() {
    function Json() {}
    Json.parse = function(s) {
      return _global.JSON.parse(s);
    };
    Json.stringify = function(data) {
      return _global.JSON.stringify(data, null, 2);
    };
    return Json;
  }());
  exports.Json = Json;
  var DateWrapper = (function() {
    function DateWrapper() {}
    DateWrapper.create = function(year, month, day, hour, minutes, seconds, milliseconds) {
      if (month === void 0) {
        month = 1;
      }
      if (day === void 0) {
        day = 1;
      }
      if (hour === void 0) {
        hour = 0;
      }
      if (minutes === void 0) {
        minutes = 0;
      }
      if (seconds === void 0) {
        seconds = 0;
      }
      if (milliseconds === void 0) {
        milliseconds = 0;
      }
      return new exports.Date(year, month - 1, day, hour, minutes, seconds, milliseconds);
    };
    DateWrapper.fromISOString = function(str) {
      return new exports.Date(str);
    };
    DateWrapper.fromMillis = function(ms) {
      return new exports.Date(ms);
    };
    DateWrapper.toMillis = function(date) {
      return date.getTime();
    };
    DateWrapper.now = function() {
      return new exports.Date();
    };
    DateWrapper.toJson = function(date) {
      return date.toJSON();
    };
    return DateWrapper;
  }());
  exports.DateWrapper = DateWrapper;
  function setValueOnPath(global, path, value) {
    var parts = path.split('.');
    var obj = global;
    while (parts.length > 1) {
      var name = parts.shift();
      if (obj.hasOwnProperty(name) && isPresent(obj[name])) {
        obj = obj[name];
      } else {
        obj = obj[name] = {};
      }
    }
    if (obj === undefined || obj === null) {
      obj = {};
    }
    obj[parts.shift()] = value;
  }
  exports.setValueOnPath = setValueOnPath;
  var _symbolIterator = null;
  function getSymbolIterator() {
    if (isBlank(_symbolIterator)) {
      if (isPresent(globalScope.Symbol) && isPresent(Symbol.iterator)) {
        _symbolIterator = Symbol.iterator;
      } else {
        var keys = Object.getOwnPropertyNames(Map.prototype);
        for (var i = 0; i < keys.length; ++i) {
          var key = keys[i];
          if (key !== 'entries' && key !== 'size' && Map.prototype[key] === Map.prototype['entries']) {
            _symbolIterator = key;
          }
        }
      }
    }
    return _symbolIterator;
  }
  exports.getSymbolIterator = getSymbolIterator;
  function evalExpression(sourceUrl, expr, declarations, vars) {
    var fnBody = declarations + "\nreturn " + expr + "\n//# sourceURL=" + sourceUrl;
    var fnArgNames = [];
    var fnArgValues = [];
    for (var argName in vars) {
      fnArgNames.push(argName);
      fnArgValues.push(vars[argName]);
    }
    return new (Function.bind.apply(Function, [void 0].concat(fnArgNames.concat(fnBody))))().apply(void 0, fnArgValues);
  }
  exports.evalExpression = evalExpression;
  function isPrimitive(obj) {
    return !isJsObject(obj);
  }
  exports.isPrimitive = isPrimitive;
  function hasConstructor(value, type) {
    return value.constructor === type;
  }
  exports.hasConstructor = hasConstructor;
  function escape(s) {
    return _global.encodeURI(s);
  }
  exports.escape = escape;
  function escapeRegExp(s) {
    return s.replace(/([.*+?^=!:${}()|[\]\/\\])/g, '\\$1');
  }
  exports.escapeRegExp = escapeRegExp;
  return module.exports;
});

System.registerDynamic("@angular/core/src/animation/animation_player.js", ["../facade/exceptions", "../facade/lang"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var exceptions_1 = $__require('../facade/exceptions');
  var lang_1 = $__require('../facade/lang');
  var AnimationPlayer = (function() {
    function AnimationPlayer() {}
    Object.defineProperty(AnimationPlayer.prototype, "parentPlayer", {
      get: function() {
        throw new exceptions_1.BaseException('NOT IMPLEMENTED: Base Class');
      },
      set: function(player) {
        throw new exceptions_1.BaseException('NOT IMPLEMENTED: Base Class');
      },
      enumerable: true,
      configurable: true
    });
    return AnimationPlayer;
  }());
  exports.AnimationPlayer = AnimationPlayer;
  var NoOpAnimationPlayer = (function() {
    function NoOpAnimationPlayer() {
      var _this = this;
      this._subscriptions = [];
      this.parentPlayer = null;
      lang_1.scheduleMicroTask(function() {
        return _this._onFinish();
      });
    }
    NoOpAnimationPlayer.prototype._onFinish = function() {
      this._subscriptions.forEach(function(entry) {
        entry();
      });
      this._subscriptions = [];
    };
    NoOpAnimationPlayer.prototype.onDone = function(fn) {
      this._subscriptions.push(fn);
    };
    NoOpAnimationPlayer.prototype.play = function() {};
    NoOpAnimationPlayer.prototype.pause = function() {};
    NoOpAnimationPlayer.prototype.restart = function() {};
    NoOpAnimationPlayer.prototype.finish = function() {
      this._onFinish();
    };
    NoOpAnimationPlayer.prototype.destroy = function() {};
    NoOpAnimationPlayer.prototype.reset = function() {};
    NoOpAnimationPlayer.prototype.setPosition = function(p) {};
    NoOpAnimationPlayer.prototype.getPosition = function() {
      return 0;
    };
    return NoOpAnimationPlayer;
  }());
  exports.NoOpAnimationPlayer = NoOpAnimationPlayer;
  return module.exports;
});

System.registerDynamic("@angular/core", ["./src/metadata", "./src/util", "./src/di", "./src/application_ref", "./src/application_tokens", "./src/zone", "./src/render", "./src/linker", "./src/debug/debug_node", "./src/testability/testability", "./src/change_detection", "./src/platform_directives_and_pipes", "./src/platform_common_providers", "./src/application_common_providers", "./src/profile/profile", "./src/facade/lang", "./src/facade/async", "./src/facade/exceptions", "./private_export", "./src/animation/metadata", "./src/animation/animation_player"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  function __export(m) {
    for (var p in m)
      if (!exports.hasOwnProperty(p))
        exports[p] = m[p];
  }
  __export($__require('./src/metadata'));
  __export($__require('./src/util'));
  __export($__require('./src/di'));
  var application_ref_1 = $__require('./src/application_ref');
  exports.createPlatform = application_ref_1.createPlatform;
  exports.assertPlatform = application_ref_1.assertPlatform;
  exports.disposePlatform = application_ref_1.disposePlatform;
  exports.getPlatform = application_ref_1.getPlatform;
  exports.coreBootstrap = application_ref_1.coreBootstrap;
  exports.coreLoadAndBootstrap = application_ref_1.coreLoadAndBootstrap;
  exports.createNgZone = application_ref_1.createNgZone;
  exports.PlatformRef = application_ref_1.PlatformRef;
  exports.ApplicationRef = application_ref_1.ApplicationRef;
  exports.enableProdMode = application_ref_1.enableProdMode;
  exports.lockRunMode = application_ref_1.lockRunMode;
  exports.isDevMode = application_ref_1.isDevMode;
  var application_tokens_1 = $__require('./src/application_tokens');
  exports.APP_ID = application_tokens_1.APP_ID;
  exports.APP_INITIALIZER = application_tokens_1.APP_INITIALIZER;
  exports.PACKAGE_ROOT_URL = application_tokens_1.PACKAGE_ROOT_URL;
  exports.PLATFORM_INITIALIZER = application_tokens_1.PLATFORM_INITIALIZER;
  __export($__require('./src/zone'));
  __export($__require('./src/render'));
  __export($__require('./src/linker'));
  var debug_node_1 = $__require('./src/debug/debug_node');
  exports.DebugElement = debug_node_1.DebugElement;
  exports.DebugNode = debug_node_1.DebugNode;
  exports.asNativeElements = debug_node_1.asNativeElements;
  exports.getDebugNode = debug_node_1.getDebugNode;
  __export($__require('./src/testability/testability'));
  __export($__require('./src/change_detection'));
  __export($__require('./src/platform_directives_and_pipes'));
  __export($__require('./src/platform_common_providers'));
  __export($__require('./src/application_common_providers'));
  var profile_1 = $__require('./src/profile/profile');
  exports.wtfCreateScope = profile_1.wtfCreateScope;
  exports.wtfLeave = profile_1.wtfLeave;
  exports.wtfStartTimeRange = profile_1.wtfStartTimeRange;
  exports.wtfEndTimeRange = profile_1.wtfEndTimeRange;
  var lang_1 = $__require('./src/facade/lang');
  exports.Type = lang_1.Type;
  var async_1 = $__require('./src/facade/async');
  exports.EventEmitter = async_1.EventEmitter;
  var exceptions_1 = $__require('./src/facade/exceptions');
  exports.ExceptionHandler = exceptions_1.ExceptionHandler;
  exports.WrappedException = exceptions_1.WrappedException;
  exports.BaseException = exceptions_1.BaseException;
  __export($__require('./private_export'));
  __export($__require('./src/animation/metadata'));
  var animation_player_1 = $__require('./src/animation/animation_player');
  exports.AnimationPlayer = animation_player_1.AnimationPlayer;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/nav/nav-params.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var NavParams = (function() {
    function NavParams(data) {
      if (data === void 0) {
        data = {};
      }
      this.data = data;
    }
    NavParams.prototype.get = function(param) {
      return this.data[param];
    };
    return NavParams;
  }());
  exports.NavParams = NavParams;
  return module.exports;
});

System.registerDynamic("ionic-angular/components/nav/view-controller.js", ["@angular/core", "../../util/util", "./nav-params"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var core_1 = $__require('@angular/core');
  var util_1 = $__require('../../util/util');
  var nav_params_1 = $__require('./nav-params');
  var ViewController = (function() {
    function ViewController(componentType, data) {
      this.componentType = componentType;
      this._tbRefs = [];
      this._hdAttr = null;
      this._leavingOpts = null;
      this._loaded = false;
      this._onDidDismiss = null;
      this._onWillDismiss = null;
      this.instance = {};
      this.state = 0;
      this.fireOtherLifecycles = true;
      this.isOverlay = false;
      this._emitter = new core_1.EventEmitter();
      this.data = (data instanceof nav_params_1.NavParams ? data.data : (util_1.isPresent(data) ? data : {}));
      this.willEnter = new core_1.EventEmitter();
      this.didEnter = new core_1.EventEmitter();
      this.willLeave = new core_1.EventEmitter();
      this.didLeave = new core_1.EventEmitter();
      this.willUnload = new core_1.EventEmitter();
      this.didUnload = new core_1.EventEmitter();
    }
    ViewController.prototype.subscribe = function(generatorOrNext) {
      return this._emitter.subscribe(generatorOrNext);
    };
    ViewController.prototype.emit = function(data) {
      this._emitter.emit(data);
    };
    ViewController.prototype.onDismiss = function(callback) {
      void 0;
      this.onDidDismiss(callback);
    };
    ViewController.prototype.onDidDismiss = function(callback) {
      this._onDidDismiss = callback;
    };
    ViewController.prototype.onWillDismiss = function(callback) {
      this._onWillDismiss = callback;
    };
    ViewController.prototype.dismiss = function(data, role, navOptions) {
      var _this = this;
      if (navOptions === void 0) {
        navOptions = {};
      }
      var options = util_1.merge({}, this._leavingOpts, navOptions);
      this._onWillDismiss && this._onWillDismiss(data, role);
      return this._nav.remove(this._nav.indexOf(this), 1, options).then(function() {
        _this._onDidDismiss && _this._onDidDismiss(data, role);
        return data;
      });
    };
    ViewController.prototype.setNav = function(navCtrl) {
      this._nav = navCtrl;
    };
    ViewController.prototype.getNav = function() {
      return this._nav;
    };
    ViewController.prototype.getTransitionName = function(direction) {
      return this._nav && this._nav.config.get('pageTransition');
    };
    ViewController.prototype.getNavParams = function() {
      return new nav_params_1.NavParams(this.data);
    };
    ViewController.prototype.setLeavingOpts = function(opts) {
      this._leavingOpts = opts;
    };
    ViewController.prototype.enableBack = function() {
      if (this._nav) {
        var previousItem = this._nav.getPrevious(this);
        return !!(previousItem);
      }
      return false;
    };
    ViewController.prototype.setChangeDetector = function(cd) {
      this._cd = cd;
    };
    ViewController.prototype.setInstance = function(instance) {
      this.instance = instance;
    };
    Object.defineProperty(ViewController.prototype, "name", {
      get: function() {
        return this.componentType ? this.componentType['name'] : '';
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ViewController.prototype, "index", {
      get: function() {
        return (this._nav ? this._nav.indexOf(this) : -1);
      },
      enumerable: true,
      configurable: true
    });
    ViewController.prototype.isFirst = function() {
      return (this._nav ? this._nav.first() === this : false);
    };
    ViewController.prototype.isLast = function() {
      return (this._nav ? this._nav.last() === this : false);
    };
    ViewController.prototype.domShow = function(shouldShow, renderer) {
      if (this._pgRef && (shouldShow && this._hdAttr === '' || !shouldShow && this._hdAttr !== '')) {
        this._hdAttr = (shouldShow ? null : '');
        renderer.setElementAttribute(this._pgRef.nativeElement, 'hidden', this._hdAttr);
      }
    };
    ViewController.prototype.setZIndex = function(zIndex, renderer) {
      if (this._pgRef && zIndex !== this.zIndex) {
        this.zIndex = zIndex;
        renderer.setElementStyle(this._pgRef.nativeElement, 'z-index', zIndex.toString());
      }
    };
    ViewController.prototype.setPageRef = function(elementRef) {
      this._pgRef = elementRef;
    };
    ViewController.prototype.pageRef = function() {
      return this._pgRef;
    };
    ViewController.prototype.setContentRef = function(elementRef) {
      this._cntRef = elementRef;
    };
    ViewController.prototype.contentRef = function() {
      return this._cntRef;
    };
    ViewController.prototype.setContent = function(directive) {
      this._cntDir = directive;
    };
    ViewController.prototype.setToolbarRef = function(elementRef) {
      this._tbRefs.push(elementRef);
    };
    ViewController.prototype.toolbarRefs = function() {
      return this._tbRefs;
    };
    ViewController.prototype.setHeader = function(directive) {
      this._hdrDir = directive;
    };
    ViewController.prototype.getHeader = function() {
      return this._hdrDir;
    };
    ViewController.prototype.setFooter = function(directive) {
      this._ftrDir = directive;
    };
    ViewController.prototype.getFooter = function() {
      return this._ftrDir;
    };
    ViewController.prototype.getContent = function() {
      return this._cntDir;
    };
    ViewController.prototype.setNavbar = function(directive) {
      this._nbDir = directive;
    };
    ViewController.prototype.getNavbar = function() {
      return this._nbDir;
    };
    ViewController.prototype.hasNavbar = function() {
      return !!this.getNavbar();
    };
    ViewController.prototype.navbarRef = function() {
      var navbar = this.getNavbar();
      return navbar && navbar.getElementRef();
    };
    ViewController.prototype.titleRef = function() {
      var navbar = this.getNavbar();
      return navbar && navbar.getTitleRef();
    };
    ViewController.prototype.navbarItemRefs = function() {
      var navbar = this.getNavbar();
      return navbar && navbar.getItemRefs();
    };
    ViewController.prototype.backBtnRef = function() {
      var navbar = this.getNavbar();
      return navbar && navbar.getBackButtonRef();
    };
    ViewController.prototype.backBtnTextRef = function() {
      var navbar = this.getNavbar();
      return navbar && navbar.getBackButtonTextRef();
    };
    ViewController.prototype.navbarBgRef = function() {
      var navbar = this.getNavbar();
      return navbar && navbar.getBackgroundRef();
    };
    ViewController.prototype.setBackButtonText = function(val) {
      var navbar = this.getNavbar();
      if (navbar) {
        navbar.setBackButtonText(val);
      }
    };
    ViewController.prototype.showBackButton = function(shouldShow) {
      var navbar = this.getNavbar();
      if (navbar) {
        navbar.hideBackButton = !shouldShow;
      }
    };
    ViewController.prototype.isLoaded = function() {
      return this._loaded;
    };
    ViewController.prototype.loaded = function(done) {
      done();
    };
    ViewController.prototype.fireLoaded = function() {
      this._loaded = true;
      ctrlFn(this, 'Loaded');
    };
    ViewController.prototype.fireWillEnter = function() {
      if (this._cd) {
        this._cd.reattach();
        this._cd.detectChanges();
      }
      this.willEnter.emit(null);
      ctrlFn(this, 'WillEnter');
    };
    ViewController.prototype.fireDidEnter = function() {
      var navbar = this.getNavbar();
      navbar && navbar.didEnter();
      this.didEnter.emit(null);
      ctrlFn(this, 'DidEnter');
    };
    ViewController.prototype.fireWillLeave = function() {
      this.willLeave.emit(null);
      ctrlFn(this, 'WillLeave');
    };
    ViewController.prototype.fireDidLeave = function() {
      this.didLeave.emit(null);
      ctrlFn(this, 'DidLeave');
      this._cd && this._cd.detach();
    };
    ViewController.prototype.fireWillUnload = function() {
      this.willUnload.emit(null);
      ctrlFn(this, 'WillUnload');
    };
    ViewController.prototype.onDestroy = function(destroyFn) {
      this._destroyFn = destroyFn;
    };
    ViewController.prototype.destroy = function() {
      this.didUnload.emit(null);
      ctrlFn(this, 'DidUnload');
      this._destroyFn && this._destroyFn();
      this._destroyFn = null;
    };
    __decorate([core_1.Output(), __metadata('design:type', core_1.EventEmitter)], ViewController.prototype, "_emitter", void 0);
    return ViewController;
  }());
  exports.ViewController = ViewController;
  function ctrlFn(viewCtrl, fnName) {
    if (viewCtrl.instance) {
      if (viewCtrl.instance['onPage' + fnName]) {
        try {
          void 0;
          viewCtrl.instance['onPage' + fnName]();
        } catch (e) {
          void 0;
        }
      }
      if (viewCtrl.instance['ionView' + fnName]) {
        try {
          viewCtrl.instance['ionView' + fnName]();
        } catch (e) {
          void 0;
        }
      }
    }
  }
  return module.exports;
});

System.registerDynamic("ionic-angular/components/content/content.js", ["@angular/core", "../app/app", "../ion", "../../config/config", "../../util/keyboard", "../../util/dom", "../../util/scroll-view", "../tabs/tabs", "../nav/view-controller", "../../util/util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var __metadata = (this && this.__metadata) || function(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
      return Reflect.metadata(k, v);
  };
  var __param = (this && this.__param) || function(paramIndex, decorator) {
    return function(target, key) {
      decorator(target, key, paramIndex);
    };
  };
  var core_1 = $__require('@angular/core');
  var app_1 = $__require('../app/app');
  var ion_1 = $__require('../ion');
  var config_1 = $__require('../../config/config');
  var keyboard_1 = $__require('../../util/keyboard');
  var dom_1 = $__require('../../util/dom');
  var scroll_view_1 = $__require('../../util/scroll-view');
  var tabs_1 = $__require('../tabs/tabs');
  var view_controller_1 = $__require('../nav/view-controller');
  var util_1 = $__require('../../util/util');
  var Content = (function(_super) {
    __extends(Content, _super);
    function Content(_elementRef, config, _app, _keyboard, _zone, viewCtrl, _tabs) {
      _super.call(this, _elementRef);
      this._elementRef = _elementRef;
      this._app = _app;
      this._keyboard = _keyboard;
      this._zone = _zone;
      this._tabs = _tabs;
      this._inputPolling = false;
      this._sbPadding = config.getBoolean('statusbarPadding', false);
      if (viewCtrl) {
        viewCtrl.setContent(this);
        viewCtrl.setContentRef(_elementRef);
      }
    }
    Content.prototype.ngOnInit = function() {
      var _this = this;
      this._scrollEle = this._elementRef.nativeElement.children[0];
      this._zone.runOutsideAngular(function() {
        _this._scroll = new scroll_view_1.ScrollView(_this._scrollEle);
        _this._scLsn = _this.addScrollListener(_this._app.setScrolling);
      });
    };
    Content.prototype.ngOnDestroy = function() {
      this._scLsn && this._scLsn();
      this._scroll && this._scroll.destroy();
      this._scrollEle = this._footerEle = this._scLsn = this._scroll = null;
    };
    Content.prototype.addScrollListener = function(handler) {
      return this._addListener('scroll', handler);
    };
    Content.prototype.addTouchStartListener = function(handler) {
      return this._addListener('touchstart', handler);
    };
    Content.prototype.addTouchMoveListener = function(handler) {
      return this._addListener('touchmove', handler);
    };
    Content.prototype.addTouchEndListener = function(handler) {
      return this._addListener('touchend', handler);
    };
    Content.prototype.addMouseDownListener = function(handler) {
      return this._addListener('mousedown', handler);
    };
    Content.prototype.addMouseUpListener = function(handler) {
      return this._addListener('mouseup', handler);
    };
    Content.prototype.addMouseMoveListener = function(handler) {
      return this._addListener('mousemove', handler);
    };
    Content.prototype._addListener = function(type, handler) {
      var _this = this;
      if (!this._scrollEle) {
        return;
      }
      this._scrollEle.removeEventListener(type, handler);
      this._scrollEle.addEventListener(type, handler);
      return function() {
        if (_this._scrollEle) {
          _this._scrollEle.removeEventListener(type, handler);
        }
      };
    };
    Content.prototype.getScrollElement = function() {
      return this._scrollEle;
    };
    Content.prototype.onScrollEnd = function(callback) {
      var lastScrollTop = null;
      var framesUnchanged = 0;
      var _scrollEle = this._scrollEle;
      function next() {
        var currentScrollTop = _scrollEle.scrollTop;
        if (lastScrollTop !== null) {
          if (Math.round(lastScrollTop) === Math.round(currentScrollTop)) {
            framesUnchanged++;
          } else {
            framesUnchanged = 0;
          }
          if (framesUnchanged > 9) {
            return callback();
          }
        }
        lastScrollTop = currentScrollTop;
        dom_1.nativeRaf(function() {
          dom_1.nativeRaf(next);
        });
      }
      dom_1.nativeTimeout(next, 100);
    };
    Content.prototype.onScrollElementTransitionEnd = function(callback) {
      dom_1.transitionEnd(this._scrollEle, callback);
    };
    Content.prototype.scrollTo = function(x, y, duration) {
      if (duration === void 0) {
        duration = 300;
      }
      return this._scroll.scrollTo(x, y, duration);
    };
    Content.prototype.scrollToTop = function(duration) {
      if (duration === void 0) {
        duration = 300;
      }
      return this._scroll.scrollToTop(duration);
    };
    Content.prototype.getScrollTop = function() {
      return this._scroll.getTop();
    };
    Content.prototype.setScrollTop = function(top) {
      this._scroll.setTop(top);
    };
    Content.prototype.scrollToBottom = function(duration) {
      if (duration === void 0) {
        duration = 300;
      }
      return this._scroll.scrollToBottom(duration);
    };
    Content.prototype.jsScroll = function(onScrollCallback) {
      return this._scroll.jsScroll(onScrollCallback);
    };
    Content.prototype.addCssClass = function(className) {
      this.getNativeElement().classList.add(className);
    };
    Object.defineProperty(Content.prototype, "fullscreen", {
      get: function() {
        return !!this._fullscreen;
      },
      set: function(val) {
        this._fullscreen = util_1.isTrueProperty(val);
      },
      enumerable: true,
      configurable: true
    });
    Content.prototype.removeCssClass = function(className) {
      this.getNativeElement().classList.remove(className);
    };
    Content.prototype.setScrollElementStyle = function(prop, val) {
      this._scrollEle.style[prop] = val;
    };
    Content.prototype.getContentDimensions = function() {
      var _scrollEle = this._scrollEle;
      var parentElement = _scrollEle.parentElement;
      return {
        contentHeight: parentElement.offsetHeight,
        contentTop: parentElement.offsetTop,
        contentBottom: parentElement.offsetTop + parentElement.offsetHeight,
        contentWidth: parentElement.offsetWidth,
        contentLeft: parentElement.offsetLeft,
        contentRight: parentElement.offsetLeft + parentElement.offsetWidth,
        scrollHeight: _scrollEle.scrollHeight,
        scrollTop: _scrollEle.scrollTop,
        scrollBottom: _scrollEle.scrollTop + _scrollEle.scrollHeight,
        scrollWidth: _scrollEle.scrollWidth,
        scrollLeft: _scrollEle.scrollLeft,
        scrollRight: _scrollEle.scrollLeft + _scrollEle.scrollWidth
      };
    };
    Content.prototype.addScrollPadding = function(newPadding) {
      if (newPadding > this._scrollPadding) {
        void 0;
        this._scrollPadding = newPadding;
        this._scrollEle.style.paddingBottom = newPadding + 'px';
      }
    };
    Content.prototype.clearScrollPaddingFocusOut = function() {
      var _this = this;
      if (!this._inputPolling) {
        this._inputPolling = true;
        this._keyboard.onClose(function() {
          _this._scrollPadding = 0;
          _this._scrollEle.style.paddingBottom = (_this._paddingBottom > 0 ? _this._paddingBottom + 'px' : '');
          _this._inputPolling = false;
          _this.addScrollPadding(0);
        }, 200, Infinity);
      }
    };
    Content.prototype.resize = function() {
      var _this = this;
      dom_1.nativeRaf(function() {
        _this.readDimensions();
        _this.writeDimensions();
      });
    };
    Content.prototype.readDimensions = function() {
      this._paddingTop = 0;
      this._paddingRight = 0;
      this._paddingBottom = 0;
      this._paddingLeft = 0;
      this._headerHeight = 0;
      this._footerHeight = 0;
      this._tabsPlacement = null;
      var ele = this._elementRef.nativeElement;
      if (!ele)
        return;
      var parentEle = ele.parentElement;
      var computedStyle;
      for (var i = 0; i < parentEle.children.length; i++) {
        ele = parentEle.children[i];
        if (ele.tagName === 'ION-CONTENT') {
          if (this._fullscreen) {
            computedStyle = getComputedStyle(ele);
            this._paddingTop = parsePxUnit(computedStyle.paddingTop);
            this._paddingBottom = parsePxUnit(computedStyle.paddingBottom);
            this._paddingRight = parsePxUnit(computedStyle.paddingRight);
            this._paddingLeft = parsePxUnit(computedStyle.paddingLeft);
          }
        } else if (ele.tagName === 'ION-HEADER') {
          this._headerHeight = ele.clientHeight;
        } else if (ele.tagName === 'ION-FOOTER') {
          this._footerHeight = ele.clientHeight;
          this._footerEle = ele;
        }
      }
      ele = parentEle;
      var tabbarEle;
      while (ele && ele.tagName !== 'ION-MODAL' && !ele.classList.contains('tab-subpage')) {
        if (ele.tagName === 'ION-TABS') {
          tabbarEle = ele.firstElementChild;
          this._tabbarHeight = tabbarEle.clientHeight;
          if (this._tabsPlacement === null) {
            this._tabsPlacement = ele.getAttribute('tabsplacement');
          }
        }
        ele = ele.parentElement;
      }
    };
    Content.prototype.writeDimensions = function() {
      var newVal;
      var scrollEle = this._scrollEle;
      if (!scrollEle)
        return;
      if (this._fullscreen) {
        newVal = this._headerHeight + this._paddingTop;
        if (this._tabsPlacement === 'top') {
          newVal += this._tabbarHeight;
        }
        if (newVal !== this.contentTop) {
          scrollEle.style.paddingTop = (newVal > 0 ? newVal + 'px' : '');
          this.contentTop = newVal;
        }
        newVal = this._footerHeight + this._paddingBottom;
        if (this._tabsPlacement === 'bottom') {
          newVal += this._tabbarHeight;
          if (newVal > 0 && this._footerEle) {
            this._footerEle.style.bottom = (newVal - this._footerHeight - this._paddingBottom) + 'px';
          }
        }
        if (newVal !== this.contentBottom) {
          scrollEle.style.paddingBottom = (newVal > 0 ? newVal + 'px' : '');
          this.contentBottom = newVal;
        }
      } else {
        newVal = this._headerHeight;
        if (this._tabsPlacement === 'top') {
          newVal += this._tabbarHeight;
        }
        if (newVal !== this.contentTop) {
          scrollEle.style.marginTop = (newVal > 0 ? newVal + 'px' : '');
          this.contentTop = newVal;
        }
        newVal = this._footerHeight;
        if (this._tabsPlacement === 'bottom') {
          newVal += this._tabbarHeight;
        }
        if (newVal !== this.contentBottom) {
          scrollEle.style.marginBottom = (newVal > 0 ? newVal + 'px' : '');
          this.contentBottom = newVal;
          if (newVal > 0 && this._footerEle) {
            this._footerEle.style.bottom = (newVal - this._footerHeight) + 'px';
          }
        }
      }
      if (this._tabsPlacement !== null && this._tabs) {
        if (this._tabsPlacement === 'top') {
          this._tabs.setTabbarPosition(this._headerHeight, -1);
        } else {
          this._tabs.setTabbarPosition(-1, 0);
        }
      }
    };
    __decorate([core_1.Input(), __metadata('design:type', Boolean)], Content.prototype, "fullscreen", null);
    Content = __decorate([core_1.Component({
      selector: 'ion-content',
      template: '<scroll-content>' + '<ng-content></ng-content>' + '</scroll-content>' + '<ng-content select="ion-fixed"></ng-content>' + '<ng-content select="ion-refresher"></ng-content>',
      changeDetection: core_1.ChangeDetectionStrategy.OnPush,
      encapsulation: core_1.ViewEncapsulation.None,
      host: {'[class.statusbar-padding]': '_sbPadding'}
    }), __param(5, core_1.Optional()), __param(6, core_1.Optional()), __metadata('design:paramtypes', [core_1.ElementRef, config_1.Config, app_1.App, keyboard_1.Keyboard, core_1.NgZone, view_controller_1.ViewController, tabs_1.Tabs])], Content);
    return Content;
  }(ion_1.Ion));
  exports.Content = Content;
  function parsePxUnit(val) {
    return (val.indexOf('px') > 0) ? parseInt(val, 10) : 0;
  }
  return module.exports;
});

System.registerDynamic("ionic-angular/util/dom.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  (function() {
    var rafLastTime = 0;
    var win = window;
    if (!win.requestAnimationFrame) {
      win.requestAnimationFrame = function(callback) {
        var currTime = Date.now();
        var timeToCall = Math.max(0, 16 - (currTime - rafLastTime));
        var id = window.setTimeout(function() {
          callback(currTime + timeToCall);
        }, timeToCall);
        rafLastTime = currTime + timeToCall;
        return id;
      };
    }
    if (!win.cancelAnimationFrame) {
      win.cancelAnimationFrame = function(id) {
        clearTimeout(id);
      };
    }
  })();
  var originalRaf = (window[window['Zone']['__symbol__']('requestAnimationFrame')] || window[window['Zone']['__symbol__']('webkitRequestAnimationFrame')]);
  exports.nativeRaf = originalRaf !== undefined ? originalRaf['bind'](window) : window.requestAnimationFrame.bind(window);
  exports.raf = window.requestAnimationFrame.bind(window);
  exports.cancelRaf = window.cancelAnimationFrame.bind(window);
  exports.nativeTimeout = window[window['Zone']['__symbol__']('setTimeout')]['bind'](window);
  exports.clearNativeTimeout = window[window['Zone']['__symbol__']('clearTimeout')]['bind'](window);
  function rafFrames(framesToWait, callback) {
    framesToWait = Math.ceil(framesToWait);
    if (framesToWait < 2) {
      exports.nativeRaf(callback);
    } else {
      exports.nativeTimeout(function() {
        exports.nativeRaf(callback);
      }, (framesToWait - 1) * 16.6667);
    }
  }
  exports.rafFrames = rafFrames;
  exports.CSS = {};
  (function() {
    var i;
    var keys = ['webkitTransform', 'transform', '-webkit-transform', 'webkit-transform', '-moz-transform', 'moz-transform', 'MozTransform', 'mozTransform', 'msTransform'];
    for (i = 0; i < keys.length; i++) {
      if (document.documentElement.style[keys[i]] !== undefined) {
        exports.CSS.transform = keys[i];
        break;
      }
    }
    keys = ['webkitTransition', 'mozTransition', 'msTransition', 'transition'];
    for (i = 0; i < keys.length; i++) {
      if (document.documentElement.style[keys[i]] !== undefined) {
        exports.CSS.transition = keys[i];
        break;
      }
    }
    var isWebkit = exports.CSS.transition.indexOf('webkit') > -1;
    exports.CSS.transitionDuration = (isWebkit ? '-webkit-' : '') + 'transition-duration';
    exports.CSS.transitionTimingFn = (isWebkit ? '-webkit-' : '') + 'transition-timing-function';
    exports.CSS.transitionDelay = (isWebkit ? '-webkit-' : '') + 'transition-delay';
    exports.CSS.transitionEnd = (isWebkit ? 'webkitTransitionEnd ' : '') + 'transitionend';
    exports.CSS.transformOrigin = (isWebkit ? '-webkit-' : '') + 'transform-origin';
  })();
  function transitionEnd(el, callback) {
    if (el) {
      exports.CSS.transitionEnd.split(' ').forEach(function(eventName) {
        el.addEventListener(eventName, onEvent);
      });
      return unregister;
    }
    function unregister() {
      exports.CSS.transitionEnd.split(' ').forEach(function(eventName) {
        el.removeEventListener(eventName, onEvent);
      });
    }
    function onEvent(ev) {
      if (el === ev.target) {
        unregister();
        callback(ev);
      }
    }
  }
  exports.transitionEnd = transitionEnd;
  function ready(callback) {
    var promise = null;
    if (!callback) {
      promise = new Promise(function(resolve) {
        callback = resolve;
      });
    }
    if (document.readyState === 'complete' || document.readyState === 'interactive') {
      callback();
    } else {
      document.addEventListener('DOMContentLoaded', completed, false);
      window.addEventListener('load', completed, false);
    }
    return promise;
    function completed() {
      document.removeEventListener('DOMContentLoaded', completed, false);
      window.removeEventListener('load', completed, false);
      callback();
    }
  }
  exports.ready = ready;
  function windowLoad(callback) {
    var promise = null;
    if (!callback) {
      promise = new Promise(function(resolve) {
        callback = resolve;
      });
    }
    if (document.readyState === 'complete') {
      callback();
    } else {
      window.addEventListener('load', completed, false);
    }
    return promise;
    function completed() {
      window.removeEventListener('load', completed, false);
      callback();
    }
  }
  exports.windowLoad = windowLoad;
  function pointerCoord(ev) {
    var c = {
      x: 0,
      y: 0
    };
    if (ev) {
      var touches = ev.touches && ev.touches.length ? ev.touches : [ev];
      var e = (ev.changedTouches && ev.changedTouches[0]) || touches[0];
      if (e) {
        c.x = e.clientX || e.pageX || 0;
        c.y = e.clientY || e.pageY || 0;
      }
    }
    return c;
  }
  exports.pointerCoord = pointerCoord;
  function hasPointerMoved(threshold, startCoord, endCoord) {
    var deltaX = (startCoord.x - endCoord.x);
    var deltaY = (startCoord.y - endCoord.y);
    var distance = deltaX * deltaX + deltaY * deltaY;
    return distance > (threshold * threshold);
  }
  exports.hasPointerMoved = hasPointerMoved;
  function isActive(ele) {
    return !!(ele && (document.activeElement === ele));
  }
  exports.isActive = isActive;
  function hasFocus(ele) {
    return isActive(ele) && (ele.parentElement.querySelector(':focus') === ele);
  }
  exports.hasFocus = hasFocus;
  function isTextInput(ele) {
    return !!ele && (ele.tagName === 'TEXTAREA' || ele.contentEditable === 'true' || (ele.tagName === 'INPUT' && !(/^(radio|checkbox|range|file|submit|reset|color|image|button)$/i).test(ele.type)));
  }
  exports.isTextInput = isTextInput;
  function hasFocusedTextInput() {
    var ele = document.activeElement;
    if (isTextInput(ele)) {
      return (ele.parentElement.querySelector(':focus') === ele);
    }
    return false;
  }
  exports.hasFocusedTextInput = hasFocusedTextInput;
  var skipInputAttrsReg = /^(value|checked|disabled|type|class|style|id|autofocus|autocomplete|autocorrect)$/i;
  function copyInputAttributes(srcElement, destElement) {
    var attrs = srcElement.attributes;
    for (var i = 0; i < attrs.length; i++) {
      var attr = attrs[i];
      if (!skipInputAttrsReg.test(attr.name)) {
        destElement.setAttribute(attr.name, attr.value);
      }
    }
  }
  exports.copyInputAttributes = copyInputAttributes;
  var matchesFn;
  var matchesMethods = ['matches', 'webkitMatchesSelector', 'mozMatchesSelector', 'msMatchesSelector'];
  matchesMethods.some(function(fn) {
    if (typeof document.documentElement[fn] === 'function') {
      matchesFn = fn;
      return true;
    }
  });
  function closest(ele, selector, checkSelf) {
    if (ele && matchesFn) {
      ele = (checkSelf ? ele : ele.parentElement);
      while (ele !== null) {
        if (ele[matchesFn](selector)) {
          return ele;
        }
        ele = ele.parentElement;
      }
    }
    return null;
  }
  exports.closest = closest;
  function getDimensions(ele, id) {
    var dimensions = dimensionCache[id];
    if (!dimensions) {
      if (ele.offsetWidth && ele.offsetHeight) {
        dimensions = dimensionCache[id] = {
          width: ele.offsetWidth,
          height: ele.offsetHeight,
          left: ele.offsetLeft,
          top: ele.offsetTop
        };
      } else {
        return {
          width: 0,
          height: 0,
          left: 0,
          top: 0
        };
      }
    }
    return dimensions;
  }
  exports.getDimensions = getDimensions;
  function clearDimensions(id) {
    delete dimensionCache[id];
  }
  exports.clearDimensions = clearDimensions;
  function windowDimensions() {
    if (!dimensionCache.win) {
      if (window.innerWidth && window.innerHeight) {
        dimensionCache.win = {
          width: window.innerWidth,
          height: window.innerHeight
        };
      } else {
        return {
          width: 0,
          height: 0
        };
      }
    }
    return dimensionCache.win;
  }
  exports.windowDimensions = windowDimensions;
  function flushDimensionCache() {
    dimensionCache = {};
  }
  exports.flushDimensionCache = flushDimensionCache;
  var dimensionCache = {};
  return module.exports;
});

System.registerDynamic("ionic-angular/util/util.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  function noop() {}
  exports.noop = noop;
  function clamp(min, n, max) {
    return Math.max(min, Math.min(n, max));
  }
  exports.clamp = clamp;
  function assign() {
    var args = [];
    for (var _i = 0; _i < arguments.length; _i++) {
      args[_i - 0] = arguments[_i];
    }
    if (typeof Object.assign !== 'function') {
      return _baseExtend(args[0], [].slice.call(args, 1), false);
    }
    return Object.assign.apply(null, args);
  }
  exports.assign = assign;
  function merge(dst) {
    var args = [];
    for (var _i = 1; _i < arguments.length; _i++) {
      args[_i - 1] = arguments[_i];
    }
    return _baseExtend(dst, [].slice.call(arguments, 1), true);
  }
  exports.merge = merge;
  function _baseExtend(dst, objs, deep) {
    for (var i = 0,
        ii = objs.length; i < ii; ++i) {
      var obj = objs[i];
      if (!obj || !exports.isObject(obj) && !exports.isFunction(obj))
        continue;
      var keys = Object.keys(obj);
      for (var j = 0,
          jj = keys.length; j < jj; j++) {
        var key = keys[j];
        var src = obj[key];
        if (deep && exports.isObject(src)) {
          if (!exports.isObject(dst[key]))
            dst[key] = exports.isArray(src) ? [] : {};
          _baseExtend(dst[key], [src], true);
        } else {
          dst[key] = src;
        }
      }
    }
    return dst;
  }
  function debounce(fn, wait, immediate) {
    if (immediate === void 0) {
      immediate = false;
    }
    var timeout,
        args,
        context,
        timestamp,
        result;
    return function() {
      context = this;
      args = arguments;
      timestamp = Date.now();
      var later = function() {
        var last = Date.now() - timestamp;
        if (last < wait) {
          timeout = setTimeout(later, wait - last);
        } else {
          timeout = null;
          if (!immediate)
            result = fn.apply(context, args);
        }
      };
      var callNow = immediate && !timeout;
      if (!timeout) {
        timeout = setTimeout(later, wait);
      }
      if (callNow)
        result = fn.apply(context, args);
      return result;
    };
  }
  exports.debounce = debounce;
  function defaults(dest) {
    var args = [];
    for (var _i = 1; _i < arguments.length; _i++) {
      args[_i - 1] = arguments[_i];
    }
    for (var i = arguments.length - 1; i >= 1; i--) {
      var source = arguments[i] || {};
      for (var key in source) {
        if (source.hasOwnProperty(key) && !dest.hasOwnProperty(key)) {
          dest[key] = source[key];
        }
      }
    }
    return dest;
  }
  exports.defaults = defaults;
  exports.isBoolean = function(val) {
    return typeof val === 'boolean';
  };
  exports.isString = function(val) {
    return typeof val === 'string';
  };
  exports.isNumber = function(val) {
    return typeof val === 'number';
  };
  exports.isFunction = function(val) {
    return typeof val === 'function';
  };
  exports.isDefined = function(val) {
    return typeof val !== 'undefined';
  };
  exports.isUndefined = function(val) {
    return typeof val === 'undefined';
  };
  exports.isPresent = function(val) {
    return val !== undefined && val !== null;
  };
  exports.isBlank = function(val) {
    return val === undefined || val === null;
  };
  exports.isObject = function(val) {
    return typeof val === 'object';
  };
  exports.isArray = Array.isArray;
  exports.isPrimitive = function(val) {
    return exports.isString(val) || exports.isBoolean(val) || (exports.isNumber(val) && !isNaN(val));
  };
  exports.isTrueProperty = function(val) {
    if (typeof val === 'string') {
      val = val.toLowerCase().trim();
      return (val === 'true' || val === 'on' || val === '');
    }
    return !!val;
  };
  exports.isCheckedProperty = function(a, b) {
    if (a === undefined || a === null || a === '') {
      return (b === undefined || b === null || b === '');
    } else if (a === true || a === 'true') {
      return (b === true || b === 'true');
    } else if (a === false || a === 'false') {
      return (b === false || b === 'false');
    } else if (a === 0 || a === '0') {
      return (b === 0 || b === '0');
    }
    return (a == b);
  };
  function pascalCaseToDashCase(val) {
    if (val === void 0) {
      val = '';
    }
    return val.charAt(0).toLowerCase() + val.substring(1).replace(/[A-Z]/g, function(match) {
      return '-' + match.toLowerCase();
    });
  }
  exports.pascalCaseToDashCase = pascalCaseToDashCase;
  var uid = 0;
  function nextUid() {
    return ++uid;
  }
  exports.nextUid = nextUid;
  function getQuerystring(url) {
    var queryParams = {};
    if (url) {
      var startIndex = url.indexOf('?');
      if (startIndex !== -1) {
        var queries = url.slice(startIndex + 1).split('&');
        for (var i = 0; i < queries.length; i++) {
          if (queries[i].indexOf('=') > 0) {
            var split = queries[i].split('=');
            if (split.length > 1) {
              queryParams[split[0].toLowerCase()] = split[1].split('#')[0];
            }
          }
        }
      }
    }
    return queryParams;
  }
  exports.getQuerystring = getQuerystring;
  function reorderArray(array, indexes) {
    var element = array[indexes.from];
    array.splice(indexes.from, 1);
    array.splice(indexes.to, 0, element);
    return array;
  }
  exports.reorderArray = reorderArray;
  return module.exports;
});

System.registerDynamic("ionic-angular/animations/animation.js", ["../util/dom", "../util/util"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var dom_1 = $__require('../util/dom');
  var util_1 = $__require('../util/util');
  var Animation = (function() {
    function Animation(ele, opts) {
      if (opts === void 0) {
        opts = {};
      }
      this._c = [];
      this._el = [];
      this._fx = {};
      this._dur = null;
      this._easing = null;
      this._bfSty = {};
      this._bfAdd = [];
      this._bfRmv = [];
      this._afSty = {};
      this._afAdd = [];
      this._afRmv = [];
      this._bfReadFns = [];
      this._bfWriteFns = [];
      this._fFns = [];
      this._fOnceFns = [];
      this._rv = false;
      this._lastUpd = 0;
      this.isPlaying = false;
      this.hasTween = false;
      this.hasCompleted = false;
      this.element(ele);
      this._opts = util_1.assign({renderDelay: 24}, opts);
    }
    Animation.prototype._reset = function() {
      this._fx = {};
      this._bfSty = {};
      this._afSty = {};
      this._el.length = this._c.length = this._bfAdd.length = this._bfRmv.length = this._afAdd.length = this._afRmv.length = this._fFns.length = this._bfReadFns.length = this._bfWriteFns.length = this._fOnceFns.length = 0;
      this._easing = this._dur = null;
    };
    Animation.prototype.element = function(ele) {
      var i;
      if (ele) {
        if (typeof ele === 'string') {
          ele = document.querySelectorAll(ele);
          for (i = 0; i < ele.length; i++) {
            this._addEle(ele[i]);
          }
        } else if (ele.length) {
          for (i = 0; i < ele.length; i++) {
            this._addEle(ele[i]);
          }
        } else {
          this._addEle(ele);
        }
      }
      return this;
    };
    Animation.prototype._addEle = function(ele) {
      if (ele.nativeElement) {
        ele = ele.nativeElement;
      }
      if (ele.nodeType === 1) {
        this._el.push(ele);
      }
    };
    Animation.prototype.parent = function(parentAnimation) {
      this._parent = parentAnimation;
      return this;
    };
    Animation.prototype.add = function(childAnimation) {
      childAnimation.parent(this);
      this._c.push(childAnimation);
      return this;
    };
    Animation.prototype.getDuration = function() {
      return this._dur !== null ? this._dur : (this._parent && this._parent.getDuration()) || 0;
    };
    Animation.prototype.duration = function(milliseconds) {
      this._dur = milliseconds;
      return this;
    };
    Animation.prototype.getEasing = function() {
      return this._easing !== null ? this._easing : (this._parent && this._parent.getEasing()) || null;
    };
    Animation.prototype.easing = function(name) {
      this._easing = name;
      return this;
    };
    Animation.prototype.from = function(prop, val) {
      this._addProp('from', prop, val);
      return this;
    };
    Animation.prototype.to = function(prop, val, clearProperyAfterTransition) {
      var fx = this._addProp('to', prop, val);
      if (clearProperyAfterTransition) {
        this.after.clearStyles([fx.trans ? dom_1.CSS.transform : prop]);
      }
      return this;
    };
    Animation.prototype.fromTo = function(prop, fromVal, toVal, clearProperyAfterTransition) {
      return this.from(prop, fromVal).to(prop, toVal, clearProperyAfterTransition);
    };
    Animation.prototype._addProp = function(state, prop, val) {
      var fxProp = this._fx[prop];
      if (!fxProp) {
        fxProp = this._fx[prop] = {
          trans: (typeof TRANSFORMS[prop] !== 'undefined'),
          wc: ''
        };
        if (fxProp.trans) {
          fxProp.wc = dom_1.CSS.transform;
        } else if (prop === 'opacity') {
          fxProp.wc = prop;
        }
      }
      var fxState = fxProp[state] = {
        val: val,
        num: null,
        unit: ''
      };
      if (typeof val === 'string' && val.indexOf(' ') < 0) {
        var r = val.match(CSS_VALUE_REGEX);
        var num = parseFloat(r[1]);
        if (!isNaN(num)) {
          fxState.num = num;
        }
        fxState.unit = (r[0] !== r[2] ? r[2] : '');
      } else if (typeof val === 'number') {
        fxState.num = val;
      }
      return fxProp;
    };
    Object.defineProperty(Animation.prototype, "before", {
      get: function() {
        var _this = this;
        return {
          addClass: function(className) {
            _this._bfAdd.push(className);
            return _this;
          },
          removeClass: function(className) {
            _this._bfRmv.push(className);
            return _this;
          },
          setStyles: function(styles) {
            _this._bfSty = styles;
            return _this;
          },
          clearStyles: function(propertyNames) {
            for (var i = 0; i < propertyNames.length; i++) {
              _this._bfSty[propertyNames[i]] = '';
            }
            return _this;
          },
          addDomReadFn: function(domReadFn) {
            _this._bfReadFns.push(domReadFn);
            return _this;
          },
          addDomWriteFn: function(domWriteFn) {
            _this._bfWriteFns.push(domWriteFn);
            return _this;
          }
        };
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Animation.prototype, "after", {
      get: function() {
        var _this = this;
        return {
          addClass: function(className) {
            _this._afAdd.push(className);
            return _this;
          },
          removeClass: function(className) {
            _this._afRmv.push(className);
            return _this;
          },
          setStyles: function(styles) {
            _this._afSty = styles;
            return _this;
          },
          clearStyles: function(propertyNames) {
            for (var i = 0; i < propertyNames.length; i++) {
              _this._afSty[propertyNames[i]] = '';
            }
            return _this;
          }
        };
      },
      enumerable: true,
      configurable: true
    });
    Animation.prototype.play = function(opts) {
      if (opts === void 0) {
        opts = {};
      }
      var self = this;
      var i;
      var dur = this._dur;
      if (util_1.isDefined(opts.duration)) {
        dur = opts.duration;
      }
      void 0;
      self.hasTween = false;
      self.hasCompleted = false;
      self.isPlaying = true;
      self._clearAsync();
      if (dur > 30) {
        self._progress(0);
        self._willChg(true);
        self._asyncEnd(dur, true);
        dom_1.rafFrames(self._opts.renderDelay / 16, function() {
          self._beforeReadFn();
          self._beforeWriteFn();
          self._before();
          self._setTrans(self._dur, false);
          dom_1.rafFrames(2, function() {
            self._progress(1);
          });
        });
      } else {
        dom_1.rafFrames(self._opts.renderDelay / 16, function() {
          self._beforeReadFn();
          self._beforeWriteFn();
          self._before();
          self._progress(1);
          self._after();
          self._didFinish(true);
        });
      }
    };
    Animation.prototype.stop = function(opts) {
      if (opts === void 0) {
        opts = {};
      }
      var self = this;
      var duration = util_1.isDefined(opts.duration) ? opts.duration : 0;
      var stepValue = util_1.isDefined(opts.stepValue) ? opts.stepValue : 1;
      this._clearAsync();
      self._progress(stepValue);
      if (duration > 30) {
        self._setTrans(duration, true);
        self._asyncEnd(duration, false);
      } else {
        self._after();
        self._didFinish(false);
      }
    };
    Animation.prototype._asyncEnd = function(duration, shouldComplete) {
      var self = this;
      function onTransitionEnd(ev) {
        void 0;
        self._clearAsync();
        self._after();
        self._willChg(false);
        self._didFinish(shouldComplete);
      }
      function onTransitionFallback() {
        void 0;
        self._tmr = 0;
        self._clearAsync();
        self._setTrans(0, true);
        self._progress(1);
        self._after();
        self._willChg(false);
        self._didFinish(shouldComplete);
      }
      self._unregTrans = dom_1.transitionEnd(self._transEl(), onTransitionEnd);
      self._tmr = dom_1.nativeTimeout(onTransitionFallback, duration + 400);
    };
    Animation.prototype._clearAsync = function() {
      this._unregTrans && this._unregTrans();
      if (this._tmr) {
        clearTimeout(this._tmr);
        this._tmr = 0;
      }
    };
    Animation.prototype._progress = function(stepValue) {
      var i;
      var prop;
      var fx;
      var val;
      var transforms;
      var tweenEffect;
      for (i = 0; i < this._c.length; i++) {
        this._c[i]._progress(stepValue);
      }
      if (this._el.length) {
        if (this._rv) {
          stepValue = ((stepValue * -1) + 1);
        }
        transforms = [];
        for (prop in this._fx) {
          fx = this._fx[prop];
          if (fx.from && fx.to) {
            tweenEffect = (fx.from.num !== fx.to.num);
            if (tweenEffect) {
              this.hasTween = true;
            }
            if (stepValue === 0) {
              val = fx.from.val;
            } else if (stepValue === 1) {
              val = fx.to.val;
            } else if (tweenEffect) {
              val = (((fx.to.num - fx.from.num) * stepValue) + fx.from.num) + fx.to.unit;
            } else {
              val = null;
            }
            if (val !== null) {
              if (fx.trans) {
                transforms.push(prop + '(' + val + ')');
              } else {
                for (i = 0; i < this._el.length; i++) {
                  this._el[i].style[prop] = val;
                }
              }
            }
          }
        }
        if (transforms.length) {
          if (!SUPPORTS_WILL_CHANGE) {
            transforms.push('translateZ(0px)');
          }
          for (i = 0; i < this._el.length; i++) {
            this._el[i].style[dom_1.CSS.transform] = transforms.join(' ');
          }
        }
      }
    };
    Animation.prototype._setTrans = function(duration, forcedLinearEasing) {
      var i;
      var easing;
      for (i = 0; i < this._c.length; i++) {
        this._c[i]._setTrans(duration, forcedLinearEasing);
      }
      if (Object.keys(this._fx).length) {
        easing = (forcedLinearEasing ? 'linear' : this.getEasing());
        for (i = 0; i < this._el.length; i++) {
          if (duration > 0) {
            this._el[i].style[dom_1.CSS.transition] = '';
            this._el[i].style[dom_1.CSS.transitionDuration] = duration + 'ms';
            if (easing) {
              this._el[i].style[dom_1.CSS.transitionTimingFn] = easing;
            }
          } else {
            this._el[i].style[dom_1.CSS.transition] = 'none';
          }
        }
      }
    };
    Animation.prototype._willChg = function(addWillChange) {
      var i;
      var wc;
      var prop;
      for (i = 0; i < this._c.length; i++) {
        this._c[i]._willChg(addWillChange);
      }
      if (SUPPORTS_WILL_CHANGE) {
        wc = [];
        if (addWillChange) {
          for (prop in this._fx) {
            if (this._fx[prop].wc !== '') {
              if (this._fx[prop].wc === 'webkitTransform') {
                wc.push('transform', '-webkit-transform');
              } else {
                wc.push(this._fx[prop].wc);
              }
            }
          }
        }
        for (i = 0; i < this._el.length; i++) {
          this._el[i].style['willChange'] = wc.join(',');
        }
      }
    };
    Animation.prototype._before = function() {
      var i;
      var j;
      var prop;
      var ele;
      for (i = 0; i < this._c.length; i++) {
        this._c[i]._before();
      }
      if (!this._rv) {
        for (i = 0; i < this._el.length; i++) {
          ele = this._el[i];
          for (j = 0; j < this._bfAdd.length; j++) {
            ele.classList.add(this._bfAdd[j]);
          }
          for (j = 0; j < this._bfRmv.length; j++) {
            ele.classList.remove(this._bfRmv[j]);
          }
          for (prop in this._bfSty) {
            ele.style[prop] = this._bfSty[prop];
          }
        }
      }
    };
    Animation.prototype._beforeReadFn = function() {
      var i;
      for (i = 0; i < this._c.length; i++) {
        this._c[i]._beforeReadFn();
      }
      for (i = 0; i < this._bfReadFns.length; i++) {
        this._bfReadFns[i]();
      }
    };
    Animation.prototype._beforeWriteFn = function() {
      var i;
      for (i = 0; i < this._c.length; i++) {
        this._c[i]._beforeWriteFn();
      }
      for (i = 0; i < this._bfReadFns.length; i++) {
        this._bfWriteFns[i]();
      }
    };
    Animation.prototype._after = function() {
      var i;
      var j;
      var prop;
      var ele;
      for (i = 0; i < this._c.length; i++) {
        this._c[i]._after();
      }
      for (i = 0; i < this._el.length; i++) {
        ele = this._el[i];
        ele.style[dom_1.CSS.transitionDuration] = '';
        ele.style[dom_1.CSS.transitionTimingFn] = '';
        if (this._rv) {
          for (j = 0; j < this._bfAdd.length; j++) {
            ele.classList.remove(this._bfAdd[j]);
          }
          for (j = 0; j < this._bfRmv.length; j++) {
            ele.classList.add(this._bfRmv[j]);
          }
          for (prop in this._bfSty) {
            ele.style[prop] = '';
          }
        } else {
          for (j = 0; j < this._afAdd.length; j++) {
            ele.classList.add(this._afAdd[j]);
          }
          for (j = 0; j < this._afRmv.length; j++) {
            ele.classList.remove(this._afRmv[j]);
          }
          for (prop in this._afSty) {
            ele.style[prop] = this._afSty[prop];
          }
        }
      }
    };
    Animation.prototype.progressStart = function() {
      for (var i = 0; i < this._c.length; i++) {
        this._c[i].progressStart();
      }
      this._willChg(true);
      this._before();
      this._setTrans(0, true);
    };
    Animation.prototype.progressStep = function(stepValue) {
      var now = Date.now();
      if (now - 16 > this._lastUpd) {
        this._lastUpd = now;
        stepValue = Math.min(1, Math.max(0, stepValue));
        for (var i = 0; i < this._c.length; i++) {
          this._c[i].progressStep(stepValue);
        }
        if (this._rv) {
          stepValue = ((stepValue * -1) + 1);
        }
        this._progress(stepValue);
      }
    };
    Animation.prototype.progressEnd = function(shouldComplete, currentStepValue) {
      void 0;
      for (var i = 0; i < this._c.length; i++) {
        this._c[i].progressEnd(shouldComplete, currentStepValue);
      }
      this._progress(shouldComplete ? 1 : 0);
      if (currentStepValue < 0.05 || currentStepValue > 0.95) {
        this._after();
        this._willChg(false);
        this._didFinish(shouldComplete);
      } else {
        this._asyncEnd(64, shouldComplete);
        this._setTrans(64, true);
      }
    };
    Animation.prototype.onFinish = function(callback, onceTimeCallback, clearOnFinishCallacks) {
      if (onceTimeCallback === void 0) {
        onceTimeCallback = false;
      }
      if (clearOnFinishCallacks === void 0) {
        clearOnFinishCallacks = false;
      }
      if (clearOnFinishCallacks) {
        this._fFns = [];
        this._fOnceFns = [];
      }
      if (onceTimeCallback) {
        this._fOnceFns.push(callback);
      } else {
        this._fFns.push(callback);
      }
      return this;
    };
    Animation.prototype._didFinish = function(hasCompleted) {
      this.isPlaying = false;
      this.hasCompleted = hasCompleted;
      var i;
      for (i = 0; i < this._fFns.length; i++) {
        this._fFns[i](this);
      }
      for (i = 0; i < this._fOnceFns.length; i++) {
        this._fOnceFns[i](this);
      }
      this._fOnceFns = [];
    };
    Animation.prototype.reverse = function(shouldReverse) {
      if (shouldReverse === void 0) {
        shouldReverse = true;
      }
      for (var i = 0; i < this._c.length; i++) {
        this._c[i].reverse(shouldReverse);
      }
      this._rv = shouldReverse;
      return this;
    };
    Animation.prototype.destroy = function(removeElement) {
      var i;
      var ele;
      for (i = 0; i < this._c.length; i++) {
        this._c[i].destroy(removeElement);
      }
      if (removeElement) {
        for (i = 0; i < this._el.length; i++) {
          ele = this._el[i];
          ele.parentNode && ele.parentNode.removeChild(ele);
        }
      }
      this._clearAsync();
      this._reset();
    };
    Animation.prototype._transEl = function() {
      var i;
      var targetEl;
      for (i = 0; i < this._c.length; i++) {
        targetEl = this._c[i]._transEl();
        if (targetEl) {
          return targetEl;
        }
      }
      return (this.hasTween && this._el.length ? this._el[0] : null);
    };
    Animation.create = function(name, opts) {
      if (opts === void 0) {
        opts = {};
      }
      var AnimationClass = AnimationRegistry[name];
      if (!AnimationClass) {
        AnimationClass = Animation;
      }
      return new AnimationClass(null, opts);
    };
    Animation.register = function(name, AnimationClass) {
      AnimationRegistry[name] = AnimationClass;
    };
    return Animation;
  }());
  exports.Animation = Animation;
  var TRANSFORMS = {
    'translateX': 1,
    'translateY': 1,
    'translateZ': 1,
    'scale': 1,
    'scaleX': 1,
    'scaleY': 1,
    'scaleZ': 1,
    'rotate': 1,
    'rotateX': 1,
    'rotateY': 1,
    'rotateZ': 1,
    'skewX': 1,
    'skewY': 1,
    'perspective': 1
  };
  var CSS_VALUE_REGEX = /(^-?\d*\.?\d*)(.*)/;
  var SUPPORTS_WILL_CHANGE = (typeof document.documentElement.style['willChange'] !== 'undefined');
  var AnimationRegistry = {};
  return module.exports;
});

System.registerDynamic("ionic-angular/transitions/transition.js", ["../animations/animation"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var animation_1 = $__require('../animations/animation');
  var Transition = (function(_super) {
    __extends(Transition, _super);
    function Transition(enteringView, leavingView, opts) {
      _super.call(this, null, {renderDelay: opts.renderDelay});
      this.enteringView = enteringView;
    }
    Transition.createTransition = function(enteringView, leavingView, opts) {
      var TransitionClass = TransitionRegistry[opts.animation];
      if (!TransitionClass) {
        TransitionClass = TransitionRegistry['ios-transition'];
      }
      return new TransitionClass(enteringView, leavingView, opts);
    };
    Transition.register = function(name, TransitionClass) {
      TransitionRegistry[name] = TransitionClass;
    };
    return Transition;
  }(animation_1.Animation));
  exports.Transition = Transition;
  var TransitionRegistry = {};
  return module.exports;
});

System.registerDynamic("ionic-angular/transitions/page-transition.js", ["../animations/animation", "../components/content/content", "./transition"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var animation_1 = $__require('../animations/animation');
  var content_1 = $__require('../components/content/content');
  var transition_1 = $__require('./transition');
  var PageTransition = (function(_super) {
    __extends(PageTransition, _super);
    function PageTransition(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      this.enteringPage = new animation_1.Animation(this.enteringView.pageRef());
      this.enteringPage.before.addClass('show-page');
      this.add(this.enteringPage);
      this.before.addDomReadFn(this.readDimensions.bind(this));
      this.before.addDomWriteFn(this.writeDimensions.bind(this));
    }
    PageTransition.prototype.readDimensions = function() {
      var content = this.enteringView.getContent();
      if (content && content instanceof content_1.Content) {
        content.readDimensions();
      }
    };
    PageTransition.prototype.writeDimensions = function() {
      var content = this.enteringView.getContent();
      if (content && content instanceof content_1.Content) {
        content.writeDimensions();
      }
    };
    PageTransition.prototype.destroy = function() {
      _super.prototype.destroy.call(this);
      this.enteringView = this.enteringPage = null;
    };
    return PageTransition;
  }(transition_1.Transition));
  exports.PageTransition = PageTransition;
  function parsePxUnit(val) {
    return (val.indexOf('px') > 0) ? parseInt(val, 10) : 0;
  }
  return module.exports;
});

System.registerDynamic("ionic-angular/transitions/transition-wp.js", ["../animations/animation", "./page-transition"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var animation_1 = $__require('../animations/animation');
  var page_transition_1 = $__require('./page-transition');
  var SHOW_BACK_BTN_CSS = 'show-back-button';
  var SCALE_SMALL = .95;
  var WPTransition = (function(_super) {
    __extends(WPTransition, _super);
    function WPTransition(enteringView, leavingView, opts) {
      _super.call(this, enteringView, leavingView, opts);
      var backDirection = (opts.direction === 'back');
      var enteringHasNavbar = enteringView.hasNavbar();
      var leavingHasNavbar = leavingView && leavingView.hasNavbar();
      if (backDirection) {
        this.duration(opts.duration || 120).easing('cubic-bezier(0.47,0,0.745,0.715)');
        this.enteringPage.before.clearStyles(['scale']);
      } else {
        this.duration(opts.duration || 280).easing('cubic-bezier(0,0 0.05,1)');
        this.enteringPage.fromTo('scale', SCALE_SMALL, 1, true).fromTo('opacity', 0.01, 1, true);
      }
      if (enteringHasNavbar) {
        var enteringNavBar = new animation_1.Animation(enteringView.navbarRef());
        enteringNavBar.before.addClass('show-navbar');
        this.add(enteringNavBar);
        var enteringBackButton = new animation_1.Animation(enteringView.backBtnRef());
        this.add(enteringBackButton);
        if (enteringView.enableBack()) {
          enteringBackButton.before.addClass(SHOW_BACK_BTN_CSS);
        } else {
          enteringBackButton.before.removeClass(SHOW_BACK_BTN_CSS);
        }
      }
      if (leavingView && backDirection) {
        this.duration(opts.duration || 200).easing('cubic-bezier(0.47,0,0.745,0.715)');
        var leavingPage = new animation_1.Animation(leavingView.pageRef());
        this.add(leavingPage.fromTo('scale', 1, SCALE_SMALL).fromTo('opacity', 0.99, 0));
      }
    }
    return WPTransition;
  }(page_transition_1.PageTransition));
  page_transition_1.PageTransition.register('wp-transition', WPTransition);
  return module.exports;
});

System.registerDynamic("ionic-angular", ["./config/bootstrap", "./config/config", "./config/directives", "./config/providers", "./decorators/page", "./components", "./gestures/drag-gesture", "./gestures/gesture", "./gestures/slide-edge-gesture", "./gestures/slide-gesture", "./gestures/gesture-controller", "./platform/platform", "./platform/storage", "./util/click-block", "./util/events", "./util/keyboard", "./util/form", "./util/util", "./animations/animation", "./transitions/page-transition", "./transitions/transition", "./translation/translate", "./translation/translate_pipe", "./config/modes", "./platform/registry", "./animations/builtins", "./transitions/transition-ios", "./transitions/transition-md", "./transitions/transition-wp"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  function __export(m) {
    for (var p in m)
      if (!exports.hasOwnProperty(p))
        exports[p] = m[p];
  }
  var bootstrap_1 = $__require('./config/bootstrap');
  exports.ionicBootstrap = bootstrap_1.ionicBootstrap;
  exports.ionicPostBootstrap = bootstrap_1.ionicPostBootstrap;
  var config_1 = $__require('./config/config');
  exports.Config = config_1.Config;
  var directives_1 = $__require('./config/directives');
  exports.IONIC_DIRECTIVES = directives_1.IONIC_DIRECTIVES;
  var providers_1 = $__require('./config/providers');
  exports.ionicProviders = providers_1.ionicProviders;
  __export($__require('./decorators/page'));
  __export($__require('./components'));
  __export($__require('./gestures/drag-gesture'));
  __export($__require('./gestures/gesture'));
  __export($__require('./gestures/slide-edge-gesture'));
  __export($__require('./gestures/slide-gesture'));
  __export($__require('./gestures/gesture-controller'));
  __export($__require('./platform/platform'));
  __export($__require('./platform/storage'));
  __export($__require('./util/click-block'));
  __export($__require('./util/events'));
  __export($__require('./util/keyboard'));
  __export($__require('./util/form'));
  var util_1 = $__require('./util/util');
  exports.reorderArray = util_1.reorderArray;
  __export($__require('./animations/animation'));
  __export($__require('./transitions/page-transition'));
  __export($__require('./transitions/transition'));
  __export($__require('./translation/translate'));
  __export($__require('./translation/translate_pipe'));
  $__require('./config/modes');
  $__require('./platform/registry');
  $__require('./animations/builtins');
  $__require('./transitions/transition-ios');
  $__require('./transitions/transition-md');
  $__require('./transitions/transition-wp');
  return module.exports;
});

System.registerDynamic("ionic-native/dist/ng1.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  function initAngular1(plugins) {
    if (window.angular) {
      window.angular.module('ionic.native', []);
      for (var name in plugins) {
        var serviceName = '$cordova' + name;
        var cls = plugins[name];
        (function(serviceName, cls, name) {
          window.angular.module('ionic.native').service(serviceName, [function() {
            var funcs = window.angular.copy(cls);
            funcs.prototype['name'] = name;
            return funcs;
          }]);
        })(serviceName, cls, name);
      }
    }
  }
  exports.initAngular1 = initAngular1;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/actionsheet.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var ActionSheet = (function() {
    function ActionSheet() {}
    ActionSheet.show = function(options) {
      return;
    };
    ActionSheet.hide = function(options) {
      return;
    };
    __decorate([plugin_1.Cordova()], ActionSheet, "show", null);
    __decorate([plugin_1.Cordova()], ActionSheet, "hide", null);
    ActionSheet = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-actionsheet',
      pluginRef: 'plugins.actionsheet',
      repo: 'https://github.com/EddyVerbruggen/cordova-plugin-actionsheet',
      platforms: ['Android', 'iOS', 'Windows Phone 8']
    })], ActionSheet);
    return ActionSheet;
  }());
  exports.ActionSheet = ActionSheet;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/admob.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var AdMob = (function() {
    function AdMob() {}
    AdMob.createBanner = function(adIdOrOptions) {
      return;
    };
    AdMob.removeBanner = function() {};
    AdMob.showBanner = function(position) {};
    AdMob.showBannerAtXY = function(x, y) {};
    AdMob.hideBanner = function() {};
    AdMob.prepareInterstitial = function(adIdOrOptions) {
      return;
    };
    AdMob.showInterstitial = function() {};
    AdMob.isInterstitialReady = function() {
      return;
    };
    AdMob.prepareRewardVideoAd = function(adIdOrOptions) {
      return;
    };
    AdMob.showRewardVideoAd = function() {};
    AdMob.setOptions = function(options) {
      return;
    };
    AdMob.getAdSettings = function() {
      return;
    };
    AdMob.onBannerFailedToReceive = function() {
      return;
    };
    AdMob.onBannerReceive = function() {
      return;
    };
    AdMob.onBannerPresent = function() {
      return;
    };
    AdMob.onBannerLeaveApp = function() {
      return;
    };
    AdMob.onBannerDismiss = function() {
      return;
    };
    AdMob.onInterstitialFailedToReceive = function() {
      return;
    };
    AdMob.onInterstitialReceive = function() {
      return;
    };
    AdMob.onInterstitialPresent = function() {
      return;
    };
    AdMob.onInterstitialLeaveApp = function() {
      return;
    };
    AdMob.onInterstitialDismiss = function() {
      return;
    };
    __decorate([plugin_1.Cordova()], AdMob, "createBanner", null);
    __decorate([plugin_1.Cordova({sync: true})], AdMob, "removeBanner", null);
    __decorate([plugin_1.Cordova({sync: true})], AdMob, "showBanner", null);
    __decorate([plugin_1.Cordova({sync: true})], AdMob, "showBannerAtXY", null);
    __decorate([plugin_1.Cordova({sync: true})], AdMob, "hideBanner", null);
    __decorate([plugin_1.Cordova()], AdMob, "prepareInterstitial", null);
    __decorate([plugin_1.Cordova({sync: true})], AdMob, "showInterstitial", null);
    __decorate([plugin_1.Cordova()], AdMob, "isInterstitialReady", null);
    __decorate([plugin_1.Cordova()], AdMob, "prepareRewardVideoAd", null);
    __decorate([plugin_1.Cordova({sync: true})], AdMob, "showRewardVideoAd", null);
    __decorate([plugin_1.Cordova()], AdMob, "setOptions", null);
    __decorate([plugin_1.Cordova()], AdMob, "getAdSettings", null);
    __decorate([plugin_1.Cordova({
      eventObservable: true,
      event: 'onBannerFailedToReceive'
    })], AdMob, "onBannerFailedToReceive", null);
    __decorate([plugin_1.Cordova({
      eventObservable: true,
      event: 'onBannerReceive'
    })], AdMob, "onBannerReceive", null);
    __decorate([plugin_1.Cordova({
      eventObservable: true,
      event: 'onBannerPresent'
    })], AdMob, "onBannerPresent", null);
    __decorate([plugin_1.Cordova({
      eventObservable: true,
      event: 'onBannerLeaveApp'
    })], AdMob, "onBannerLeaveApp", null);
    __decorate([plugin_1.Cordova({
      eventObservable: true,
      event: 'onBannerDismiss'
    })], AdMob, "onBannerDismiss", null);
    __decorate([plugin_1.Cordova({
      eventObservable: true,
      event: 'onInterstitialFailedToReceive'
    })], AdMob, "onInterstitialFailedToReceive", null);
    __decorate([plugin_1.Cordova({
      eventObservable: true,
      event: 'onInterstitialReceive'
    })], AdMob, "onInterstitialReceive", null);
    __decorate([plugin_1.Cordova({
      eventObservable: true,
      event: 'onInterstitialPresent'
    })], AdMob, "onInterstitialPresent", null);
    __decorate([plugin_1.Cordova({
      eventObservable: true,
      event: 'onInterstitialLeaveApp'
    })], AdMob, "onInterstitialLeaveApp", null);
    __decorate([plugin_1.Cordova({
      eventObservable: true,
      event: 'onInterstitialDismiss'
    })], AdMob, "onInterstitialDismiss", null);
    AdMob = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-admobpro',
      pluginRef: 'AdMob',
      repo: 'https://github.com/floatinghotpot/cordova-admob-pro',
      platforms: ['Android', 'iOS', 'Windows Phone 8']
    })], AdMob);
    return AdMob;
  }());
  exports.AdMob = AdMob;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/android-fingerprint-auth.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var AndroidFingerprintAuth = (function() {
    function AndroidFingerprintAuth() {}
    AndroidFingerprintAuth.show = function(params) {
      return;
    };
    AndroidFingerprintAuth.isAvailable = function() {
      return;
    };
    __decorate([plugin_1.Cordova()], AndroidFingerprintAuth, "show", null);
    __decorate([plugin_1.Cordova()], AndroidFingerprintAuth, "isAvailable", null);
    AndroidFingerprintAuth = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-android-fingerprint-auth',
      pluginRef: 'FingerprintAuth',
      repo: 'https://github.com/mjwheatley/cordova-plugin-android-fingerprint-auth'
    })], AndroidFingerprintAuth);
    return AndroidFingerprintAuth;
  }());
  exports.AndroidFingerprintAuth = AndroidFingerprintAuth;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/appavailability.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var AppAvailability = (function() {
    function AppAvailability() {}
    AppAvailability.check = function(app) {
      return;
    };
    __decorate([plugin_1.Cordova()], AppAvailability, "check", null);
    AppAvailability = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-appavailability',
      pluginRef: 'appAvailability',
      repo: 'https://github.com/ohh2ahh/AppAvailability',
      platforms: ['Android', 'iOS']
    })], AppAvailability);
    return AppAvailability;
  }());
  exports.AppAvailability = AppAvailability;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/apprate.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var AppRate = (function() {
    function AppRate() {}
    Object.defineProperty(AppRate, "preferences", {
      get: function() {
        return window.AppRate.preferences;
      },
      enumerable: true,
      configurable: true
    });
    AppRate.promptForRating = function(immediately) {};
    ;
    __decorate([plugin_1.CordovaProperty], AppRate, "preferences", null);
    __decorate([plugin_1.Cordova()], AppRate, "promptForRating", null);
    AppRate = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-apprate',
      pluginRef: 'AppRate',
      repo: 'https://github.com/pushandplay/cordova-plugin-apprate',
      platforms: ['Android', 'iOS']
    })], AppRate);
    return AppRate;
  }());
  exports.AppRate = AppRate;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/appversion.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var AppVersion = (function() {
    function AppVersion() {}
    AppVersion.getAppName = function() {
      return;
    };
    AppVersion.getPackageName = function() {
      return;
    };
    AppVersion.getVersionCode = function() {
      return;
    };
    AppVersion.getVersionNumber = function() {
      return;
    };
    __decorate([plugin_1.Cordova()], AppVersion, "getAppName", null);
    __decorate([plugin_1.Cordova()], AppVersion, "getPackageName", null);
    __decorate([plugin_1.Cordova()], AppVersion, "getVersionCode", null);
    __decorate([plugin_1.Cordova()], AppVersion, "getVersionNumber", null);
    AppVersion = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-app-version',
      pluginRef: 'cordova.getAppVersion',
      repo: 'https://github.com/whiteoctober/cordova-plugin-app-version',
      platforms: ['Android', 'iOS']
    })], AppVersion);
    return AppVersion;
  }());
  exports.AppVersion = AppVersion;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/badge.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Badge = (function() {
    function Badge() {}
    Badge.clear = function() {
      return;
    };
    Badge.set = function(badgeNumber) {
      return;
    };
    Badge.get = function() {
      return;
    };
    Badge.increase = function(increaseBy) {
      return;
    };
    Badge.decrease = function(decreaseBy) {
      return;
    };
    Badge.hasPermission = function() {
      return;
    };
    Badge.registerPermission = function() {
      return;
    };
    __decorate([plugin_1.Cordova()], Badge, "clear", null);
    __decorate([plugin_1.Cordova()], Badge, "set", null);
    __decorate([plugin_1.Cordova()], Badge, "get", null);
    __decorate([plugin_1.Cordova()], Badge, "increase", null);
    __decorate([plugin_1.Cordova()], Badge, "decrease", null);
    __decorate([plugin_1.Cordova()], Badge, "hasPermission", null);
    __decorate([plugin_1.Cordova()], Badge, "registerPermission", null);
    Badge = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-badge',
      pluginRef: 'cordova.plugins.notification.badge',
      repo: 'https://github.com/katzer/cordova-plugin-badge',
      platforms: ['Android', 'iOS', 'Browser', 'Windows', 'Amazon FireOS', 'Windows Phone 8']
    })], Badge);
    return Badge;
  }());
  exports.Badge = Badge;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/background-geolocation.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var BackgroundGeolocation = (function() {
    function BackgroundGeolocation() {}
    BackgroundGeolocation.configure = function(callback, errorCallback, options) {
      return;
    };
    BackgroundGeolocation.start = function() {
      return;
    };
    BackgroundGeolocation.stop = function() {
      return;
    };
    BackgroundGeolocation.finish = function() {};
    BackgroundGeolocation.changePace = function(isMoving) {};
    BackgroundGeolocation.setConfig = function(options) {
      return;
    };
    BackgroundGeolocation.getStationaryLocation = function() {
      return;
    };
    BackgroundGeolocation.onStationary = function() {
      return;
    };
    BackgroundGeolocation.isLocationEnabled = function() {
      return;
    };
    BackgroundGeolocation.showLocationSettings = function() {};
    BackgroundGeolocation.watchLocationMode = function() {
      return;
    };
    BackgroundGeolocation.stopWatchingLocationMode = function() {};
    BackgroundGeolocation.getLocations = function() {
      return;
    };
    BackgroundGeolocation.deleteLocation = function(locationId) {
      return;
    };
    BackgroundGeolocation.deleteAllLocations = function() {
      return;
    };
    __decorate([plugin_1.Cordova({sync: true})], BackgroundGeolocation, "configure", null);
    __decorate([plugin_1.Cordova()], BackgroundGeolocation, "start", null);
    __decorate([plugin_1.Cordova()], BackgroundGeolocation, "stop", null);
    __decorate([plugin_1.Cordova()], BackgroundGeolocation, "finish", null);
    __decorate([plugin_1.Cordova()], BackgroundGeolocation, "changePace", null);
    __decorate([plugin_1.Cordova({callbackOrder: 'reverse'})], BackgroundGeolocation, "setConfig", null);
    __decorate([plugin_1.Cordova()], BackgroundGeolocation, "getStationaryLocation", null);
    __decorate([plugin_1.Cordova()], BackgroundGeolocation, "onStationary", null);
    __decorate([plugin_1.Cordova()], BackgroundGeolocation, "isLocationEnabled", null);
    __decorate([plugin_1.Cordova()], BackgroundGeolocation, "showLocationSettings", null);
    __decorate([plugin_1.Cordova()], BackgroundGeolocation, "watchLocationMode", null);
    __decorate([plugin_1.Cordova()], BackgroundGeolocation, "stopWatchingLocationMode", null);
    __decorate([plugin_1.Cordova()], BackgroundGeolocation, "getLocations", null);
    __decorate([plugin_1.Cordova()], BackgroundGeolocation, "deleteLocation", null);
    __decorate([plugin_1.Cordova()], BackgroundGeolocation, "deleteAllLocations", null);
    BackgroundGeolocation = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-mauron85-background-geolocation',
      pluginRef: 'backgroundGeolocation',
      repo: 'https://github.com/mauron85/cordova-plugin-background-geolocation',
      platforms: ['iOS', 'Android', 'Windows Phone 8']
    })], BackgroundGeolocation);
    return BackgroundGeolocation;
  }());
  exports.BackgroundGeolocation = BackgroundGeolocation;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/backgroundmode.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var BackgroundMode = (function() {
    function BackgroundMode() {}
    BackgroundMode.enable = function() {};
    BackgroundMode.disable = function() {};
    BackgroundMode.isEnabled = function() {
      return;
    };
    BackgroundMode.isActive = function() {
      return;
    };
    BackgroundMode.setDefaults = function(options) {};
    BackgroundMode.update = function(options) {};
    BackgroundMode.on = function(eventName, callback) {};
    __decorate([plugin_1.Cordova({sync: true})], BackgroundMode, "enable", null);
    __decorate([plugin_1.Cordova()], BackgroundMode, "disable", null);
    __decorate([plugin_1.Cordova()], BackgroundMode, "isEnabled", null);
    __decorate([plugin_1.Cordova()], BackgroundMode, "isActive", null);
    __decorate([plugin_1.Cordova({platforms: ['Android']})], BackgroundMode, "setDefaults", null);
    __decorate([plugin_1.Cordova({platforms: ['Android']})], BackgroundMode, "update", null);
    __decorate([plugin_1.Cordova({sync: true})], BackgroundMode, "on", null);
    BackgroundMode = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-background-mode',
      pluginRef: 'cordova.plugins.backgroundMode',
      repo: 'https://github.com/katzer/cordova-plugin-background-mode',
      platforms: ['Android', 'iOS', 'Windows Phone 8']
    })], BackgroundMode);
    return BackgroundMode;
  }());
  exports.BackgroundMode = BackgroundMode;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/barcodescanner.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var BarcodeScanner = (function() {
    function BarcodeScanner() {}
    BarcodeScanner.scan = function(options) {
      return;
    };
    BarcodeScanner.encode = function(type, data) {
      return;
    };
    BarcodeScanner.Encode = {
      TEXT_TYPE: 'TEXT_TYPE',
      EMAIL_TYPE: 'EMAIL_TYPE',
      PHONE_TYPE: 'PHONE_TYPE',
      SMS_TYPE: 'SMS_TYPE'
    };
    __decorate([plugin_1.Cordova({callbackOrder: 'reverse'})], BarcodeScanner, "scan", null);
    __decorate([plugin_1.Cordova()], BarcodeScanner, "encode", null);
    BarcodeScanner = __decorate([plugin_1.Plugin({
      plugin: 'phonegap-plugin-barcodescanner',
      pluginRef: 'cordova.plugins.barcodeScanner',
      repo: 'https://github.com/phonegap/phonegap-plugin-barcodescanner',
      platforms: ['Android', 'iOS', 'Windows Phone 8', 'Windows 10', 'Windows 8', 'BlackBerry 10', 'Browser']
    })], BarcodeScanner);
    return BarcodeScanner;
  }());
  exports.BarcodeScanner = BarcodeScanner;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/base64togallery.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Base64ToGallery = (function() {
    function Base64ToGallery() {}
    Base64ToGallery.base64ToGallery = function(data, options) {
      return;
    };
    __decorate([plugin_1.Cordova()], Base64ToGallery, "base64ToGallery", null);
    Base64ToGallery = __decorate([plugin_1.Plugin({
      plugin: 'cordova-base64-to-gallery',
      pluginRef: 'cordova',
      repo: 'https://github.com/Nexxa/cordova-base64-to-gallery',
      platforms: ['Android', 'iOS', 'Windows Phone 8']
    })], Base64ToGallery);
    return Base64ToGallery;
  }());
  exports.Base64ToGallery = Base64ToGallery;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/batterystatus.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var BatteryStatus = (function() {
    function BatteryStatus() {}
    BatteryStatus.onChange = function() {
      return;
    };
    BatteryStatus.onLow = function() {
      return;
    };
    BatteryStatus.onCritical = function() {
      return;
    };
    __decorate([plugin_1.Cordova({
      eventObservable: true,
      event: 'batterystatus'
    })], BatteryStatus, "onChange", null);
    __decorate([plugin_1.Cordova({
      eventObservable: true,
      event: 'batterylow'
    })], BatteryStatus, "onLow", null);
    __decorate([plugin_1.Cordova({
      eventObservable: true,
      event: 'batterycritical'
    })], BatteryStatus, "onCritical", null);
    BatteryStatus = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-battery-status',
      repo: 'https://github.com/apache/cordova-plugin-battery-status',
      platforms: ['Amazon Fire OS', 'iOS', 'Android', 'BlackBerry 10', 'Windows Phone 7', 'Windows Phone 8', 'Windows', 'Firefox OS', 'Browser']
    })], BatteryStatus);
    return BatteryStatus;
  }());
  exports.BatteryStatus = BatteryStatus;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/brightness.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Brightness = (function() {
    function Brightness() {}
    Brightness.setBrightness = function(value) {
      return;
    };
    Brightness.getBrightness = function() {
      return;
    };
    Brightness.setKeepScreenOn = function(value) {};
    __decorate([plugin_1.Cordova()], Brightness, "setBrightness", null);
    __decorate([plugin_1.Cordova()], Brightness, "getBrightness", null);
    __decorate([plugin_1.Cordova()], Brightness, "setKeepScreenOn", null);
    Brightness = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-brightness',
      pluginRef: 'cordova.plugins.brightness',
      repo: 'https://github.com/mgcrea/cordova-plugin-brightness',
      platforms: ['Android', 'iOS']
    })], Brightness);
    return Brightness;
  }());
  exports.Brightness = Brightness;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/ble.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var BLE = (function() {
    function BLE() {}
    BLE.scan = function(services, seconds) {
      return;
    };
    BLE.startScan = function(services) {
      return;
    };
    BLE.stopScan = function() {
      return;
    };
    BLE.connect = function(deviceId) {
      return;
    };
    BLE.disconnect = function(deviceId) {
      return;
    };
    BLE.read = function(deviceId, serviceUUID, characteristicUUID) {
      return;
    };
    ;
    BLE.write = function(deviceId, serviceUUID, characteristicUUID, value) {
      return;
    };
    BLE.writeWithoutResponse = function(deviceId, serviceUUID, characteristicUUID, value) {
      return;
    };
    BLE.startNotification = function(deviceId, serviceUUID, characteristicUUID) {
      return;
    };
    BLE.stopNotification = function(deviceId, serviceUUID, characteristicUUID) {
      return;
    };
    BLE.isConnected = function(deviceId) {
      return;
    };
    BLE.isEnabled = function() {
      return;
    };
    BLE.showBluetoothSettings = function() {
      return;
    };
    BLE.enable = function() {
      return;
    };
    __decorate([plugin_1.Cordova({observable: true})], BLE, "scan", null);
    __decorate([plugin_1.Cordova({
      observable: true,
      clearFunction: 'stopScan',
      clearWithArgs: true
    })], BLE, "startScan", null);
    __decorate([plugin_1.Cordova()], BLE, "stopScan", null);
    __decorate([plugin_1.Cordova({
      observable: true,
      clearFunction: 'disconnect',
      clearWithArgs: true
    })], BLE, "connect", null);
    __decorate([plugin_1.Cordova()], BLE, "disconnect", null);
    __decorate([plugin_1.Cordova()], BLE, "read", null);
    __decorate([plugin_1.Cordova()], BLE, "write", null);
    __decorate([plugin_1.Cordova()], BLE, "writeWithoutResponse", null);
    __decorate([plugin_1.Cordova({
      observable: true,
      clearFunction: 'stopNotification',
      clearWithArgs: true
    })], BLE, "startNotification", null);
    __decorate([plugin_1.Cordova()], BLE, "stopNotification", null);
    __decorate([plugin_1.Cordova()], BLE, "isConnected", null);
    __decorate([plugin_1.Cordova()], BLE, "isEnabled", null);
    __decorate([plugin_1.Cordova()], BLE, "showBluetoothSettings", null);
    __decorate([plugin_1.Cordova()], BLE, "enable", null);
    BLE = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-ble-central',
      pluginRef: 'ble',
      repo: 'https://github.com/don/cordova-plugin-ble-central',
      platforms: ['iOS', 'Android']
    })], BLE);
    return BLE;
  }());
  exports.BLE = BLE;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/bluetoothserial.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var BluetoothSerial = (function() {
    function BluetoothSerial() {}
    BluetoothSerial.connect = function(macAddress_or_uuid) {
      return;
    };
    BluetoothSerial.connectInsecure = function(macAddress) {
      return;
    };
    BluetoothSerial.write = function(data) {
      return;
    };
    BluetoothSerial.available = function() {
      return;
    };
    BluetoothSerial.read = function() {
      return;
    };
    BluetoothSerial.readUntil = function(delimiter) {
      return;
    };
    BluetoothSerial.subscribe = function(delimiter) {
      return;
    };
    BluetoothSerial.subscribeRawData = function() {
      return;
    };
    BluetoothSerial.clear = function() {
      return;
    };
    BluetoothSerial.list = function() {
      return;
    };
    BluetoothSerial.isEnabled = function() {
      return;
    };
    BluetoothSerial.isConnected = function() {
      return;
    };
    BluetoothSerial.readRSSI = function() {
      return;
    };
    BluetoothSerial.showBluetoothSettings = function() {
      return;
    };
    BluetoothSerial.enable = function() {
      return;
    };
    BluetoothSerial.discoverUnpaired = function() {
      return;
    };
    BluetoothSerial.setDeviceDiscoveredListener = function() {
      return;
    };
    BluetoothSerial.setName = function(newName) {};
    BluetoothSerial.setDiscoverable = function(discoverableDuration) {};
    __decorate([plugin_1.Cordova({
      platforms: ['Android', 'iOS', 'Windows Phone'],
      observable: true,
      clearFunction: 'disconnect'
    })], BluetoothSerial, "connect", null);
    __decorate([plugin_1.Cordova({
      platforms: ['Android'],
      observable: true,
      clearFunction: 'disconnect'
    })], BluetoothSerial, "connectInsecure", null);
    __decorate([plugin_1.Cordova({platforms: ['Android', 'iOS', 'Windows Phone']})], BluetoothSerial, "write", null);
    __decorate([plugin_1.Cordova({platforms: ['Android', 'iOS', 'Windows Phone']})], BluetoothSerial, "available", null);
    __decorate([plugin_1.Cordova({platforms: ['Android', 'iOS', 'Windows Phone']})], BluetoothSerial, "read", null);
    __decorate([plugin_1.Cordova({platforms: ['Android', 'iOS', 'Windows Phone']})], BluetoothSerial, "readUntil", null);
    __decorate([plugin_1.Cordova({
      platforms: ['Android', 'iOS', 'Windows Phone'],
      observable: true,
      clearFunction: 'unsubscribe'
    })], BluetoothSerial, "subscribe", null);
    __decorate([plugin_1.Cordova({
      platforms: ['Android', 'iOS', 'Windows Phone'],
      observable: true,
      clearFunction: 'unsubscribeRawData'
    })], BluetoothSerial, "subscribeRawData", null);
    __decorate([plugin_1.Cordova({platforms: ['Android', 'iOS', 'Windows Phone']})], BluetoothSerial, "clear", null);
    __decorate([plugin_1.Cordova({platforms: ['Android', 'iOS', 'Windows Phone']})], BluetoothSerial, "list", null);
    __decorate([plugin_1.Cordova({platforms: ['Android', 'iOS', 'Windows Phone']})], BluetoothSerial, "isEnabled", null);
    __decorate([plugin_1.Cordova({platforms: ['Android', 'iOS', 'Windows Phone']})], BluetoothSerial, "isConnected", null);
    __decorate([plugin_1.Cordova({platforms: ['Android', 'iOS', 'Windows Phone']})], BluetoothSerial, "readRSSI", null);
    __decorate([plugin_1.Cordova({platforms: ['Android', 'iOS', 'Windows Phone']})], BluetoothSerial, "showBluetoothSettings", null);
    __decorate([plugin_1.Cordova({platforms: ['Android', 'iOS', 'Windows Phone']})], BluetoothSerial, "enable", null);
    __decorate([plugin_1.Cordova({platforms: ['Android', 'iOS', 'Windows Phone']})], BluetoothSerial, "discoverUnpaired", null);
    __decorate([plugin_1.Cordova({
      platforms: ['Android', 'iOS', 'Windows Phone'],
      observable: true,
      clearFunction: 'clearDeviceDiscoveredListener'
    })], BluetoothSerial, "setDeviceDiscoveredListener", null);
    __decorate([plugin_1.Cordova({
      platforms: ['Android'],
      sync: true
    })], BluetoothSerial, "setName", null);
    __decorate([plugin_1.Cordova({
      platforms: ['Android'],
      sync: true
    })], BluetoothSerial, "setDiscoverable", null);
    BluetoothSerial = __decorate([plugin_1.Plugin({
      repo: 'https://github.com/don/BluetoothSerial',
      plugin: 'cordova-plugin-bluetooth-serial',
      pluginRef: 'bluetoothSerial',
      platforms: ['Android', 'iOS', 'Windows Phone', 'Browser']
    })], BluetoothSerial);
    return BluetoothSerial;
  }());
  exports.BluetoothSerial = BluetoothSerial;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/calendar.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Calendar = (function() {
    function Calendar() {}
    Calendar.hasReadWritePermission = function() {
      return;
    };
    Calendar.hasReadPermission = function() {
      return;
    };
    Calendar.hasWritePermission = function() {
      return;
    };
    Calendar.requestWritePermission = function() {
      return;
    };
    Calendar.requestReadPermission = function() {
      return;
    };
    Calendar.requestReadWritePermission = function() {
      return;
    };
    Calendar.createCalendar = function(nameOrOptions) {
      return;
    };
    Calendar.deleteCalendar = function(name) {
      return;
    };
    Calendar.getCalendarOptions = function() {
      return {
        firstReminderMinutes: 60,
        secondReminderMinutes: null,
        recurrence: null,
        recurrenceInterval: 1,
        recurrenceEndDate: null,
        calendarName: null,
        calendarId: null,
        url: null
      };
    };
    Calendar.createEvent = function(title, location, notes, startDate, endDate) {
      return;
    };
    Calendar.createEventWithOptions = function(title, location, notes, startDate, endDate, options) {
      return;
    };
    Calendar.createEventInteractively = function(title, location, notes, startDate, endDate) {
      return;
    };
    Calendar.createEventInteractivelyWithOptions = function(title, location, notes, startDate, endDate, options) {
      return;
    };
    Calendar.findEvent = function(title, location, notes, startDate, endDate) {
      return;
    };
    Calendar.findEventWithOptions = function(title, location, notes, startDate, endDate, options) {
      return;
    };
    Calendar.listEventsInRange = function(startDate, endDate) {
      return;
    };
    Calendar.listCalendars = function() {
      return;
    };
    Calendar.findAllEventsInNamedCalendar = function(calendarName) {
      return;
    };
    Calendar.modifyEvent = function(title, location, notes, startDate, endDate, newTitle, newLocation, newNotes, newStartDate, newEndDate) {
      return;
    };
    Calendar.modifyEventWithOptions = function(title, location, notes, startDate, endDate, newTitle, newLocation, newNotes, newStartDate, newEndDate, options) {
      return;
    };
    Calendar.deleteEvent = function(title, location, notes, startDate, endDate) {
      return;
    };
    Calendar.deleteEventFromNamedCalendar = function(title, location, notes, startDate, endDate, calendarName) {
      return;
    };
    Calendar.openCalendar = function(date) {
      return;
    };
    __decorate([plugin_1.Cordova()], Calendar, "hasReadWritePermission", null);
    __decorate([plugin_1.Cordova()], Calendar, "hasReadPermission", null);
    __decorate([plugin_1.Cordova()], Calendar, "hasWritePermission", null);
    __decorate([plugin_1.Cordova()], Calendar, "requestWritePermission", null);
    __decorate([plugin_1.Cordova()], Calendar, "requestReadPermission", null);
    __decorate([plugin_1.Cordova()], Calendar, "requestReadWritePermission", null);
    __decorate([plugin_1.Cordova()], Calendar, "createCalendar", null);
    __decorate([plugin_1.Cordova()], Calendar, "deleteCalendar", null);
    __decorate([plugin_1.Cordova({sync: true})], Calendar, "getCalendarOptions", null);
    __decorate([plugin_1.Cordova()], Calendar, "createEvent", null);
    __decorate([plugin_1.Cordova()], Calendar, "createEventWithOptions", null);
    __decorate([plugin_1.Cordova()], Calendar, "createEventInteractively", null);
    __decorate([plugin_1.Cordova()], Calendar, "createEventInteractivelyWithOptions", null);
    __decorate([plugin_1.Cordova()], Calendar, "findEvent", null);
    __decorate([plugin_1.Cordova()], Calendar, "findEventWithOptions", null);
    __decorate([plugin_1.Cordova()], Calendar, "listEventsInRange", null);
    __decorate([plugin_1.Cordova()], Calendar, "listCalendars", null);
    __decorate([plugin_1.Cordova()], Calendar, "findAllEventsInNamedCalendar", null);
    __decorate([plugin_1.Cordova()], Calendar, "modifyEvent", null);
    __decorate([plugin_1.Cordova()], Calendar, "modifyEventWithOptions", null);
    __decorate([plugin_1.Cordova()], Calendar, "deleteEvent", null);
    __decorate([plugin_1.Cordova()], Calendar, "deleteEventFromNamedCalendar", null);
    __decorate([plugin_1.Cordova()], Calendar, "openCalendar", null);
    Calendar = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-calendar',
      pluginRef: 'plugins.calendar',
      repo: 'https://github.com/EddyVerbruggen/Calendar-PhoneGap-Plugin',
      platforms: ['Android', 'iOS']
    })], Calendar);
    return Calendar;
  }());
  exports.Calendar = Calendar;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/camera.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Camera = (function() {
    function Camera() {}
    Camera.getPicture = function(options) {
      return;
    };
    Camera.cleanup = function() {};
    ;
    Camera.DestinationType = {
      DATA_URL: 0,
      FILE_URI: 1,
      NATIVE_URI: 2
    };
    Camera.EncodingType = {
      JPEG: 0,
      PNG: 1
    };
    Camera.MediaType = {
      PICTURE: 0,
      VIDEO: 1,
      ALLMEDIA: 2
    };
    Camera.PictureSourceType = {
      PHOTOLIBRARY: 0,
      CAMERA: 1,
      SAVEDPHOTOALBUM: 2
    };
    Camera.PopoverArrowDirection = {
      ARROW_UP: 1,
      ARROW_DOWN: 2,
      ARROW_LEFT: 4,
      ARROW_RIGHT: 8,
      ARROW_ANY: 15
    };
    Camera.Direction = {
      BACK: 0,
      FRONT: 1
    };
    __decorate([plugin_1.Cordova({callbackOrder: 'reverse'})], Camera, "getPicture", null);
    __decorate([plugin_1.Cordova({platforms: ['iOS']})], Camera, "cleanup", null);
    Camera = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-camera',
      pluginRef: 'navigator.camera',
      repo: 'https://github.com/apache/cordova-plugin-camera',
      platforms: ['Android', 'BlackBerry', 'Browser', 'Firefox', 'FireOS', 'iOS', 'Windows', 'Windows Phone 8', 'Ubuntu']
    })], Camera);
    return Camera;
  }());
  exports.Camera = Camera;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/camera-preview.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var CameraPreview = (function() {
    function CameraPreview() {}
    CameraPreview.startCamera = function(options) {};
    ;
    CameraPreview.stopCamera = function() {};
    ;
    CameraPreview.takePicture = function(size) {};
    ;
    CameraPreview.setOnPictureTakenHandler = function() {
      return;
    };
    ;
    CameraPreview.switchCamera = function() {};
    ;
    CameraPreview.show = function() {};
    ;
    CameraPreview.hide = function() {};
    ;
    CameraPreview.setColorEffect = function(effect) {};
    ;
    CameraPreview.FlashMode = {
      OFF: 0,
      ON: 1,
      AUTO: 2
    };
    __decorate([plugin_1.Cordova({sync: true})], CameraPreview, "startCamera", null);
    __decorate([plugin_1.Cordova({sync: true})], CameraPreview, "stopCamera", null);
    __decorate([plugin_1.Cordova({sync: true})], CameraPreview, "takePicture", null);
    __decorate([plugin_1.Cordova({observable: true})], CameraPreview, "setOnPictureTakenHandler", null);
    __decorate([plugin_1.Cordova({sync: true})], CameraPreview, "switchCamera", null);
    __decorate([plugin_1.Cordova({sync: true})], CameraPreview, "show", null);
    __decorate([plugin_1.Cordova({sync: true})], CameraPreview, "hide", null);
    __decorate([plugin_1.Cordova({sync: true})], CameraPreview, "setColorEffect", null);
    CameraPreview = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-camera-preview',
      pluginRef: 'cordova.plugins.camerapreview',
      repo: 'https://github.com/cordova-plugin-camera-preview/cordova-plugin-camera-preview',
      platforms: ['Android', 'iOS']
    })], CameraPreview);
    return CameraPreview;
  }());
  exports.CameraPreview = CameraPreview;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/card-io.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var CardIO = (function() {
    function CardIO() {}
    CardIO.canScan = function() {
      return;
    };
    CardIO.scan = function(options) {
      return;
    };
    CardIO.version = function() {
      return;
    };
    __decorate([plugin_1.Cordova()], CardIO, "canScan", null);
    __decorate([plugin_1.Cordova()], CardIO, "scan", null);
    __decorate([plugin_1.Cordova()], CardIO, "version", null);
    CardIO = __decorate([plugin_1.Plugin({
      plugin: 'https://github.com/card-io/card.io-Cordova-Plugin',
      pluginRef: 'CardIO',
      repo: 'https://github.com/card-io/card.io-Cordova-Plugin',
      platforms: ['iOS', 'Android']
    })], CardIO);
    return CardIO;
  }());
  exports.CardIO = CardIO;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/clipboard.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Clipboard = (function() {
    function Clipboard() {}
    Clipboard.copy = function(text) {
      return;
    };
    Clipboard.paste = function() {
      return;
    };
    __decorate([plugin_1.Cordova()], Clipboard, "copy", null);
    __decorate([plugin_1.Cordova()], Clipboard, "paste", null);
    Clipboard = __decorate([plugin_1.Plugin({
      plugin: 'https://github.com/VersoSolutions/CordovaClipboard.git',
      pluginRef: 'cordova.plugins.clipboard',
      repo: 'https://github.com/VersoSolutions/CordovaClipboard',
      platforms: ['Amazon Fire OS', 'iOS', 'Android', 'BlackBerry 10', 'Windows Phone 7', 'Windows Phone 8', 'Windows', 'Firefox OS', 'Browser']
    })], Clipboard);
    return Clipboard;
  }());
  exports.Clipboard = Clipboard;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/contacts.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Contact = (function() {
    function Contact() {
      this._objectInstance = navigator.contacts.create();
    }
    Object.defineProperty(Contact.prototype, "id", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Contact.prototype, "displayName", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Contact.prototype, "name", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Contact.prototype, "nickname", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Contact.prototype, "phoneNumbers", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Contact.prototype, "emails", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Contact.prototype, "addresses", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Contact.prototype, "ims", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Contact.prototype, "organizations", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Contact.prototype, "birthday", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Contact.prototype, "note", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Contact.prototype, "photos", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Contact.prototype, "categories", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(Contact.prototype, "urls", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Contact.prototype.clone = function() {
      var newContact = new Contact();
      for (var prop in this) {
        if (prop === 'id')
          return;
        newContact[prop] = this[prop];
      }
      return newContact;
    };
    Contact.prototype.remove = function() {
      return;
    };
    Contact.prototype.save = function() {
      return;
    };
    __decorate([plugin_1.InstanceProperty], Contact.prototype, "id", null);
    __decorate([plugin_1.InstanceProperty], Contact.prototype, "displayName", null);
    __decorate([plugin_1.InstanceProperty], Contact.prototype, "name", null);
    __decorate([plugin_1.InstanceProperty], Contact.prototype, "nickname", null);
    __decorate([plugin_1.InstanceProperty], Contact.prototype, "phoneNumbers", null);
    __decorate([plugin_1.InstanceProperty], Contact.prototype, "emails", null);
    __decorate([plugin_1.InstanceProperty], Contact.prototype, "addresses", null);
    __decorate([plugin_1.InstanceProperty], Contact.prototype, "ims", null);
    __decorate([plugin_1.InstanceProperty], Contact.prototype, "organizations", null);
    __decorate([plugin_1.InstanceProperty], Contact.prototype, "birthday", null);
    __decorate([plugin_1.InstanceProperty], Contact.prototype, "note", null);
    __decorate([plugin_1.InstanceProperty], Contact.prototype, "photos", null);
    __decorate([plugin_1.InstanceProperty], Contact.prototype, "categories", null);
    __decorate([plugin_1.InstanceProperty], Contact.prototype, "urls", null);
    __decorate([plugin_1.CordovaInstance()], Contact.prototype, "remove", null);
    __decorate([plugin_1.CordovaInstance()], Contact.prototype, "save", null);
    return Contact;
  }());
  exports.Contact = Contact;
  var ContactName = (function() {
    function ContactName(formatted, familyName, givenName, middleName, honorificPrefix, honorificSuffix) {
      this._objectInstance = new window.ContactName(formatted, familyName, givenName, middleName, honorificPrefix, honorificSuffix);
    }
    Object.defineProperty(ContactName.prototype, "formatted", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ContactName.prototype, "familyName", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ContactName.prototype, "givenName", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ContactName.prototype, "middleName", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ContactName.prototype, "honorificPrefix", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ContactName.prototype, "honorificSuffix", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    __decorate([plugin_1.InstanceProperty], ContactName.prototype, "formatted", null);
    __decorate([plugin_1.InstanceProperty], ContactName.prototype, "familyName", null);
    __decorate([plugin_1.InstanceProperty], ContactName.prototype, "givenName", null);
    __decorate([plugin_1.InstanceProperty], ContactName.prototype, "middleName", null);
    __decorate([plugin_1.InstanceProperty], ContactName.prototype, "honorificPrefix", null);
    __decorate([plugin_1.InstanceProperty], ContactName.prototype, "honorificSuffix", null);
    return ContactName;
  }());
  exports.ContactName = ContactName;
  var ContactField = (function() {
    function ContactField(type, value, pref) {
      this._objectInstance = new window.ContactField(type, value, pref);
    }
    Object.defineProperty(ContactField.prototype, "type", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ContactField.prototype, "value", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ContactField.prototype, "pref", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    __decorate([plugin_1.InstanceProperty], ContactField.prototype, "type", null);
    __decorate([plugin_1.InstanceProperty], ContactField.prototype, "value", null);
    __decorate([plugin_1.InstanceProperty], ContactField.prototype, "pref", null);
    return ContactField;
  }());
  exports.ContactField = ContactField;
  var ContactAddress = (function() {
    function ContactAddress(pref, type, formatted, streetAddress, locality, region, postalCode, country) {
      this._objectInstance = new window.ContactAddress(pref, type, formatted, streetAddress, locality, region, postalCode, country);
    }
    Object.defineProperty(ContactAddress.prototype, "pref", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ContactAddress.prototype, "type", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ContactAddress.prototype, "formatted", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ContactAddress.prototype, "streetAddress", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ContactAddress.prototype, "locality", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ContactAddress.prototype, "region", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ContactAddress.prototype, "postalCode", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ContactAddress.prototype, "country", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    __decorate([plugin_1.InstanceProperty], ContactAddress.prototype, "pref", null);
    __decorate([plugin_1.InstanceProperty], ContactAddress.prototype, "type", null);
    __decorate([plugin_1.InstanceProperty], ContactAddress.prototype, "formatted", null);
    __decorate([plugin_1.InstanceProperty], ContactAddress.prototype, "streetAddress", null);
    __decorate([plugin_1.InstanceProperty], ContactAddress.prototype, "locality", null);
    __decorate([plugin_1.InstanceProperty], ContactAddress.prototype, "region", null);
    __decorate([plugin_1.InstanceProperty], ContactAddress.prototype, "postalCode", null);
    __decorate([plugin_1.InstanceProperty], ContactAddress.prototype, "country", null);
    return ContactAddress;
  }());
  exports.ContactAddress = ContactAddress;
  var ContactOrganization = (function() {
    function ContactOrganization() {
      this._objectInstance = new window.ContactOrganization();
    }
    Object.defineProperty(ContactOrganization.prototype, "pref", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ContactOrganization.prototype, "type", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ContactOrganization.prototype, "name", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ContactOrganization.prototype, "department", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ContactOrganization.prototype, "title", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    __decorate([plugin_1.InstanceProperty], ContactOrganization.prototype, "pref", null);
    __decorate([plugin_1.InstanceProperty], ContactOrganization.prototype, "type", null);
    __decorate([plugin_1.InstanceProperty], ContactOrganization.prototype, "name", null);
    __decorate([plugin_1.InstanceProperty], ContactOrganization.prototype, "department", null);
    __decorate([plugin_1.InstanceProperty], ContactOrganization.prototype, "title", null);
    return ContactOrganization;
  }());
  exports.ContactOrganization = ContactOrganization;
  var ContactFindOptions = (function() {
    function ContactFindOptions() {
      this._objectInstance = new window.ContactFindOptions();
    }
    Object.defineProperty(ContactFindOptions.prototype, "filter", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ContactFindOptions.prototype, "multiple", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ContactFindOptions.prototype, "desiredFields", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ContactFindOptions.prototype, "hasPhoneNumber", {
      get: function() {
        return;
      },
      enumerable: true,
      configurable: true
    });
    __decorate([plugin_1.InstanceProperty], ContactFindOptions.prototype, "filter", null);
    __decorate([plugin_1.InstanceProperty], ContactFindOptions.prototype, "multiple", null);
    __decorate([plugin_1.InstanceProperty], ContactFindOptions.prototype, "desiredFields", null);
    __decorate([plugin_1.InstanceProperty], ContactFindOptions.prototype, "hasPhoneNumber", null);
    return ContactFindOptions;
  }());
  exports.ContactFindOptions = ContactFindOptions;
  var Contacts = (function() {
    function Contacts() {}
    Contacts.create = function() {
      return new Contact();
    };
    Contacts.find = function(fields, options) {
      return;
    };
    Contacts.pickContact = function() {
      return;
    };
    __decorate([plugin_1.Cordova({
      successIndex: 1,
      errorIndex: 2
    })], Contacts, "find", null);
    __decorate([plugin_1.Cordova()], Contacts, "pickContact", null);
    Contacts = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-contacts',
      pluginRef: 'navigator.contacts',
      repo: 'https://github.com/apache/cordova-plugin-contacts'
    })], Contacts);
    return Contacts;
  }());
  exports.Contacts = Contacts;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/crop.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Crop = (function() {
    function Crop() {}
    Crop.crop = function(pathToImage, options) {
      return;
    };
    __decorate([plugin_1.Cordova({callbackOrder: 'reverse'})], Crop, "crop", null);
    Crop = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-crop',
      pluginRef: 'plugins',
      repo: 'https://github.com/jeduan/cordova-plugin-crop'
    })], Crop);
    return Crop;
  }());
  exports.Crop = Crop;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/datepicker.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var DatePicker = (function() {
    function DatePicker() {}
    DatePicker.show = function(options) {
      return;
    };
    __decorate([plugin_1.Cordova()], DatePicker, "show", null);
    DatePicker = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-datepicker',
      pluginRef: 'datePicker',
      repo: 'https://github.com/VitaliiBlagodir/cordova-plugin-datepicker'
    })], DatePicker);
    return DatePicker;
  }());
  exports.DatePicker = DatePicker;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/dbmeter.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var DBMeter = (function() {
    function DBMeter() {}
    DBMeter.start = function() {
      return;
    };
    DBMeter.stop = function() {
      return;
    };
    DBMeter.isListening = function() {
      return;
    };
    DBMeter.delete = function() {
      return;
    };
    __decorate([plugin_1.Cordova({
      observable: true,
      clearFunction: 'stop'
    })], DBMeter, "start", null);
    __decorate([plugin_1.Cordova()], DBMeter, "stop", null);
    __decorate([plugin_1.Cordova()], DBMeter, "isListening", null);
    __decorate([plugin_1.Cordova()], DBMeter, "delete", null);
    DBMeter = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-dbmeter',
      pluginRef: 'DBMeter',
      repo: 'https://github.com/akofman/cordova-plugin-dbmeter',
      platforms: ['iOS', 'Android']
    })], DBMeter);
    return DBMeter;
  }());
  exports.DBMeter = DBMeter;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/deeplinks.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Deeplinks = (function() {
    function Deeplinks() {}
    Deeplinks.route = function(paths) {
      return;
    };
    Deeplinks.routeWithNavController = function(navController, paths) {
      return;
    };
    __decorate([plugin_1.Cordova({observable: true})], Deeplinks, "route", null);
    __decorate([plugin_1.Cordova({observable: true})], Deeplinks, "routeWithNavController", null);
    Deeplinks = __decorate([plugin_1.Plugin({
      plugin: 'ionic-plugin-deeplinks',
      pluginRef: 'IonicDeeplink',
      repo: 'https://github.com/driftyco/ionic-plugin-deeplinks',
      platforms: ['iOS', 'Android']
    })], Deeplinks);
    return Deeplinks;
  }());
  exports.Deeplinks = Deeplinks;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/device.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Device = (function() {
    function Device() {}
    Object.defineProperty(Device, "device", {
      get: function() {
        return window.device;
      },
      enumerable: true,
      configurable: true
    });
    __decorate([plugin_1.CordovaProperty], Device, "device", null);
    Device = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-device',
      pluginRef: 'device',
      repo: 'https://github.com/apache/cordova-plugin-device'
    })], Device);
    return Device;
  }());
  exports.Device = Device;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/deviceaccounts.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var DeviceAccounts = (function() {
    function DeviceAccounts() {}
    DeviceAccounts.get = function() {
      return;
    };
    DeviceAccounts.getByType = function(type) {
      return;
    };
    DeviceAccounts.getEmails = function() {
      return;
    };
    DeviceAccounts.getEmail = function() {
      return;
    };
    __decorate([plugin_1.Cordova()], DeviceAccounts, "get", null);
    __decorate([plugin_1.Cordova()], DeviceAccounts, "getByType", null);
    __decorate([plugin_1.Cordova()], DeviceAccounts, "getEmails", null);
    __decorate([plugin_1.Cordova()], DeviceAccounts, "getEmail", null);
    DeviceAccounts = __decorate([plugin_1.Plugin({
      plugin: 'https://github.com/loicknuchel/cordova-device-accounts.git',
      pluginRef: 'plugins.DeviceAccounts',
      repo: 'https://github.com/loicknuchel/cordova-device-accounts',
      platforms: ['Android']
    })], DeviceAccounts);
    return DeviceAccounts;
  }());
  exports.DeviceAccounts = DeviceAccounts;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/devicemotion.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var DeviceMotion = (function() {
    function DeviceMotion() {}
    DeviceMotion.getCurrentAcceleration = function() {
      return;
    };
    DeviceMotion.watchAcceleration = function(options) {
      return;
    };
    __decorate([plugin_1.Cordova()], DeviceMotion, "getCurrentAcceleration", null);
    __decorate([plugin_1.Cordova({
      callbackOrder: 'reverse',
      observable: true,
      clearFunction: 'clearWatch'
    })], DeviceMotion, "watchAcceleration", null);
    DeviceMotion = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-device-motion',
      pluginRef: 'navigator.accelerometer',
      repo: 'https://github.com/apache/cordova-plugin-device-motion'
    })], DeviceMotion);
    return DeviceMotion;
  }());
  exports.DeviceMotion = DeviceMotion;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/deviceorientation.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var DeviceOrientation = (function() {
    function DeviceOrientation() {}
    DeviceOrientation.getCurrentHeading = function() {
      return;
    };
    DeviceOrientation.watchHeading = function(options) {
      return;
    };
    __decorate([plugin_1.Cordova()], DeviceOrientation, "getCurrentHeading", null);
    __decorate([plugin_1.Cordova({
      callbackOrder: 'reverse',
      observable: true,
      clearFunction: 'clearWatch'
    })], DeviceOrientation, "watchHeading", null);
    DeviceOrientation = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-device-orientation',
      pluginRef: 'navigator.compass',
      repo: 'https://github.com/apache/cordova-plugin-device-orientation'
    })], DeviceOrientation);
    return DeviceOrientation;
  }());
  exports.DeviceOrientation = DeviceOrientation;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/diagnostic.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Diagnostic = (function() {
    function Diagnostic() {}
    Diagnostic.isLocationAvailable = function() {
      return;
    };
    Diagnostic.isWifiAvailable = function() {
      return;
    };
    Diagnostic.isCameraAvailable = function() {
      return;
    };
    Diagnostic.isBluetoothAvailable = function() {
      return;
    };
    Diagnostic.requestLocationAuthorization = function(mode) {
      return;
    };
    Diagnostic.isLocationAuthorized = function() {
      return;
    };
    Diagnostic.isCameraPresent = function() {
      return;
    };
    Diagnostic.isCameraAuthorized = function() {
      return;
    };
    Diagnostic.isGpsLocationEnabled = function() {
      return;
    };
    Diagnostic.isNetworkLocationEnabled = function() {
      return;
    };
    Diagnostic.isRemoteNotificationsEnabled = function() {
      return;
    };
    Diagnostic.isRegisteredForRemoteNotifications = function() {
      return;
    };
    __decorate([plugin_1.Cordova()], Diagnostic, "isLocationAvailable", null);
    __decorate([plugin_1.Cordova()], Diagnostic, "isWifiAvailable", null);
    __decorate([plugin_1.Cordova()], Diagnostic, "isCameraAvailable", null);
    __decorate([plugin_1.Cordova()], Diagnostic, "isBluetoothAvailable", null);
    __decorate([plugin_1.Cordova()], Diagnostic, "requestLocationAuthorization", null);
    __decorate([plugin_1.Cordova()], Diagnostic, "isLocationAuthorized", null);
    __decorate([plugin_1.Cordova()], Diagnostic, "isCameraPresent", null);
    __decorate([plugin_1.Cordova()], Diagnostic, "isCameraAuthorized", null);
    __decorate([plugin_1.Cordova()], Diagnostic, "isGpsLocationEnabled", null);
    __decorate([plugin_1.Cordova()], Diagnostic, "isNetworkLocationEnabled", null);
    __decorate([plugin_1.Cordova()], Diagnostic, "isRemoteNotificationsEnabled", null);
    __decorate([plugin_1.Cordova()], Diagnostic, "isRegisteredForRemoteNotifications", null);
    Diagnostic = __decorate([plugin_1.Plugin({
      plugin: 'cordova.plugins.diagnostic',
      pluginRef: 'cordova.plugins.diagnostic',
      repo: 'https://github.com/dpa99c/cordova-diagnostic-plugin'
    })], Diagnostic);
    return Diagnostic;
  }());
  exports.Diagnostic = Diagnostic;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/dialogs.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Dialogs = (function() {
    function Dialogs() {}
    Dialogs.alert = function(message, title, buttonName) {
      if (title === void 0) {
        title = 'Alert';
      }
      if (buttonName === void 0) {
        buttonName = 'OK';
      }
      return;
    };
    Dialogs.confirm = function(message, title, buttonLabels) {
      if (title === void 0) {
        title = 'Confirm';
      }
      if (buttonLabels === void 0) {
        buttonLabels = ['OK', 'Cancel'];
      }
      return;
    };
    Dialogs.prompt = function(message, title, buttonLabels, defaultText) {
      if (title === void 0) {
        title = 'Prompt';
      }
      if (buttonLabels === void 0) {
        buttonLabels = ['OK', 'Cancel'];
      }
      if (defaultText === void 0) {
        defaultText = '';
      }
      return;
    };
    Dialogs.beep = function(times) {};
    __decorate([plugin_1.Cordova({
      successIndex: 1,
      errorIndex: 4
    })], Dialogs, "alert", null);
    __decorate([plugin_1.Cordova({
      successIndex: 1,
      errorIndex: 4
    })], Dialogs, "confirm", null);
    __decorate([plugin_1.Cordova({
      successIndex: 1,
      errorIndex: 5
    })], Dialogs, "prompt", null);
    __decorate([plugin_1.Cordova({sync: true})], Dialogs, "beep", null);
    Dialogs = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-dialogs',
      pluginRef: 'navigator.notification',
      repo: 'https://github.com/apache/cordova-plugin-dialogs.git'
    })], Dialogs);
    return Dialogs;
  }());
  exports.Dialogs = Dialogs;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/emailcomposer.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var EmailComposer = (function() {
    function EmailComposer() {}
    EmailComposer.isAvailable = function(app) {
      return new Promise(function(resolve, reject) {
        if (app)
          cordova.plugins.email.isAvailable(app, function(isAvailable) {
            if (isAvailable)
              resolve();
            else
              reject();
          });
        else
          cordova.plugins.email.isAvailable(function(isAvailable) {
            if (isAvailable)
              resolve();
            else
              reject();
          });
      });
    };
    EmailComposer.addAlias = function(alias, packageName) {};
    EmailComposer.open = function(email, scope) {
      return;
    };
    __decorate([plugin_1.Cordova()], EmailComposer, "addAlias", null);
    __decorate([plugin_1.Cordova({
      successIndex: 1,
      errorIndex: 3
    })], EmailComposer, "open", null);
    EmailComposer = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-email-composer',
      pluginRef: 'cordova.plugins.email',
      repo: 'https://github.com/katzer/cordova-plugin-email-composer.git',
      platforms: ['Android', 'iOS', 'Windows Phone 8']
    })], EmailComposer);
    return EmailComposer;
  }());
  exports.EmailComposer = EmailComposer;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/facebook.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Facebook = (function() {
    function Facebook() {}
    Facebook.browserInit = function(appId, version) {
      return;
    };
    Facebook.login = function(permissions) {
      return;
    };
    Facebook.logout = function() {
      return;
    };
    Facebook.getLoginStatus = function() {
      return;
    };
    Facebook.getAccessToken = function() {
      return;
    };
    Facebook.showDialog = function(options) {
      return;
    };
    Facebook.api = function(requestPath, permissions) {
      return;
    };
    Facebook.logEvent = function(name, params, valueToSum) {
      return;
    };
    Facebook.logPurchase = function(value, currency) {
      return;
    };
    Facebook.appInvite = function(options) {
      return;
    };
    __decorate([plugin_1.Cordova()], Facebook, "browserInit", null);
    __decorate([plugin_1.Cordova()], Facebook, "login", null);
    __decorate([plugin_1.Cordova()], Facebook, "logout", null);
    __decorate([plugin_1.Cordova()], Facebook, "getLoginStatus", null);
    __decorate([plugin_1.Cordova()], Facebook, "getAccessToken", null);
    __decorate([plugin_1.Cordova()], Facebook, "showDialog", null);
    __decorate([plugin_1.Cordova()], Facebook, "api", null);
    __decorate([plugin_1.Cordova()], Facebook, "logEvent", null);
    __decorate([plugin_1.Cordova()], Facebook, "logPurchase", null);
    __decorate([plugin_1.Cordova()], Facebook, "appInvite", null);
    Facebook = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-facebook4',
      pluginRef: 'facebookConnectPlugin',
      repo: 'https://github.com/jeduan/cordova-plugin-facebook4',
      install: 'cordova plugin add cordova-plugin-facebook4 --variable APP_ID="123456789" --variable APP_NAME="myApplication"'
    })], Facebook);
    return Facebook;
  }());
  exports.Facebook = Facebook;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/file.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var File = (function() {
    function File() {}
    File.getFreeDiskSpace = function() {
      return;
    };
    File.checkDir = function(path, dir) {
      if ((/^\//.test(dir))) {
        var err = new FileError(5);
        err.message = 'directory cannot start with \/';
        return Promise.reject(err);
      }
      var fullpath = path + dir;
      return File.resolveDirectoryUrl(fullpath).then(function() {
        return true;
      });
    };
    File.createDir = function(path, dirName, replace) {
      if ((/^\//.test(dirName))) {
        var err = new FileError(5);
        err.message = 'directory cannot start with \/';
        return Promise.reject(err);
      }
      var options = {create: true};
      if (replace) {
        options.exclusive = true;
      }
      return File.resolveDirectoryUrl(path).then(function(fse) {
        return File.getDirectory(fse, dirName, options);
      });
    };
    File.removeDir = function(path, dirName) {
      if ((/^\//.test(dirName))) {
        var err = new FileError(5);
        err.message = 'directory cannot start with \/';
        return Promise.reject(err);
      }
      return File.resolveDirectoryUrl(path).then(function(fse) {
        return File.getDirectory(fse, dirName, {create: false});
      }).then(function(de) {
        return File.remove(de);
      });
    };
    File.moveDir = function(path, dirName, newPath, newDirName) {
      var _this = this;
      newDirName = newDirName || dirName;
      if ((/^\//.test(newDirName))) {
        var err = new FileError(5);
        err.message = 'directory cannot start with \/';
        return Promise.reject(err);
      }
      return this.resolveDirectoryUrl(path).then(function(fse) {
        return _this.getDirectory(fse, dirName, {create: false});
      }).then(function(srcde) {
        return _this.resolveDirectoryUrl(newPath).then(function(deste) {
          return File.move(srcde, deste, newDirName);
        });
      });
    };
    File.copyDir = function(path, dirName, newPath, newDirName) {
      var _this = this;
      if ((/^\//.test(newDirName))) {
        var err = new FileError(5);
        err.message = 'directory cannot start with \/';
        return Promise.reject(err);
      }
      return this.resolveDirectoryUrl(path).then(function(fse) {
        return _this.getDirectory(fse, dirName, {create: false});
      }).then(function(srcde) {
        return _this.resolveDirectoryUrl(newPath).then(function(deste) {
          return File.copy(srcde, deste, newDirName);
        });
      });
    };
    File.listDir = function(path, dirName) {
      if ((/^\//.test(dirName))) {
        var err = new FileError(5);
        err.message = 'directory cannot start with \/';
        return Promise.reject(err);
      }
      return File.resolveDirectoryUrl(path).then(function(fse) {
        return File.getDirectory(fse, dirName, {
          create: false,
          exclusive: false
        });
      }).then(function(de) {
        var reader = de.createReader();
        return File.readEntries(reader);
      });
    };
    File.removeRecursively = function(path, dirName) {
      if ((/^\//.test(dirName))) {
        var err = new FileError(5);
        err.message = 'directory cannot start with \/';
        return Promise.reject(err);
      }
      return File.resolveDirectoryUrl(path).then(function(fse) {
        return File.getDirectory(fse, dirName, {create: false});
      }).then(function(de) {
        return File.rimraf(de);
      });
    };
    File.checkFile = function(path, file) {
      if ((/^\//.test(file))) {
        var err = new FileError(5);
        err.message = 'file cannot start with \/';
        return Promise.reject(err);
      }
      return File.resolveLocalFilesystemUrl(path + file).then(function(fse) {
        if (fse.isFile) {
          return true;
        } else {
          var err = new FileError(13);
          err.message = 'input is not a file';
          return Promise.reject(err);
        }
      });
    };
    File.createFile = function(path, fileName, replace) {
      if ((/^\//.test(fileName))) {
        var err = new FileError(5);
        err.message = 'file-name cannot start with \/';
        return Promise.reject(err);
      }
      var options = {create: true};
      if (replace) {
        options.exclusive = true;
      }
      return File.resolveDirectoryUrl(path).then(function(fse) {
        return File.getFile(fse, fileName, options);
      });
    };
    File.removeFile = function(path, fileName) {
      if ((/^\//.test(fileName))) {
        var err = new FileError(5);
        err.message = 'file-name cannot start with \/';
        return Promise.reject(err);
      }
      return File.resolveDirectoryUrl(path).then(function(fse) {
        return File.getFile(fse, fileName, {create: false});
      }).then(function(fe) {
        return File.remove(fe);
      });
    };
    File.writeFile = function(path, fileName, text, replaceOrOptions) {
      if ((/^\//.test(fileName))) {
        var err = new FileError(5);
        err.message = 'file-name cannot start with \/';
        return Promise.reject(err);
      }
      var opts;
      if (replaceOrOptions) {
        if (typeof(replaceOrOptions) === 'boolean') {
          opts.replace = replaceOrOptions;
        }
      }
      var cflags = {create: true};
      return File.resolveDirectoryUrl(path).then(function(fse) {
        return File.getFile(fse, fileName, opts);
      }).then(function(fe) {
        return File.createWriter(fe);
      }).then(function(writer) {
        if (opts.append) {
          writer.seek(writer.length);
        }
        if (opts.hasOwnProperty('truncate')) {
          writer.truncate(opts.truncate);
        }
        return File.write(writer, text);
      });
    };
    File.writeExistingFile = function(path, fileName, text) {
      if ((/^\//.test(fileName))) {
        var err = new FileError(5);
        err.message = 'file-name cannot start with \/';
        return Promise.reject(err);
      }
      return File.resolveDirectoryUrl(path).then(function(fse) {
        return File.getFile(fse, fileName, {create: false});
      }).then(function(fe) {
        return File.createWriter(fe);
      }).then(function(writer) {
        return File.write(writer, text);
      });
    };
    File.readAsText = function(path, file) {
      if ((/^\//.test(file))) {
        var err = new FileError(5);
        err.message = 'file-name cannot start with \/';
        return Promise.reject(err);
      }
      return File.resolveDirectoryUrl(path).then(function(fse) {
        return File.getFile(fse, file, {create: false});
      }).then(function(fe) {
        var reader = new FileReader();
        return new Promise(function(resolve, reject) {
          reader.onloadend = function() {
            if (reader.result !== undefined || reader.result !== null) {
              resolve(reader.result);
            } else if (reader.error !== undefined || reader.error !== null) {
              reject(reader.error);
            } else {
              reject({
                code: null,
                message: 'READER_ONLOADEND_ERR'
              });
            }
          };
          reader.readAsText(fe);
        });
      });
    };
    File.readAsDataURL = function(path, file) {
      if ((/^\//.test(file))) {
        var err = new FileError(5);
        err.message = 'file-name cannot start with \/';
        return Promise.reject(err);
      }
      return File.resolveDirectoryUrl(path).then(function(fse) {
        return File.getFile(fse, file, {create: false});
      }).then(function(fe) {
        var reader = new FileReader();
        return new Promise(function(resolve, reject) {
          reader.onloadend = function() {
            if (reader.result !== undefined || reader.result !== null) {
              resolve(reader.result);
            } else if (reader.error !== undefined || reader.error !== null) {
              reject(reader.error);
            } else {
              reject({
                code: null,
                message: 'READER_ONLOADEND_ERR'
              });
            }
          };
          reader.readAsDataURL(fe);
        });
      });
    };
    File.readAsBinaryString = function(path, file) {
      if ((/^\//.test(file))) {
        var err = new FileError(5);
        err.message = 'file-name cannot start with \/';
        return Promise.reject(err);
      }
      return File.resolveDirectoryUrl(path).then(function(fse) {
        return File.getFile(fse, file, {create: false});
      }).then(function(fe) {
        var reader = new FileReader();
        return new Promise(function(resolve, reject) {
          reader.onloadend = function() {
            if (reader.result !== undefined || reader.result !== null) {
              resolve(reader.result);
            } else if (reader.error !== undefined || reader.error !== null) {
              reject(reader.error);
            } else {
              reject({
                code: null,
                message: 'READER_ONLOADEND_ERR'
              });
            }
          };
          reader.readAsBinaryString(fe);
        });
      });
    };
    File.readAsArrayBuffer = function(path, file) {
      if ((/^\//.test(file))) {
        var err = new FileError(5);
        err.message = 'file-name cannot start with \/';
        return Promise.reject(err);
      }
      return File.resolveDirectoryUrl(path).then(function(fse) {
        return File.getFile(fse, file, {create: false});
      }).then(function(fe) {
        var reader = new FileReader();
        return new Promise(function(resolve, reject) {
          reader.onloadend = function() {
            if (reader.result !== undefined || reader.result !== null) {
              resolve(reader.result);
            } else if (reader.error !== undefined || reader.error !== null) {
              reject(reader.error);
            } else {
              reject({
                code: null,
                message: 'READER_ONLOADEND_ERR'
              });
            }
          };
          reader.readAsArrayBuffer(fe);
        });
      });
    };
    File.moveFile = function(path, fileName, newPath, newFileName) {
      var _this = this;
      newFileName = newFileName || fileName;
      if ((/^\//.test(newFileName))) {
        var err = new FileError(5);
        err.message = 'file name cannot start with \/';
        return Promise.reject(err);
      }
      return this.resolveDirectoryUrl(path).then(function(fse) {
        return _this.getFile(fse, fileName, {create: false});
      }).then(function(srcfe) {
        return _this.resolveDirectoryUrl(newPath).then(function(deste) {
          return File.move(srcfe, deste, newFileName);
        });
      });
    };
    File.copyFile = function(path, fileName, newPath, newFileName) {
      var _this = this;
      newFileName = newFileName || fileName;
      if ((/^\//.test(newFileName))) {
        var err = new FileError(5);
        err.message = 'file name cannot start with \/';
        return Promise.reject(err);
      }
      return this.resolveDirectoryUrl(path).then(function(fse) {
        return _this.getFile(fse, fileName, {create: false});
      }).then(function(srcfe) {
        return _this.resolveDirectoryUrl(newPath).then(function(deste) {
          return File.copy(srcfe, deste, newFileName);
        });
      });
    };
    File.fillErrorMessage = function(err) {
      err.message = File.cordovaFileError[err.code];
    };
    File.resolveLocalFilesystemUrl = function(furl) {
      return new Promise(function(resolve, reject) {
        try {
          window.resolveLocalFileSystemURL(furl, function(entry) {
            resolve(entry);
          }, function(err) {
            File.fillErrorMessage(err);
            reject(err);
          });
        } catch (xc) {
          File.fillErrorMessage(xc);
          reject(xc);
        }
      });
    };
    File.resolveDirectoryUrl = function(durl) {
      return File.resolveLocalFilesystemUrl(durl).then(function(de) {
        if (de.isDirectory) {
          return de;
        } else {
          var err = new FileError(13);
          err.message = 'input is not a directory';
          return Promise.reject(err);
        }
      });
    };
    File.getDirectory = function(fse, dn, flags) {
      return new Promise(function(resolve, reject) {
        try {
          fse.getDirectory(dn, flags, function(de) {
            resolve(de);
          }, function(err) {
            File.fillErrorMessage(err);
            reject(err);
          });
        } catch (xc) {
          File.fillErrorMessage(xc);
          reject(xc);
        }
      });
    };
    File.getFile = function(fse, fn, flags) {
      return new Promise(function(resolve, reject) {
        try {
          fse.getFile(fn, flags, function(fe) {
            resolve(fe);
          }, function(err) {
            File.fillErrorMessage(err);
            reject(err);
          });
        } catch (xc) {
          File.fillErrorMessage(xc);
          reject(xc);
        }
      });
    };
    File.remove = function(fe) {
      return new Promise(function(resolve, reject) {
        fe.remove(function() {
          resolve({
            success: true,
            fileRemoved: fe
          });
        }, function(err) {
          File.fillErrorMessage(err);
          reject(err);
        });
      });
    };
    File.move = function(srce, destdir, newName) {
      return new Promise(function(resolve, reject) {
        srce.moveTo(destdir, newName, function(deste) {
          resolve(deste);
        }, function(err) {
          File.fillErrorMessage(err);
          reject(err);
        });
      });
    };
    File.copy = function(srce, destdir, newName) {
      return new Promise(function(resolve, reject) {
        srce.copyTo(destdir, newName, function(deste) {
          resolve(deste);
        }, function(err) {
          File.fillErrorMessage(err);
          reject(err);
        });
      });
    };
    File.readEntries = function(dr) {
      return new Promise(function(resolve, reject) {
        dr.readEntries(function(entries) {
          resolve(entries);
        }, function(err) {
          File.fillErrorMessage(err);
          reject(err);
        });
      });
    };
    File.rimraf = function(de) {
      return new Promise(function(resolve, reject) {
        de.removeRecursively(function() {
          resolve({
            success: true,
            fileRemoved: de
          });
        }, function(err) {
          File.fillErrorMessage(err);
          reject(err);
        });
      });
    };
    File.createWriter = function(fe) {
      return new Promise(function(resolve, reject) {
        fe.createWriter(function(writer) {
          resolve(writer);
        }, function(err) {
          File.fillErrorMessage(err);
          reject(err);
        });
      });
    };
    File.write = function(writer, gu) {
      return new Promise(function(resolve, reject) {
        writer.onwriteend = function(evt) {
          if (writer.error) {
            reject(writer.error);
          } else {
            resolve();
          }
        };
        writer.write(gu);
      });
    };
    File.cordovaFileError = {
      1: 'NOT_FOUND_ERR',
      2: 'SECURITY_ERR',
      3: 'ABORT_ERR',
      4: 'NOT_READABLE_ERR',
      5: 'ENCODING_ERR',
      6: 'NO_MODIFICATION_ALLOWED_ERR',
      7: 'INVALID_STATE_ERR',
      8: 'SYNTAX_ERR',
      9: 'INVALID_MODIFICATION_ERR',
      10: 'QUOTA_EXCEEDED_ERR',
      11: 'TYPE_MISMATCH_ERR',
      12: 'PATH_EXISTS_ERR',
      13: 'WRONG_ENTRY_TYPE',
      14: 'DIR_READ_ERR'
    };
    __decorate([plugin_1.Cordova()], File, "getFreeDiskSpace", null);
    File = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-file',
      pluginRef: 'cordova.file',
      repo: 'https://github.com/apache/cordova-plugin-file'
    })], File);
    return File;
  }());
  exports.File = File;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/filetransfer.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Transfer = (function() {
    function Transfer() {
      this._objectInstance = new FileTransfer();
    }
    Transfer.prototype.upload = function(fileUrl, url, options, trustAllHosts) {
      return;
    };
    Transfer.prototype.download = function(source, target, trustAllHosts, options) {
      return;
    };
    Transfer.prototype.onProgress = function(listener) {
      this._objectInstance.onprogress = listener;
    };
    Transfer.prototype.abort = function() {};
    Transfer.FileTransferErrorCode = {
      FILE_NOT_FOUND_ERR: 1,
      INVALID_URL_ERR: 2,
      CONNECTION_ERR: 3,
      ABORT_ERR: 4,
      NOT_MODIFIED_ERR: 5
    };
    __decorate([plugin_1.CordovaInstance({
      successIndex: 2,
      errorIndex: 3
    })], Transfer.prototype, "upload", null);
    __decorate([plugin_1.CordovaInstance({
      successIndex: 2,
      errorIndex: 3
    })], Transfer.prototype, "download", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], Transfer.prototype, "abort", null);
    Transfer = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-file-transfer',
      pluginRef: 'FileTransfer',
      repo: 'https://github.com/apache/cordova-plugin-file-transfer'
    })], Transfer);
    return Transfer;
  }());
  exports.Transfer = Transfer;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/flashlight.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Flashlight = (function() {
    function Flashlight() {}
    Flashlight.available = function() {
      return;
    };
    Flashlight.switchOn = function() {
      return;
    };
    Flashlight.switchOff = function() {
      return;
    };
    Flashlight.toggle = function() {
      return;
    };
    Flashlight.isSwitchedOn = function() {
      return;
    };
    __decorate([plugin_1.Cordova()], Flashlight, "available", null);
    __decorate([plugin_1.Cordova()], Flashlight, "switchOn", null);
    __decorate([plugin_1.Cordova()], Flashlight, "switchOff", null);
    __decorate([plugin_1.Cordova()], Flashlight, "toggle", null);
    __decorate([plugin_1.Cordova({sync: true})], Flashlight, "isSwitchedOn", null);
    Flashlight = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-flashlight',
      pluginRef: 'window.plugins.flashlight',
      repo: 'https://github.com/EddyVerbruggen/Flashlight-PhoneGap-Plugin.git'
    })], Flashlight);
    return Flashlight;
  }());
  exports.Flashlight = Flashlight;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/geolocation.js", ["./plugin", "rxjs/Observable"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Observable_1 = $__require('rxjs/Observable');
  var Geolocation = (function() {
    function Geolocation() {}
    Geolocation.getCurrentPosition = function(options) {
      return;
    };
    Geolocation.watchPosition = function(options) {
      return new Observable_1.Observable(function(observer) {
        var watchId = navigator.geolocation.watchPosition(observer.next.bind(observer), observer.error.bind(observer), options);
        return function() {
          return navigator.geolocation.clearWatch(watchId);
        };
      });
    };
    __decorate([plugin_1.Cordova({callbackOrder: 'reverse'})], Geolocation, "getCurrentPosition", null);
    Geolocation = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-geolocation',
      pluginRef: 'navigator.geolocation',
      repo: 'https://github.com/apache/cordova-plugin-geolocation'
    })], Geolocation);
    return Geolocation;
  }());
  exports.Geolocation = Geolocation;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/globalization.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Globalization = (function() {
    function Globalization() {}
    Globalization.getPreferredLanguage = function() {
      return;
    };
    Globalization.getLocaleName = function() {
      return;
    };
    Globalization.dateToString = function(date, options) {
      return;
    };
    Globalization.stringToDate = function(dateString, options) {
      return;
    };
    Globalization.getDatePattern = function(options) {
      return;
    };
    Globalization.getDateNames = function(options) {
      return;
    };
    Globalization.isDayLightSavingsTime = function(date) {
      return;
    };
    Globalization.getFirstDayOfWeek = function() {
      return;
    };
    Globalization.numberToString = function(options) {
      return;
    };
    Globalization.stringToNumber = function(stringToConvert, options) {
      return;
    };
    Globalization.getNumberPattern = function(options) {
      return;
    };
    Globalization.getCurrencyPattern = function(currencyCode) {
      return;
    };
    __decorate([plugin_1.Cordova()], Globalization, "getPreferredLanguage", null);
    __decorate([plugin_1.Cordova()], Globalization, "getLocaleName", null);
    __decorate([plugin_1.Cordova({
      successIndex: 1,
      errorIndex: 2
    })], Globalization, "dateToString", null);
    __decorate([plugin_1.Cordova({
      successIndex: 1,
      errorIndex: 2
    })], Globalization, "stringToDate", null);
    __decorate([plugin_1.Cordova({callbackOrder: 'reverse'})], Globalization, "getDatePattern", null);
    __decorate([plugin_1.Cordova({callbackOrder: 'reverse'})], Globalization, "getDateNames", null);
    __decorate([plugin_1.Cordova()], Globalization, "isDayLightSavingsTime", null);
    __decorate([plugin_1.Cordova()], Globalization, "getFirstDayOfWeek", null);
    __decorate([plugin_1.Cordova({
      successIndex: 1,
      errorIndex: 2
    })], Globalization, "numberToString", null);
    __decorate([plugin_1.Cordova({
      successIndex: 1,
      errorIndex: 2
    })], Globalization, "stringToNumber", null);
    __decorate([plugin_1.Cordova({callbackOrder: 'reverse'})], Globalization, "getNumberPattern", null);
    __decorate([plugin_1.Cordova()], Globalization, "getCurrencyPattern", null);
    Globalization = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-globalization',
      pluginRef: 'navigator.globalization',
      repo: 'https://github.com/apache/cordova-plugin-globalization'
    })], Globalization);
    return Globalization;
  }());
  exports.Globalization = Globalization;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/google-plus.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var GooglePlus = (function() {
    function GooglePlus() {}
    GooglePlus.login = function(options) {
      return;
    };
    GooglePlus.trySilentLogin = function(options) {
      return;
    };
    GooglePlus.logout = function() {
      return;
    };
    GooglePlus.disconnect = function() {
      return;
    };
    __decorate([plugin_1.Cordova()], GooglePlus, "login", null);
    __decorate([plugin_1.Cordova()], GooglePlus, "trySilentLogin", null);
    __decorate([plugin_1.Cordova()], GooglePlus, "logout", null);
    __decorate([plugin_1.Cordova()], GooglePlus, "disconnect", null);
    GooglePlus = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-googleplus',
      pluginRef: 'window.plugins.googleplus',
      repo: 'https://github.com/EddyVerbruggen/cordova-plugin-googleplus',
      platforms: ['Web', 'Android', 'iOS'],
      install: 'ionic plugin add cordova-plugin-googleplus --variable REVERSED_CLIENT_ID=myreversedclientid'
    })], GooglePlus);
    return GooglePlus;
  }());
  exports.GooglePlus = GooglePlus;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/googlemaps.js", ["./plugin", "rxjs/Observable"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Observable_1 = $__require('rxjs/Observable');
  exports.GoogleMapsEvent = {
    MAP_CLICK: 'click',
    MAP_LONG_CLICK: 'long_click',
    MY_LOCATION_CHANGE: 'my_location_change',
    MY_LOCATION_BUTTON_CLICK: 'my_location_button_click',
    INDOOR_BUILDING_FOCUSED: 'indoor_building_focused',
    INDOOR_LEVEL_ACTIVATED: 'indoor_level_activated',
    CAMERA_CHANGE: 'camera_change',
    CAMERA_IDLE: 'camera_idle',
    MAP_READY: 'map_ready',
    MAP_LOADED: 'map_loaded',
    MAP_WILL_MOVE: 'will_move',
    MAP_CLOSE: 'map_close',
    MARKER_CLICK: 'click',
    OVERLAY_CLICK: 'overlay_click',
    INFO_CLICK: 'info_click',
    MARKER_DRAG: 'drag',
    MARKER_DRAG_START: 'drag_start',
    MARKER_DRAG_END: 'drag_end'
  };
  exports.GoogleMapsAnimation = {
    BOUNCE: 'BOUNCE',
    DROP: 'DROP'
  };
  var GoogleMap = (function() {
    function GoogleMap(elementId, options) {
      this._objectInstance = plugin.google.maps.Map.getMap(document.getElementById(elementId), options);
    }
    GoogleMap.isAvailable = function() {
      return;
    };
    GoogleMap.prototype.on = function(event) {
      var _this = this;
      return new Observable_1.Observable(function(observer) {
        _this._objectInstance.on(event, observer.next.bind(observer));
        return function() {
          return _this._objectInstance.off(event);
        };
      });
    };
    GoogleMap.prototype.one = function(event) {
      var _this = this;
      return new Promise(function(resolve) {
        return _this._objectInstance.one(event, resolve);
      });
    };
    GoogleMap.prototype.setDebuggable = function(isDebuggable) {};
    GoogleMap.prototype.setClickable = function(isClickable) {};
    GoogleMap.prototype.getCameraPosition = function() {
      return;
    };
    GoogleMap.prototype.getMyLocation = function(options) {
      return;
    };
    GoogleMap.prototype.getVisibleRegion = function() {
      return;
    };
    GoogleMap.prototype.showDialog = function() {};
    GoogleMap.prototype.closeDialog = function() {};
    GoogleMap.prototype.getLicenseInfo = function() {
      return;
    };
    GoogleMap.prototype.setCenter = function(latLng) {};
    GoogleMap.prototype.setZoom = function(zoomLevel) {};
    GoogleMap.prototype.setMapTypeId = function(typeId) {};
    GoogleMap.prototype.setTilt = function(tiltLevel) {};
    GoogleMap.prototype.animateCamera = function(animateCameraOptions) {};
    GoogleMap.prototype.moveCamera = function(cameraPosition) {};
    GoogleMap.prototype.setMyLocationEnabled = function(enabled) {};
    GoogleMap.prototype.setIndoorEnabled = function(enabled) {};
    GoogleMap.prototype.setTrafficEnabled = function(enabled) {};
    GoogleMap.prototype.setCompassEnabled = function(enabled) {};
    GoogleMap.prototype.setAllGesturesEnabled = function(enabled) {};
    GoogleMap.prototype.addMarker = function(options) {
      var _this = this;
      return new Promise(function(resolve, reject) {
        _this._objectInstance.addMarker(options, function(marker) {
          if (marker)
            resolve(new GoogleMapsMarker(marker));
          else
            reject();
        });
      });
    };
    GoogleMap.prototype.addCircle = function(options) {
      var _this = this;
      return new Promise(function(resolve, reject) {
        _this._objectInstance.addCircle(options, function(circle) {
          if (circle)
            resolve(new GoogleMapsCircle(circle));
          else
            reject();
        });
      });
    };
    GoogleMap.prototype.addPolygon = function(options) {
      var _this = this;
      return new Promise(function(resolve, reject) {
        _this._objectInstance.addPolygon(options, function(polygon) {
          if (polygon)
            resolve(new GoogleMapsPolygon(polygon));
          else
            reject();
        });
      });
    };
    GoogleMap.prototype.addPolyline = function(options) {
      var _this = this;
      return new Promise(function(resolve, reject) {
        _this._objectInstance.addPolyline(options, function(polyline) {
          if (polyline)
            resolve(new GoogleMapsPolyline(polyline));
          else
            reject();
        });
      });
    };
    GoogleMap.prototype.addTileOverlay = function(options) {
      var _this = this;
      return new Promise(function(resolve, reject) {
        _this._objectInstance.addTileOverlay(options, function(tileOverlay) {
          if (tileOverlay)
            resolve(new GoogleMapsTileOverlay(tileOverlay));
          else
            reject();
        });
      });
    };
    GoogleMap.prototype.addGroundOverlay = function(options) {
      var _this = this;
      return new Promise(function(resolve, reject) {
        _this._objectInstance.addGroundOverlay(options, function(groundOverlay) {
          if (groundOverlay)
            resolve(new GoogleMapsGroundOverlay(groundOverlay));
          else
            reject();
        });
      });
    };
    GoogleMap.prototype.addKmlOverlay = function(options) {
      var _this = this;
      return new Promise(function(resolve, reject) {
        _this._objectInstance.addKmlOverlay(options, function(kmlOverlay) {
          if (kmlOverlay)
            resolve(new GoogleMapsKmlOverlay(kmlOverlay));
          else
            reject();
        });
      });
    };
    GoogleMap.prototype.setDiv = function(domNode) {};
    GoogleMap.prototype.setVisible = function(visible) {};
    GoogleMap.prototype.setOptions = function(options) {};
    GoogleMap.prototype.setBackgroundColor = function(backgroundColor) {};
    GoogleMap.prototype.setPadding = function(top, right, bottom, left) {};
    GoogleMap.prototype.clear = function() {};
    GoogleMap.prototype.refreshLayout = function() {};
    GoogleMap.prototype.fromLatLngToPoint = function(latLng, point) {
      return;
    };
    GoogleMap.prototype.fromPointToLatLng = function(point, latLng) {
      return;
    };
    GoogleMap.prototype.toDataURL = function() {
      return;
    };
    GoogleMap.prototype.remove = function() {};
    GoogleMap.prototype.panBy = function() {};
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMap.prototype, "setDebuggable", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMap.prototype, "setClickable", null);
    __decorate([plugin_1.CordovaInstance()], GoogleMap.prototype, "getCameraPosition", null);
    __decorate([plugin_1.CordovaInstance()], GoogleMap.prototype, "getMyLocation", null);
    __decorate([plugin_1.CordovaInstance()], GoogleMap.prototype, "getVisibleRegion", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMap.prototype, "showDialog", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMap.prototype, "closeDialog", null);
    __decorate([plugin_1.CordovaInstance()], GoogleMap.prototype, "getLicenseInfo", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMap.prototype, "setCenter", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMap.prototype, "setZoom", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMap.prototype, "setMapTypeId", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMap.prototype, "setTilt", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMap.prototype, "animateCamera", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMap.prototype, "moveCamera", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMap.prototype, "setMyLocationEnabled", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMap.prototype, "setIndoorEnabled", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMap.prototype, "setTrafficEnabled", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMap.prototype, "setCompassEnabled", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMap.prototype, "setAllGesturesEnabled", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMap.prototype, "setDiv", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMap.prototype, "setVisible", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMap.prototype, "setOptions", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMap.prototype, "setBackgroundColor", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMap.prototype, "setPadding", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMap.prototype, "clear", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMap.prototype, "refreshLayout", null);
    __decorate([plugin_1.CordovaInstance()], GoogleMap.prototype, "fromLatLngToPoint", null);
    __decorate([plugin_1.CordovaInstance()], GoogleMap.prototype, "fromPointToLatLng", null);
    __decorate([plugin_1.CordovaInstance()], GoogleMap.prototype, "toDataURL", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMap.prototype, "remove", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMap.prototype, "panBy", null);
    __decorate([plugin_1.Cordova()], GoogleMap, "isAvailable", null);
    GoogleMap = __decorate([plugin_1.Plugin({
      pluginRef: 'plugin.google.maps.Map',
      plugin: 'cordova-plugin-googlemaps',
      repo: 'https://github.com/mapsplugin/cordova-plugin-googlemaps'
    })], GoogleMap);
    return GoogleMap;
  }());
  exports.GoogleMap = GoogleMap;
  var GoogleMapsMarker = (function() {
    function GoogleMapsMarker(_objectInstance) {
      this._objectInstance = _objectInstance;
    }
    GoogleMapsMarker.prototype.addEventListener = function(event) {
      var _this = this;
      return new Observable_1.Observable(function(observer) {
        _this._objectInstance.addEventListener(event, observer.next.bind(observer));
        return function() {
          return _this._objectInstance.removeEventListener(event, observer.next.bind(observer));
        };
      });
    };
    GoogleMapsMarker.prototype.isVisible = function() {
      return;
    };
    GoogleMapsMarker.prototype.setVisible = function(visible) {};
    GoogleMapsMarker.prototype.getHashCode = function() {
      return;
    };
    GoogleMapsMarker.prototype.remove = function() {};
    GoogleMapsMarker.prototype.setOpacity = function(alpha) {};
    GoogleMapsMarker.prototype.getOpacity = function() {
      return;
    };
    GoogleMapsMarker.prototype.setZIndex = function() {};
    GoogleMapsMarker.prototype.setIconAnchor = function(x, y) {};
    GoogleMapsMarker.prototype.setInfoWindowAnchor = function(x, y) {};
    GoogleMapsMarker.prototype.setDraggable = function(draggable) {};
    GoogleMapsMarker.prototype.isDraggable = function() {
      return;
    };
    GoogleMapsMarker.prototype.setFlat = function(flat) {
      return;
    };
    GoogleMapsMarker.prototype.setIcon = function(icon) {};
    GoogleMapsMarker.prototype.setTitle = function(title) {};
    GoogleMapsMarker.prototype.getTitle = function() {
      return;
    };
    GoogleMapsMarker.prototype.setSnippet = function(snippet) {};
    GoogleMapsMarker.prototype.getSnippet = function() {
      return;
    };
    GoogleMapsMarker.prototype.setRotation = function(rotation) {};
    GoogleMapsMarker.prototype.getRotation = function() {
      return;
    };
    GoogleMapsMarker.prototype.showInfoWindow = function() {
      return;
    };
    GoogleMapsMarker.prototype.hideInfoWindow = function() {
      return;
    };
    GoogleMapsMarker.prototype.setPosition = function(latLng) {};
    GoogleMapsMarker.prototype.getPosition = function() {
      return;
    };
    GoogleMapsMarker.prototype.getMap = function() {
      return;
    };
    GoogleMapsMarker.prototype.setAnimation = function(animation) {};
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsMarker.prototype, "isVisible", null);
    __decorate([plugin_1.CordovaInstance()], GoogleMapsMarker.prototype, "setVisible", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsMarker.prototype, "getHashCode", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsMarker.prototype, "remove", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsMarker.prototype, "setOpacity", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsMarker.prototype, "getOpacity", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsMarker.prototype, "setZIndex", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsMarker.prototype, "setIconAnchor", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsMarker.prototype, "setInfoWindowAnchor", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsMarker.prototype, "setDraggable", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsMarker.prototype, "isDraggable", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsMarker.prototype, "setFlat", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsMarker.prototype, "setIcon", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsMarker.prototype, "setTitle", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsMarker.prototype, "getTitle", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsMarker.prototype, "setSnippet", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsMarker.prototype, "getSnippet", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsMarker.prototype, "setRotation", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsMarker.prototype, "getRotation", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsMarker.prototype, "showInfoWindow", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsMarker.prototype, "hideInfoWindow", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsMarker.prototype, "setPosition", null);
    __decorate([plugin_1.CordovaInstance()], GoogleMapsMarker.prototype, "getPosition", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsMarker.prototype, "getMap", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsMarker.prototype, "setAnimation", null);
    return GoogleMapsMarker;
  }());
  exports.GoogleMapsMarker = GoogleMapsMarker;
  var GoogleMapsCircle = (function() {
    function GoogleMapsCircle(_objectInstance) {
      this._objectInstance = _objectInstance;
    }
    GoogleMapsCircle.prototype.addEventListener = function(event) {
      var _this = this;
      return new Observable_1.Observable(function(observer) {
        _this._objectInstance.addEventListener(event, observer.next.bind(observer));
        return function() {
          return _this._objectInstance.removeEventListener(event, observer.next.bind(observer));
        };
      });
    };
    GoogleMapsCircle.prototype.getCenter = function() {
      return;
    };
    GoogleMapsCircle.prototype.getRadius = function() {
      return;
    };
    GoogleMapsCircle.prototype.getStrokeColor = function() {
      return;
    };
    GoogleMapsCircle.prototype.getVisible = function() {
      return;
    };
    GoogleMapsCircle.prototype.getZIndex = function() {
      return;
    };
    GoogleMapsCircle.prototype.remove = function() {};
    GoogleMapsCircle.prototype.setCenter = function(latLng) {};
    GoogleMapsCircle.prototype.setFillColor = function(fillColor) {};
    GoogleMapsCircle.prototype.setStrokeColor = function(strokeColor) {};
    GoogleMapsCircle.prototype.setStrokeWidth = function(strokeWidth) {};
    GoogleMapsCircle.prototype.setVisible = function(visible) {};
    GoogleMapsCircle.prototype.setZIndex = function(zIndex) {};
    GoogleMapsCircle.prototype.setRadius = function(radius) {};
    GoogleMapsCircle.prototype.getMap = function() {
      return;
    };
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsCircle.prototype, "getCenter", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsCircle.prototype, "getRadius", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsCircle.prototype, "getStrokeColor", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsCircle.prototype, "getVisible", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsCircle.prototype, "getZIndex", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsCircle.prototype, "remove", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsCircle.prototype, "setCenter", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsCircle.prototype, "setFillColor", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsCircle.prototype, "setStrokeColor", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsCircle.prototype, "setStrokeWidth", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsCircle.prototype, "setVisible", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsCircle.prototype, "setZIndex", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsCircle.prototype, "setRadius", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsCircle.prototype, "getMap", null);
    return GoogleMapsCircle;
  }());
  exports.GoogleMapsCircle = GoogleMapsCircle;
  var GoogleMapsPolyline = (function() {
    function GoogleMapsPolyline(_objectInstance) {
      this._objectInstance = _objectInstance;
    }
    GoogleMapsPolyline.prototype.addEventListener = function(event) {
      var _this = this;
      return new Observable_1.Observable(function(observer) {
        _this._objectInstance.addEventListener(event, observer.next.bind(observer));
        return function() {
          return _this._objectInstance.removeEventListener(event, observer.next.bind(observer));
        };
      });
    };
    GoogleMapsPolyline.prototype.getPoints = function() {
      return;
    };
    GoogleMapsPolyline.prototype.getCOlor = function() {
      return;
    };
    GoogleMapsPolyline.prototype.getWidth = function() {
      return;
    };
    GoogleMapsPolyline.prototype.getGeodesic = function() {
      return;
    };
    GoogleMapsPolyline.prototype.getZIndex = function() {
      return;
    };
    GoogleMapsPolyline.prototype.remove = function() {};
    GoogleMapsPolyline.prototype.setPoints = function(points) {};
    GoogleMapsPolyline.prototype.setColor = function(color) {};
    GoogleMapsPolyline.prototype.setWidth = function(width) {};
    GoogleMapsPolyline.prototype.setVisible = function(visible) {};
    GoogleMapsPolyline.prototype.setZIndex = function(zIndex) {};
    GoogleMapsPolyline.prototype.setGeoDesic = function(geoDesic) {};
    GoogleMapsPolyline.prototype.getMap = function() {
      return;
    };
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsPolyline.prototype, "getPoints", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsPolyline.prototype, "getCOlor", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsPolyline.prototype, "getWidth", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsPolyline.prototype, "getGeodesic", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsPolyline.prototype, "getZIndex", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsPolyline.prototype, "remove", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsPolyline.prototype, "setPoints", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsPolyline.prototype, "setColor", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsPolyline.prototype, "setWidth", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsPolyline.prototype, "setVisible", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsPolyline.prototype, "setZIndex", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsPolyline.prototype, "setGeoDesic", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsPolyline.prototype, "getMap", null);
    return GoogleMapsPolyline;
  }());
  exports.GoogleMapsPolyline = GoogleMapsPolyline;
  var GoogleMapsPolygon = (function() {
    function GoogleMapsPolygon(_objectInstance) {
      this._objectInstance = _objectInstance;
    }
    GoogleMapsPolygon.prototype.addEventListener = function(event) {
      var _this = this;
      return new Observable_1.Observable(function(observer) {
        _this._objectInstance.addEventListener(event, observer.next.bind(observer));
        return function() {
          return _this._objectInstance.removeEventListener(event, observer.next.bind(observer));
        };
      });
    };
    GoogleMapsPolygon.prototype.getPoints = function() {
      return;
    };
    GoogleMapsPolygon.prototype.getStrokeColor = function() {
      return;
    };
    GoogleMapsPolygon.prototype.getFillColor = function() {
      return;
    };
    GoogleMapsPolygon.prototype.getStrokeWidth = function() {
      return;
    };
    GoogleMapsPolygon.prototype.getGeodesic = function() {
      return;
    };
    GoogleMapsPolygon.prototype.getVisible = function() {
      return;
    };
    GoogleMapsPolygon.prototype.getZIndex = function() {
      return;
    };
    GoogleMapsPolygon.prototype.remove = function() {};
    GoogleMapsPolygon.prototype.setPoints = function(points) {};
    GoogleMapsPolygon.prototype.setStrokeColor = function(strokeColor) {};
    GoogleMapsPolygon.prototype.setFillColor = function(fillColor) {};
    GoogleMapsPolygon.prototype.setStrokeWidth = function(strokeWidth) {};
    GoogleMapsPolygon.prototype.setVisible = function(visible) {};
    GoogleMapsPolygon.prototype.setZIndex = function(zIndex) {};
    GoogleMapsPolygon.prototype.setGeodesic = function(geodesic) {};
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsPolygon.prototype, "getPoints", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsPolygon.prototype, "getStrokeColor", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsPolygon.prototype, "getFillColor", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsPolygon.prototype, "getStrokeWidth", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsPolygon.prototype, "getGeodesic", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsPolygon.prototype, "getVisible", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsPolygon.prototype, "getZIndex", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsPolygon.prototype, "remove", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsPolygon.prototype, "setPoints", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsPolygon.prototype, "setStrokeColor", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsPolygon.prototype, "setFillColor", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsPolygon.prototype, "setStrokeWidth", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsPolygon.prototype, "setVisible", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsPolygon.prototype, "setZIndex", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsPolygon.prototype, "setGeodesic", null);
    return GoogleMapsPolygon;
  }());
  exports.GoogleMapsPolygon = GoogleMapsPolygon;
  var GoogleMapsTileOverlay = (function() {
    function GoogleMapsTileOverlay(_objectInstance) {
      this._objectInstance = _objectInstance;
    }
    GoogleMapsTileOverlay.prototype.getVisible = function() {
      return;
    };
    GoogleMapsTileOverlay.prototype.setVisible = function(visible) {};
    GoogleMapsTileOverlay.prototype.getFadeIn = function() {
      return;
    };
    GoogleMapsTileOverlay.prototype.setFadeIn = function(fadeIn) {};
    GoogleMapsTileOverlay.prototype.getZIndex = function() {
      return;
    };
    GoogleMapsTileOverlay.prototype.setZIndex = function(zIndex) {};
    GoogleMapsTileOverlay.prototype.getOpacity = function() {
      return;
    };
    GoogleMapsTileOverlay.prototype.setOpacity = function(opacity) {};
    GoogleMapsTileOverlay.prototype.clearTileCache = function() {};
    GoogleMapsTileOverlay.prototype.remove = function() {};
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsTileOverlay.prototype, "getVisible", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsTileOverlay.prototype, "setVisible", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsTileOverlay.prototype, "getFadeIn", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsTileOverlay.prototype, "setFadeIn", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsTileOverlay.prototype, "getZIndex", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsTileOverlay.prototype, "setZIndex", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsTileOverlay.prototype, "getOpacity", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsTileOverlay.prototype, "setOpacity", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsTileOverlay.prototype, "clearTileCache", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsTileOverlay.prototype, "remove", null);
    return GoogleMapsTileOverlay;
  }());
  exports.GoogleMapsTileOverlay = GoogleMapsTileOverlay;
  var GoogleMapsGroundOverlay = (function() {
    function GoogleMapsGroundOverlay(_objectInstance) {
      this._objectInstance = _objectInstance;
    }
    GoogleMapsGroundOverlay.prototype.setBearing = function(bearing) {};
    GoogleMapsGroundOverlay.prototype.getBearing = function() {
      return;
    };
    GoogleMapsGroundOverlay.prototype.setOpacity = function(opacity) {};
    GoogleMapsGroundOverlay.prototype.getOpacity = function() {
      return;
    };
    GoogleMapsGroundOverlay.prototype.setVisible = function(visible) {};
    GoogleMapsGroundOverlay.prototype.getVisible = function() {
      return;
    };
    GoogleMapsGroundOverlay.prototype.setImage = function(image) {};
    ;
    GoogleMapsGroundOverlay.prototype.remove = function() {};
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsGroundOverlay.prototype, "setBearing", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsGroundOverlay.prototype, "getBearing", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsGroundOverlay.prototype, "setOpacity", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsGroundOverlay.prototype, "getOpacity", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsGroundOverlay.prototype, "setVisible", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsGroundOverlay.prototype, "getVisible", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsGroundOverlay.prototype, "setImage", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsGroundOverlay.prototype, "remove", null);
    return GoogleMapsGroundOverlay;
  }());
  exports.GoogleMapsGroundOverlay = GoogleMapsGroundOverlay;
  var GoogleMapsKmlOverlay = (function() {
    function GoogleMapsKmlOverlay(_objectInstance) {
      this._objectInstance = _objectInstance;
    }
    GoogleMapsKmlOverlay.prototype.remove = function() {};
    GoogleMapsKmlOverlay.prototype.getOverlays = function() {
      return;
    };
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsKmlOverlay.prototype, "remove", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsKmlOverlay.prototype, "getOverlays", null);
    return GoogleMapsKmlOverlay;
  }());
  exports.GoogleMapsKmlOverlay = GoogleMapsKmlOverlay;
  var GoogleMapsLatLngBounds = (function() {
    function GoogleMapsLatLngBounds(southwestOrArrayOfLatLng, northeast) {
      this.southwestOrArrayOfLatLng = southwestOrArrayOfLatLng;
      this.northeast = northeast;
      var args = !!northeast ? [southwestOrArrayOfLatLng, northeast] : southwestOrArrayOfLatLng;
      this._objectInstance = new plugin.google.maps.LatLngBounds(args);
    }
    GoogleMapsLatLngBounds.prototype.toString = function() {
      return;
    };
    GoogleMapsLatLngBounds.prototype.toUrlValue = function(precision) {
      return;
    };
    GoogleMapsLatLngBounds.prototype.extend = function(LatLng) {};
    GoogleMapsLatLngBounds.prototype.contains = function(LatLng) {
      return;
    };
    GoogleMapsLatLngBounds.prototype.getCenter = function() {
      return;
    };
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsLatLngBounds.prototype, "toString", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsLatLngBounds.prototype, "toUrlValue", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsLatLngBounds.prototype, "extend", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsLatLngBounds.prototype, "contains", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsLatLngBounds.prototype, "getCenter", null);
    return GoogleMapsLatLngBounds;
  }());
  exports.GoogleMapsLatLngBounds = GoogleMapsLatLngBounds;
  var GoogleMapsLatLng = (function() {
    function GoogleMapsLatLng(lat, lng) {
      this.lat = lat;
      this.lng = lng;
      this._objectInstance = new plugin.google.maps.LatLng(lat, lng);
    }
    GoogleMapsLatLng.prototype.equals = function(other) {
      return this.lat === other.lat && this.lng === other.lng;
    };
    GoogleMapsLatLng.prototype.toString = function() {
      return;
    };
    GoogleMapsLatLng.prototype.toUrlValue = function(precision) {
      precision = precision || 6;
      return this.lat.toFixed(precision) + ',' + this.lng.toFixed(precision);
    };
    __decorate([plugin_1.CordovaInstance({sync: true})], GoogleMapsLatLng.prototype, "toString", null);
    return GoogleMapsLatLng;
  }());
  exports.GoogleMapsLatLng = GoogleMapsLatLng;
  var Geocoder = (function() {
    function Geocoder() {}
    Geocoder.geocode = function(request) {
      return new Promise(function(resolve, reject) {
        if (!plugin || !plugin.google || !plugin.google.maps || !plugin.google.maps.Geocoder) {
          reject({error: 'plugin_not_installed'});
        } else {
          plugin.google.maps.Geocoder.geocode(request, resolve);
        }
      });
    };
    return Geocoder;
  }());
  exports.Geocoder = Geocoder;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/googleanalytics.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var GoogleAnalytics = (function() {
    function GoogleAnalytics() {}
    GoogleAnalytics.startTrackerWithId = function(id) {
      return;
    };
    GoogleAnalytics.trackView = function(title, campaignUrl) {
      return;
    };
    GoogleAnalytics.trackEvent = function(category, action, label, value) {
      return;
    };
    GoogleAnalytics.trackException = function(description, fatal) {
      return;
    };
    GoogleAnalytics.trackTiming = function(category, intervalInMilliseconds, variable, label) {
      return;
    };
    GoogleAnalytics.addTransaction = function(id, affiliation, revenue, tax, shipping, currencyCode) {
      return;
    };
    GoogleAnalytics.addTransactionItem = function(id, name, sku, category, price, quantity, currencyCode) {
      return;
    };
    GoogleAnalytics.addCustomDimension = function(key, value) {
      return;
    };
    GoogleAnalytics.setUserId = function(id) {};
    GoogleAnalytics.setAppVersion = function(appVersion) {};
    GoogleAnalytics.setAnonymizeIp = function(anonymize) {};
    GoogleAnalytics.setAllowIDFACollection = function(allow) {};
    GoogleAnalytics.debugMode = function() {
      return;
    };
    GoogleAnalytics.enableUncaughtExceptionReporting = function(shouldEnable) {
      return;
    };
    __decorate([plugin_1.Cordova()], GoogleAnalytics, "startTrackerWithId", null);
    __decorate([plugin_1.Cordova()], GoogleAnalytics, "trackView", null);
    __decorate([plugin_1.Cordova()], GoogleAnalytics, "trackEvent", null);
    __decorate([plugin_1.Cordova()], GoogleAnalytics, "trackException", null);
    __decorate([plugin_1.Cordova()], GoogleAnalytics, "trackTiming", null);
    __decorate([plugin_1.Cordova()], GoogleAnalytics, "addTransaction", null);
    __decorate([plugin_1.Cordova()], GoogleAnalytics, "addTransactionItem", null);
    __decorate([plugin_1.Cordova()], GoogleAnalytics, "addCustomDimension", null);
    __decorate([plugin_1.Cordova({sync: true})], GoogleAnalytics, "setUserId", null);
    __decorate([plugin_1.Cordova({sync: true})], GoogleAnalytics, "setAppVersion", null);
    __decorate([plugin_1.Cordova({sync: true})], GoogleAnalytics, "setAnonymizeIp", null);
    __decorate([plugin_1.Cordova({sync: true})], GoogleAnalytics, "setAllowIDFACollection", null);
    __decorate([plugin_1.Cordova({sync: true})], GoogleAnalytics, "debugMode", null);
    __decorate([plugin_1.Cordova()], GoogleAnalytics, "enableUncaughtExceptionReporting", null);
    GoogleAnalytics = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-google-analytics',
      pluginRef: 'analytics',
      repo: 'https://github.com/danwilson/google-analytics-plugin',
      platforms: ['Android', 'iOS']
    })], GoogleAnalytics);
    return GoogleAnalytics;
  }());
  exports.GoogleAnalytics = GoogleAnalytics;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/hotspot.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Hotspot = (function() {
    function Hotspot() {}
    Hotspot.isAvailable = function() {
      return;
    };
    Hotspot.toggleWifi = function() {
      return;
    };
    Hotspot.createHotspot = function(ssid, mode, password) {
      return;
    };
    Hotspot.startHotspot = function() {
      return;
    };
    Hotspot.configureHotspot = function(ssid, mode, password) {
      return;
    };
    Hotspot.stopHotspot = function() {
      return;
    };
    Hotspot.isHotspotEnabled = function() {
      return;
    };
    Hotspot.getAllHotspotDevices = function() {
      return;
    };
    Hotspot.connectToWifi = function(ssid, password) {
      return;
    };
    Hotspot.connectToWifiAuthEncrypt = function(ssid, password, authentication, encryption) {
      return;
    };
    Hotspot.addWifiNetwork = function(ssid, mode, password) {
      return;
    };
    Hotspot.removeWifiNetwork = function(ssid) {
      return;
    };
    Hotspot.isConnectedToInternet = function() {
      return;
    };
    Hotspot.isConnectedToInternetViaWifi = function() {
      return;
    };
    Hotspot.isWifiOn = function() {
      return;
    };
    Hotspot.isWifiSupported = function() {
      return;
    };
    Hotspot.isWifiDirectSupported = function() {
      return;
    };
    Hotspot.scanWifi = function() {
      return;
    };
    Hotspot.scanWifiByLevel = function() {
      return;
    };
    Hotspot.startWifiPeriodicallyScan = function(interval, duration) {
      return;
    };
    Hotspot.stopWifiPeriodicallyScan = function() {
      return;
    };
    Hotspot.getNetConfig = function() {
      return;
    };
    Hotspot.getConnectionInfo = function() {
      return;
    };
    Hotspot.pingHost = function(ip) {
      return;
    };
    Hotspot.getMacAddressOfHost = function(ip) {
      return;
    };
    Hotspot.isDnsLive = function(ip) {
      return;
    };
    Hotspot.isPortLive = function(ip) {
      return;
    };
    Hotspot.isRooted = function() {
      return;
    };
    __decorate([plugin_1.Cordova()], Hotspot, "isAvailable", null);
    __decorate([plugin_1.Cordova()], Hotspot, "toggleWifi", null);
    __decorate([plugin_1.Cordova()], Hotspot, "createHotspot", null);
    __decorate([plugin_1.Cordova()], Hotspot, "startHotspot", null);
    __decorate([plugin_1.Cordova()], Hotspot, "configureHotspot", null);
    __decorate([plugin_1.Cordova()], Hotspot, "stopHotspot", null);
    __decorate([plugin_1.Cordova()], Hotspot, "isHotspotEnabled", null);
    __decorate([plugin_1.Cordova()], Hotspot, "getAllHotspotDevices", null);
    __decorate([plugin_1.Cordova()], Hotspot, "connectToWifi", null);
    __decorate([plugin_1.Cordova()], Hotspot, "connectToWifiAuthEncrypt", null);
    __decorate([plugin_1.Cordova()], Hotspot, "addWifiNetwork", null);
    __decorate([plugin_1.Cordova()], Hotspot, "removeWifiNetwork", null);
    __decorate([plugin_1.Cordova()], Hotspot, "isConnectedToInternet", null);
    __decorate([plugin_1.Cordova()], Hotspot, "isConnectedToInternetViaWifi", null);
    __decorate([plugin_1.Cordova()], Hotspot, "isWifiOn", null);
    __decorate([plugin_1.Cordova()], Hotspot, "isWifiSupported", null);
    __decorate([plugin_1.Cordova()], Hotspot, "isWifiDirectSupported", null);
    __decorate([plugin_1.Cordova()], Hotspot, "scanWifi", null);
    __decorate([plugin_1.Cordova()], Hotspot, "scanWifiByLevel", null);
    __decorate([plugin_1.Cordova()], Hotspot, "startWifiPeriodicallyScan", null);
    __decorate([plugin_1.Cordova()], Hotspot, "stopWifiPeriodicallyScan", null);
    __decorate([plugin_1.Cordova()], Hotspot, "getNetConfig", null);
    __decorate([plugin_1.Cordova()], Hotspot, "getConnectionInfo", null);
    __decorate([plugin_1.Cordova()], Hotspot, "pingHost", null);
    __decorate([plugin_1.Cordova()], Hotspot, "getMacAddressOfHost", null);
    __decorate([plugin_1.Cordova()], Hotspot, "isDnsLive", null);
    __decorate([plugin_1.Cordova()], Hotspot, "isPortLive", null);
    __decorate([plugin_1.Cordova()], Hotspot, "isRooted", null);
    Hotspot = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-hotspot',
      pluginRef: 'cordova.plugins.hotspot',
      repo: 'https://github.com/hypery2k/cordova-hotspot-plugin',
      platforms: ['Android']
    })], Hotspot);
    return Hotspot;
  }());
  exports.Hotspot = Hotspot;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/httpd.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Httpd = (function() {
    function Httpd() {}
    Httpd.startServer = function(options) {
      return;
    };
    Httpd.getUrl = function() {
      return;
    };
    Httpd.getLocalPath = function() {
      return;
    };
    __decorate([plugin_1.Cordova({
      observable: true,
      clearFunction: 'stopServer'
    })], Httpd, "startServer", null);
    __decorate([plugin_1.Cordova()], Httpd, "getUrl", null);
    __decorate([plugin_1.Cordova()], Httpd, "getLocalPath", null);
    Httpd = __decorate([plugin_1.Plugin({
      plugin: 'https://github.com/floatinghotpot/cordova-httpd.git',
      pluginRef: 'cordova.plugins.CorHttpd',
      repo: 'https://github.com/floatinghotpot/cordova-httpd',
      platforms: ['iOS', 'Android']
    })], Httpd);
    return Httpd;
  }());
  exports.Httpd = Httpd;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/ibeacon.js", ["./plugin", "rxjs/Observable"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Observable_1 = $__require('rxjs/Observable');
  var IBeacon = (function() {
    function IBeacon() {}
    IBeacon.Delegate = function() {
      var delegate = new cordova.plugins.locationManager.Delegate();
      delegate.didChangeAuthorizationStatus = function(pluginResult) {
        return new Observable_1.Observable(function(observer) {
          var cb = function(data) {
            return observer.next(data);
          };
          return delegate.didChangeAuthorizationStatus = cb;
        });
      };
      delegate.didDetermineStateForRegion = function(pluginResult) {
        return new Observable_1.Observable(function(observer) {
          var cb = function(data) {
            return observer.next(data);
          };
          return delegate.didDetermineStateForRegion = cb;
        });
      };
      delegate.didEnterRegion = function(pluginResult) {
        return new Observable_1.Observable(function(observer) {
          var cb = function(data) {
            return observer.next(data);
          };
          return delegate.didEnterRegion = cb;
        });
      };
      delegate.didExitRegion = function(pluginResult) {
        return new Observable_1.Observable(function(observer) {
          var cb = function(data) {
            return observer.next(data);
          };
          return delegate.didExitRegion = cb;
        });
      };
      delegate.didRangeBeaconsInRegion = function(pluginResult) {
        return new Observable_1.Observable(function(observer) {
          var cb = function(data) {
            return observer.next(data);
          };
          return delegate.didRangeBeaconsInRegion = cb;
        });
      };
      delegate.didStartMonitoringForRegion = function(pluginResult) {
        return new Observable_1.Observable(function(observer) {
          var cb = function(data) {
            return observer.next(data);
          };
          return delegate.didStartMonitoringForRegion = cb;
        });
      };
      delegate.monitoringDidFailForRegionWithError = function(pluginResult) {
        return new Observable_1.Observable(function(observer) {
          var cb = function(data) {
            return observer.next(data);
          };
          return delegate.monitoringDidFailForRegionWithError = cb;
        });
      };
      delegate.peripheralManagerDidStartAdvertising = function(pluginResult) {
        return new Observable_1.Observable(function(observer) {
          var cb = function(data) {
            return observer.next(data);
          };
          return delegate.peripheralManagerDidStartAdvertising = cb;
        });
      };
      delegate.peripheralManagerDidUpdateState = function(pluginResult) {
        return new Observable_1.Observable(function(observer) {
          var cb = function(data) {
            return observer.next(data);
          };
          return delegate.peripheralManagerDidUpdateState = cb;
        });
      };
      cordova.plugins.locationManager.setDelegate(delegate);
      return delegate;
    };
    IBeacon.BeaconRegion = function(identifer, uuid, major, minor, notifyEntryStateOnDisplay) {
      return new cordova.plugins.locationManager.BeaconRegion(identifer, uuid, major, minor, notifyEntryStateOnDisplay);
    };
    IBeacon.getDelegate = function() {
      return;
    };
    IBeacon.setDelegate = function(delegate) {
      return;
    };
    IBeacon.onDomDelegateReady = function() {
      return;
    };
    IBeacon.isBluetoothEnabled = function() {
      return;
    };
    IBeacon.enableBluetooth = function() {
      return;
    };
    IBeacon.disableBluetooth = function() {
      return;
    };
    IBeacon.startMonitoringForRegion = function(region) {
      return;
    };
    IBeacon.stopMonitoringForRegion = function(region) {
      return;
    };
    IBeacon.requestStateForRegion = function(region) {
      return;
    };
    IBeacon.startRangingBeaconsInRegion = function(region) {
      return;
    };
    IBeacon.stopRangingBeaconsInRegion = function(region) {
      return;
    };
    IBeacon.getAuthorizationStatus = function() {
      return;
    };
    IBeacon.requestWhenInUseAuthorization = function() {
      return;
    };
    IBeacon.requestAlwaysAuthorization = function() {
      return;
    };
    IBeacon.getMonitoredRegions = function() {
      return;
    };
    IBeacon.getRangedRegions = function() {
      return;
    };
    IBeacon.isRangingAvailable = function() {
      return;
    };
    IBeacon.isMonitoringAvailableForClass = function(region) {
      return;
    };
    IBeacon.startAdvertising = function(region, measuredPower) {
      return;
    };
    IBeacon.stopAdvertising = function(region) {
      return;
    };
    IBeacon.isAdvertisingAvailable = function() {
      return;
    };
    IBeacon.isAdvertising = function() {
      return;
    };
    IBeacon.disableDebugLogs = function() {
      return;
    };
    IBeacon.enableDebugNotifications = function() {
      return;
    };
    IBeacon.disableDebugNotifications = function() {
      return;
    };
    IBeacon.enableDebugLogs = function() {
      return;
    };
    IBeacon.appendToDeviceLog = function(message) {
      return;
    };
    __decorate([plugin_1.Cordova()], IBeacon, "getDelegate", null);
    __decorate([plugin_1.Cordova()], IBeacon, "setDelegate", null);
    __decorate([plugin_1.Cordova({otherPromise: true})], IBeacon, "onDomDelegateReady", null);
    __decorate([plugin_1.Cordova({otherPromise: true})], IBeacon, "isBluetoothEnabled", null);
    __decorate([plugin_1.Cordova({otherPromise: true})], IBeacon, "enableBluetooth", null);
    __decorate([plugin_1.Cordova({otherPromise: true})], IBeacon, "disableBluetooth", null);
    __decorate([plugin_1.Cordova({otherPromise: true})], IBeacon, "startMonitoringForRegion", null);
    __decorate([plugin_1.Cordova({otherPromise: true})], IBeacon, "stopMonitoringForRegion", null);
    __decorate([plugin_1.Cordova({otherPromise: true})], IBeacon, "requestStateForRegion", null);
    __decorate([plugin_1.Cordova({otherPromise: true})], IBeacon, "startRangingBeaconsInRegion", null);
    __decorate([plugin_1.Cordova({otherPromise: true})], IBeacon, "stopRangingBeaconsInRegion", null);
    __decorate([plugin_1.Cordova({otherPromise: true})], IBeacon, "getAuthorizationStatus", null);
    __decorate([plugin_1.Cordova({otherPromise: true})], IBeacon, "requestWhenInUseAuthorization", null);
    __decorate([plugin_1.Cordova({otherPromise: true})], IBeacon, "requestAlwaysAuthorization", null);
    __decorate([plugin_1.Cordova({otherPromise: true})], IBeacon, "getMonitoredRegions", null);
    __decorate([plugin_1.Cordova({otherPromise: true})], IBeacon, "getRangedRegions", null);
    __decorate([plugin_1.Cordova({otherPromise: true})], IBeacon, "isRangingAvailable", null);
    __decorate([plugin_1.Cordova({otherPromise: true})], IBeacon, "isMonitoringAvailableForClass", null);
    __decorate([plugin_1.Cordova({otherPromise: true})], IBeacon, "startAdvertising", null);
    __decorate([plugin_1.Cordova({otherPromise: true})], IBeacon, "stopAdvertising", null);
    __decorate([plugin_1.Cordova({otherPromise: true})], IBeacon, "isAdvertisingAvailable", null);
    __decorate([plugin_1.Cordova({otherPromise: true})], IBeacon, "isAdvertising", null);
    __decorate([plugin_1.Cordova({otherPromise: true})], IBeacon, "disableDebugLogs", null);
    __decorate([plugin_1.Cordova({otherPromise: true})], IBeacon, "enableDebugNotifications", null);
    __decorate([plugin_1.Cordova({otherPromise: true})], IBeacon, "disableDebugNotifications", null);
    __decorate([plugin_1.Cordova({otherPromise: true})], IBeacon, "enableDebugLogs", null);
    __decorate([plugin_1.Cordova({otherPromise: true})], IBeacon, "appendToDeviceLog", null);
    IBeacon = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-ibeacon',
      pluginRef: 'cordova.plugins.locationManager',
      repo: 'https://github.com/petermetz/cordova-plugin-ibeacon',
      platforms: ['Android', 'iOS']
    })], IBeacon);
    return IBeacon;
  }());
  exports.IBeacon = IBeacon;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/imagepicker.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var ImagePicker = (function() {
    function ImagePicker() {}
    ImagePicker.getPictures = function(options) {
      return;
    };
    __decorate([plugin_1.Cordova({callbackOrder: 'reverse'})], ImagePicker, "getPictures", null);
    ImagePicker = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-image-picker',
      pluginRef: 'window.imagePicker',
      repo: 'https://github.com/wymsee/cordova-imagePicker'
    })], ImagePicker);
    return ImagePicker;
  }());
  exports.ImagePicker = ImagePicker;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/imageresizer.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var ImageResizer = (function() {
    function ImageResizer() {}
    ImageResizer.resize = function(options) {
      return;
    };
    __decorate([plugin_1.Cordova()], ImageResizer, "resize", null);
    ImageResizer = __decorate([plugin_1.Plugin({
      plugin: 'https://github.com/protonet/cordova-plugin-image-resizer.git',
      pluginRef: 'ImageResizer',
      repo: 'https://github.com/protonet/cordova-plugin-image-resizer'
    })], ImageResizer);
    return ImageResizer;
  }());
  exports.ImageResizer = ImageResizer;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/inappbrowser.js", ["./plugin", "rxjs/Observable"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Observable_1 = $__require('rxjs/Observable');
  var InAppBrowser = (function() {
    function InAppBrowser(url, target, options) {
      try {
        this._objectInstance = cordova.InAppBrowser.open(url, target, options);
      } catch (e) {
        window.open(url);
        console.warn('Native: InAppBrowser is not installed or you are running on a browser. Falling back to window.open, all instance methods will NOT work.');
      }
    }
    InAppBrowser.open = function(url, target, options) {
      console.warn('Native: Your current usage of the InAppBrowser plugin is depreciated as of ionic-native@1.3.8. Please check the Ionic Native docs for the latest usage details.');
    };
    InAppBrowser.prototype.show = function() {};
    InAppBrowser.prototype.close = function() {};
    InAppBrowser.prototype.executeScript = function(script) {
      return;
    };
    InAppBrowser.prototype.insertCss = function(css) {
      return;
    };
    InAppBrowser.prototype.on = function(event) {
      var _this = this;
      return new Observable_1.Observable(function(observer) {
        _this._objectInstance.addEventListener(event, observer.next.bind(observer));
        return function() {
          return _this._objectInstance.removeEventListener(event, observer.next.bind(observer));
        };
      });
    };
    __decorate([plugin_1.CordovaInstance({sync: true})], InAppBrowser.prototype, "show", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], InAppBrowser.prototype, "close", null);
    __decorate([plugin_1.CordovaInstance()], InAppBrowser.prototype, "executeScript", null);
    __decorate([plugin_1.CordovaInstance()], InAppBrowser.prototype, "insertCss", null);
    InAppBrowser = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-inappbrowser',
      pluginRef: 'cordova.InAppBrowser',
      repo: 'https://github.com/apache/cordova-plugin-inappbrowser'
    })], InAppBrowser);
    return InAppBrowser;
  }());
  exports.InAppBrowser = InAppBrowser;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/insomnia.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Insomnia = (function() {
    function Insomnia() {}
    Insomnia.keepAwake = function() {
      return;
    };
    Insomnia.allowSleepAgain = function() {
      return;
    };
    __decorate([plugin_1.Cordova()], Insomnia, "keepAwake", null);
    __decorate([plugin_1.Cordova()], Insomnia, "allowSleepAgain", null);
    Insomnia = __decorate([plugin_1.Plugin({
      plugin: 'https://github.com/EddyVerbruggen/Insomnia-PhoneGap-Plugin.git',
      pluginRef: 'plugins.insomnia',
      repo: 'https://github.com/EddyVerbruggen/Insomnia-PhoneGap-Plugin',
      platforms: ['Android', 'iOS', 'Windows Phone 8']
    })], Insomnia);
    return Insomnia;
  }());
  exports.Insomnia = Insomnia;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/keyboard.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Keyboard = (function() {
    function Keyboard() {}
    Keyboard.hideKeyboardAccessoryBar = function(hide) {};
    Keyboard.show = function() {};
    Keyboard.close = function() {};
    Keyboard.disableScroll = function(disable) {};
    Keyboard.onKeyboardShow = function() {
      return;
    };
    Keyboard.onKeyboardHide = function() {
      return;
    };
    __decorate([plugin_1.Cordova({sync: true})], Keyboard, "hideKeyboardAccessoryBar", null);
    __decorate([plugin_1.Cordova({
      sync: true,
      platforms: ['Android', 'BlackBerry 10', 'Windows']
    })], Keyboard, "show", null);
    __decorate([plugin_1.Cordova({
      sync: true,
      platforms: ['iOS', 'Android', 'BlackBerry 10', 'Windows']
    })], Keyboard, "close", null);
    __decorate([plugin_1.Cordova({
      sync: true,
      platforms: ['iOS', 'Windows']
    })], Keyboard, "disableScroll", null);
    __decorate([plugin_1.Cordova({
      eventObservable: true,
      event: 'native.keyboardshow',
      platforms: ['iOS', 'Android', 'BlackBerry 10', 'Windows']
    })], Keyboard, "onKeyboardShow", null);
    __decorate([plugin_1.Cordova({
      eventObservable: true,
      event: 'native.keyboardhide',
      platforms: ['iOS', 'Android', 'BlackBerry 10', 'Windows']
    })], Keyboard, "onKeyboardHide", null);
    Keyboard = __decorate([plugin_1.Plugin({
      plugin: 'ionic-plugin-keyboard',
      pluginRef: 'cordova.plugins.Keyboard',
      repo: 'https://github.com/driftyco/ionic-plugin-keyboard'
    })], Keyboard);
    return Keyboard;
  }());
  exports.Keyboard = Keyboard;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/launchnavigator.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var LaunchNavigator = (function() {
    function LaunchNavigator() {}
    LaunchNavigator.navigate = function(destination, options) {
      return;
    };
    LaunchNavigator.isAppAvailable = function(app) {
      return;
    };
    LaunchNavigator.availableApps = function() {
      return;
    };
    LaunchNavigator.getAppDisplayName = function(app) {
      return;
    };
    LaunchNavigator.getAppsForPlatform = function(platform) {
      return;
    };
    LaunchNavigator.supportsTransportMode = function(app, platform) {
      return;
    };
    LaunchNavigator.getTransportModes = function(app, platform) {
      return;
    };
    LaunchNavigator.supportsLaunchMode = function(app, platform) {
      return;
    };
    LaunchNavigator.supportsStart = function(app, platform) {
      return;
    };
    LaunchNavigator.supportsStartName = function(app, platform) {
      return;
    };
    LaunchNavigator.supportsDestName = function(app, platform) {
      return;
    };
    LaunchNavigator.userSelect = function(destination, options) {};
    LaunchNavigator.APP = {
      USER_SELECT: 'user_select',
      APPLE_MAPS: 'apple_maps',
      GOOGLE_MAPS: 'google_maps',
      WAZE: 'waze',
      CITYMAPPER: 'citymapper',
      NAVIGON: 'navigon',
      TRANSIT_APP: 'transit_app',
      YANDEX: 'yandex',
      UBER: 'uber',
      TOMTOM: 'tomtom',
      BING_MAPS: 'bing_maps',
      SYGIC: 'sygic',
      HERE_MAPS: 'here_maps',
      MOOVIT: 'moovit'
    };
    LaunchNavigator.TRANSPORT_MODE = {
      DRIVING: 'driving',
      WALKING: 'walking',
      BICYCLING: 'bicycling',
      TRANSIT: 'transit'
    };
    __decorate([plugin_1.Cordova({
      successIndex: 1,
      errorIndex: 2
    })], LaunchNavigator, "navigate", null);
    __decorate([plugin_1.Cordova()], LaunchNavigator, "isAppAvailable", null);
    __decorate([plugin_1.Cordova()], LaunchNavigator, "availableApps", null);
    __decorate([plugin_1.Cordova({sync: true})], LaunchNavigator, "getAppDisplayName", null);
    __decorate([plugin_1.Cordova({sync: true})], LaunchNavigator, "getAppsForPlatform", null);
    __decorate([plugin_1.Cordova({sync: true})], LaunchNavigator, "supportsTransportMode", null);
    __decorate([plugin_1.Cordova({sync: true})], LaunchNavigator, "getTransportModes", null);
    __decorate([plugin_1.Cordova({sync: true})], LaunchNavigator, "supportsLaunchMode", null);
    __decorate([plugin_1.Cordova({sync: true})], LaunchNavigator, "supportsStart", null);
    __decorate([plugin_1.Cordova({sync: true})], LaunchNavigator, "supportsStartName", null);
    __decorate([plugin_1.Cordova({sync: true})], LaunchNavigator, "supportsDestName", null);
    __decorate([plugin_1.Cordova({sync: true})], LaunchNavigator, "userSelect", null);
    LaunchNavigator = __decorate([plugin_1.Plugin({
      plugin: 'uk.co.workingedge.phonegap.plugin.launchnavigator',
      pluginRef: 'launchnavigator',
      repo: 'https://github.com/dpa99c/phonegap-launch-navigator.git'
    })], LaunchNavigator);
    return LaunchNavigator;
  }());
  exports.LaunchNavigator = LaunchNavigator;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/localnotifications.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var LocalNotifications = (function() {
    function LocalNotifications() {}
    LocalNotifications.schedule = function(options) {};
    LocalNotifications.update = function(options) {};
    LocalNotifications.clear = function(notificationId) {
      return;
    };
    LocalNotifications.clearAll = function() {
      return;
    };
    LocalNotifications.cancel = function(notificationId) {
      return;
    };
    LocalNotifications.cancelAll = function() {
      return;
    };
    LocalNotifications.isPresent = function(notificationId) {
      return;
    };
    LocalNotifications.isScheduled = function(notificationId) {
      return;
    };
    LocalNotifications.isTriggered = function(notificationId) {
      return;
    };
    LocalNotifications.getAllIds = function() {
      return;
    };
    LocalNotifications.getTriggeredIds = function() {
      return;
    };
    LocalNotifications.getScheduledIds = function() {
      return;
    };
    LocalNotifications.get = function(notificationId) {
      return;
    };
    LocalNotifications.getScheduled = function(notificationId) {
      return;
    };
    LocalNotifications.getTriggered = function(notificationId) {
      return;
    };
    LocalNotifications.getAll = function() {
      return;
    };
    LocalNotifications.getAllScheduled = function() {
      return;
    };
    LocalNotifications.getAllTriggered = function() {
      return;
    };
    LocalNotifications.on = function(eventName, callback) {};
    __decorate([plugin_1.Cordova({sync: true})], LocalNotifications, "schedule", null);
    __decorate([plugin_1.Cordova({sync: true})], LocalNotifications, "update", null);
    __decorate([plugin_1.Cordova()], LocalNotifications, "clear", null);
    __decorate([plugin_1.Cordova({
      successIndex: 0,
      errorIndex: 2
    })], LocalNotifications, "clearAll", null);
    __decorate([plugin_1.Cordova()], LocalNotifications, "cancel", null);
    __decorate([plugin_1.Cordova({
      successIndex: 0,
      errorIndex: 2
    })], LocalNotifications, "cancelAll", null);
    __decorate([plugin_1.Cordova()], LocalNotifications, "isPresent", null);
    __decorate([plugin_1.Cordova()], LocalNotifications, "isScheduled", null);
    __decorate([plugin_1.Cordova()], LocalNotifications, "isTriggered", null);
    __decorate([plugin_1.Cordova()], LocalNotifications, "getAllIds", null);
    __decorate([plugin_1.Cordova()], LocalNotifications, "getTriggeredIds", null);
    __decorate([plugin_1.Cordova()], LocalNotifications, "getScheduledIds", null);
    __decorate([plugin_1.Cordova()], LocalNotifications, "get", null);
    __decorate([plugin_1.Cordova()], LocalNotifications, "getScheduled", null);
    __decorate([plugin_1.Cordova()], LocalNotifications, "getTriggered", null);
    __decorate([plugin_1.Cordova()], LocalNotifications, "getAll", null);
    __decorate([plugin_1.Cordova()], LocalNotifications, "getAllScheduled", null);
    __decorate([plugin_1.Cordova()], LocalNotifications, "getAllTriggered", null);
    __decorate([plugin_1.Cordova({sync: true})], LocalNotifications, "on", null);
    LocalNotifications = __decorate([plugin_1.Plugin({
      plugin: 'de.appplant.cordova.plugin.local-notification',
      pluginRef: 'cordova.plugins.notification.local',
      repo: 'https://github.com/katzer/cordova-plugin-local-notifications'
    })], LocalNotifications);
    return LocalNotifications;
  }());
  exports.LocalNotifications = LocalNotifications;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/media-capture.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var MediaCapture = (function() {
    function MediaCapture() {}
    Object.defineProperty(MediaCapture, "supportedImageModes", {
      get: function() {
        return navigator.device.capture.supportedImageModes;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(MediaCapture, "supportedAudioModes", {
      get: function() {
        return navigator.device.capture.supportedAudioModes;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(MediaCapture, "supportedVideoModes", {
      get: function() {
        return navigator.device.capture.supportedVideoModes;
      },
      enumerable: true,
      configurable: true
    });
    MediaCapture.captureAudio = function(options) {
      return;
    };
    MediaCapture.captureImage = function(options) {
      return;
    };
    MediaCapture.captureVideo = function(options) {
      return;
    };
    MediaCapture.onPendingCaptureResult = function() {
      return;
    };
    MediaCapture.onPendingCaptureError = function() {
      return;
    };
    __decorate([plugin_1.CordovaProperty], MediaCapture, "supportedImageModes", null);
    __decorate([plugin_1.CordovaProperty], MediaCapture, "supportedAudioModes", null);
    __decorate([plugin_1.CordovaProperty], MediaCapture, "supportedVideoModes", null);
    __decorate([plugin_1.Cordova({callbackOrder: 'reverse'})], MediaCapture, "captureAudio", null);
    __decorate([plugin_1.Cordova({callbackOrder: 'reverse'})], MediaCapture, "captureImage", null);
    __decorate([plugin_1.Cordova({callbackOrder: 'reverse'})], MediaCapture, "captureVideo", null);
    __decorate([plugin_1.Cordova({
      eventObservable: true,
      event: 'pendingcaptureresult'
    })], MediaCapture, "onPendingCaptureResult", null);
    __decorate([plugin_1.Cordova({
      eventObservable: true,
      event: 'pendingcaptureerror'
    })], MediaCapture, "onPendingCaptureError", null);
    MediaCapture = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-media-capture',
      pluginRef: 'navigator.device.capture',
      repo: 'https://github.com/apache/cordova-plugin-media-capture'
    })], MediaCapture);
    return MediaCapture;
  }());
  exports.MediaCapture = MediaCapture;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/native-audio.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var NativeAudio = (function() {
    function NativeAudio() {}
    NativeAudio.preloadSimple = function(id, assetPath) {
      return;
    };
    NativeAudio.preloadComplex = function(id, assetPath, volume, voices, delay) {
      return;
    };
    NativeAudio.play = function(id, completeCallback) {
      return;
    };
    NativeAudio.stop = function(id) {
      return;
    };
    NativeAudio.loop = function(id) {
      return;
    };
    NativeAudio.unload = function(id) {
      return;
    };
    NativeAudio.setVolumeForComplexAsset = function(id, volume) {
      return;
    };
    __decorate([plugin_1.Cordova()], NativeAudio, "preloadSimple", null);
    __decorate([plugin_1.Cordova()], NativeAudio, "preloadComplex", null);
    __decorate([plugin_1.Cordova({
      successIndex: 1,
      errorIndex: 2
    })], NativeAudio, "play", null);
    __decorate([plugin_1.Cordova()], NativeAudio, "stop", null);
    __decorate([plugin_1.Cordova()], NativeAudio, "loop", null);
    __decorate([plugin_1.Cordova()], NativeAudio, "unload", null);
    __decorate([plugin_1.Cordova()], NativeAudio, "setVolumeForComplexAsset", null);
    NativeAudio = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-nativeaudio',
      pluginRef: 'NativeAudio',
      repo: 'https://github.com/floatinghotpot/cordova-plugin-nativeaudio'
    })], NativeAudio);
    return NativeAudio;
  }());
  exports.NativeAudio = NativeAudio;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/nativestorage.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var NativeStorage = (function() {
    function NativeStorage() {}
    NativeStorage.setItem = function(reference, value) {
      return;
    };
    NativeStorage.getItem = function(reference) {
      return;
    };
    NativeStorage.remove = function(reference) {
      return;
    };
    NativeStorage.clear = function() {
      return;
    };
    __decorate([plugin_1.Cordova()], NativeStorage, "setItem", null);
    __decorate([plugin_1.Cordova()], NativeStorage, "getItem", null);
    __decorate([plugin_1.Cordova()], NativeStorage, "remove", null);
    __decorate([plugin_1.Cordova()], NativeStorage, "clear", null);
    NativeStorage = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-nativestorage',
      pluginRef: 'NativeStorage',
      repo: 'https://github.com/TheCocoaProject/cordova-plugin-nativestorage'
    })], NativeStorage);
    return NativeStorage;
  }());
  exports.NativeStorage = NativeStorage;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/media.js", ["./plugin", "rxjs/Observable"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Observable_1 = $__require('rxjs/Observable');
  var MediaPlugin = (function() {
    function MediaPlugin(src) {
      var res,
          rej,
          next;
      this.init = new Promise(function(resolve, reject) {
        res = resolve;
        rej = reject;
      });
      this.status = new Observable_1.Observable(function(observer) {
        next = function(data) {
          return observer.next(data);
        };
      });
      this._objectInstance = new Media(src, res, rej, next);
    }
    MediaPlugin.prototype.getCurrentAmplitude = function() {
      return;
    };
    MediaPlugin.prototype.getCurrentPosition = function() {
      return;
    };
    MediaPlugin.prototype.getDuration = function() {
      return;
    };
    MediaPlugin.prototype.play = function(iosOptions) {};
    MediaPlugin.prototype.pause = function() {};
    MediaPlugin.prototype.release = function() {};
    MediaPlugin.prototype.seekTo = function(milliseconds) {};
    MediaPlugin.prototype.setVolume = function(volume) {};
    MediaPlugin.prototype.startRecord = function() {};
    MediaPlugin.prototype.stopRecord = function() {};
    MediaPlugin.prototype.stop = function() {};
    MediaPlugin.MEDIA_NONE = 0;
    MediaPlugin.MEDIA_STARTING = 1;
    MediaPlugin.MEDIA_RUNNING = 2;
    MediaPlugin.MEDIA_PAUSED = 3;
    MediaPlugin.MEDIA_STOPPED = 4;
    __decorate([plugin_1.CordovaInstance()], MediaPlugin.prototype, "getCurrentAmplitude", null);
    __decorate([plugin_1.CordovaInstance()], MediaPlugin.prototype, "getCurrentPosition", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], MediaPlugin.prototype, "getDuration", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], MediaPlugin.prototype, "play", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], MediaPlugin.prototype, "pause", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], MediaPlugin.prototype, "release", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], MediaPlugin.prototype, "seekTo", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], MediaPlugin.prototype, "setVolume", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], MediaPlugin.prototype, "startRecord", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], MediaPlugin.prototype, "stopRecord", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], MediaPlugin.prototype, "stop", null);
    MediaPlugin = __decorate([plugin_1.Plugin({
      repo: 'https://github.com/apache/cordova-plugin-media',
      plugin: 'cordova-plugin-media',
      pluginRef: 'Media'
    })], MediaPlugin);
    return MediaPlugin;
  }());
  exports.MediaPlugin = MediaPlugin;
  var MediaError = (function() {
    function MediaError() {}
    Object.defineProperty(MediaError, "MEDIA_ERR_ABORTED", {
      get: function() {
        return 1;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(MediaError, "MEDIA_ERR_NETWORK", {
      get: function() {
        return 2;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(MediaError, "MEDIA_ERR_DECODE", {
      get: function() {
        return 3;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(MediaError, "MEDIA_ERR_NONE_SUPPORTED", {
      get: function() {
        return 4;
      },
      enumerable: true,
      configurable: true
    });
    return MediaError;
  }());
  exports.MediaError = MediaError;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/network.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Network = (function() {
    function Network() {}
    Object.defineProperty(Network, "connection", {
      get: function() {
        return navigator.connection.type;
      },
      enumerable: true,
      configurable: true
    });
    Network.onDisconnect = function() {
      return;
    };
    Network.onConnect = function() {
      return;
    };
    __decorate([plugin_1.CordovaProperty], Network, "connection", null);
    __decorate([plugin_1.Cordova({
      eventObservable: true,
      event: 'offline'
    })], Network, "onDisconnect", null);
    __decorate([plugin_1.Cordova({
      eventObservable: true,
      event: 'online'
    })], Network, "onConnect", null);
    Network = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-network-information',
      repo: 'https://github.com/apache/cordova-plugin-network-information',
      platforms: ['Amazon Fire OS', 'iOS', 'Android', 'BlackBerry 10', 'Windows Phone 7', 'Windows Phone 8', 'Windows', 'Firefox OS', 'Browser'],
      pluginRef: 'navigator.connection'
    })], Network);
    return Network;
  }());
  exports.Network = Network;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/onesignal.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var OneSignal = (function() {
    function OneSignal() {}
    OneSignal.init = function(appId, options) {
      return;
    };
    OneSignal.registerForPushNotifications = function() {};
    OneSignal.sendTag = function(key, value) {};
    OneSignal.sendTags = function(json) {};
    OneSignal.getTags = function() {
      return;
    };
    OneSignal.deleteTag = function(key) {};
    OneSignal.deleteTags = function(keys) {};
    OneSignal.getIds = function() {
      return;
    };
    OneSignal.enableVibrate = function(enable) {};
    OneSignal.enableSound = function(enable) {};
    OneSignal.enableNotificationsWhenActive = function(enable) {};
    OneSignal.enableInAppAlertNotification = function(enable) {};
    OneSignal.setSubscription = function(enable) {};
    OneSignal.postNotification = function(notificationObj) {
      return;
    };
    OneSignal.promptLocation = function() {};
    OneSignal.setLogLevel = function(logLevel) {};
    __decorate([plugin_1.Cordova({observable: true})], OneSignal, "init", null);
    __decorate([plugin_1.Cordova({sync: true})], OneSignal, "registerForPushNotifications", null);
    __decorate([plugin_1.Cordova({sync: true})], OneSignal, "sendTag", null);
    __decorate([plugin_1.Cordova({sync: true})], OneSignal, "sendTags", null);
    __decorate([plugin_1.Cordova()], OneSignal, "getTags", null);
    __decorate([plugin_1.Cordova({sync: true})], OneSignal, "deleteTag", null);
    __decorate([plugin_1.Cordova({sync: true})], OneSignal, "deleteTags", null);
    __decorate([plugin_1.Cordova()], OneSignal, "getIds", null);
    __decorate([plugin_1.Cordova({sync: true})], OneSignal, "enableVibrate", null);
    __decorate([plugin_1.Cordova({sync: true})], OneSignal, "enableSound", null);
    __decorate([plugin_1.Cordova({sync: true})], OneSignal, "enableNotificationsWhenActive", null);
    __decorate([plugin_1.Cordova({sync: true})], OneSignal, "enableInAppAlertNotification", null);
    __decorate([plugin_1.Cordova({sync: true})], OneSignal, "setSubscription", null);
    __decorate([plugin_1.Cordova()], OneSignal, "postNotification", null);
    __decorate([plugin_1.Cordova({sync: true})], OneSignal, "promptLocation", null);
    __decorate([plugin_1.Cordova({sync: true})], OneSignal, "setLogLevel", null);
    OneSignal = __decorate([plugin_1.Plugin({
      plugin: 'onesignal-cordova-plugin',
      pluginRef: 'plugins.OneSignal',
      repo: 'https://github.com/OneSignal/OneSignal-Cordova-SDK'
    })], OneSignal);
    return OneSignal;
  }());
  exports.OneSignal = OneSignal;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/photo-viewer.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var PhotoViewer = (function() {
    function PhotoViewer() {}
    PhotoViewer.show = function(url, title, options) {};
    __decorate([plugin_1.Cordova({sync: true})], PhotoViewer, "show", null);
    PhotoViewer = __decorate([plugin_1.Plugin({
      plugin: 'com-sarriaroman-photoviewer',
      pluginRef: 'PhotoViewer',
      repo: 'https://github.com/sarriaroman/photoviewer'
    })], PhotoViewer);
    return PhotoViewer;
  }());
  exports.PhotoViewer = PhotoViewer;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/screen-orientation.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var ScreenOrientation = (function() {
    function ScreenOrientation() {}
    ScreenOrientation.lockOrientation = function(orientation) {};
    ScreenOrientation.unlockOrientation = function() {};
    Object.defineProperty(ScreenOrientation, "orientation", {
      get: function() {
        return window.screen.orientation;
      },
      enumerable: true,
      configurable: true
    });
    __decorate([plugin_1.Cordova({sync: true})], ScreenOrientation, "lockOrientation", null);
    __decorate([plugin_1.Cordova({sync: true})], ScreenOrientation, "unlockOrientation", null);
    __decorate([plugin_1.CordovaProperty], ScreenOrientation, "orientation", null);
    ScreenOrientation = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-screen-orientation',
      pluginRef: 'window.screen',
      repo: 'https://github.com/apache/cordova-plugin-screen-orientation',
      platforms: ['Android', 'iOS', 'Windows Phone 8']
    })], ScreenOrientation);
    return ScreenOrientation;
  }());
  exports.ScreenOrientation = ScreenOrientation;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/pin-dialog.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var PinDialog = (function() {
    function PinDialog() {}
    PinDialog.prompt = function(message, title, buttons) {
      return;
    };
    __decorate([plugin_1.Cordova({successIndex: 1})], PinDialog, "prompt", null);
    PinDialog = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-pin-dialog',
      pluginRef: 'plugins.pinDialog',
      repo: 'https://github.com/Paldom/PinDialog'
    })], PinDialog);
    return PinDialog;
  }());
  exports.PinDialog = PinDialog;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/printer.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Printer = (function() {
    function Printer() {}
    Printer.isAvailable = function() {
      return;
    };
    Printer.print = function(content, options) {
      return;
    };
    __decorate([plugin_1.Cordova()], Printer, "isAvailable", null);
    __decorate([plugin_1.Cordova()], Printer, "print", null);
    Printer = __decorate([plugin_1.Plugin({
      plugin: 'de.appplant.cordova.plugin.printer',
      pluginRef: 'cordova.plugins.printer',
      repo: 'https://github.com/katzer/cordova-plugin-printer.git',
      platforms: ['Android', 'iOS']
    })], Printer);
    return Printer;
  }());
  exports.Printer = Printer;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/push.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Push = (function() {
    function Push() {}
    Push.init = function(options) {
      return;
    };
    Push.hasPermission = function() {
      return;
    };
    __decorate([plugin_1.Cordova({sync: true})], Push, "init", null);
    __decorate([plugin_1.Cordova()], Push, "hasPermission", null);
    Push = __decorate([plugin_1.Plugin({
      plugin: 'phonegap-plugin-push',
      pluginRef: 'PushNotification',
      repo: 'https://github.com/phonegap/phonegap-plugin-push'
    })], Push);
    return Push;
  }());
  exports.Push = Push;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/safari-view-controller.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var SafariViewController = (function() {
    function SafariViewController() {}
    SafariViewController.isAvailable = function() {
      return;
    };
    SafariViewController.show = function(options) {
      return;
    };
    SafariViewController.hide = function() {};
    SafariViewController.connectToService = function() {
      return;
    };
    SafariViewController.warmUp = function() {
      return;
    };
    SafariViewController.mayLaunchUrl = function(url) {
      return;
    };
    __decorate([plugin_1.Cordova()], SafariViewController, "isAvailable", null);
    __decorate([plugin_1.Cordova()], SafariViewController, "show", null);
    __decorate([plugin_1.Cordova()], SafariViewController, "hide", null);
    __decorate([plugin_1.Cordova()], SafariViewController, "connectToService", null);
    __decorate([plugin_1.Cordova()], SafariViewController, "warmUp", null);
    __decorate([plugin_1.Cordova()], SafariViewController, "mayLaunchUrl", null);
    SafariViewController = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-safariviewcontroller',
      pluginRef: 'SafariViewController',
      platforms: ['iOS', 'Android'],
      repo: 'https://github.com/EddyVerbruggen/cordova-plugin-safariviewcontroller'
    })], SafariViewController);
    return SafariViewController;
  }());
  exports.SafariViewController = SafariViewController;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/screenshot.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Screenshot = (function() {
    function Screenshot() {}
    Screenshot.save = function(format, quality, filename) {
      return new Promise(function(resolve, reject) {
        navigator.screenshot.save(function(error, result) {
          if (error) {
            reject(error);
          } else {
            resolve(result);
          }
        }, format, quality, filename);
      });
    };
    Screenshot.URI = function(quality) {
      return new Promise(function(resolve, reject) {
        navigator.screenshot.URI(function(error, result) {
          if (error) {
            reject(error);
          } else {
            resolve(result);
          }
        }, quality);
      });
    };
    Screenshot = __decorate([plugin_1.Plugin({
      plugin: 'https://github.com/gitawego/cordova-screenshot.git',
      pluginRef: 'navigator.screenshot',
      repo: 'https://github.com/gitawego/cordova-screenshot.git'
    })], Screenshot);
    return Screenshot;
  }());
  exports.Screenshot = Screenshot;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/securestorage.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var SecureStorage = (function() {
    function SecureStorage() {}
    SecureStorage.prototype.create = function(store) {
      var _this = this;
      return new Promise(function(res, rej) {
        _this._objectInstance = new cordova.plugins.SecureStorage(res, rej, store);
      });
    };
    SecureStorage.prototype.get = function(reference) {
      return;
    };
    SecureStorage.prototype.set = function(reference, value) {
      return;
    };
    SecureStorage.prototype.remove = function(reference) {
      return;
    };
    __decorate([plugin_1.CordovaInstance({callbackOrder: 'reverse'})], SecureStorage.prototype, "get", null);
    __decorate([plugin_1.CordovaInstance({callbackOrder: 'reverse'})], SecureStorage.prototype, "set", null);
    __decorate([plugin_1.CordovaInstance({callbackOrder: 'reverse'})], SecureStorage.prototype, "remove", null);
    SecureStorage = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-secure-storage',
      pluginRef: 'plugins.securestorage',
      repo: 'https://github.com/Crypho/cordova-plugin-secure-storage',
      platforms: ['Android', 'iOS', 'Windows Phone', 'Browser']
    })], SecureStorage);
    return SecureStorage;
  }());
  exports.SecureStorage = SecureStorage;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/shake.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Shake = (function() {
    function Shake() {}
    Shake.startWatch = function(sensitivity) {
      return;
    };
    __decorate([plugin_1.Cordova({
      observable: true,
      clearFunction: 'stopWatch',
      successIndex: 0,
      errorIndex: 2
    })], Shake, "startWatch", null);
    Shake = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-shake',
      pluginRef: 'shake',
      repo: 'https://github.com/leecrossley/cordova-plugin-shake'
    })], Shake);
    return Shake;
  }());
  exports.Shake = Shake;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/sim.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Sim = (function() {
    function Sim() {}
    Sim.getSimInfo = function() {
      return;
    };
    __decorate([plugin_1.Cordova()], Sim, "getSimInfo", null);
    Sim = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-sim',
      pluginRef: 'plugins.sim',
      repo: 'https://github.com/pbakondy/cordova-plugin-sim',
      platforms: ['Android', 'iOS', 'Windows Phone']
    })], Sim);
    return Sim;
  }());
  exports.Sim = Sim;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/sms.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var SMS = (function() {
    function SMS() {}
    SMS.send = function(phoneNumber, message, options) {
      return;
    };
    __decorate([plugin_1.Cordova()], SMS, "send", null);
    SMS = __decorate([plugin_1.Plugin({
      plugin: 'cordova-sms-plugin',
      pluginRef: 'sms',
      repo: 'https://github.com/cordova-sms/cordova-sms-plugin',
      platforms: ['Android', 'iOS', 'Windows Phone 8']
    })], SMS);
    return SMS;
  }());
  exports.SMS = SMS;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/socialsharing.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var SocialSharing = (function() {
    function SocialSharing() {}
    SocialSharing.share = function(message, subject, file, url) {
      return;
    };
    SocialSharing.shareWithOptions = function(options) {
      return;
    };
    SocialSharing.canShareVia = function(appName) {
      return;
    };
    SocialSharing.shareViaTwitter = function(message, image, url) {
      return;
    };
    SocialSharing.shareViaFacebook = function(message, image, url) {
      return;
    };
    SocialSharing.shareViaFacebookWithPasteMessageHint = function(message, image, url, pasteMessageHint) {
      return;
    };
    SocialSharing.shareViaInstagram = function(message, image) {
      return;
    };
    SocialSharing.shareViaWhatsApp = function(message, image, url) {
      return;
    };
    SocialSharing.shareViaWhatsAppToReceiver = function(receiver, message, image, url) {
      return;
    };
    SocialSharing.shareViaSMS = function(messge, phoneNumber) {
      return;
    };
    SocialSharing.canShareViaEmail = function() {
      return;
    };
    SocialSharing.shareViaEmail = function(message, subject, to, cc, bcc, files) {
      if (cc === void 0) {
        cc = [];
      }
      if (bcc === void 0) {
        bcc = [];
      }
      if (files === void 0) {
        files = [];
      }
      return;
    };
    __decorate([plugin_1.Cordova()], SocialSharing, "share", null);
    __decorate([plugin_1.Cordova({platforms: ['iOS', 'Android']})], SocialSharing, "shareWithOptions", null);
    __decorate([plugin_1.Cordova({platforms: ['iOS', 'Android']})], SocialSharing, "canShareVia", null);
    __decorate([plugin_1.Cordova({platforms: ['iOS', 'Android']})], SocialSharing, "shareViaTwitter", null);
    __decorate([plugin_1.Cordova({platforms: ['iOS', 'Android']})], SocialSharing, "shareViaFacebook", null);
    __decorate([plugin_1.Cordova({platforms: ['iOS', 'Android']})], SocialSharing, "shareViaFacebookWithPasteMessageHint", null);
    __decorate([plugin_1.Cordova({platforms: ['iOS', 'Android']})], SocialSharing, "shareViaInstagram", null);
    __decorate([plugin_1.Cordova({platforms: ['iOS', 'Android']})], SocialSharing, "shareViaWhatsApp", null);
    __decorate([plugin_1.Cordova({platforms: ['iOS', 'Android']})], SocialSharing, "shareViaWhatsAppToReceiver", null);
    __decorate([plugin_1.Cordova({platforms: ['iOS', 'Android']})], SocialSharing, "shareViaSMS", null);
    __decorate([plugin_1.Cordova({platforms: ['iOS', 'Android']})], SocialSharing, "canShareViaEmail", null);
    __decorate([plugin_1.Cordova({platforms: ['iOS', 'Android']})], SocialSharing, "shareViaEmail", null);
    SocialSharing = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-x-socialsharing',
      pluginRef: 'plugins.socialsharing',
      repo: 'https://github.com/EddyVerbruggen/SocialSharing-PhoneGap-Plugin',
      platforms: ['iOS', 'Android', 'Windows Phone']
    })], SocialSharing);
    return SocialSharing;
  }());
  exports.SocialSharing = SocialSharing;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/spinnerdialog.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var SpinnerDialog = (function() {
    function SpinnerDialog() {}
    SpinnerDialog.show = function(title, message, cancelCallback, iOSOptions) {};
    SpinnerDialog.hide = function() {};
    __decorate([plugin_1.Cordova({sync: true})], SpinnerDialog, "show", null);
    __decorate([plugin_1.Cordova({sync: true})], SpinnerDialog, "hide", null);
    SpinnerDialog = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-spinner-dialog',
      pluginRef: 'window.plugins.spinnerDialog',
      repo: 'https://github.com/Paldom/SpinnerDialog',
      platforms: ['Android', 'iOS', 'Windows Phone 8']
    })], SpinnerDialog);
    return SpinnerDialog;
  }());
  exports.SpinnerDialog = SpinnerDialog;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/splashscreen.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Splashscreen = (function() {
    function Splashscreen() {}
    Splashscreen.show = function() {};
    Splashscreen.hide = function() {};
    __decorate([plugin_1.Cordova({sync: true})], Splashscreen, "show", null);
    __decorate([plugin_1.Cordova({sync: true})], Splashscreen, "hide", null);
    Splashscreen = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-splashscreen',
      pluginRef: 'navigator.splashscreen',
      repo: 'https://github.com/apache/cordova-plugin-splashscreen'
    })], Splashscreen);
    return Splashscreen;
  }());
  exports.Splashscreen = Splashscreen;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/sqlite.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var SQLite = (function() {
    function SQLite() {}
    Object.defineProperty(SQLite.prototype, "databaseFeatures", {
      get: function() {
        return this._objectInstance.databaseFeatures;
      },
      enumerable: true,
      configurable: true
    });
    SQLite.prototype.openDatabase = function(config) {
      var _this = this;
      return new Promise(function(resolve, reject) {
        sqlitePlugin.openDatabase(config, function(db) {
          _this._objectInstance = db;
          resolve(db);
        }, function(error) {
          console.warn(error);
          reject(error);
        });
      });
    };
    SQLite.prototype.addTransaction = function(transaction) {};
    SQLite.prototype.transaction = function(fn) {
      return;
    };
    SQLite.prototype.readTransaction = function(fn) {
      return;
    };
    SQLite.prototype.startNextTransaction = function() {};
    SQLite.prototype.close = function() {
      return;
    };
    SQLite.prototype.start = function() {};
    SQLite.prototype.executeSql = function(statement, params) {
      return;
    };
    SQLite.prototype.addStatement = function(sql, values) {
      return;
    };
    SQLite.prototype.sqlBatch = function(sqlStatements) {
      return;
    };
    SQLite.prototype.abortallPendingTransactions = function() {};
    SQLite.prototype.handleStatementSuccess = function(handler, response) {};
    SQLite.prototype.handleStatementFailure = function(handler, response) {};
    SQLite.prototype.run = function() {};
    SQLite.prototype.abort = function(txFailure) {};
    SQLite.prototype.finish = function() {};
    SQLite.prototype.abortFromQ = function(sqlerror) {};
    SQLite.echoTest = function() {
      return;
    };
    SQLite.deleteDatabase = function(first) {
      return;
    };
    __decorate([plugin_1.CordovaInstance({sync: true})], SQLite.prototype, "addTransaction", null);
    __decorate([plugin_1.CordovaInstance()], SQLite.prototype, "transaction", null);
    __decorate([plugin_1.CordovaInstance()], SQLite.prototype, "readTransaction", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], SQLite.prototype, "startNextTransaction", null);
    __decorate([plugin_1.CordovaInstance()], SQLite.prototype, "close", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], SQLite.prototype, "start", null);
    __decorate([plugin_1.CordovaInstance()], SQLite.prototype, "executeSql", null);
    __decorate([plugin_1.CordovaInstance()], SQLite.prototype, "addStatement", null);
    __decorate([plugin_1.CordovaInstance()], SQLite.prototype, "sqlBatch", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], SQLite.prototype, "abortallPendingTransactions", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], SQLite.prototype, "handleStatementSuccess", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], SQLite.prototype, "handleStatementFailure", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], SQLite.prototype, "run", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], SQLite.prototype, "abort", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], SQLite.prototype, "finish", null);
    __decorate([plugin_1.CordovaInstance({sync: true})], SQLite.prototype, "abortFromQ", null);
    __decorate([plugin_1.Cordova()], SQLite, "echoTest", null);
    __decorate([plugin_1.Cordova()], SQLite, "deleteDatabase", null);
    SQLite = __decorate([plugin_1.Plugin({
      pluginRef: 'sqlitePlugin',
      plugin: 'cordova-sqlite-storage',
      repo: 'https://github.com/litehelpers/Cordova-sqlite-storage'
    })], SQLite);
    return SQLite;
  }());
  exports.SQLite = SQLite;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/statusbar.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var StatusBar = (function() {
    function StatusBar() {}
    StatusBar.overlaysWebView = function(doesOverlay) {};
    ;
    StatusBar.styleDefault = function() {};
    ;
    StatusBar.styleLightContent = function() {};
    ;
    StatusBar.styleBlackTranslucent = function() {};
    ;
    StatusBar.styleBlackOpaque = function() {};
    ;
    StatusBar.backgroundColorByName = function(colorName) {};
    ;
    StatusBar.backgroundColorByHexString = function(hexString) {};
    ;
    StatusBar.hide = function() {};
    ;
    StatusBar.show = function() {};
    ;
    Object.defineProperty(StatusBar, "isVisible", {
      get: function() {
        return window.StatusBar.isVisible;
      },
      enumerable: true,
      configurable: true
    });
    __decorate([plugin_1.Cordova({sync: true})], StatusBar, "overlaysWebView", null);
    __decorate([plugin_1.Cordova({sync: true})], StatusBar, "styleDefault", null);
    __decorate([plugin_1.Cordova({sync: true})], StatusBar, "styleLightContent", null);
    __decorate([plugin_1.Cordova({sync: true})], StatusBar, "styleBlackTranslucent", null);
    __decorate([plugin_1.Cordova({sync: true})], StatusBar, "styleBlackOpaque", null);
    __decorate([plugin_1.Cordova({sync: true})], StatusBar, "backgroundColorByName", null);
    __decorate([plugin_1.Cordova({sync: true})], StatusBar, "backgroundColorByHexString", null);
    __decorate([plugin_1.Cordova({sync: true})], StatusBar, "hide", null);
    __decorate([plugin_1.Cordova({sync: true})], StatusBar, "show", null);
    __decorate([plugin_1.CordovaProperty], StatusBar, "isVisible", null);
    StatusBar = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-statusbar',
      pluginRef: 'StatusBar',
      repo: 'https://github.com/apache/cordova-plugin-statusbar',
      platforms: ['iOS', 'Android', 'Windows Phone 8', 'Windows 8', 'Windows 10']
    })], StatusBar);
    return StatusBar;
  }());
  exports.StatusBar = StatusBar;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/3dtouch.js", ["./plugin", "rxjs/Observable"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Observable_1 = $__require('rxjs/Observable');
  var ThreeDeeTouch = (function() {
    function ThreeDeeTouch() {}
    ThreeDeeTouch.isAvailable = function() {
      return;
    };
    ThreeDeeTouch.watchForceTouches = function() {
      return;
    };
    ThreeDeeTouch.configureQuickActions = function(quickActions) {};
    ThreeDeeTouch.onHomeIconPressed = function() {
      return new Observable_1.Observable(function(observer) {
        if (window.ThreeDeeTouch && window.ThreeDeeTouch.onHomeIconPressed)
          window.ThreeDeeTouch.onHomeIconPressed = observer.next.bind(observer);
        else {
          observer.error('3dTouch plugin is not available.');
          observer.complete();
        }
      });
    };
    ThreeDeeTouch.enableLinkPreview = function() {};
    ThreeDeeTouch.disableLinkPreview = function() {};
    __decorate([plugin_1.Cordova()], ThreeDeeTouch, "isAvailable", null);
    __decorate([plugin_1.Cordova({observable: true})], ThreeDeeTouch, "watchForceTouches", null);
    __decorate([plugin_1.Cordova({sync: true})], ThreeDeeTouch, "configureQuickActions", null);
    __decorate([plugin_1.Cordova({sync: true})], ThreeDeeTouch, "enableLinkPreview", null);
    __decorate([plugin_1.Cordova({sync: true})], ThreeDeeTouch, "disableLinkPreview", null);
    ThreeDeeTouch = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-3dtouch',
      pluginRef: 'ThreeDeeTouch',
      repo: 'https://github.com/EddyVerbruggen/cordova-plugin-3dtouch',
      platforms: ['iOS']
    })], ThreeDeeTouch);
    return ThreeDeeTouch;
  }());
  exports.ThreeDeeTouch = ThreeDeeTouch;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/toast.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Toast = (function() {
    function Toast() {}
    Toast.show = function(message, duration, position) {
      return;
    };
    Toast.hide = function() {
      return;
    };
    Toast.showWithOptions = function(options) {
      return;
    };
    Toast.showShortTop = function(message) {
      return;
    };
    Toast.showShortCenter = function(message) {
      return;
    };
    Toast.showShortBottom = function(message) {
      return;
    };
    Toast.showLongTop = function(message) {
      return;
    };
    Toast.showLongCenter = function(message) {
      return;
    };
    Toast.showLongBottom = function(message) {
      return;
    };
    __decorate([plugin_1.Cordova({
      observable: true,
      clearFunction: 'hide'
    })], Toast, "show", null);
    __decorate([plugin_1.Cordova()], Toast, "hide", null);
    __decorate([plugin_1.Cordova({
      observable: true,
      clearFunction: 'hide'
    })], Toast, "showWithOptions", null);
    __decorate([plugin_1.Cordova({
      observable: true,
      clearFunction: 'hide'
    })], Toast, "showShortTop", null);
    __decorate([plugin_1.Cordova({
      observable: true,
      clearFunction: 'hide'
    })], Toast, "showShortCenter", null);
    __decorate([plugin_1.Cordova({
      observable: true,
      clearFunction: 'hide'
    })], Toast, "showShortBottom", null);
    __decorate([plugin_1.Cordova({
      observable: true,
      clearFunction: 'hide'
    })], Toast, "showLongTop", null);
    __decorate([plugin_1.Cordova({
      observable: true,
      clearFunction: 'hide'
    })], Toast, "showLongCenter", null);
    __decorate([plugin_1.Cordova({
      observable: true,
      clearFunction: 'hide'
    })], Toast, "showLongBottom", null);
    Toast = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-x-toast',
      pluginRef: 'plugins.toast',
      repo: 'https://github.com/EddyVerbruggen/Toast-PhoneGap-Plugin',
      platforms: ['Android', 'iOS', 'Windows Phone 8']
    })], Toast);
    return Toast;
  }());
  exports.Toast = Toast;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/touchid.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var TouchID = (function() {
    function TouchID() {}
    TouchID.isAvailable = function() {
      return;
    };
    TouchID.verifyFingerprint = function(message) {
      return;
    };
    TouchID.verifyFingerprintWithCustomPasswordFallback = function(message) {
      return;
    };
    TouchID.verifyFingerprintWithCustomPasswordFallbackAndEnterPasswordLabel = function(message, enterPasswordLabel) {
      return;
    };
    __decorate([plugin_1.Cordova()], TouchID, "isAvailable", null);
    __decorate([plugin_1.Cordova()], TouchID, "verifyFingerprint", null);
    __decorate([plugin_1.Cordova()], TouchID, "verifyFingerprintWithCustomPasswordFallback", null);
    __decorate([plugin_1.Cordova()], TouchID, "verifyFingerprintWithCustomPasswordFallbackAndEnterPasswordLabel", null);
    TouchID = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-touch-id',
      pluginRef: 'plugins.touchid',
      repo: 'https://github.com/EddyVerbruggen/cordova-plugin-touch-id',
      platforms: ['iOS']
    })], TouchID);
    return TouchID;
  }());
  exports.TouchID = TouchID;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/text-to-speech.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var TextToSpeech = (function() {
    function TextToSpeech() {}
    TextToSpeech.speak = function(options) {
      return;
    };
    __decorate([plugin_1.Cordova({
      successIndex: 1,
      errorIndex: 2
    })], TextToSpeech, "speak", null);
    TextToSpeech = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-tts',
      pluginRef: 'TTS',
      repo: 'https://github.com/vilic/cordova-plugin-tts'
    })], TextToSpeech);
    return TextToSpeech;
  }());
  exports.TextToSpeech = TextToSpeech;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/twitter-connect.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var TwitterConnect = (function() {
    function TwitterConnect() {}
    TwitterConnect.login = function() {
      return;
    };
    TwitterConnect.logout = function() {
      return;
    };
    __decorate([plugin_1.Cordova()], TwitterConnect, "login", null);
    __decorate([plugin_1.Cordova()], TwitterConnect, "logout", null);
    TwitterConnect = __decorate([plugin_1.Plugin({
      plugin: 'twitter-connect-plugin',
      pluginRef: 'TwitterConnect',
      repo: 'https://github.com/ManifestWebDesign/twitter-connect-plugin',
      install: 'ionic plugin add twitter-connect-plugin --variable FABRIC_KEY=fabric_API_key'
    })], TwitterConnect);
    return TwitterConnect;
  }());
  exports.TwitterConnect = TwitterConnect;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/vibration.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Vibration = (function() {
    function Vibration() {}
    Vibration.vibrate = function(time) {};
    __decorate([plugin_1.Cordova({sync: true})], Vibration, "vibrate", null);
    Vibration = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-vibration',
      pluginRef: 'navigator',
      repo: 'https://github.com/apache/cordova-plugin-vibration',
      platforms: ['Android', 'iOS', 'Windows 8.1 Phone', 'Windows 8.1', 'Windows 10']
    })], Vibration);
    return Vibration;
  }());
  exports.Vibration = Vibration;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/video-player.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var VideoPlayer = (function() {
    function VideoPlayer() {}
    VideoPlayer.play = function(fileUrl, options) {
      return;
    };
    VideoPlayer.close = function() {};
    __decorate([plugin_1.Cordova()], VideoPlayer, "play", null);
    __decorate([plugin_1.Cordova({sync: true})], VideoPlayer, "close", null);
    VideoPlayer = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-videoplayer',
      pluginRef: 'VideoPlayer',
      repo: 'https://github.com/moust/cordova-plugin-videoplayer',
      platforms: ['Android']
    })], VideoPlayer);
    return VideoPlayer;
  }());
  exports.VideoPlayer = VideoPlayer;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/webintent.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var WebIntent = (function() {
    function WebIntent() {}
    Object.defineProperty(WebIntent, "ACTION_VIEW", {
      get: function() {
        return window.plugins.webintent.ACTION_VIEW;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WebIntent, "EXTRA_TEXT", {
      get: function() {
        return window.plugins.webintent.EXTRA_TEXT;
      },
      enumerable: true,
      configurable: true
    });
    WebIntent.startActivity = function(options) {
      return;
    };
    WebIntent.hasExtra = function(extra) {
      return;
    };
    WebIntent.getExtra = function(extra) {
      return;
    };
    WebIntent.getUri = function() {
      return;
    };
    ;
    WebIntent.onNewIntent = function() {
      return;
    };
    ;
    WebIntent.sendBroadcast = function(options) {
      return;
    };
    __decorate([plugin_1.CordovaProperty], WebIntent, "ACTION_VIEW", null);
    __decorate([plugin_1.CordovaProperty], WebIntent, "EXTRA_TEXT", null);
    __decorate([plugin_1.Cordova()], WebIntent, "startActivity", null);
    __decorate([plugin_1.Cordova()], WebIntent, "hasExtra", null);
    __decorate([plugin_1.Cordova()], WebIntent, "getExtra", null);
    __decorate([plugin_1.Cordova()], WebIntent, "getUri", null);
    __decorate([plugin_1.Cordova()], WebIntent, "onNewIntent", null);
    __decorate([plugin_1.Cordova()], WebIntent, "sendBroadcast", null);
    WebIntent = __decorate([plugin_1.Plugin({
      plugin: 'https://github.com/Initsogar/cordova-webintent.git',
      pluginRef: 'window.plugins.webintent',
      repo: 'https://github.com/Initsogar/cordova-webintent.git',
      platforms: ['Android']
    })], WebIntent);
    return WebIntent;
  }());
  exports.WebIntent = WebIntent;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/zip.js", ["./plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __decorate = (this && this.__decorate) || function(decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
      r = Reflect.decorate(decorators, target, key, desc);
    else
      for (var i = decorators.length - 1; i >= 0; i--)
        if (d = decorators[i])
          r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
  };
  var plugin_1 = $__require('./plugin');
  var Zip = (function() {
    function Zip() {}
    Zip.unzip = function(sourceZip, destUrl, onProgress) {
      return;
    };
    __decorate([plugin_1.Cordova({
      successIndex: 2,
      errorIndex: 4
    })], Zip, "unzip", null);
    Zip = __decorate([plugin_1.Plugin({
      plugin: 'cordova-plugin-zip',
      pluginRef: 'zip',
      repo: 'https://github.com/MobileChromeApps/cordova-plugin-zip'
    })], Zip);
    return Zip;
  }());
  exports.Zip = Zip;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/util.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  function get(obj, path) {
    for (var i = 0,
        path = path.split('.'),
        len = path.length; i < len; i++) {
      if (!obj) {
        return null;
      }
      obj = obj[path[i]];
    }
    return obj;
  }
  exports.get = get;
  ;
  return module.exports;
});

System.registerDynamic("ionic-native/dist/plugins/plugin.js", ["../util", "rxjs/Observable"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var util_1 = $__require('../util');
  var Observable_1 = $__require('rxjs/Observable');
  exports.getPlugin = function(pluginRef) {
    return util_1.get(window, pluginRef);
  };
  exports.pluginWarn = function(pluginObj, method) {
    var pluginName = pluginObj.name,
        plugin = pluginObj.plugin;
    if (method) {
      console.warn('Native: tried calling ' + pluginName + '.' + method + ', but the ' + pluginName + ' plugin is not installed.');
    } else {
      console.warn('Native: tried accessing the ' + pluginName + ' plugin but it\'s not installed.');
    }
    console.warn('Install the ' + pluginName + ' plugin: \'ionic plugin add ' + plugin + '\'');
  };
  exports.cordovaWarn = function(pluginName, method) {
    if (method) {
      console.warn('Native: tried calling ' + pluginName + '.' + method + ', but Cordova is not available. Make sure to include cordova.js or run in a device/simulator');
    } else {
      console.warn('Native: tried accessing the ' + pluginName + ' plugin but Cordova is not available. Make sure to include cordova.js or run in a device/simulator');
    }
  };
  function setIndex(args, opts, resolve, reject) {
    if (opts === void 0) {
      opts = {};
    }
    if (opts.callbackOrder === 'reverse') {
      args.unshift(reject);
      args.unshift(resolve);
    } else if (typeof opts.successIndex !== 'undefined' || typeof opts.errorIndex !== 'undefined') {
      args.splice(opts.successIndex, 0, resolve);
      args.splice(opts.errorIndex, 0, reject);
    } else {
      args.push(resolve);
      args.push(reject);
    }
    return args;
  }
  function callCordovaPlugin(pluginObj, methodName, args, opts, resolve, reject) {
    if (opts === void 0) {
      opts = {};
    }
    args = setIndex(args, opts, resolve, reject);
    var pluginInstance = exports.getPlugin(pluginObj.pluginRef);
    if (!pluginInstance) {
      if (!window.cordova) {
        exports.cordovaWarn(pluginObj.name, methodName);
        return {error: 'cordova_not_available'};
      }
      exports.pluginWarn(pluginObj, methodName);
      return {error: 'plugin_not_installed'};
    }
    return util_1.get(window, pluginObj.pluginRef)[methodName].apply(pluginInstance, args);
  }
  function getPromise(cb) {
    if (window.angular) {
      var $q_1 = window.angular.injector(['ng']).get('$q');
      return $q_1(function(resolve, reject) {
        cb(resolve, reject);
      });
    } else if (window.Promise) {
      return new Promise(function(resolve, reject) {
        cb(resolve, reject);
      });
    } else {
      console.error('No Promise support or polyfill found. To enable Ionic Native support, please add the es6-promise polyfill before this script, or run with a library like Angular 1/2 or on a recent browser.');
    }
  }
  function wrapPromise(pluginObj, methodName, args, opts) {
    if (opts === void 0) {
      opts = {};
    }
    var pluginResult,
        rej;
    var p = getPromise(function(resolve, reject) {
      pluginResult = callCordovaPlugin(pluginObj, methodName, args, opts, resolve, reject);
      rej = reject;
    });
    if (pluginResult && pluginResult.error) {
      p.catch(function() {});
      rej(pluginResult.error);
    }
    return p;
  }
  function wrapOtherPromise(pluginObj, methodName, args, opts) {
    if (opts === void 0) {
      opts = {};
    }
    return getPromise(function(resolve, reject) {
      var pluginResult = callCordovaPlugin(pluginObj, methodName, args, opts);
      if (pluginResult && pluginResult.error) {
        reject(pluginResult.error);
      }
      pluginResult.then(resolve).catch(reject);
    });
  }
  function wrapObservable(pluginObj, methodName, args, opts) {
    if (opts === void 0) {
      opts = {};
    }
    return new Observable_1.Observable(function(observer) {
      var pluginResult = callCordovaPlugin(pluginObj, methodName, args, opts, observer.next.bind(observer), observer.error.bind(observer));
      if (pluginResult && pluginResult.error) {
        observer.error(pluginResult.error);
      }
      return function() {
        try {
          if (opts.clearFunction) {
            if (opts.clearWithArgs) {
              return util_1.get(window, pluginObj.pluginRef)[opts.clearFunction].apply(pluginObj, args);
            }
            return util_1.get(window, pluginObj.pluginRef)[opts.clearFunction].call(pluginObj, pluginResult);
          }
        } catch (e) {
          console.warn('Unable to clear the previous observable watch for', pluginObj.name, methodName);
          console.error(e);
        }
      };
    });
  }
  function callInstance(pluginObj, methodName, args, opts, resolve, reject) {
    if (opts === void 0) {
      opts = {};
    }
    args = setIndex(args, opts, resolve, reject);
    return pluginObj._objectInstance[methodName].apply(pluginObj._objectInstance, args);
  }
  function wrapInstance(pluginObj, methodName, opts) {
    if (opts === void 0) {
      opts = {};
    }
    return function() {
      var args = [];
      for (var _i = 0; _i < arguments.length; _i++) {
        args[_i - 0] = arguments[_i];
      }
      if (opts.sync) {
        return callInstance(pluginObj, methodName, args, opts);
      } else if (opts.observable) {
        return new Observable_1.Observable(function(observer) {
          var pluginResult = callInstance(pluginObj, methodName, args, opts, observer.next.bind(observer), observer.error.bind(observer));
          return function() {
            try {
              if (opts.clearWithArgs) {
                return pluginObj._objectInstance[opts.clearFunction].apply(pluginObj._objectInstance, args);
              }
              return pluginObj._objectInstance[opts.clearFunction].call(pluginObj, pluginResult);
            } catch (e) {
              console.warn('Unable to clear the previous observable watch for', pluginObj.name, methodName);
              console.error(e);
            }
          };
        });
      } else if (opts.otherPromise) {
        return getPromise(function(resolve, reject) {
          var result = callInstance(pluginObj, methodName, args, opts, resolve, reject);
          result.then(resolve, reject);
        });
      } else {
        return getPromise(function(resolve, reject) {
          callInstance(pluginObj, methodName, args, opts, resolve, reject);
        });
      }
    };
  }
  function wrapEventObservable(event) {
    return new Observable_1.Observable(function(observer) {
      window.addEventListener(event, observer.next.bind(observer), false);
      return function() {
        return window.removeEventListener(event, observer.next.bind(observer), false);
      };
    });
  }
  exports.wrap = function(pluginObj, methodName, opts) {
    if (opts === void 0) {
      opts = {};
    }
    return function() {
      var args = [];
      for (var _i = 0; _i < arguments.length; _i++) {
        args[_i - 0] = arguments[_i];
      }
      if (opts.sync) {
        return callCordovaPlugin(pluginObj, methodName, args, opts);
      } else if (opts.observable) {
        return wrapObservable(pluginObj, methodName, args, opts);
      } else if (opts.eventObservable && opts.event) {
        return wrapEventObservable(opts.event);
      } else if (opts.otherPromise) {
        return wrapOtherPromise(pluginObj, methodName, args, opts);
      } else {
        return wrapPromise(pluginObj, methodName, args, opts);
      }
    };
  };
  function Plugin(config) {
    return function(cls) {
      for (var k in config) {
        cls[k] = config[k];
      }
      cls['installed'] = function() {
        return !!exports.getPlugin(config.pluginRef);
      };
      return cls;
    };
  }
  exports.Plugin = Plugin;
  function Cordova(opts) {
    if (opts === void 0) {
      opts = {};
    }
    return function(target, methodName, descriptor) {
      return {value: function() {
          var args = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            args[_i - 0] = arguments[_i];
          }
          return exports.wrap(this, methodName, opts).apply(this, args);
        }};
    };
  }
  exports.Cordova = Cordova;
  function CordovaInstance(opts) {
    if (opts === void 0) {
      opts = {};
    }
    return function(target, methodName) {
      return {value: function() {
          var args = [];
          for (var _i = 0; _i < arguments.length; _i++) {
            args[_i - 0] = arguments[_i];
          }
          return wrapInstance(this, methodName, opts).apply(this, args);
        }};
    };
  }
  exports.CordovaInstance = CordovaInstance;
  function CordovaProperty(target, key, descriptor) {
    var originalMethod = descriptor.get;
    descriptor.get = function() {
      var args = [];
      for (var _i = 0; _i < arguments.length; _i++) {
        args[_i - 0] = arguments[_i];
      }
      if (!window.cordova) {
        exports.cordovaWarn(this.name, null);
        return {};
      }
      var pluginObj = this;
      var pluginInstance = exports.getPlugin(pluginObj.pluginRef);
      if (!pluginInstance) {
        exports.pluginWarn(this, key);
        return {};
      }
      return originalMethod.apply(this, args);
    };
    return descriptor;
  }
  exports.CordovaProperty = CordovaProperty;
  function InstanceProperty(target, key, descriptor) {
    descriptor.get = function() {
      return this._objectInstance[key];
    };
    descriptor.set = function() {
      var args = [];
      for (var _i = 0; _i < arguments.length; _i++) {
        args[_i - 0] = arguments[_i];
      }
      this._objectInstance[key] = args[0];
    };
    return descriptor;
  }
  exports.InstanceProperty = InstanceProperty;
  return module.exports;
});

System.registerDynamic("ionic-native", ["./ng1", "./plugins/actionsheet", "./plugins/admob", "./plugins/android-fingerprint-auth", "./plugins/appavailability", "./plugins/apprate", "./plugins/appversion", "./plugins/badge", "./plugins/background-geolocation", "./plugins/backgroundmode", "./plugins/barcodescanner", "./plugins/base64togallery", "./plugins/batterystatus", "./plugins/brightness", "./plugins/ble", "./plugins/bluetoothserial", "./plugins/calendar", "./plugins/camera", "./plugins/camera-preview", "./plugins/card-io", "./plugins/clipboard", "./plugins/contacts", "./plugins/crop", "./plugins/datepicker", "./plugins/dbmeter", "./plugins/deeplinks", "./plugins/device", "./plugins/deviceaccounts", "./plugins/devicemotion", "./plugins/deviceorientation", "./plugins/diagnostic", "./plugins/dialogs", "./plugins/emailcomposer", "./plugins/facebook", "./plugins/file", "./plugins/filetransfer", "./plugins/flashlight", "./plugins/geolocation", "./plugins/globalization", "./plugins/google-plus", "./plugins/googlemaps", "./plugins/googleanalytics", "./plugins/hotspot", "./plugins/httpd", "./plugins/ibeacon", "./plugins/imagepicker", "./plugins/imageresizer", "./plugins/inappbrowser", "./plugins/insomnia", "./plugins/keyboard", "./plugins/launchnavigator", "./plugins/localnotifications", "./plugins/media-capture", "./plugins/native-audio", "./plugins/nativestorage", "./plugins/media", "./plugins/network", "./plugins/onesignal", "./plugins/photo-viewer", "./plugins/screen-orientation", "./plugins/pin-dialog", "./plugins/printer", "./plugins/push", "./plugins/safari-view-controller", "./plugins/screenshot", "./plugins/securestorage", "./plugins/shake", "./plugins/sim", "./plugins/sms", "./plugins/socialsharing", "./plugins/spinnerdialog", "./plugins/splashscreen", "./plugins/sqlite", "./plugins/statusbar", "./plugins/3dtouch", "./plugins/toast", "./plugins/touchid", "./plugins/text-to-speech", "./plugins/twitter-connect", "./plugins/vibration", "./plugins/video-player", "./plugins/webintent", "./plugins/zip", "./plugins/plugin"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  function __export(m) {
    for (var p in m)
      if (!exports.hasOwnProperty(p))
        exports[p] = m[p];
  }
  var ng1_1 = $__require('./ng1');
  var DEVICE_READY_TIMEOUT = 2000;
  var actionsheet_1 = $__require('./plugins/actionsheet');
  exports.ActionSheet = actionsheet_1.ActionSheet;
  var admob_1 = $__require('./plugins/admob');
  exports.AdMob = admob_1.AdMob;
  var android_fingerprint_auth_1 = $__require('./plugins/android-fingerprint-auth');
  exports.AndroidFingerprintAuth = android_fingerprint_auth_1.AndroidFingerprintAuth;
  var appavailability_1 = $__require('./plugins/appavailability');
  exports.AppAvailability = appavailability_1.AppAvailability;
  var apprate_1 = $__require('./plugins/apprate');
  exports.AppRate = apprate_1.AppRate;
  var appversion_1 = $__require('./plugins/appversion');
  exports.AppVersion = appversion_1.AppVersion;
  var badge_1 = $__require('./plugins/badge');
  exports.Badge = badge_1.Badge;
  var background_geolocation_1 = $__require('./plugins/background-geolocation');
  var backgroundmode_1 = $__require('./plugins/backgroundmode');
  var barcodescanner_1 = $__require('./plugins/barcodescanner');
  exports.BarcodeScanner = barcodescanner_1.BarcodeScanner;
  var base64togallery_1 = $__require('./plugins/base64togallery');
  exports.Base64ToGallery = base64togallery_1.Base64ToGallery;
  var batterystatus_1 = $__require('./plugins/batterystatus');
  exports.BatteryStatus = batterystatus_1.BatteryStatus;
  var brightness_1 = $__require('./plugins/brightness');
  exports.Brightness = brightness_1.Brightness;
  var ble_1 = $__require('./plugins/ble');
  exports.BLE = ble_1.BLE;
  var bluetoothserial_1 = $__require('./plugins/bluetoothserial');
  exports.BluetoothSerial = bluetoothserial_1.BluetoothSerial;
  var calendar_1 = $__require('./plugins/calendar');
  var camera_1 = $__require('./plugins/camera');
  var camera_preview_1 = $__require('./plugins/camera-preview');
  exports.CameraPreview = camera_preview_1.CameraPreview;
  var card_io_1 = $__require('./plugins/card-io');
  var clipboard_1 = $__require('./plugins/clipboard');
  exports.Clipboard = clipboard_1.Clipboard;
  var contacts_1 = $__require('./plugins/contacts');
  var crop_1 = $__require('./plugins/crop');
  exports.Crop = crop_1.Crop;
  var datepicker_1 = $__require('./plugins/datepicker');
  var dbmeter_1 = $__require('./plugins/dbmeter');
  exports.DBMeter = dbmeter_1.DBMeter;
  var deeplinks_1 = $__require('./plugins/deeplinks');
  exports.Deeplinks = deeplinks_1.Deeplinks;
  var device_1 = $__require('./plugins/device');
  var deviceaccounts_1 = $__require('./plugins/deviceaccounts');
  exports.DeviceAccounts = deviceaccounts_1.DeviceAccounts;
  var devicemotion_1 = $__require('./plugins/devicemotion');
  var deviceorientation_1 = $__require('./plugins/deviceorientation');
  var diagnostic_1 = $__require('./plugins/diagnostic');
  exports.Diagnostic = diagnostic_1.Diagnostic;
  var dialogs_1 = $__require('./plugins/dialogs');
  exports.Dialogs = dialogs_1.Dialogs;
  var emailcomposer_1 = $__require('./plugins/emailcomposer');
  exports.EmailComposer = emailcomposer_1.EmailComposer;
  var facebook_1 = $__require('./plugins/facebook');
  exports.Facebook = facebook_1.Facebook;
  var file_1 = $__require('./plugins/file');
  var filetransfer_1 = $__require('./plugins/filetransfer');
  exports.Transfer = filetransfer_1.Transfer;
  var flashlight_1 = $__require('./plugins/flashlight');
  exports.Flashlight = flashlight_1.Flashlight;
  var geolocation_1 = $__require('./plugins/geolocation');
  var globalization_1 = $__require('./plugins/globalization');
  exports.Globalization = globalization_1.Globalization;
  var google_plus_1 = $__require('./plugins/google-plus');
  exports.GooglePlus = google_plus_1.GooglePlus;
  var googlemaps_1 = $__require('./plugins/googlemaps');
  var googleanalytics_1 = $__require('./plugins/googleanalytics');
  exports.GoogleAnalytics = googleanalytics_1.GoogleAnalytics;
  var hotspot_1 = $__require('./plugins/hotspot');
  exports.Hotspot = hotspot_1.Hotspot;
  var httpd_1 = $__require('./plugins/httpd');
  var ibeacon_1 = $__require('./plugins/ibeacon');
  var imagepicker_1 = $__require('./plugins/imagepicker');
  var imageresizer_1 = $__require('./plugins/imageresizer');
  var inappbrowser_1 = $__require('./plugins/inappbrowser');
  var insomnia_1 = $__require('./plugins/insomnia');
  exports.Insomnia = insomnia_1.Insomnia;
  var keyboard_1 = $__require('./plugins/keyboard');
  exports.Keyboard = keyboard_1.Keyboard;
  var launchnavigator_1 = $__require('./plugins/launchnavigator');
  var localnotifications_1 = $__require('./plugins/localnotifications');
  var media_capture_1 = $__require('./plugins/media-capture');
  var native_audio_1 = $__require('./plugins/native-audio');
  exports.NativeAudio = native_audio_1.NativeAudio;
  var nativestorage_1 = $__require('./plugins/nativestorage');
  exports.NativeStorage = nativestorage_1.NativeStorage;
  var media_1 = $__require('./plugins/media');
  var network_1 = $__require('./plugins/network');
  exports.Network = network_1.Network;
  var onesignal_1 = $__require('./plugins/onesignal');
  exports.OneSignal = onesignal_1.OneSignal;
  var photo_viewer_1 = $__require('./plugins/photo-viewer');
  exports.PhotoViewer = photo_viewer_1.PhotoViewer;
  var screen_orientation_1 = $__require('./plugins/screen-orientation');
  exports.ScreenOrientation = screen_orientation_1.ScreenOrientation;
  var pin_dialog_1 = $__require('./plugins/pin-dialog');
  exports.PinDialog = pin_dialog_1.PinDialog;
  var printer_1 = $__require('./plugins/printer');
  var push_1 = $__require('./plugins/push');
  var safari_view_controller_1 = $__require('./plugins/safari-view-controller');
  var screenshot_1 = $__require('./plugins/screenshot');
  exports.Screenshot = screenshot_1.Screenshot;
  var securestorage_1 = $__require('./plugins/securestorage');
  exports.SecureStorage = securestorage_1.SecureStorage;
  var shake_1 = $__require('./plugins/shake');
  exports.Shake = shake_1.Shake;
  var sim_1 = $__require('./plugins/sim');
  exports.Sim = sim_1.Sim;
  var sms_1 = $__require('./plugins/sms');
  var socialsharing_1 = $__require('./plugins/socialsharing');
  exports.SocialSharing = socialsharing_1.SocialSharing;
  var spinnerdialog_1 = $__require('./plugins/spinnerdialog');
  var splashscreen_1 = $__require('./plugins/splashscreen');
  exports.Splashscreen = splashscreen_1.Splashscreen;
  var sqlite_1 = $__require('./plugins/sqlite');
  exports.SQLite = sqlite_1.SQLite;
  var statusbar_1 = $__require('./plugins/statusbar');
  exports.StatusBar = statusbar_1.StatusBar;
  var _3dtouch_1 = $__require('./plugins/3dtouch');
  var toast_1 = $__require('./plugins/toast');
  var touchid_1 = $__require('./plugins/touchid');
  exports.TouchID = touchid_1.TouchID;
  var text_to_speech_1 = $__require('./plugins/text-to-speech');
  exports.TextToSpeech = text_to_speech_1.TextToSpeech;
  var twitter_connect_1 = $__require('./plugins/twitter-connect');
  var vibration_1 = $__require('./plugins/vibration');
  exports.Vibration = vibration_1.Vibration;
  var video_player_1 = $__require('./plugins/video-player');
  var webintent_1 = $__require('./plugins/webintent');
  exports.WebIntent = webintent_1.WebIntent;
  var zip_1 = $__require('./plugins/zip');
  exports.Zip = zip_1.Zip;
  __export($__require('./plugins/3dtouch'));
  __export($__require('./plugins/background-geolocation'));
  __export($__require('./plugins/backgroundmode'));
  __export($__require('./plugins/batterystatus'));
  __export($__require('./plugins/calendar'));
  __export($__require('./plugins/camera'));
  __export($__require('./plugins/card-io'));
  __export($__require('./plugins/contacts'));
  __export($__require('./plugins/datepicker'));
  __export($__require('./plugins/device'));
  __export($__require('./plugins/devicemotion'));
  __export($__require('./plugins/deviceorientation'));
  __export($__require('./plugins/file'));
  __export($__require('./plugins/filetransfer'));
  __export($__require('./plugins/geolocation'));
  __export($__require('./plugins/googlemaps'));
  __export($__require('./plugins/httpd'));
  __export($__require('./plugins/ibeacon'));
  __export($__require('./plugins/imagepicker'));
  __export($__require('./plugins/imageresizer'));
  __export($__require('./plugins/inappbrowser'));
  __export($__require('./plugins/launchnavigator'));
  __export($__require('./plugins/localnotifications'));
  __export($__require('./plugins/media'));
  __export($__require('./plugins/media-capture'));
  __export($__require('./plugins/printer'));
  __export($__require('./plugins/push'));
  __export($__require('./plugins/safari-view-controller'));
  __export($__require('./plugins/sms'));
  __export($__require('./plugins/spinnerdialog'));
  __export($__require('./plugins/toast'));
  __export($__require('./plugins/twitter-connect'));
  __export($__require('./plugins/video-player'));
  __export($__require('./plugins/plugin'));
  window['IonicNative'] = {
    ActionSheet: actionsheet_1.ActionSheet,
    AdMob: admob_1.AdMob,
    AndroidFingerprintAuth: android_fingerprint_auth_1.AndroidFingerprintAuth,
    AppAvailability: appavailability_1.AppAvailability,
    AppRate: apprate_1.AppRate,
    AppVersion: appversion_1.AppVersion,
    Badge: badge_1.Badge,
    BackgroundGeolocation: background_geolocation_1.BackgroundGeolocation,
    BackgroundMode: backgroundmode_1.BackgroundMode,
    BarcodeScanner: barcodescanner_1.BarcodeScanner,
    Base64ToGallery: base64togallery_1.Base64ToGallery,
    BatteryStatus: batterystatus_1.BatteryStatus,
    Brightness: brightness_1.Brightness,
    BLE: ble_1.BLE,
    BluetoothSerial: bluetoothserial_1.BluetoothSerial,
    Calendar: calendar_1.Calendar,
    Camera: camera_1.Camera,
    CameraPreview: camera_preview_1.CameraPreview,
    CardIO: card_io_1.CardIO,
    Clipboard: clipboard_1.Clipboard,
    Contacts: contacts_1.Contacts,
    Crop: crop_1.Crop,
    DatePicker: datepicker_1.DatePicker,
    DBMeter: dbmeter_1.DBMeter,
    Deeplinks: deeplinks_1.Deeplinks,
    Device: device_1.Device,
    DeviceAccounts: deviceaccounts_1.DeviceAccounts,
    DeviceMotion: devicemotion_1.DeviceMotion,
    DeviceOrientation: deviceorientation_1.DeviceOrientation,
    Dialogs: dialogs_1.Dialogs,
    Diagnostic: diagnostic_1.Diagnostic,
    EmailComposer: emailcomposer_1.EmailComposer,
    Facebook: facebook_1.Facebook,
    File: file_1.File,
    Flashlight: flashlight_1.Flashlight,
    Geolocation: geolocation_1.Geolocation,
    Globalization: globalization_1.Globalization,
    GooglePlus: google_plus_1.GooglePlus,
    GoogleMap: googlemaps_1.GoogleMap,
    GoogleAnalytics: googleanalytics_1.GoogleAnalytics,
    Hotspot: hotspot_1.Hotspot,
    Httpd: httpd_1.Httpd,
    IBeacon: ibeacon_1.IBeacon,
    ImagePicker: imagepicker_1.ImagePicker,
    ImageResizer: imageresizer_1.ImageResizer,
    InAppBrowser: inappbrowser_1.InAppBrowser,
    Keyboard: keyboard_1.Keyboard,
    LaunchNavigator: launchnavigator_1.LaunchNavigator,
    LocalNotifications: localnotifications_1.LocalNotifications,
    MediaCapture: media_capture_1.MediaCapture,
    MediaPlugin: media_1.MediaPlugin,
    NativeAudio: native_audio_1.NativeAudio,
    NativeStorage: nativestorage_1.NativeStorage,
    Network: network_1.Network,
    Printer: printer_1.Printer,
    Push: push_1.Push,
    OneSignal: onesignal_1.OneSignal,
    PhotoViewer: photo_viewer_1.PhotoViewer,
    ScreenOrientation: screen_orientation_1.ScreenOrientation,
    PinDialog: pin_dialog_1.PinDialog,
    SafariViewController: safari_view_controller_1.SafariViewController,
    Screenshot: screenshot_1.Screenshot,
    SecureStorage: securestorage_1.SecureStorage,
    Shake: shake_1.Shake,
    Sim: sim_1.Sim,
    SMS: sms_1.SMS,
    SocialSharing: socialsharing_1.SocialSharing,
    SpinnerDialog: spinnerdialog_1.SpinnerDialog,
    Splashscreen: splashscreen_1.Splashscreen,
    SQLite: sqlite_1.SQLite,
    StatusBar: statusbar_1.StatusBar,
    ThreeDeeTouch: _3dtouch_1.ThreeDeeTouch,
    Toast: toast_1.Toast,
    TouchID: touchid_1.TouchID,
    Transfer: filetransfer_1.Transfer,
    TextToSpeech: text_to_speech_1.TextToSpeech,
    TwitterConnect: twitter_connect_1.TwitterConnect,
    VideoPlayer: video_player_1.VideoPlayer,
    Vibration: vibration_1.Vibration,
    WebIntent: webintent_1.WebIntent,
    Zip: zip_1.Zip
  };
  ng1_1.initAngular1(window['IonicNative']);
  var before = +new Date;
  var didFireReady = false;
  document.addEventListener('deviceready', function() {
    console.log('DEVICE READY FIRED AFTER', (+new Date - before), 'ms');
    didFireReady = true;
  });
  setTimeout(function() {
    if (!didFireReady && window.cordova) {
      console.warn('Native: deviceready did not fire within ' + DEVICE_READY_TIMEOUT + 'ms. This can happen when plugins are in an inconsistent state. Try removing plugins from plugins/ and reinstalling them.');
    }
  }, DEVICE_READY_TIMEOUT);
  return module.exports;
});

System.registerDynamic("rxjs/symbol/observable.js", ["../util/root"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var root_1 = $__require('../util/root');
  var Symbol = root_1.root.Symbol;
  if (typeof Symbol === 'function') {
    if (Symbol.observable) {
      exports.$$observable = Symbol.observable;
    } else {
      if (typeof Symbol.for === 'function') {
        exports.$$observable = Symbol.for('observable');
      } else {
        exports.$$observable = Symbol('observable');
      }
      Symbol.observable = exports.$$observable;
    }
  } else {
    exports.$$observable = '@@observable';
  }
  return module.exports;
});

System.registerDynamic("rxjs/util/toSubscriber.js", ["../Subscriber", "../symbol/rxSubscriber"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var Subscriber_1 = $__require('../Subscriber');
  var rxSubscriber_1 = $__require('../symbol/rxSubscriber');
  function toSubscriber(nextOrObserver, error, complete) {
    if (nextOrObserver && typeof nextOrObserver === 'object') {
      if (nextOrObserver instanceof Subscriber_1.Subscriber) {
        return nextOrObserver;
      } else if (typeof nextOrObserver[rxSubscriber_1.$$rxSubscriber] === 'function') {
        return nextOrObserver[rxSubscriber_1.$$rxSubscriber]();
      }
    }
    return new Subscriber_1.Subscriber(nextOrObserver, error, complete);
  }
  exports.toSubscriber = toSubscriber;
  return module.exports;
});

System.registerDynamic("rxjs/Observable.js", ["./util/root", "./symbol/observable", "./util/toSubscriber"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var root_1 = $__require('./util/root');
  var observable_1 = $__require('./symbol/observable');
  var toSubscriber_1 = $__require('./util/toSubscriber');
  var Observable = (function() {
    function Observable(subscribe) {
      this._isScalar = false;
      if (subscribe) {
        this._subscribe = subscribe;
      }
    }
    Observable.prototype.lift = function(operator) {
      var observable = new Observable();
      observable.source = this;
      observable.operator = operator;
      return observable;
    };
    Observable.prototype.subscribe = function(observerOrNext, error, complete) {
      var operator = this.operator;
      var sink = toSubscriber_1.toSubscriber(observerOrNext, error, complete);
      sink.add(operator ? operator.call(sink, this) : this._subscribe(sink));
      if (sink.syncErrorThrowable) {
        sink.syncErrorThrowable = false;
        if (sink.syncErrorThrown) {
          throw sink.syncErrorValue;
        }
      }
      return sink;
    };
    Observable.prototype.forEach = function(next, PromiseCtor) {
      var _this = this;
      if (!PromiseCtor) {
        if (root_1.root.Rx && root_1.root.Rx.config && root_1.root.Rx.config.Promise) {
          PromiseCtor = root_1.root.Rx.config.Promise;
        } else if (root_1.root.Promise) {
          PromiseCtor = root_1.root.Promise;
        }
      }
      if (!PromiseCtor) {
        throw new Error('no Promise impl found');
      }
      return new PromiseCtor(function(resolve, reject) {
        var subscription = _this.subscribe(function(value) {
          if (subscription) {
            try {
              next(value);
            } catch (err) {
              reject(err);
              subscription.unsubscribe();
            }
          } else {
            next(value);
          }
        }, reject, resolve);
      });
    };
    Observable.prototype._subscribe = function(subscriber) {
      return this.source.subscribe(subscriber);
    };
    Observable.prototype[observable_1.$$observable] = function() {
      return this;
    };
    Observable.create = function(subscribe) {
      return new Observable(subscribe);
    };
    return Observable;
  }());
  exports.Observable = Observable;
  return module.exports;
});

System.registerDynamic("rxjs/util/isArray.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  exports.isArray = Array.isArray || (function(x) {
    return x && typeof x.length === 'number';
  });
  return module.exports;
});

System.registerDynamic("rxjs/util/isObject.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  function isObject(x) {
    return x != null && typeof x === 'object';
  }
  exports.isObject = isObject;
  return module.exports;
});

System.registerDynamic("rxjs/util/isFunction.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  function isFunction(x) {
    return typeof x === 'function';
  }
  exports.isFunction = isFunction;
  return module.exports;
});

System.registerDynamic("rxjs/util/tryCatch.js", ["./errorObject"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var errorObject_1 = $__require('./errorObject');
  var tryCatchTarget;
  function tryCatcher() {
    try {
      return tryCatchTarget.apply(this, arguments);
    } catch (e) {
      errorObject_1.errorObject.e = e;
      return errorObject_1.errorObject;
    }
  }
  function tryCatch(fn) {
    tryCatchTarget = fn;
    return tryCatcher;
  }
  exports.tryCatch = tryCatch;
  ;
  return module.exports;
});

System.registerDynamic("rxjs/util/errorObject.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  exports.errorObject = {e: {}};
  return module.exports;
});

System.registerDynamic("rxjs/util/UnsubscriptionError.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var UnsubscriptionError = (function(_super) {
    __extends(UnsubscriptionError, _super);
    function UnsubscriptionError(errors) {
      _super.call(this);
      this.errors = errors;
      this.name = 'UnsubscriptionError';
      this.message = errors ? errors.length + " errors occurred during unsubscription:\n" + errors.map(function(err, i) {
        return ((i + 1) + ") " + err.toString());
      }).join('\n') : '';
    }
    return UnsubscriptionError;
  }(Error));
  exports.UnsubscriptionError = UnsubscriptionError;
  return module.exports;
});

System.registerDynamic("rxjs/Subscription.js", ["./util/isArray", "./util/isObject", "./util/isFunction", "./util/tryCatch", "./util/errorObject", "./util/UnsubscriptionError"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var isArray_1 = $__require('./util/isArray');
  var isObject_1 = $__require('./util/isObject');
  var isFunction_1 = $__require('./util/isFunction');
  var tryCatch_1 = $__require('./util/tryCatch');
  var errorObject_1 = $__require('./util/errorObject');
  var UnsubscriptionError_1 = $__require('./util/UnsubscriptionError');
  var Subscription = (function() {
    function Subscription(unsubscribe) {
      this.isUnsubscribed = false;
      if (unsubscribe) {
        this._unsubscribe = unsubscribe;
      }
    }
    Subscription.prototype.unsubscribe = function() {
      var hasErrors = false;
      var errors;
      if (this.isUnsubscribed) {
        return;
      }
      this.isUnsubscribed = true;
      var _a = this,
          _unsubscribe = _a._unsubscribe,
          _subscriptions = _a._subscriptions;
      this._subscriptions = null;
      if (isFunction_1.isFunction(_unsubscribe)) {
        var trial = tryCatch_1.tryCatch(_unsubscribe).call(this);
        if (trial === errorObject_1.errorObject) {
          hasErrors = true;
          (errors = errors || []).push(errorObject_1.errorObject.e);
        }
      }
      if (isArray_1.isArray(_subscriptions)) {
        var index = -1;
        var len = _subscriptions.length;
        while (++index < len) {
          var sub = _subscriptions[index];
          if (isObject_1.isObject(sub)) {
            var trial = tryCatch_1.tryCatch(sub.unsubscribe).call(sub);
            if (trial === errorObject_1.errorObject) {
              hasErrors = true;
              errors = errors || [];
              var err = errorObject_1.errorObject.e;
              if (err instanceof UnsubscriptionError_1.UnsubscriptionError) {
                errors = errors.concat(err.errors);
              } else {
                errors.push(err);
              }
            }
          }
        }
      }
      if (hasErrors) {
        throw new UnsubscriptionError_1.UnsubscriptionError(errors);
      }
    };
    Subscription.prototype.add = function(teardown) {
      if (!teardown || (teardown === this) || (teardown === Subscription.EMPTY)) {
        return;
      }
      var sub = teardown;
      switch (typeof teardown) {
        case 'function':
          sub = new Subscription(teardown);
        case 'object':
          if (sub.isUnsubscribed || typeof sub.unsubscribe !== 'function') {
            break;
          } else if (this.isUnsubscribed) {
            sub.unsubscribe();
          } else {
            (this._subscriptions || (this._subscriptions = [])).push(sub);
          }
          break;
        default:
          throw new Error('Unrecognized teardown ' + teardown + ' added to Subscription.');
      }
      return sub;
    };
    Subscription.prototype.remove = function(subscription) {
      if (subscription == null || (subscription === this) || (subscription === Subscription.EMPTY)) {
        return;
      }
      var subscriptions = this._subscriptions;
      if (subscriptions) {
        var subscriptionIndex = subscriptions.indexOf(subscription);
        if (subscriptionIndex !== -1) {
          subscriptions.splice(subscriptionIndex, 1);
        }
      }
    };
    Subscription.EMPTY = (function(empty) {
      empty.isUnsubscribed = true;
      return empty;
    }(new Subscription()));
    return Subscription;
  }());
  exports.Subscription = Subscription;
  return module.exports;
});

System.registerDynamic("rxjs/util/root.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var objectTypes = {
    'boolean': false,
    'function': true,
    'object': true,
    'number': false,
    'string': false,
    'undefined': false
  };
  exports.root = (objectTypes[typeof self] && self) || (objectTypes[typeof window] && window);
  var freeExports = objectTypes[typeof exports] && exports && !exports.nodeType && exports;
  var freeModule = objectTypes[typeof module] && module && !module.nodeType && module;
  var freeGlobal = objectTypes[typeof global] && global;
  if (freeGlobal && (freeGlobal.global === freeGlobal || freeGlobal.window === freeGlobal)) {
    exports.root = freeGlobal;
  }
  return module.exports;
});

System.registerDynamic("rxjs/symbol/rxSubscriber.js", ["../util/root"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var root_1 = $__require('../util/root');
  var Symbol = root_1.root.Symbol;
  exports.$$rxSubscriber = (typeof Symbol === 'function' && typeof Symbol.for === 'function') ? Symbol.for('rxSubscriber') : '@@rxSubscriber';
  return module.exports;
});

System.registerDynamic("rxjs/Observer.js", [], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  exports.empty = {
    isUnsubscribed: true,
    next: function(value) {},
    error: function(err) {
      throw err;
    },
    complete: function() {}
  };
  return module.exports;
});

System.registerDynamic("rxjs/Subscriber.js", ["./util/isFunction", "./Subscription", "./symbol/rxSubscriber", "./Observer"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var isFunction_1 = $__require('./util/isFunction');
  var Subscription_1 = $__require('./Subscription');
  var rxSubscriber_1 = $__require('./symbol/rxSubscriber');
  var Observer_1 = $__require('./Observer');
  var Subscriber = (function(_super) {
    __extends(Subscriber, _super);
    function Subscriber(destinationOrNext, error, complete) {
      _super.call(this);
      this.syncErrorValue = null;
      this.syncErrorThrown = false;
      this.syncErrorThrowable = false;
      this.isStopped = false;
      switch (arguments.length) {
        case 0:
          this.destination = Observer_1.empty;
          break;
        case 1:
          if (!destinationOrNext) {
            this.destination = Observer_1.empty;
            break;
          }
          if (typeof destinationOrNext === 'object') {
            if (destinationOrNext instanceof Subscriber) {
              this.destination = destinationOrNext;
              this.destination.add(this);
            } else {
              this.syncErrorThrowable = true;
              this.destination = new SafeSubscriber(this, destinationOrNext);
            }
            break;
          }
        default:
          this.syncErrorThrowable = true;
          this.destination = new SafeSubscriber(this, destinationOrNext, error, complete);
          break;
      }
    }
    Subscriber.create = function(next, error, complete) {
      var subscriber = new Subscriber(next, error, complete);
      subscriber.syncErrorThrowable = false;
      return subscriber;
    };
    Subscriber.prototype.next = function(value) {
      if (!this.isStopped) {
        this._next(value);
      }
    };
    Subscriber.prototype.error = function(err) {
      if (!this.isStopped) {
        this.isStopped = true;
        this._error(err);
      }
    };
    Subscriber.prototype.complete = function() {
      if (!this.isStopped) {
        this.isStopped = true;
        this._complete();
      }
    };
    Subscriber.prototype.unsubscribe = function() {
      if (this.isUnsubscribed) {
        return;
      }
      this.isStopped = true;
      _super.prototype.unsubscribe.call(this);
    };
    Subscriber.prototype._next = function(value) {
      this.destination.next(value);
    };
    Subscriber.prototype._error = function(err) {
      this.destination.error(err);
      this.unsubscribe();
    };
    Subscriber.prototype._complete = function() {
      this.destination.complete();
      this.unsubscribe();
    };
    Subscriber.prototype[rxSubscriber_1.$$rxSubscriber] = function() {
      return this;
    };
    return Subscriber;
  }(Subscription_1.Subscription));
  exports.Subscriber = Subscriber;
  var SafeSubscriber = (function(_super) {
    __extends(SafeSubscriber, _super);
    function SafeSubscriber(_parent, observerOrNext, error, complete) {
      _super.call(this);
      this._parent = _parent;
      var next;
      var context = this;
      if (isFunction_1.isFunction(observerOrNext)) {
        next = observerOrNext;
      } else if (observerOrNext) {
        context = observerOrNext;
        next = observerOrNext.next;
        error = observerOrNext.error;
        complete = observerOrNext.complete;
        if (isFunction_1.isFunction(context.unsubscribe)) {
          this.add(context.unsubscribe.bind(context));
        }
        context.unsubscribe = this.unsubscribe.bind(this);
      }
      this._context = context;
      this._next = next;
      this._error = error;
      this._complete = complete;
    }
    SafeSubscriber.prototype.next = function(value) {
      if (!this.isStopped && this._next) {
        var _parent = this._parent;
        if (!_parent.syncErrorThrowable) {
          this.__tryOrUnsub(this._next, value);
        } else if (this.__tryOrSetError(_parent, this._next, value)) {
          this.unsubscribe();
        }
      }
    };
    SafeSubscriber.prototype.error = function(err) {
      if (!this.isStopped) {
        var _parent = this._parent;
        if (this._error) {
          if (!_parent.syncErrorThrowable) {
            this.__tryOrUnsub(this._error, err);
            this.unsubscribe();
          } else {
            this.__tryOrSetError(_parent, this._error, err);
            this.unsubscribe();
          }
        } else if (!_parent.syncErrorThrowable) {
          this.unsubscribe();
          throw err;
        } else {
          _parent.syncErrorValue = err;
          _parent.syncErrorThrown = true;
          this.unsubscribe();
        }
      }
    };
    SafeSubscriber.prototype.complete = function() {
      if (!this.isStopped) {
        var _parent = this._parent;
        if (this._complete) {
          if (!_parent.syncErrorThrowable) {
            this.__tryOrUnsub(this._complete);
            this.unsubscribe();
          } else {
            this.__tryOrSetError(_parent, this._complete);
            this.unsubscribe();
          }
        } else {
          this.unsubscribe();
        }
      }
    };
    SafeSubscriber.prototype.__tryOrUnsub = function(fn, value) {
      try {
        fn.call(this._context, value);
      } catch (err) {
        this.unsubscribe();
        throw err;
      }
    };
    SafeSubscriber.prototype.__tryOrSetError = function(parent, fn, value) {
      try {
        fn.call(this._context, value);
      } catch (err) {
        parent.syncErrorValue = err;
        parent.syncErrorThrown = true;
        return true;
      }
      return false;
    };
    SafeSubscriber.prototype._unsubscribe = function() {
      var _parent = this._parent;
      this._context = null;
      this._parent = null;
      _parent.unsubscribe();
    };
    return SafeSubscriber;
  }(Subscriber));
  return module.exports;
});

System.registerDynamic("rxjs/operator/map.js", ["../Subscriber"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var __extends = (this && this.__extends) || function(d, b) {
    for (var p in b)
      if (b.hasOwnProperty(p))
        d[p] = b[p];
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
  var Subscriber_1 = $__require('../Subscriber');
  function map(project, thisArg) {
    if (typeof project !== 'function') {
      throw new TypeError('argument is not a function. Are you looking for `mapTo()`?');
    }
    return this.lift(new MapOperator(project, thisArg));
  }
  exports.map = map;
  var MapOperator = (function() {
    function MapOperator(project, thisArg) {
      this.project = project;
      this.thisArg = thisArg;
    }
    MapOperator.prototype.call = function(subscriber, source) {
      return source._subscribe(new MapSubscriber(subscriber, this.project, this.thisArg));
    };
    return MapOperator;
  }());
  var MapSubscriber = (function(_super) {
    __extends(MapSubscriber, _super);
    function MapSubscriber(destination, project, thisArg) {
      _super.call(this, destination);
      this.project = project;
      this.count = 0;
      this.thisArg = thisArg || this;
    }
    MapSubscriber.prototype._next = function(value) {
      var result;
      try {
        result = this.project.call(this.thisArg, value, this.count++);
      } catch (err) {
        this.destination.error(err);
        return;
      }
      this.destination.next(result);
    };
    return MapSubscriber;
  }(Subscriber_1.Subscriber));
  return module.exports;
});

System.registerDynamic("rxjs/add/operator/map.js", ["../../Observable", "../../operator/map"], true, function($__require, exports, module) {
  "use strict";
  ;
  var define,
      global = this,
      GLOBAL = this;
  var Observable_1 = $__require('../../Observable');
  var map_1 = $__require('../../operator/map');
  Observable_1.Observable.prototype.map = map_1.map;
  return module.exports;
});

//# sourceMappingURL=dependencies.js.map